
/* JavaScript content from js/common/M_M1236100P.js in folder common */
/* 
 *	공통 - 우편번호 조회
 *  ID : M_M1236100P

 *  1. 우편번호
*/

//page 컨트롤 클래스
PostView = {
		addrFlag : "N", //통합 주소. 
		callbackFuc : null, //callback function..
		
		postList : null,
		
		init : function( params ) {
			this.callbackFuc = params.callback;
			
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnTSearchAddr").unbind().bind( "click",  this.event.onclick_btnTSearchAddr );
			$("#btnGSearchAddr").unbind().bind( "click",  this.event.onclick_btnGSearchAddr );
			$("#btnStep2Next").unbind().bind( "click",  this.event.onclick_btnStep2Next );
			$("#btnReset").unbind().bind( "click",  this.event.onclick_btnReset );
			$("#btnReset2").unbind().bind( "click",  this.event.onclick_btnReset2 );
			$("#btnBackStep2").unbind().bind( "click",  this.event.onclick_btnBackStep2 );
			$("#btnStep3Next").unbind().bind( "click",  this.event.onclick_btnStep3Next );	
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			searchPostCode : function() {
				var invoke = {};
				invoke.addrFlag = PostView.addrFlag;
				invoke.processFlag = PostView.addrFlag + "Search"; //RSearch or LSearch
				var addrText = "";
				
				if( PostView.addrFlag == "N"){
					invoke.pgNm = 1;
					addrText = $("#addrText").val();
				}else if( PostView.addrFlag == "L"){
					addrText = $("#addrText2").val();
				}
				
				
				if( addrText == "" && PostView.addrFlag == "N") {
					Ns.Popup.alert("도로명을 입력하세요.");
					return false;
				}
				
				if( addrText == "" && PostView.addrFlag == "L") {
					Ns.Popup.alert("지번을 입력하세요.");
					return false;
				}
				
				if( $.trim(addrText).length < 2 ) {
					Ns.Popup.alert("2자 이상 입력하세요.");
			        return false;
			    } 	
				invoke.addrText = addrText;
				$("#postview").show();
				tran.callWCSJsonTran( "NSNewPostSearchCmd", invoke, PostView.ui.setPostListHtml );
			},
			
			// 주소 검증
			searchStep2Next : function (){
				var invoke = {};
				var addressflag = "";
/*				var $divStep2Fild = null;
				var strSggDetail = "";
				if (PostView.addrFlag == "L"){	// 지번
					$divStep2Fild = $("#divStep2").find("#divStep2_old");
				} else {	// 도로명
					$divStep2Fild = $("#divStep2").find("#divStep2_new");
					
					strSggDetail += $.trim($divStep2Fild.find("input[name=step2_sggBldNm]").val()) == "" ? "" : " " + $.trim($divStep2Fild.find("input[name=step2_sggBldNm]").val());
					strSggDetail += $.trim($divStep2Fild.find("input[name=step2_sggDetail]").val()) == "" ? "" : " " + $.trim($divStep2Fild.find("input[name=step2_sggDetail]").val());
					
				}*/
				
				if( PostView.addrFlag == "L"){
					addressflag = "L";
				}else if( PostView.addrFlag == "N"){
					addressflag = "R";
				}
				
				invoke.processFlag = addressflag + 'Check'; 
				invoke.zipcode = $("#divStep2").find("input[name=step2_postno]").val();
				invoke.addr1 = $("#divStep2").find("input[name=step2_address]").val();
				invoke.addr2 = $("#divStep2").find("input[name=step2_addrDetail]").val();
				
				tran.callWCSJsonTran( "NSNewPostSearchCmd", invoke, PostView.ui.setStep3 );
			},
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			setPostListHtml : function( data ) {
				$("#tbodyPostListArea").html( "" );
				
				var htmlTxt = "";
				var postList = data.postList;
				var count = 0;
				
				if ( postList == null || postList == "") {
					var searchTxt = "";
					if( PostView.addrFlag == "N" ) {
						searchTxt = $.trim( $( "#addrText" ).val() );
					}else if( PostView.addrFlag == "L" ) {
						searchTxt = $.trim( $( "#addrText2" ).val() );
					}  else {
						searchTxt = $("#sido").val() + " " + $("#roadNm").val() + " " + $("#bldgNo").val() + " " + $("#bldgNm").val();
					}
					
					htmlTxt += "<tr><td colspan='2' class='nodata'>";
					htmlTxt += "검색 결과가 없습니다.";
					htmlTxt += "</td></tr>";
					
					$("#tbodyPostListArea").html( htmlTxt );
					$("#info2").show();
					$("#info").hide();
					$("#divNewAddrInputArea").show();
					return false;
				}
				
				if( data.resultPageTotalCnt != undefined || data.resultPageTotalCnt != null){
					count = data.resultPageTotalCnt;
				}
				
				if ( count > 0 ){
					$("#count").show();
					
					var HtmlTxt = "";
					HtmlTxt += "총 <em>"+count+"</em>건";
					
					$("#count").html( HtmlTxt );
				}
				
				if ( PostView.addrFlag == "N"){
					for( var i=0; i<postList.length; i++ ) {
						var items = postList[i];
						var strFullAddr = "";
						var locFullAddr = "";
						var zipCode = items.ZIP;

						strFullAddr += $.trim(items.NADR1);
						strFullAddr += items.NADR3 == "" ? "" : " " + $.trim(items.NADR3);
						strFullAddr += items.BLD == "" ? "" : " " + $.trim(items.BLD);
						
						locFullAddr += $.trim(items.ADR1);
						locFullAddr += items.RI == "" ? "" : " " + $.trim(items.RI);
						locFullAddr += items.BUNJI == "" ? "" : " " + $.trim(items.BUNJI);
						locFullAddr += items.BLD == "" ? "" : " " + $.trim(items.BLD);

						if( strFullAddr != "" && locFullAddr != ""){
							htmlTxt += Ns.Util.stringFormat('\
									<tr>\
										<td>{0}</td>\
										<td class="align-left">\
											<a href=\'javascript:PostView.event.onclick_postItem("{1}", "{2}", "{4}", "{5}");\'>\
												<div class="sort"><span class="icon-a">도로명</span></div>\
												<div class="sort"><span class="address-a">{3}</span></div>\
											</a>\
											<a href=\'javascript:PostView.event.onclick_postItem("{1}", "{2}", "{4}", "{5}");\'>\
												<div class="sort"><span class="icon-b">지번</span></div>\
												<div class="sort"><span class="address-b">{6}</span></div>\
											</a>\
										</td>\
									</tr>', zipCode, zipCode, items.NADR1, strFullAddr, items.NADR3, items.BLD,locFullAddr ,locFullAddr);
						}else if( strFullAddr != "" && locFullAddr == ""){
							htmlTxt += Ns.Util.stringFormat('\
									<tr>\
										<td>{0}</td>\
										<td class="align-left">\
											<a href=\'javascript:PostView.event.onclick_postItem("{1}", "{2}", "{4}", "{5}");\'>\
												<div class="sort"><span class="icon-a">도로명</span></div>\
												<div class="sort"><span class="address-a">{3}</span></div>\
											</a>\
										</td>\
									</tr>', zipCode, zipCode, items.NADR1, strFullAddr, items.NADR3, items.BLD,locFullAddr ,locFullAddr);
						}else if( strFullAddr == "" && locFullAddr != ""){
							htmlTxt += Ns.Util.stringFormat('\
									<tr>\
										<td>{0}</td>\
										<td class="align-left">\
											<a href=\'javascript:PostView.event.onclick_postItem("{1}", "{2}", "{6}", "{5}");\'>\
												<div class="sort"><span class="icon-b">지번</span></div>\
												<div class="sort"><span class="address-b">{6}</span></div>\
											</a>\
										</td>\
									</tr>', zipCode, zipCode, items.NADR1, strFullAddr, items.NADR3, items.BLD,locFullAddr ,locFullAddr);
						}
						
					}
				}else if ( PostView.addrFlag == "L"){
					for( var i=0; i<postList.length; i++ ) {
						var items = postList[i];
						
						var strFullAddr = "";
						strFullAddr += $.trim(items.defAddr);
						strFullAddr += items.house_num == "" ? "" : " " + $.trim(items.house_num);
						strFullAddr += items.bld_nm == "" ? "" : " " + $.trim(items.bld_nm);
						strFullAddr += items.sgg_bld_nm == "" ? "" : " " + $.trim(items.sgg_bld_nm);
						
						htmlTxt += Ns.Util.stringFormat('\
							<tr>\
								<td>{0}</td>\
								<td class="align-left">\
									<a href=\'javascript:PostView.event.onclick_postItem("{1}", "{2}", "{4}", "{5}", "{6}");\'>\
										<div class="sort"><span class="icon-b">지번</span></div>\
										<div class="sort"><span class="address-b">{3}</span></div>\
									</a>\
								</td>\
							</tr>', items.zipCode, items.zipCode, items.defAddr, strFullAddr, items.bld_nm, items.house_num,  items.sgg_bld_nm.replace(/'/g, "&apos;") );
					}
				}
				
				
				$("#tbodyPostListArea").html( htmlTxt );
			},
			
			/**
			 * 주소선택 화면에 data를 세팅한다.
			 */
			setStep3 : function (data){
				PostView.postList = null;
				var objData = JSON.parse(JSON.stringify(data));	// .object 카피
				var selectNum = 0;
				
				$("#divStep3list").hide();	// ...검증 주소 리스트 숨김
				
				
				PostView.postList = data.postList[selectNum];
				var strZip6 = objData.postList[0].ZIP6.replace(/ /g, "");
				var strZipr = objData.postList[0].ZIPR.replace(/ /g, "");
				
				// 검색된 값이 지번
				if (strZip6 == "" && strZipr == ""){
					strZip6 = $("#divStep2").find("input[name=step2_postno]").val();
				}
				
				strZip6 = strZip6 == "" ? "" : strZip6;
				strZipr = strZipr == "" ? "" : strZipr;
				
				var $divStep3 = $("#divStep3");
				
				$divStep3.find("input[name=step3_select]").eq(0).prop("disabled", false);	// 라디오 버튼 활성화로 초기화
				$divStep3.find("input[name=step3_select]").eq(1).prop("disabled", false);	// 라디오 버튼 활성화로 초기화
				
				// 라디오 버튼 디폴트 체크 세팅
				if (PostView.addrFlag == "L"){	// 지번
					$divStep3.find("input[name=step3_select]").eq(0).prop("checked", true);
					
					// 상세 주소가 없으면 이전 값으로 세팅
					if (objData.postList[0].ADDR1D2 == ""){
						objData.postList[0].ADDR1D2 = objData.addr2[0];
						
						// 지번 주소선택으로 넘어왔는데 도로명 기본주소 및 상세주소가 없으면 objData 삭제
						if (objData.postList[0].NADR1S == "" && objData.postList[0].NADR3S == ""){
							strZipr = "";
							objData.postList[0].NADR1S = "";
							objData.postList[0].NADR3S = "";
							objData.postList[0].NADRE = "";
						}
					}
				} else {	// 도로명
					$divStep3.find("input[name=step3_select]").eq(1).prop("checked", true);
					
					// 상세 주소가 없으면 이전 값으로 세팅
					if (objData.postList[0].NADR3S == ""){
						// 도로명 주소선택으로 넘어왔는데 지번 상세주소가 없으면 objData 삭제
						if (objData.postList[0].ADDR1D2 == ""){
							strZip6 = "";
							objData.postList[0].ADDR1D = "";
							objData.postList[0].ADDR1D2 = "";
						}
					}
				}
				console.log("PostView.addrFlag::"+PostView.addrFlag);
				// 도로명 주소의 기본 및 상세 주소 모두 비어 있지 않으면, '로', '길'로 잘라서 주소 재설정
				if (!(objData.postList[0].NADR1S == "" && objData.postList[0].NADR3S == "")){
					var objAddr = PostView.ui.cutAddr(objData.postList[0].NADR1S + " " + objData.postList[0].NADR3S); 
					objData.postList[0].NADR1S = objAddr.def;
					objData.postList[0].NADR3S = objAddr.det;
				}
				
				// 지번 우편번호가 없으면 disabled
				if (strZip6 == ""){
					if (objData.postList.length > 2){
						// 
					} else {
						$divStep3.find("input[name=step3_select]").eq(0).prop("disabled", true);
					}
					
				}
				
				// 도로명 우편번호가 없으면 disabled
				if (strZipr == ""){
					if (objData.postList.length > 2){
						//
					} else {
						$divStep3.find("input[name=step3_select]").eq(1).prop("disabled", true);
					}
				}

				$divStep3.find("#step3_postno_old").val(strZip6);
				$divStep3.find("#step3_address_old").val(objData.postList[0].ADDR1D);
				$divStep3.find("#step3_addrDetail_old").val(objData.postList[0].ADDR1D2);
				
				$divStep3.find("#step3_postno_new").val(strZipr);
				$divStep3.find("#step3_address_new").val(objData.postList[0].NADR1S);
				$divStep3.find("#step3_addrDetail_new").val(objData.postList[0].NADR3S);
				$divStep3.find("#step3_madre_new").val(objData.postList[0].NADRE);
				
				$("#divStep1").hide();
				$("#divStep2").hide();
				
				$divStep3.show();
				 
			},
			
			cutAddr : function(strAddr){
				var objData = new Object();
				
				var indexCount = 0;
				var nROcount = strAddr.lastIndexOf("로");
				var nGILcount = strAddr.lastIndexOf("길");
				
				if (nROcount >= nGILcount){
					indexCount = nROcount+1;
				} else if (nROcount <= nGILcount){
					indexCount = nGILcount+1;
				}
				
				if (indexCount == 0){
					indexCount = strAddr.length;
				}
				
				objData.def = $.trim(strAddr.substring(0, indexCount));	// 기본주소
				objData.det = $.trim(strAddr.substring(indexCount, strAddr.length));	// 상세주소
				
				return objData;
			}

		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//통합 주소 검색 
			onclick_btnTSearchAddr : function() {
				$("#divStep2").hide();
				PostView.addrFlag = "N";
				PostView.data.searchPostCode();
			},
			
			//지번 주소 검색. 
			onclick_btnGSearchAddr : function() {
				$("#divStep2").hide();
				PostView.addrFlag ="L";
				PostView.data.searchPostCode();
			},

			//주소 선택. 
			onclick_postItem : function(postno, address, addrDetail, sggBldNm ) {
				var strAddr = $.trim(address);
				strAddr += addrDetail == "" ? "" : " " + $.trim(addrDetail);
				
				var $divStep2 = $("#divStep2");
				
				if( PostView.addrFlag == "N"){
					$divStep2.find("input[name=step2_postno]").val(postno);	// 우편번호 세팅
					$divStep2.find("input[name=step2_address]").val(strAddr);	// 기본주소 세팅
					$divStep2.find("input[name=step2_sggDetail]").val("");	// 도로명 상세주소 세팅
				}else if( PostView.addrFlag == "L"){
					$divStep2.find("input[name=step2_postno]").val(postno);	// 우편번호 세팅
					$divStep2.find("input[name=step2_address]").val(strAddr);	// 기본주소 세팅
					$divStep2.find("input[name=step2_sggBldNm]").val(sggBldNm);	// 건물명 세팅
					$divStep2.find("input[name=step2_sggDetail]").val("");	// 도로명 상세주소 세팅
				}

				$divStep2.find("input[name=step2_addrDetail]").val("");	// 상세 주소
				$divStep2.find("#divStep2_old").show().end().find("#divStep2_new").hide().end().show();
				$divStep2.find("input[name=step2_addrDetail]").eq(0).focus();	// 상세 주소로 포커스 이동
				
			},
			
			// 선택주소사용 버튼 이벤트 처리
			onclick_btnStep2Next : function(){
				// 상세주소 입력 체크
				if( $("#divStep2").find("input[name=step2_addrDetail]").val() == ""){
					Ns.Popup.alert("상세주소를 입력해주세요.");
					return false;
				}
;
				PostView.data.searchStep2Next();
			},
			//리셋버튼
			onclick_btnReset : function(){
				$("#addrText").val('');
				$("#btnReset").hide();
			},
			
			//리셋버튼
			onclick_btnReset2 : function(){
				$("#addrText2").val('');
				$("#btnReset2").hide();
			},
			
			//X버튼 나오게 처리
			onclick_check : function(data){
				var checkvalue = $("#addrText").val();
				
				if( checkvalue  != "" ){
					$("#btnReset").show();
				}else if( checkvalue == ""){
					$("#btnReset").hide();
				}
				
			},
			//X버튼 나오게 처리
			onclick_check2 : function(data){
				var checkvalue = $("#addrText2").val();
				
				if( checkvalue  != "" ){
					$("#btnReset2").show();
				}else if( checkvalue == ""){
					$("#btnReset2").hide();
				}
			},
			
			// 이전단계 버튼 이벤트 처리
			onclick_btnBackStep2 : function(){
				$("#divStep3").hide();
				$("#divStep1").show();
				$("#divStep2").show();
			},
			
			// 선택주소사용 버튼 이벤트 처리
			onclick_btnStep3Next : function(){
				if (undefined == $("input[name=step3_select]:checked").val()){
					Ns.Popup.alert("사용하실 주소를 선택해 주세요.");
			        return false;
				}
				
				var $divStep3 = $("#divStep3");
				var strFlag = $("input[name=step3_select]:checked").val();
				
				if (strFlag == "L" && $divStep3.find("#step3_postno_old").val() == ""){
					Ns.Popup.alert("우편번호가 조회되지 않는 정상적인 주소가 아닙니다.<br />사용하실 다른 주소를 선택해 주세요.");
			        return false;
				} else if (strFlag == "N" && $divStep3.find("#step3_postno_new").val() == ""){
					Ns.Popup.alert("우편번호가 조회되지 않는 정상적인 주소가 아닙니다.<br />사용하실 다른 주소를 선택해 주세요.");
			        return false;
				}
				
				if (strFlag == "L" && $divStep3.find("#step3_addrDetail_old").val() == ""){
					Ns.Popup.alert("상세주소가 조회되지 않는 정상적인 주소가 아닙니다.<br />사용하실 다른 주소를 선택해 주세요.");
			        return false;
				} else if (strFlag == "N" && $divStep3.find("#step3_addrDetail_new").val() == "" && $divStep3.find("#step3_madre_new").val() == ""){
					Ns.Popup.alert("상세주소가 조회되지 않는 정상적인 주소가 아닙니다.<br />사용하실 다른 주소를 선택해 주세요.");
			        return false;
				}
				
				var postinfo = {};
				var tmpZip = strFlag == "L" ? $divStep3.find("#step3_postno_old").val() : $divStep3.find("#step3_postno_new").val();

				postinfo.postno =  tmpZip ;
				postinfo.addrFlag = strFlag;
				
				if ($divStep3.find("#step3_addrDetail_new").val() == "" && $divStep3.find("#step3_madre_new").val() != ""){
					postinfo.address = strFlag == "L" ? $divStep3.find("#step3_address_old").val() : $divStep3.find("#step3_address_new").val();
					postinfo.addrDetail = strFlag == "L" ? $divStep3.find("#step3_addrDetail_old").val() : $divStep3.find("#step3_madre_new").val();
				} else {
					postinfo.address = strFlag == "L" ? $divStep3.find("#step3_address_old").val() : $divStep3.find("#step3_madre_new").val() == "" ? $divStep3.find("#step3_address_new").val() : $divStep3.find("#step3_address_new").val() + " " + $divStep3.find("#step3_madre_new").val();
					postinfo.addrDetail = strFlag == "L" ? $divStep3.find("#step3_addrDetail_old").val() : $divStep3.find("#step3_addrDetail_new").val();
				}
				if ("N" == $("input[name=step3_select]:checked").val()) {
					postinfo.SEC_ADDRESS1 = $("#divStep3").find("#step3_address_old").val();
					postinfo.SEC_ADDRESS2 = $("#divStep3").find("#step3_addrDetail_old").val();
				}
				postinfo.postList = PostView.postList;
				
				PostView.callbackFuc( postinfo );
			}
		}
}; 


