
/* JavaScript content from js/common/linkView.js in folder common */

/* 
 *	타 도메인 Link 페이지.
 *  ID : linkView
 *  
*/
 
//page 컨트롤 클래스
CurrentView = {
		url : '',
		word : '',
		
		init : function( params ) {
			this.url = params.url;
			if (!Ns.Util.isNull(params.word) && params.word != undefined){
				this.word = decodeURI(params.word);
					//$("p[id=schWord]").text(CurrentView.word);
				$("strong[id=schWord1]").html("<p class=\"title\" id=\"schWord\">"+ CurrentView.word +"</p>" + "은 새창에서 확인 가능한 서비스입니다.");
	 
				if(!(mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "ios")){
					$("strong[id=schWord1]").append("<p class=\"sch_word\" id=\"schWord2\">새창이 안보일 경우 '팝업차단'을 해제해 주세요.</p>"); 
				} 
			} else{
				$("strong[id=schWord1]").text("새창에서 확인 가능한 서비스입니다.");
				
				if(!(mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "ios")){
					$("strong[id=schWord1]").append("<p class=\"sch_word\" id=\"schWord2\">새창이 안보일 경우 '팝업차단'을 해제해 주세요.</p>"); 
				} 
			}
 
			$("#linkSearchDescriptArea").show();
			
			this.initializeComponent();
			this.onLoad();
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function() {
			//통합 검색 조회
			this.data.linkView(this.url);
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
		
			linkView : function(likUrl) {
				// 데이터 유효성 체크
				if (Ns.Util.isNull(likUrl) || likUrl == undefined){
					return;
				}
				//Ns.Util.viewConsoleLog("LinkView Open :"+ likUrl );
				
				try{	
					if(mainCtrl.VIEW_TYPE == "android"){
						//Ns.Native.webView(1, likUrl);
						WL.App.openURL(likUrl);			
					}else if(mainCtrl.VIEW_TYPE == "ios"){
						//Ns.Native.linkView(2, likUrl);
						WL.App.openURL(likUrl);			
					}else{								
						window.open(likUrl, '엔에스쇼핑');								
					}
				}
				catch(e){
					Ns.Util.viewConsoleLog("(( Caught exception at \"" + 'linkView' + "\" -> " + e + " ))");
				}
			},
 		},
		
		//ui 관련 함수를 정의한다.
		ui : {
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
		},
		
		util : {
		}
};