
/* JavaScript content from js/common/nsmall.ui.js in folder common */

//GNB 영역에서 브랜드 또는 ALL BRANDS를 클릭했을 때 기본 인덱스 정보. 
var SEL_BRAND = {
	catalogId : "",
	categoryId : ""
};

var videojs;

/**
 * Description - 전역에서 자주 쓰이는 UI구조를 정의.
 */
var Ns = Ns || {};
var UICreator = function(){};
UICreator.prototype = {	/**
						 * *************************** ProductList start
						 * ******************************
						 */
	/**
	 * Description -상품 리스트형 or 이미지형 HTML 생성
	 * 
	 * Used Sample data => jsonArrayType
	 */
	productList : function(data, catalogId, categoryId, espotId, bannerId) {
		if(Ns.Util.isNull(catalogId)){
			catalogId = "";
		}
		if(Ns.Util.isNull(categoryId)){
			categoryId = "";
		}
		if(Ns.Util.isNull(espotId)){
			espotId = "";
		}
		if(Ns.Util.isNull(bannerId)){
			bannerId = "";
		}
		
		var imageSize = '';
		
		if( ($("#btnChangeView").length || $("ul").hasClass("item-display theme-a simple"))){
			imageSize = 'O';
		}else if( !( $("#btnChangeView").length || $("ul").hasClass("item-display theme-a simple") || $("ul").hasClass("item-display theme-a detail")) ){
			imageSize = 'O';
		}else{
			imageSize = 'H';
		}
		
		var resHtml = [];
		var i = 0;

		for ( var k = 0; k < data.length; k++) {
			var saleRate = data[k].saleRate;
			var brandName = data[k].brand_kor_nm;
			var brandCd = data[k].brandCd;
			var productName = data[k].itncatentrynm;
			var productType = data[k].dispTypeCd;
			var partNumber = data[k].partNumber;
			var price = data[k].priceofferprice;
			var salePrice = data[k].pricedcprice;

			var bestYn = data[k].defsort;
			var subscribeYn = data[k].priodDlvrYn;
			var deliveryPrice = data[k].dlvrPrice;
			var cardBnftList = data[k].cardBnftList;
			var couponBnftList = data[k].couponList;
			var interestFeeMonth = data[k].ifiValue;
			var isAdult = data[k].adultItemFlag;

			
			var strHeadCopy = data[k].headCopy;
			
			var noImageUrl = Const.NO_IMAGE_URL + 'noimage_' + imageSize + '.jpg';

			var busChId = data[k].busChnId;
			var multiCd = data[k].multiCd; 
			var catentryId = data[k].catentryId;

			var clickUrl = data[k].clickUrl; // 개인화 추천 상품인 경우에 값이 들어가 있음.

			//Wapers 2017.09.25 옵션대표가 flag
			var optRepYn = "";
			if(undefined != data[k].prcWaveDisp){
				optRepYn = data[k].prcWaveDisp;
			} else {
				// empty for purpose
			}

			// String null 체크
			if (clickUrl == 'null' || clickUrl == null) {
				clickUrl = '';
			}
			if (multiCd == 'null' || multiCd == null) {
				multiCd = '';
			}

			if (productType == '45' || productType == '57') {
				price = data[k].mmRntalPrc;
			}
			var isSale = false;
			if (salePrice != 0 && price != salePrice)
				isSale = true;

			resHtml[i++] = '<li class="items">';
			resHtml[i++] = '<div class="wrap">';
			resHtml[i++] = '<div class="thumbnail">';
			
			resHtml[i++] = '<a href="javascript:;" catentryId="' + catentryId
					+ '" catalog-id="' + catalogId + '" espot-id="' + espotId
					+ '" category-id="' + categoryId + '" part-number="'
					+ partNumber + '" clickUrl="' + clickUrl + '" multi-cd="'
					+ multiCd + '" banner-id="'+bannerId+'" id="btnDetail">';
			resHtml[i++] = '<img src="'
					+ Ns.Util.getImageUrl(partNumber, imageSize, isAdult)
					+ '" onerror="this.onerror=null;this.src=\'' + noImageUrl
					+ '\'" alt="" />';			
			
			resHtml[i++] = '</a>';

			if (Number(saleRate) > 0)
				resHtml[i++] = '<span class="tag item-event discount"><strong>'
						+ saleRate
						+ '</strong><span class="unit">%</span></span>';
			
			resHtml[i++] = '</div>';
			resHtml[i++] = '<div class="field">';
			resHtml[i++] = '<p class="title"><a href="javascript:;" catentryId="'
					+ catentryId
					+ '"  catalog-id="'
					+ catalogId
					+ '" espot-id="'
					+ espotId
					+ '" category-id="'
					+ categoryId
					+ '" part-number="'
					+ partNumber
					+ '"banner-id="'
					+ bannerId
					+ '" clickUrl="'
					+ clickUrl + '" multi-cd="' + multiCd + '" id="btnDetail">';
			
			if (undefined != strHeadCopy && null !== strHeadCopy && strHeadCopy != ""){
				resHtml[i++] = "<span style='color : #3EA9D5;'>" + strHeadCopy + "</span>";
			}
			
			if (brandCd == "200000" || brandCd == "250000 " || busChId == 'SB')
				resHtml[i++] = '<strong>' + productName + '</strong>';
			else
				resHtml[i++] = '<strong>[' + brandName + '] ' + productName
						+ '</strong>';
			resHtml[i++] = '</a></p>';
			resHtml[i++] = '<div class="data-info">';
			resHtml[i++] = '<p class="price">';

			//Wapers 2017.09.25 옵션대표가 적용 - List형
			var strPriceDefault = "";
			var strPriceSelling = "";
			
			if(optRepYn == "~"){
				strPriceDefault = '</strong><span class="unit">원~</span></del></span>';
				strPriceSelling = '</strong><span class="unit">원~</span></ins></span>';
				
			} else {
				strPriceDefault = '</strong><span class="unit">원</span></del></span>';
				strPriceSelling = '</strong><span class="unit">원</span></ins></span>';
			}			
			
			if (isSale) {
				resHtml[i++] = '<span class="price-default"><strong class="head">판매가</strong> <del class="text"><strong>'
						+ Ns.Util.insertCommas(price)
						+ strPriceDefault;
				resHtml[i++] = '<span class="price-selling"><strong class="head">알뜰할인가</strong> <ins class="text"><strong>'
						+ Ns.Util.insertCommas(salePrice)
						+ strPriceSelling;
			} else {
				resHtml[i++] = '<span class="price-selling"><strong class="head">판매가</strong> <ins class="text"><strong>'
						+ Ns.Util.insertCommas(price)
						+ strPriceSelling;
			}

			resHtml[i++] = '</p>';
			resHtml[i++] = '</div>';
			resHtml[i++] = '</div>';
			resHtml[i++] = '</div>';
			resHtml[i++] = '<div class="more-info">';

			if (bestYn == 'Y')
				resHtml[i++] = '<span class="tag item-feature best-item"><span class="head">베스트</span></span>&nbsp;';

			if (Number(deliveryPrice) == 0)
				resHtml[i++] = '<span class="tag item-feature delivery-free"><span class="head">무료배송</span></span>&nbsp;';

			if (couponBnftList != null && couponBnftList.length > 0 ){
				for(var j=0; j<couponBnftList.length; j++){
					resHtml[i++] = this.getCouponBenefit(couponBnftList, j);
				}
			}
			
			if (cardBnftList != null && cardBnftList.length > 0)
				resHtml[i++] = '<span class="tag item-feature discount-card"><span class="head">카드할인</span> <span class="text">'
						+ this.getCardBenefit(cardBnftList, price)
						+ '</span></span>&nbsp;';

			if (Number(interestFeeMonth) > 0)
				resHtml[i++] = '<span class="tag item-feature interest-free"><span class="head">무이자할부</span> <span class="text">'
						+ interestFeeMonth + '</span></span>';

			resHtml[i++] = '</div>';
			resHtml[i++] = '</li>';
		}
		return resHtml.join('');
	},

	/**
	 * Description 프리미엄장보기 상품리스트(이미지형) - productList와 유사함. 프리미엄 스토리만 더 추가됨.
	 */
	premiumProductList : function(data, catalogId, categoryId) {
		if(Ns.Util.isNull(catalogId)){
			catalogId = "";
		}
		if(Ns.Util.isNull(categoryId)){
			categoryId = "";
		}
		
		var imageSize = '';
		
		if( ($("#btnChangeView").length || $("ul").hasClass("item-display theme-a simple"))){
			imageSize = 'O';
		}else if( !($("#btnChangeView").length || $("ul").hasClass("item-display theme-a simple") || $("ul").hasClass("item-display theme-a detail")) ){
			imageSize = 'O';
		}else{
			imageSize = 'H';
		}
		
		var resHtml = [];

		var i = 0;
		
		for ( var k = 0; k < data.length; k++) {
			var saleRate = data[k].saleRate;
			var brandCd = data[k].brandCd;
			var brandName = data[k].brand_kor_nm;
			var productName = data[k].itncatentrynm;
			var productType = data[k].dispTypeCd;
			var partNumber = data[k].partNumber;
			var price = data[k].priceofferprice;
			var salePrice = data[k].pricedcprice;

			var bestYn = data[k].defsort;
			var subscribeYn = data[k].priodDlvrYn;
			var deliveryPrice = data[k].dlvrPrice;
			var cardBnftList = data[k].cardBnftList;
			var couponBnftList = data[k].couponList;
			var interestFeeMonth = data[k].ifiValue;
			var noImageUrl = Const.NO_IMAGE_URL + 'noimage_' + imageSize + '.jpg';
			var busChId = data[k].busChnId;
			var storyYn = data[k].storyYn;
			var multiCd = data[k].multiCd;
			var catentryId = data[k].catentryId;
			var espotId = data[k].espotId;

			var strHeadCopy = data[k].headCopy;
			var adultItemFlag = data[k].adultItemFlag; //Ssong 추가
			
			//Wapers 2017.09.25 옵션대표가 flag
			var optRepYn = "";
			if(undefined != data[k].prcWaveDisp){
				optRepYn = data[k].prcWaveDisp;
			} else {
				// empty for purpose
			}
			
			if (productType == '45' || productType == '57') {
				price = data[k].mmRntalPrc;
			}
			var isSale = false;
			if (salePrice != 0 && price != salePrice)
				isSale = true;

			resHtml[i++] = '<li class="items">';
			resHtml[i++] = '<div class="wrap">';
			resHtml[i++] = '<div class="thumbnail">';

			resHtml[i++] = '<a href="javascript:;" id="btnDetail" catentryId="'
					+ catentryId + '"  catalog-id="' + catalogId
					+ '" espot-id="' + espotId + '" category-id="' + categoryId
					+ '" part-number="' + partNumber + '" multi-cd="' + multiCd
					+ '" >';			
			
			
			resHtml[i++] = '<img src="'
					+ Ns.Util.getImageUrl(partNumber, imageSize,adultItemFlag) 
					+ '" onerror="this.onerror=null;this.src=\'' + noImageUrl
					+ '\'" alt="상품 이미지">';
			resHtml[i++] = '</a>';

			if (Number(saleRate) > 0)
				resHtml[i++] = '<span class="tag item-event discount"><strong>'
						+ saleRate
						+ '</strong><span class="unit">%</span></span>';

			if (storyYn == "Y")
				resHtml[i++] = '<a class="btn medium g_comuni" href="javascript:;" id="btnStory" part-number="'
						+ partNumber + '" ><span>상품평</span></a>';
			
			resHtml[i++] = '</div>';
			resHtml[i++] = '<div class="field">';
			resHtml[i++] = '<p class="title"><a href="javascript:;" id="btnDetail" catentryId="'
					+ catentryId
					+ '"  catalog-id="'
					+ catalogId
					+ '" espot-id="'
					+ espotId
					+ '" category-id="'
					+ categoryId
					+ '" part-number="'
					+ partNumber
					+ '" multi-cd="'
					+ multiCd
					+ '">';

			if (undefined != strHeadCopy && null !== strHeadCopy && strHeadCopy != ""){
				resHtml[i++] = "<span style='color : #3EA9D5;'>" + strHeadCopy + "</span>";
			}
			
			if (brandCd == "200000" || brandCd == "250000 ")
				resHtml[i++] = '<strong>' + productName + '</strong>';
			else
				resHtml[i++] = '<strong>[' + brandName + '] ' + productName
						+ '</strong>';
			resHtml[i++] = '</a></p>';
			resHtml[i++] = '<div class="data-info">';
			resHtml[i++] = '<p class="price">';

			//Wapers 2017.09.25 옵션대표가 적용 - 프리미엄장보기 
			var strPriceDefault = "";
			var strPriceSelling = "";
			
			if(optRepYn == "~"){
				strPriceDefault = '</strong><span class="unit">원~</span></del></span>';
				strPriceSelling = '</strong><span class="unit">원~</span></ins></span>';
				
			} else {
				strPriceDefault = '</strong><span class="unit">원</span></del></span>';
				strPriceSelling = '</strong><span class="unit">원</span></ins></span>';
			}	
			
			if (isSale) {
				resHtml[i++] = '<span class="price-default"><strong class="head">판매가</strong> <del class="text"><strong>'
						+ Ns.Util.insertCommas(price)
						+ strPriceDefault;
				resHtml[i++] = '<span class="price-selling"><strong class="head">알뜰할인가</strong> <ins class="text"><strong>'
						+ Ns.Util.insertCommas(salePrice)
						+ strPriceSelling;
			} else {
				resHtml[i++] = '<span class="price-selling"><strong class="head">판매가</strong> <ins class="text"><strong>'
						+ Ns.Util.insertCommas(price)
						+ strPriceSelling;
			}

			resHtml[i++] = '</p>';
			resHtml[i++] = '</div>';
			resHtml[i++] = '</div>';
			resHtml[i++] = '</div>';
			resHtml[i++] = '<div class="more-info">';

			if (bestYn == 'Y')
				resHtml[i++] = '<span class="tag item-feature best-item"><span class="head">베스트</span></span>&nbsp;';


			if (Number(deliveryPrice) == 0)
				resHtml[i++] = '<span class="tag item-feature delivery-free"><span class="head">무료배송</span></span>&nbsp;';

			if (couponBnftList != null && couponBnftList.length > 0)
				for(var j=0; j<couponBnftList.length; j++){
					resHtml[i++] = this.getCouponBenefit(couponBnftList, j);
				}

			if (cardBnftList != null && cardBnftList.length > 0)
				resHtml[i++] = '<span class="tag item-feature discount-card"><span class="head">카드할인</span> <span class="text">'
						+ this.getCardBenefit(cardBnftList, price)
						+ '</span></span>&nbsp;';

			if (Number(interestFeeMonth) > 0)
				resHtml[i++] = '<span class="tag item-feature interest-free"><span class="head">무이자할부</span> <span class="text">'
						+ interestFeeMonth + '</span></span>';

			resHtml[i++] = '</div>';
			resHtml[i++] = '</li>';
		}

		return resHtml.join('');
	},

	/**
	 * Description - 카드할인율 - 상품리스트 카드혜택목록에서 카드할인 속성 추출 - 정액을 정률로 변환하여 가장 높은 할인율의
	 * 정액 or 정률을 출력한다.
	 */
	getCardBenefit : function(cardList, price) {
		Ns.Util.viewConsoleLog("[cardList] >> " + cardList);
		var retVal = "";
		var temp = 0;
		var maxIdx = 0;
		for ( var i = 0; i < cardList.length; i++) {
			var compType = cardList[i].cardBnftSpr; // 정액 : 1, 정률 : 2
			var compVal = cardList[i].cardBnftVal; // 카드 할인율/할인액

			if (compType == 2) {
				compVal = compVal * (price / 100);
			}

			if (compVal > temp) {
				temp = compVal;
				maxIdx = i;
			}
		}

		var type = cardList[maxIdx].cardBnftSpr;
		var bnftVal = cardList[maxIdx].cardBnftVal;

		if (type == 1) {
			retVal = Ns.Util.insertCommas(parseInt(bnftVal)) + "원";
		} else {
			retVal = parseInt(bnftVal) + "%";
		}

		return retVal;
	},
	/**
	 * Description - 쿠폰 할인율 - 상품리스트 쿠폰혜택목록에서 쿠폰할인 속성 추출 - 정액을 정률로 변환하여 가장 높은
	 * 할인율의 정액 or 정률을 출력한다.
	 */
	getCouponBenefit : function(couponList, idx) {
		var retVal = "";

		var type = couponList[idx].couponType;
		switch(type){
			case "10" : retVal = '<span class="tag item-feature discount-sale"><span class="head">할인</span></span>&nbsp;'; break;
			case "20" : retVal = '<span class="tag item-feature discount-sale2"><span class="head">더할인</span></span>&nbsp;'; break;
			case "30" : retVal = '<span class="tag item-feature discount-sale3"><span class="head">알뜰</span></span>&nbsp;'; break;
		};
		
		return retVal;
	},
	productListAreaEventInit : function(areaId, sbCode) {
		$(areaId).find("a").unbind().bind("click", function() {
			if (this.id == "btnDetail") {
				var target = $(this);
				var espotId = target.attr("espot-id");
				var catalogId = target.attr("catalog-id");
				var catentryId = target.attr("catentryId");
				var categoryId = target.attr("category-id");
				var partNumber = target.attr("part-number");
				var clickUrl = target.attr("clickUrl");
				var multiCd = target.attr("multi-cd");
				var bannerId = target.attr("banner-id");

				var params = {};
				params.catalogId = catalogId; // 카탈로그 아이디(몰 아이디)
				params.categoryId = categoryId; // 카테고리 아이디
				params.catentryId = catentryId;
				params.partNumber = partNumber; // 상품코드
				params.multiCd = multiCd; // 멀티코드 (채널정보 SB인경우)
				params.sbCode = sbCode; // 쇼핑북 코드
				params.clickUrl = clickUrl;

				params.p_bannerid = bannerId;
				params.p_espotid = espotId;
				
				if (undefined != CurrentView.catgroupId){
					params.catgroupId = CurrentView.catgroupId;
				}
				
				mainCtrl.gotoProductDetail(params);

			} else if (this.id == "btnStory") {
				var partNumber = $(this).attr('part-number');
				var params = new Object();
				params.partNumber = partNumber;
				if (undefined != CurrentView.catgroupId){
					params.catgroupId = CurrentView.catgroupId;
				}
				
				mainCtrl.navigate('M_G4141001M', params);
			} else if (this.id == "btnDesignerList") { // 디자이너스에서 상품 전체 보기 버튼.
				var catalogId = $(this).attr("catalog-id");
				var categoryId = $(this).attr("category-id");
				var categoryNm = $(this).attr("category-nm");

				var invoke = {
					categoryId : categoryId,
					catalogId : catalogId,
					categoryNm : categoryNm
				};
				if (undefined != CurrentView.catgroupId){
					invoke.catgroupId = CurrentView.catgroupId;
				}
				
				mainCtrl.navigate("M_G2130000M", invoke);
			} else
				return false;
		});
	},

	/**
	 * *************************** ProductList end
	 * ******************************
	 */
	/** **************************** Swipe start ****************************** */
	/**
	 * Description - $( container ).nsSwipe(); params - containerSelector(필수) :
	 * container selector - pageNationSel(선택): pageNation selector, - margin(선택) :
	 * margin value
	 */
	nsSwipeTypeAnimation : function(containerSelector, pageNationSel, margin) {
		var itemMargin = margin || 5;
		var pageNaviId = pageNationSel || null;
		var pageNavi = null;
		var swipe = $(containerSelector);
		var themCountLens = swipe.find('.items').length;

		if (themCountLens == 0)
			return;

		if (pageNaviId == null) {
			pageNavi = $(containerSelector).find('.pagination');
			pageNavi.html('1/' + themCountLens);

			if (pageNavi.length > 0) {
				$(swipe).nsSwipe({
					pagination : pageNaviId,
					margin : itemMargin,
					endFn : function(index, $element) {
						pageNavi.html((index + 1) + '/' + themCountLens);
					}
				});
			} else {
				$(swipe).nsSwipe({
					margin : itemMargin
				});
			}
		} else {
			pageNavi = $(pageNationSel);
			pageNavi.html('1/' + themCountLens);
			$(swipe).nsSwipe({
				margin : itemMargin,
				endFn : function(index, $element) {
					pageNavi.html((index + 1) + '/' + themCountLens);
				}
			});
		}
	},

	/**
	 * Description - $( container ).SwipeSet(); 함수로 세팅된 부분
	 */
	swipeSetTypeAnimation : function(containerSelector, itemSel, callback) {
		var itemCnt = $(containerSelector).find(itemSel).length;

		if (itemCnt == 0)
			return;
		var resHtml = "";
		for ( var i = 0; i < itemCnt; i++) {
			if (i == 0) {
				resHtml += '<li><a href="javascript:;" class="active">'
						+ (i + 1) + '</a></li>';
			} else {
				resHtml += '<li><a href="javascript:;">' + (i + 1)
						+ '</a></li>';
			}
		}

		$(containerSelector).find('.ico_dot').html(resHtml);

		if (callback != null)
			$(containerSelector).SwipeSet(callback);
		else
			$(containerSelector).SwipeSet();
	},
	// 스와이프 영역 내의 아이템이 DIV 로 구성된 종류...
	setSwiper : function(containerId, paginationId) {
		if (paginationId == null || paginationId == "")
			paginationId = '.pagination';
		
		var swipe = new Swiper(containerId, {
			pagination : {
				el : paginationId,
				clickable : true
			},
			loop : true,
			grabCursor : true,
			navigation :{
				nextEl : '.arrow-right',
				prevEl : '.arrow-left',
			},
		});	

		var swipeCount = $(containerId).find('div.swiper-slide').length - 2; // 왼쪽.
																				// 오른쪽
																				// 이미지
																				// 버튼
																				// 영역이
																				// 똑같은
																				// div.swiper-slide
																				// 로
																				// 설정되어
																				// 있어서
																				// 어쩔수
																				// 없이.
																				// ㅋㅋㅋㅋ
		if (swipeCount == 1) {
			$('.arrow-left').hide();
			$('.arrow-right').hide();
		}
	},

	/** **************************** Swipe end ****************************** */
	/**
	 * *********************** PageNavigation start
	 * ******************************
	 */
	/**
	 * Description - pageHtml을 생성해서 리턴 params - totalCount : 전체건수 - curPage :
	 * 현재페이지 - recordSize : 한 페이지에 출력되는 수 - fncName : 호출function
	 */
	getPageNavigation : function(totalCount, curPage, recordSize, fncName) {
		var pageSize = 5; // 한 화면에 보여지는 번호 수 셋팅
		var startPage = totalCount <= 0 ? 1 : Math.floor((curPage - 1)
				/ pageSize)
				* pageSize + 1;
		var endPage = totalCount <= 0 ? 1 : Math.floor((totalCount - 1)
				/ recordSize) + 1;
		var prevPage = curPage > pageSize ? startPage - 1 : 1;
		var nextPage = startPage + pageSize <= endPage ? startPage + pageSize
				: endPage;

		var html = "";
		// Left
		if (curPage != 1) {
			html += '<a class="btn prev" href='
					+ Ns.UI.getFunContent(prevPage, fncName) + '>';
			html += '<span>이전</span>';
			html += '</a>';
			html += '<span class="paging">';
		} else {
			html += '<a class="btn prev">';
			html += '<span>이전</span>';
			html += '</a>';
			html += '<span class="paging">';
		}

		// Center
		for ( var i = startPage, iMax = startPage + pageSize - 1; i <= iMax
				&& i <= endPage; i++) {
			if (i == curPage) {
				html += ' <a class="active">' + i + '</a>';
			} else {
				html += ' <a href=' + Ns.UI.getFunContent(i, fncName) + '>' + i
						+ '</a>';
			}
		}
		// Right
		if (curPage != endPage) {
			html += '</span>';
			html += ' <a class="btn next" href='
					+ Ns.UI.getFunContent(nextPage, fncName) + '>';
			html += '<span>다음</span>';
		} else {
			html += '</span>';
			html += ' <a class="btn next">';
			html += '<span>다음</span>';
		}
		if (curPage != endPage)
			html += '</a>';

		return html;
	},

	/**
	 * Description - 호출function에 현재 조회 할 페이지 리턴 params - pageNo : 조회 할 페이지 값 -
	 * fncName : 호출function
	 */
	getFunContent : function(pageNo, fncName) {
		return '"javascript:' + fncName + '(' + pageNo + ');"';
	},

	/**
	 * Description - 스크롤 페이징 이벤트 세팅 params - cbFunc 이벤트 콜백함수 - params 콜백함수로 넘겨줄
	 * 파라미터
	 */
	setScrollPage : function(cbFunc, params , height) {
		$(window).unbind('scroll')
				.bind(
						'scroll',
						function() {
							var h = height || 100; 
							if ($(window).scrollTop() + $(window).height() > $(document).height() - h) {
								cbFunc(params);
							}
						});
	},

	// 스크롤 이벤트 해제
	clearScrollPage : function() {
		//스크롤 이동 재설정
		$(window).unbind('scroll').bind( function(){
			if(document.body.scrollTop >= 10 || document.documentElement.scrollTop >= 10)
				//top버튼 활성화
				$('#btnTop').show();
			else
				$('#btnTop').hide();
		});
	},

	// 스크롤 페이지 이벤트
	/*
	 * execFunc : 조회를 실행할 function. 필수 전역 변수 CurrentView.totalCount : 총 레코드 개수
	 * CurrentView.pageSize : 페이지 사이즈. CurrentView.pageIdx : 페이지 번호
	 * CurrentView.pushFullEvent : pushfull 이벤트가 진행중인가? transaction callback
	 * function에서 CurrentView.pushFullEvent를 false로 셋팅해준다.
	 */
	startPushFullEvent : function(execFunc, strType) {
		$(window)
				.scroll(
						function() {
							
							//검색 화면에서 스크롤 이벤트에 의한 footer 영역 감추기 처리
							if(strType != undefined && strType == 'search'){
								//검색UI개편 하단 영역 제거 처리
								var filter_scr = $('.content-primary').offset().top;
								if($(window).scrollTop() > filter_scr){
									$('#util').removeClass("active"); //footer 메뉴 숨김
								}else{
									$('#util').addClass("active");//footer 메뉴 보임
								}
							}
							
							var de = document.documentElement;
							var b = document.body;

							var scrollHeight = (de.scrollTop == 0 ? b.scrollTop
									: de.scrollTop)
									+ $(window).height();
							var documentHeight = $(document).height();
							
							if (undefined == strType || strType != "" || strType != "normal"){
								var endPage = Math.floor((CurrentView.totalCount - 1) / CurrentView.pageSize) + 1;
								if (endPage == CurrentView.pageIdx) {
									CurrentView.pushFullEvent = true;
									return;
								}
							}
							
							if (scrollHeight > (documentHeight - 272)) {
								if (CurrentView.pushFullEvent == false) {
									CurrentView.pushFullEvent = true;
									
									if (undefined == strType || strType != "" || strType != "normal"){
										if (CurrentView.pageIdx > 1 && ((CurrentView.pageSize * CurrentView.pageIdx) > CurrentView.totalCount)) {
											CurrentView.pushFullEvent = true;
											return;
										}
									}
									
									CurrentView.pageIdx++;
									execFunc();
								}
							}
							
							if(document.body.scrollTop >= 10 || document.documentElement.scrollTop >= 10)
								//top버튼 활성화
								$('#btnTop').show();
							
							else
								$('#btnTop').hide();
						});
	},
	/**
	 * *********************** PageNavigation start
	 * ******************************
	 */
	/** *************************** Espot start ****************************** */
	/**
	 * Description - 이스팟 데이터에서 아이디에 해당하는 상품목록을 가져옴. - productDetail Object에 담겨있는
	 * 상품정보를 묶는다. params - data : tran을 통해 가져온 데이터 - nameArray : 이스팟 아이디 배열
	 * return - ArrayType
	 * 
	 */
	getEspotProductList : function(data, nameArray) {
		var retItems = new Array();
		for ( var i = 0; i < nameArray.length; i++) {
			var productList = data.msg.root["_" + nameArray[i]] || null;

			if (productList == null)
				continue;

			for ( var k = 0; k < productList.length; k++) {

				if (productList[k].productDetail == null)
					continue;

				var productItem = productList[k].productDetail;
				productItem.espotId = productList[k].espotId;
				retItems.push(productItem);
			}
		}
		return retItems;
	},

	/**
	 * Description - 이스팟 데이터에서 아이디에 해당하는 컨텐츠목록을 가져옴. params - data : tran을 통해
	 * 가져온 데이터 - nameArray : 이스팟 아이디 배열 return - ArrayType
	 */
	getEspotContentList : function(data, nameArray) {
		var retItems = new Array();
		for ( var i = 0; i < nameArray.length; i++) {
			var contentList = data.msg.root["_" + nameArray[i]];
			for ( var k = 0; k < contentList.length; k++) {
				retItems.push(contentList[k]);
			}
		}
		return retItems;
	},

	/**
	 * Description - 이스팟 네임 배열과 타입으로 인풋 파라미터를 생성해줌. params - nameArray : 이스팟 아이디
	 * 배열 - type : 인풋타입 (상품형 : |Product, 배너형 : |Content, 상품리스트형: |Category)
	 */
	createEspotReqInput : function(nameArr, type) {

		if (type != "|Product" && type != "|Content" && type != "|Category") {
			alert("[" + type + "]타입은 존재하지 않습니다.");
			return;
		}

		var resStr = "";
		for ( var i = 0; i < nameArr.length; i++) {
			if (i == nameArr.length - 1) {
				resStr += nameArr[i] + type;
			} else {
				resStr += nameArr[i] + type + "$";
			}
		}
		return resStr;
	},

	/**
	 * Description - 이스팟 배너 에러이미지명을 생성 params - imgUrl
	 */
	getEspotBannerImgUrl : function(imgUrl) {
		var imgArr = imgUrl.split("/");
		var fileName = "(m)" + imgArr[imgArr.length - 1];
		// 마지막 요소 삭제
		imgArr.pop();
		imgArr.push(fileName);

		return imgArr.join('/');
	},

	/**
	 * Description - 이스팟배너 영역 이벤트 세팅 params - espotAreaSelector : 이스팟 영역 셀렉터 -
	 * categoryId : 카테고리 아이디
	 */
	espotAreaEventInit : function(espotAreaSelector) {
		$(espotAreaSelector).find("a#btnEspot").unbind().bind(
				"click",
				function() {
					var espotId = $(this).attr("espot-id");
					var clickTarget = $(this).attr("click-target");
					var clickCode = $(this).attr("click-code");
					var mdUrl = $(this).attr("md-url");
					var contentsId = $(this).attr("contents-id");
					var catalogId = $(this).attr("catalogId");
					
					Ns.UI.espotClickEvent(clickTarget, contentsId, clickCode,
							espotId, mdUrl, null , null, catalogId);
				});

	},

	// 위의 function과 동일함.
	// isFlashSaleFood - 해피딜 트렌드관에서 넘어올 경우.
	espotClickEvent : function(target, contentsId, clickCode, espotId, mdUrl,
			isFlashSaleFood, kitchenId, catalogId, sbCode, sortType, eventSequence) {
		var invoke = {};
		invoke.p_espotid = espotId; // 이스팟 아이디
		invoke.p_bannerid = contentsId;
		invoke.eventSequence = eventSequence;
		
		
		if (null != mdUrl && undefined != mdUrl && "" != mdUrl){
			mdUrl = Ns.Util.replaceAll(mdUrl, "&amp;", "&");
		}
		
		if (!Ns.Util.isNull(catalogId))
			invoke.catalogId = catalogId;

		if (target == "Product") {
			if (!Ns.Util.isNull(sbCode))
				invoke.sbCode = sbCode;
			invoke.partNumber = clickCode; // 상품코드 (backend)
			mainCtrl.gotoProductDetail(invoke); // 상품상세 페이지로 이동.
		} else if (target == "Category") { // Category
			var categoryId = Number(clickCode);

			if (!Ns.Util.isNull(kitchenId)) {
				invoke.kitchenCode = clickCode;
				invoke.sortCriteria = sortType;
				mainCtrl.gotoProductList(invoke, "kitchenCode"); // 상품 목록 페이지로 이동.
				return false;
			}

			if (!Ns.Util.isNull(sbCode)) {
				invoke.catalogId = catalogId;
				invoke.categoryId = categoryId;
				invoke.sbCode = sbCode;

				mainCtrl.gotoProductList(invoke, "sbCode"); // 상품 목록 페이지로 이동.
				return false;
			}

			if (!Ns.Util.isNull(isFlashSaleFood)) {
				invoke.categoryId = categoryId;
				mainCtrl.gotoProductList(invoke, "flashsale");
				return false;
			}

			if (categoryId < 0) {
				invoke.catgroupId = categoryId;

				// 일반 기획전인지 초이스기획전인지 구분
				tran.callWCSJsonTran('NSTimesPrmtAjax', {
					processFlag : "mobileType",
					catgroupId : categoryId
				}, function(data) {
					if (data.msg.TitleInfoMap.TEMPLETTYPECD == 'F')
						mainCtrl.navigate("M_G1100032M", invoke); // 초이스 기획전
					else
						mainCtrl.navigate("M_G1100031M", invoke); // 일반 기획전
				});
			} else {
				invoke.categoryId = categoryId;
				mainCtrl.gotoProductList(invoke); // 상품 목록 페이지로 이동.
			}

		} else if (target == "Internal") { // Internal - 내부 경로 : 페이지로 이동.
			if (mdUrl.substr(0, 4) == "file") {
				var id = mdUrl.substring(mdUrl.lastIndexOf('/')+1);

				if ( PAGE.event[id] ) {
					mainCtrl.navigate(id);
				} else {
					Ns.Popup.alert("종료된 이벤트 입니다.");
				}
			} else {
				Ns.UI.gotoInternalPage(contentsId, espotId, mdUrl);
			}
		} else if (target == "External") { // External - 외부경로
			//외부경로가 자기자신(m.nsmall.com)일때는 내부경로로 이동
			if(mdUrl.indexOf(".nsmall.com") > -1 ){
				var alias = mdUrl.substring(mdUrl.lastIndexOf('/')+1);
				var param = {};
				
				//파라미터가 있을경우 구분
				if (alias.indexOf('?') > -1) {
					param = alias.substring(alias.indexOf('?'));
					alias = alias.substring(0,alias.indexOf('?'));
					
					//invoke의 espotId 와 contentsId를 urlString값으로 임시 변경
					param = param + "&" + Ns.Util.objectToQueryString(invoke);
					param = Ns.Util.getBroadCastParam(param);
				}else{
					//파라미터가 없을 경우 espot 정보만 추가
					param = invoke;
				}
				
				//이벤트명 체크 파라미터 (임시)
				param.eventName = alias;
				alias = Ns.UI.getPageIdByAlias(alias);
				//이동 페이지가 이벤트인가?
				if( param.eventName == "NSTimesEventList" ){
					if(PAGE.eventTabPage[alias]){
						//이벤트 탭 페이지 일 경우
						mainCtrl.navigate( alias , param );
					}else{
						//이벤트 탭 페이지가 아닐경우
						mainCtrl.navigate( 'M_G1100021M' , param );
					}
				}else{
					mainCtrl.navigate( alias , param );
				}
			}else{
				WL.App.openURL(mdUrl, "External");
			}
		} else {
			Ns.Util.viewConsoleLog("clickTarget: [" + target + "] 오류입니다.");
		}
	},
	
	/**
	 * Espot에서 받아온 mdUrl에 해당되는 Page ID를 반환한다.
	 * @param target
	 * @param url
	 * @returns
	 */
	getPageIdByEspotUrl : function(target, mdUrl) {
		
		var alias = "";
		
		if (target == "Product") {
			alias = "ProductDisplay";
		} else if (target == "Category") { // Category
			alias = "ProductDpList";
		} else if (target == "Internal") { // Internal - 내부 경로
			var alias = mdUrl.substring(mdUrl.lastIndexOf('/') + 1);
			if (alias.indexOf('?') > -1) {
				alias = alias.substring(0, alias.indexOf('?'));
			}
		} else if (target == "External") { // External - 외부경로
			if (mdUrl.indexOf(".nsmall.com") > -1) {
				var alias = mdUrl.substring(mdUrl.lastIndexOf('/') + 1);
				if (alias.indexOf('?') > -1) {
					alias = alias.substring(0, alias.indexOf('?'));
				}
			} else {
				return "";
			}
		} else {
			Ns.Util.viewConsoleLog("clickTarget: [" + target + "] 오류입니다.");
		}
		var pageId = null;

		for (name in PAGE_CONFIG) {
			if (PAGE_CONFIG[name].alias == alias) {
				pageId = name;
				break;
			}
		}
		
		return pageId;
	},

	// espot에서 clickTarget이 Internal로 들어왔을 때, page.js의 PAGE_CONFIG의 property 중
	// alias 정보를 통해 페이지 이동한다.
	gotoInternalPage : function(bannerId, espotId, mdUrl) {
		// sample internal value:
		// \/NSTimesEventList?processFlag=View&event_id=100000003276&themeTabSeq=8&catalogId=97001&langId=-9&storeId=13001&cmdType=102&offerIdfr=100000003276
		var invoke = {};

		try {
			var tmp = mdUrl.split("?");
			var alias = tmp[0];
			alias = alias.replace("\/", "");

			var pageId = Ns.UI.getPageIdByAlias(alias);
			if (pageId == null) {
				Ns.Popup.alert("잘못된 MD URL 정보입니다."/* + mdUrl*/);
				return false;
			}

			if (tmp.length > 1) {
				var paramStr = tmp[1].split("&");

				invoke.bannerId = bannerId;
				invoke.espotId = espotId;

				for ( var k = 0; k < paramStr.length; k++) {
					var item = paramStr[k];
					var param = item.split("=");

					invoke[param[0]] = param[1];
				}
			}

			mainCtrl.navigate(pageId, invoke);
		} catch (e) {
			alert("잘못된 URL입니다.\n" + e);
		}
	},

	// alias로 pageId 가져오기. nsmall.page.js - PAGE_CONFIG
	getPageIdByAlias : function(alias) {
		var pageId = null;

		for (name in PAGE_CONFIG) {
			if (PAGE_CONFIG[name].alias == alias) {
				pageId = name;
				break;
			}
		}

		return pageId;
	},

	// mainContent type
	espotMainContentType : function(data , catalogId) {
		var resHtml = [];
		var i = 0;

		for ( var k = 0; k < data.length; k++) {

			var protocol = "http:";
			var imgUrl = protocol + Ns.UI.getEspotBannerImgUrl(data[k].imgUrl);
			var replaceUrl = protocol + data[k].imgUrl;

			var espotId = data[k].espotId;
			var clickTarget = data[k].clickTarget;
			var clickCode = data[k].clickCode; // 파라미터로 넘겨줄 코드
			var mdUrl = data[k].mdUrl;
			var bannerId = data[k].contentsId;

			resHtml[i++] = '<div>';
			resHtml[i++] = '<div class="bnn-img">';
			resHtml[i++] = '<a href="javascript:;" id="btnEspot" espot-id="'
					+ espotId + '" click-target="' + clickTarget
					+ '" click-code="' + clickCode + '" md-url="' + mdUrl
					+ '" catalogId=' + catalogId + ' banner-id="'+bannerId+'">';
			resHtml[i++] = '<img src="' + imgUrl
					+ '" onerror="this.onerror=null;this.src=\'' + replaceUrl
					+ '\'" alt="상품이미지">';
			resHtml[i++] = '</a>';
			resHtml[i++] = '</div>';
			resHtml[i++] = '</div>';
		}

		return resHtml.join('');
	},

	// 모바일 이벤트 HTML 정보를 작성한다.
	getMobileEventsHtmlTxt : function(data, imgType) {
		var htmlTxt = "";
		if (Ns.Util.isNull(data) || data.length == 0)
			return "";

		for ( var i = 0; i < data.length; i++) {
			var items = data[i];

			
			
			var protocol = "http:";
			var imgUrl = protocol + items.imgUrl;

			var replaceUrl = protocol + items.imgUrl;
			$.preLoadImages( imgUrl, replaceUrl );

			if (!Ns.Util.isNull(imgType) && imgType == "div") {
				htmlTxt += Ns.Util
						.stringFormat(
								'<div><div class="bnn-img"><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\');">\
								<img src="{5}" onerror="this.onerror=null;this.src=\'{6}\'" alt="" /></a></div></div>',
								items.clickTarget, items.contentsId,
								items.clickCode, items.espotId, items.mdUrl,
								imgUrl, replaceUrl);
			} else if (!Ns.Util.isNull(imgType) && imgType == "notslide") {
				htmlTxt += Ns.Util
						.stringFormat(
								'<li><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\');">\
									<img src="{5}" onerror="this.onerror=null;this.src=\'{6}\'" alt="" /></a></li>',
								items.clickTarget, items.contentsId,
								items.clickCode, items.espotId, items.mdUrl,
								imgUrl, replaceUrl);
			} else {
				htmlTxt += Ns.Util
						.stringFormat(
								'<li class="swiper-slide"><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\');">\
									<img src="{5}" onerror="this.onerror=null;this.src=\'{6}\'" alt="" /></a></li>',
								items.clickTarget, items.contentsId,
								items.clickCode, items.espotId, items.mdUrl,
								imgUrl, replaceUrl);
			}
		}

		return htmlTxt;
	},
	
	//명품아울렛 컨텐츠 HTML 정보를 작성한다.
	getLuxuryHtmlTxt : function(data, imgType) {
		var htmlTxt = "";
		if (Ns.Util.isNull(data) || data.length == 0)
			return "";

		for ( var i = 0; i < data.length; i++) {
			var items = data[i];

			var protocol = "http:";
			var imgUrl = protocol + Ns.UI.getEspotBannerImgUrl(items.imgUrl);
			var errorImg = protocol + items.imgUrl;

			if (!Ns.Util.isNull(imgType) && imgType == "div") {
				htmlTxt += Ns.Util
						.stringFormat(
								'<div><div class="bnn-img"><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\');">\
								<img src="{5}" onerror="this.error=null;this.src=\'{6}\'" alt="" /></a></div></div>',
								items.clickTarget, items.contentsId,
								items.clickCode, items.espotId, items.mdUrl,
								imgUrl, errorImg );
			} else if (!Ns.Util.isNull(imgType) && imgType == "notslide") {
				htmlTxt += Ns.Util
						.stringFormat(
								'<li><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\');">\
									<img src="{5}" onerror="this.error=null;this.src=\'{6}\'" alt="" /></a></li>',
								items.clickTarget, items.contentsId,
								items.clickCode, items.espotId, items.mdUrl,
								imgUrl, errorImg );
			} else {
				htmlTxt += Ns.Util
						.stringFormat(
								'<li class="swiper-slide"><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\');">\
									<img src="{5}" onerror="this.error=null;this.src=\'{6}\'" alt="" /></a></li>',
								items.clickTarget, items.contentsId,
								items.clickCode, items.espotId, items.mdUrl,
								imgUrl, errorImg );
			}
		}

		return htmlTxt;
	},
	
	espotExhibitionType : function(data, catalogId) {
		var resHtml = [];
		var i = 0;

		for ( var k = 0; k < data.length; k++) {
			var protocol = "http:";
			var imgUrl = protocol + Ns.UI.getEspotBannerImgUrl(data[k].imgUrl);
			var replaceUrl = protocol + data[k].imgUrl;

			var espotId = data[k].espotId;
			var clickTarget = data[k].clickTarget;
			var clickCode = data[k].clickCode;
			var mdUrl = data[k].mdUrl;
			var bannerId = data[k].contentsId;
			
			resHtml[i++] = '<li>';
			resHtml[i++] = '<a href="javascript:;" id="btnEspot" espot-id="'
					+ espotId + '" click-target="' + clickTarget
					+ '" click-code="' + clickCode + '" md-url="' + mdUrl
					+ '" catalogId=' + catalogId + ' banner-id="' + bannerId + '">';
			resHtml[i++] = '<img src="' + imgUrl
					+ '" onerror="this.onerror=null;this.src=\'' + replaceUrl
					+ '\'" alt="배너 이미지" />';
			resHtml[i++] = '</a>';
			resHtml[i++] = '</li>';
		}

		return resHtml.join('');
	},

	setEspotTitleDisplay : function(parentId, data) {

		var textTitle = data.marketingText;
		var imgTitle = "http:" + Ns.UI.getEspotBannerImgUrl(data.imgUrl);
		var replaceTitle = "http:" + data.imgUrl;
		var type = "";

		if (data.marketingText != null && data.marketingText != "") {
			type = "text";
		}
		if (data.imgUrl != null && data.imgUrl != "") {
			type = "img";
		}

		if (type == "text") {
			$(parentId).find('#textTitle').html(Ns.Util.htmlDecode(textTitle));
			$(parentId).find('#textTitle').show();
		} else {
			var resHtml = '<img src="' + imgTitle
					+ '" alt="" onerror="this.onerror=null;this.src=\''
					+ replaceTitle + '\'">';
			$(parentId).find('#imgTitle').html(resHtml);
			$(parentId).find('#imgTitle').show();
		}
	},

	/** *************************** Espot end ****************************** */
	/** *************************** GNB start ****************************** */
/*
	// TODO hckim 삭제대상 START
	initGNBMenu : function() {
		
		// 좌측GNB - 카테고리
		var nsmallHtml = this.makeCategories(GNB_MENU_INFO['nsMallCategories'], 1, '', '', 0);
		$("#ulNsmallCategorisArea").html(nsmallHtml);
		$('#ulNsmallCategorisArea a[name=gotoPage]').unbind().bind('click', Ns.UI.gotoPage);
		$('#ulNsmallCategorisArea a[name=btnGetCategory]').unbind().bind('click', Ns.UI.getSubCategories);
		
		// 좌측GNB - 공지사항/내가 받은 쇼핑알림
		if(GNB_MENU_INFO['bottomCategories'] != undefined){
			//2018-05-29 ssong 임직원몰 링크 추가를 위해 별도 함수로 분리
			this.makeBottomCategories();
		}
		
		// ios 계열 카테고리 영역 스크롤 먹힘 현상.
		if (mainCtrl.VIEW_TYPE == 'iosweb' || mainCtrl.VIEW_TYPE == 'ios') {
			var utilCy = $("#ulAsideMenuArea").outerHeight(true) + $('#divHeaderArea').outerHeight(true);
			var bodyCy = $("body").height();
			var height = bodyCy - utilCy;
			$("#categoryWrap").css("height", height + "px");
		}
		
		
		
		
		
		
		
		// TODO hckim 이동 필요
		//  hckim 쇼핑알림(모바일 앱에서만 노출), 환경설정(모바일 앱/웹 노출)
		$('#asideAlarmBtn').hide(); // 2019.06.03 알람 버튼 숨기기
		
		// hckim 쇼핑알림(모바일 앱에서만 노출), 환경설정(모바일 앱/웹 노출) 이벤트 등록
		if (mainCtrl.isOsApp()) {
			$('#asideAlarmBtn').unbind().bind('click', Ns.UI.gotoPage);
		}
		$('#asideSettingBtn').unbind().bind('click', Ns.UI.gotoPage);
		
	},
	// TODO hckim 삭제대상 END
*/	
	
	// TODO hckim 삭제대상 START
	/*
	 * 2018-05-18 ssong 
	 * 임직원 몰 노출을 위해 initGNBMenu 함수 하단 버튼 영역 생성 분리
	 */
	/*
	makeBottomCategories : function (){
		
		var bottomCategories = GNB_MENU_INFO['bottomCategories'].slice();

		var callback = function(data){
			if(data){
				var params = {
					categoryId:PAGE.groupMall[Const.IS_SERVER_STATE], 				
					categoryName:"특가매장",
					catalogId:DEFAULT_PARAMs.catalogId.base,
					isLeaf:"Y"
				};
				bottomCategories.push(params);
			}
			
			var bottomHtml = Ns.UI.makeCategoryService(bottomCategories, 1);
			$("#ulBottomCategorisArea").html(bottomHtml);
			$('#ulBottomCategorisArea a[name=gotoPage]').unbind().bind('click', Ns.UI.gotoPage);
		}
		mainCtrl.chkStaff(callback);
	},
	// TODO hckim 삭제대상 END
	*/

/*	
	getSubCategories : function() {
		//더블터치인지 체크
		if( Ns.UI.isDoubleTouch() ){
			return false;
		}
		
		var _this = $(this);

		var categoryId = _this.attr('top-cate-id');
		var catalogId = _this.attr('catalog-id');
		var cateDepth = Number(_this.attr('cateDepth')) + 1;

		var chainId = '';
		if (categoryId == '90801') {
			chainId = '90801';
		} else if (categoryId == '91301') {
			chainId = '91301';
		}

		var container = $('#container_' + categoryId);

		var params = {
			categoryId : categoryId,
			catalogId : catalogId,
			chainId : chainId,
			gubun : '20'
		};
		
		//ga360
		var event_obj = {
				eventCate : 'MOBILE_LNB',
				eventAction : '카테고리이동_'+(cateDepth-1)+'depth',
				eventLabel : $("[top-cate-id="+categoryId+"]")[0].text
			};
		var pageId = navi.getPageId();
		var subparam = {
			t1 : '메인',
			t2 : (pageId in PAGE_CONFIG) ? PAGE_CONFIG[pageId].title : "undefined"
		};
		GA.sendEventData(event_obj,subparam);
		
		
		// <NSSR-4487> 2017.10.11 대카테고리 URL 삽입 
		tran.callPageLogging(navi.getPageId(), params);
		// </NSSR-4487> 

		//180813 NSSR-16549	모바일 허브 쇼핑북 카테고리 API 호출 오류로 추가
		if(categoryId == 'Sbook'){
			params.categoryId = '';
		}
		
		tran.callWCSJsonTran('RetrieveCat2ListReal', params, function(data) {
			var subCategories = data.msg.root.SubCategories;
			if (subCategories == null) {
				return false;
			}
			// 패션&뷰티일 경우, 백화점 영역 추가
			if(categoryId == '1583594') {
				subCategories = $.merge(subCategories, GNB_MENU_INFO['departmentStoreCategories']);
			}
			var catalogId = data.catalogId[0];
			var resHtml = Ns.UI.makeCategories(subCategories, cateDepth, catalogId, chainId, '');
			container.html(resHtml);

			$(container).find('li a[name=btnGetCategory]').on('click', Ns.UI.getSubCategories);
			$(container).find('a[name=gotoPage]').on('click', Ns.UI.gotoPage);
			
			// 패션&뷰티일 경우, 백화점 영역 HTML 추가
			if(categoryId == '1583594') {
				$(".snb_depart").wrapAll('<li><ul class="snb_depart_wrap"></ul></li>');
			}
			Ns.UI.showLowCategory(_this);
		});

		return false;
	},
*/
	
	makeCategories : function(data, cateDepth, catalId, chainId, gnbFlag) {
		if (chainId == null)
			chainId = '';

		var resHtml = [];
		var i = 0;
		
		for ( var k = 0; k < data.length; k++) {
			var catalogId = catalId;
			if (catalId == null || catalId== '') {
				catalogId = data[k].catalogId;
			}
			
			// test필드 처리
			if (Const.IS_DEV_MODE == false){	// 운영일 경우
				if (undefined != data[k].isTest){	// 해당 필드가 있고
					if (data[k].isTest == "Y"){	// 필드 값이 Y이면
						continue;	// 화면 표시 하지 않음
					}
				}
			}
			
			var categoryName = data[k].categoryName;
			var categoryId = data[k].categoryId; 
			var isLeaf = data[k].isLeaf;

			var isLeafetc ="N";
			if(gnbFlag == 1 || (categoryId == TOP_CAT_IDs.AK || categoryId == TOP_CAT_IDs.GALLERIA)){
				isLeafetc ="Y";
			}

			//Depth별 클래스를 추가하기 위한 변수
			var classLi = "";
			var classText = "";
			var classBtn = "";
			
			// 2017.06.28 dhlee TV쇼핑 script 추가 - txt_tv 카테고리 정보 찾아서...
			if(cateDepth == 1){
				classText+= "depth01";
				if(categoryId == "1583594"){
					classText+= " txt_fb"
				}else if(categoryId == "1583596"){
					classText+= " txt_hl"
				}else if(categoryId == "1583595"){
					classText+= " txt_fh"
				}else if(categoryId == "TVSHOPPING"){
					classText+= " txt_tv"
				}
				classBtn = "btn";
			}else if(cateDepth == 2){
				classBtn += "btn2dh";
				if(categoryId == TOP_CAT_IDs.AK || categoryId == TOP_CAT_IDs.GALLERIA){
					classLi += ' class="snb_depart"';
				}
			}else if(cateDepth == 3){
				classBtn += "btn2dh";
			}else if(cateDepth == 4){
				classBtn += "btn4dh";
			}else if(cateDepth == 5){
				classBtn += "btn5dh";
			}else{
				classBtn = "btn";
			}
			
			if (Number(categoryId) < 0)
				isLeaf = 'Y';

			var pageId = RESULT_PAGE_INFO[categoryId];
			if (pageId == null) {
				pageId = 'M_G2130000M';
			}

			var type = '';

			// 프리미엄 푸드 일경우
			if (chainId == PREMIUM_CAT_IDs.PREMIUM_FOOD
					|| categoryId == PREMIUM_CAT_IDs.PREMIUM_FOOD) {
				type = 'PREMIUM_FOOD';
				pageId = 'M_G4141100M';
			} else if (chainId == PREMIUM_CAT_IDs.DAILY_PRODUCT
					|| categoryId == PREMIUM_CAT_IDs.DAILY_PRODUCT) { // 데일리
																		// 프로덕트일경우
				type = 'DAILY_PRODUCT';
				pageId = 'M_G4141100M';
			} else {
			}

			// 프리미엄 브랜드
			if (catalogId == DEFAULT_PARAMs.catalogId.premium) {
				pageId = RESULT_PAGE_INFO[categoryId];
				if (pageId == undefined) {
					pageId = 'M_G4141100M';
					type = '';
				}
			}

			// 2017.07.01 dhlee aside 메뉴추가를 위해 html 변경
			if (isLeaf == "N" && cateDepth < 6 && isLeafetc =="N") {
				resHtml[i++] = '<li' + classLi + '>';
				resHtml[i++] = '<a href="javascript:;" name="btnGetCategory" top-cate-id="'
						+ categoryId
						+ '" catalog-id="'
						+ catalogId
						+ '" chain-id="'
						+ chainId
						+ '" cateDepth="'
						+ cateDepth
						+ '" class="'
						+ classText
						+ '" role="button" aria-expanded="false">'
						+ categoryName + '</a>';
				resHtml[i++] = '<ul id="container_' + categoryId + '" ></ul>';
				// inQkang nsmobilehub.html의 L104 <span class="btn2dh open"></span> 참고 해서 아래 스크립트 수정
				resHtml[i++] = '<a class="' + classBtn + ' open" name="btnGetCategory" top-cate-id="'
						+ categoryId
						+ '" catalog-id="'
						+ catalogId
						+ '" chain-id="'
						+ chainId
						+ '" cateDepth="'
						+ cateDepth
						+ '" href="javascript:;" role="button" aria-hidden="true"></a>';
				resHtml[i++] = '</li>';
			}else if (isLeaf == "N" && isLeafetc =="Y") {
				resHtml[i++] = '<li' + classLi + '>';
				resHtml[i++] = '<a href="javascript:;" name="gotoPage" catalog-id="'
					+ catalogId
					+ '" cate-id="'
					+ categoryId
					+ '" cate-nm="'
					+ categoryName
					+ '" page-id="'
					+ pageId
					+ '" chain-id="'
					+ chainId
					+ '" type="'
					+ type
					+ '" cateDepth="'
					+ cateDepth
					+ '" class="'
					+ classText
					+ '" role="button">'
					+ categoryName + '</a>';
				resHtml[i++] = '<ul id="container_' + categoryId + '" ></ul>';
				// inQkang nsmobilehub.html의 L104 <span class="btn2dh open"></span> 참고 해서 아래 스크립트 수정
				resHtml[i++] = '<a class="' + classBtn + ' open" name="btnGetCategory" top-cate-id="'
						+ categoryId
						+ '" catalog-id="'
						+ catalogId
						+ '" chain-id="'
						+ chainId
						+ '" cateDepth="'
						+ cateDepth
						+ '" href="javascript:;" role="button" aria-expanded="false"></a>';
				resHtml[i++] = '</li>';
			} else {
				/**
				 * 2016-10-12 정승진 : 카테고리 쇼핑알림 추가 
				 * */
				if (categoryId == "PushNoti" && categoryName == "쇼핑알림") {
					// 모바일
					if (mainCtrl.isOsApp()) {
						resHtml[i++] = '<li>';
						resHtml[i++] = '<a href="javascript:;" name="gotoPage" catalog-id="'+catalogId+ '" cate-id="'+categoryId+ '" cate-nm="'+categoryName
										+ '" page-id="'+ pageId+'" chain-id="'+chainId+ '" type="'+type+ '" cateDepth="'+cateDepth+ '" class="'+classText+ '">'
										+ categoryName
										+ '</a>';
						resHtml[i++] = '</li>';
					}
				} else {
					resHtml[i++] = '<li>';
					resHtml[i++] = '<a href="javascript:;" name="gotoPage" catalog-id="'
							+ catalogId
							+ '" cate-id="'
							+ categoryId
							+ '" cate-nm="'
							+ categoryName
							+ '" page-id="'
							+ pageId
							+ '" chain-id="'
							+ chainId
							+ '" type="'
							+ type
							+ '" cateDepth="'
							+ cateDepth
							+ '" class="'
							+ classText
							+ '" role="button">'
							+ categoryName + '</a>';
					resHtml[i++] = '</li>';
				}
			}
		}
		
		// 실 운영이 아닌경우 메뉴 하단에 서버타입이 보이도록
		if (Const.IS_SERVER_STATE != "REAL" && cateDepth == 1){
			return resHtml.join('') + "<li style='padding-left:20px'><strong>SERVER_STATE : </strong><strong style='color:#FF0000;'>" + Const.IS_SERVER_STATE + "</strong></li>"
		}
		
		return resHtml.join('');
	},
	
	//kimjh 좌측 GNB 메뉴 espot
	/*makeMenuGNBCategoryService : function(data) {
		var resHtml = [];
		var i = 0;
		var isBlank = null;
		var objCutData = JSON.parse(JSON.stringify(data));
		
		for ( var k = 0; k < objCutData.length; k++) {
			isBlank = false;
			var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objCutData[k].mdUrl).split("?")[1]).catalogId;
			if( objCutData[k].mdUrl == null || objCutData[k].mdUrl == "" ){
				isBlank = true;
			}
			else {
				
			}
			
			resHtml[i++] = '<li>';
			resHtml[i++] = '<a href="javascript:;" name="gotomenuPage" clickTarget="'
					+ objCutData[k].clickTarget
					+ '" contentsId="'
					+ objCutData[k].contentsId
					+ '" clickCode="'
					+ objCutData[k].clickCode
					+ '" espotId="'
					+ objCutData[k].espotId
					+ '" mdUrl="'
					+ objCutData[k].mdUrl 
					+ '" catalogId="' 
					+ catalogId 
					+'" marketingText="'
					+ objCutData[k].marketingText
					+'" blank="'
					+ isBlank
					+ '" >'
					+ objCutData[k].marketingText
					+ '</a>';
			resHtml[i++] = '</li>';
		}
		
		return resHtml.join('');
	},*/
	
	// 2017.07.01 dhlee aside 메뉴추가를 위한 함수 추가
/*	
	makeCategoryService : function(data, cateDepth, catalId, chainId) {
		if (chainId == null)
			chainId = '';

		var resHtml = [];
		var i = 0;
		
		for ( var k = 0; k < data.length; k++) {
			var catalogId = catalId;
			if (catalId == null) {
				catalogId = data[k].catalogId;
			}
			
			var categoryName = data[k].categoryName;
			var categoryId = data[k].categoryId;
			var isLeaf = data[k].isLeaf;
			
			//Depth별 클래스를 추가하기 위한 변수
			var classText = "";
			var classBtn = "";
			// inQkang TV쇼핑 로직 추가 - txt_tv 카테고리 정보 찾아서...
			if(cateDepth == 1){
				if(categoryId == "Notice"){
					classText+= " notice"
				}else if(categoryId == "PushNoti"){
					classText+= "shop-alarm"
				//2018-05-29 ssong 임직원몰 아이콘 클래스 
				}else if(categoryId == PAGE.groupMall[Const.IS_SERVER_STATE]){
					classText += "shop-staff";
				}
			}

			//2018-05-29 ssong 임직원몰 체크 
			var pageId = RESULT_PAGE_INFO[categoryId] || PAGE.groupMall[Const.IS_SERVER_STATE];
			if (pageId == null) {
				pageId = 'M_G2130000M';
			}

			var type = '';
			
			if (isLeaf == "N") { //6으로 변경필요
				resHtml[i++] = '<li>';
				resHtml[i++] = '<a href="javascript:;" name="gotoPage" catalog-id="'
						+ catalogId
						+ '" cate-id="'
						+ categoryId
						+ '" cate-nm="'
						+ categoryName
						+ '" page-id="'
						+ pageId
						+ '" chain-id="'
						+ chainId
						+ '" type="'
						+ type
						+ '" cateDepth="'
						+ cateDepth
						+ '" class="'
						+ classText
						+ '">'
						+ categoryName + '</a>';
				resHtml[i++] = '</li>';
			} else {
				if (!mainCtrl.isOsApp() && categoryId == "PushNoti" ) {
					continue;
				}
				
				resHtml[i++] = '<li>';
				resHtml[i++] = '<a href="javascript:;" name="gotoPage" catalog-id="'+catalogId+ '" cate-id="'+categoryId+ '" cate-nm="'+categoryName
								+ '" page-id="'+ pageId+'" chain-id="'+chainId+ '" type="'+type+ '" cateDepth="'+cateDepth+'">'
								+ '<span class="'+classText+'">'
								+ categoryName
								+ '</span>'
								+ '</a>';
				resHtml[i++] = '</li>';
			}
		}
		
		return resHtml.join('');
	},
*/

	/*
	showLowCategory : function(btnObj) {

		if (btnObj.parent('li').hasClass('active')) {
			btnObj.parent('li').removeClass('active');
			btnObj.parent('li').find('li').removeClass('active');
			btnObj.siblings('ul').attr('aria-hidden', true);
			btnObj.attr('aria-expanded', false);
		} else {
			btnObj.parent('li').addClass('active');
			btnObj.parent('li').siblings('li').removeClass('active');
			btnObj.parent('li').siblings('li').find('li').removeClass('active');
			btnObj.siblings('ul').attr('aria-hidden', false);
			btnObj.attr('aria-expanded', true);
		}

		if (oScroll != null)
			oScroll.refresh();
	},
*/	
	//kimjh 좌측 GNB메뉴 espot 페이지 이동 함수
	/*gotomenuPage : function() {
		var clicktarget = $(this).attr('clicktarget');
		var contentsid = $(this).attr('contentsid');
		var clickcode = $(this).attr('clickcode');
		var espotid = $(this).attr('espotid');
		var mdurl = $(this).attr('mdurl');
		var catalogid = $(this).attr('catalogid');
		var isblank = $(this).attr('blank');
		
		//클릭 이벤트가 없을 때
		if (isblank == "true") {
			return false;
		}
		
		// 메뉴 숨김 처리 시작
		// GNB가 활성화 되어 있는 상태일때 dimmed 클릭
		if ($("#aside").hasClass("active")) {
			// 기존 dimmed가 되어 있을 때 GNB 호출시 처리
			if (!$('.item-option-select').is('.active')) {
				$('#dimmedAll').removeClass(uiBase.uiActive);
			}
			//  hckim 쇼핑알림(모바일 앱에서만 노출), 환경설정(모바일 앱/웹 노출)
			$('#asideAlarmBtn').hide(); // 2019.06.03 알람 버튼 숨기기

			$('#asideClosebtn').hide(); //aside창 닫기 버튼숨김
			$('#dimmedAll').removeClass('bg');
			$('#pageHeader').removeClass(uiBase.uiActive);
			$("#container").attr('aria-hidden','false');
			$('#aside').removeClass(uiBase.uiActive);
		}

		$('#container').removeClass('category-active');

		if (oScroll != null) {
			oScroll.refresh();
			oScroll.scrollTo(0, 0, 200);
		}
		// 메뉴 숨김 처리 종료
		if(isblank == "false") {
			Ns.UI.espotClickEvent(clicktarget,contentsid,clickcode,espotid,mdurl,null,null,catalogid);
		}
	},*/
	
	gotoPage : function() {
		// 메뉴 숨김 처리 시작
		// GNB가 활성화 되어 있는 상태일때 dimmed 클릭
		if ($("#aside").hasClass("active")) {
			// 기존 dimmed가 되어 있을 때 GNB 호출시 처리
			if (!$('.item-option-select').is('.active')) {
				$('#dimmedAll').removeClass(uiBase.uiActive);
			}
			//  hckim 쇼핑알림(모바일 앱에서만 노출), 환경설정(모바일 앱/웹 노출)
			$('#asideAlarmBtn').hide(); // 2019.06.03 알람 버튼 숨기기

			$('#asideClosebtn').hide(); //aside창 닫기 버튼숨김
			$('#dimmedAll').removeClass('bg');
			$('#pageHeader').removeClass(uiBase.uiActive);
			$("#container").attr('aria-hidden','false');
			$('#aside').removeClass(uiBase.uiActive);
		}

		$('#container').removeClass('category-active');

		if (oScroll != null) {
			oScroll.refresh();
			oScroll.scrollTo(0, 0, 200);
		}
		// 메뉴 숨김 처리 종료

		var pageId = $(this).attr('page-id');
		var type = $(this).attr('type');
		var catalogId = $(this).attr('catalog-id');
		var categoryId = $(this).attr('cate-id');
		var chainId = $(this).attr('chain-id');
		var categoryNm = $(this).attr('cate-nm');

		//운영상 오류로 임시로 하드코딩
		if(pageId == "storeComm671054"){
			pageId = "1360561";
		}else if(pageId == "storeComm671055"){
			pageId = "1375555";
		}
		
		//ga360
		var event_obj = {
				eventCate : 'MOBILE_LNB',
				eventAction : '카테고리이동_'+($(this).attr('catedepth'))+'depth',
				eventLabel : categoryNm
			};
		
		var subparam = {
			t1 : 'GNB',
			t2 : (navi.getPageId() in PAGE_CONFIG) ? PAGE_CONFIG[navi.getPageId()].title : "undefined"
		};
		GA.sendEventData(event_obj,subparam);
		
		
		var params = {};
		
		//NStrip insert hawoong 180123
		if(pageId != "Hanatour"){
				if (Number(categoryId) < 0) { // 기회전 페이지로 이동.
					pageId = 'M_G1100031M';
					params.catgroupId = categoryId;
				} else {
					params.catalogId = catalogId;
					
					if( Ns.Util.isNumeric(categoryId) ){	//categoryId가 문자일 경우 파라미터로 보내지 않음
						params.categoryId = categoryId;
					}
					
					params.chainId = chainId;
					params.categoryNm = categoryNm;
		
					// 브랜드일 경우 해당 카테고리가 아닌 대카 카테고리 ID로 간다.
					if (categoryId == '133802') { // daily product
						params.catGroupId = '91301';
					} else if (categoryId == '133803') { // food product
						params.catGroupId = '90801';
					}
		
					if (type != null && type != '') {
						params.type = type;
					}
		
				}
				mainCtrl.navigate(pageId, params);
		}else{
			$('#wrap').removeClass('category-active');
			var addr = "http://mnsmall.hanatour.com";
			if(mainCtrl.VIEW_TYPE == "android"){
				Ns.Native.webView(1, addr);
			}else{
				Ns.Native.linkView(2, addr);
			}
		}
		return false;
	},
	
	//더블터치 체크
	firstTouchCheck : null,
	isDoubleTouch : function(){
		var checkSec = Ns.UI.firstTouchCheck;
		if( checkSec == null){
			Ns.UI.firstTouchCheck = Ns.Date.getTimeStamp().substr(12);
			return false;
		}else{
			var checkTime = Ns.Date.getTimeStamp().substr(12);
			var sec = checkTime.substr(0,2);
			var milisec = checkTime.substr(2,3);
			
			if( checkSec.substr(0,2) == sec ){
				Ns.UI.firstTouchCheck = sec + milisec;
				return true;
			}else{
				Ns.UI.firstTouchCheck = sec + milisec;
				return false;
			}			

		}
	},

	/** *************************** GNB end ****************************** */

	getProductName : function(brandCd, brandName, productName, headCopy) {
		if (Ns.Util.isNull(headCopy))
			headCopy = "";

		if (brandCd == "200000" || brandCd == "250000"
				|| Ns.Util.isNull(brandName))
			brandName = " ";
		else
			brandName = " [" + brandName + "] ";

		var htmlTxt = headCopy + brandName + productName;
		return htmlTxt;
	},
	
	pageShortUrlLog : function( pageId, params ){
		var pageConf = PAGE_CONFIG[pageId];
		var paramTxt = JSON.stringify(params);
		if( Ns.Util.isNull(paramTxt) || paramTxt == "{}" ){
			paramTxt = "";
		}else{
			paramTxt = "?"+Ns.Util.objectToQueryString(params);
		}
		
		if( pageId == "sslquery" ){
			/* 해당 log는 반드시 출력되야 합니다. */
			console.log("********************************************************************************");
			console.log("*** Current URL : https://" + Const.MOBILE_NSMALL_PATH + "/" + pageConf.alias + paramTxt );
			console.log("********************************************************************************");
		}else if( pageId != "linkimsi" ){
			/* 해당 log는 반드시 출력되야 합니다. */
			console.log("********************************************************************************");
			console.log("*** Current URL : http://" + Const.MOBILE_NSMALL_PATH + "/" + pageConf.alias + paramTxt );
			console.log("********************************************************************************");
		}
	},
	
	
	
	
	/**
	 * 리스트형 data를 화면에 출력한다.
	 * @param	Array	- 화면에 출력될 data
	 * @param	String	- 그려질 타겟 id
	 * @param	String	- 그릴 내용 대상 id(미입력 빈스트링시 자동으로 타겟id에 _temp 붙임)
	 * @param	Boolean	- 지우고 그릴것인가 선택(true:지움, false:유지 ; 미입력시 지움)
	 * @param	Boolean	- 템플릿 삭제 여부 (true:지움, false:유지 ; 미입력시 지움)
	 * @param	Boolean - 템플릿 아이디 속성 삭제 여부 (true:지움, false:유지 ; 미입력시 유지)
	 */
	ObjDrawListClon : new Object,
	drawList : function(responseList, listId, tempListId, removeFlag , removeTemp, removeTempId){
		if (undefined == listId || listId == ""){
			listId = "listArea";
		}
		
		if (undefined == tempListId || tempListId == ""){
			tempListId = listId + "_temp";
		}
		
		if (undefined == removeFlag || null == removeFlag){
			removeFlag = true;
		}

		if (undefined == removeTemp || null == removeTemp){
			removeTemp = true;
		}
		
		if(undefined == removeTempId || null == removeTempId){
			removeTempId == false;
		}
		
		// 지정된 id의 영역 설정
		var $listArea = $("#"+listId);
		var $tempListArea = $("#"+tempListId);
		
		var ObjDrawListClonData = eval("Ns.UI.ObjDrawListClon." + tempListId);
		
		var testaa = Ns.LocalStorage.get("ReInitCheck");
		if(navi.objNaviData.pagePointer.length == 1 && mainCtrl.ReInitCheck != false){
			mainCtrl.ReInitCheck = false;
		}else if(navi.objNaviData.pagePointer.length == 1 && mainCtrl.ReInitCheck == false && testaa == "false"){//페이지 이동시 연관상품 가능 
			Ns.LocalStorage.del("ReInitCheck");
		}else if(navi.objNaviData.pagePointer.length == 1 && mainCtrl.ReInitCheck == false) {//인입시 들어와야함 
			Ns.LocalStorage.set("ReInitCheck", false);
			ObjDrawListClonData=undefined;
			
		}
		
		if (undefined == ObjDrawListClonData){
			if(removeTempId){
				eval("Ns.UI.ObjDrawListClon." + tempListId + " = $tempListArea.clone()");
				ObjDrawListClonData = eval("Ns.UI.ObjDrawListClon." + tempListId);
				ObjDrawListClonData.removeAttr('id');
			}
			else {
				eval("Ns.UI.ObjDrawListClon." + tempListId + " = $tempListArea.children().clone()");
				ObjDrawListClonData = eval("Ns.UI.ObjDrawListClon." + tempListId);
			}
		}
		
		// 2018-07-26 ssong 템플릿 삭제 여부
		if(removeTemp){
			$tempListArea.remove();
		}
		
		if (removeFlag == true){
			$listArea.children().remove();
		}
		
		var nCount = 0;
		if (undefined != responseList && null != responseList){
			nCount = responseList.length; // 리스트의 길이
		}
		
		if (nCount == 0){
			
		} else {
			var srcArea = null;
			
			var $fragHtml = $(document.createDocumentFragment());
			for (var i = 0; i < nCount; i++){
				var objData = responseList[i];
				srcArea = ObjDrawListClonData.clone();
				
				srcArea.data("data", objData);

				var ifcnt = 0;
				var notcnt = 0;
				for(var item in objData){
					ifcnt++;
					if(item.indexOf("[")==-1 && item.indexOf("]")==-1){
						notcnt++;

						srcArea.find("[data-"+item+"]").data(item.toLowerCase(),objData[item]); // 2018-07-26 ssong 데이터 속성 추가
						srcArea.find("[name="+item+"]").data("data",objData);
						srcArea.find("[name="+item+"]").val(objData[item]);
						srcArea.find("[name="+item+"]").filter(":not(input)").filter(":not(button)").filter(":not(img)").html(objData[item]);// 13-03-04
						srcArea.find("[link="+item+"]").attr('href',objData[item]); // kimjh vod a태그의 href 값 변경시키는 속성 추가
					}
				}
				$fragHtml.append(srcArea);
			}
			
			$listArea.append($fragHtml);
		}
	},
	
	/**
	 *  videojs 데이터 제거
	 */
	delVideojsObj : function(){
		if(videojs && videojs.getAllPlayers().length > 0){
			for(var i = videojs.getAllPlayers().length ; i > 0 ; i--){
				videojs.getAllPlayers()[i-1].dispose();
			}
			CurrentView.playingVideo = null;
		}
		navi.clearAllIntervalList();
	},
	
	setTopBottomShow : function(){
		$("#bottomBtnArea").show();
		$("#footer").attr("disp", false);
		
	},
	/*
	 * 상단 하단 네비게이션 영역 숨김 
	 */
	setTopBottomHide : function() {
		$("#bottomBtnArea").hide();
		$("#footer").attr("disp", true);
	},
	
	/**
	 * Description - ios에서 Keyboard 또는 select 선택 창이 올라올 경우 Header가 내려가는 현상 방지
	 */
	locateHeaderToTop : function(){
		
		if(mainCtrl.VIEW_TYPE == "ios"){
			
			setTimeout(function(){
				
				$("input").each(function(){
				    $(this).bind("focus", function(){
				        $("#pageHeader").css("position", "absolute");
				    });
				    $(this).bind("blur",function(){
				        $("#pageHeader").css("position", "fixed");
				    });
				});
				
				$("select").each(function(){
				    $(this).bind("focus", function(){
				        $("#pageHeader").css("position", "absolute");
				    });
				    $(this).bind("blur",function(){
				        $("#pageHeader").css("position", "fixed");
				    });
				});
			},1000);		
		}
	},
	/* 2017-09-12 */
	fontControl : function(){
		var htmlWrap = $('html');
		var fontWrap = $('#btnFont');
		var fontDown = fontWrap.find('.btn_fontsize_small');
		var fontUp = fontWrap.find('.btn_fontsize_large');
		var fontSizeLst = ['font_small','font_default','font_bigger'];
		var checkTouchEnd = false;
		var checkScrollEnd = false;
		
		if(Ns.LocalStorage.get("zoom") == "") {
			Ns.LocalStorage.set("zoom", 0);
		}
		htmlWrap.addClass(fontSizeLst[Ns.LocalStorage.get("zoom")]);
		
		fontUp.unbind().bind( "click", function(){
			if(htmlWrap.hasClass(fontSizeLst[0])){
				htmlWrap.removeClass(fontSizeLst[0]).addClass(fontSizeLst[1]);
				Ns.LocalStorage.set("zoom", 1);
			}else if(htmlWrap.addClass(fontSizeLst[1])){
				htmlWrap.removeClass(fontSizeLst[1]).addClass(fontSizeLst[2]);
				Ns.LocalStorage.set("zoom", 2);
			}
		});
		
		fontDown.unbind().bind( "click", function(){
			if(htmlWrap.hasClass(fontSizeLst[2])){
				htmlWrap.removeClass(fontSizeLst[2]).addClass(fontSizeLst[1]);
				Ns.LocalStorage.set("zoom", 1);
			}else if(htmlWrap.addClass(fontSizeLst[1])){
				htmlWrap.removeClass(fontSizeLst[1]).addClass(fontSizeLst[0]);
				Ns.LocalStorage.set("zoom", 0);
			}
		});
	}

};

Ns.UI = new UICreator();