
/* JavaScript content from js/customer/M_C1123000M.js in folder common */

/* 
 *	페이지 ID : M_C1123000M 
 *  1. 고객센터
 *  
 *  
*/

CurrentView = {
		FAQId : "SHIPPING",
		videoUrlList : null,
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		initializeComponent : function() {
			$("#btnQuestion").unbind().bind( "click", this.event.onclick_btnQuestion );
			$("#btnSystemError").unbind().bind( "click", this.event.onclick_btnSystemError );
			$("#btnFAQ").unbind().bind( "click", this.event.onclick_btnFAQ );
			$("#btnNotice").unbind().bind( "click", this.event.onclick_btnNotice );
			$("#btnEvent").unbind().bind( "click", this.event.onclick_btnEvent );
			$("#ulFAQItems li a").unbind().bind( "click", this.event.onclick_ulFAQItems );
			$("#divPlayingItems .btn_play").unbind().bind( "click", this.event.onclick_divPlayingItems );
			$("#SHIPPING").unbind().bind( "click", this.event.onclick_SHIPPING );
			$("#CANCEL").unbind().bind( "click", this.event.onclick_CANCEL );
			$("#EXCHANGE").unbind().bind( "click", this.event.onclick_EXCHANGE );
			$("#btnSearchIn").unbind().bind( "click", this.event.onclick_btnSearchIn );
			$("#nextpage").unbind().bind( "click", this.event.onclick_nextpage );
			$("#btnMtochatting").unbind().bind( "click", this.event.onclick_chatting );
		},
		
		onLoad : function(params) {
			this.data.getFooterMobile();
		},
		
		data : {
			//고객센터개편
			getFooterFAQViewMobile : function( searchTxt ) {
				var faqClssfCd = CurrentView.faqClssfCd;
				CurrentView.faq_searchTxt = searchTxt; // 검색 했을 때 검색 key값 화면에 보여지기 위해 선언
				var invoke = {
					faq_sch_txt : searchTxt
				};
				
				if ( faqClssfCd != null ) invoke.faqClssfCd = faqClssfCd;
				
				tran.callWCSJsonTran( "FooterFAQListMobileReal", invoke, CurrentView.ui.setFooterFAQListMobile );						
			},
			
			getFooterMobile : function() {
				tran.callWCSJsonTran( "FooterMobileReal", null, CurrentView.ui.setFooterMobile );
			}
		},
		
		//이벤트 관련 함수 정의
		event : {
			//고객센터개편
			onclick_btnSearchIn : function( ) {
				var searchTxt = $("#inputSearch").val(); 
				if( searchTxt == "" ) {
					Ns.Popup.alert( "검색할 단어를 입력하세요." );
					CurrentView.faq_searchTxt = ""; //초기화
					return false;
				}
				
				CurrentView.data.getFooterFAQViewMobile( searchTxt );
			},
			
			onclick_btnQuestion : function() {
				var isLogon = mainCtrl.checkLogonStatus();
				if( !isLogon ) {
					Ns.Popup.alert("로그인 후 이용하실 수 있습니다.", function() {
						navi.setMovePointer(-1);
						mainCtrl.gotoLogin();
					});						
					return;
				}
				var param = {};
				param.prevPage = "M_C1123000M";
				mainCtrl.navigate("M_C1142400L", param);
			},
			
			onclick_btnSystemError : function() {
				var isLogon = mainCtrl.checkLogonStatus();
				if( !isLogon ) {
					Ns.Popup.alert("로그인 후 이용하실 수 있습니다.", function() {
						navi.setMovePointer(-1);
						mainCtrl.gotoLogin();
					});						
					return;
				}
				var param = {};
				param.prevPage = "M_C1123000M";
				mainCtrl.navigate("M_C1142500L", param);
			},
			
			onclick_btnFAQ : function() {
				var param = {};
				param.faqId = "";
				mainCtrl.navigate("M_C1131000M", param);
			},
			
			onclick_btnNotice : function() {
				mainCtrl.navigate("M_H1113000M", null);
			},
			
			onclick_btnEvent : function() {
				mainCtrl.navigate("M_H1112000M", null);
			},
			
			onclick_ulFAQItems : function() {
				var id = $(this).attr('id');
				if( CurrentView.FAQId == id) return false;
				CurrentView.FAQId = id;
				
				$("#ulFAQItems li").removeClass( "active" );
				$("#divPlayingItems div").removeClass( "active" );
				$("#" + id).addClass( "active" );
				
				if( id == "SHIPPING" ) 
					$("#guide_play01").addClass( "active" );
				else if( id == "CANCEL" )
					$("#guide_play02").addClass( "active" );
				else if( id == "EXCHANGE" )
					$("#guide_play03").addClass( "active" );
				else
					return false;
			},
			
			//TODO FAQ동영상 재생
			onclick_divPlayingItems : function() {
				var id = $(this).attr('id');
				var url = CurrentView.videoUrlList[id];
				
				if( Ns.Util.isNull(url) ){
					url = Const.getLiveUrl();
				}
								
				WL.App.openURL( url, '', '');
			}, 
			
			onclick_faq : function( idx, faqId, firstDepthId, secondDepthId ) {
				var invoke = {
						idkey : faqId,
						firstDepthId : firstDepthId,
						secondDepthId : secondDepthId
				};		
				mainCtrl.navigate("M_C1131000M", invoke);
			},
			onclick_SHIPPING : function(){
				var invoke = {};
				invoke.idkey = "06";
				invoke.firstDepthId = "06";
				invoke.secondDepthId = "0601"
				mainCtrl.navigate("M_C1131000M",invoke);
			},
			
			onclick_CANCEL : function(){
				var invoke = {};
				invoke.idkey = "02";
				invoke.firstDepthId = "02";
				invoke.secondDepthId = "0201"
				mainCtrl.navigate("M_C1131000M",invoke);
			},
			
			onclick_EXCHANGE : function(){
				var invoke = {};
				invoke.idkey = "01";
				invoke.firstDepthId = "01";
				invoke.secondDepthId = "0101"
				mainCtrl.navigate("M_C1131000M",invoke);
			},
			//고객센터개편
			//전체보기로 이동시
			onclick_nextpage : function(){
				var param = {
					allFlag : "Y"
				};
				param.prevPage = "M_C1123000M";
				mainCtrl.navigate("M_C1131000M", param);
			},
			//채팅내역이동
			onclick_chatting : function(){
				var param = {};
				param.tabIndex = 0;
				param.monthly = "";
				param.pageidx = "";
				mainCtrl.navigate( "M_U1173000M", param );
			},
			
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			//고객센터개편
			setFooterFAQListMobile : function( data ) {
				//검색결과 가지고 다음페이지 이동
				var param = {};
				param = data.msg;
				param.searchword = CurrentView.faq_searchTxt;
				mainCtrl.navigate("M_C1131000M", param);
			},
			
			setFooterMobile : function( data ) {
				var faqTop5List = data.msg.root.FaqTop5List;
				var videoUrl = data.msg.root.Video[0];
				
				if( faqTop5List == null || faqTop5List == ""  ) {
					$("#ulFAQList").html("");
					$("#divTOPFAQArea").hide();
					return false;
				}
				
				CurrentView.videoUrlList = {
					"CANCEL" : videoUrl.cancelUrl,
					"SHIPPING" : videoUrl.deliveryUrl,
					"EXCHANGE" : videoUrl.exchangeUrl
				};
				
				var htmlTxt = "";
				for( var k=0; k<faqTop5List.length; k++) {
					var items = faqTop5List[k];

					htmlTxt += Ns.Util.stringFormat('\
						<li>\
							<a class="" href="javascript:CurrentView.event.onclick_faq(\'{0}\', \'{1}\', \'{2}\', \'{3}\');"><span class="ranking">{4}</span>{5}</a>\
						</li>', 
						k, items.faqId, items.firstDepthid, items.secondDepthId, k+1, items.subject );
				}
				
				$("#ulFAQList").html( htmlTxt );
			}
		}
		//end ui function...
};

	
