
/* JavaScript content from js/customer/M_C1131000M.js in folder common */

/* 
 *	페이지 ID : M_C1131000M 
 *  1. FAQ
 *  
 *  
*/


CurrentView = {
		toggleIndex : -1,
		faq_searchTxt : "",
		
		subcategoies : {
			"01" : [ { name : "교환안내", id : "01" }, { name : "반품안내", id : "02" },  { name : "AS안내", id : "03" } ],
			"02" : [ { name : "주문취소",  id : "01" } , { name : "주문변경", id : "02" }],
			"03" : [ { name : "환불안내",  id : "01" } ],
			"04" : [ { name : "주문안내",  id : "01" } , { name : "결제안내", id : "02" }],
			"05" : [ { name : "할인혜택",  id : "01" } ],
			"06" : [ { name : "배송안내",  id : "01" }  ],
			"07" : [ { name : "NS홈쇼핑",  id : "01" }  ],
			"08" : [ { name : "이벤트<br/>안내",  id : "01" } ],
			"09" : [ { name : "회원가입",  id : "01" } , { name : "회원수정", id : "02" }, { name : "회원탈퇴", id : "03" } ],
			"10" : [ { name : "사이트<br/>이용안내",  id : "01" }  ],
			"11" : [ { name : "거래증빙<br/>서류",  id : "01" } ],
			"12" : [ { name : "백화점",  id : "01" } , { name : "오픈마켓", id : "02" }],
			"13" : [ { name : "NS상품권",  id : "01" } ],
			//"14" : [ { name : "보험<br/>서비스",  id : "01" } , { name : "렌탈<br/>서비스", id : "02" }, { name : "여행<br/>서비스", id : "03" } ],
			"14" : [ { name : "간편결제서비스",  id : "01" } ],
		},
		
		tab_faq_gubun : '01', //교환/반품/AS안내
		faqClssfCd : null,
		
		idkey : null,  // 메인 화면에서 넘어오는 faqId 값 셋팅
		firstDepthId : null,  
		secondDepthId : null,  
		id : null, //toggle ID 셋팅
		
		//고객센터 개편
		pageId : 1, //페이징 번호
		
		searchword : "", //검색어
		
		checkvalue : false, //더보기 체크값
		
		k : 0, //더보기에 사용할 K값
		
		init : function( params ) {
			this.initializeComponent(params);
			this.onLoad(params);
		},
		
		initializeComponent : function(params) {
			if ( params.idkey != null && params.idkey != "" ) {
				var txt = CurrentView.ui.setSubPrevNextTxt("textValue", params.firstDepthId);
				$("#txtSelectCategories").html( txt );					
				this.ui.setSubSelectArea_id( params.firstDepthId, params.secondDepthId );
			} else {
				//CurrentView.tab_faq_gubun = params.faqId;
				this.ui.setSubSelectArea( CurrentView.tab_faq_gubun );
			}
			
			$("#btnSearchIn").unbind().bind( "click", this.event.onclick_btnSearchIn );
			$("#itemClass li a").unbind().bind( "click", this.event.onclick_itemClass );
			$("#readmore").unbind().bind( "click", this.event.onclick_readmore );
		},
		
		onLoad : function(params) {
			//고객센터개편
			CurrentView.searchword = params.searchword; //전페이지에서 전달된 검색어값
			
			if ( params.idkey != null && params.idkey != "" ) {
				
				this.idkey = params.idkey;
				this.firstDepthId = params.firstDepthId;
				this.secondDepthId = params.secondDepthId;

				CurrentView.tab_faq_gubun = CurrentView.firstDepthId;
				CurrentView.faqClssfCd = CurrentView.secondDepthId;	

				this.data.getFooterFAQListMobile( CurrentView.tab_faq_gubun, CurrentView.faqClssfCd );
			}else if(params.allFlag =="Y"){ //전페이지 전체검색으로 인입시
				var id = "01";
				$("#01").parent().parent().addClass("on");
				CurrentView.ui.setSubSelectArea(id);
				CurrentView.data.getFooterFAQListMobile( id );
			}else {
				this.data.getFooterFAQViewMobile(CurrentView.searchword);
			}			
		},
		
		data : {
			getFooterFAQListMobile : function( faqId, faqClssfCd	 ) {
				//고객센터개편
				$("#ulFAQList").html(""); //FAQ게시글 리셋
				
				if(Ns.Util.isNull(faqId)){
					faqId = CurrentView.tab_faq_gubun;
				}
				if(Ns.Util.isNull(faqClssfCd)){
					faqClssfCd = CurrentView.faqClssfCd;
				}
				
				//if ( faqId == undefined || faqId == null || faqId == "" ) faqId = CurrentView.tab_faq_gubun;
				//if( faqClssfCd == undefined || faqClssfCd == null || faqClssfCd == ""  ) faqClssfCd = CurrentView.faqClssfCd;
				
				$("#inputSearch").val(""); // 검색 key값 초기화
				CurrentView.faq_searchTxt = ""; //초기화
				
				var invoke = {
					cmd_gubun : 'FL',
					tab_faq_gubun : faqId
				};
				
				if ( faqClssfCd != null ) invoke.faqClssfCd = faqClssfCd;
				CurrentView.faqClssfCd = faqClssfCd;  //검색 key에 따른 faqClssfCd 값 저장
				
				CurrentView.tab_faq_gubun_v = invoke.tab_faq_gubun;
				CurrentView.faqClssfCd_v = invoke.faqClssfCd;
				
				tran.callWCSJsonTran( "FooterFAQListMobileReal", invoke, CurrentView.ui.setFooterFAQListMobile );
			},
			
			getFooterFAQViewMobile : function( searchTxt ) {
				//고객센터개편
				var faqClssfCd = CurrentView.faqClssfCd;
				CurrentView.faq_searchTxt = searchTxt; // 검색 했을 때 검색 key값 화면에 보여지기 위해 선언
				$("#inputSearch").val(CurrentView.faq_searchTxt);
				var invoke = {
					faq_sch_txt : searchTxt, //전체검색으로 바꿈.
				};
				
				if ( faqClssfCd != null ) invoke.faqClssfCd = faqClssfCd;
				
				tran.callWCSJsonTran( "FooterFAQListMobileReal", invoke, CurrentView.ui.setFooterFAQListMobile );						
			},
			
			setFooterFAQ2DepthStar : function( userscore, itemid, score ) {
				//var userscore = Number($("evaluation" + idx).attr("userscore"));
				//var itemid = $("evaluation" + idx).attr("itemid");
				
				var invoke ={};
				invoke.artclNum = itemid;
				invoke.faqClssfCd = CurrentView.faqClssfCd;
				invoke.userId = USERINFO.userId();
				invoke.logonId = USERINFO.logonId();
				invoke.evalScore = Number(score);
				//FI : insert,  FU : update
				if( userscore == 0 )
					invoke.cmd_gubun = "FI"; 
				else 
					invoke.cmd_gubun = "FU";
				
				tran.callWCSJsonTran( "FooterFAQ2DepthStarReal", invoke, function( data ) {
					var result = data.msg.root.Result;
					var msg  = result.resultMsg;
					var code = result.resultCode;
					
					Ns.Popup.alert( msg, function() {
						if( code == "Y" ) {
							navi.setMovePointer(-1);
							//CurrentView.data.getFooterFAQListMobile();
							//mainCtrl.navigate("M_C1131000M", null);
							CurrentView.data.getFooterFAQListMobile(CurrentView.tab_faq_gubun, CurrentView.faqClssfCd);
							return false;
						}
					} );
				} );	
			}
			//
		},
		
		//이벤트 관련 함수 정의
		event : {
			onclick_btnSearchIn : function( ) {
				//고객센터개편
				$("#ulFAQList").html("");//FAQ게시글 리셋
				$("#itemClass li").removeClass("on");

				var searchTxt = $("#inputSearch").val(); 
				CurrentView.searchword = searchTxt; //검색어 전역변수에 넣기.
				if( searchTxt == "" ) {
					Ns.Popup.alert( "검색할 단어를 입력하세요." );
					CurrentView.faq_searchTxt = ""; //초기화
					return false;
				}
				
				CurrentView.data.getFooterFAQViewMobile( searchTxt );
			},
			
			onclick_itemClass : function() {
				//고객센터개편
				$("#ulFAQList").html(""); //FAQ게시글 리셋
				CurrentView.pageId = "1"; //탭이동시 페이징 번호 리셋
				CurrentView.searchword = ""; //검색어 리셋
				
				var id = $(this).attr('id');
				var txt = $(this).text();
				CurrentView.tab_faq_gubun = id;
				CurrentView.faqClssfCd = null;

				$("#txtSelectCategories").html( txt );
				
				$("#itemClass li").removeClass("on");
				$(this).parent().parent().addClass("on");
				
				CurrentView.ui.setSubSelectArea(id);
				CurrentView.data.getFooterFAQListMobile( id );
			},
			
			onclick_subCategories : function( _this,  id, subId ) {
				$("#divSelectArea li a").removeClass( "active" );
				$(_this).addClass('active');
				
				CurrentView.data.getFooterFAQListMobile( id, id+subId );
			},
			
			/*setSlider : function() {
				var mySwiper = new Swiper('.circle_menu',{
					//pagination: '.pagination',
					paginationClickable: true,
					loop:true,
					centeredSlides: true,
					slidesPerView: 'auto'
				});
				$("#btnPrev").on( "click", function(e){
					e.preventDefault();
					mySwiper.swipePrev();
				});
				$("#btnNext").on( "click", function(e){
					e.preventDefault();
					mySwiper.swipeNext();
				});
			},*/
			setSlider : function() {
				var mySwiper = new Swiper('.circle_menu',{
					pagination : {
						clickable : true,
					},					
					loop:true,
					centeredSlides: true,
					slidesPerView: 'auto',
					navigation : {
						nextEl: '#btnNext',
					    prevEl: '#btnPrev',
					}						
				});
			},
			
			onclick_regiScore : function( userscore, itemid, score ) {
				var isLogon = mainCtrl.checkLogonStatus();
				
				if( !isLogon ) {
					Ns.Popup.alert("로그인 후 이용하실 수 있습니다.", function() {
						navi.setMovePointer(-1);
						mainCtrl.gotoLogin();
					});				
					return;
				}
				
				Ns.Popup.confirm("평가하시겠습니까?", function() {
					navi.setMovePointer(-1);
					CurrentView.data.setFooterFAQ2DepthStar( userscore, itemid, score );
				}, null, "평가하기", "취소", "평가하기");
			},
			
			onclick_faqList : function( idx , faqId ) {
				if ( CurrentView.toggleIndex == idx ) {
					CurrentView.toggleIndex = -1;	
					$("#uiBaseToggle" + idx).removeClass( "active" );
					return false;
				} else {
					$("#uiBaseToggle" + CurrentView.toggleIndex).removeClass( "active" );
				}	
				
				$("#evaluation" + idx).removeClass("active");
				$( "#uiBaseToggle" + idx).toggleClass("active");
				CurrentView.toggleIndex = idx;
				
				var invoke = {};
				invoke.artclNum = faqId;
				invoke.faqClssfCd = CurrentView.faqClssfCd;
				invoke.cmd_gubun = "FD";
				
				tran.callWCSJsonTran( "NSCustomerCenterAjaxCmd", invoke, function(){} );
			},
			
			onclick_setScore : function( idx ) {
				$("#evaluation" + idx).toggleClass("active");
			},
			
			showVideo : function( url ) {
				WL.App.openURL( url, '', ''); 
			},
			
			onclick_btnPrev : function() {
				var id = CurrentView.ui.setSubPrevNextValue("prev", CurrentView.tab_faq_gubun);
				var txt = CurrentView.ui.setSubPrevNextTxt("prev", CurrentView.tab_faq_gubun);

				CurrentView.tab_faq_gubun = id;
				CurrentView.faqClssfCd = null;
				$("#txtSelectCategories").html( txt );
				
				//CurrentView.ui.setSubSelectArea(id);
				CurrentView.data.getFooterFAQListMobile( id );				
			},
			
			onclick_btnNext : function() {
				var id = CurrentView.ui.setSubPrevNextValue("next", CurrentView.tab_faq_gubun);
				var txt = CurrentView.ui.setSubPrevNextTxt("next", CurrentView.tab_faq_gubun);
				
				CurrentView.tab_faq_gubun = id;
				CurrentView.faqClssfCd = null;
				$("#txtSelectCategories").html( txt );
				
				//CurrentView.ui.setSubSelectArea(id);
				CurrentView.data.getFooterFAQListMobile( id );
			},
			/*고객센터개편
			* 더보기
			*/
			onclick_readmore : function() {
				//페이징 숫자를 늘려줌.
				if( CurrentView.pageId >= 1){
					CurrentView.pageId ++;
					CurrentView.k = ( parseInt(CurrentView.k ) * CurrentView.pageId );
					CurrentView.checkvalue = true;
				}
				//이전 페이지에서 게시글을 클릭해서 넘어오는 경우
				if ( CurrentView.idkey != null && CurrentView.idkey != "" ) {
					
					var invoke = {	
						faq_sch_txt : CurrentView.searchword,
						pageId : CurrentView.pageId
					};

					tran.callWCSJsonTran( "FooterFAQListMobileReal", invoke, CurrentView.ui.setFooterFAQListMobile );
				//검색을 했을경우 검색을 가지고 더보기 하기					
				}else if ( CurrentView.searchword != null && CurrentView.searchword != "" ) {
					
					var invoke = {	
						faq_sch_txt : CurrentView.searchword,
						pageId : CurrentView.pageId
					};

					tran.callWCSJsonTran( "FooterFAQListMobileReal", invoke, CurrentView.ui.setFooterFAQListMobile );
				//그 외
				} else {
					
					var invoke = {	
						tab_faq_gubun :CurrentView.tab_faq_gubun_v,
						faqClssfCd : CurrentView.faqClssfCd_v,
						pageId : CurrentView.pageId
					};

					tran.callWCSJsonTran( "FooterFAQListMobileReal", invoke, CurrentView.ui.setFooterFAQListMobile );
				}			
				
			},
			
			
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			
			setFooterFAQListMobile : function( data ) {
				var firstDepth = data.msg.root.FirstDepth;
				var secondDepth = data.msg.root.SecondDepth;
				
				//고객센터개편
				var htmlTxt = "";
				if ( secondDepth == null || secondDepth == "" || secondDepth[0].faqList == null || secondDepth[0].faqList == "" ) {
					
					htmlTxt =  '<div class="empty_event"><strong>검색결과가 없습니다.</strong></div>';
					//검색결과가 없으면 더보기 버튼 숨기기
					$("#readmore").hide();
					$("#ulFAQList").html( htmlTxt );
					return false;
				}
				
				$("#readmore").show();
				
				var contents = secondDepth[0];
				
				CurrentView.faqClssfCd = contents.id;
				htmlTxt = "";
				for( var k=0; k<contents.faqList.length; k++ ) {
					var items = contents.faqList[k];
					var videoUrl = items.videoUrl;
					var isVideo = '<span class="img_play">동영상 있음</span>';
					var videoTag = Ns.Util.stringFormat( '<div><span class="play_thum"><img src="./images/customer/thum_play_img.png" alt="동영상"><a href="javascript:CurrentView.event.showVideo(\'{0}\');" class="btn_play">동영상플레이</a></span></div>', videoUrl);

					if ( items.id == CurrentView.idkey ) {
						CurrentView.id = k;
					}
					
					var answerTxt =  $('#divTemp').html( items.answer ).text();
					
					if( videoUrl == "" ) {
						isVideo = "";
						videoTag = "";
					}
					
					var userScore = parseInt( items.userStar );
					//고객센터개편
					var score = "";
					
					if( CurrentView.checkvalue == true ){
						score = parseInt( CurrentView.k ) + parseInt( k );
					}else{
						CurrentView.k = parseInt( k ) + parseInt( 1 );
						score = k;
					}
				
					var scoreTag =  Ns.Util.stringFormat( '\
						<div class="eval_area">\
							<P class="em rate-b pb10">답변에 만족하셨다면 별점으로 평가해 주세요.</P>\
							<div class="eval-star item-list">\
								<div class="item-panel">\
									<a href="javascript:CurrentView.event.onclick_setScore({0});">\
										<span class="title">\
											<span class="rating"><span class="text">100점<span class="value" style="width: 100%;"></span></span></span>\
										</span>\
										<span class="item-sort"><span class="btn ico spread"><span>평가점</span></span></span>\
									</a>\
									<ul id="evaluation{1}" class="item-class ui-base-target" userscore="{2}" itemid="{3}">\
										<li><span class="rating" onclick="CurrentView.event.onclick_regiScore(\'{4}\',\'{5}\',5);"><span class="text">100점<span class="value" style="width: 100%;"></span></span></span></li>\
										<li><span class="rating" onclick="CurrentView.event.onclick_regiScore(\'{6}\',\'{7}\',4);"><span class="text">80점<span class="value" style="width: 80%;"></span></span></span></li>\
										<li><span class="rating" onclick="CurrentView.event.onclick_regiScore(\'{8}\',\'{9}\',3);"><span class="text">60점<span class="value" style="width: 60%;"></span></span></span></li>\
										<li><span class="rating" onclick="CurrentView.event.onclick_regiScore(\'{10}\',\'{11}\',2);"><span class="text">40점<span class="value" style="width: 40%;"></span></span></span></li>\
										<li><span class="rating" onclick="CurrentView.event.onclick_regiScore(\'{12}\',\'{13}\',1);"><span class="text">20점<span class="value" style="width: 20%;"></span></span></span></li>\
									</ul>\
								</div>\
							</div>\
						</div>', k, k, userScore, items.id,
								userScore, items.id,
								userScore, items.id,
								userScore, items.id,
								userScore, items.id,
								userScore, items.id );
					if( userScore > 0 ) scoreTag = "";
					
					htmlTxt += Ns.Util.stringFormat( '\
							 <div class="cs_accordion">\
								<h1>\
									<a class="" class="ui-cs-toggle active" href="javascript:CurrentView.event.onclick_faqList(\'{0}\', \'{10}\');">\
											<span class="ranking">{1}</span>\
											{5}\
									</a>\
								</h1>\
								<div class="ui-base-target" id="uiBaseToggle{6}">\
									<div class="reply_area">\
										{7}\
										<div class="reply_txt">{8}</div>\
									</div>\
								</div>\
							</div>' , score, items.no, isVideo, items.userStar, items.star, items.question, score, videoTag, answerTxt, scoreTag, items.id);
				}
				
				CurrentView.count = items.no;
				
				//고객센터개편
				if( items.no == "1"){ //더보기에서 게시글 번호가1인경우 더보기 버튼 숨기기.
					$("#readmore").hide();
				}
				
				if( CurrentView.checkvalue == true ){
					$("#ulFAQList").append( htmlTxt );
				}else{
					$("#ulFAQList").html( htmlTxt );
				}
				
				if ( !Ns.Util.isNull(CurrentView.idkey) ) {
					CurrentView.event.onclick_faqList(CurrentView.id);
				}
				CurrentView.id = null;
				CurrentView.idkey = null;
			},
			
			setSubSelectArea : function( id ) {
				var subItems = CurrentView.subcategoies[id];
				if( subItems == null ) {
					$("#divSelectArea").empty();
					return false;
				}
				
				var html = '';
				for ( var k=0; k<subItems.length; k++) {
					var items = subItems[k];
					
					html += Ns.Util.stringFormat('\
							<li class="swiper-slide"><a href="javascript:;" onclick="CurrentView.event.onclick_subCategories(this,\'{1}\',\'{2}\');return false;" {4}><span>{3}</span></a></li>',
						k, id, items.id, items.name,
						(k == 0 ? 'class="active"' : '')
					);
				}
				$("#divSelectArea").empty().html( html );
				CurrentView.event.setSlider();
			},
			
			setSubSelectArea_id : function( id, subId ) {
				var subItems = CurrentView.subcategoies[id];
				if( subItems == null ) {
					$("#divSelectArea").empty();
					return false;
				}
				
				var html = '';
				for ( var k=0; k<subItems.length; k++) {
					var items = subItems[k];
					var idValue = id+items.id;

					html += Ns.Util.stringFormat('\
							<li class="swiper-slide"><a href="javascript:;" onclick="CurrentView.event.onclick_subCategories(this,\'{1}\',\'{2}\');return false;" {4}><span>{3}</span></a></li>',
							k, id, items.id, items.name,
						(idValue == subId ? 'class="active"' : '')
					);
				}
				$("#divSelectArea").empty().html( html );
				CurrentView.event.setSlider();
			},
			
			setSubPrevNextValue : function( keyValue, id ) {
				var faq_gubun = "";
				if(keyValue == "next") {
					switch (id) {
						case '01' : faq_gubun = "02"; break;
						case '02' : faq_gubun = "03"; break;
						case '03' : faq_gubun = "04"; break;
						case '04' : faq_gubun = "05"; break;
						case '05' : faq_gubun = "06"; break;
						case '06' : faq_gubun = "07"; break;
						case '07' : faq_gubun = "08"; break;
						case '08' : faq_gubun = "09"; break;
						case '09' : faq_gubun = "10"; break;
						case '10' : faq_gubun = "11"; break;
						case '11' : faq_gubun = "12"; break;
						case '12' : faq_gubun = "13"; break;				
						case '13' : faq_gubun = "14"; break;
						case '14' : faq_gubun = "01"; break;						
						default: break;
					}
				} else {
					switch (id) {
						case '01' : faq_gubun = "14"; break;
						case '02' : faq_gubun = "01"; break;
						case '03' : faq_gubun = "02"; break;
						case '04' : faq_gubun = "03"; break;
						case '05' : faq_gubun = "04"; break;
						case '06' : faq_gubun = "05"; break;
						case '07' : faq_gubun = "06"; break;
						case '08' : faq_gubun = "07"; break;
						case '09' : faq_gubun = "08"; break;
						case '10' : faq_gubun = "09"; break;
						case '11' : faq_gubun = "10"; break;
						case '12' : faq_gubun = "11"; break;				
						case '13' : faq_gubun = "12"; break;
						case '14' : faq_gubun = "13"; break;						
						default: break;
					}
				}
				return faq_gubun;
			},
			
			setSubPrevNextTxt : function( keyValue, id ) {
				var faq_gubun_txt = "";
				if(keyValue == "next") {
					switch (id) {
						case '01' : faq_gubun_txt = "주문취소/변경 안내"; break;
						case '02' : faq_gubun_txt = "환불 안내"; break;
						case '03' : faq_gubun_txt = "주문/결제 안내"; break;
						case '04' : faq_gubun_txt = "할인혜택 안내"; break;
						case '05' : faq_gubun_txt = "배송 안내"; break;
						case '06' : faq_gubun_txt = "NS홈쇼핑"; break;
						case '07' : faq_gubun_txt = "이벤트 안내"; break;
						case '08' : faq_gubun_txt = "회원가입/수정/탈퇴 안내"; break;
						case '09' : faq_gubun_txt = "사이트이용 안내"; break;
						case '10' : faq_gubun_txt = "거래증빙서류 안내"; break;				
						case '11' : faq_gubun_txt = "오픈마켓/백화점 이용안내"; break;
						case '12' : faq_gubun_txt = "NS상품권이용 안내"; break;					
						case '13' : faq_gubun_txt = "보험/렌탈/여행서비스 안내"; break;
						case '14' : faq_gubun_txt = "교환/반품/AS 안내"; break;						
						default: break;
					}
				} else if (keyValue == "textValue") {
					switch (id) {
						case '01' : faq_gubun_txt = "교환/반품/AS 안내"; break;
						case '02' : faq_gubun_txt = "주문취소/변경 안내"; break;
						case '03' : faq_gubun_txt = "환불 안내"; break;
						case '04' : faq_gubun_txt = "주문/결제 안내"; break;
						case '05' : faq_gubun_txt = "할인혜택 안내"; break;
						case '06' : faq_gubun_txt = "배송 안내"; break;
						case '07' : faq_gubun_txt = "NS홈쇼핑"; break;
						case '08' : faq_gubun_txt = "이벤트 안내"; break;
						case '09' : faq_gubun_txt = "회원가입/수정/탈퇴 안내"; break;
						case '10' : faq_gubun_txt = "사이트이용 안내"; break;
						case '11' : faq_gubun_txt = "거래증빙서류 안내"; break;				
						case '12' : faq_gubun_txt = "오픈마켓/백화점 이용안내"; break;
						case '13' : faq_gubun_txt = "NS상품권이용 안내"; break;		
						case '14' : faq_gubun_txt = "보험/렌탈/여행서비스 안내"; break;
						default: break;
					}
				} else {
					switch (id) {
						case '01' : faq_gubun_txt = "보험/렌탈/여행서비스 안내"; break;
						case '02' : faq_gubun_txt = "교환/반품/AS 안내"; break;
						case '03' : faq_gubun_txt = "주문취소/변경 안내"; break;
						case '04' : faq_gubun_txt = "환불 안내"; break;
						case '05' : faq_gubun_txt = "주문/결제 안내"; break;
						case '06' : faq_gubun_txt = "할인혜택 안내"; break;
						case '07' : faq_gubun_txt = "배송 안내"; break;
						case '08' : faq_gubun_txt = "NS홈쇼핑"; break;
						case '09' : faq_gubun_txt = "이벤트 안내"; break;
						case '10' : faq_gubun_txt = "회원가입/수정/탈퇴 안내"; break;
						case '11' : faq_gubun_txt = "사이트이용 안내"; break;
						case '12' : faq_gubun_txt = "거래증빙서류 안내"; break;				
						case '13' : faq_gubun_txt = "오픈마켓/백화점 이용안내"; break;
						case '14' : faq_gubun_txt = "NS상품권이용 안내"; break;						
						default: break;
					}
				}
				return faq_gubun_txt;
			}
		}
		//end ui function...
};

	
