
/* JavaScript content from js/customer/M_C1142402P.js in folder common */

/* 
 *	1:1문의/신청 - 문의하기
 *  ID : M_C1142402P
 *  
*/

//popup 컨트롤 클래스
CurrentPopup = {
		callbackFunc      : null, //callback function..
		targetObj         : null, //layer div..	
		
		init : function( target, params ) {
			this.callbackFunc = params.callback;
			this.targetObj = target;
			
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#pCustomName").html( USERINFO.userName() + "고객님"); //사용자 이름
			$("#btnQnaConfirm").unbind().bind( "click", this.event.onclick_btnQnaConfirm ); //확인
			$("#btnClose").unbind().bind( "click", this.event.onclick_btnQnaConfirm ); //확인
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			btnQnaConfirm : function() {
				var callback = function() {
					// 부모창에 데이터 전송
					CurrentPopup.callbackFunc(params);
					Ns.Popup.close( CurrentPopup.targetObj );
				};
				var params 	  = {};
				callback();
			}
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {

		}, // end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//확인버튼 클릭 이벤트
			onclick_btnQnaConfirm : function() {
				CurrentPopup.data.btnQnaConfirm();
			}				
		} //end event
};