
/* JavaScript content from js/customer/M_C1142500L.js in folder common */

/* 
 *	페이지 ID : M_C1142500L
 *  시스템 오류 신고
 *
 */

CurrentView = {
		prevPage : null,
		
		bDouble : false,	// 중복클릭 체크 변수
		
		MAX_MESSAGE_CARD_LENGTH : 400,	// 메세지카드 입력 최대값
		
		init : function( params ) {
			$("#footer").show();
			
			this.prevPage = params.prevPage;
			this.initializeComponent(params);
			this.onLoad(params);
		},
		
		initializeComponent : function(params) {
			$("#btnQuestion").unbind().bind( "click", this.event.onclick_btnQuestion );

			//로그인한 사용자의 휴대폰 번호&이메일 주소로 기본셋팅
			var tel = USERINFO.hpNo().replace(/-/gi,"");
			if(tel == "nulnulnul") tel = "";
			$("#hpno").val( tel );
			$("#email").val( USERINFO.email() );

		},
		
		onLoad : function() {
		},
		
		data : {
			
			
		},
		
		//ui interaction 관련 함수 정의 
		ui : {

		},
		//end ui function...
		
		//이벤트 관련 함수 정의
		event : {
			
			//메세지 입력시 글자 bytes 체크
			keyup_inputMemo : function(_this) {
				Ns.Util.checkByteLength(_this, CurrentView.MAX_MESSAGE_CARD_LENGTH);
				var len = Ns.Util.getBytes(_this.value);
				$("#inputMemo_Count").html( '문의내용' + '<br>' + Ns.Util.stringFormat("({0}/{1} bytes)", len, CurrentView.MAX_MESSAGE_CARD_LENGTH) );
			},
			
			onclick_radioPhoneMail : function( type ) {
				if (type == '10') { // email
					$("#divPhone").hide();
				} else if (type == '11') { // email + SMS
					$("#divPhone").show();
				}
			},

			onclick_btnQuestion : function() {
				if(Ns.Util.doubleSubmitCheck()) return;

				var receiveType = $('input:radio[name="chkReceiveType"]:checked').val();
				var inputTitle = CurrentView.util.toHTML($("#inputTitle").val());
				var inputMemo = CurrentView.util.toHTML($("#inputMemo").val());
				var hpno = $("#hpno").val();
				var email = $("#email").val();
				var isEmail = Ns.Util.isEmail( email );
				var isHpNo = Ns.Util.isHPNo( Ns.Util.insertSeparatorPhoneNumber(hpno,"-"));

				var email1 = "";
				var email2 = "";
				
				var mobile1 = "";
				var mobile2 = "";
				var mobile3 = "";

				if( inputTitle == "" ) {
					Ns.Popup.alert("문의 제목을 입력하세요.");
					return false;
				}
				if( inputMemo == "" ) {
					Ns.Popup.alert("문의 내용을 입력하세요.");
					return false;
				}
				if (Ns.Util.getBytes(Ns.Util.trimString(inputMemo)) > CurrentView.MAX_MESSAGE_CARD_LENGTH) {
					Ns.Popup.alert("문의 내용의 글자수는 " + CurrentView.MAX_MESSAGE_CARD_LENGTH + " bytes를 초과할 수 없습니다.");
					return false;
				}				
				if( receiveType == "10") {
					if( !isEmail ) {
						Ns.Popup.alert("E-Mail정보를 정확히 입력하세요.");
						return false;
					}
				} else if( receiveType == "11") {
					if( !isEmail ) {
						Ns.Popup.alert("E-Mail 정보를 정확히 입력하세요.");
						return false;
					}
					if( !isHpNo ) {
						Ns.Popup.alert("휴대폰 정보를 정확히 입력하세요.");
						return false;
					}
					
					email1 = email.substring(0, email.indexOf('@'));
					email2 = email.substring(email.indexOf('@')+1);
					
					mobile1 = hpno.substring( 0, 3);
					mobile2 = hpno.substring( 3 , hpno.length-4 );
					mobile3 = hpno.substring( hpno.length-4, hpno.length );
				}


				
				// 중복 클릭 방지 처리 
				if (CurrentView.bDouble == true){
					return false;
				}
				CurrentView.bDouble = true;
				
				var param = {};
				
				param.artcl_num= "";
				param.cmd_gubun= "ERR_I";
				param.ctnt= $('#inputMemo').val();
				param.email= email1;
				param.email2= email2;
				param.emailAddr= email;
				param.err_class_cd= "99";
				param.err_url= "";
				param.langId= "-9";
				param.mobile1= mobile1;
				param.mobile2= mobile2;
				param.mobile3= mobile3;
				param.rec_gb= "10";
				param.storeId= "13001";
				param.title= $('#inputTitle').val();
				param.mediaType = 'MOBIL';
				
				tran.callWCSJsonTran( 'NSCustomerCenterJoinAjax', param, function( data ) {
					var success = data.msg.rst;
					if ( success == '1' ) {
						Ns.Popup.alert('오류신고 내용이 정상적으로 접수되었습니다. \n신고해주셔서 감사합니다.',function(){
							mainCtrl.onBackButtonPressed();
							return false;
						},null,true);
					} else {
						Ns.Popup.alert( "오류신고 접수에 실패 하였습니다." );
						return false;
					}
				});
			}
		},
		
		//end event function		
		util : {
			toHTML : function(str) {
				str = str.replace(/</g, "&lt;");
				str = str.replace(/>/g, "&gt;");
				str = str.replace(/\"/g, "&quot;");
				str = str.replace(/\'/g, "&#039;");
							  
				return str;
			}
		}
};