
/* JavaScript content from js/goods/M_G2614000M.js in folder common */

/* 
 *	상품상세-배송/교환/반품 안내
 *  ID : M_G2614000M
 *  
*/

//page 컨트롤 클래스
CurrentView = {

		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function( params ) {
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function() {
			this.ui.setSwiper();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
		
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			setSwiper : function() {
				var mySwiper = new Swiper('.swiper-container',{
					pagination: '.pagination',
					loop:true,
					grabCursor: true,
					paginationClickable: true
				});
				$('.arrow-left').on('click', function(e){
					e.preventDefault();
					mySwiper.swipePrev();
				});
				$('.arrow-right').on('click', function(e){
					e.preventDefault();
					mySwiper.swipeNext();
				});
			}
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			
		} // end event
};