
/* JavaScript content from js/layout/TopPageLayoutSevenSlotView.js in folder common */
/**
 * 		페이디 ID : TopPageLayoutSevenSlotView
 * 		TopPageLayoutSevenSlotView 레이아웃 페이지
 */

CurrentView = {
		//현재 layout 에서 사용 할 슬롯 리스트 정의
		LAYOUT_SLOT_LIST : [
		                    "SLOTA","SLOTB","SLOTC","SLOTD","SLOTE","SLOTF","SLOTG"
		                    ,"SLOTH","SLOTI","SLOTJ","SLOTK","SLOTL","SLOTM","SLOTN"
		                    ,"SLOTO","SLOTP","SLOTQ","SLOTR","SLOTS","SLOTT","SLOTU",
		                    ,"SLOTV","SLOTW","SLOTX","SLOTY","SLOTZ"
		                    ],
		catalogId : "",
		
		//현재 매장 카테고리 ID
		categoryId : "",
		
		//현재 매장 하위(2LV) 카테고리 ID
		subcateId : "",
		subcateNm : "",
		
		//다음 페이징 처리 될 EspotID
		continueEspotId : "",
		
		//마지막 조회 된 EspotId
		lastEspotId : "",
		
		//다음 페이징 처리 시 시작 인덱스 값
		listPageIdx : "",
		
		//페이징 처리 여부
		pageCallYn : "",
		
		//페이징 갯수
		pageSize : "20",
		
		//스크롤 이벤트 플래그
		pushFullEvent : false,
		
		//재생 중인 videojs 객체 id
		playingVideo : null,
		
			
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad( params );
		},
		
		initializeComponent : function( params ){
			
			this.catalogId		 = params.catalogId;
			this.categoryId		 = params.categoryId;
			this.continueEspotId = params.continueEspotId;
			this.listPageIdx	 = params.listPageIdx;
			this.pageCallYn		 = params.pageCallYn;
			this.pageSize		 = params.pageSize;
			
			$("#espot_ext_temp").html("");
			pageLayoutComm.LOGGING_URL = {};
			pageLayoutComm.ESPOT_NAME = {};
			pageLayoutComm.PREV_ESPOTID = "";
		},
		
		onLoad : function( params ){
			
			//API 에서 받은 데이터로 espot 랜더링 함수 호출
			var vEspotList = pageLayoutComm.validateEspot(params);
			
			vEspotList ? "" : mainCtrl.gotoMain();
			
			//페이징 처리를 위한 공통 스크롤 이벤트
			Ns.UI.startPushFullEvent( pageLayoutComm.pagingProcess );
			
			//페이지 정보 넣어놓기
			var layoutViewName = params.layoutId;
			PAGE_CONFIG[layoutViewName].title = PAGE_CONFIG[this.categoryId].title;
			
			/*if(params.homeYn == "HOME"){
				pageLayoutComm.includeJs("initializeHome");
			}*/
			
			/*
				슬롯형 매장에서 푸터가 사라지는 오류 개선
				- nsmall.page.js의 noTransPage에서 컨트롤을 해야하나, pageId가 가변적(매장번호가 들어감)이기 때문에 설정이 힘듬
				- 해당 페이지 onLoad 시 footer.show를 하도록 수정처리 
			*/
			$("#footer").show();
		},
		
		//데이터 관련 함수 정의
		data : {
		
		},
		//end data function...
		
		//ui interaction 관련 함수 정의 
		ui : {
			
		},
		//end ui function...
		
		//이벤트 관련 함수 정의
		event : {
			
		}
		//end event function
};