
/* JavaScript content from js/layout/_PL_Comm.js in folder common */
/**
 * 		페이디 ID : _PL_Comm
 * 		페이지 레이아웃 공통
 */

var pageLayoutComm;
var pageLayoutEspot = {};

(function(){
	if(typeof Object.values === 'undefined') {
	  Object.values = function(obj) {
	    var array = new Array();
	    for (var key in obj) {
	    	if(obj.hasOwnProperty(key)){
	    		array.push(obj[key]);
	    	}
	    }
	    return array;
	  }
	}

	pageLayoutComm = window.pageLayoutComm || {
		
		
		//상품 로그 노출 플래그
		PROD_LOG_FLAG : false,
		
		// 이전 페이징 espotID
		PREV_ESPOTID: "",
		
		//로그 적재 객체
		LOGGING_URL : {},

		// HTML 경로
		ESPOT_PATH : {
			"subcate"			: { path : "eSpotTmpl/cate", jsLib : [], libCss : [] }
			,"themecate"		: { path : "eSpotTmpl/cate", jsLib : [], libCss : [] }
			
			,"broad"			: { path : "eSpotTmpl/broad", jsLib : [], libCss : [] }
			,"broadtv"			: { path : "eSpotTmpl/broad", jsLib : [], libCss : [] }
			,"broadbox"			: { path : "eSpotTmpl/broad", jsLib : [], libCss : [] }
			,"broadboxslide"	: { path : "eSpotTmpl/broad", jsLib : [], libCss : [] }
		
			,"vodlive"			: { path : "eSpotTmpl/vod", jsLib : [], libCss : [] }
			,"vodlist"			: { path : "eSpotTmpl/vod", jsLib : [], libCss : [] }
			,"vodgrid"			: { path : "eSpotTmpl/vod", jsLib : [], libCss : [] }
			,"vodwide"			: { path : "eSpotTmpl/vod", jsLib : [], libCss : [] }
			,"vodswiper"		: { path : "eSpotTmpl/vod", jsLib : [], libCss : [] }
			,"vodtitle"			: { path : "eSpotTmpl/vod", jsLib : [], libCss : [] }
			,"vodtwotitle"		: { path : "eSpotTmpl/vod", jsLib : [], libCss : [] }
			,"voddetaillist"	: { path : "eSpotTmpl/vod", jsLib : [], libCss : [] }
			,"vodpicture"		: { path : "eSpotTmpl/vod", jsLib : [], libCss : [] }
			
			
			,"cntnt"			: { path : "eSpotTmpl/cntnt", jsLib : [], libCss : [] }
			,"cntnt2w"			: { path : "eSpotTmpl/cntnt", jsLib : [], libCss : [] }
			,"cntntcateprd"		: { path : "eSpotTmpl/cntnt", jsLib : [], libCss : [] }
			,"cntntslide15w"	: { path : "eSpotTmpl/cntnt", jsLib : [], libCss : [] }
			,"cntnt4w"			: { path : "eSpotTmpl/cntnt", jsLib : [], libCss : [] }
			,"cntnttext"		: { path : "eSpotTmpl/cntnt", jsLib : [], libCss : [] }
			,"cntntcircleslide"	: { path : "eSpotTmpl/cntnt", jsLib : [], libCss : [] }
			
			,"prdlist"			: { path : "eSpotTmpl/prd", jsLib : [], libCss : [] }
			,"prdslide"			: { path : "eSpotTmpl/prd", jsLib : [], libCss : [] }
			,"prdgrid3w"		: { path : "eSpotTmpl/prd", jsLib : [], libCss : [] }
			,"prdlarge"			: { path : "eSpotTmpl/prd", jsLib : [], libCss : [] }
			,"prdslide15w"		: { path : "eSpotTmpl/prd", jsLib : [], libCss : [] }
			,"prdslidesquare15w": { path : "eSpotTmpl/prd", jsLib : [], libCss : [] }
			,"prdslidesquare25w": { path : "eSpotTmpl/prd", jsLib : [], libCss : [] }
			,"prdgrid"			: { path : "eSpotTmpl/prd", jsLib : [], libCss : [] }
			,"prdwide"			: { path : "eSpotTmpl/prd", jsLib : [], libCss : [] }
			,"prdrcmduser"		: { path : "eSpotTmpl/prd", jsLib : [], libCss : [] }
			
			,"textslide"		: { path : "eSpotTmpl/text", jsLib : [], libCss : [] }
			
		},

		// CSS 파일명
		ESPOT_CSS_PATH : {
			"empty" 			: ""
			,"vodlive"			: "vods_css"
			,"vodlist"			: "vods_css"
			,"vodgrid"			: "vods_css"
			,"vodwide"			: "vods_css"
			,"vodswiper"		: "vods_css"
			,"vodtitle"			: "vods_css"
			,"vodtwotitle"		: "vods_css"
			,"voddetaillist"	: "vods_css"
		},
		
		JS_LIB		: {
			"initializeHome"	: "js/layout/initializeHome.js"
		},
		
		CSS_LINK	: {
			"vods_css"		: "css/vods.css"
		},
		
		// 카탈로그 ID
		ESPOT_CATALOG_ID : "",
		
		// 카테고리 레벨 객체
		// 하위 레벨 매장 이동 처리시 슬롯 제거를 위한 객체
		ESPOT_CATE_LV : {
			"1" 	: {"slotNm" : [] , "categoryId" : []}
			,"2" 	: {"slotNm" : [] , "categoryId" : []}
			,"3" 	: {"slotNm" : [] , "categoryId" : []}
		},

		// Espot 경로 가져오기
		ESPOT_CONFIG : function(espotName){
			return { 
						path		: this.ESPOT_PATH[espotName].path 
						, jsLib		: this.ESPOT_PATH[espotName].jsLib
						, libCss	: this.ESPOT_PATH[espotName].libCss
						, cssPath	: this.ESPOT_CSS_PATH[espotName]
				}
		},
		
		LAYOUT_ID : "",

		// API 에서 받은 Espot 과 현재 레이아웃에 정의 된 슬롯 매핑
		validateEspot : function(params){
			var thiz 		= this
			,	p_bannerId	= params.p_bannerId //2017-11-16 ssong 로그적재용
			,	gotoSub 	= params.gotoSub;	//2018-02-26 ssong 하위 매장 url 이동을 위한 매장코드
			
			this.LAYOUT_ID = params.layoutId;
			//카탈로그 아이디 셋팅 및 페이징 처리시 기존 카탈로그 아이디 셋팅
			this.ESPOT_CATALOG_ID = params.catalogId ? params.catalogId : this.ESPOT_CATALOG_ID;
			
			//다음 조회(페이징) 해야될 espotID
			if(!params.targetCategoryId){	// 더보기 버튼클릭으로 인한 데이터 조회가 아닐경우
				CurrentView.continueEspotId = params.continueEspotId;
				CurrentView.pageCallYn = params.pageCallYn;
				CurrentView.lastEspotId = params.lastEspotId;
			}
			// API 에서 받은 espotList
			if(params.espotList){
				var espotList = params.espotList;
				var resultCnt = 0;

				// 사용 할 레이아웃에서 정의 된 espot 배열
				var selEspotArr = [];
			
				for( var i = 0, x = espotList.length-1 ; i <= x ; i++){
					var espotFullName = Object.keys(espotList[i])[0]
					,	splitFullNm = espotFullName.split("_")
					,	categoryId = splitFullNm[1] 							// 카테고리 ID
					,	slotStr = splitFullNm[2]								// 슬롯 위치
					,	slotNm = slotStr.substr(slotStr.indexOf("SLOT"))		// 슬롯명
					,	espotNm = splitFullNm[4].toLowerCase(); // espot HTML 페이지명
					
					//2019-06-11 ssong 각 Espot 부가 데이터 (Title , 옵션 CSS , 뱃지아이콘)
					var espotExtendList = params.espotExtendList[espotFullName]
					,	espotTitleObj	= espotExtendList.titleContent || {}
					,	espotCssList	= espotExtendList.css
					,	espotBadge		= espotExtendList.badge
					,	originEspotName	= espotExtendList.originEspotName;
					
					//해당 espot 의 카테고리 레벨과 카테고리번호를 전역변수에 저장
					var slotLV = espotExtendList.level;
					pageLayoutComm.ESPOT_CATE_LV[slotLV]["slotNm"].push(slotNm);
					pageLayoutComm.ESPOT_CATE_LV[slotLV]["categoryId"].push(categoryId);

					// 레이아웃에 슬롯 존재 여부 확인
					var index = CurrentView.LAYOUT_SLOT_LIST.indexOf(slotNm);
					
					espotFullName = espotFullName.substr(1);
					
					pageLayoutComm.ESPOT_NAME[slotNm] = {
							originEspotName : originEspotName
							,viewEspotName	: espotFullName
					};
					
					if(index != -1){
						selEspotArr[index] = {
							"slotNm"	  		: slotNm
							,"espotFullName" 	: espotFullName
							,"categoryLV" 		: Number(slotLV)+1
							,"espotNm"	  		: espotNm
							,"espotData"  		: Object.values(espotList[i])[0]
							,"espotTitleObj"	: espotTitleObj
							,"categoryId" 		: categoryId
							,"espotCssList"		: espotCssList
							,"espotBadge" 		: espotBadge
							,"originEspotName"	: originEspotName
						};
						
						//2018-02-26 ssong 하위 매장 url 이동을 위한 매장코드
						if(espotNm == "subcate"){
							selEspotArr[index].gotoSub = gotoSub;
						}
						
						// 페이징 처리는 로그 적재 제외
						if(pageLayoutComm.PREV_ESPOTID != espotFullName){
							// 로그적재 파라미터
							var invokeParams = {
								"categoryId" 	: categoryId
								, "p_bannerid" 	: p_bannerId
								, "p_espotid" 	: espotFullName
								, "catalogId"	: params.catalogId
								, "catgroupId"	: params.catgroupId || ""
								, "catentryId"	: params.catentryId || ""
							};
							
							//로그 적재
							tran.callPageLogging(  CurrentView.categoryId , invokeParams );	
							var loggingUrl = tran.makeLoggingUrl (CurrentView.categoryId , invokeParams);
							pageLayoutComm.LOGGING_URL[espotFullName] = loggingUrl;
						}
						
						// 사용 할 Espot Html template 로드
						resultCnt += thiz.getESpotArea(selEspotArr[index]);
					}
				}
				return resultCnt;

			} else {
				return false;
			}
			
		},

		// espot 마크업 영역 생성
		getESpotArea : function(eSpotArr){
			var thiz 			= this
			,	slotNm			= eSpotArr.slotNm
			,	espotNm			= eSpotArr.espotNm
			,	categoryId 		= eSpotArr.categoryId
			,	espotFullName	= eSpotArr.espotFullName 
			,	espotTitleObj	= eSpotArr.espotTitleObj;
			
			eSpotArr.espotTitle = Ns.Util.removeHTML(Ns.Util.htmlDecode(espotTitleObj.marketingText)) || ""; 
			
			//HTML 경로 확인
			var espotConfig = thiz.ESPOT_CONFIG(espotNm);
			
			// 생성 된 espot 템플릿을 레이아웃 슬롯 영역으로 복사
			var afterGetHtml = function(){
				// 고유한 espot 영역을 위한 id 부여
				var espotClone	= $("#" + espotNm).clone().attr("id", slotNm + "_" + categoryId + "_" +  espotNm);
				var $slot		= $("#"+ slotNm);
				espotTitleObj.espotNm = espotNm;
				espotTitleObj.espotFullName = espotFullName;

				$slot.append(pageLayoutComm.makeEspotTitleHtml(espotTitleObj))
					 .append(espotClone)
					 .attr("data-espotname",espotFullName);

				//espot 내부 init 함수 호출
				if(pageLayoutEspot[espotNm]){
					pageLayoutEspot[espotNm].init(eSpotArr);
					pageLayoutComm.getEspotExtendCssJs(espotConfig);
				}
			};
			
			if(espotConfig && eSpotArr){
				// 가져온 적이 없는 espot 템플릿 형태일 경우 새로 가져와서 그린다.
				if(!pageLayoutComm[espotNm + "_template"]){
					pageLayoutComm.getEspotHtml(espotNm, espotConfig ,afterGetHtml);
				} else {
					// 이미 그려진 espot 경우 해당 슬롯에 이어서 그린다.
					if($("#"+ slotNm + "_" + categoryId + "_" + espotNm).length > 0){
						pageLayoutEspot[espotNm].ui.espotDraw(eSpotArr);
					} else {
					// 이미 그려진 HTML이지만 해당 고유 영역이 없는 경우. (카테고리 변경 등..)
						afterGetHtml();
					}
				}
				return 1;
			}
			return 0;
		},
		
		getEspotHtml : function(espotNm, espotConfig,  callbackFn){
			// espot HTML 경로
			var eSpotUrl 	= "html/layout/" + espotConfig.path + "/" + espotNm + ".html"
			, 	$espotTemp	= $("#espot_temp");
			
				// espot HTML 가져오기
			$.get(eSpotUrl,function(htmlStr){
				if( $espotTemp.find("#" + espotNm).length <= 0 ){
					pageLayoutComm[espotNm + "_template"] = true;
					$espotTemp.append(htmlStr);
				}

			// 후처리
			}).done(function(){
				if(callbackFn && typeof callbackFn === "function"){
					callbackFn();
				} 
			});
		},
		
		getEspotExtendCssJs : function(espotConfig){
			var	cssPath 	= espotConfig.cssPath
			,	jsLib		= espotConfig.jsLib
			,	libCss		= espotConfig.libCss;
			
			if(cssPath){
				pageLayoutComm.linkCss(cssPath);
			}

			for(var i = 0; i < jsLib.length; i++){
				pageLayoutComm.includeJs(jsLib[i]);
			}
		
			for(var j = 0; j < libCss.length; j++){
				pageLayoutComm.linkCss(libCss[j]);
			}
			
		},

		//페이징 처리
		pagingProcess : function() {
			if(CurrentView.continueEspotId == "N" && CurrentView.pageCallYn == "N"){
				CurrentView.pushFullEvent = true;
				return false;
			}
			
			// 3레벨 카테고리(테마매장) 일 경우에만 themeCategoryId 파라미터 전송
			var categoryId = CurrentView.continueEspotId.split("_")[0];
			if(pageLayoutComm.ESPOT_CATE_LV["3"].categoryId.valueIndex(categoryId) === -1){
				categoryId = "";
			}
			
			var invokeParams = {
					"catalogId"			: pageLayoutComm.ESPOT_CATALOG_ID
					,"topCategoryId" 	: CurrentView.categoryId
					,"subCategoryId" 	: CurrentView.subcateId
					,"themeCategoryId" 	: categoryId
					,"continueEspotId" 	: CurrentView.continueEspotId
					,"listPageIdx" 		: CurrentView.listPageIdx
					,"pageSize" 		: CurrentView.pageSize
			};
		
			//다음 조회 해야될 EspotID를 이전 조회 된 EspotID에 저장
			//페이징 처리는 로그 적재를 제외 하기 위함
			pageLayoutComm.PREV_ESPOTID = CurrentView.lastEspotId;
			
			tran.callWCSJsonTran( 'NSMobileGetEspotData', invokeParams, function(data){
				
				// 데이터가 존재 할시 espot 영역을 그린다.
				if(data.msg.espotList && data.msg.espotList.length){
					data.msg.layoutId = pageLayoutComm.LAYOUT_ID 
					pageLayoutComm.validateEspot(data.msg);
				}
				
				// 페이징 처리 여부 판단 후 스크롤 이벤트플래그 처리
				if(data.msg.pageCallYn == "Y"){
					CurrentView.listPageIdx = data.msg.listPageIdx;
					CurrentView.continueEspotId = data.msg.continueEspotId;
					CurrentView.pushFullEvent = false;
				} else {
					CurrentView.pushFullEvent = true;
				}
			});

		},
		
		
		/**
		 * callNSmobileNoCacheData : 캐시가 적용되지 않은 신규 데이터 요청(실시간 방송과 같은 데이터 호출에 사용)
		 * 
		 * @param targetEspotId : 이스팟풀네임 (ex."1266580_MSLOTB_SHOPPLUS_BROAD")
		 * @param categoryId 	: 카테고리아이디 (ex."1266580")
		 * @param callbackFunc	: API 호출 후 실행할 콜백함수
		 * @param extendParams	: API 로 전달할 추가 파라미터
		 */
		callNSmobileNoCacheData : function( targetEspotId, categoryId , callbackFunc, extendParams){
			// 필수 parameter : targetEspotId, categoryId
			var invokeParams = {
					targetEspotId 	: targetEspotId,
					categoryId 		: categoryId,
			};
			
			if(extendParams){
				invokeParams = $.extend( {}, invokeParams, extendParams);
			}
			tran.callWCSJsonTran( 'NSmobileNoCacheData', invokeParams, callbackFunc );
		},
		
		// 상품 더보기 버튼 노출 여부 
		chkpagingBtn : function (categoryId , targetId , espotFullName , slotNm){
			if(CurrentView[categoryId] 
			&& CurrentView[categoryId].pageCallYn == "Y" 
			&& CurrentView[categoryId].continueEspotId != "N"){
				
				var flag = false;
				
				// 해당 영역이 마지막 영역인지 체크
				$("#" + slotNm).nextAll().each(function(idx,val){
					if($(val).children().length > 0){
						flag = true;
						return false;
					}
				});
				/*
				 *  더보기 버튼 노출 및 이벤트 바인딩
				 *  미노출시 현재 영역이 제일 하단 영역으로 판단하고
				 *  스크롤 이벤트로 넘겨주기 위해 페이징 전역변수 값 변경
				 */
				
				if(flag){
					var html;
					html = '<button type="button" class="more_items"'
							+ ' data-categoryId="' + CurrentView[categoryId].categoryId + '"'
							+ ' data-continueEspotId="' + CurrentView[categoryId].continueEspotId + '"'
							+ ' data-listPageIdx="' + CurrentView[categoryId].listPageIdx + '"'
							+ ' data-catename="' + CurrentView[categoryId].cateName + '"'
							+'>'
							+ '<span>' 
							+ CurrentView[categoryId].cateName + ' 더보기'  
							+ '</span>'
							+ '</button>';
					
					$("#" + targetId).append(html)
					$("#" + targetId + " .more_items").on("click",pageLayoutComm.clickPagingProcess);

				} else {
					CurrentView.pushFullEvent 	= false;
					CurrentView.continueEspotId = CurrentView[categoryId].continueEspotId;
					CurrentView.pageCallYn		= CurrentView[categoryId].pageCallYn;
				}
				delete CurrentView[categoryId];
			}
		},
		
		// 더보기 클릭 페이징
		clickPagingProcess : function (callbackFn ,target){
			var $this 			= target ? $(target) : $(this);
			var categoryId 		= $this.data("categoryid");
			var continueEspotId = $this.data("continueespotid");
			var listPageIdx 	= $this.data("listpageidx");
			var cateName 		= $this.data("catename");
			var targetEspotId 	= $this.data("targetespotid");
			var sortGubun		= $this.data("sortgubun");
			var pageSize		= $this.data("pagesize");
			
			if(!targetEspotId && continueEspotId == "N"){
				return false;
			}
			if(!pageSize){
				pageSize = CurrentView.pageSize;
			}

			var invokeParams = {
				"catalogId"			: pageLayoutComm.ESPOT_CATALOG_ID
				,"topCategoryId" 	: CurrentView.categoryId
				,"subCategoryId" 	: CurrentView.subcateId
				,"targetCategoryId" : categoryId
				,"targetEspotId"	: targetEspotId
				,"continueEspotId" 	: continueEspotId
				,"listPageIdx" 		: listPageIdx
				,"pageSize" 		: pageSize 
				,"sortGubun"		: sortGubun
			};
			
			//다음 조회 해야될 EspotID를 이전 조회 된 EspotID에 저장
			//페이징 처리는 로그 적재를 제외 하기 위함
			pageLayoutComm.PREV_ESPOTID = CurrentView.lastEspotId;

			tran.callWCSJsonTran( 'NSMobileGetEspotData', invokeParams, function(data){
				
				// 데이터가 존재 할시 espot 영역을 그린다.
				if(data.msg.espotList && data.msg.espotList.length){
					
					if(callbackFn && typeof callbackFn === "function"){
						callbackFn(data);
					} else {
						/*
						 *  상품더보기 버튼 처리시 필요한 데이터를
						 *  해당 매장명 객체로 별도 저장
						 *  
						 *  pageCallYn : 페이징 데이터 존재 여부
						 *  categoryId : 카테고리 ID
						 *  continueEspotId : 다음 페이징 espot Id
						 *  listPageIdx : 다음 페이징 시작 인덱스
						 *  cateName : 버튼에 노출 될 매장명
						 */
						
						if(data.msg.pageCallYn == "Y"){
							CurrentView[categoryId] = {};
							CurrentView[categoryId].pageCallYn		= data.msg.pageCallYn;
							CurrentView[categoryId].categoryId 		= categoryId;
							CurrentView[categoryId].continueEspotId	= data.msg.continueEspotId;
							CurrentView[categoryId].listPageIdx		= data.msg.listPageIdx;
							CurrentView[categoryId].cateName		= cateName
						}
						
						pageLayoutComm.validateEspot(data.msg);
						$this.remove();
					}
				}
				
				
			});
		},
		
		
		/*
		 *  슬롯 초기화
		 *  
		 *  cateLv : 해당 카테고리 레벨의 하위 혹은 동급 레벨 영역 슬롯 삭제
		 *  slotNm : 해당 슬롯 영역 다음 영역들을 전부 삭제
		 *  cateId : 해당 카테고리 ID를 가지고 있는 슬롯 영역만 삭제
		 *  
		 */
		resetSlot : function(cateLv,slotNm,cateId){
			var cateArr = [];
			
			if(cateLv){
				if(Array.isArray(cateLv)){
					for(var i = 0 ; i < cateLv.length ; i ++){
						cateArr = cateArr.concat(pageLayoutComm.ESPOT_CATE_LV[cateLv[i]].slotNm);
						pageLayoutComm.ESPOT_CATE_LV[cateLv[i]] = {"slotNm" : [] , "categoryId" : []};
					}
				} else {
					cateArr = pageLayoutComm.ESPOT_CATE_LV[cateLv].slotNm;
					pageLayoutComm.ESPOT_CATE_LV[cateLv] = {"slotNm" : [] , "categoryId" : []};
				}
				
				//하위 레벨 슬롯 초기화
				cateArr.removeDup().forEach(function(val){
					$("#" + val ).html("").attr("data-espotname","");
				});
			}
			
			if(slotNm){
				//슬롯 다음 영역 초기화
				$("#" + slotNm).nextAll().each(function(idx,val){
					$("#" + val.id).html("").attr("data-espotname","");
				});
			}
			
			if(cateId){
				// 관련 카테고리 슬롯 영역 초기화
				$("[id*=" + cateId +"][id^=SLOT]").each(function(idx,val){
					var delSlotNm = val.id.split("_")[0];
					//console.error("초기화 할 슬롯 : " , idx , cateId ,  delSlotNm)
					$("#" + delSlotNm).html("").attr("data-espotname","");
				});
			}
		},
		
		//적재 된 로그 가져오기
		wiselogURL : function(espotId){
			if(espotId && pageLayoutComm.LOGGING_URL[espotId]){
				console.log( pageLayoutComm.LOGGING_URL[espotId]);
			} else {
				var str = "\n";
				$.each(pageLayoutComm.LOGGING_URL,function(key,val){
					  str += key + " - " + val + "\n";
				});
				console.log(str);
			}
		},
		
		showEspotName : function(){
			var str = "";
			$.each(pageLayoutComm.ESPOT_NAME,function(key,val){
					str += "\n" + key + "\n"
				$.each(val , function(key2,val2){
					str += key2 + " - " + val2 + "\n"; 
				});
			});
			console.log(str);
		},
		
		//로그 삭제
		wiselogURLClear : function(){
			pageLayoutComm.LOGGING_URL = {};
			console.log("Clear Complete!");
		},
				
		//상품 로그 노출
		showProdLog : function(params){
				var str = "";
				$.each(params,function(key,val){
					var sp = " | "; 
					var k = key + " : ";
					if(key == "itncatentrynm"){
						sp = "\n";
						k  = "";
					}
					str += k + val + sp ;
				});
				console.log(str);
		},
		
		includeJs : function(id){
			if(1 > $("#" + id).length){
				var js = document.createElement("script");
				js.type = "text/javascript";
				js.src = pageLayoutComm.JS_LIB[id];
				js.id = id;
				document.getElementById("espot_ext_temp").appendChild(js);
			}
		},
		
		linkCss : function(id){
			if(1 > $("#" + id).length){
				var css = document.createElement("link"); 
				css.rel = "stylesheet"; 
				css.type = "text/css"; 
				css.href = pageLayoutComm.CSS_LINK[id]; 
				css.id = id;
				document.getElementById("espot_ext_temp").appendChild(css); 
			}
		},
		
		/*
		 * Espot 타이틀 생성하기
		 */
		makeEspotTitleHtml : function(titleObj){
			var titleHtml = "";

			if(titleObj.imgUrl || titleObj.marketingText){
				var titleContentHtml 	= ""
				,	titleLinkStartTag 	= ""
				,	titleLinkEndTag 	= ""
				,	linkClass			= "link_more";
				
				//텍스트 형식 타이틀 - 1순위
				if(titleObj.marketingText){
					titleContentHtml = Ns.Util.stringFormat('<h3 class="hero_copy">{0}</h3>'
															, Ns.Util.htmlDecode(titleObj.marketingText));
				
				// 이미지 형식 타이틀 - 2순위
				} else if(titleObj.imgUrl){
					titleContentHtml = Ns.Util.stringFormat('<img src="http:{0}" alt=""/>'
															, titleObj.imgUrl);
					linkClass = "link_img";
				} 
				
				// 타이틀 링크
				if(titleObj.clickTarget){
					titleLinkStartTag = Ns.Util.stringFormat('\
							<a class="{8}" href="javascript:;" onclick="pageLayoutComm.taggingGA(\'{3}\',\'{4}\');\
								Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\');">'
								, titleObj.clickTarget
								, titleObj.contentsId
								, titleObj.clickCode
								, titleObj.espotFullName
								, titleObj.mdUrl, null, null, null 
								, linkClass);
					titleLinkEndTag = "</a>";
				}
				
				
				
				titleHtml = Ns.Util.stringFormat('<div class="section_headline">{1}{0}{2}</div>'
												,titleContentHtml 
												,titleLinkStartTag 
												,titleLinkEndTag);
			}
			
			return titleHtml;
		},
		
		taggingGA : function(espotFullName, sendItem, gubun){
			/**
			 * espotFullName(필수)	: espot 명 				  
			 * sendObj(필수)			: 전송 데이터 - 배열 or  문자열 or 객체 (key 무시 , value만 사용)  
			 * gubun(옵션)			: 방송구분 				   
			 */
			
			if(typeof mainCtrl.sendToGA360 !== 'function' || !espotFullName || !sendItem){
				return false;
			}
			
			var splitFullNm = espotFullName.split("_")
			,	slotStr = splitFullNm[1]								// 슬롯 위치
			,	slotNm = slotStr.substr(slotStr.indexOf("SLOT"))		// 슬롯명
			,	espotNm = splitFullNm[3] 								// espot명
			,	sendParam = navi.getPageId() + "||" + slotNm + "||" + espotNm;
			
			if(Array.isArray(sendItem)){
				sendItem = $.grep(sendItem,function(n){ if(n) return n; });
				sendParam += "||" + sendItem.join("||");
			} else if(typeof sendItem === "object"){
				var sendItemKey = Object.keys(sendItem);
				for(var i = 0 ; i < sendItemKey.length ; i++){
					if(sendItem[sendItemKey[i]]){
						sendParam += "||" + sendItem[sendItemKey[i]];
					}
				}
			} else if(typeof sendItem === "string" || typeof sendItem === "number"){
				sendParam += "||" + sendItem;
			} else {
				return false;
			}
			mainCtrl.sendToGA360(sendParam, gubun);
		}
	};
	pageLayoutComm.isPlayEspot = "";
	
})();