
/* JavaScript content from js/layout/eSpotTmpl/cate/themecate.js in folder common */
/**
 * 	테마 매장 리스트 espot 
 */

	// 레이아웃 페이지내에 Espot 객체 정의
	// CurrentView.espot명으로 객체 정의
	pageLayoutEspot.themecate = {
			
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		// 특화 css 여부..
		espotCss : "",
		
		// espot이 그려지고  레이아웃 공통에서 호출 하는 최초 실행 함수
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
			this.espotCss		= params.espotCssList;
			
			// 리스트 영역에 고유 ID 부여
			$("#" + pageLayoutEspot.themecate.targetId).find("#themecateList").attr("id", pageLayoutEspot.themecate.targetId + "List");

			
			// 해당 espot이 상품리스트 등 반복 랜더링이 있는 경우 선언 및 호출
			this.ui.espotDraw(params);

			//해당 espot에서 사용 할 이벤트 바인딩
			// espot 내부에서만 동작하게끔 바인딩 한다.
			$("#" + pageLayoutEspot.themecate.targetId).off().on("click","[name=themecategory]",pageLayoutEspot.themecate.event.onclcik_themecategory);
			$("#" + pageLayoutEspot.themecate.targetId + "_clone").off().on("click","[name=themecategory]",pageLayoutEspot.themecate.event.onclcik_themecategory);
		},
		
		onLoad : function(){
		},
		
		//데이터 관련 함수 정의
		data : {
			
		},
		
		// ui 관련 함수 정의
		ui : {
			// 해당 espot이 상품리스트 등 반복 랜더링이 있는 경우 선언 및 호출
			// 페이징 처리시 레이아웃 공통에서 아래 함수 명으로 호출되므로 
			// 페이징 처리가 있는 espot이라면 필수!
			espotDraw : function(params){
				var slotNm 		= params.slotNm;
				var espotData 	= params.espotData;
				var espotTitle  = params.espotTitle;
				var espotCss	= pageLayoutEspot.themecate.espotCss = params.espotCssList;
				var targetId = pageLayoutEspot.themecate.targetId;
				
				var objDrawData = JSON.parse(JSON.stringify(espotData));	// object 복사
				
				var html = "";
				var clone;
				if(objDrawData.length < 2){
					$("#" + targetId).hide();
					clone = $("#" + targetId).clone(true).attr({"id" :targetId + "_clone" , "name" : "clone"}).hide();
					$("#" + slotNm).append(clone);
					
				} else {
					for (var i = 0; objDrawData.length > i; i++){
						html += '<li name="themecategory" data-category-L-V="'+ params.categoryLV 
						+ '" data-continue-Espot-Id= "' + pageLayoutEspot.themecate.espotFullName + '"'
						+ ' id='+ objDrawData[i].categoryId +'><a>'+ /*objDrawData[i].categoryId*/ objDrawData[i].categoryName +'</a></li>'; 
					}
					
					//넘어온 데이터가 2,4 개일때는 ul 클래스 evn / 나머지는 odd 로 넣어줌
					if(objDrawData.length === 4 || objDrawData.length === 2){
						$("#" + targetId + "List").not("#eSpot_temp >").removeClass("btn_odd").addClass("btn_even");
					}else{ //아닐때는 빈칸 줄 넣기
						var tm_blc= 3-(objDrawData.length % 3);
						if(tm_blc == 1){
							html += '<li></li>';
						}else if(tm_blc == 2){
							html += '<li></li><li></li>';
						}
					}
				
					$("#" + targetId + "List").html(html);
					
					$("#" + targetId + "List li:first").addClass("on");
					$("#" + targetId + '.md_recom_wrap .md_recom .sel_tm').text($("#"+ targetId +  "List li:first").text());
					
					// 테마 매장 Espot타이틀 노출 여부
					if(espotTitle){
						$("#" + targetId + '.md_recom_wrap .md_recom .sel_tit').text(espotTitle);
					} else {
						$("#" + targetId + '.md_recom_wrap .md_recom .sel_tit').hide();
					}
					
					// 네비게이션 바를 별도로 운용하기 위해 객체 복사
					clone = $("#" + targetId).clone(true).attr({"id" :targetId + "_clone" , "name" : "clone"}).addClass("fixed").hide();
					$(clone).find("#" + pageLayoutEspot.themecate.targetId + "List").attr("id", pageLayoutEspot.themecate.targetId + "List_clone");
					
					//2018-06-15 ssong 테마매장 접미사 노출
					if(espotCss && espotCss.themeNaviLastTxt){
						$(clone).find(".sel_tm").append("<span> " + espotCss.themeNaviLastTxt +"</span>");
					}
					
					$("#" + slotNm).append(clone);

					pageLayoutEspot.themecate.event.scroll_themeNavi();
					pageLayoutEspot.themecate.event.onclick_themeNavi();
					

				}
				//hawoong gnb renewal 180123
				HUB_INIT.scrollHeader();
			},
			
			//테마 매장 네비 Dimm toggle
			toggleThemeDimm : function(){
				
				if($('.md_recom_wrap').hasClass('on')){
					$('body').addClass('scr_off');//스크롤 방지
					$('#dimmedAll').addClass('bg2 active'); //dimm해제
					
					$("#wrap").on('scroll.dimm touchmove.dimm' , function(e){e.preventDefault(); e.stopPropagation(); return false; });//앱에서 스크롤 터치 막기
					
				}else{
					
					$('body').removeClass('scr_off');//스크롤 해제
					$('#dimmedAll').removeClass('bg2 active'); //dimm해제
					
					$("#wrap").off('scroll.dimm touchmove.dimm');//앱에서 스크롤 터치 막기
				}
			},
			
			
		},
		
		// 이벤트 관련 함수 정의
		event : {
			
			//테마 매장 이동
			onclcik_themecategory : function(e) {
				var $this = $(this);
				
				// 대상 테마매장 영역 슬롯
				var targetSlot = (e.delegateTarget.id).split("_")[0];
				
				// 이동할 매장 카테고리 아이디
				var targetCateId = $this.attr("id");
				
				// 현재 보여지고있는 매장 카테고리 아이디
				var currentCateId = ""; 
				$this.siblings().each(function(){
					if($(this).hasClass("on")){
						currentCateId = $(this).attr("id");
						return false;
					}
				});
				
				// 동일 매장 클릭 체크
				if(!currentCateId && $this.hasClass("on")){
					currentCateId = targetCateId;
				}
				
				/*
				 * flag 
				 * true  : 마지막 테마 매장
				 * false : 현재 슬롯 뒤에 다른 테마 매장이 존재
				 */
				var flag = true;
				
				$("#" + targetSlot).nextAll().each(function(idx,val){
					if(0 < $(val).find(".md_recom_wrap").length){
						flag = false;
						return false;
					} 
				});
				
				var invokeParams = {
					"catalogId"			 : pageLayoutComm.ESPOT_CATALOG_ID
					,"categoryId" 		 : targetCateId
					,"topCategoryId" 	 : CurrentView.categoryId
					,"subCategoryId" 	 : CurrentView.subcateId 
					,"themeCategoryId" 	 : targetCateId
					,"targetCategoryId"  : flag ? "" : targetCateId 
					,"continueEspotId" 	 : $this.data("continueEspotId")
				//	,"categoryLevel": $(this).data("categoryLV")  
				};
				
				// on class toggle
				$('#' + targetSlot + ' > .md_recom_wrap').find("li").removeClass("on").eq($this.index()).addClass("on");
				$('#' + targetSlot + ' > .md_recom_wrap.fixed').find("li").removeClass("on").eq($this.index()).addClass("on");
				
				// 매장 이동 간 css 스타일 정리 및 dimm 해제
				$('.md_recom_wrap').removeClass('on');
				pageLayoutEspot.themecate.ui.toggleThemeDimm();
				

				// 네비게이션 바에 선택 된 테마매장 노출
				var tmName = $this.find("a").text();
				
				//ga360
				pageLayoutComm.taggingGA($("#"+targetSlot).data("espotname"), tmName);
				
				//2018-06-15 ssong 테마매장 접미사 노출
				if(pageLayoutEspot.themecate.espotCss.themeNaviLastTxt){
					tmName += " " + pageLayoutEspot.themecate.espotCss.themeNaviLastTxt;
				}
				$('#' + targetSlot + ' > .md_recom_wrap .md_recom .sel_tm').text(tmName);

				
				var callback = function(data){
					/*
					 * 슬롯 초기화
					 * 
					 * true : 해당 영역 슬롯 다음 영역 전부 삭제
					 * false : 해당 카테고리 에 관련된 슬롯 영역만 삭제
					 */
					if(flag){
						pageLayoutComm.resetSlot("",targetSlot);
						
						// 페이징 처리 초기화
						CurrentView.listPageIdx = data.listPageIdx;
						CurrentView.pushFullEvent = false;
						
					} else {
						pageLayoutComm.resetSlot("","",currentCateId);
						
						delete CurrentView[currentCateId];
						CurrentView[targetCateId] = {};
						
						/*
						 *  상품더보기 버튼 처리시 필요한 데이터를
						 *  해당 매장명 객체로 별도 저장
						 *  
						 *  pageCallYn : 페이징 데이터 존재 여부
						 *  categoryId : 카테고리 ID
						 *  continueEspotId : 다음 페이징 espot Id
						 *  listPageIdx : 다음 페이징 시작 인덱스
						 *  cateName : 버튼에 노출 될 매장명
						 */
						if(data.pageCallYn == "Y"){
							CurrentView[targetCateId].pageCallYn		= data.pageCallYn;
							CurrentView[targetCateId].categoryId 		= targetCateId;
							CurrentView[targetCateId].continueEspotId	= data.continueEspotId;
							CurrentView[targetCateId].listPageIdx		= data.listPageIdx;
							CurrentView[targetCateId].cateName			= $this.text();
						}
					}
					
					// 화면 랜더링
					pageLayoutComm.validateEspot(data);
									
					setTimeout(function(){
						// 스크롤 테마 영역으로 이동
						var themeAreaHeight = $("#" + targetSlot).offset().top;
						var header = $('#subCategory').outerHeight();
						if($(window).scrollTop() < $('#pageHeader').outerHeight()){
							header += $('#pageHeader').outerHeight(); 
						}
						var srollheight = themeAreaHeight - header;
						$(window).scrollTop(srollheight);
					},200);
				};
				
				mainCtrl.getLayoutData(null,invokeParams,callback);
			},
			
			scroll_themeNavi : function(){
				//MD추천테마 scroll위치에 따른 고정 보임, 숨김처리
				
				var scrollInfo = [];
				
				var $hd_magnet =  $('.hd_magnet');
 	 			var hdPageHeight = $hd_magnet.find('#pageHeader').height(); //Gnb 높이
 	 			var cateMenu = $hd_magnet.find('#subCategoryWrap'); //Lnb
 	 			var navbarHeight = cateMenu.outerHeight(); //Lnb 높이
 	 			var upPos= 0;
 	 			var lastScrollTop = 0;
 	 			var clonedelta = 5;
 	 			
				 $(window).off("scroll.theme").on("scroll.theme",function(event){
					
					var header = $('#pageHeader').outerHeight();
					var scr_now = $(window).scrollTop() + header;
					
					//테마 매장들
					var $target = $(".food_wrap").find('.md_recom_wrap').not("[name=clone]");
					
					// 노출 될 테마 매장 인덱스
					var showIndex = 0; 
					
					/*
					 *  각 테마 매장 영역 정보
					 *  index  : 매장 순번
					 *  strPos : 영역 시작값
					 *  endPos : 영역 끝값
					 */
					for(var i = 0 ; i < $target.length ; i++){
						scrollInfo[Number(i)] = ({
							"index" : Number(i) 
							,"strPos" : parseInt($target.eq(i).parent().next().offset().top) 
							,"endPos" : $target.eq(i+1).length == 1 ? parseInt($target.eq(i+1).parent().offset().top) : "" 
						});
					}
					
					/*
					 *  현재 스크롤 위치 값을
					 *  테마 매장 영역 정보 배열 맨 마지막 위치에 저장
					 */
					scrollInfo[$target.length] = ({"index" : "scr_now" , "strPos" : scr_now});

					/*
					 *   매장 영역 & 현재 스크롤 위치를 정렬 하여
					 *   스크롤 위치가 어느 매장영역에 있는지 파악
					 *   노출 할 매장 인덱스 셋팅
					 */
					scrollInfo.sort(function(a,b){
						return a["strPos"] - b["strPos"];
					}).forEach(function(val,idx){
						if(val.index == "scr_now"){
							showIndex = idx-1;
							return;
						}
					});
					
					//console.error("showIndex " , showIndex + "\n")
										
					/* 네비게이션 바 노출 */
					var $clone = $('[name=clone]');
					
	 	 			
	 	 			if(showIndex != -1){
						if( scr_now > scrollInfo[showIndex].strPos && scr_now < scrollInfo[showIndex].endPos){
							$clone.hide();
							$clone.eq(showIndex).show();
						}else if(!scrollInfo[showIndex].endPos) {
							$clone.hide();
							if($clone.eq(showIndex).hasClass("fixed")){
								$clone.eq(showIndex).show();
							}
						} else {
							$clone.hide();
						}
						function cloneScrolled() {
							var st = $(this).scrollTop();
							upPos = hdPageHeight-5;
							if(Math.abs(lastScrollTop - st) <= clonedelta){
								return;
							}
							if (st > lastScrollTop && st > navbarHeight){
								$clone.css({
		 							"transition":"-webkit-transform 0.3s cubic-bezier(0.41, 0.66, 0.54, 0.91)",
		 							"transform":"translateY("+-upPos+"px)"
		 						});
							}else {
		 						if(st + $(window).height() < $(document).height()) { //스크롤 Up
		 							$clone.css({
		 	 							"transition":"-webkit-transform 0.3s cubic-bezier(0.41, 0.66, 0.54, 0.91)",
		 	 							"transform":"translateY(5px)"
		 	 						});
		 	 					}
		 	 				}
							lastScrollTop = st;
						}
						if(mainCtrl.VIEW_TYPE != "ios"){
							//cloneScrolled();
						}
					} else {
						$clone.hide();
					}
				   return false;
				});
				
				
			},
			
			onclick_themeNavi : function(){
				$('.md_recom_wrap .md_recom .sel').off().on("click",function(){
					$(this).parent().parent().toggleClass('on');
					pageLayoutEspot.themecate.ui.toggleThemeDimm();
				});
			}
		}
	};
