
/* JavaScript content from js/layout/eSpotTmpl/cntnt/cntnt.js in folder common */
/**
 *  배너 리스트 espot
 */

	// 레이아웃 페이지내에 Espot 객체 정의	
	// CurrentView.espot명으로 객체 정의
	pageLayoutEspot.cntnt = {
			
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
			
		init : function( params ) {
			
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
			
			// 배너 리스트 영역 고유ID 부여
			$("#" + pageLayoutEspot.cntnt.targetId).find("#cntntItems").attr("id", pageLayoutEspot.cntnt.targetId + "Items");
			
		},
		
		onLoad : function(params){
			this.ui.espotDraw (params);
		},
		
		data : {
			
		},
		
		ui : {
			espotDraw  : function (data){
				
				if(pageLayoutEspot.cntnt.slotNm != data.slotNm){
					pageLayoutEspot.cntnt.initializeComponent(data);
					return false;
				}
				
				var targetId 			= pageLayoutEspot.cntnt.targetId
				,	singleBanner 		= false
				,	espotId     		= data.espotFullName
				,	objDrawData			= JSON.parse(JSON.stringify(data.espotData))	// object 복사
				,	objDrawDataLength	= objDrawData.length;
				
				if(objDrawDataLength <= 0){
					$("#" + targetId).hide();
					return false;
				} else if(objDrawDataLength == 1){
					singleBanner = true;
				}
				
				var htmlTxt = "";
				for(var i = 0 ; i <= objDrawDataLength-1 ; i ++){
					var banner 		= objDrawData[i]
					,	imgUrl 		= HUB_INIT.protocol + banner.imgUrl
					,	clickTarget = banner.clickTarget
					,	contentsId  = banner.contentsId
					,	clickCode   = banner.clickCode
					,	mdUrl       = banner.mdUrl
					,	divClass = 'swiper-slide'
					,	divTag = '<div class="thumb_img">'
					,	endTag = '</div>'
					,	clickEvent = "";
					
					if(singleBanner){
						divClass = 'section_module link_banner';
						endTag = "";
						divTag = "";
					}
					
					if(clickTarget){ 
						clickEvent = Ns.Util.stringFormat('\
								onclick="pageLayoutComm.taggingGA(\'{3}\',\'{4}\');\
										Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\');"'
								, clickTarget, contentsId, clickCode, espotId, mdUrl,  null, null, null);
					}

					htmlTxt += Ns.Util.stringFormat('\
							<div class="{1}">\
								<a href="javascript:;" {4}>\
									{3}\
										<img src="{0}" onerror="this.src=\'./images/common/noimg_wide_default.png\'" alt="배너이미지"/>\
									{2}\
								</a>\
							</div>',
							imgUrl, divClass, endTag, divTag ,clickEvent);
				}
				
				$("#" + targetId + " .dummy").remove();
				if(singleBanner){
					$("#" + targetId).html(htmlTxt);
				} else {
					$("#" + targetId + "Items").html(htmlTxt);
					pageLayoutEspot.cntnt.ui.setSwiper(targetId, data.espotCssList);
				}
			},
			
			setSwiper : function(targetId, espotCssList){
				var option = {
					slidesPerView: 'auto',
			    	navigation: {
			    		nextEl: "#" + targetId + ' .swiper-button-next',
			    		prevEl: "#" + targetId + ' .swiper-button-prev',
			    	}
			    };
				
				if(espotCssList.paginationType == "NUMBER"){
					$("#" + targetId + ' .paging').addClass('swiper-pagination'); 
					option = $.extend(option, { pagination : {el : "#" + targetId + ' .swiper-pagination',  type: 'fraction'} });
				} else {
					$("#" + targetId + ' .paging').addClass('swiper-scrollbar');
					option = $.extend(option, { scrollbar : {el: "#" + targetId + ' .swiper-scrollbar'} });
				}
				
				new Swiper("#" + targetId + ' .swiper-container', option);
			}
		},
		
		// 이벤트 관련 함수 정의
		event : {
			
		}
	};
	
	
	
