
/* JavaScript content from js/layout/eSpotTmpl/cntnt/cntnt2w.js in folder common */
/**
 *  배너 리스트 espot
 */

	// 레이아웃 페이지내에 Espot 객체 정의	
	// CurrentView.espot명으로 객체 정의
	pageLayoutEspot.cntnt2w = {
			
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		noImageUrlWide : Const.NO_IMAGE_URL + "noimage_X6.jpg",
			
		init : function( params ) {
			
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
			
			
		},
		
		onLoad : function(params){
			this.ui.espotDraw (params);
		},
		
		data : {
			
		},
		
		ui : {
			espotDraw  : function (data){
				
				if(pageLayoutEspot.cntnt2w.slotNm != data.slotNm){
					pageLayoutEspot.cntnt2w.initializeComponent(data);
					return false;
				}
				
				var targetId = $("#" + pageLayoutEspot.cntnt2w.targetId ); 
				
				try{
					var arrBanner = data.espotData;
					
					if( arrBanner == undefined || arrBanner.length == 0 ) {
						targetId.hide();
						return false;
					}
					
					var strHtml = "";
		
					for (var i = 0; i < arrBanner.length; i++){
						var k = i+1;
						
						if(i % 2 == 0){
							strHtml += "<ul>";
						}
						//var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(arrBanner[i].mdUrl).split("?")[1]).catalogId;
						var catalogId = null;
						
						strHtml += Ns.Util.stringFormat('\
								<li>\
									<a href="javascript:pageLayoutComm.taggingGA(\'{4}\',\'{5}\');\
														Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');">\
										<img src="{0}" onerror="this.src=\'{9}\';" alt="배너이미지">\
									</a>\
								</li>',
								HUB_INIT.protocol + arrBanner[i].imgUrl, arrBanner[i].clickTarget, arrBanner[i].contentsId, arrBanner[i].clickCode, data.espotFullName, arrBanner[i].mdUrl,  null, null, catalogId, pageLayoutEspot.cntnt2w.noImageUrlWide);
						
						if(k % 2 == 0){
							strHtml += "</ul>";
						}
					}
					
					
					targetId.append(strHtml);
				}
				catch(e){
					pageLayoutEspot.cntnt2w.util.regErrlog('cntnt2w', e);
					targetId.hide();
					return false;
				}
			},
		},
		
		//
		event : {
			taggingGA : function(mdurl){
				//ga360
				pageLayoutComm.taggingGA("cntnt2w", mdurl);
			}
		},
		
		util : {
			regErrlog : function(funcNm, e){
				console.error("(( Caught exception at \"" + funcNm + "\" -> " + e + " ))");
			},
		}
		
	};
	
	
	
