
/* JavaScript content from js/layout/eSpotTmpl/cntnt/cntnt4w.js in folder common */
/**
 * 		기획서표기명	- 11)카테고리 버튼
 * 		개발/논리명	- 매장 그리드형 
 */

	pageLayoutEspot.cntnt4w = {
		
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		// espot이 그려지고  레이아웃 공통에서 호출 하는 최초 실행 함수
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
			
			$("#" + pageLayoutEspot.cntnt4w.targetId + " #cntnt4wList").attr("id", pageLayoutEspot.cntnt4w.targetId + "List");
		},
		
		onLoad : function(params){
			this.ui.espotDraw(params);
		},
		
		//데이터 관련 함수 정의
		data : {
			
		},
		
		// ui 관련 함수 정의
		ui : {
			espotDraw : function(params){
				
				var slotNm 			= params.slotNm
				, 	espotNm 		= params.espotNm
				,	categoryId 		= params.categoryId
				,	espotData 		= params.espotData
				,	espotFullName   = params.espotFullName;
				
				if(pageLayoutEspot.cntnt4w.categoryId != params.categoryId){
					pageLayoutEspot.cntnt4w.targetId = slotNm + "_" + categoryId + "_" + espotNm;
				}
				
				var targetId = pageLayoutEspot.cntnt4w.targetId;
				
				var objDrawData			= JSON.parse(JSON.stringify(espotData))	// object 복사
				,	objDrawDataLength	= objDrawData.length;
				
				if ( !espotData || espotData.length == 0 ){
					$("#" + targetId).hide();	// 영역 숨김 처리
					return false;
				}
				
				var htmlTxt = "";
				
				for (var i = 0; objDrawDataLength > i; i++){
					
					var banner 		= objDrawData[i]
					,	imgUrl 		= HUB_INIT.protocol + banner.imgUrl
					,	clickTarget = banner.clickTarget
					,	contentsId  = banner.contentsId
					,	clickCode   = banner.clickCode
					,	mdUrl       = banner.mdUrl
					,	clickEvent  = Ns.Util.stringFormat('\
							onclick="pageLayoutComm.taggingGA(\'{3}\',\'{4}\');\
									Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\');"'
								, clickTarget, contentsId, clickCode, espotFullName, mdUrl,  null, null, null);
				
					htmlTxt += Ns.Util.stringFormat('\
							<div class="items">\
				      			<a href="javascript:;" {0}>\
				        			<span class="thumb_img">\
										<img src="{1}" onerror="this.src=\'./images/common/noimg_square_small.png\'" alt="배너이미지"/>\
			        				</span>\
				        			<strong class="hero">{2}</strong>\
				      			</a>\
				    		</div>'
							, clickEvent
							, imgUrl
							, objDrawData[i].marketingText);
					
				}
				$("#" + targetId + "List").append(htmlTxt);
			}
		},
		
		// 이벤트 관련 함수 정의
		event : {
			
		}
	};
