
/* JavaScript content from js/layout/eSpotTmpl/cntnt/cntntcateprd.js in folder common */
/**
 * 		기획서표기명 	- 12)일반배너 + 정방형 x3
 * 		개발/논리명	- 매장 상품 혼합형
 */

	pageLayoutEspot.cntntcateprd = {
		
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		// espot이 그려지고  레이아웃 공통에서 호출 하는 최초 실행 함수
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;

			
		},
		
		onLoad : function(params){
			this.ui.espotDraw(params);
		},
		
		//데이터 관련 함수 정의
		data : {
			
		},
		
		// ui 관련 함수 정의
		ui : {
			espotDraw : function(params){
				var slotNm 			= params.slotNm
				, 	espotNm 		= params.espotNm
				,	categoryId 		= params.categoryId
				,	espotData 		= params.espotData
				,	espotFullName   = params.espotFullName;
				
				if(pageLayoutEspot.cntntcateprd.categoryId != params.categoryId){
					pageLayoutEspot.cntntcateprd.targetId = slotNm + "_" + categoryId + "_" + espotNm;
				}
				
				var targetId = pageLayoutEspot.cntntcateprd.targetId;
				
				var objDrawData			= JSON.parse(JSON.stringify(espotData))	// object 복사
				,	objDrawDataLength	= objDrawData.length;
				
				if(objDrawDataLength <= 0){
					$("#" + targetId).hide();
					return false;
				} 
				
				for (var i = 0; objDrawDataLength > i; i++){
					var bannerHtml	= pageLayoutEspot.cntntcateprd.ui.makeBannerHtml(objDrawData[i], espotFullName);
					var prdListHtml = pageLayoutEspot.cntntcateprd.ui.drawPrdListHtml(objDrawData[i].prdList._prd, { 
																					espotFullName : espotFullName 
																					, categoryId : categoryId
																					, targetId	 : targetId
																				}); 
					var html = Ns.Util.stringFormat('\
								<div class="section_module link_banner">\
									{0}\
								</div>\
								<div class="section_module otp_module_third">\
								</div>\
							'
							, bannerHtml
						);
				
					$("#" + targetId + " .dummy").remove();
					$("#" + targetId).append(html);
					$("#" + targetId + " .otp_module_third").eq(i).append(prdListHtml);
				}
			},
			
			makeBannerHtml : function(banner, espotFullName){
				var returnHtml  = ""
				,	imgUrl 		= HUB_INIT.protocol + banner.imgUrl
				,	clickTarget = banner.clickTarget
				,	contentsId  = banner.contentsId
				,	clickCode   = banner.clickCode
				,	espotId     = espotFullName
				,	mdUrl       = banner.mdUrl;
				
				if(clickTarget){ 
					returnHtml += Ns.Util.stringFormat('\
								<a href="javascript:pageLayoutComm.taggingGA(\'{4}\',\'{5}\');\
													Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');">\
									<img src="{0}" onerror="this.src=\'./images/common/noimg_wide_default.png\'" alt="배너이미지"/>\
								</a>',
							imgUrl, clickTarget, contentsId, clickCode, espotId, mdUrl,  null, null, null);
				} else {
					returnHtml += Ns.Util.stringFormat('\ <img src="{0}" onerror="this.src=\'./images/common/noimg_wide_default.png\'" alt=""  />', imgUrl);
				}
				
				return returnHtml;
			},
			
			drawPrdListHtml : function(prdList, espotInfo){
				
				var $returnFrag = $(document.createDocumentFragment());
				
				for (var i = 0; prdList.length > i; i++){
						var itemsHtml		= ""
						, 	imgUrl 		= Ns.Util.getImageUrl( prdList[i].partnumber, "O" )
						, 	priceHtml 	= pageLayoutEspot.cntntcateprd.ui.makePriceHtml(  prdList[i].dcRate
																				, prdList[i].dcPrice
																				, prdList[i].price
																				, prdList[i].prcWaveDisp);
						itemsHtml += Ns.Util.stringFormat('\
						 <div class="items">\
						     <a href="javascript:;" onclick="pageLayoutEspot.cntntcateprd.event.onclcik_shopping_info(this);">\
						         <div class="wrap_thumb">\
									<span class="img">\
										<img class="lazy" data-original="{0}"\
											src="./images/common/noimg_square_medium.png"\
											onerror="this.src=\'./images/common/noimg_square_medium.png\'" alt="상품이미지"/>\
									</span>\
						         </div>\
						         <div class="wrap_info">\
						             <p class="name">\
						                 <span class="prd_name">{1}</span>\
						             </p>\
									{2}\
						         </div>\
						     </a>\
						 </div>'
						, imgUrl //0 이미지 
						, prdList[i].itncatentrynm //1 상품명
						, priceHtml //2 가격영역
						);
						
						$returnFrag.append(itemsHtml);
						$returnFrag.children().eq(i).find("a").data({
							partnumber 		: prdList[i].partnumber
							, itncatentrynm	: prdList[i].itncatentrynm 
							, espotFullName	: espotInfo.espotFullName
							, categoryId 	: espotInfo.categoryId
						});
				}
				
				return $returnFrag;
			},
			
			makePriceHtml : function(dcRate, dcPrice, price, prcWaveDisp ){
				var returnHtml = "";
				
				var showPrice = price;

				if(dcRate > 0){
					showPrice = dcPrice;
				}
				
				returnHtml += Ns.Util.stringFormat('\
					<div class="purchase">\
						<span class="price"><strong>{0}</strong>원{1}</span>\
					</div>', Ns.Util.insertCommas(showPrice), prcWaveDisp )
				return returnHtml;
			},
		},
		
		// 이벤트 관련 함수 정의
		event : {
			onclcik_shopping_info : function(obj) {
				var $data = $(obj).data();
				
				//ga360
				pageLayoutComm.taggingGA($data.espotFullName, $data.itncatentrynm);
				mainCtrl.gotoProductDisplay($data.partnumber, '', 'MOBIL', $data.espotFullName ,'','',$data.categoryId);
			},
		}
	};
