
/* JavaScript content from js/layout/eSpotTmpl/cntnt/cntnttext.js in folder common */
/**
 *  배너 리스트 espot
 */

	// 레이아웃 페이지내에 Espot 객체 정의	
	// CurrentView.espot명으로 객체 정의
	pageLayoutEspot.cntnttext = {
			
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
			
		init : function( params ) {
			
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
		},
		
		onLoad : function(params){
			this.ui.espotDraw (params);
		},
		
		data : {
			
		},
		
		ui : {
			espotDraw  : function (data){
				
				if(pageLayoutEspot.cntnttext.slotNm != data.slotNm){
					pageLayoutEspot.cntnttext.initializeComponent(data);
					return false;
				}
				
				var targetId 			= pageLayoutEspot.cntnttext.targetId
				,	espotId     		= data.espotFullName
				,	objDrawData			= JSON.parse(JSON.stringify(data.espotData))	// object 복사
				,	objDrawDataLength	= objDrawData.length;
				
				if(objDrawDataLength <= 0){
					$("#" + targetId).hide();
					return false;
				}
				
				var banner 		= objDrawData[0]
				,	clickTarget = banner.clickTarget
				,	contentsId  = banner.contentsId
				,	clickCode   = banner.clickCode
				,	mdUrl       = banner.mdUrl
				,	clickEvent = "javascript:;";
				
				if(clickTarget){ 
					clickEvent = Ns.Util.stringFormat('\
							javascript:pageLayoutComm.taggingGA(\'{3}\',\'{4}\');\
										Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\');'
							, clickTarget, contentsId, clickCode, espotId, mdUrl,  null, null, null);
				}
				
				$("#" + targetId + " a").attr("href",clickEvent);
				$("#" + targetId + " .crt_arrow").text(banner.marketingText);
			},
		},
		
		// 이벤트 관련 함수 정의
		event : {
			
		}
	};
	
	
	
