
/* JavaScript content from js/layout/eSpotTmpl/espotTmpl.js in folder common */
/**
 * 	espot js 템플릿
 */

	// 레이아웃 페이지내에 Espot 객체 정의
	// CurrentView.espot명으로 객체 정의
	CurrentView.espotTmpl = {
			
		// espot이 적용 될 슬롯 명	
		slotNm : "",
		
		// 해당 espot 명
		espotNm : "",
		
		// 해당 espot data
		espotData : {},
		
		// espot이 그려지고  레이아웃 공통에서 호출 하는 최초 실행 함수
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			
			this.slotNm = params.slotNm;
			this.espotNm =  params.espotNm;
			this.espotData = params.espotData

			// 해당 espot이 상품리스트 등 반복 랜더링이 있는 경우 선언 및 호출
			this.ui.espotDraw(params);
			
			// 해당 espot에서 사용 할 이벤트 바인딩
			// espot 내부에서만 동작하게끔 바인딩 한다.
			$("#" + this.espotNm).off().on("click","[name=shopping_info]",CurrentView[this.espotNm].event.onclcik_shopping_info);
		},
		
		onLoad : function(params){
			
			
		},
		
		//데이터 관련 함수 정의
		data : {
			
		},
		
		// ui 관련 함수 정의
		ui : {
			// 해당 espot이 상품리스트 등 반복 랜더링이 있는 경우 선언 및 호출
			// 페이징 처리시 레이아웃 공통에서 아래 함수 명으로 호출되므로 
			// 페이징 처리가 있는 espot이라면 필수!
			espotDraw : function(params){
				var espotNm = params.espotNm;
				var categoryId = params.categoryId;
				var espotData = params.espotData;
				
				var objDrawData = JSON.parse(JSON.stringify(espotData));	// object 복사
				
				
				for (var i = 0; objDrawData.length > i; i++){
					// 로직 처리
				}
				
				// 공통 UI 랜더링 함수 호출
				//Ns.UI.drawList(objDrawData, "espotprd_wide" , "", false );	// 화면 그리기
				Ns.UI.drawList(objDrawData, categoryId + "_" + espotNm , espotNm + "_temp", false );	// 화면 그리기
			}
		},
		
		// 이벤트 관련 함수 정의
		event : {
			onclcik_shopping_info : function() {
				mainCtrl.gotoProductDisplay($(this).data("data").partnumber, '', 'MOBIL');
			}
		}
	};
