
/* JavaScript content from js/layout/eSpotTmpl/text/textslide.js in folder common */
/**
 * 		기획서표기명	- 15) 트렌드잇 순위 - 검색베스트
 * 		개발/논리명	- 검색어 베스트	
 */

	pageLayoutEspot.textslide = {
		
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		// espot이 그려지고  레이아웃 공통에서 호출 하는 최초 실행 함수
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;

			this.ui.espotDraw(params);
		},
		
		onLoad : function(params){
			
			
		},
		
		//데이터 관련 함수 정의
		data : {
			
		},
		
		// ui 관련 함수 정의
		ui : {
			espotDraw : function(params){
			
				var slotNm 			= params.slotNm
				, 	espotNm 		= params.espotNm
				,	categoryId 		= params.categoryId
				,	espotData 		= params.espotData
				,	espotFullName   = params.espotFullName
				,	espotCssList	= params.espotCssList;
				
				if(pageLayoutEspot.textslide.categoryId != params.categoryId){
					pageLayoutEspot.textslide.targetId = slotNm + "_" + categoryId + "_" + espotNm;
				}
				
				var targetId = pageLayoutEspot.textslide.targetId;

				//TODO 수정
				// 상품 리스트 노출 여부
				if ( !espotData || espotData.length == 0  ){
					$("#" + targetId).hide();	// 영역 숨김 처리
					return false;
				}
				
				var objDrawData			= JSON.parse(JSON.stringify(espotData))	// object 복사
				,	objDrawDataLength	= objDrawData.length;
				
				var itemsHtml = ""
				for (var i = 0; objDrawDataLength > i; i++){
					var	olStartHtml = ""
					,	olCloseHtml = ""
					,	prevRank	= "new"
					,	rankClass	= "";
					
					if(objDrawData[i].PREV_RANK && Number(objDrawData[i].PREV_RANK) < 20){
						prevRank = objDrawData[i].RANKING - objDrawData[i].PREV_RANK;
						if(prevRank == 0){
							prevRank = "-";
						} else if(prevRank < 0){
							rankClass = "up";
							prevRank = Math.abs(prevRank);
						} else {
							rankClass = "down";
							prevRank = Math.abs(prevRank);
						}
					}

					if(i == 0){
						olStartHtml = '<ol class="list_wrap">';
					} else if(i % 5 == 0){
						olStartHtml = '<ol class="list_wrap">';
						olCloseHtml = '</ol>';
					} 
					
					itemsHtml += Ns.Util.stringFormat('\
					{3}\
					{0}\
						<li class="best">\
							<a href="javascript:;" onclick="pageLayoutEspot.textslide.event.onclick_bestKeyword(\'{1}\')">\
								<span>{1}</span>\
								<span class="wrap_num"><span class="num"></span></span>\
							</a>\
						</li>\
					', olStartHtml, objDrawData[i].KEYWORD, prevRank, olCloseHtml, rankClass);
					
					 if(i == objDrawDataLength - 1){
						itemsHtml += '</ol>';
					} 
				}
				
				$("#" + targetId + " .search_ranking_wrap").html(itemsHtml);
				
				var searchRankingSwiper = new Swiper('.search_ranking_wrapper', {
			        wrapperClass: 'search_ranking_wrap',
			        slideClass: 'list_wrap',
			        slidesPerView: 'auto',
		        	autoplay: {delay: 3000 , disableOnInteraction : false},
		        	
			      });
			}
		},
		
		// 이벤트 관련 함수 정의
		event : {
			onclick_bestKeyword : function(keyWord){
				mainCtrl.navigate("M_S1110000M",{searchTerm :  keyWord });
			}
		}
	};
