
/* JavaScript content from js/layout/eSpotTmpl/vod/vodpicture.js in folder common */
/*
 *  방송 VOD espot 
 */

	// 레이아웃 페이지내에 Espot 영역 정의
	pageLayoutEspot.vodpicture = {

		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
			
		init : function( params ) {			
			this.initializeComponent( params );
			this.onLoad();
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
			
			$("#" + pageLayoutEspot.vodpicture.targetId).find("#vodpictureItems").attr("id",pageLayoutEspot.vodpicture.targetId+"Items");
			
			this.ui.espotDraw (params);
		},
		
		onLoad : function(){

		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			
		}, // end data functions.
		
		ui : {
			espotDraw  : function (data){
				if(pageLayoutEspot.vodpicture.slotNm != data.slotNm){
					pageLayoutEspot.vodpicture.initializeComponent(data);
					return false;
				}
				
				if(data.espotData.length > 0){
					
					var targetId = pageLayoutEspot.vodpicture.targetId;
					
					var picture = data.espotData[0];

					var protocol = "http:";
					var imgUrl = protocol + picture.imgUrl;
					//이미지 없을 때 생각해야함.

					$('#'+targetId+'Items').find('img:first-child').attr('src',imgUrl);
					
					if("" != picture.clickTarget){
						var clickEventUrl = 'javascript:Ns.UI.espotClickEvent("'+picture.clickTarget+'","'+picture.contentsId+'","'+picture.clickCode+'","'+picture.espotId+'","'+picture.mdUrl+'");';
						$('#'+targetId+'Items a:first-child').attr('href',clickEventUrl);
					}
					else {
						$('#'+targetId+'Items a:first-child').attr('href','javascript:;');
					}
					//$('#'+targetId+'Items').off().on('click',CurrentView.vodtitle.event.onclick_data_info);


				}else{
					$("#" + pageLayoutEspot.vodpicture.targetId).hide();
				}
			},
		},
		
		//이벤트 관련 함수를 정의한다.
		event : {
			
			
		} // end event functions.
	};