
/* JavaScript content from js/layout/eSpotTmpl/vod/vodtitle.js in folder common */
/*
 *  방송 VOD espot 
 */

	// 레이아웃 페이지내에 Espot 영역 정의
	pageLayoutEspot.vodtitle = {

		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
			
		init : function( params ) {			
			this.initializeComponent( params );
			this.onLoad();
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
			
			$("#" + pageLayoutEspot.vodtitle.targetId).find("#vodtitleItems").attr("id",pageLayoutEspot.vodtitle.targetId+"Items");
			
			this.ui.espotDraw (params);
		},
		
		onLoad : function(){

		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			
		}, // end data functions.
		
		ui : {
			espotDraw  : function (data){
				if(pageLayoutEspot.vodtitle.slotNm != data.slotNm){
					pageLayoutEspot.vodtitle.initializeComponent(data);
					return false;
				}
				
				if(data.espotData.length > 0){
					
					var targetId = pageLayoutEspot.vodtitle.targetId;
					var title = data.espotData[0];

					var protocol = "http:";
					var imgUrl = protocol + title.imgUrl;
					var vodText = title.text;
					var color = title.color;
					if(!color){
						color = "255.255.255"; //기본 하얀색으로
					}
					color = color.split(".");
					
					if(Ns.Util.isNull(imgUrl.split(':')[1])){
						$('#'+targetId+'Items').find('span:first-child').remove();
					}
					else {
						$('#'+targetId+'Items').find('img:first-child').attr('src',imgUrl);
//						$('#'+targetId+'Items').find('img:first-child').error(function(){
//							$('#'+targetId+'Items').find('span:first-child').remove();
//						});
					}
					
					$('#'+targetId+'Items').find('strong:first-child').text(vodText);
					
					$('#'+targetId+'Items').find('.arr').css('background-color','rgb('+color[0]+','+color[1]+','+color[2]+')');
					$('#'+targetId+'Items').data('data',title);
					
					if("" != title.clickTarget){
						var clickEventUrl = 'javascript:Ns.UI.espotClickEvent("'+title.clickTarget+'","'+title.contentsId+'","'+title.clickCode+'","'+title.espotId+'","'+title.mdUrl+'");';
						$('#'+targetId+'Items a:first-child').attr('href',clickEventUrl);
					}
					else {
						$('#'+targetId+'Items a:first-child').attr('href','javascript:;');
					}
					//$('#'+targetId+'Items').off().on('click',pageLayoutEspot.vodtitle.event.onclick_data_info);

				}else{
					$("#" + pageLayoutEspot.vodtitle.targetId).hide();
				}
			},
		},
		
		//이벤트 관련 함수를 정의한다.
		event : {
			
		} // end event functions.
	};