
/* JavaScript content from js/main/M_G1100000L.js in folder common */
/**
 * 		페이지 ID : M_G1100000L
 * 		개인화 레이어
 */

var $layer = $('#M_G1100000L');
var $layerCloseBtn = $('#footerNaviCloseBtn');
var $layerMask = $('#historyLayerMask');

var $historyWrapper = $('#historyUserWrapper');

var $userWrapper = $('.user_wrapper');
var $number = $('#historyCnt');

var $historyList = $('#historyListWrapper');

var $listEditor = $('#historyDivListEditor');
var $productCheck = $('#historyOnlyPrdBtn');
var $deleteAllHistoryBtn  = $('#historyAllDelBtn');
var $editorBtn = $('#historyEditBtn');

var $listWrap = $('#historyScrollWarp');
var $history = $listWrap.find('li');

var $scrollWrap = $('#historyScrollWarp');
var innerScrollHeight = 0;

var $quickWrapper = $('#quickDivWrapper');
var $quickToggleBtn = $('#quickMenuCloseBtn');
var $bottomItemsWrapper = $('.bottom_items_wrapper');

var historyLength = 0;
var wrapScrollHeight = 0;
var wrapScroll;

M_G1100000L = {
		btnGubun : "",
		historyData : null,
		wrapScroll : null,
		scrollTimer : null,
		hisClickObj : null,
		navigateTabId : "",
		buttonEvent : null,
		
		init : function() {
			this.initializeComponent();
			this.onLoad();
		},
		
		initializeComponent : function() {
			
			this.ui.inint();
			this.historyData = mainCtrl.getRecentlyViewedProducts() || null;
			
			$layerCloseBtn.off().on('click', M_G1100000L.ui.hidden); //레이어 닫기 이벤트
			$quickToggleBtn.off().on('click', this.event.eventQuickMenuToggler); //퀵메뉴 닫기 이벤트
			$productCheck.off().on('change', this.event.eventProductCheck); //상품만 보기 버튼
			$editorBtn.off().on('click', this.event.eventEditClick); //편집 버튼
			$deleteAllHistoryBtn.off().on('click', this.event.eventAllDelhistoryClick); //히스토리 전체 삭제
			
			$("#quickMenuWrap").off().on("click","a", function(e){
				M_G1100000L.btnGubun = $(this).prop("id");
				if(M_G1100000L.btnGubun === "quickCloseBtn"){//퀵메뉴 닫기 이벤트
					M_G1100000L.event.eventQuickCloseClick(e);
				}else{ //그 외
					navi.naviBack();
				}
			}); //퀵베뉴 클릭 이벤트
			
			$("#todayPickDiv").off().on("click","a", function(e){
				M_G1100000L.btnGubun = "T";
				navi.naviBack();
			}); //투데이 픽 상품 클릭 이벤트
			
			$("#historyScrollWarp").off("click.a").on("click.a","a", function(e){
				M_G1100000L.btnGubun = "H";
				M_G1100000L.hisClickObj = $(this);
				navi.naviBack();
			}); //히스토리 리스트 클릭 이벤트
			
			$("#historyScrollWarp").off("click.jjim").on("click.jjim","input", function(){
				M_G1100000L.data.getWishStatusChange(this);
			}); //찜버튼 클릭 이벤트
		},
		
		onLoad : function() {
			
			this.ui.drawCusNameArea();
			this.data.getProductLoadInfo();
			
			this.ui.visible();
			this.event.userHistoryEvent();
		},
		
		//데이터 관련 함수 정의
		data : {
			//로드시 상품 계역 찜 여부 및 오늘의 pick 데이터 추출
			getProductLoadInfo : function (){
				
				var myHisCatentryIds = [];
				
				if(M_G1100000L.historyData != null){
					//히스토리 내역 중 상품 만 가져온다
					for(var i = 0 ; i < M_G1100000L.historyData.length ; i++){
						if(M_G1100000L.historyData[i].hisGubun === "P"){ //히스토리 내역이 상품일 경우
							myHisCatentryIds.push(M_G1100000L.historyData[i].catentryId);
						}
					}
				}
				var invokeParam = {};
				invokeParam.catentryIds = myHisCatentryIds;
				invokeParam.custNum = USERINFO.custNum() || ""; 
				invokeParam.rbPcid = Ns.Cookie.getCookie('RB_PCID') || "";
				
				tran.callWCSJsonTran('MyHistory', invokeParam , M_G1100000L.ui.drawHistoryArea);
			},
			
			getWishStatusChange : function(obj){
				var clickObj = $(obj);
				var checkCatentryId = clickObj.data("catentryid");
				var checkFlag = clickObj.closest(".jjim_check").data("wish");
				var $wishArea = $listWrap.find(".jjim_check");
				var wishAreaLength = $wishArea.length;
				
				var $wishLayer = $("#wish_layer"); //찜 레이어
				var tranId = "RegisterWish";
				
				
				if(checkFlag){
					tranId = "RemoveWish";
				}
				
				tran.callWCSJsonTran(tranId, {"catentryId" : checkCatentryId} , function(data) {
					if(data.msg.isSuccess){
						var wishFlag = false;
						var checked  = null;
						
						// 찜 등록 일 경우
						if(tranId == "RegisterWish"){
							$wishLayer.find(".jjim_inbox").addClass("on").find("p").text("찜 완료");
							checked = "checked";
							wishFlag = true;
						}else{
							$wishLayer.find(".jjim_inbox").removeClass("on").find("p").text("찜 취소");
						}
						
						for(var i = 0 ; i < wishAreaLength; i++){
							var $jjimInputArea = $wishArea.eq(i).find("input");
							var jjimAreaCatentryId = $jjimInputArea.data("catentryid");
							if( jjimAreaCatentryId === checkCatentryId){
								$wishArea.eq(i).data("wish",wishFlag);
								$jjimInputArea.prop("checked",checked);
							}
						}
						
						$wishLayer.show();
						setTimeout(function(){
							$wishLayer.fadeOut();
						},400);
					} else {
						
						var msg = "일시적으로 오류가 발생했습니다. 잠시 후 다시 시도 하시기 바랍니다.";
						var cbFn;
						msg = data.msg.userMessage || msg; 
						clickObj.prop('checked',clickObj.is(':checked') ? null :'checked');
						
						//성인인증 요청
						if(data.msg.resultCode == "19001"){
							cbFn = function(){
								M_G1100000L.ui.hidden();
								var currentPage = navi.getPageId();
								var currentParam = navi.getPageParam();
								var param = {
									callback : function(cbData) {
										mainCtrl.navigate(currentPage, cbData);
									},
									adultItemFlag :	"Y",
									openerPageId  : currentPage,
									callbackPrams : currentParam
								};
								Ns.Popup.showPopup('M_B1214000P', param);
							};
						}
						
						Ns.Popup.alert(msg,cbFn);
					}
					
				},null,null,{'progress' : false});
			},
		},
		//end data function...
		
		//ui interaction 관련 함수 정의 
		ui : {
			scrollHeight : function() {
	            var quickHeight = $userWrapper.innerHeight();
	            var listEditorHeight = $historyWrapper.find('.list_editor').innerHeight();
	            var inintPadding = $quickWrapper.hasClass('visible') ? 0 : $quickToggleBtn.innerHeight();
	            wrapScrollHeight = window.innerHeight - (quickHeight + listEditorHeight) - inintPadding;
	
	            $scrollWrap.css({'height': wrapScrollHeight});
	        },
	        
	        iScrollEvent : function() {
	        	
	        	innerScrollHeight = $scrollWrap.find('ul').innerHeight();
	            if (wrapScrollHeight < innerScrollHeight) {
	            	M_G1100000L.wrapScroll = new iScroll($scrollWrap[0], {
	                vScroll: true,
	                vScrollbar: false
	              });
	            }
	        },
	        
	        inint: function() {
				$layer
					.css({
				    transform: 'translate(0,' + window.innerHeight +'px)',
				    height: window.innerHeight
				});
        	},
	            
        	visible : function() {
        		$layer
        		.removeClass('hidden')
        		.attr({'aria-hidden': false})
        		.addClass('visible')
        		.css({
        			transform: 'translate(0, 0)',
        			height: window.innerHeight
        		});
        		
        		if (window.innerHeight > $quickWrapper.innerHeight()) {
        			$quickWrapper.addClass('visible');
        		}
        		$layerMask
        		.addClass('visible')
        		.on('touchmove.layer', function(e) {
        			e.preventDefault();
        		});

        		$('body').css({
        			position: 'fixed',
        			top: 0,
        			left: 0,
        			width: '100%'
				});
        		
        		$bottomItemsWrapper.addClass('quick_visible');
			},
	             
            hidden : function() {
            	navi.naviBack();
            },
            
            drawHistoryArea : function(data){
            	
            	var historyDataLength = 0;
            	var historyHtml = "";
            	var hisPrevDate = null;
            	var firstClass = "";
            	var isLogon = mainCtrl.checkLogonStatus();
            	var wishArry = data.msg.wishCatentryList;
            	
            	M_G1100000L.ui.drawTodayPickArea(data);
            	
            	if(M_G1100000L.historyData == null){
            		M_G1100000L.event.eventAllDelhistoryClick();
            	}else{
            		historyDataLength = M_G1100000L.historyData.length;
            		$number.text(historyDataLength);
            		
            		for(var i = 0; i < historyDataLength; i++){
            			var historyInfo = M_G1100000L.historyData[i];
            			var hisDate = Ns.Date.getDateParse(historyInfo.settime);            		
            			var parseHisFullDate = hisDate.format("yyyy.MM.dd");
            			var parseHisMMdd = hisDate.format("MM.dd");
            			var hisGubun = historyInfo.hisGubun;
            			var prdClass = (hisGubun === "P") ? "product" : "";
            			var prdImgUrl = "";
            			
            			//최초 데이터일 경우 날짜 세팅
            			if(!hisPrevDate){
            				hisPrevDate = parseHisMMdd;
            				firstClass = "first_item";
            			}else if(hisPrevDate && hisPrevDate !== parseHisMMdd){ // 이전 날짜 존재 하고 데이터와 이전 날짜가 다른 경우 날짜 갱신
            				hisPrevDate = parseHisMMdd;
            				firstClass = " first_item";
            			}else if(hisPrevDate && hisPrevDate === parseHisMMdd){ //같은 날짜의 경우 빈값
            				firstClass = "";
            			}
            			
            			historyHtml += '<li class="'+ prdClass +' ' + firstClass + '" data-date="' + parseHisFullDate + '" data-realidx="'+historyInfo.realIndex+'">';
            			historyHtml += '<div class="date">' + parseHisMMdd + '</div>';
            			historyHtml += '<a href="javascript:;" class="contents" data-index="' + i + '">';
            			historyHtml +=  '<span class="tag">';
            			
            			if(hisGubun === "P"){
            				historyHtml += M_G1100000L.ui.drawPrdImgHtml(historyInfo.partNumber
            						, "B"
            						, historyInfo.adultItemFlag
            						, historyInfo.productName
            						,"small");
            			}else{
            				historyHtml += M_G1100000L.ui.getHisTitleName(hisGubun);
            			}
            			
            			historyHtml +=  '</span>';
            			historyHtml +=  '<div class="sub_text">' + M_G1100000L.ui.getHisSubTextName(historyInfo) + '</div>';
            			historyHtml += '</a>';
            			
            			if(isLogon && hisGubun === "P"){
            				var jjimCheckedStr  = "";
            				var wishListLength = wishArry.length;
            				var jjimFlag = false;
            				
            				if(wishListLength != undefined){
            					for(var j = 0; j < wishListLength; j++){
            						if(wishArry[j] == historyInfo.catentryId){
            							jjimCheckedStr =  "checked";
            							jjimFlag = true;
            							break;
            						} 
            					}
            				}
            				historyHtml +='<label class="jjim_check" data-wish="'+jjimFlag+'">';
            				historyHtml +=  '<input type="checkbox" ' + jjimCheckedStr + ' data-catentryid="' + historyInfo.partNumber + '">';
            				historyHtml +=  '<span>찜</span>';
            				historyHtml +='</label>';
            			}
            			
            			historyHtml +='<button type="button" class="delete_btn" onClick="javascript:M_G1100000L.event.eventDelHistoryClick(this);">';
            			historyHtml +=  '<span>리스트 삭제</span>';
            			historyHtml +='</button>';
            			historyHtml +='</li>';            		
            		}
            	}
            	
            	
            	$listWrap.find("ul").html(historyHtml).promise().done(function(){
            		M_G1100000L.ui.scrollHeight();
            		M_G1100000L.ui.iScrollEvent();
            	});
            },
            
            drawTodayPickArea : function(data){
            	var todayPickInfo = data.msg.myPick || {};
            	var todayPickLength = Object.keys(todayPickInfo).length;
            	var todayPickHtml = "";
            	
            	if(todayPickLength > 0){
            		
            		todayPickHtml += '<a href="javascript:;" class="prod_wrap" data-partnumber="' + todayPickInfo.partnumber + '" data-busChnId="' + todayPickInfo.busChnId + '">';
            		todayPickHtml +=	'<div class="prod_img">';
            		
            		todayPickHtml += M_G1100000L.ui.drawPrdImgHtml(todayPickInfo.partnumber
            														, "O"
            														, todayPickInfo.adultItemFlag
            														, todayPickInfo.itncatentrynm
            														,"medium");
            		todayPickHtml +=	'</div>';
            		todayPickHtml +=	'<div class="prod_info">';
            		todayPickHtml +=		'<p class="name">' + todayPickInfo.itncatentrynm + '</p>';
            		
            		todayPickHtml += M_G1100000L.ui.drawPriceHtml(todayPickInfo.dcRate
            														, todayPickInfo.dcPrice
            														, todayPickInfo.price
            														, todayPickInfo.prcWaveDisp);
            		todayPickHtml +=	'</div>';
            		todayPickHtml += '</a>';
            		
            		$("#todayPickDiv").append(todayPickHtml);
            	}else{
            		$("#todayPickDiv").find("img").hide();
            	}
            },
            
            drawPrdImgHtml : function(partNumber, imgType, adultFlag, prdName, noImgSize){
            	var prdImgHtml = "";
            	var prdImgPath = Ns.Util.getImageUrl( partNumber,imgType,adultFlag );
            	
            	prdImgHtml += Ns.Util.stringFormat('\
            			<img src="{0}" alt="{1}"\
            			onerror="this.src=\'./images/common/noimg_square_{2}.png\'"/>'
    					, prdImgPath, prdName ,noImgSize);
				return prdImgHtml;
            },
            
            //상품가격 영역
            drawPriceHtml : function(dcRate, dcPrice, price, prcWaveDisp ){
				var returnHtml = "";
				var showPrice = price;

				if(dcRate > 0){
					showPrice = dcPrice;
				}
				
				returnHtml += Ns.Util.stringFormat('\
					<div class="price_wrap">\
						<span class="price">{0}</span>\
						<em class="won">원{1}</em>\
					</div>', Ns.Util.insertCommas(showPrice), prcWaveDisp )
				return returnHtml;
			},
            
            getHisTitleName : function(hisGubun){
            	var hisTitleName = "";
            	if(hisGubun === "C"){
            		hisTitleName = "카테고리";
            	}else if(hisGubun === "F"){
            		hisTitleName = "기획전";
            	}else if(hisGubun === "E"){
            		hisTitleName = "이벤트";
            	}
            	return hisTitleName;
            },
            
            getHisSubTextName : function(historyInfo){
            	var vHisGubun = historyInfo.hisGubun;
            	var subTextName = "";
            	
            	if(vHisGubun === "P"){
            		subTextName = historyInfo.productName;
            	}else if(vHisGubun === "C"){
            		
            		if(historyInfo.categoryName5 != null){
        				subTextName = Ns.Util.stringFormat('\
        													{0}\
							        						<span>({1} > {2})</span>'
        													, historyInfo.categoryName5
        													, historyInfo.categoryName4
        													, historyInfo.categoryName3);
        			}else if(historyInfo.categoryName4 != null){
        				subTextName = Ns.Util.stringFormat('\
															{0}\
							        						<span>({1} > {2})</span>'
															, historyInfo.categoryName4
															, historyInfo.categoryName3
															, historyInfo.categoryName2);
        			}else if(historyInfo.categoryName3 != null){
        				subTextName = Ns.Util.stringFormat('\
															{0}\
							        						<span>({1})</span>'
															, historyInfo.categoryName3
															, historyInfo.categoryName2);
        			}else if(historyInfo.categoryName2 != null){
        				subTextName = Ns.Util.stringFormat('\
															{0}\
							        						<span>({1})</span>'
															, historyInfo.categoryName2
															, historyInfo.categoryName1);
    				}else if(historyInfo.categoryName1 != null){
        				subTextName = Ns.Util.stringFormat('\
															{0}'
															, historyInfo.categoryName1);
					}
            	}else if(vHisGubun === "F"){
            		subTextName = historyInfo.cateGroupName;
            	}else if(vHisGubun === "E"){
            		subTextName = historyInfo.offerNm;
            	}
            	return subTextName;
            },
            
            drawCusNameArea : function(){
            	var cusName = "";
            	var isLogon = mainCtrl.checkLogonStatus();
            	
            	if(isLogon){
            		cusName = USERINFO.userName();
            		$(".history_quick_wrap").removeClass("nonmember");
            	}else{
            		cusName = "고객";
            		$(".history_quick_wrap").addClass("nonmember");
            	}
            	$("#historyUserWrapper strong").text(cusName);
            },
		},
		//end ui function...
		
		//이벤트 관련 함수 정의
		event : {
			
			userHistoryEvent : function() {
			
        	  $(window).resize(function() {
				if (!$layer.hasClass('visible')) {
					return;
				}
				
				$layer.css({'height': window.innerHeight});
				$scrollWrap.css({'height': window.innerHeight});
				
				M_G1100000L.ui.scrollHeight();
				
				if (window.innerHeight < $quickWrapper.innerHeight()) {
				  $quickWrapper.removeClass('visible');
				}
				
				if (wrapScrollHeight < innerScrollHeight) {
				  if (M_G1100000L.wrapScroll) {
				    setTimeout(function() {
				    	M_G1100000L.wrapScroll.refresh();
				    }, 100);
				  } else {
					  M_G1100000L.ui.iScrollEvent();
				  }
				} else {
				  if (M_G1100000L.wrapScroll) {
					  M_G1100000L.wrapScroll.destroy();
					  M_G1100000L.wrapScroll = null;
				  }
				}
        	  });
			},
			
	        eventQuickMenuToggler : function(){
	            var hasClass = $quickWrapper.hasClass('hidden');
	            var quickAriaState = hasClass ? true : false;
	            var menuAriaState = hasClass ? false : true;
	
	            $(this)
	              .attr({'aria-expanded': quickAriaState})
	              .next('.inner_wrap')
	              .attr({'aria-hidden': menuAriaState});
	
	            $quickWrapper.toggleClass('visible');
	
	            M_G1100000L.ui.scrollHeight();
	
	            if (M_G1100000L.wrapScroll) {
	              setTimeout(function() {
	            	  M_G1100000L.wrapScroll.refresh();
	              }, 100);
	            }
	            
	            $bottomItemsWrapper.toggleClass('hidden');
	        },
	        
	        eventQuickCloseClick : function(e){
	            e.preventDefault();
	            $quickToggleBtn.trigger('click');
	        },
	        
	        eventProductCheck : function() {
	            var $filterItem =  $listWrap.find('li').filter('.product');
	            var filterLength = $filterItem.length;
	            var itemDateArray = [];

	            if ($quickWrapper.hasClass('visible')) {
	              $('.quick_btn').trigger('click');
	            }

	            if ($(this).is(':checked')) {
	              if (filterLength === 0) {
	                var message = '쇼핑 히스토리에 <br>상품조회 기록이 없습니다.'
	                var $noHistoryWrap = $('<div/>', {
	                  'class': 'no_history',
	                  'html': '<p>'+ message +'</p>'
	                });

	                $listWrap.append($noHistoryWrap);
	              }

	              $historyList.addClass('item_hidden');

	              for(var i = 0;  i < filterLength; i ++) {
	                itemDateArray.push($filterItem[i].dataset['date']);
	              }

	              $filterItem.each(function(i) {
	                var isSameDate = itemDateArray[i] !== itemDateArray[i-1] ? false : true;

	                if (!$(this).hasClass('first_product') && isSameDate !== true) {
	                  $(this).addClass('first_product');
	                }
	              });
	            } else {
	              if (filterLength === 0) {
	                $('.no_history').remove();
	              }

	              $historyList.removeClass('item_hidden');
	              $filterItem.removeClass('first_product');
	            }

	            if (M_G1100000L.wrapScroll) {
	              setTimeout(function() {
	            	  M_G1100000L.wrapScroll.refresh();
	              }, 100);
	            }
	          },
	          
	          eventEditClick : function() {
	        	  var $inner = $(this).find('span');
	        	  var hasClass = $historyList.hasClass('editor');
	        	  var btnText = !hasClass ? '편집완료' : '편집';
	        	  var allDeleteAriaState = !hasClass ? false : true;
	        	  var checkAriaState = !hasClass ? true : false;

	        	  $inner.text(btnText);
	        	  $historyList.toggleClass('editor');
	        	  $(this).siblings('.check_switches').attr({'aria-hidden': checkAriaState});
	        	  $deleteAllHistoryBtn.attr({'aria-hidden': allDeleteAriaState});

	        	  if (!hasClass) {
	        		  $productCheck.prop('checked', false);
	        		  $historyList.removeClass('item_hidden');

	        		  if ($quickWrapper.hasClass('visible')) {
	        			  $quickToggleBtn.trigger('click');
	        		  }
	        	  }
	          },
	          
	          eventDelHistoryClick : function(obj) {
	        	  var $this = $(obj);
	        	  var $parentItem = $this.parent('li');
	        	  var itemDate = $parentItem.data('date');
	        	  var isFirstItem = $parentItem.hasClass('first_item');
	        	  var $nextItem = $parentItem.next();
	        	  var nextItemDate;
	        	  var delIndex = Number($this.closest("li").data("realidx"));

	        	  if ($nextItem.length) {
	        		  nextItemDate = $nextItem.data('date');

	        		  if (isFirstItem && itemDate === nextItemDate) {
	        			  $nextItem.addClass('first_item');
	        		  }
	        	  }

	        	  $this.closest('li').remove();

	        	  historyLength = $listWrap.find('li').length;
	        	  $number.text(historyLength);
	        	  
	        	  
	        	  M_G1100000L.historyData = mainCtrl.delHistoryList(delIndex);

	        	  if (M_G1100000L.historyData.length === 0) {
	        		  $deleteAllHistoryBtn.trigger('click');
	        	  }else{
	        		  M_G1100000L.event.resetHistoryListLirealIndex();
	        		  HUB_INIT.initHistotryTabImg();	        		  
	        	  }
	        	  
	        	  if (M_G1100000L.wrapScroll) {
		              setTimeout(function() {
		            	  M_G1100000L.wrapScroll.refresh();
		              }, 100);
		          }
	          },
	          
	          resetHistoryListLirealIndex : function(){
	        	  var historyDataIdx = M_G1100000L.historyData.length;
	        	  for(var i=0; i < historyDataIdx; i++){
	        		  var dataInfo = M_G1100000L.historyData[i];
	        		  var $hisListli = $historyList.find("li").eq(i);
	        		  $hisListli.data("realidx",dataInfo.realIndex);
	        		  $hisListli.find("a").data("index", i);
	        	  }
	          },
	          
	          eventAllDelhistoryClick : function() {
	        	  var message = '쇼핑 히스토리에는 <br>상품, 구매, 이벤트, 기획전, 카테고리<br>조회 기록을 볼 수 있습니다.';
	        	  var $noHistoryWrap = $('<div/>', {
	        		  'class': 'no_history',
	        		  'html': '<p>'+ message +'</p>'
	        	  });

	        	  $historyList.removeClass('editor');
	        	  $listWrap.remove();
	        	  $listEditor.remove();
	        	  $historyList.append($noHistoryWrap);
	        	  $number.text(0);
	        	  
	        	  Ns.LocalStorage.del(STORAGE_KEY.USER_VISIT_HIS);
	        	  
	        	  HUB_INIT.initHistotryTabImg();
	          },
	          
	          moveClickQuickMenu : function(){
	        	  
	        	  if(M_G1100000L.btnGubun === "" ){
	        		  return;
	        	  }
	        	  
	        	  switch(M_G1100000L.btnGubun){
	        	  	case "quickOrderShipBtn" : {
	        	  		M_G1100000L.event.eventOrderShipBtnClick();
	        	  		break;
	        	  	}
	        	  	case "quickJjimBtn" : {
	        	  		M_G1100000L.event.eventJjimBtnClick();
	        	  		break;
	        	  	}
	        	  	case "quickMypageBtn" : {
	        	  		M_G1100000L.event.eventMypageBtnClick();
	        	  		break;
	        	  	}
	        	  	case "quickCustomerBtn" : {
	        	  		M_G1100000L.event.eventCustomerBtnClick();
	        	  		break;
	        	  	}
	        	  }
	          },
	          
	          eventOrderShipBtnClick : function() {
	        	  var param = {};
	        	  param.periodMonth = 1;
	        	  mainCtrl.navigate( "M_U1121100M", param );
	          },
	          
	          eventMypageBtnClick : function(){
	        	  var logParam = {categoryId : "ft_tabMypage"};
	        	  tran.callPageLogging("LoggingPage", logParam);
    			  mainCtrl.gotoMypage();
	          },
	          
	          eventJjimBtnClick : function(){
	        	  var logParam = {categoryId : "ftMore_tabWish"};
	        	  tran.callPageLogging("LoggingPage", logParam);
	        	  mainCtrl.navigate('M_U1193000M');
	          },
	          
	          eventCustomerBtnClick : function(){
	        	  var logParam = {categoryId : "ft_tabCustomer"};
	        	  tran.callPageLogging("LoggingPage", logParam);
	        	  mainCtrl.navigate('M_C1123000M');
	          },
	          
	          moveTodayPickPrd : function(){
	        	  var prdPartNum = Number($("#todayPickDiv").find('a').data("partnumber"));
	        	  var prdBusChnId = $("#todayPickDiv").find('a').data("busChnId");
	        	  var invoke = {
	  					busChnId : prdBusChnId,
	  					partNumber : prdPartNum
	  				};
	        	  mainCtrl.gotoProductDetail(invoke);
	          },
	          
	          moveHistoryClick : function(){
	        	  var hisObj = M_G1100000L.hisClickObj;
	        	  var hisClickIndex = hisObj.data("index");
	        	  var selectHisData = M_G1100000L.historyData[hisClickIndex];
	        	  var hisClickGubun = selectHisData.hisGubun;
	        	  var invoke = {};
	        	  
	        	  if(hisClickGubun === "P"){
	        		  var prdPartNum = selectHisData.catentryId;
	        		  invoke.partNumber = prdPartNum;
	  	        	  mainCtrl.gotoProductDetail(invoke);
	        	  }else if(hisClickGubun === "C"){
	        		  invoke.categoryId = selectHisData.categoryId;
	        		  invoke.categoryNm = M_G1100000L.event.getCategoryTitle(selectHisData);
	        		  mainCtrl.navigate('M_G2160000M', invoke, M_G1100000L.event.getCategoryTitle(selectHisData));
	        	  }else if(hisClickGubun === "F"){
	        		  mainCtrl.navigate(selectHisData.pageId, selectHisData.pageParams);
	        	  }else if(hisClickGubun === "E"){
	        		  mainCtrl.navigate(selectHisData.eventPageId, selectHisData.pageParams);
	        	  }
	        	 
	          },
	          
	          getCategoryTitle : function (selectHisData){
				var returnTitle = "";
				if(selectHisData.categoryName5 != null){
				  returnTitle = selectHisData.categoryName5;
				}else if(selectHisData.categoryName4 != null){
				  returnTitle = selectHisData.categoryName4;
				}else if(selectHisData.categoryName3 != null){
				  returnTitle = selectHisData.categoryName3;
				}else if(selectHisData.categoryName2 != null){
				  returnTitle = selectHisData.categoryName2;
				}else if(selectHisData.categoryName1 != null){
				  returnTitle = selectHisData.categoryName1;
				}
				return returnTitle;
	          },
		}
		//end event function
};
