
/* JavaScript content from js/main/M_G1100112M.js in folder common */
/**
 * 		페이지 ID : M_G1100112M
 * 		모바일 쿠폰등록 이벤트 페이지
 */

CurrentView = {
		offerId : null,
		bDouble : false,	// 중복클릭 체크 변수
		
		init : function(params) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		initializeComponent : function() {
			$("#btnSendCoupon").unbind().bind("click", CurrentView.event.onclick_btnSendCoupon); // 쿠폰받기 버튼 클릭 이벤트 셋팅
		},
		
		onLoad : function(params) {
			var historyObj = {};
			historyObj.pageParams = params;
			historyObj.offerIdfr = mainCtrl.getCurrentPageId();
			historyObj.offerNm = "쿠폰등록 이벤트";
			historyObj.eventPageId = mainCtrl.getCurrentPageId();
			historyObj.hisGubun = "E";
			mainCtrl.setRecentlyViewedProducts(historyObj);
		},
		
		data : {			
			// 이벤트 참여후 콜백
			resultCallback : function(data) {
				var msg  = data.msg.root.rtnMsg;
	
				Ns.Popup.alert( msg );
				CurrentView.bDouble = false;
			}
		},

		//ui interaction 관련 함수 정의 
		ui : {
			
		},
		
		//이벤트 관련 함수 정의
		event : {
			
			/**
			 * 쿠폰 받기 버튼 클릭이벤트
			 * */
			onclick_btnSendCoupon : function() {
				
				var couponCode = $('#couponCode').val();
				if(couponCode == ""){
					Ns.Popup.alert( "쿠폰번호를 입력해주세요." );
					return false; 
				}
				
				var isLogon = mainCtrl.checkLogonStatus();
				if (isLogon) {
					// 응모하기 데이터 설정
					var transId = "NSTimesPrmtEventCmd";
					var invoke = {};
					invoke.userId = USERINFO.userId();
					invoke.mediaCd = "MOBIL";
					invoke.flag = "02"; // 01 : 오퍼번호로 이벤트 응모(공통 이벤트), 02 : 쿠폰번호로 이벤트 응모(쿠폰만 다운)
					invoke.eventIdfr = "0"; // 오퍼번호(0으로 일단 전달)
					invoke.couponCode = couponCode; // 입력한 제휴사 쿠폰번호
					invoke.regCpYn = 'Y';
					// 중복 클릭 방지 처리 
					if (CurrentView.bDouble == true)
						return false;
					CurrentView.bDouble = true;
					
					// 이벤트 응모하기
					tran.callWCSJsonTran(transId, invoke, CurrentView.data.resultCallback);
				} else {
					Ns.Popup.alert("로그인 후 이용하실 수 있습니다.", function() {
						mainCtrl.gotoLogin();
					});
					return;
				}
			}
			
		}
};