
/* JavaScript content from js/main/M_G1100113M.js in folder common */

/* 
 *	페이지 ID : M_G1100113M
 *  월별 고객등급 쿠폰 이벤트
 *  
*/

CurrentView = {
		offerId : null,
		
		init : function(params) {
			this.initializeComponent(params);
			this.onLoad(params);
		},
		
		initializeComponent : function(params) {
			if (!Ns.Util.isNull(params.offer_id)) {
				CurrentView.offerId = params.offer_id;
			}
			$("#login_info").unbind().bind( "click", this.event.onclick_login_info );	// 로그인 해주세요 클릭
		},
		
		onLoad : function(params) {
			var historyObj = {};
			historyObj.pageParams = params;
			historyObj.offerIdfr = mainCtrl.getCurrentPageId();
			historyObj.offerNm = "월별 고객등급 쿠폰 이벤트";
			historyObj.eventPageId = mainCtrl.getCurrentPageId();
			historyObj.hisGubun = "E";
			mainCtrl.setRecentlyViewedProducts(historyObj);

			CurrentView.data.getMyMemberShip(); // 고객등급 데이터 조회
			CurrentView.data.getEventList(); // 캠페인 오퍼의 HTML 조회
		},
		
		data : {			
			getMyMemberShip : function() {
				tran.callWCSJsonTran('NsMembershipReal', null, CurrentView.data.resultMyMembershipInfo);
			},
			
			resultMyMembershipInfo : function(data) {
				var purchaseGrd = data.msg.root.PurchaseGrd.currentGrd;	//나의 구매 등급 정보
							
				//로그인 체크
				if ( mainCtrl.checkLogonStatus() ){
					
					// 로그인 되어있는 경우 -> 고객등급 정보 셋팅
					if(purchaseGrd != null){
						if(purchaseGrd == "110" || purchaseGrd == "SVIP"){
							$("#member_img").attr('class','wrap_member svip');
							$("#member_info").html("S-VIP");
						} else if(purchaseGrd == "111" || purchaseGrd == "VIP"){
							$("#member_img").attr('class','wrap_member vip');
							$("#member_info").html("VIP");
						} else if(purchaseGrd == "112" || purchaseGrd == "엘리트"){
							$("#member_img").attr('class','wrap_member elite');
							$("#member_info").html("엘리트");
						} else if(purchaseGrd == "113" || purchaseGrd == "스마트"){
							$("#member_img").attr('class','wrap_member smart');
							$("#member_info").html("스마트");
						} else if(purchaseGrd == "114" || purchaseGrd == "매니아"){
							$("#member_img").attr('class','wrap_member mania');
							$("#member_info").html("매니아");
						} else if(purchaseGrd == "115" || purchaseGrd == "패밀리"){
							$("#member_img").attr('class','wrap_member family');
							$("#member_info").html("패밀리");
						} else {
							$("#member_img").attr('class','wrap_member new');
							$("#member_info").html("새내기");
						}
					} else {
						$("#member_img").attr('class','wrap_member new');
						$("#member_info").html("새내기");
					}
					
					$("#memLogin").attr('class','info_level login');
				} else {
					// 로그인 되어있지 않은 경우 -> 로그인을 해주세요 이미지 노출
					$("#memLogin").attr('class','info_level');
				}
				
			},
			
			// 이벤트 상세정보를 요청
			getEventList : function() {
				var invoke = {
					offerIdfr : CurrentView.offerId,
					cmdType : "102",
					winConfirmYn : "N"
				};
				tran.callWCSJsonTran('NSAjaxMTimesEventCmd', invoke, CurrentView.ui.setDefaultEvent);
			},
			
		},

		//ui interaction 관련 함수 정의 
		ui : {
			
			setDefaultEvent : function(data) {
				
				// 이벤트 상세보기 html
				var eventdata = data.msg.eventDetail;
				if (Ns.Util.isNull(eventdata))
					return false;
				
				// 모바일 이벤트 확인, 데이터가 없을 경우 인터넷것으로 대체
				var nullTxt = "<p>nbsp;</p>"
				var htmlTxt = eventdata.dweMobileditcont;
				if (Ns.Util.isNull(htmlTxt) || htmlTxt == nullTxt)
					htmlTxt = eventdata.dweditcont;
				
				// 이벤트 페이지 html 설정
				var event = Ns.Util.htmlDecode(htmlTxt);
				$("#htmlContent").html(event);
				
			},
			
		},
		
		//이벤트 관련 함수 정의
		event : {
			onclick_login_info : function() {
				// 로그인여부 확인
				if (!mainCtrl.checkLogonStatus()) {
					mainCtrl.gotoLogin();
					return;
				}
			},
		}
		
};