
/* JavaScript content from js/main/M_G1100900M.js in folder common */

/* 
 *	페이지 ID : M_G1100900M 
 *  1. 응모형 이벤트 페이지
 *  
*/

CurrentView = {
		offerId : null,
		couponId : null,
		bDouble : false,	// 중복클릭 체크 변수
		isBtnOff : false,
		requestCnt : 0,		// 쿠폰 한번에 받기 요청 변수
		responseCnt : 0,
		successDownCouponCnt : 0,
		offerids : "", 
		firsttime : true, 
		existOnlyApp : false,//모바일 앱전용쿠폰 여부
		extendParams : {},

		init : function(params) {
			this.initializeComponent(params);
			this.onLoad();
		},
		
		initializeComponent : function(params) {
			if (!Ns.Util.isNull(params.offer_id)) {
				CurrentView.offerId = params.offer_id;
			}
			if (!Ns.Util.isNull(params.coupon_id)) {
				CurrentView.couponId = params.coupon_id;
				$("#btnSendCoupon span").text("쿠폰 다운로드");
			}
			if (params.btn == "off") {
				CurrentView.isBtnOff = true;
				$("#btnArea").hide();
			}
		    this.extendParams = params;
			// 응모하기 버튼
			$("#btnSendCoupon").on('click',CurrentView.event.onclick_btnSendCoupon);
		},
		
		onLoad : function() {
			CurrentView.data.getEventList();
		},
		
		data : {
			
			// 이벤트 상세정보를 요청
			getEventList : function() {
				var invoke = {
					offerIdfr : CurrentView.offerId,
					cmdType : "102",
					winConfirmYn : "N"
				};
				tran.callWCSJsonTran('NSAjaxMTimesEventCmd', invoke, CurrentView.ui.setNSTimesEvent);
			},
			
			getDidCheck : function(){
				// 로그인 체크
				if (!mainCtrl.checkLogonStatus()) {
					return false;
				}
				
				var invoke = {};
				invoke.userId = USERINFO.userId();
				
				var transId = "";
				if(CurrentView.couponId != null){
					// empty for purpose 
				}else{
					invoke.mediaCd = "MOBIL";
					invoke.flag = "00";
					invoke.eventIdfr = CurrentView.offerId;
					transId = "NSTimesPrmtEventCmd";
				}
				
				tran.callWCSJsonTran( transId , invoke, CurrentView.ui.setBtnCtl );
			},
			
			// 이벤트 참여후 콜백
			resultCallback : function(data) {
				var msg = "";
				if (CurrentView.couponId != null) {
					var chkSuccess = data.msg.root.Output.successFlag;
					if (chkSuccess == "Y" || chkSuccess == "y")
						msg = "쿠폰 다운로드가 성공하였습니다.";
					else
						msg = "쿠폰 다운로드가 실패하였습니다.";
				} else {
					
					msg = data.msg.root.rtnMsg;
					
					// 건강복권 일경우, 서버 메세지 처리 
					if (CurrentView.offerId == "100000032965" || 
							(CurrentView.offerId == "100000027821" && Const.IS_SERVER_STATE=="DEV") ){
						
					   // 웹뷰 하위버전에서는 startWith() 함수를 지원 하지 않아서 string 를 상속 해서 startsWith를 구현한다  by seo4872
					   if (!String.prototype.startsWith) {
						  String.prototype.startsWith = function(searchString, position) {
							  position = position || 0;
							  return this.indexOf(searchString, position) === position;
						  };
						}
						  
						if (msg.startsWith("이벤트에 당첨되지 않았습니다")) {
							msg  = "아쉽지만  다음기회에~</br>";
							msg += "내일 또 응모해주세요~</br>";
							msg += "(매일 한 ID당 1번씩 응모 가능)";
						} else if(msg.startsWith("축하합니다")) {
							msg  = "건강복권 당첨을 축하드립니다.</br>";
							msg += "39,000원 할인쿠폰이 발급되었으니,</br>";
							msg += "유효기간내 꼭 사용해주세요";
						}
						
					// 2016.04.18 이벤트 문구 수정
					} else if (((CurrentView.offerId == "100000037913")
							||(CurrentView.offerId == "100000037915")
							||(CurrentView.offerId == "100000037916")
							||(CurrentView.offerId == "100000037917") ) 
							||(CurrentView.offerId == "100000028021" && Const.IS_SERVER_STATE=="DEV")
							||(CurrentView.offerId == "100000028023" && Const.IS_SERVER_STATE=="DEV")) {
						   if (!String.prototype.startsWith) {
							   String.prototype.startsWith = function(searchString, position) {
								   position = position || 0;
								   return this.indexOf(searchString, position) === position;
							   };
							}
							  
							if (msg.startsWith("접속자가 너무 많습니다")) { //응모하기_접속자 많을 경우
								msg  = "현재 접속자 폭주로 이벤트 응모에 불편을 드려 죄송합니다.</br>";
								msg += "다시 접속 부탁드립니다";
							}else if(msg.startsWith("고객님은 이미 응모하셨습니다")){ //응모하기_응모당첨 후 다시 탭시 
								msg  = "고객님은 이미 적립금 지급받으셨습니다.</br>";
								msg += "마이페이지에서 확인 후 오늘내로</br>";
								msg += "꼭 사용해주세요~";
							}else if(msg.startsWith("금일 선착순 수량이 마감되었습니다")){ //응모하기 _응모 후 미당첨  (천개 모두 소진시) 
								msg  = "금일 선착순 수량이 마감되었습니다</br>";
								msg += "내일 다시 응모해주세요~";
							}
					}
					// hckim 2019.03.20 NSSR-23038 쿠폰 다운로드 팝업창 내용 문구 수정
					else if(CurrentView.offerId == "100000069607"){	// 세뱃돈 받아야돼지 이벤트(2019.02.01 ~ 2019.02.10) 						
						// 웹뷰 하위버전에서는 startWith() 함수를 지원 하지 않아서 string 를 상속 해서 startsWith를 구현한다  by seo4872
						if (!String.prototype.startsWith) {
							String.prototype.startsWith = function(searchString, position) {
								position = position || 0;
								return this.indexOf(searchString, position) === position;
							};
						}
						
						if(msg.startsWidth("고객님은 이미 신청하셨습니다.")){
							msg = "고객님은 이미 신청완료했습니다.";
						}
						
					}
				}
				
				Ns.Popup.alert( msg , function(){
					CurrentView.data.getDidCheck();
				});
				
				CurrentView.bDouble = false;
			},
		},

		//ui interaction 관련 함수 정의 
		ui : {
			
			// 응모하기 페이지 UI 설정
			setNSTimesEvent : function(data) {
				// 이벤트 상세보기 html
				var eventdata = data.msg.eventDetail;
				
				if (Ns.Util.isNull(eventdata))
					return false;
				
				var historyObj = {};
				historyObj.pageParams = CurrentView.extendParams;
				historyObj.offerIdfr = eventdata.offerIdfr;
				historyObj.offerNm = eventdata.offerNm;
				historyObj.eventPageId = mainCtrl.getCurrentPageId();
				historyObj.hisGubun = "E";
				mainCtrl.setRecentlyViewedProducts(historyObj);
				
				// 모바일 이벤트 확인, 데이터가 없을 경우 인터넷것으로 대체
				var nullTxt = "<p>nbsp;</p>"
				var htmlTxt = "";
				htmlTxt = eventdata.dweMobileditcont;
				if (Ns.Util.isNull(htmlTxt) || htmlTxt == nullTxt)
					htmlTxt = eventdata.dweditcont;
				
				// 이벤트 페이지 html 설정
				var event = Ns.Util.htmlDecode(htmlTxt);
				$("#htmlContent").html(event);
				$("#btnSendCoupon").show();
				
				CurrentView.data.getDidCheck();
				
				CurrentView.requestCnt = 0;		
				CurrentView.responseCnt = 0;
				CurrentView.successDownCouponCnt = 0;
				CurrentView.offerids = ""; 
				CurrentView.firsttime = true; 
				
				
				var subParamObj = {
						pageId : "M_G1100900M",
						offerId : eventdata.offerIdfr,
						offerName : eventdata.offerNm
				};
				
				var paramObj = {
						params : subParamObj
				};
				GA.inIt(paramObj);
				//명절 쿠폰 다운여부 조회( 이미 받은 쿠폰이면 off이미지로 변환)
				for(var i=0; i<$('.eventcp_holiday').length; i++){
					if(document.getElementsByClassName('eventcp_holiday')[i].id !=null && document.getElementsByClassName('eventcp_holiday')[i].id != undefined){
						if(i==($('.eventcp_holiday').length-1))
							CurrentView.offerids += document.getElementsByClassName('eventcp_holiday')[i].id;
						else 
							CurrentView.offerids += document.getElementsByClassName('eventcp_holiday')[i].id + "|";
					}
				}
				
				if ( mainCtrl.checkLogonStatus() ){//로그인상태
					if(CurrentView.offerids!="" && CurrentView.offerids != null && CurrentView.offerids!=undefined) {
						CurrentView.event.downloadCouponAll(CurrentView.offerids);
					}
				}

			},
		
			setBtnCtl : function(data){
				if(!CurrentView.isBtnOff){
					if(data.msg.root.rtnCd == "1"){ 
						if(!Ns.Util.isNull(CurrentView.couponId)){
							// empty for purpose
						} else {
							$("#btnSendCoupon").removeClass("rate-g");
							$("#btnSendCoupon").addClass("rate-l");
							$("#btnSendCoupon span").text("응모완료");
						}
					}
				}
			}
		},
		
		//이벤트 관련 함수 정의
		event : {
			// 이벤트 응모하기 버튼 클릭
			onclick_btnSendCoupon : function() {
				// 로그인 체크
				if (!mainCtrl.checkLogonStatus()) {
					mainCtrl.gotoLogin();
					return false;
				}
				// 응모하기 데이터 설정
				var invoke = {};
				invoke.userId = USERINFO.userId();
				var transId = "";
				if (CurrentView.couponId != null) {
					invoke.cpNum  = CurrentView.couponId;
					invoke.cmdType  = "";	// N P L
					transId = "CpDownloadReal";
				} else {
					invoke.mediaCd = "MOBIL";
					invoke.flag = "01";
					invoke.eventIdfr = CurrentView.offerId;
					transId = "NSTimesPrmtEventCmd";
				}
				// 중복 클릭 방지 처리 
				if (CurrentView.bDouble == true)
					return false;
				CurrentView.bDouble = true;
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_이벤트상세',
						eventAction : '응모형이벤트',
						eventLabel : '이벤트응모하기'
				};
				var subparam = {
						t1 : '이벤트',
						t2 : "이벤트상세",
						t3 : "이벤트응모하기"
				};

				GA.sendEventData(event_obj,subparam);

				
				// 이벤트 응모하기
				tran.callWCSJsonTran(transId, invoke, CurrentView.data.resultCallback);
			},
				
			//명절 쿠폰 한번에 다운받기
			downloadCouponAll : function(offerids) {
				var offerid = offerids.split('|');
				
				CurrentView.requestCnt = 0;
				CurrentView.responseCnt = 0;
				CurrentView.successDownCouponCnt = 0;
				
				CurrentView.requestCnt = offerid.length;			
				for(var i=0; i<offerid.length; i++) {
					if (offerid[i] != "" && offerid[i] != null) {
						if(CurrentView.firsttime){
							//페이지 인입시 쿠폰 다운로드 이력 조회
							CurrentView.event.checkNsTimesEventAll(offerid[i]);
						}else{
							CurrentView.event.doNsTimesEventAll(offerid[i]);
						}
					}
				}
			},
			
			//쿠폰 다운로드 이력 조회
			checkNsTimesEventAll : function(offerid) {
				
				if ( Ns.Util.isNull(offerid) || offerid.length==0 ) return false;
				
				var invokeParams = {
						eventIdfr : offerid,
						flag : "00",       
						mediaCd : "MOBIL", 
						eventDtlYn : "Y"
				};
					
				//로그인 체크
				if ( !mainCtrl.checkLogonStatus() ){
					mainCtrl.gotoLogin();
					return false;
				}
		
				var userId = mainCtrl.getUserInfo("userId");
				invokeParams.userId = userId;
				
				tran.callWCSJsonTran( "NSTimesPrmtEventCmd", invokeParams, CurrentView.event.checkResultCallbackAll );
			},
			
			checkResultCallbackAll : function(data){
				CurrentView.responseCnt++;

				if(data.msg.root.rtnCd == "0"){//쿠폰다운 가능
					CurrentView.successDownCouponCnt++;
				}else{//쿠폰다운 불가능
					var imgsrc = document.getElementById(data.eventIdfr[0]).src;
					if(data.msg.root.rtnMsg != "모바일 앱에서만 응모 가능합니다."){
						//이미지 존재여부에 따라 on,off변환
						CurrentView.event.imageExist(imgsrc, data.eventIdfr[0]);
					}
				}
				
				if (CurrentView.requestCnt == CurrentView.responseCnt) {
					if(CurrentView.successDownCouponCnt == 0){//다운가능한 쿠폰 없음 						
						var imgsrcAll = document.getElementById("btnCouponAll").src;
						CurrentView.event.imageExist(imgsrcAll, "btnCouponAll");
					}
					CurrentView.firsttime = false;
				}
			},
			
			doNsTimesEventAll : function(offerid) {
				if ( Ns.Util.isNull(offerid) || offerid.length==0 ) return false;
				
				var invokeParams = {
						eventIdfr : offerid,
						flag : "01",       
						mediaCd : "MOBIL", 
						eventDtlYn : "Y"
				};
					
				//로그인 체크
				if ( !mainCtrl.checkLogonStatus() ){
					mainCtrl.gotoLogin();
					return false;
				}
		
				var userId = mainCtrl.getUserInfo("userId");
				invokeParams.userId = userId;
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_이벤트상세',
						eventAction : '배너쿠폰다운로드',
						eventLabel : '쿠폰다운로드'
				};
				var subparam = {
						t1 : '이벤트',
						t2 : "이벤트상세",
						t3 : "쿠폰"
				};

				GA.sendEventData(event_obj,subparam);
				
				tran.callWCSJsonTran( "NSTimesPrmtEventCmd", invokeParams, CurrentView.event.resultCallbackAll );
			},
			
			resultCallbackAll : function(data){
				CurrentView.responseCnt++;
				//alert(CurrentView.requestCnt+"/"+CurrentView.responseCnt);
				//alert(data.eventIdfr[0]);
				if(data.msg.root.rtnCd == "0"){//쿠폰다운 성공
					CurrentView.successDownCouponCnt++;
				}else{//쿠폰다운 실패
				}
				
				var imgsrc = document.getElementById(data.eventIdfr[0]).src;

				if(data.msg.root.rtnMsg != "모바일 앱에서만 응모 가능합니다."){
					//이미지 존재여부에 따라 on,off변환
					CurrentView.event.imageExist(imgsrc, data.eventIdfr[0]);
				}else{
					CurrentView.existOnlyApp = true;
				}
				
				if (CurrentView.requestCnt == CurrentView.responseCnt) {
					if(CurrentView.successDownCouponCnt == 0){ 		
						if(CurrentView.existOnlyApp){
							Ns.Popup.alert("모바일 앱에서만 응모 가능합니다.");
						}else{
							Ns.Popup.alert("고객님은 이미 쿠폰을 받으셨습니다.");
							var imgsrcAll = document.getElementById("btnCouponAll").src;
							CurrentView.event.imageExist(imgsrcAll, "btnCouponAll");
						}
					}else{
						if(CurrentView.existOnlyApp){
							Ns.Popup.alert("모바일 앱에서만 응모 가능합니다.");
						}else{
							Ns.Popup.alert("쿠폰이 정상적으로 다운로드 되었습니다.\n기간 내 꼭 사용하세요~");
							var imgsrcAll = document.getElementById("btnCouponAll").src;
							CurrentView.event.imageExist(imgsrcAll, "btnCouponAll");
						}
					}
				}
			},
			
			/**
			 * doNsTimesEventHoliday : smlee0220 쿠폰다운로드 호출 + 응모고객수 
			 * */
			doNsTimesEventHoliday : function(offerid) {

				if ( Ns.Util.isNull(offerid) || offerid.length==0 ) return false;
				
				var invokeParams = {
						eventIdfr : offerid,
						flag : "01",       
						mediaCd : "MOBIL", 
						eventDtlYn : "Y"
				};
					
				//로그인 체크
				if ( !mainCtrl.checkLogonStatus() ){
					mainCtrl.gotoLogin();
					return false;
				}
		
				var userId = mainCtrl.getUserInfo("userId");
				invokeParams.userId = userId;
				
				tran.callWCSJsonTran( "NSTimesPrmtEventCmd", invokeParams, CurrentView.event.resultCallbackHoliday );
			},
			
			resultCallbackHoliday : function(data){
				//data.msg.root.rtnCd 가 0이면 쿠폰다운로드 성공 0아니면 실패
				var msg = data.msg.root.rtnMsg;
				Ns.Popup.alert( msg );
				
				for(var i=0; i<$('.eventcp_holiday').length; i++){
					if(data.eventIdfr[0] == document.getElementsByClassName('eventcp_holiday')[i].id){

						var imgsrc = document.getElementById(data.eventIdfr[0]).src;
						
						if(data.msg.root.rtnMsg != "모바일 앱에서만 응모 가능합니다."){
							//이미지 존재여부에 따라 on,off변환
							CurrentView.event.imageExist(imgsrc, data.eventIdfr[0]);
						}
					} 					
				}	
				
				//초기인입처럼 개별쿠폰+ 한번에 다운받기 이미지 on,off체크
				CurrentView.firsttime = true; 
				CurrentView.event.downloadCouponAll(CurrentView.offerids);
			},

			//이미지 존재여부 체크
			imageExist : function(imgsrc, id){
				var imgresrc = imgsrc.replace("_on","_off");
				
				var img = new Image();

				img.onload = function() {
					$("#"+id).attr('src', imgresrc);
				};
				
				img.onerror = function() {
					$("#"+id).attr('src', imgsrc);
				};
				img.src = imgresrc;
			}
		}
};