
/* JavaScript content from js/marketing/M_G2800000M.js in folder common */

/* 
 *	페이지 ID : M_G2800000M 
 *  1. 선물하SHOW Main
 *   - 베이비
 *   - 청소년
 *   - 임산부
 *   - 남성
 *   - 여성
 *   - 시니어
 *  
*/

CurrentView = {
		p_espotid : null,
		p_bannerid : null,

		pageSize : 10,
		pageIdx : 1,
		currentPage : 1,
		sortCriteria : '',
		giftMall : "baby",
		categoryId : '',
		totalCount : 0,

		isFirst : false,
		
		tabSwiper : null,
		pushFullEvent : true,
		invokeParams : null,

		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		initializeComponent : function( params ){
			$("#ulGiftTabArea li a").on('click', this.event.onclick_tabgiftTabArea );
			$("#itemClass li a").unbind().bind( "click", this.event.onclick_itemClass );
			$("#btnChangeView").on('click', this.event.onclick_btnChangeView );

			if( params == undefined ) params = {};
			if( !Ns.Util.isNull(params.giftMall) ){ CurrentView.giftMall = params.giftMall; }
			if( !Ns.Util.isNull(params.pageIdx) ){ CurrentView.pageIdx = params.pageIdx; }
			if( !Ns.Util.isNull(params.pageSize) ){ CurrentView.pageSize = params.pageSize; }
			if( !Ns.Util.isNull(params.currentPage) ){ CurrentView.currentPage = params.currentPage; }
			if( !Ns.Util.isNull(params.sortCriteria) ){ CurrentView.sortCriteria = params.sortCriteria; }

			
			//추석이벤트 관련 문구 수정
			/*
			if( Ns.Date.checkDateValidate("2015-08-31 12:00:00","2015-09-23 12:00:00") ){
				CurrentView.data.eventCategoryChange();

				//adbirx 송신용 파라미터
				if( mainCtrl.isOsApp() ){
					var invoke = {
						category : "Retention",
						action : "category_Chuseok"
					};
					Ns.Native.sendAdbrix( invoke );
				}
			}
			*/
			
			/*
			//추석이벤트 관련 틍정 시간의 기본 매장 변경
			if ( Ns.Date.checkDateValidate("2015-09-03 00:00:00","2015-09-10 00:00:00") ){
				CurrentView.giftMall = "senior";
				
				var tabWidth = $( "#" + CurrentView.giftMall ).width();
				var translateX = 0 - tabWidth;
				translateX *= 3;
				
				CurrentView.tabSwiper.setWrapperTranslate( translateX, 0, 0 );
			} else if( Ns.Date.checkDateValidate("2015-09-22 07:00:00","2015-12-31 00:00:00") ){
				$("#baby").html("<span>N스타일</span>");
				$("#young").html("<span>뷰티핫</span>");
				$("#pregnant").html("<span>TV히트</span>");
				$("#man").html("<span>백화점관</span>");
				$("#woman").parent().remove();
				$("#senior").parent().remove();
			}
			*/
			$("#baby").html("<span>N스타일</span>");
			$("#young").html("<span>뷰티핫</span>");
			$("#pregnant").html("<span>TV히트</span>");
			$("#man").html("<span>백화점관</span>");
			$("#woman").parent().remove();
			$("#senior").parent().remove();
			
			
			this.event.setTouchSlider();
		},
		
		onLoad : function() {
			this.data.setgiftViewDetail( CurrentView.giftMall );
			Ns.UI.startPushFullEvent( CurrentView.data.getgiftProduct );
		},
		
		data : {

			/*
			 *  페이지 구성 그리기
			 *	content : 가져올 매장 명
			 *
			*/
			setgiftViewDetail : function( content ){
				if (!mainCtrl.isOsApp()){	// 웹인경우만 실행
					// 자체로드로써 navigate에서 호출 할 수 없어 하드 코딩
					/* 20160607 hawoong12 - 광고중단으로인한 주석처리
					fn_withpang("wp_rf", {"inUrl" : content});	// 모비온 Withpang 리타겟팅 연동(공통)
					/* 20150911 정헌태 - 구현중 유료전환으로 인해 미사용
					fn_toast();	//  토스트익스체인지 리타겟팅 연동(공통)
					*/
				}
				
				CurrentView.data.getgiftBanner( content );
				CurrentView.data.getgiftProduct( content );
			},

			//espot으로 banner 정보 가져오기
			getgiftBanner : function( content ){
				var id = Const.getMarketingEspotId(content);
				var invoke = {
					espotInfo : id + "|Content"
				};

				tran.callWCSJsonTran( 'NSEspotCommon', invoke, CurrentView.ui.setgiftBanner );
			},

			//NSCategoryWrapper로 해당 상품 가져오기
			getgiftProduct : function( content ){
//				var categoryId = Const.getMarketingCategoryId(content);
				if( undefined == content ) content = CurrentView.giftMall;
				var invoke = {
					searchType : "search",
					pageSize : CurrentView.pageSize,
					currentPage : CurrentView.pageIdx,
					sortCriteria : CurrentView.sortCriteria,
					catalogId : Const.getMarketingCatalogId('gift'),
					categoryId : Const.getMarketingCategoryId(content)
				};

				if(CurrentView.currentPage != 1){
					CurrentView.pageIdx = CurrentView.currentPage;
					invoke.pageSize = CurrentView.currentPage * CurrentView.pageSize;
					invoke.currentPage = 1;
				}

				CurrentView.invokeParams = invoke;
				CurrentView.invokeParams.giftMall = CurrentView.giftMall;
				
				if(CurrentView.isFirst){
					tran.callPageLogging( navi.getPageId(), invoke );	//탭 관련 로그 남기기
				}
				Ns.UI.pageShortUrlLog( navi.getPageId(), CurrentView.invokeParams );
				tran.callWCSJsonTran( 'NSSearchCategoryWrapper', invoke, CurrentView.ui.setgiftProduct );
			},
			
			eventCategoryChange : function(){
				$("#baby").html("<span>식품/과일</span>");
				$("#young").html("<span>갈비/전복</span>");
				$("#pregnant").html("<span>홍삼/건강</span>");
				$("#man").html("<span>안마/가구</span>");
				$("#woman").html("<span>생활/가전</span>");
				$("#senior").html("<span>패션/뷰티</span>");
			},
		},
		
		//이벤트 관련 함수 정의
		event : {
			setTouchSlider : function() {
				CurrentView.tabSwiper = new Swiper('#hotdealCategory', {
					initialSlide: 0, 
					speed: 100,
					slidesPerView: 'auto',
					slideActiveClass: 'on',
					loop : false
				});
			},

			//탭 클릭 이벤트
			onclick_tabgiftTabArea : function(){
				var id = $(this).attr('id');

				$("#ulGiftTabArea li").removeClass("on");
				$("#ulGiftProductList").html("");
				$(this).parent().addClass( "on" );

				CurrentView.giftMall = id;
				CurrentView.sortCriteria = '';
				CurrentView.pageSize = 10;
				CurrentView.pageIdx = 1;
				CurrentView.currentPage = 1;
				CurrentView.data.setgiftViewDetail( id );
			},

			//상품 목록 디스플레이 형태(리스트형, 이미지형) 선택
			onclick_btnChangeView : function(){
				if ( $("#btnChangeView").hasClass("simple")) {
					$("#btnChangeView").removeClass("simple").addClass("detail");
					$("#ulGiftProductList").removeClass("detail").addClass("simple");
				} else {
					$("#btnChangeView").removeClass("detail").addClass("simple");
					$("#ulGiftProductList").removeClass("simple").addClass("detail");
				}
			},
			
			//조회 방법 선택. 
			onclick_itemClass : function() {
				var type = $(this).attr("sort-code");
				$("#itemClass").removeClass( "active" );
				$(".item-sort a").removeClass( "active" );
				
				if( CurrentView.sortCriteria == type ) return;
				
				CurrentView.pushFullEvent = true;
				CurrentView.sortCriteria = type;
				CurrentView.pageIdx = 1;
				CurrentView.totalCount = 0;
				
				$("#ulGiftProductList").html("");
				$("#txtSortName").html( $(this).text() );
				
				CurrentView.data.getgiftProduct( CurrentView.giftMall ); //상품목록 조회..
			},
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {

			setgiftBanner : function( data ){
				//tab css 적용
				$("#ulGiftTabArea li").removeClass("on");
				$("#"+CurrentView.giftMall).parent().addClass( "on" );

				//배너이미지 체크
				var bannerImage = "";
				var espotId = Const.getMarketingEspotId(CurrentView.giftMall);

				if(data.msg && data.msg.root && data.msg.root["_"+espotId]){
					var items = data.msg.root["_"+espotId];
					var currentPage = $("#"+CurrentView.giftMall).text();
					//해당 배너이미지 가져오기
					for(var i=0; i<items.length;i++){
						var target = items[i].marketingText;
						if( currentPage == target){
							CurrentView.p_espotid = items[i].espotId;
							CurrentView.p_bannerid = items[i].contentsId;
							bannerImage += Ns.Util.stringFormat('<img src=\'{0}\' style="width:100%;" \>','http:'+items[i].imgUrl);
							break;
						}
					}
				}
				
				//배너이미지 적용
				if ( bannerImage != '' ) {
					$("#divBannerImageArea").show();
					$("#divHtmlContent").html( bannerImage );
					setTimeout(function(){
						var width = $("#divHtmlContent").width();
						var contentsWidth = $("#divHtmlContent").find('img').width();
						if(contentsWidth >= width){
							$("#divHtmlContent").find('img').css("width","100%");
						}
					},500);
				} else {
					$("#divBannerImageArea").hide();
				}
			},

			setgiftProduct : function( data ){
				var productList  = data.msg.root.ProductList; 								
				var sortType	 = data.msg.root.SortType;
				CurrentView.totalCount = data.msg.root.TotalCount;
				CurrentView.isFirst = true;
				$(".item-panel").show();
				
				if ( !Ns.Util.isNull(sortType) ) {
					CurrentView.sortCriteria = sortType;
					$('#txtSortName').text( Ns.Util.getSortCriteriaName(sortType) );
				}else{
					CurrentView.sortCriteria = sortType;
					$('#txtSortName').text( Ns.Util.getSortCriteriaName(sortType) );
				}
				
				if( Ns.Util.isNull( productList ) && productList.length == 0 ) {
					if ( CurrentView.pageIdx == 1 ) {
						var msg = Ns.Util.isNull( CurrentView.categoryNm ) ? "상품이 없습니다." : CurrentView.categoryNm + '에 속한 상품이 없습니다.';
						var htmlTxt = mainCtrl.getNoResultDataHtml( msg );
						$("#ulGiftProductList").html( htmlTxt );
					}
					
					return false;
				}
				
				CurrentView.pushFullEvent = false;
				mainCtrl.setPageHistoryUpdate( CurrentView.invokeParams );

				var resHtml = Ns.UI.productList(productList,
						Const.getMarketingCatalogId('gift'),
						Const.getMarketingCategoryId(CurrentView.giftMall),
						CurrentView.p_espotid, CurrentView.p_bannerid);
				
				$("#ulGiftProductList").append(resHtml);
				Ns.UI.productListAreaEventInit("#ulGiftProductList");
			},
		}
		//end ui function...
};