
/* JavaScript content from js/marketing/M_G5610000M.js in folder common */

/* 
 *	페이지 ID : M_G5610000M
 *  1. 공동구매
 *  
 *  
*/

CurrentView = {
		selectedCategoryId : null,
		
		myCoBuyId : [],  //나의 공동구매 상품 key
		myNoCoBuyId : [],  //나의 공동구매 상품 key가 아닌것
		coBuyId : null,  //공동구매 상품 key
		
		goodsMyEndTime : [],
		goodsEndTime : [],
		
		selIndex : -1,
		toggleIndex : -1,
		
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		initializeComponent : function( params ) {
			this.data.setDefaultCategoryId( params.categoryId );
			
			$("#divCategoryTabArea p").unbind().bind( "click", this.event.onclick_divCategoryTabArea );
		},
		
		onLoad : function(params) {
			// 로그인 했을 때와 로그인 안 했을 때 API 호출 구분
			var isLogon = mainCtrl.checkLogonStatus();
			if ( !isLogon ) {
				this.data.getPurchaseSalesInfo();
			} else {
				this.data.getMyGroupPurchaseSalesInfo(); //나의 공동 구매 coBuyId 값을 가져 오기 위해 호출
			}			
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {		
			// 공동구매 - Owner 정보 로그인 했을 때 데이터 값.
			groupPurchaseLoginOwnerInfo : function( coBuyId ) {
				var html_owner = "";
				CurrentView.coBuyId = coBuyId;
				var params = {};
				
				params.coBuyId = coBuyId;
				params.usersId = USERINFO.userId();
				params.pageId = 1;
				tran.callWCSJsonTran( 'GroupPurchaseInfoReal', params, function( data ) {
					var productBean = data.msg.GroupPurchases.productBean;

					for( var i=0; i<productBean.length; i++ ) {
						var items = productBean[i];
						var usersId = items.usersId;
						var imgUrl = Const.WCS_IMAGE_CUST_SRV + items.ownerAttchUrl + items.ownerFileNm;
						var noImgUrl = Const.NO_IMAGE_URL + 'noimage_O.jpg';
						var saleQty = Ns.Util.insertCommas( items.saleQty );
						var tgtQty = Ns.Util.insertCommas( items.tgtQty );

						var graphValue = "";
						graphValue = eval((saleQty/tgtQty)*100);

						if ( usersId == USERINFO.userId() ) {
							html_owner += Ns.Util.stringFormat('\
									<div class="my-infor">\
										<img src="{0}" onerror="this.onerror=null;this.src=\'{1}\'" width="48px" height="48px" class="image" alt="Owner이미지" />\
										<div class="sell-infor">\
											<span class="name">나의 판매현황</span>\
											<strong class="sell-num"><em>{2}</em>개 판매</strong>\
											<span class="sell-percent"><em style="width:{3}%;">{4}</em></span>\
											<em class="total">전체 <strong>{5}</strong>개</em>\
										</div>\
									</div>\
									<div class="button-area content-fixed">\
										<span><a class="btn theme-a rate-c x-small" href="javascript:CurrentView.event.onclick_groupPurchasePromote(\'{6}\');"><span>상품홍보하기</span></a></span>\
									</div>',
								imgUrl, noImgUrl, saleQty, graphValue, saleQty, tgtQty, CurrentView.coBuyId );
						}
					}
					
					var idx = CurrentView.selIndex;
					var objName_divMyInfo = "#divMyInfo" + idx;
					$( objName_divMyInfo ).html( html_owner );
					
				}, null, function() {}, true );
			},
			
			getMyGroupPurchaseSalesInfo : function( ) {
				var params = {};
				
				params.userId = USERINFO.userId();
				tran.callWCSJsonTran( 'MyGroupPurchaseSalesReal', params, CurrentView.ui.resultMyGroupPurchaseSalesInfo );
			},
			
			getPurchaseSalesInfo : function( ) {	
				var params = {};
				params.userId = USERINFO.userId();
				params.catgrpId = CurrentView.selectedCategoryId;
				tran.callWCSJsonTran( 'GroupPurchaseReal', params, CurrentView.ui.resultGroupPurchaseSalesInfo );
			},
			
			/**
			 *  이전 페이지에서 넘어온 카테고리ID를 저장하고, 탭 영역의 UI를 재설정한다. 
			 *  
			 *  cetegoryId : 카테고리ID
			 */
			setDefaultCategoryId : function( categoryId ) {
				if( categoryId==undefined || categoryId == null || categoryId == "" || categoryId == "GroupPurchase" ) 
					CurrentView.selectedCategoryId = TOP_CAT_IDs.FnB;
				else 
					CurrentView.selectedCategoryId = categoryId;
				
				CurrentView.ui.setCategoryTab( CurrentView.selectedCategoryId ); //메인 탭 설정. 
			}
		},
		
		//ui interaction 관련 함수 정의 
		ui : {
			//나의 공동구매 : coBuyId 값을 => myCoBuyId 담는다.
			resultMyGroupPurchaseSalesInfo : function( data ) {
				var html_sale = "";
				var html_sold = "";
				
				var saleList = data.msg.root.SaleProducts;
				if( saleList == null || saleList == "") {
					CurrentView.data.getPurchaseSalesInfo(); // coBuyId없으면 공동구매 API 호출 함
					return;
				}
				
				CurrentView.ui.makeSalesCoBuyId( saleList );
			},
			
			//나의 공동구매 관련  coBuyId 값을 얻는다.
			makeSalesCoBuyId : function( saleList ) {
				for( var i=0; i<saleList.length; i++ ) {
					var items = saleList[i];
					var coBuyId = items.coBuyId;
					CurrentView.myCoBuyId.push( coBuyId );
				}
				
				CurrentView.data.getPurchaseSalesInfo(); // 나의 공동구매 관련 API가 호출 된후에 공동 구매 관련 API 호출
			},	
			
			/**
			 * 메인 탭 영역을 설정한다.(Fashion & Beauty, Home & Life, Food & Health
			 * 
			 * categoryId : 카테고리 ID
			 */
			setCategoryTab : function( categoryId ) {
				
				var TITLEs = {
					FnB : "패션&뷰티",
					FnH : "푸드&헬스",
					HnL : "홈&라이프"
				};
				
				var liObj = $("#divCategoryTabArea p");
				var title = "";
				
				liObj.eq(0).removeClass("hl fb fh");
				liObj.eq(1).removeClass("hl fb fh");
				liObj.eq(2).removeClass("hl fb fh");

				if( categoryId == TOP_CAT_IDs.FnB ) {
					liObj.eq(0).attr("categoryId", TOP_CAT_IDs.HnL ); //왼쪽 탭 설정
					liObj.eq(2).attr("categoryId", TOP_CAT_IDs.FnH ); //오른쪽 탭 설정
					
					liObj.eq(0).html( TITLEs.HnL );
					liObj.eq(2).html( TITLEs.FnH );
					
					title = TITLEs.FnB;
					
					liObj.eq(0).addClass("hl");
					liObj.eq(1).addClass("fb");
					liObj.eq(2).addClass("fh");

				} else if( categoryId == TOP_CAT_IDs.FnH ) {
					liObj.eq(0).attr("categoryId", TOP_CAT_IDs.FnB );
					liObj.eq(2).attr("categoryId", TOP_CAT_IDs.HnL );
					
					liObj.eq(0).html( TITLEs.FnB );
					liObj.eq(2).html( TITLEs.HnL );
					
					title = TITLEs.FnH;
					
					liObj.eq(0).addClass("fb");
					liObj.eq(1).addClass("fh");
					liObj.eq(2).addClass("hl");

				} else if( categoryId == TOP_CAT_IDs.HnL ) {
					liObj.eq(0).attr("categoryId", TOP_CAT_IDs.FnH );
					liObj.eq(2).attr("categoryId", TOP_CAT_IDs.FnB );
					
					liObj.eq(0).html( TITLEs.FnH );
					liObj.eq(2).html( TITLEs.FnB );
					
					title = TITLEs.HnL;
					
					liObj.eq(0).addClass("fh");
					liObj.eq(1).addClass("hl");
					liObj.eq(2).addClass("fb");

				} else {
					return false;
				}
				
				//메인 탭 영역 설정. 
				liObj.eq(1).attr("categoryId", categoryId ); //중심이 되는 탭(가운데 탭) 설정.
				liObj.eq(1).html( title );
				//HEADER.setSubHeaderTtile( title );
			},
			
			resultGroupPurchaseSalesInfo : function( data ) {
				var html = "";

				var productList = data.msg.GroupPurchases.productList;
				if( productList == null || productList == "") {
					html = mainCtrl.getNoResultDataHtml( "공동구매 상품이 없습니다." );
					$("#ulNomalProducts").html( html );
					return false;
				}
				
				//var html = CurrentView.ui.makeGroupPurchaseSalesHtml( productList );
				//$("#ulNomalProducts").html( html );
				CurrentView.ui.makeGroupPurchaseSalesLength( productList );
				CurrentView.ui.makeGroupPurchaseSalesHtml( productList );
				//$("#ulNomalProducts").html( html );				
			},

			resultGroupPurchaseOwnerInfo : function( data ) {
				var html = "";

				var groupPurchases = data.msg.GroupPurchases;

				CurrentView.ui.makeGroupPurchaseOwnerHtml( groupPurchases );
				//$("#divProductsOwnerInfo").html( html );

			},
			
			setRemainTime : function( ) {
				mainCtrl.checkTimerObject(); //destory timer
				mainCtrl.m_timer = setInterval(CurrentView.ui.ontimer, 1000*60);
			},
			
	        ontimer : function() {
	            var setRemainedMyTime = function( objName ) {
	            	var goodsMyEndTime = CurrentView.goodsMyEndTime;
	            	for ( var i=0; i<goodsMyEndTime.length;i++) {
	            		var htmlTxt = Ns.Date.getPeriodDate(goodsMyEndTime[i], "htmlFormat");
			            $( objName ).eq(i).find( "p#dDayMyArea" ).html( htmlTxt );
			        } //end for loop
	            };
	            setRemainedMyTime( "ul#ulMyProducts li" );  //나의 구매 정보가 있을 때 시간 체크
	            
	            var setRemainedTime = function( objName ) {
	            	var goodsEndTime = CurrentView.goodsEndTime;
	            	for ( var k=0; k<goodsEndTime.length;k++) {
	            		var htmlTxt = Ns.Date.getPeriodDate(goodsEndTime[k], "htmlFormat");
			            $( objName ).eq(k).find( "p#dDayArea" ).html( htmlTxt );
			        } //end for loop
	            };	            
	            setRemainedTime( "ul#ulNomalProducts li" );
	        },			
			
			getRemainedMyTime : function( endTime, gubunValue ) {
				var nRemainedTime = Ns.Date.getPeriodDate(endTime, gubunValue);
				CurrentView.goodsMyEndTime.push( endTime );
				return nRemainedTime;
	        },
	        
			getRemainedTime : function( endTime, gubunValue ) {
				var nRemainedTime = Ns.Date.getPeriodDate(endTime, gubunValue);
				CurrentView.goodsEndTime.push( endTime );
				return nRemainedTime;
	        },
	        
	        makeGroupPurchaseSalesLength : function( productList ) {   
	        	var myCoBuyId = CurrentView.myCoBuyId;
	        	var myNoCoBuyId = CurrentView.myNoCoBuyId;
	        	for (var i=0; i<productList.length; i++) {
	        		var items = productList[i].commonData;
	        		var coBuyId = items.coBuyId;	        		

	        		var nFlag = "N";
	        		for (var z=0; z<myCoBuyId.length; z++) { 
	        			if (coBuyId == myCoBuyId[z]) { 
	        				nFlag = "Y"; 
	        				break; 
	        			} 
	        		} 

	        		if (nFlag != "Y") { 
	        			CurrentView.myNoCoBuyId.push( coBuyId );
	        		} 
	        	} 	    				
	        },
	        
			//조회 결과값을 가지고 나의 판매현황 판매중인 상품 html을 생성한다. 
	        makeGroupPurchaseSalesHtml : function( productList ) {
				var html_owner = "";
				var html_nomal = "";
				
				var myCoBuyId = CurrentView.myCoBuyId;
				var myNoCoBuyId = CurrentView.myNoCoBuyId;
				for( var i=0; i<productList.length; i++ ) {
					var items = productList[i].commonData;
					
					var saleRateTag = "";
					var saleRate = items.saleRate;
					if( saleRate != 0 ) saleRateTag = '<span class="tag item-event discount"><strong>'+saleRate+'</strong><span class="unit">%</span></span>';
					
					var salePriceTag = "";
					var salePrice = Ns.Util.insertCommas( items.pricedcprice );
					if( salePrice != null ) salePriceTag = '<span class="price-selling"><strong class="head">알뜰할인가</strong> <ins class="text"><strong>'+salePrice+'</strong><span class="unit">원</span></ins></span>';
					
					var offerPriceTag = "";
					var offerPrice = Ns.Util.insertCommas( items.priceofferprice );
					if( salePrice != null )
						offerPriceTag = '<span class="price-default"><strong class="head">판매가</strong> <del class="text"><strong>'+offerPrice+'</strong><span class="unit">원</span></del></span>';
					else
						offerPriceTag = '<span class="price-default"><strong class="head">판매가</strong> <ins class="text"><strong>'+offerPrice+'</strong><span class="unit">원</span></del></span>';
					
					// 오늘날짜와 입력한 날짜  사이의 기간 구함
					//var dateHtml = CurrentView.ui.getRemainedTime( productList[i].schdEndDate, "htmlFormat" );
					var dateHtml = "";
					
					var imageLink = Ns.Util.getImageUrl(String(items.partNumber), "P");
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_P.jpg';
					var brandName = items.brand_kor_nm;
					var goodsName = items.itncatentrynm;
					goodsName = (brandName && brandName != '미정의' ? "[" + brandName + "]" : "") + goodsName;
					
					var saleQty = Ns.Util.insertCommas( productList[i].saleQty );
					var coBuyId = items.coBuyId;
					
					//<span class="selling_num">현재판매수량:<strong>{7}</strong>개</span>\  => 현재판매수량:<strong>{7}</strong>개 삭제 : 요청
					var isLogon = mainCtrl.checkLogonStatus();
					if ( isLogon && myCoBuyId != null && myCoBuyId.length != 0) {
						for( var k=0; k<myCoBuyId.length; k++ ) {
							if( coBuyId == myCoBuyId[k] ) {
								
								$("#selMyProducts").show();
								
								html_owner +=	Ns.Util.stringFormat('\
										<li class="items">\
											<div class="wrap">\
												<div class="thumbnail">\
													<a href="javascript:CurrentView.event.onclick_btnGroupGoodDetails(\'{0}\');"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지" /></a>\
													{3}\
												</div>\
												<div class="field">\
													<p class="title"><a href="javascript:CurrentView.event.onclick_btnGroupGoodDetails(\'{6}\');"><strong>{7}</strong></a></p>\
													<div class="data-info">\
														<p class="price">\
															{8}\
															{9}\
														</p>\
														<p class="product_num">\
															<span class="selling_num"></span>\
														</p>\
													</div>\
												</div>\
											</div>\
											<div class="option-order2">\
												<p class="d_date" id="dDayMyArea">\
													{10}\
												</p>\
												<span class="text">\
													<span class="info_dateing">{11}~{12}</span>\
												</span>\
												<map name="">\
													<area shape="" href="" coords="" alt="">\
												</map>\
											</div>\
											<section class="accordion theme-a sales_info" id="ulNomalProductsInfo">\
											<h1><a class="ui-base-toggle" href="javascript:CurrentView.event.onclick_groupPurchaseOwnerInfo(\'{13}\',\'{14}\');">판매정보</a></h1>\
											<div class="content ui-base-target" id="uiBaseToggle{15}">\
												<div>\
													<div class="wrap-box" id="divProductsOwnerInfo">\
														<div class="my-promote" id="divMyInfo{16}">\
														</div>\
														<ul class="owner" id="divOwnerInfo{17}">\
														</ul>\
														<div class="sell-list" id="divBenefitInfo{18}">\
														</div>\
													</div>\
												</div>\
											</div>\
											</section>\
										</li>',
										items.partNumber, imageLink, noImageUrl, saleRateTag, 
										items.catentryId, goodsName,
										items.partNumber, goodsName, 
										offerPriceTag, salePriceTag,
										CurrentView.ui.getRemainedMyTime( productList[i].schdEndDate, "htmlFormat" ), 
										productList[i].frDate, 
										productList[i].schdEndDate, i, items.coBuyId, i , i, i, i);
							}
						}
						
						for( var k=0; k<myNoCoBuyId.length; k++ ) {
							if( coBuyId == myNoCoBuyId[k] ) {
								html_nomal +=	Ns.Util.stringFormat('\
										<li class="items">\
											<div class="wrap">\
												<div class="thumbnail">\
													<a href="javascript:CurrentView.event.onclick_btnGroupGoodDetails(\'{0}\');"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지" /></a>\
													{3}\
												</div>\
												<div class="field">\
													<p class="title"><a href="javascript:CurrentView.event.onclick_btnGroupGoodDetails(\'{6}\');"><strong>{7}</strong></a></p>\
													<div class="data-info">\
														<p class="price">\
															{8}\
															{9}\
														</p>\
														<p class="product_num">\
															<span class="selling_num"></span>\
														</p>\
													</div>\
												</div>\
											</div>\
											<div class="option-order2">\
												<p class="d_date" id="dDayArea">\
													{10}\
												</p>\
												<span class="text">\
													<span class="info_dateing">{11}~{12}</span>\
												</span>\
												<map name="">\
													<area shape="" href="" coords="" alt="">\
												</map>\
											</div>\
											<section class="accordion theme-a sales_info" id="ulNomalProductsInfo">\
											<h1><a class="ui-base-toggle" href="javascript:CurrentView.event.onclick_groupPurchaseOwnerInfo(\'{13}\',\'{14}\');">판매정보</a></h1>\
											<div class="content ui-base-target" id="uiBaseToggle{15}">\
												<div>\
													<div class="wrap-box" id="divProductsOwnerInfo">\
														<div class="my-promote" id="divMyInfo{16}">\
														</div>\
														<ul class="owner" id="divOwnerInfo{17}">\
														</ul>\
														<div class="sell-list" id="divBenefitInfo{18}">\
														</div>\
													</div>\
												</div>\
											</div>\
											</section>\
										</li>',
										items.partNumber, imageLink, noImageUrl, saleRateTag,
										items.catentryId, goodsName, 
										items.partNumber, goodsName, 
										offerPriceTag, salePriceTag,
										CurrentView.ui.getRemainedTime( productList[i].schdEndDate, "htmlFormat" ), 
										productList[i].frDate, 
										productList[i].schdEndDate, i, items.coBuyId, i , i, i, i);
							}
						}
						//CurrentView.myCoBuyId = [];
						CurrentView.myNoCoBuyId = [];
					} else {
						$("#selMyProducts").hide();
						
						dateHtml = CurrentView.ui.getRemainedTime( productList[i].schdEndDate, "htmlFormat" );
						
						html_nomal +=	Ns.Util.stringFormat('\
								<li class="items">\
									<div class="wrap">\
										<div class="thumbnail">\
											<a href="javascript:CurrentView.event.onclick_btnGroupGoodDetails(\'{0}\');"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지" /></a>\
											{3}\
										</div>\
										<div class="field">\
											<p class="title"><a href="javascript:CurrentView.event.onclick_btnGroupGoodDetails(\'{6}\');"><strong>{7}</strong></a></p>\
											<div class="data-info">\
												<p class="price">\
													{8}\
													{9}\
												</p>\
												<p class="product_num">\
													<span class="selling_num"></span>\
												</p>\
											</div>\
										</div>\
									</div>\
									<div class="option-order2">\
										<p class="d_date" id="dDayArea">\
											{10}\
										</p>\
										<span class="text">\
											<span class="info_dateing">{11}~{12}</span>\
										</span>\
										<map name="">\
											<area shape="" href="" coords="" alt="">\
										</map>\
									</div>\
									<section class="accordion theme-a sales_info" id="ulNomalProductsInfo">\
									<h1><a class="ui-base-toggle" href="javascript:CurrentView.event.onclick_groupPurchaseOwnerInfo(\'{13}\',\'{14}\');">판매정보</a></h1>\
									<div class="content ui-base-target" id="uiBaseToggle{15}">\
										<div>\
											<div class="wrap-box" id="divProductsOwnerInfo">\
												<div class="my-promote" id="divMyInfo{16}">\
												</div>\
												<ul class="owner" id="divOwnerInfo{17}">\
												</ul>\
												<div class="sell-list" id="divBenefitInfo{18}">\
												</div>\
											</div>\
										</div>\
									</div>\
									</section>\
								</li>',
								items.partNumber, imageLink, noImageUrl, saleRateTag,
								items.catentryId, goodsName, 
								items.partNumber, goodsName, 
								offerPriceTag, salePriceTag,
								dateHtml, productList[i].frDate, 
								productList[i].schdEndDate, i, items.coBuyId, i , i, i, i);
					}
				}
				CurrentView.ui.setRemainTime();

				$("#ulMyProducts").html( html_owner );
				$("#ulNomalProducts").html( html_nomal );	
				
				//return html;
			},		 

			makeGroupPurchaseOwnerHtml : function( groupPurchases ) {
				var html = "";
				
				var ownerSaleRankList = groupPurchases.ownerSaleRankList;
				var benefitList = groupPurchases.benefitList;
				var productBean = groupPurchases.productBean;
				
				CurrentView.ui.makeGroupOwnerRankHtml( productBean, ownerSaleRankList, benefitList );
			},
			
			makeGroupOwnerRankHtml : function( productBean, ownerSaleRankList, benefitList ) {
				var html_owner = "";
				var html_nomal = "";
				var html_benefit = "";
				var html = "";

				if ( ownerSaleRankList == null || ownerSaleRankList == "" || ownerSaleRankList.length==0  ) {
					html_nomal = mainCtrl.getNoResultDataHtml( "이 상품에서 첫 번째 Owner가 되어 보세요!" );
				} else {
					
					if ( USERINFO.userId() != "" ) {
						CurrentView.data.groupPurchaseLoginOwnerInfo( CurrentView.coBuyId ); // 공동구매 로그인한 상품 Owner 정보 셋팅
					}
					
					for( var i=0; i<ownerSaleRankList.length; i++ ) {
						var items = ownerSaleRankList[i];
						var logOnId = items.logOnId;
						var usersId = items.usersId;
						var imgUrl = Const.WCS_IMAGE_CUST_SRV + items.attchUrl + items.fileNm;
						var noImgUrl = Const.NO_IMAGE_URL + 'noimage_O.jpg';
						var saleQty = Ns.Util.insertCommas( items.saleQty );
						var tgtQty = Ns.Util.insertCommas( items.tgtQty );

						var graphValue = "";
						graphValue = eval((saleQty/tgtQty)*100);

						var rank = i+1;
						var rankImg = '<img src="./images/groupPurchase/ranking_num'+ rank +'.png" onerror="this.onerror=null;this.src=\''+noImgUrl+ '\'" alt="Rank이미지">';
						//var rankImg = '<img src="' + rankImg + '" onerror="this.onerror=null;this.src=\''+noImgUrl+ '\'" alt="Rank이미지" />';

						html_nomal += Ns.Util.stringFormat('\
								<li>\
									<span class="ranking">{0}</span>\
									<img src="{1}" class="image" onerror="this.onerror=null;this.src=\'{2}\'" width="48px" height="48px" alt="Owner이미지">\
									<div class="sell-infor">\
										<span class="name">{3}</span>\
										<strong class="sell-num"><em>{4}</em>개 판매</strong>\
										<span class="sell-percent"><em style="width:{5}%;">{6}</em></span>\
										<em class="total">전체 <strong>{7}</strong>개</em>\
									</div>\
								</li>',
								rankImg, imgUrl, noImgUrl, logOnId, saleQty, graphValue, saleQty, tgtQty );
					}
				}

				var benefit_table = "";
				for( var z=0; z<benefitList.length; z++ ) {
					var items = benefitList[z];
					var benefitNm = items.benefitNm;
					var benefitAmt = Ns.Util.insertCommas( items.benefitAmt );
					benefitNm = benefitNm + ' ' + benefitAmt;
					var ownerCnt = Ns.Util.insertCommas( items.ownerCnt );
					benefit_table += Ns.Util.stringFormat('\
						<tr>\
							<td>{0}ea</th>\
							<td>{1}</td>\
							<td>{2}명</td>\
						</tr>', items.tgtQty, benefitNm, ownerCnt);
				}
				
				html_benefit += Ns.Util.stringFormat('\
					<table class="data-table theme-c content-center">\
						<caption>데이타 표</caption>\
						<colgroup>\
							<col width="" />\
							<col width="" />\
							<col width="" />\
						</colgroup>\
						<thead>\
							<tr>\
								<th scope="col" colspan="3">{0}~{1} / Owner {2}명 등록</th>\
							</tr>\
							<tr>\
								<th scope="col">목표수량</th>\
								<th scope="col">보상</th>\
								<th scope="col">도전자 현황</th>\
							</tr>\
						</thead>\
						<tbody>\
							{3}\
						</tbody>\
					</table>', productBean.frDate, productBean.schdEndDate, productBean.ownerCnt, benefit_table);

				var idx = CurrentView.selIndex;
				var objName_divOwnerInfo = "#divOwnerInfo" + idx;
				var objName_divBenefitInfo = "#divBenefitInfo" + idx;

				$( objName_divOwnerInfo ).html( html_nomal );
				$( objName_divBenefitInfo ).html( html_benefit );	

				CurrentView.toggleIndex = CurrentView.selIndex;
				$("#uiBaseToggle" + CurrentView.selIndex).toggleClass( "active" );
				
			},
			
			makeGroupOwnerBenefitHtml : function( benefitList ) {
				var html = "";

				for( var i=0; i<benefitList.length; i++ ) {
					var items = benefitList[i];
				}
				
				return html;
			}	
			
			
		},
		//end ui function...
		
		//이벤트 관련 함수 정의
		event : {
			onclick_divCategoryTabArea : function() {
				var categoryId = $(this).attr("categoryId"); 
				var idx = $(this).index();
				if( idx == 1) return; //좌, 우 탭이 아닌 경우 패스
				
				CurrentView.selectedCategoryId = categoryId;
				mainCtrl.setCurrentPageParams( { 'categoryId' : categoryId } ); //
				CurrentView.ui.setCategoryTab( categoryId ); //탭 변경, 가운데 메인 탭에 선택된 카테고리를 설정한다. 
				CurrentView.data.getPurchaseSalesInfo(); //선택한 카테고리에 따른 데이터 조회
				
				$("#selMyProducts").hide();  // 나의 판패상품 영역 숨김
			},
			
			// 해당 상품의 상세보기 화면으로 이동
			onclick_btnGroupGoodDetails : function( partNumber ) {
				var param = {};
				param.partNumber = partNumber;

//				mainCtrl.navigate( "M_G2600000M", param );
				Ns.Popup.showLayerPage("M_G2600000M", params);
			},

			// Owner 일반정보
			onclick_groupPurchaseOwnerInfo : function( idx, coBuyId ) {
				CurrentView.coBuyId = coBuyId;
				CurrentView.selIndex = idx;
				$("#uiBaseToggle" + CurrentView.toggleIndex).removeClass( "active" );

				if ( CurrentView.toggleIndex == idx ) {
					CurrentView.toggleIndex = -1;	
					return false;
				}
				
				var params = {};

				params.coBuyId = coBuyId;
				tran.callWCSJsonTran( 'GroupPurchaseInfoReal', params, CurrentView.ui.resultGroupPurchaseOwnerInfo );
			},
			
			// 상품 홍보 하기
			onclick_groupPurchasePromote : function( coBuyId ) {
				var param = {};
				param.coBuyId = coBuyId;				
				mainCtrl.navigate( "M_G5612000M", param ); 
			},
			
			onclick_collection : function( catentryId, productName ) {
				var isLogon = mainCtrl.checkLogonStatus();
				if( !isLogon ) {
					mainCtrl.gotoLogin();
					return;
				}
				
				var params ={};
				params.catentryId = catentryId;
				params.productName = productName;
				Ns.Popup.showPopup('M_G261C000L', params);
			}			
		}, 
		//end event function		
};

	
