
/* JavaScript content from js/marketing/M_G5710001M.js in folder common */
/* 
 *	페이지 ID : M_G5710001M  
 *  개편 핫딜 메인
 *  M_G5710000M.js 참조
 *  
 */

CurrentView = {

	// Ssong
	unitTitle : {},							// 상품리스트 카운팅을 위한 객체
	$unitTitle : "", 						// 상품리스트 타이틀영역
	$floatingTitle : "", 					// 플로팅 카운터
	
	totalCateLength : 0,					// 페이지 카테고리 수
	currnetCate : 1,						// 현재 노출 된 카테고리 수

	PARTNUMBER : null,
	REMAINING_TIME : null,

	nTabIndex : 0,

	THIS_PARAMS : null, // navi param 임시적재

	pageSize : 20, // 베스트상품 조회 수량
	pageIdx : 1, // 베스트상품 페이징 인덱스
	totalCount : 0, // 베스트상품 총 수량
	pushFullEvent : true, // 베스트 상품 페이징 관련

	bTwoPushFull : false, // 베너형 상품의 조회가 끝나면 true
	bTvLiveQuery : false, // tv방송상품 조회여부

	bMenuBannerZero : false, // 베너 영역 미출력 여부(true: 미출력됨)
	bMenuBannerItemZero : false, // 베너형상품 영역 미출력 여부(true: 미출력됨)
	bMenuTvZero : false, // 방송상품 관련 플래그 (true : 노출가능한 방송상품 없음)

	VIDEO_WIDTH : 0, // 생방송 가로
	VIDEO_HEIGHT : 0, // 생방송 세로
	isRefresh : false,
	categoryId : "",
	isPlay : true,
	clickFlag : '',		//푸쉬 수신동의 팝업 선택 플래그값

	init : function(params) {
		this.initializeComponent(params);
		
		CurrentView.onLoad();
	},
	initializeComponent : function(params) {

		CurrentView.THIS_PARAMS = params || {};
		// 20160616 해피딜 = tv매장 생방송 동일화 hawoong12
		CurrentView.VIDEO_WIDTH = $('#mainItem').width();
		CurrentView.VIDEO_HEIGHT = CurrentView.VIDEO_WIDTH / 16 * 8;

		// 2016-08-01 생방송 관련 이벤트 제외 처리
		// 적립금신청, 편성표, NS Talk
		//$('#sectionETVTabsArea ul li a').unbind().bind('click',	this.event.onclick_liveTVMenu); 
		
		//Ssong 2016-07-14 해당 매장페이지 이동
		$("#shop_catelink_tab_wrap li").off("click").on("click",function(e) {CurrentView.event.onclick_cateLink(this);});
		$("[name=prodListAera] .happydealTitle").off("click").on("click", function(e){CurrentView.event.onclick_cateLink(this);});
		
		$(document).off("onNumbering").on("onNumbering",function(e){
			$(document).off("scroll.happy").on("scroll.happy", CurrentView.util.throttle(CurrentView.event.onscroll_floating , 100));
			Ns.UI.setScrollPage(CurrentView.data.call_NSHappyDealMainProd);
		});
		
		//$("#btnBanner").unbind().bind("click", this.event.onclick_btnBanner);
	
	},
	onLoad : function() {
		
		//Ssong 페이지 총 카테고리수 초기화
		CurrentView.totalCateLength = $(".prodListAera").length;
		
		// Ssong 플로팅 관련 초기화..
		CurrentView.$unitTitle = $(".unit-title"), 			// 상품리스트 타이틀영역
		CurrentView.$floatingTitle = $(".floating-title"), 	// 플로팅 카운터
		CurrentView.ui.initFoatingTitle();

		// 통합 API 호출 START
		var invokeParams = new Object();

		var hisIdx = navi.getPointerIndex(); // Ssong 현 포인트의 위치(index)를 리턴한다.

		//2016-08-01
		/*if (navi.objNaviData.pageIds[hisIdx] == "M_G5710000M_n"){
			navi.objNaviData.pageIds[hisIdx] = "M_G5710000M";
			PAGE.main = "M_G5710000M";
			$("#btnPreview").hide();
			$("#skipAside").show().removeClass("btn ico cate left").addClass("btn ico cate");
		}*/
		
		mainCtrl.bVideoplay = false;

		// Ssong main commend 호출
		invokeParams.selectDay = Ns.Date.calcDate('', 0, 0, 0, 0, 'yyyyMMdd');
		invokeParams.catalogId = "78501"; // 모바일쇼핑몰. 고정
		invokeParams.schType = "RepView"
		invokeParams.pageSize = CurrentView.pageSize;
		invokeParams.page = CurrentView.pageIdx;
		invokeParams.espotInfo = "HAPPY_MAIN_THEMETITLE|Content$HAPPY_MAIN_SECONDWIDEBANNER|Content$MOB_HAPPY_MAIN_WIDEBANNER|Content";

		tran.callWCSJsonTran('NSMobHappyDealMainView', invokeParams,CurrentView.ui.mainDraw, null, function() {}, true);

		// 2016-08-01 생방송 관련 이벤트 제외 처리
		//this.util.initEvent(); // 20160616 해피딜 = tv매장 생방송 동일화 hawoong12
		
		/**
		 * 2016-11-04 정승진 : 패밀리앱 배너 노출유무(2.9.1 이하버전 미노출)
		 * 
		if (mainCtrl.isOsApp()) {
			var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
			if (parseInt(version) < 291)
				$("#btnBanner").hide();
		}
		*/
	},

	data : {
		getNextData : function(data) { // 공통API 호출용으로 data 추가

			CurrentView.data.call_NSHappyDealMainProd(data);	// 카테고리 상품
			CurrentView.data.call_todayTheme(data); 			// 오늘의 테마
			CurrentView.data.call_NSEspotCommon(data); 			// 플리킹 배너

		},
		
		//TV 홈쇼핑 라이브 정보 데이터를 조회한다. 
		getTVHShoppingLive : function() {
			var invokeParams = {};
			
			CurrentView.currnetCate = 1;

			invokeParams.selectDay = Ns.Date.calcDate('', 0, 0, 0, 0, 'yyyyMMdd');
			invokeParams.catalogId = "78501"; // 모바일쇼핑몰. 고정
			invokeParams.schType = "RepView"
			invokeParams.pageSize = CurrentView.pageSize;
			invokeParams.page = CurrentView.pageIdx;
			invokeParams.espotInfo = "HAPPY_MAIN_THEMETITLE|Content$HAPPY_MAIN_SECONDWIDEBANNER|Content$MOB_HAPPY_MAIN_WIDEBANNER|Content";

			tran.callWCSJsonTran('NSMobHappyDealMainView', invokeParams,CurrentView.ui.mainDraw, null, function() {}, true);
		//	tran.callWCSJsonTran( 'TVHomeShoppingAjax', invokeParams, CurrentView.ui.setLiveTVHomeShopping, null, function() {}, true );
//			tran.callWCSJsonTran( 'NSMobMainView', invokeParams, CurrentView.ui.setLiveTVHomeShopping, null, function() {}, true );
		},
		
		
		// 현재 방송중인 아이템을 가져온다.
		getCurrentLiveItem : function(data) {
			var idx = -1;
			var msecPerMinute = 1000 * 60;
			var msecPerHour = msecPerMinute * 60;
			var currentTime = Ns.Date.getDateParse(Ns.Date.calcDate('', 0, 0,
					0, 0, 'yyyy-MM-dd HH:mm:ss'));

			for (var i = 0; i < data.length; i++) {
				var etime = 0;
				if (null == data[i].endDttm || undefined == data[i].endDttm) { // 예외처리
					etime = Ns.Date.getDateParse02("20990123100000");
				} else {
					etime = Ns.Date.getDateParse02(data[i].endDttm);
				}

				idx = i;

				var interval = (etime.getTime() - currentTime.getTime());
				var hours = Math.floor(interval / msecPerHour);

				interval = interval - (hours * msecPerHour);
				var minutes = Math.floor(interval / msecPerMinute);

				try {
//					if (mainCtrl.VIEW_TYPE == "android")
						Ns.Native.transText(data[0].goodsName);
				} catch (e) {
					// TODO: handle exception
					// console.log("ETVPluginBridge.setTitle
					// Error==================================================");
				}

				interval = interval - (minutes * msecPerMinute);
				var seconds = Math.floor(interval / 1000);
				var today = new Date();

				CurrentView.REMAINING_TIME = new Date(today.getFullYear(),today.getMonth(), today.getDay(), hours, minutes,	seconds);
				break; // 현재 방송 중인 아이템
				// }
			}

			return idx;
		},

		// Ssong 방송보기 종료시 방송상품 정보 다시 가져오기
		call_NSEspotEtvMain : function() {
			var invoke = new Object;
			//invoke.espotInfo = "MOB_HAPPY_MAIN_WIDEBANNER|Content";
			//tran.callWCSJsonTran('NSMobEtvMainCmd', invoke,	CurrentView.ui.setETVHomeShopping);
			invoke.espotInfo = "HAPPY_MAIN_THEMETITLE|Content$HAPPY_MAIN_SECONDWIDEBANNER|Content$MOB_HAPPY_MAIN_WIDEBANNER|Content";
			tran.callWCSJsonTran('NSMobHappyDealMainView', invoke,CurrentView.ui.setETVHomeShopping, null, function() {}, true);
		},

		/*
		 * 유형상품 체크
		 */
		checkRealProduct : function(disp) {
			if (disp == "10" || disp == "15" || disp == "20" || disp == "25"
					|| disp == "30" || disp == "60") {
				return true;
			} else {
				return false;
			}
		},

		/**
		 *	플리킹 배너 
		 */
		call_NSEspotCommon : function(data) {
			CurrentView.ui.setBanner(data);
		},

		
		/*
		 * 오늘의 테마
		 */
		call_todayTheme : function(data){
			CurrentView.ui.setTodayTheme(data);
		},

		/**
		 * 해피딜 서브매장 상품 조회 ( 오늘의 추천 / 베스트 / 신규 )
		 */
		call_NSHappyDealMainProd : function(data) {
			//페이지 총 카테고리 수 보다 현재 카테고리값이 클 경우 종료
			//if(CurrentView.currnetCate > CurrentView.totalCateLength || (navi.getPageId() != "M_G5710000M" && navi.getPageId() != "M_G5710000M_n")){
			if(CurrentView.currnetCate > CurrentView.totalCateLength || navi.getPageId() != "M_G5710001M" ){
				Ns.UI.clearScrollPage();
				return false;
			} else {
				//중복 호출을 막기 위한 스크롤 이벤트 초기화
				Ns.UI.clearScrollPage();
			}
			
			var invokeParams = new Object();
			var targetId = "";
			var catgroupId = "";
			var espotInfo = "";

			switch (CurrentView.currnetCate) {
			case 1:
				CurrentView.pageSize = 40;
				catgroupId = "919054";
				espotInfo = "HAPPY_MAIN_RECOMMEND";
				break;
			case 2:
				CurrentView.pageSize = 30;
				catgroupId = "919055";
				espotInfo = "HAPPY_MAIN_BEST";
				break;
			case 3:
				CurrentView.pageSize = 20;
				catgroupId = "919056";
				espotInfo = "HAPPY_MAIN_NEWITEM";
				break;
			}
			
			targetId = $(".prodListAera").eq(CurrentView.currnetCate - 1).attr("id");

			invokeParams.catgroupId = catgroupId;
			invokeParams.catalogId = "78501"; // 모바일쇼핑몰. 고정
			invokeParams.schType = "getProd"
			invokeParams.pageSize = CurrentView.pageSize;
			invokeParams.page = 1;
			invokeParams.espotInfo = espotInfo;
			
			tran.callWCSJsonTran('NSMobHappyDealViewRenewal', invokeParams,	function(data) {
				CurrentView.ui.setProdList(data, targetId);
			});

		}

	}, // end data area

	// 이벤트 관련 함수 정의
	event : {
		
		/**
		 *  Ssong
		 *  상품 카운팅을 위한 위치값 초기화
		 */
		initStartPos : function(prodListId){
			var $id = $("#" + prodListId);
			var objId = prodListId;
			var header = $("#pageHeader").outerHeight();
			
			var startPos = $id.offset().top - header;

			if(CurrentView.unitTitle[objId].initFlag == true){
				CurrentView.unitTitle[objId].items.push(startPos);
				CurrentView.unitTitle[objId].startPos = startPos;
				CurrentView.unitTitle[objId].initFlag = false;
			}
		},
		initEndPos : function(prodListId){
			var $id		= $("#" + prodListId);
			var objId	= prodListId;
			var endPos	= CurrentView.unitTitle[objId].startPos + $id.outerHeight();
			CurrentView.unitTitle[objId].endPos = endPos;
			
			var iArr = CurrentView.unitTitle[prodListId]["items"];
			var imgArr = CurrentView.unitTitle[prodListId]["imgHeight"];
			
			$.each(imgArr,function(idx,val){
				var prevHeight = iArr[iArr.length-1];
				iArr.push(Number(prevHeight + imgArr[idx]));
				//console.log("idx : " + idx +" prevHeight : " + prevHeight + "  li height : " + val + "  currentHeight : " + iArr[idx+1]);
			});
			
			$(document).off("scroll.happy").on("scroll.happy", CurrentView.util.throttle(CurrentView.event.onscroll_floating , 100));
		},
		
		/**
		 *  Ssong
		 *  스크롤 이벤트 - 상품 카운팅
		 */
		onscroll_floating : function(e){
		
			//console.log(e.type)
			var unitPoses;
			var currentPageNum;
			var scrollPos = window.pageYOffset;
            var $on;

            $.each(CurrentView.unitTitle,function(idx,val){
            	//console.log("idx : " , idx ," val.startPos : " , val.startPos);
            	//console.log("idx : " , idx ," val.endPos : " , val.endPos);
            	if(val.startPos < scrollPos && scrollPos <= val.endPos){
            		$on = CurrentView.$floatingTitle.eq(val.idx);
            		return;
            	}
            });
            	
        	if(!!$on){
        		CurrentView.$floatingTitle.hide();
        		$on.show();
        		var id = Object.keys(CurrentView.unitTitle)[$on.index(".floating-title")];
        		unitPoses = CurrentView.unitTitle[id]["items"];
        		currentPageNum = unitPoses.indexOf(Math.max.apply(Math, unitPoses.filter(function(ele) {return ele < scrollPos} ) )) + 1;
    			//console.log("currentPageID : " , id , "currentPageNum : " , currentPageNum);
        		if (currentPageNum !== parseInt($on.find(".current-count").text(), 10)){ 
    				$on.find(".current-count").text(currentPageNum); 
    			}
            } else {
            	CurrentView.$floatingTitle.hide();
            }

		},
		
		onclick_soldOut : function(){
			var msg = "";
			msg = "일시품절된 상품입니다";
//			switch(CurrentView.orderYn){
//			case "N": msg = ""; break;
//			case "T_UN": msg = "해당상품은 방송시간 중에만 구매하실 수 있습니다"; break;
//			case "D_UN": msg = "해당 상품은 방송 당일에만 구매하실 수 있습니다"; break;
//			case "T_UN_SO": msg = "일시품절된 상품입니다"; break;
//			case "D_UN_SO": msg = "일시품절된 상품입니다"; break;
//			};

//			if(CurrentView.orderYn != "N"){
//			Ns.Popup.alert(msg);
//			}
			Ns.Popup.alert(msg);
		},
		
		onclick_etvListToggle : function() {
			$(this).toggleClass('active');
			$('.toggle_cont').slideToggle("fast");
			return false;
		},
		
		// 이미지 에러날 경우
		onerror_productImage : function() {
			if ($(this).attr('rep') == '0') {
				$(this).removeClass();
				$(this).addClass('thumbanil_small');
				$(this).attr('src', CurrentView.THUMBNAIL_IMAGE_URL);
				$(this).attr('rep', '1');
			} else if ($(this).attr('rep') == '1') {
				$(this).removeClass();
				$(this).attr('src', CurrentView.noImageUrlWide);
				$(this).attr('rep', '2');
			}
		},

		// 생방송TV쇼핑 관련 메뉴 - 적립금신청, 편성표, NS Talk
		onclick_liveTVMenu : function() {
			var id = $(this).attr('id');
			var disp = $("#disp").attr('disp');
			var partNumber = $("#disp").attr('partNumber');
			var multiCd = $("#disp").attr('multiCd');
			var busChnId = $("#disp").attr('busChnId');

			var invokeParams = {
				partNumber : CurrentView.PARTNUMBER
			};
			invokeParams.catalogId = Const.getMarketingCatalogId('tv');
			if (id == "btnReserver") {
				CurrentView.event.onclick_btnTVReservedSubscription();
			} else if (id == "btnTVSchedule")
				mainCtrl.navigate('M_G2222120M', invokeParams);
			else if (id == "btnShowLive")
				CurrentView.event.onclick_btnShowLive();
			else if (id == "btnTVLiveQuestion")
				CurrentView.event.onclick_btnTVLiveQuestion();
			else
				return false;

			return false;
		},

		// 방송보기 //20160616 해피딜 = tv매장 생방송 동일화 hawoong12
		onclick_btnShowLive : function() {
			// Ns.Native.tvHomeShoppingView( "LIVE", null, null );
			var msg = "3G/LTE 환경에서 이용시 요금제에 따라 데이터 요금이 부가될 수 있습니다.<br/>시청하시겠습니까?";

			var okFuc = function() {
				navi.setMovePointer(-1);
				CurrentView.event.video_play();
				return false;
			};
			var cancelFuc = function() {
				navi.setMovePointer(-1);
				return false;
			};

			Ns.Popup.confirm(msg, okFuc, cancelFuc, "예", "아니오", null, null,
					null);
		},

		video_play : function() {
			var html = '';
			html += '<div class="pause_layer" style="display: none;">';
			html += '<p class="pauseclose_btn"><img onclick="CurrentView.event.click_cancle();" src="./images/common/pauseclose_btn.png" alt=""></p>';
			html += '   <ul>';
			html += '    <li class="fullsc_btn"><img onclick="CurrentView.event.click_fullView(this);" src="./images/common/fullscreen_btn.png" alt=""></li>';
			html += '    <li class="pause_btn"><img id="pnp_btn" onclick="CurrentView.event.click_VideoToggle();" src="./images/common/pause_btn.png" alt=""></li>';
			html += '    <li class="viewitem_btn"><img onclick="CurrentView.event.onclick_btnGotoProductDisplay();" src="./images/common/go_btn.png" alt=""></li>';
			html += '   </ul>';
			html += '  </div>';
			// click_cancle
			if (mainCtrl.VIEW_TYPE == "android"
					|| mainCtrl.VIEW_TYPE == "androidweb") {// 안드로이드
			// html += ' <video id="vid"
			// onclick="CurrentView.event.click_VideoToggle(this);" autoplay
			// poster="./images/video/sample-51.png" preload="true"
			// webkit-playsinline style="transform:
			// scaleY(0.84375);-webkit-transform:
			// scaleY(0.84375);width:100%;">';
				html += '	<video id="vid" onclick="CurrentView.event.click_fade()" autoplay  poster="./images/back.png" preload="true" webkit-playsinline style="transform: scaleX(1.35);-webkit-transform: scaleX(1.35);width:100%;">';
			} else {// 아이폰
//				// dhlee 2017.04.10 이미지 경로 수정
//				html += '	<video id="vid" onclick="CurrentView.event.click_fade()" autoplay style="transform: scaleX(1.35);-webkit-transform: scaleX(1.35); width:100%;object-fit:fill" poster="./images/video/sample-51.png" preload="true" webkit-playsinline>';
				html += '	<video id="vid" onclick="CurrentView.event.click_fade()" autoplay style="transform: scaleX(1.35);-webkit-transform: scaleX(1.35); width:100%;object-fit:fill" poster="./images/back.png" preload="true" playsinline>';
			}
			// 운영
			html += '		<source src="http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8" type="video/mp4" >';
			// 개발
			// html += ' <source
			// src="http://shoppstream.nsmall.com/IPHONE/mobile.m3u8"
			// type="video/mp4" >';
			// html += ' <source src="http://221.140.53.53/IPHONE/mobile.m3u8"
			// type="video/mp4" >';
			// html += ' <source src="http://192.168.13.87/IPHONE/mobile.m3u8"
			// type="video/mp4" >';
			html += '		Your browser does not support the video tag.';
			html += '	</video>';

			$('#mainItem').html(html);

			$('#mainItem').css('background-image', '');
			$('#mainItem').css('padding', '0px');
			$('#vid').css('height', CurrentView.VIDEO_HEIGHT);
			if (mainCtrl.VIEW_TYPE == "android"
					|| mainCtrl.VIEW_TYPE == "androidweb") {// 안드로이드

			} else {
				$('#vid').css('height', CurrentView.VIDEO_HEIGHT);
			}

			document.getElementById('vid').play();
			mainCtrl.bVideoplay = true;
		},

		click_cancle : function() {
			document.getElementById('vid').pause();
			mainCtrl.bVideoplay = false;
			var html = '';
			html += '<p class="onair"><span class="broad_timer" id="liveTimer"></span></p>';
			html += '<p class="mov_btn" id="btnShowLive"><img src="./images/common/play_btn.png" alt=""></p>';
			html += '<a href="javascript:;" class="go_item" id="btnGotoProductDisplay">상품상세로 바로가기</a>';
			html += '<div>';
			html += '	<img id="prcImg" rep="0" src="http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg" alt="상품 이미지">';
			html += '</div>';
			$('#mainItem').html(html);
			CurrentView.isRefresh = true;
			CurrentView.data.call_NSEspotEtvMain();
		},

		click_fade : function() {
			$('.video').fadeIn();
			$('.pause_layer').fadeIn();
			setTimeout(function() {
				// 일시정지일 때는 항상 버튼 레이어 노출
				if (CurrentView.isPlay) {
					$('.video').fadeOut();
					$('.pause_layer').fadeOut();
				}
			}, 2000);
		},

		// Ssong 방송보기 재생/정지 토글
		click_VideoToggle : function() {
			CurrentView.isPlay = document.getElementById('vid').paused;
			mainCtrl.bVideoplay = false;
			CurrentView.event.click_VideoToggleBtn();
		},
		click_VideoToggleBtn : function() {
			if (!CurrentView.isPlay) {
				$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
				document.getElementById('vid').pause();
				mainCtrl.bVideoplay = false;
			} else {
				$("#pnp_btn").attr("src", "./images/common/pause_btn.png");
				document.getElementById('vid').play();
				mainCtrl.bVideoplay = true;
				// 재생할 경우 버튼 레이어 제거
				$('.video').fadeOut();
				$('.pause_layer').fadeOut();
			}
		},

		// Ssong 방송보기 전체보기
		click_fullView : function(obj) {
			var item = $(obj).siblings().last();
			if (CurrentView.isPlay) { // 플레이중
				$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
				document.getElementById('vid').pause();
				mainCtrl.bVideoplay = false;
			}

			Ns.Native.nsShopTvHomeShoppingViewDirect("LIVE",
					"http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8",
					null, CurrentView.isPlay);
		},

		// 20160616 해피딜 = tv매장 생방송 동일화 hawoong12
		// 생방송 참여하기(ns Talk)
		onclick_btnTVLiveQuestion : function() {
			Ns.Popup.showLayer("M_G2615200L", function() {
			});
			
			
			//Ssong
			/*$(document).on("click.happy","#btnClose",function(){
				$(document).trigger("onNumbering");
				$(document).off("click.happy");
			});*/
		},

		// 방송 상품상세 바로가기
		onclick_btnGotoProductDisplay : function() {
			mainCtrl.gotoProductDisplay(CurrentView.PARTNUMBER,
					CurrentView.MULTICD, CurrentView.BUSCHNID);
		},

		// 적립금 신청 버튼 클릭시 TV 홈쇼핑 적립금 신청 페이지로 이동.
		onclick_btnTVReservedSubscription : function() {
			var invokeParams = {
				partNumber : CurrentView.PARTNUMBER
			};
			mainCtrl.navigate("M_G1100400M", invokeParams);
		},

		/**
		 *  Ssong 2016-07-14
		 *  매장 페이지 이동
		 */
		onclick_cateLink : function(obj) {
			var $obj = $(obj);
			var cateId = $obj.attr("cateId");
			var tagName = $obj.prop("tagName");
			var params = {};
			var pageID = "M_G5710002M";
			
			
			//사이트맵
			if (cateId == 'categoryView') {
				pageID = "M_G5710004M";
			}
			// 카테고리 매장
			else if (tagName == "LI") {
				params.subCategory = "happyCategory" + ($obj.index() + 1);
			} 
			// 베스트 / 신규오픈 매장
			else if (tagName == "DIV") {
				if($obj.attr("cateId") == "" || $obj.attr("cateId") == undefined){
					return false;
				} else {
					params.subCategory = $obj.attr("cateId");
				}
			}
			//Ns.Popup.showPopup(pageID, params);
			mainCtrl.navigate(pageID, params);
			
		},
		/**
		 * 2016-07-15 서석준 건강테마 리스트 레이어팝업 호출
		 * */
		goHealthList : function(){
			var params ={};
			Ns.Popup.showLayer('M_G5710003M', params);
		},
		/**
		 * 2016-11-04 정승진 : 패밀리앱 배너
		 *
		onclick_btnBanner : function() {
			// 모바일 앱
			if (mainCtrl.isOsApp()) {
				if (mainCtrl.VIEW_TYPE == "ios") {
					Ns.Native.launcherView("nsmobilefood://", null, "https://itunes.apple.com/kr/app/nsgeonganghanbabsang/id1098615993?l=en&mt=8");
				} else {
					Ns.Native.launcherView("com.nsmobilefood", null);
				}
			}
		}
		 */
	}, // end event function

	// ui interaction 관련 함수 정의
	ui : {
		/**
		 * Ssong
		 * 상품 카운팅을 위한 객체 초기화
		 */
		initFoatingTitle : function() {
			$.each(CurrentView.$unitTitle, function(idx, val) {
				var $id = $(this).attr("id");
				//console.log("========= idx : ", idx, "val :", val);
				CurrentView.unitTitle[$id] = ({
					"idx" 		: idx,
					"initFlag" 	: true,
					"items" 	: new Array(),
					"imgHeight" : new Array()
				});
			});
		},
		
		// 기획전/고지형 배너를 상품리스트 탬플릿에 우겨 넣어서.. UI조정이 필요
		initProdUI : function(listId,prodListId) {
			
			var flagCount = 0;
			
			var $listLI = $(listId).find("li");
			var uiUpdate = $($listLI).each(function(idx, val){
				var $this = $(this);
				
				if($this.find(".comment").children().length == 0){
					$this.find(".comment").remove();
				}
				if($this.find(".prodThumb img").length == 0){
					$this.find(".prodThumb").remove();
				}
				if($this.find(".prodInfo").children().length == 0){
					$this.find(".prodInfo").remove();
				}
				if($this.find('[name=specialBanner]').children().length == 0){
					$this.find('[name=specialBanner]').remove();
				}
				
				//Ssong 임시 플래그
				//if(false){
				if(CurrentView.unitTitle){
					var img = $this.find("[name=bannerImgUrl_c] img"); 
					
					if(img.length === 0 ){
						img = $this.find("[name=specialBanner] img");
					}
					
					var imgArr = CurrentView.unitTitle[prodListId]["imgHeight"];

					img.load(function(){
						if(idx == 0){
							CurrentView.event.initStartPos(prodListId);
						} 
						imgArr[idx] = $this.outerHeight(true);
						flagCount++;
						if($listLI.length == flagCount){
							//console.log("==============imgCompCount : " + flagCount);
							CurrentView.event.initEndPos(prodListId);
						}
					});
				}
			});
		},

		// mainDraw 통합 API 사용을 위함
		mainDraw : function(data) {
			CurrentView.data.getNextData(data)
			// 2016-08-01 Ssong 미노출 처리
			//CurrentView.ui.setLiveTVHomeShopping(data);
		},

		
		
		//hawoong12
		setETVHomeShopping : function (data){
			if ( !data.msg || !data.msg.TotalOrgan ) {
				$("#sectionLiveTVShoppingArea").hide();

				return false;
			}
			else{
				//CurrentView.isEmptyETVHomeShopping = false;
								
				// 방송상품 영역
				CurrentView.currnetCate = 1;
				CurrentView.ui.setLiveTVHomeShopping(data);
				
				// 베스트 상품 영역
				//if(CurrentView.isRefresh == false)
				//	CurrentView.data.call_NSEspotCommon(data);
				
				// 상품 영역
				//if(CurrentView.isRefresh == false)
				//	CurrentView.ui.drawRepPrdtList(data);
				
									
			}
		},
		
		// 생방송 TV 상품 데이터 설정.
		setLiveTVHomeShopping : function(data) {

			// tv방송상품 조회여부
			CurrentView.bTvLiveQuery = true;

			// Ssong
			//console.log("===========================setLiveTVHomeShopping",	data);

			// Ssong 방송상품 관련 데이터가 없을 경우 예외처리
			if (!data.msg || !data.msg.TotalOrgan) {
				$("#sectionLiveTVShoppingArea").hide();

				// 방송 상품 관련 플래그 (true : 노출 가능한 상품 없음)
				CurrentView.bMenuTvZero = true;

				CurrentView.data.getNextData(data);
				CurrentView.ui.setNoDataPrint();
				return false;
			} else {
				var tvlist = data.msg.TotalOrgan;

				// Ssong 방송상품 관련 데이터가 없을 경우 예외처리
				if (tvlist == undefined || tvlist.length == 0) {
					$("#sectionLiveTVShoppingArea").hide();

					// 방송 상품 관련 플래그 (true : 노출 가능한 상품 없음)
					CurrentView.bMenuTvZero = true;
					CurrentView.ui.setNoDataPrint();

					// $("#btnTVReservedSubscription").hide();

					// todo...개발 테스트용 - 개발에서만 영역이 보인다.
					/*
					 * if (Const.IS_SERVER_STATE == "DEV"){
					 * $("#sectionLiveTVShoppingArea").show();
					 * $("#liveTVMenu").show(); }
					 */

					CurrentView.data.getNextData(data);
					return false;
				}

				var idx = CurrentView.data.getCurrentLiveItem(tvlist);

				// Ssong 방송상품 관련 데이터가 없을 경우. 예외처리
				if (idx < 0) {
					$("#sectionLiveTVShoppingArea").hide();

					// 방송 상품 관련 플래그 (true : 노출 가능한 상품 없음)
					CurrentView.bMenuTvZero = true;
					CurrentView.ui.setNoDataPrint();

					CurrentView.data.getNextData(data);
					return false;
				}
				if (CurrentView.isRefresh == true) {
					$("#sectionLiveTVShoppingArea").hide();
					$("#productInfo").html('');
					$("#moreItems").html('');
					$("#prcImg").removeClass();
					$("#prcImg").attr('rep', '0');
					$("#liBtnMore").hide();
					$("#liOrderNow").addClass('right');
					$("#etv_list_toggle").removeClass('active');
					$(".toggle_cont").hide();
					CurrentView.util.initEvent();
				}

				// 방송 상품 관련 플래그 (true : 노출 가능한 상품 없음)
				CurrentView.bMenuTvZero = false;

				var info = tvlist[idx];
				var disp = info.dispTypeCd;
				var noImageUrl = Const.NO_IMAGE_URL + 'noimage_X6.jpg';
				var imageUrl = Ns.Util.getImageUrl(info.partNumber, "X6");
				var productName = Ns.UI.getProductName(info.brandCd,
						info.brandName, info.goodsName, info.headCopy);
				// 20160616 해피딜 = tv매장 생방송 동일화 hawoong12
				var saleTag = '';
				var saleRateTag = "";
				var salePrice = "";
				if (info.salePrice != 0	&& info.priceofferprice != info.salePrice) {
					if (info.saleRate != 0)
						saleRateTag = '<span class="tag item-event discount"><strong>'
								+ info.saleRate
								+ '</strong><span class="unit">%</span></span>';
					salePrice = Ns.Util.insertCommas(info.salePrice); // 알뜰할인가.
					saleTag = '<span class="price-selling"><strong class="head">알뜰할인가</strong> <ins class="text"><strong>'
							+ salePrice
							+ '</strong><span class="unit">원</span></ins></span>';
				}
				// 20160616 해피딜 = tv매장 생방송 동일화 hawoong12
				var offerPrice = "";
				if (info.dispTypeCd == '57' || info.dispTypeCd == '45') {
					offerPrice = Ns.Util.insertCommas(info.mmRntalPrc);
				} else {
					offerPrice = Ns.Util.insertCommas(info.priceofferprice);
				}

				// 일시품절
				var func = "";
				var orderNm = "바로주문";
				if (info.orderYn == "Y" || info.orderYn == "T_EN"
						|| info.orderYn == "D_EN") {
					if (!CurrentView.data.checkRealProduct(disp)) {
						orderNm = "상담하기";
					}
					func = "mainCtrl.gotoProductDisplay";
					CurrentView.sold_Out = false;
				} else {
					if (info.orderYn == "N") {
						orderNm = "일시품절";
					}
					func = "CurrentView.event.onclick_soldOut";
					CurrentView.orderYn = info.orderYn;
					CurrentView.sold_Out = true;
				}

				var exIfi = [ '', '' ];
				if (info.ifiValue != 0 && info.ifiValue != null) {
					exIfi[0] = "<div class=\"head\">무이자</div>";
					exIfi[1] = info.ifiValue;
				}

				var tmp_multiCd = null;
				if (info.multiCd != "")
					tmp_multiCd = info.multiCd;

				CurrentView.THUMBNAIL_IMAGE_URL = Ns.Util.getImageUrl(info.partNumber, "H");
				$('#prcImg').show().unbind().bind('error', CurrentView.event.onerror_productImage);

				var orderHtml = Ns.Util
						.stringFormat(
								'\
		        	<a href="javascript:{4}({0},{1},\'{2}\');" id="btnOrderNow">{3}</a>',
								info.partNumber, tmp_multiCd, info.busChnId,
								orderNm, func);
				$("#liOrderNow").html(orderHtml);

				var prcHtml = Ns.Util
						.stringFormat(
								'\
								<dt><a href="javascript:{4}({0},{1},\'{2}\');">{3}</a></dt>\
								<dd class="tag item-feature interest-free">\
								<span class="price">{5}</span>\
								<span class="won">원</span>\
								{6}<span class="mon">&nbsp;{7}</span></dd>',
								info.partNumber, tmp_multiCd, info.busChnId,
								productName, func, offerPrice, exIfi[0],
								exIfi[1]);

				$("#productInfo").html(prcHtml);

				$("#prcImg").attr("src", imageUrl);

				CurrentView.ui.setLimitLiveTime(); // 방송 남은 시간 설정.

				CurrentView.PARTNUMBER = info.partNumber;
				CurrentView.MULTICD = info.multiCd;
				CurrentView.BUSCHNID = info.busChnId;

				if (data.msg.RelatedPrdtSize > 0) {
					$("#liBtnMore").show();
					$("#liOrderNow").removeClass('right');

					var relatedPrdts = data.msg.RelatedPrdtList;
					for (var k = 0; k < relatedPrdts.length; k++) {
						var info = relatedPrdts[k].commonData;

						var disp = info.dispTypeCd;
						var noImageUrl = Const.NO_IMAGE_URL + 'noimage_H.jpg';
						var imageUrl = Ns.Util
								.getImageUrl(info.partNumber, "H");
						var productName = Ns.UI.getProductName(info.brandCd,
								info.brand_kor_nm, info.itncatentrynm,
								info.headCopy);

						var saleRateTag = "";
						var salePrice = "";
						if (info.salePrice != 0	&& info.priceofferprice != info.salePrice) {
							salePrice = Ns.Util.insertCommas(info.salePrice); // 알뜰할인가.
						}

						// 판매가
						var offerPrice = "";
						if (info.dispTypeCd == '57' || info.dispTypeCd == '45') {
							offerPrice = Ns.Util.insertCommas(info.mmRntalPrc);
						} else {
							offerPrice = Ns.Util
									.insertCommas(info.priceofferprice);
						}

						// 일시품절
						var func = "";
						var orderNm = "바로주문";
						if (info.orderYn == "Y" || info.orderYn == "T_EN"
								|| info.orderYn == "D_EN") {
							if (!CurrentView.data.checkRealProduct(disp)) {
								orderNm = "상담하기";
							}
							func = "mainCtrl.gotoProductDisplay";
						} else {
							if (info.orderYn == "N") {
								orderNm = "일시품절";
							}
							func = "CurrentView.event.onclick_soldOut";
						}

						var exIfi = [ '', '' ];
						if (info.ifiValue != 0 && info.ifiValue != null) {
							exIfi[0] = "<span class=\"head\">무이자 </span>";
							exIfi[1] = info.ifiValue;
						}

						var tmp_multiCd = null;
						if (info.multiCd != "")
							tmp_multiCd = info.multiCd;

						var prcHtml = Ns.Util
								.stringFormat(
										'\
			            	<li class="items">\
								<div class="thumbnail"><a href="javascript:{4}({0},{1},\'{2}\');"><img src="{3}" onerror="this.src=\'{13}\';" alt="상품 이미지"></a></div>\
								<dl class="info_item">\
									<dt class="title"><a href="javascript:{9}({5},{6},\'{7}\');">{8}</a></dt>\
									<dd class="more">\
										<div class="tag item-feature interest-free">{10}<span class="mon">&nbsp;{11}</span></div>\
										<div class="price">{12}<span class="won">원</span></div>\
									</dd>\
								</dl>\
							</li>',
										info.partNumber, tmp_multiCd,
										info.busChnId, imageUrl, func,
										info.partNumber, tmp_multiCd,
										info.busChnId, productName, func,
										exIfi[0], exIfi[1], offerPrice,
										noImageUrl);

						$("#moreItems").append(prcHtml);
					}
				} else {
					$("#liBtnMore").hide();
					$("#liOrderNow").addClass('right');
				}

				$("#sectionLiveTVShoppingArea").show();

				CurrentView.data.getNextData(data); // 공통API 호출용

				var currentDate = Ns.Date.calcDate('', 0, 0, 0, 0, 'yyyyMMdd');
				var savedVerClickDate = Ns.LocalStorage.get("VER_UPDATE_CLICK_DATE");
			}
		},
		/**
		 * 생방송보기 data가 없을경우 화면 출력
		 */
		setNoDataPrint : function() {
			if (CurrentView.bMenuBannerZero == true	&& CurrentView.bMenuBannerItemZero == true && CurrentView.bMenuTvZero == true) {
				if ($("#noDataPrint").length == 0) {
					$("#happydealContent").append("<div id=\"noDataPrint\">"+ mainCtrl.getNoResultDataHtml("조회된 상품이 없습니다.")+ "</div>");
				}
			}
		},
		/**
		 * 생방송 남은 시간 설정.
		 * 
		 * hour : 남은 시간. min : 남은 분 second : 남은 초
		 */
		setLimitLiveTime : function() {
			clearInterval(mainCtrl.m_timer);
			mainCtrl.m_timer = setInterval(CurrentView.ui.ontimer, 1000);
		},
		ontimer : function() {
			var addZero = function(number) {
				return parseInt(number, 10) < 10 ? "0" + number : number;
			};

			CurrentView.REMAINING_TIME.setSeconds(CurrentView.REMAINING_TIME.getSeconds() - 1);

			var hour = addZero(CurrentView.REMAINING_TIME.getHours());
			var min = addZero(CurrentView.REMAINING_TIME.getMinutes());
			var second = addZero(CurrentView.REMAINING_TIME.getSeconds());

			if (hour == 0 && min == 0 && second == 0) {
				$("#liveTimer").html('');
				mainCtrl.checkTimerObject(); // destory timer
				CurrentView.data.getTVHShoppingLive(); // 새로운 방송 조회..
			} else {
				$("#liveTimer").html(hour + ':' + min + ':' + second);
			}

		},

		/**
		 *  2016-07-14 Ssong
		 *  플리킹 배너 셋팅
		 */
		setBanner : function(data) {
			var arrBanner = [];
			
			//플리킹 배너 데이터가 없을시
			if (undefined == data.msg) {
				$("#tv_top_banner_area").hide(); // 영역 숨김
				$("#theme_bottom_banner_area").hide();
				CurrentView.bMenuBannerZero = true;
				CurrentView.ui.setNoDataPrint();
				return;
			} 
			
			// 생방송 상단 배너
			if (undefined == data.msg._MOB_HAPPY_MAIN_WIDEBANNER || data.msg._MOB_HAPPY_MAIN_WIDEBANNER.length == 0) {
				$("#tv_top_banner_area").hide(); // 영역 숨김
			} else {
				arrBanner.push({
					"divId"  : "divTopBannerArea"
					,"ulId"		: "ulTopBannerArea"
					,"data" 	: data.msg._MOB_HAPPY_MAIN_WIDEBANNER
					,"length"	: data.msg._MOB_HAPPY_MAIN_WIDEBANNER.length
				})
			} 
			// 오늘의 테마 하단 배너
			if (undefined == data.msg._HAPPY_MAIN_SECONDWIDEBANNER || data.msg._HAPPY_MAIN_SECONDWIDEBANNER.length == 0) {
				$("#theme_bottom_banner_area").hide(); // 영역 숨김
			} else {
				arrBanner.push({
					"divId"  	: "divBottomBannerArea"
					,"ulId"		: "ulBottomBannerArea"
					,"data" 	: data.msg._HAPPY_MAIN_SECONDWIDEBANNER
					,"length"	: data.msg._HAPPY_MAIN_SECONDWIDEBANNER.length
				})
			}
			if(arrBanner.length == 0 ){
				return;
			} else {
				$.each(arrBanner,function(idx , val){
					CurrentView.ui.drawBanner(val);
				});
			}
			
		},
		/*
		 * 2016-07-14 Ssong
		 * 플리킹 배너 노출
		 */
		drawBanner : function (data) {
			
			
			// 배너 수
			var nCount = data.length;
			
			// 배너 컨테이너
			var divId = "#" + data.divId;
			
			// 배너 영역
			var ulId = "#" + data.ulId;
			
			// 배너 데이터
			var arrBanner = data.data;
			
			var strHtml = "";
			
			
 
			
			for (var i = 0; i < nCount; i++) {
                if(arrBanner[i].mdUrl != "" && arrBanner[i].mdUrl != undefined){
                	//GA360
                	var GAData = "";
                	if(data.ulId == "ulTopBannerArea"){
                		GAData = navi.getPageId() + "||" + "최상단배너영역_MOB_HAPPY_MAIN_WIDEBANNER" + "||" + arrBanner[i].mdUrl + "_" + arrBanner[i].marketingText;
                	}else{
                		GAData = navi.getPageId() + "||" + "중간띠배너영역_HAPPY_MAIN_SECONDWIDEBANNER" + "||" + arrBanner[i].mdUrl + "_" + arrBanner[i].marketingText;
                	}
                   var catalogId = Ns.Util.getBroadCastParam("?"+ Ns.Util.htmlDecode(arrBanner[i].mdUrl).split("?")[1]).catalogId;
                   strHtml += Ns.Util.stringFormat('\<li class="swiper-slide"><a href="javascript:;" onclick="Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\'); mainCtrl.sendToGA360(\'{9}\');"><img src="http:{0}" alt="배너"  /></a></li>',
                		   arrBanner[i].imgUrl, arrBanner[i].clickTarget,
                		   arrBanner[i].contentsId,
                		   arrBanner[i].clickCode, arrBanner[i].espotId,
                		   arrBanner[i].mdUrl, null, null, catalogId, GAData);
                } else {
                   strHtml +="<li class='swiper-slide'><a href='javascript:;' ><img src='http:"+arrBanner[i].imgUrl+"' alt='배너'/></a></li>";
                }
                
             }

			$(ulId).html(strHtml); // 화면에 출력
			
		
			delete topBannerSwiper;
			
			var bannerImg = $(ulId).find("li img");
			var loadFlag = 0;
			$.each(bannerImg,function(idx,val){
				$(this).load(function(){
					loadFlag++;
					if(loadFlag == bannerImg.length){
						// Swiper 처리
						if (nCount == 1) { // 베너가 하나만 있을경우
							var topBannerSwiper = new Swiper( divId, {
								initialSlide : 0,
								speed : 100,
								slidesPerView : 'auto',
								slideActiveClass : 'off',
								loop : false,
								slidesPerView : 1
							});
						} else { // 베너가 하나 이상인 경우
							var topBannerSwiper = new Swiper( divId, {
								slidesPerView : 1,
								paginationClickable : true,
								spaceBetween : 30,
								loop : true,
								centeredSlides : true,
								autoplay : 4000,
								autoplayDisableOnInteraction : false,
							});
						}
					}
				});
			});
		},
		
		/**
		 * Ssong
		 * 오늘의 테마 셋팅 
		 * 마크업이 달라서..상품리스트 탬플릿 사용을 못함...괜한 삽질..
		 */
		setTodayTheme : function(data){
			
			var $todayTheme = $("#todayTheme");
			$todayTheme.html('<span class="more"><a href="javascript:;" id="healthThemaLink"><img src="./images/common/icon_today_more.png" alt="오늘의 테마 상품 더보기"></a></span>');
			
			//2016-07-15 서석준 건강테마 더보기 버튼 이벤트 바인딩
			$("#healthThemaLink").unbind().bind('click',function(e) {CurrentView.event.goHealthList()});
			
			//오늘의테마 백그라운드 이미지 타이틀 espot 데이터
			var themeTitle = (data.msg._HAPPY_MAIN_THEMETITLE ? data.msg._HAPPY_MAIN_THEMETITLE[0] : null);
			
			if(themeTitle){
				var title = themeTitle.marketingText || "";   
				var bImgUrl = "http:" + ( themeTitle.imgUrl || "" ); 
				
				$("#themeTit").text(title);
				$(".happydealToday").css({"background":"url(" + bImgUrl + ")"});
				if(themeTitle.mdUrl){
					$("#themeTit").on("click",function(){
						Ns.UI.espotClickEvent(themeTitle.clickTarget, themeTitle.contentsId,
							   					themeTitle.clickCode, themeTitle.espotId,
							   					themeTitle.mdUrl, null, null);
					});
				}
				
			}
			
			//오늘의테마 상품/기획전 데이터
			var html = "";
			
			if(data.msg.themeList && data.msg.themeList.length > 0){
				var repPrdtList = data.msg.themeList[0];
				$("#themeFstTit").text((repPrdtList.espotTitle || "오늘의 테마"));
			} else {
				$(".happydealToday").hide();
				return false;
			}

			//Wapers 2017.09.25 옵션대표가 flag - 오늘의 테마
			var optRepYn = "";
			if(undefined != repPrdtList.prcWaveDisp){
				optRepYn = repPrdtList.prcWaveDisp;
			} else {
				// empty for purpose
			}
			
			//상품일 경우
			if(repPrdtList.planYn == "N"){
				html += '<div class="thumbnail"><a href="javascript:;" name="bannerImgUrl">';
				html += "<img src=\"http:"	+ repPrdtList.bannerImgUrl + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"상품이미지\" />";	
				html +=	'</a></div>';
				html +=	'<div class="info_more">';
				html +=	'<dl name="itncatentrynm">';
				html += '<dt><a href="javascript:;">' +  repPrdtList.itncatentrynm + '</a></dt>';
				
				var bHappy = false;
				if (Number(repPrdtList.dcPrc) >= Number(repPrdtList.salePrc)) {
					html +=	'<dd class="happydeal">해피딜가</dd>';
					bHappy = true;
				} else {
					html +="<dd class=\"shopping_percent\">";
					html += repPrdtList.dcRate + "<em>&#37;</em></dd>";
				}
				
				html +=	'<dd class="dealprice">' + Ns.Util.insertCommas(repPrdtList.dcPrc) + '<span class="info_price_won">';
				
				//Wapers 2017.09.25 옵션대표가 적용
				if(optRepYn == "~"){
					html += '	원~</span></dd>';
				} else {
					html += '	원</span></dd>';
				}
				
				if (bHappy == false) {
					html += "<dd class=\"shopping_past_price\">" + Ns.Util.insertCommas(repPrdtList.salePrc);

					//Wapers 2017.09.25 옵션대표가 적용
					if(optRepYn == "~"){
						html += "원~</dd>";
					} else {
						html += "원</dd>";
					}
					
				}
				
				if (repPrdtList.orderQty > 0) {
					// priceFlag : A - 누적이 기간내 판매수량보다 많을 경우, 
					//			   D - 누적과 기간내 판매수량이 같을 경우
					/*if (repPrdtList.priceFlag == "A") {
						html += "<dd class=\"sell_info\">누적&nbsp;" + repPrdtList.orderQty + "개 구매중&nbsp;";
	
						if (repPrdtList.latestOrderQty > 0) {
							html += "(딜 기간 내 " + repPrdtList.latestOrderQty + "개)";
						}
	
						html += "</dd>";
					} else if (repPrdtList.priceFlag == "D") {
						if (repPrdtList.latestOrderQty > 0) {
							html += "<dd class=\"sell_info\">딜 기간 내 "	+ repPrdtList.latestOrderQty	+ "개 구매중</dd>";
						}
					}*/
					//해피딜
					html += "<dd class=\"sell_info\">" + repPrdtList.orderQty + "개 구매&nbsp;";
				}
				html +=	'</dl>';
				html +=	'</div>';
			}
			//기획전 일 경우
			else if(repPrdtList.planYn == "Y"){
				html +=	'<dl class="specialBanner" name="bannerImgUrl">';
				if(repPrdtList.bannerImgUrl != null){
					html +=	"<dt><img src=\"http:"	+ repPrdtList.bannerImgUrl + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"기획전\" /></dt>"
				}
				if( repPrdtList.espotContentText1 != null || repPrdtList.espotContentText2 != null ){
					html +=	"<dd class='tit'>";
					if( repPrdtList.espotContentText1 != null ){
						html += repPrdtList.espotContentText1;
					}   
					if( repPrdtList.espotContentText2 != null ){
						html += "<span>" + repPrdtList.espotContentText2.replace("amp;","") + "</span>";
					}
					html += "</dd>";
				}
				html +=	'</dl>';
			}
			
			
			$todayTheme.append(html);
			
			$.each(repPrdtList,function(key,val){
				$todayTheme.find("[name="+ key +"]").data("data",repPrdtList);
			});
			
			// click 이벤트 처리
			$("a[name=bannerImgUrl], dl[name=itncatentrynm]").off("click").on("click",function(e) {
				// 20160323 정헌태 수정 - 모바일 매장실적 누락 오류 수정 관련 수정
				
				 /** if(bVideoplay == true){
									 * document.getElementById('vid').pause();
									 * bVideoplay = false; }
	*/			
				
				CurrentView.categoryId = CurrentView.catgroupId;
				mainCtrl.gotoProductDisplay($(this).data("data").partnumber, '', 'MOBIL' , $(this).data("data").espotId);
			});
			
			$("dl[name=bannerImgUrl]").off("clcik").on("click",function(e){
				//고지형 배너 일 경우
				var $data = $(this).data("data");
				if($data.prom_Info == "notify"){
					return false;
				}
				var catalogId = Ns.Util.getBroadCastParam("?"+ Ns.Util.htmlDecode($data.prom_Info).split("?")[1]).catalogId;
				Ns.UI.espotClickEvent($data.clickTarget, $data.contentId, $data.clickCode, $data.espotId, $data.prom_Info, null, null, catalogId);
			});
		},
		
		
		/*
		 * 카테고리 상품 셋팅
		 */
		setProdList : function(data, targetId){
			
			if(CurrentView.totalCateLength == 0){
				CurrentView.bMenuBannerItemZero = true;
				CurrentView.ui.setNoDataPrint(); // data 없은 출력 호출
				return;
			}
			
			// Ssong 뭐하는 아이인지 모르겠다...
			// 생방송보기 하단 3버튼 show hide
			/*
			if (CurrentView.catgroupId == "638554")
				$("#sectionETVTabsArea").show();
			else
				$("#sectionETVTabsArea").hide();
			*/
			
			// 스크롤 이벤트 바인딩..다음 카테고리 리스트 가져오기
			if(CurrentView.currnetCate <= CurrentView.totalCateLength){
				CurrentView.currnetCate++;
				Ns.UI.setScrollPage(CurrentView.data.call_NSHappyDealMainProd, "", 300 );
			}
			// 현재 카테고리와 총 카테고리 비교..후 다음카테고리 없으면 이벤트 종료
			else {
				Ns.UI.clearScrollPage();
			}
			
			CurrentView.ui.drawRepPrdtList(data, targetId);
			
		},
		
		
		/**
		 * 상품 리스트 / 기획전 화면 출력
		 */
		drawRepPrdtList : function(data, targetId ,tempListId) {
			var catGroupId = data.catgroupId;
			// 상품리스트
			var repPrdtList = data.msg.happyDealRenewalProdList;
			
			if (undefined == repPrdtList || repPrdtList.length == 0) {
				$("#" + targetId).hide(); // 영역 숨김
				return false;
			}
			
			// 상품리스트 상위 객체 (해당 카테고리 영역 div)
			var listId = "#" + targetId;			
			// UI가 그려질 타겟
			var prodListId = targetId + "ProdList"; 
			var tgetTempListId = (tempListId == undefined ? "prodList_temp" : tempListId);


			var objDrawData = JSON.parse(JSON.stringify(repPrdtList)); // object 복사
			
			// 상품카운터 ID
			var CntId = "#" + prodListId + "Cnt";	
			
			// 상품카운터에 상품리스트 수량 반영
			$(CntId + " .total-count").text(Number(objDrawData.length));
			
			// data 커스텀
			for (var i = 0; objDrawData.length > i; i++) {
				if (i == 0) {
					CurrentView.totalCount = Number(objDrawData[i].totalCnt);
				}
				
				//기획전 / 고지형 배너
				if(objDrawData[i].planYn == "Y"){
					
					objDrawData[i].specialBanner = "";
					
					if(objDrawData[i].bannerImgUrl != null){
						objDrawData[i].specialBanner = "<dt><img src=\"http:"	+ objDrawData[i].bannerImgUrl + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"";
						
						if(objDrawData[i].espotContentText1 != null || objDrawData[i].espotContentText2 != null){
							 
							 if(objDrawData[i].espotContentText1 != null){
								 objDrawData[i].specialBanner += objDrawData[i].espotContentText1;
							 } else if(objDrawData[i].espotContentText2 != null) {
								 objDrawData[i].espotContentText2 = objDrawData[i].espotContentText2.replace("amp;","");
								 objDrawData[i].specialBanner +=objDrawData[i].espotContentText2;
							 } else {
								 objDrawData[i].specialBanner +="기획전";
							 }
						 }
						
						objDrawData[i].specialBanner += "\" /></dt>"; //2018.12.26 kimjh 해피딜매장 기획전 미노출의건
					}
					
					if( objDrawData[i].espotContentText1 != null || objDrawData[i].espotContentText2 != null ){
						objDrawData[i].specialBanner += "<dd class='tit'>";

						if( objDrawData[i].espotContentText1 != null ){
							objDrawData[i].specialBanner += objDrawData[i].espotContentText1;
						}   
					
						if (objDrawData[i].espotContentText2 != null) {
							objDrawData[i].specialBanner += "<span>" + objDrawData[i].espotContentText2.replace("amp;","") + "</span>"
						}
						objDrawData[i].specialBanner += "</dd>";
					}
					
					
				}
				// 상품 리스트
				else if (objDrawData[i].planYn == "N"){
					
					if(objDrawData[i].espotContentText != "" && objDrawData[i].espotContentText != null && objDrawData[i].espotContentText != undefined){
						objDrawData[i].comment = "<span>" + objDrawData[i].espotContentText + "</span><img src='./images/marketing/balloonpoint.gif' alt=''>";
					}

					// 베스트 카테고리일때.. 랭크 추가 
					if(targetId == "best"){
						objDrawData[i].bRank = "<span class='no_red'>" + Number(i+1) + "</span>";
					}

					objDrawData[i].bannerImgUrl_c = "<img src=\"http:"	+ objDrawData[i].bannerImgUrl + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"" + objDrawData[i].itncatentrynm + "\" />";

					objDrawData[i].sell_vol = "";
					if (Number(objDrawData[i].dlvrPrice) <= 0) {
						objDrawData[i].sell_vol += "<p class=\"benefit\"><dfn class=\"label\">혜택</dfn><em class=\"free\">무료배송</em></p>";
					}

					/*if (Number(objDrawData[i].closeYn) <= 0) {
						objDrawData[i].sell_vol += "<p class=\"n_two\"><dfn class=\"label\">마감임박</dfn><em>마감임박</em></p>";
					} else if (objDrawData[i].openToday == "Y") {
						objDrawData[i].sell_vol += "<p class=\"n_one\"><dfn class=\"label\">오늘오픈</dfn><em>오늘오픈</em></p>";
					}*/

					// 상품명
					objDrawData[i].prodInfo = "";
					objDrawData[i].prodInfo += "<dt>" + objDrawData[i].itncatentrynm + "</dt>";

					//Wapers 2017.09.25 옵션대표가 flag - 오늘의 추천
					var optRepYn = "";
					if(undefined != objDrawData[i].prcWaveDisp){
						optRepYn = objDrawData[i].prcWaveDisp;
					} else {
						// empty for purpose
					}			
					
					var bHappy = false;
					if (Number(objDrawData[i].dcPrc) >= Number(objDrawData[i].salePrc)) {
						objDrawData[i].prodInfo += "<dd class=\"shopping_happydeal\">해피딜가</dd>";
						bHappy = true;
					} else {
						objDrawData[i].prodInfo += "<dd class=\"shopping_percent\">" + objDrawData[i].dcRate + "<em>&#37;</em></dd>";
					}

					objDrawData[i].prodInfo += "<dd class=\"shopping_info_price\">"	+ Ns.Util.insertCommas(objDrawData[i].dcPrc) + "<span class=\"info_price_won\">";

					//Wapers 2017.09.25 옵션대표가 적용
					if(optRepYn == "~"){
						objDrawData[i].prodInfo += " 원~</span></dd>";
					} else {
						objDrawData[i].prodInfo += " 원</span></dd>";
					}
					
					if (bHappy == false) {
						objDrawData[i].prodInfo += "<dd class=\"shopping_past_price\">"	+ Ns.Util.insertCommas(objDrawData[i].salePrc);
						//Wapers 2017.09.25 옵션대표가 적용
						if(optRepYn == "~"){
							objDrawData[i].prodInfo += "원~</dd>";
						} else {
							objDrawData[i].prodInfo += "원</dd>";
						}
					}

					// 0보다 클때만 보인다
					/*
					 * if(objDrawData[i].saleQuantity > 0){
					 * objDrawData[i].shopping_info += "<dd class=\"sell_info\">" +
					 * objDrawData[i].saleQuantity + "개 구매중</dd>"; }
					 */
					
					// 누적 및 기간내 구매수량 표시
					if (objDrawData[i].orderQty > 0) {
						// priceFlag  :	 A - 누적이 기간내 판매수량보다 많을 경우, 
						//				 D - 누적과 기간내 판매수량이 같을 경우
						/*if (objDrawData[i].priceFlag == "A") {
							objDrawData[i].prodInfo += "<dd class=\"sell_info\">누적&nbsp;"	+ objDrawData[i].orderQty + "개 구매중&nbsp;";

							if (objDrawData[i].latestOrderQty > 0) {
								objDrawData[i].prodInfo += "(딜 기간 내 "	+ objDrawData[i].latestOrderQty + "개)";
							}
							objDrawData[i].prodInfo += "</dd>";
						
						} else if (objDrawData[i].priceFlag == "D") {
							if (objDrawData[i].latestOrderQty > 0) {
								objDrawData[i].prodInfo += "<dd class=\"sell_info\">딜 기간 내 "	+ objDrawData[i].latestOrderQty	+ "개 구매중</dd>";
							}
						}*/
						objDrawData[i].prodInfo += "<dd class=\"sell_info\">"	+ objDrawData[i].orderQty + "개 구매&nbsp;";
					}
				}
			}
			
			var uiDraw = $.when( Ns.UI.drawList(objDrawData, prodListId, tgetTempListId , true) );
			$(listId).show(); // 화면 그리기
			uiDraw.done( CurrentView.ui.initProdUI(listId,prodListId) ); 

			// 상품 상세 click 이벤트 처리
			$("a[name=bannerImgUrl_c], dl[name=prodInfo]").off("click").on("click",function(e) {
				// 20160323 정헌태 수정 - 모바일 매장실적 누락 오류 수정 관련 수정
				/*
				 * if(bVideoplay == true){
				 * document.getElementById('vid').pause();
				 * bVideoplay = false; }
				 */
			
				//ga360
				var gaItemName = "";
				 if($(this)[0].localName == "dl"){
					 gaItemName = $(this).find("dt").text();
				 }else{
					 gaItemName = $(this).find('img')[0].alt;
				 }
				
				 var eventAction = ""; 
				 if(CurrentView.currnetCate == 2){
					 eventAction = "오늘의추천영역_HAPPY_MAIN_RECOMMEND";
				 }else if(CurrentView.currentCate == 3){
					 eventAction = "베스트영역_HAPPY_MAIN_BEST";
				 }else {
					 eventAction = "신규오픈영역_HAPPY_MAIN_NEWITEM";
				 }
				 
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_해피딜',
						eventAction : eventAction,
						eventLabel : $(this).data("data").partnumber+gaItemName
				};
				var subparam = {
						t1 : 'GNB',
						t2 : "해피딜"
				};
			
				GA.sendEventData(event_obj,subparam);
				
				CurrentView.categoryId = CurrentView.catgroupId;
				mainCtrl.gotoProductDisplay($(this).data("data").partnumber, '', 'MOBIL' , $(this).data("data").espotId);
				//return false;
			});
			
			// 기획전 / 고지형 배너 click 이벤트 처리
			$("dl[name=specialBanner]").off("clcik").on("click",function(e){
				var $data = $(this).data("data");
				
				//고지형 배너 일 경우
				if($data.prom_Info == "notify"){
					return false;
				}
				var catalogId = Ns.Util.getBroadCastParam("?"+ Ns.Util.htmlDecode($data.prom_Info).split("?")[1]).catalogId;
				Ns.UI.espotClickEvent($data.clickTarget, $data.contentId, $data.clickCode, $data.espotId, $data.prom_Info ,null, null, catalogId);
			});
			
			//hawoong gnb renewal 180123
			HUB_INIT.scrollHeader();
			
			
			if(typeof wcs == 'undefined'){
				setTimeout(function(){
					Fn_WcsNaver(1);
				}, 5000);
			}else{
				Fn_WcsNaver(1);
			}
		},

	}, // end function ui

	util : {
		initEvent : function() {
			$('#btnGotoProductDisplay').show().unbind().bind('click',CurrentView.event.onclick_btnGotoProductDisplay); // 상품상세 바로가기.
			$('#btnShowLive').show().unbind().bind('click',	CurrentView.event.onclick_btnShowLive); // 생방송 TV쇼핑. 생방송보기 버튼.
			// $('#prcImg').show().unbind().bind('error',
			// CurrentView.event.onerror_productImage);
			$('#etv_list_toggle').show().unbind().bind('click',	CurrentView.event.onclick_etvListToggle); // etv 아이템 리스트// toggle
		},
		
		/*
		 *	Ssong 
		 *  underscore.js 의 throttle 함수 
		 *  호출되면 지정된 시간 내에 최대 1 번만 트리거되는 함수
		 */
		throttle : function(func, wait, options) {
		    var context, args, result;
		    var timeout = null;
		    var previous = 0;
		    if (!options) options = {};
		    var later = function() {
		      previous = options.leading === false ? 0 : CurrentView.util.now();
		      timeout = null;
		      result = func.apply(context, args);
		      if (!timeout) context = args = null;
		    };
		    return function() {
		    	//if(navi.getPageId() == "M_G5710000M" || navi.getPageId() == "M_G5710000M_n"){
		    	
		    	var pageId = navi.getPageId();
		    	if(pageId == "M_G5710001M"){
				      var now = CurrentView.util.now();
				      if (!previous && options.leading === false) previous = now;
				      var remaining = wait - (now - previous);
				      context = this;
				      args = arguments;
				      if (remaining <= 0 || remaining > wait) {
				        if (timeout) {
				          clearTimeout(timeout);
				          timeout = null;
				        }
				        previous = now;
				        result = func.apply(context, args);
				        if (!timeout) context = args = null;
				      } else if (!timeout && options.trailing !== false) {
				        timeout = setTimeout(later, remaining);
				      }
				      return result;
		    	} else if(pageId == "M_G1100000L"){     
				      // 아무것도 하면 아니되요..
		    	} else {
		    		$(document).off("scroll.happy");
		    	}
		    };
		  },
		  
		  now : Date.now || function() {
			    return new Date().getTime();
		  },
	}
// end function util

};
