
/* JavaScript content from js/marketing/M_G5710003M.js in folder common */

/* 
 *	페이지 ID : M_G5710003M  
 * 건강테마 레이어 팝업  
 */

CurrentPopup = {
		
		lScroll : null,
		PAGE_ID : "M_G5710003M",

		init : function( params ) {
			this.onLoad();
		},

		onLoad : function() {
			//웹접근성을 위해 container 영역 hidden 처리
			$('#container').attr('aria-hidden','false');
			
			//2016-07-14 서석준 건강테마 버튼 이벤트 바인딩
			CurrentPopup.data.getHealthThemaList();
		},

		data : {
			//2016-07-14 서석준 건강테마 데이터 불러오기
			getHealthThemaList : function(){
				
				 var invokeParams = new Object();
		            invokeParams.catgroupId = "918554" //카테고리 ID
		            invokeParams.espotInfo = "HAPPY_MAIN_TODAYTHEME"; //espot 명
		            invokeParams.catalogId = "78501"; //모바일쇼핑몰. 고정
		            invokeParams.schType = "getProd" 
		            invokeParams.pageSize = 50;
		            invokeParams.page = 1;
		            
		            tran.callWCSJsonTran( 'NSMobHappyDealViewRenewal', invokeParams, CurrentPopup.ui.healthThemaListShow, null, function() {}, true );	
			}
		}, // end data area 

		//이벤트 관련 함수 정의
		event : {
			  /**
				 * 2016-07-14 서석준 건강테마 레이어 팝업 닫기 함수
				 * */
			  dimLayerClose : function(){
				  navi.setMovePointer(-1);	// 포인트 백
				  $('#dimmedAll').removeClass('active');					
				  $('#container').attr('aria-hidden','false');
				  //IScroll 객체 초기화
					if (null != CurrentPopup.lScroll){
						CurrentPopup.lScroll.destroy();
						CurrentPopup.lScroll = null;
					}
				  Ns.Popup.close($("#M_G5710003M"));
			  },
			  /**
			   * 2016-07-21 서석준 건강테마 기획전 진입 시 현재 레리어 팝업 닫고 이동하기
			   * 
			   * */
			  marketingClickEvent : function(clickTarget, contentsId, clickCode, espotId, prom_Info, tmp1, tmp2, catalogId){
				  
				  //기획전 이동전 레이어 팝업 닫기
				  CurrentPopup.event.dimLayerClose();
				  
				  Ns.UI.espotClickEvent(clickTarget, contentsId, clickCode, espotId, prom_Info, tmp1, tmp2, catalogId);
			  },
			  /**
			   * 레이어 팝업 동적 생성후 wise log 생성
			   * */
			  setWiseLog : function(espotId){
				  //wise log 파라미터 세팅
				  var params = {};
				  params.p_espotId = espotId;
				  //wise log 호출
				  tran.callPageLogging(CurrentPopup.PAGE_ID, params);
			  }

		},  //end event function

		//ui interaction 관련 함수 정의 
		ui : {
			/**
			 * 2016-07-14 서석준 건강테마 레이어 팝업 노출함수
			 * */
			 healthThemaListShow : function(data){
				 $("#healthThemaDim").show(); //바닥화면 dim 처리
				 
				 var repPrdtList = data.msg.happyDealRenewalProdList;
				 
				 var objDrawData = JSON.parse(JSON.stringify(repPrdtList));	// object 복사
				 var productList = "";
				 var planNodify = ""; //고지형 
				 var title = objDrawData[0].espotTitle1; // 건강테마 레이어 팝업 타이틀
				 
				 for(var i = 0 ; i < objDrawData.length ; i++){
					 //2016-07-18 서석준 상품 리스트 동적 생성
					 //기획전 배너 구분
					 var planNodify = objDrawData[i].prom_Info; //고지형 
					 
					 if(objDrawData[i].planYn == "Y" && planNodify == "notify"){ // 기획전
						 
						 productList +="<li>";
						 productList +="<div class='prodThumb'<a href='javascript:;'><img src='http:"+objDrawData[i].bannerImgUrl+"' onerror=\"this.src='./images/marketing/list_no_img.png';\" alt='";
							
						 if(objDrawData[i].espotContentText1 != null || objDrawData[i].espotContentText2 != null){
							 
							 if(objDrawData[i].espotContentText1 != null){
								 productList += objDrawData[i].espotContentText1;
							 } else if(objDrawData[i].espotContentText2 != null) {
								 objDrawData[i].espotContentText2 = objDrawData[i].espotContentText2.replace("amp;","");
								 productList +=objDrawData[i].espotContentText2;
							 } else {
								 productList +="기획전";
							 }
							 productList += "'></a></div>";
						 }
						 
						 //문구 없으면 영역 노출 X	
						 if(objDrawData[i].espotContentText1 != null || objDrawData[i].espotContentText2 != null){ㅍ
							 
							 productList +="	<dl class='specialBanner' name='planProNameDetail'>";
							 productList +="		<dd class='tit'>";
							 
							//2016-07-18 서석준 기획전 문구1
							if(objDrawData[i].espotContentText1 != null){
								productList += objDrawData[i].espotContentText1;
							}
							//2016-07-18 서석준 기획전 문구2						 
							if(objDrawData[i].espotContentText2 != null){
								objDrawData[i].espotContentText2 = objDrawData[i].espotContentText2.replace("amp;","");
								productList +="		<span>"+objDrawData[i].espotContentText2+"</span>";
							}
							
							 productList +="		</dd>";
							 productList +="	</dl>";
						 }
						 productList +="</li>";
						 
						 
					 }else if(objDrawData[i].planYn == "Y"){ //기획전
						 
					 	var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objDrawData[i].prom_Info).split("?")[1]).catalogId;
						 
						 productList +="<li>";
						 productList +=Ns.Util.stringFormat('\
								 							<div class="prodThumb"<a href="javascript:;" onclick="CurrentPopup.event.marketingClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');"><img src="http:{0}" onerror=\'this.src="./images/marketing/list_no_img.png";\' alt="',
								 							objDrawData[i].bannerImgUrl,
								 							objDrawData[i].clickTarget,
								 							objDrawData[i].contentsId,
								 							objDrawData[i].clickCode,
								 							objDrawData[i].espotId,
								 							objDrawData[i].prom_Info,
								 							null,
								 							null,
								 							catalogId);
						 
						 if(objDrawData[i].espotContentText1 != null || objDrawData[i].espotContentText2 != null){
							 
							 if(objDrawData[i].espotContentText1 != null){
								 productList += objDrawData[i].espotContentText1;
							 } else if(objDrawData[i].espotContentText2 != null) {
								 objDrawData[i].espotContentText2 = objDrawData[i].espotContentText2.replace("amp;","");
								 productList +=objDrawData[i].espotContentText2;
							 } else {
								 productList +="기획전";
							 }
							 productList += "\"></a></div>";
						 }
							 
						//문구 없으면 영역 노출 X
						 if(objDrawData[i].espotContentText1 != null || objDrawData[i].espotContentText2 != null){
							 productList +="	<dl class='specialBanner' name='planProNameDetail'>";
							 productList +="		<dd class='tit'>";
							 
							//2016-07-18 서석준 기획전 문구1
							if(objDrawData[i].espotContentText1 != null){
								productList += objDrawData[i].espotContentText1;
							}
							//2016-07-18 서석준 기획전 문구2						 
							if(objDrawData[i].espotContentText2 != null){
								objDrawData[i].espotContentText2 = objDrawData[i].espotContentText2.replace("amp;","");
								productList +="		<span>"+objDrawData[i].espotContentText2+"</span>";
							}
							
							 productList +="		</dd>";
							 productList +="	</dl>";
						 }
						 productList +="</li>";
						
					 }else{ //배너형
						 var imgUrl = "<img src=\"http:" + objDrawData[i].bannerImgUrl + "\" onerror=\"this.src='http://image.nsmall.com/ec_comimages/itemimg/noimage_H.jpg';\" alt=\"" + objDrawData[i].itncatentrynm + "\" />";
						 
						 productList +="<li>";
						 productList +="	<div class='prodThumb' name='bannerProDetail'>";
						 productList +="		<a href='javascript:;' name='bannerImg' data-partnumber='"+objDrawData[i].partnumber+"'>"+imgUrl+"</a>";
						 productList +="		<div class='sell_vol' name=''>";
						 productList +="        	<p class='benefit'>";
						 productList +="				<dfn class='label'>혜택</dfn>";
						 //2016-07-18 서석준 배송비 처리분기
						 if(Number(objDrawData[i].dlvrPrice) <= 0){
							 productList +="				<em class='free'>무료배송</em>";
						 }
						 productList +="			</p>";
						 productList +="		</div>";
						 productList +="	</div>";
						 productList +="	<dl class='prodInfo' name='itncatentrynm' data-partnumber='"+objDrawData[i].partnumber+"'>";
						 productList +="		<dt>"+objDrawData[i].itncatentrynm+"</dt>";
						 //2016-07-18 서석준 해피딜가 / 일반 할인 표기 분기
						 if(Number(objDrawData[i].dcPrc) >= Number(objDrawData[i].salePrc)){
							 productList +="		<dd class='shopping_happydeal'>해피딜가</dd>";
							 productList +="		<dd class='shopping_info_price'>"+Ns.Util.insertCommas(objDrawData[i].dcPrc)+"<span class='info_price_won'>원</span> </dd>";
					 	 }else{
					 		 productList +="		<dd class=\"shopping_percent\">" + objDrawData[i].dcRate + "&#37;<em>&darr;</em></dd>";
					 		 productList +="		<dd class='shopping_info_price'>"+Ns.Util.insertCommas(objDrawData[i].dcPrc)+"<span class='info_price_won'>원</span> </dd>";
					 		 productList +="		<dd class=\"shopping_past_price\">" + Ns.Util.insertCommas(objDrawData[i].salePrc) + "원</dd>";
					     }
						 
						 //판매수량 표기
						if (objDrawData[i].orderQty > 0) {
								// priceFlag : A - 누적이 기간내 판매수량보다 많을 경우, D - 누적과 기간내 판매수량이
								// 같을 경우
								/*if (objDrawData[i].priceFlag == "A") {
									productList += "<dd class=\"sell_info\">누적&nbsp;" + objDrawData[i].orderQty + "개 구매중&nbsp;";
				
									if (objDrawData[i].latestOrderQty > 0) {
										productList += "(딜 기간 내 " + objDrawData[i].latestOrderQty + "개)";
									}
									productList += "</dd>";
								} else if (objDrawData[i].priceFlag == "D") {
									if (objDrawData[i].latestOrderQty > 0) {
										productList += "<dd class=\"sell_info\">딜 기간 내 "	+ objDrawData[i].latestOrderQty	+ "개 구매중</dd>";
									}
								}*/
								productList += "<dd class=\"sell_info\">" + objDrawData[i].orderQty + "개 구매&nbsp;";
								productList += "</dd>";
							}
						 productList +="	</dl>";
						 productList +="<input type='hidden' name='helthEspotId' value='"+objDrawData[i].espotId+"'/>";
						 productList +="</li>";
					 }
				 }
				 //레이어 팝업 타이틀 세팅
				 $("#healthLayerPopArea").find("h3").text(title);
				 //상품리스트 동적 생성
				 $("#productListView").append(productList);
				 //건강테마 레이어 show
				 $("#healthLayerPopup").show();
				 
				 //높이 조절
				 var reheight = $(window).height()-85;
				 $("#healthContentsDiv").css("height" , reheight);
				 
				 //2016-07-18 서석준 화면 동적생성이후 이벤트 바인딩
				 
				 //배너 상품상세 클릭 이벤트 바인딩
				 $("a[name=bannerImg], dl[name=itncatentrynm]").click(function(){
					  var espotId = $(this).closest("li").find("[name=helthEspotId]").val();
					 //상품상세 페이지 열기전 건강테마 레이어 팝업 닫기 처리를 해준다
					 //이부분을 처리 하지 않으면 페이지이동 순서가 꼬인다
					 CurrentPopup.event.dimLayerClose();
				    
					 var gaItemName = "";
					 if($(this)[0].localName == "dl"){
						 gaItemName = $(this).find("dt").text();
					 }else{
						 gaItemName = $(this).find('img')[0].alt;
					 }
					//ga360
					var event_obj = {
							eventCate : 'MOBILE_해피딜',
							eventAction : '최상단테마영역_HAPPY_MAIN_TODAYTHEME',
							eventLabel : $(this).attr("data-partnumber")+"_"+gaItemName
					};
					var subparam = {
							t1 : 'GNB',
							t2 : "해피딜"
					};
				
					GA.sendEventData(event_obj,subparam);
					 
					 mainCtrl.gotoProductDisplay($(this).attr("data-partnumber"), '', 'MOBIL',espotId);
					 //wiseLog 호출
				 });
				 
				 //닫기 버튼 바인딩
				 $("#healthListCls").unbind().bind('click', function(){CurrentPopup.event.dimLayerClose()});
				 
				 CurrentPopup.ui.scroll();
				 
				 $("#productListView a").first().focus();
				 
				 //최초 진입시 wiseLog 쌓기
				 CurrentPopup.espotId = data.msg.happyDealRenewalProdList[0].espotId; //매장 ID
				 CurrentPopup.event.setWiseLog(CurrentPopup.espotId);
			  },
			/**
			 * 2016-07-18 서석준 모바일 앱에서는 스크롤바가 보이지않아
			 * 외부 iScroll js 를 사용하고 있음
			 * */
			scroll : function(){
			 CurrentPopup.lScroll = new iScroll('healthContentsDiv', { 
				 checkDOMChanges: true,
					hideScrollbar:true, //스크롤 하지 않으면 스크롤바 사라지고 스크롤 시작하면 스크롤 나타남
					hScroll : false, //스크롤바 보임
				 });
			   setTimeout(function() {      
				   CurrentPopup.lScroll.refresh();
			   }, 100);
			}
		},  

		util : {
			
		}

};


