
/* JavaScript content from js/member/M_M1231000M.js in folder common */

/** 
 * @Author SGM
 *	일반 회원 가입 - 정보입력
 *  ID : M_M1231000M
 *  
 **/

//page 컨트롤 클래스
CurrentView = {
		isEmailDiapuse : true, //2018-01-25 ssong 휴면 체크
		isEmailCheck : false,
		// 2017.04.13 jjko 아이디 중복체크 시 직전에 체크한 이메일은 다시 확인하지 않을 때 사용 하는 변수
		checkEmail : "",
		isCertCheck : false,
		agreeList : null,
		authObj : null,
		SignUpLogging : new _ns_log(),	// 2018.11.23 kimjh 로그 적재
		
		// 비밀번호 조합 검사
		pwdGradeCode 	: "",
		pwdMsg		: "",
		
		isSendCertNumber : false,
		isDuplicationHpNo : false,
		effectiveTime : 0,		
		
		PopupMsg : {
			MEMBER_ID_EMPTY			: "아이디가 입력되지 않았습니다.",
			MEMBER_ID_EMAIL 		: "이메일 주소가 유효하지 않습니다. 다시 입력해 주세요.",
			MEMBER_ID_LENGTH		: "아이디는 4~40자 이내 영문소문자 또는 영문소문자+숫자 조합으로 입력해 주세요",
			MEMBER_ID_CHECK			: "이미 가입된 아이디(이메일)입니다. 다른 이메일을 입력해 주세요.",
			MEMBER_ID_DIAPAUSE		: "휴면계정 아이디(이메일)입니다. 다른 이메일을 입력해 주세요.", //2018-01-25 ssong 휴면 안내 메세지 추가
			
			MEMBER_NAME_CHECK		: "이름은 한글과 영문만 입력 가능합니다.",
			
			MEMBER_REPWD_EMPTY		: "비밀번호 확인이 입력되지 않았습니다.",
			MEMBER_REPWD_MISSMATCH 	: "비밀번호가 일치하지 않습니다.",
			
			MEMBER_PHONE_EMPTY		: "핸드폰 번호가 입력되지 않았습니다.",
			MEMBER_PHONE_CHECK 		: "핸드폰 번호가 잘못되었습니다.",
			MEMBER_CERT_CHECK 		: "인증 번호가 잘못되었습니다.",
			
			MEMBER_CERT_FIRST		: "인증번호 발송을 선택해 주세요.",
			MEMBER_CERT_DUPLECATE	: "이미 인증이 되었습니다.",
			MEMBER_CERT_LENGTH		: "올바른 인증번호를 입력해 주세요.",
			MEMBER_CERT_SUCCESS		: "인증 되었습니다.",
			MEMBER_CERT_FAIL		: "인증에 실패하였습니다.",
			
			SYSTEM_ERROR			: "시스템 오류입니다. 고객분들께 불편을 드려 죄송합니다. 관리자에게 문의 바랍니다."
		},
		
		init : function( params ) {					
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnSendCertNumber").on("click", CurrentView.event.onclick_btnSendCertNumber );
			$("#btnChkCertNumber").unbind().bind( "click", this.event.onclick_btnChkCertNumber ); // 인증번호확인
			
			$("#joinTerm span a").on("click", CurrentView.event.onclick_joinTerm );
			$("#btnJoins").on("click", CurrentView.data.join);
			$("#tel").on("blur", CurrentView.event.onclick_getDuplicationHpNo);			
			$("#tel").on("click", function(){
				$(".displayCertNumber").hide();
			});		
			
			if (mainCtrl.VIEW_TYPE == "ios") {
				$("#txtPassword").on("focusout", CurrentView.event.onfocusout_checkPassword);
			}else{
				$("#txtPassword").on("keyup", CurrentView.event.onkeyup_checkPassword);
			}
		},
		
		//초기 input		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			/* GNB영역 숨김 */
			mainCtrl.hideGNB();
			
			CurrentView.data.getMemberSignupAgree();
			
			if( mainCtrl.isOsApp() ){
				//adbirx 송신용 파라미터
				var invoke = {
					category : "firstTimeExperience",
					action : "try_join"
				};
				Ns.Native.sendAdbrix( invoke );
				
				invoke.category = "Retention";
				Ns.Native.sendAdbrix( invoke );
			}
			
			$("#CheckId").hide();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			//약관보기 요약본까지 가져오기
			getMemberSignupAgree : function(){
				var invoke = {
					cmdType : "getAgree"
				};
				
				tran.callWCSJsonTran('NsMobileMemberSignupCmd', invoke, CurrentView.ui.setMemberSignupAgree);
			},
			// 핸드폰 번호 중복 여부 조회 결과
			callbackDuplicationHpNo : function(data){				
				CurrentView.isSendCertNumber = false;				
				
				var msg = data.msg.result.resultMsg;
				var code = data.msg.result.resultCode;
								
				var authObj = {
					authnumber : ""
				};
				
				// 중복 값이 있을경우 A
				if (code == "A"){
					$(".displayCertNumber").show();
					CurrentView.isDuplicationHpNo = true;
					
					$("#displayReqAuth").hide();
					$("#divAuthComplete").hide();
					
					$("#divCertNumber").html("");
					
					var arrIds = data.msg.logonIds.split("|");
					var strIds = "";
					for (var i = 0; arrIds.length > i; i++){
						strIds += arrIds[i]+",";
					}					
					strIds = strIds.substring(0, strIds.length-1);
										
					var divCertHtml = "";					
					
					divCertHtml += '<div class="rows">';
					divCertHtml += '	<p class="em-member red">이미 가입된 번호로 신규가입을 위해 본인인증이 필요합니다.</p>';
					divCertHtml += '	<p class="em-member confirm_mail"><span class="confirm_mail_item">'+strIds+'</span>가입하신 아이디 전체를 확인하시려면 아이디찾기, 비밀번호를 확인하시려면 비밀번호 찾기를 이용해주세요</p>';
					divCertHtml += '	<ul class="btn_find_lst">';
					divCertHtml += '		<li class="btn_find_item"><a class="btn_find_link" href="javascript:;" id="findId">아이디 찾기</a></li>';
					divCertHtml += '		<li class="btn_find_item"><a class="btn_find_link" href="javascript:;" id="findPwd">비밀번호 찾기</a></li>';
					divCertHtml += '	</ul>';
					divCertHtml += '</div>';
					
					$("#divCertNumber").html(divCertHtml);
					
					$("#findId").on("click", function(){
						mainCtrl.navigate( "M_M1121100P" );	// 아이디 찾기 페이지 이동
					});
					$("#findPwd").on("click", function(){
						mainCtrl.navigate( "M_M1131100P" );	// 비밀번호 찾기 페이지 이동
					});
					
					return;
				} else if ( code == "A1"){
					// TV 회원 정보가 있을 경우
					$(".displayCertNumber").show();
					CurrentView.isDuplicationHpNo = true;
					
					$("#displayReqAuth").hide();	// 인증번호 입력 영역
					$("#divAuthComplete").hide();	// 인증번호 확인 영역
					
					$("#divCertNumber").html("");	// 휴대폰 번호 인증 후 안내 메시지
					var divCertHtml = "";
					 
					divCertHtml += '<div class="rows">';
					divCertHtml += '	<p class="em-member red">TV회원으로 가입된 번호로 본인인증이 필요합니다.</p>';
					divCertHtml += '	<p class="em-member">통합가입을 원하시면 모바일 회원가입 후 콜센터로 문의해주세요.</p>';
					divCertHtml += '</div>';                  
					
					$("#divCertNumber").html(divCertHtml);									
					
					authObj.tempUserId = data.msg.tempUserId;
					authObj.phone = CurrentView.authObj.phone;
					CurrentView.authObj = authObj;
					
					// hckim 2019.01.08 회원 가입 점유인증제거 - 인증번호 입력 화면 show
					$("#certNumer").focus();
					return;
				}else if(code == "S0"){
					$(".displayCertNumber").hide();
					CurrentView.isDuplicationHpNo = false;
					return;
				}				
				Ns.Popup.alert(msg);
				$("#certNumer").focus();
			},
			
			//인증번호 전송 callback
			callbackCertNumber : function( data ){
				CurrentView.isSendCertNumber = false;				
				
				var msg = data.msg.result.resultMsg;
				var code = data.msg.result.resultCode;
				
				var authObj = {
					authnumber : ""
				};
								
				// 인증번호 발송 완료
				if (code == "Y"){
					$(".displayCertNumber").show();
					CurrentView.isDuplicationHpNo = true;
					
					authObj.authnumber = data.msg.authnumber;
					authObj.tempUserId = data.msg.tempUserId;
					authObj.phone = CurrentView.authObj.phone;
					CurrentView.authObj = authObj;
					
					// hckim 2019.01.08 회원 가입 점유인증제거 - 인증번호 입력 화면 show
					$("#certNumer").focus();					
				} 			
				Ns.Popup.alert( msg + (Const.IS_DEV_MODE == true ? "<br/>" + authObj.authnumber : ""));
				$("#certNumer").focus();
								
				// 인증번호 유효시간 이내일 경우 버튼 문구 변경
				CurrentView.ui.getRequestAuthNoChange(data.msg.effectiveTime);				

				// 서버에서 인증번호 입력 유효시간 확인(180초)
				mainCtrl.checkTimerObject();
				mainCtrl.m_timer = setInterval(CurrentView.ui.getAuthNoIntervalTime, 1000);
			},
			
			//회원가입
			join : function(){
				var name = $.trim($("#txtName").val());
                
                if (name.length < 2 ) {
                	Ns.Popup.alert("이름은 두자 이상 입력해주세요.");
    				return false;
    			}
                
				if ( CurrentView.data.validationCheck() ){
					//중복체크 확인
					if ( CurrentView.isEmailCheck == false ){
						Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_ID_CHECK );
						return false;
					}
					
					// 2018-01-25 ssong 휴면 체크
					if ( CurrentView.isEmailDiapuse == false ){
						Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_ID_DIAPAUSE );
						return false;
					}

					var authNumber = "";
					
					// hckim 2019.01.08 회원가입 점유인증제거 - 핸드폰번호로 처음 가입 요청일 경우 인증번호 확인하지 않음
					if(CurrentView.isDuplicationHpNo){
						authNumber = $("#certNumer").val();
						if ( authNumber.length != 4 ){
							Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_CERT_CHECK );
							return false;
						}
					}
					
					//이름 validation 체크
					var name = $.trim($("#txtName").val());					
					if( !Ns.Util.isHangul( name, true ) ){
						Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_NAME_CHECK );
						return false;
					}
					
					var callbackFunc = function() {
						
						// 비밀번호 유효성 체크
						if(CurrentView.pwdGradeCode == '99'){
							Ns.Popup.alert( CurrentView.pwdMsg );					
							return false;
						} 
						
						var email = "";
						var id    = "";
						var IdFlag = false;			//ID flag값
						
						//변동값
						if($.trim($("#txtUserEmail").val()) == ""){
							id = $.trim($("#txtUserId").val());
						}
						if($.trim($("#txtUserEmail").val()) != ""){
							email = $.trim($("#txtUserEmail").val());
							id = $.trim($("#txtUserId").val()) + "@" + email;
						}
						
						//직접입력시 @ 한개 이상이거나 @앞에 id가 없는 경우 팅기게 하기.
						if((id.match(/@/g) || []).length > 1){
							IdFlag = true;
						}
						
						if(id.indexOf("@") == 0){
							IdFlag = true;
						}
						
						if(IdFlag == true){
							Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_ID_EMAIL );
							return false;
						}
						
						var invoke = {};
						
						//필수 고정값
						invoke.cmdType = "save";
						invoke.memberType = "K";
						invoke.phone = CurrentView.authObj.phone;				//인증한 핸드폰 번호
						invoke.authNumber = authNumber;
						invoke.tempUserId = CurrentView.authObj.tempUserId;
						invoke.agree = "Y,Y,Y,Y";
						invoke.termsCd = "SA-011,SX-001,SY-001,SZ-001";
						invoke.userProfileField2 = "Y";
						invoke.registpath = "M";
						invoke.URL = "NsMobileMemberSignupCmd";
						
						invoke.logonid = id;
						invoke.name = name;
						invoke.firstName = name;
						invoke.lastName = name;
						invoke.logonPassword = $.trim($("#txtPassword").val());
						invoke.logonPasswordVerify = $.trim($("#txtRePassword").val());
						invoke.affilEntCd = Const.getCocd();
						invoke.entEmail = id;
						
						// hckim 2019.01.08 회원가입 점유인증제거 - 핸드폰번호로 처음 가입 요청 여부
						invoke.isDuplicationHpNo = CurrentView.isDuplicationHpNo;

						tran.callWCSJsonTran('NsMobileMemberSignupCmd', invoke, CurrentView.data.callbackJoin );								
					}
					
					// 비밀번호 조합 검증 API 호출
					CurrentView.event.call_ValidatePassword(callbackFunc);
								
				}
			},
			
			//회원가입 callback
			callbackJoin : function( data ){
				
				var code = data.msg.result.resultCode;
				var msg = data.msg.result.resultMsg;
				if ( code == "Y" || code == "y" ){
					if( mainCtrl.isOsApp() ){
						//adbirx 송신용 파라미터
						var invoke = {
							category : "firstTimeExperience",
							action : "join_complete"
						};
						Ns.Native.sendAdbrix( invoke );
						
						invoke.category = "Retention";
						Ns.Native.sendAdbrix( invoke );
						
						// 2018.11.08 kimjh 구글 스마트락 로그인 저장 시작
						var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
						if(mainCtrl.VIEW_TYPE == "android" && version >= 2928){
							Ns.LocalStorage.del('SL_DISABLE');
							if(!Ns.Util.isNull(data.msg.memberInfo.logonPassword)){
								NSCustom.SL_SaveCredential(data.msg.memberInfo.logonId, data.msg.memberInfo.logonPassword)
							}
						}
						// 2018.11.08 kimjh 구글 스마트락 로그인 저장 종료
						
						////jihee adbrix 회원가입 후 첫구매 판단을 위한 시간 데이터 저장
						var timestamp = new Date().getTime();
						localStorage.setItem(STORAGE_KEY.JOIN_TIME,timestamp);
						//jihee : 제휴사 adbrix 실적 정보 전달
						mainCtrl.callAdbrixLogin(data.msg.memberInfo);
						
					} else {
						/* NHN 유입 추적 스크립트 시작 */
						var objNHN = new Object();
						objNHN.CN = "k1yAemu7V8w=";	// 컨버전 ID
						objNHN.CK = "";	// 컨버전 전환 번호(주문번호, 예약번호 등등 유일 번호)
						objNHN.CA = "";	// 전체 매출액
						objNHN.CDN = "";	// 판매된 상품이름 (복수일 경우 ; 로 구분)
						objNHN.CDE = "";	// 각 판매된 상품의 수량 (복수일 경우 ; 로 구분)
						objNHN.CDC = "";	// 각 판매된 상품의 단가 (복수일 경우 ; 로 구분)
						objNHN.CDT = "";	// 각 판매된 상품의 그룹
						objNHN.ETC1 = "";	// 기타 부가 정보
						
						NHNSend(objNHN);	// adbrix 펑션 호출

					}
					
					var ObjCartNaver = new Object();
					ObjCartNaver.StrTranSoft = "2";
					ObjCartNaver.StrTranValue = "1";//"50000";
					
					Fn_WcsNaver(4,ObjCartNaver);
					
					// Facebook sdk
					if (mainCtrl.VIEW_TYPE == "android") {
						var invoke2 = {};
						invoke2.registrationMethod = 'Email';
						invoke2.action = 'completedRegistration';
						Ns.Native.sendFacebook( invoke2 );
					}
					
					var invoke = {};
					invoke.userName = data.msg.memberInfo.userName;
					invoke.userPhone = data.msg.memberInfo.userPhone;
					invoke.logonId = data.msg.memberInfo.logonId;
					invoke.pass = $.trim($("#txtPassword").val());
					// inQkang 스크립트 삽입 요청의 건 (NEO)
					Emf.convCall(844, 3399, 1, 0, 0); 
					// 2018.11.23 kimjh 로그 적재
					CurrentView.SignUpLogging.a("join")
					.a("L")
					.a(data.msg.memberInfo.logonId)
					.a("00")
					.a("성공")
					.l();
					
					// AIQUA
					mainCtrl.userEventToAIQUA("registration_completed");
					mainCtrl.userProfileToAIQUA(
							data.msg.memberInfo.custNum,
							data.msg.memberInfo.userName,
							data.msg.memberInfo.logonId,
							data.msg.memberInfo.userPhone,
							null, null, null, 
							mainCtrl.checkDevicePushAgree(), 
							null, null,
							'새내기',
							Const.getCocd());
					
					mainCtrl.navigate('M_M1241000M', invoke );
				} else {
					// 2018.11.23 kimjh 로그 적재
					CurrentView.SignUpLogging.a("join")
					.a("L")
					.a(data.msg.memberInfo.logonId)
					.a("01")
					.a("실패")
					.l();
					
					Ns.Popup.alert( msg );
				}
			},
			
			validationCheck : function(){
				var userId = $.trim($("#txtUserId").val());
				var pwd = $("#txtPassword").val();
				var rePwd = $("#txtRePassword").val();				
				var tel = $.trim($("#tel").val());
				var email = $.trim($("#txtUserEmail").val());
				
				//아이디 체크(공백 & 한글 & 자리수)
				if(userId == ""){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_ID_EMPTY );					
					return false;
				}else if(Ns.Util.isHangul( userId )){
					Ns.Popup.alert( "한글 아이디는 허용되지 않습니다." );
					return false;
				}else if(!Ns.Util.isInputIdOtherCheck(userId, 4, 40)){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_ID_LENGTH );
					return false;
				}else if(tel == ""){
					$("#tel").focus();
					Ns.Popup.alert(CurrentView.PopupMsg.MEMBER_PHONE_EMPTY);					
					return false;
				}else if(userId.indexOf('@') == -1) {
					if(email == ""){
						$("#txtUserId").focus();
						Ns.Popup.alert("이메일(아이디)을 입력해 주세요.");
						return false;
					}
				}
				
				//비밀번호 확인 체크(공백 & 비밀번호 매치)
				if( rePwd == "" ){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_REPWD_EMPTY );										
					return false;
				}else if( pwd != rePwd ){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_REPWD_MISSMATCH );										
					return false;
				}
				return true;
			},
			
			// APP SMS 접근 권한 설정(true : 권한 허용 동의, false : 권한 허용 불가.) - 2019.03.20 회원가입 점유인증 제거 - 구글 정책으로 인하여 SMS 인증 번호 추출 로직 주석처리
			/*
			// APP SMS 접근 권한 설정(true : 권한 허용 동의, false : 권한 허용 불가.)
			callBackPermissionReceiveSms : function(data){
				
				// 접근 권한 유무와 관계없이 인증번호 발송				
				CurrentView.event.sendCertNumber();				
			},			
			
			// APP 인증번호 설정(APP에서 SMS 인증번호 수신했을 경우)			
			getSMSAuthNum : function(authNumber){
				$("#certNumer").val(authNumber);
			},
			*/
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			
			// 인증번호 입력 시간 제한 타이머.
			getAuthNoIntervalTime : function(){

				var comSecond = CurrentView.effectiveTime;
				var addZero = function(number){
					return parseInt(number, 10) < 10 ? "0" + number : number;
				};
				
				var hh = Math.floor(comSecond / 60);
				hh = addZero(hh)

				var mm = (comSecond % 60);
				mm = addZero(mm);
				
			    var m = hh + ":" + mm;
			    $("#timer").text(m);
			    		    
			    comSecond--;
			    CurrentView.effectiveTime = comSecond;
			    
			    if(comSecond < 0){			    	
			    	clearInterval(mainCtrl.m_timer);
			    	
			    	$("#btnChkCertNumber").addClass("btn_disable");
			    	Ns.Popup.alert("입력 시간이 초과되었습니다.<br/>인증번호를 재발송 받아서 입력해주세요.");
			    }
			},
			// 인증번호 유효시간 이내일 경우 버튼 문구 변경
			getRequestAuthNoChange : function(effectiveTime){
				CurrentView.effectiveTime = effectiveTime;				
				$("#timer").show();
				
				if(effectiveTime > 0){
					$("#textRequestAuthNo").text("인증번호 재발송");
					$("#btnSendCertNumber").addClass("btn_reconfirm");
					
					$("#btnChkCertNumber").removeClass("btn_disable");
							    	
				}
			},
			//화면에 약관 요약본을 그려준다
			setMemberSignupAgree : function( data ){
				if ( Ns.Util.isNull(data) || Ns.Util.isNull(data.msg) ){
					return false;
				}
				
				var UsingTerms = data.msg.agreeSA;
				var UsingTermsSub = data.msg.agreeSX;
				var PersonGuideAgree = data.msg.agreeSY;
				var PersonGuideAgreeSub = data.msg.agreeSZ;
				
				//약관 선택시 사용할 데이터 미리 추출
				var data = {
					UsingTerms : UsingTerms,
					PersonGuideAgree : PersonGuideAgree
				};
				CurrentView.agreeList = data;
				
				//제목을 넣는부분은 아직 미정 내용만 삽입
				$("#termNotice").html( Ns.Util.htmlDecode(UsingTermsSub.content) );
				$("#termMall").html( Ns.Util.htmlDecode(PersonGuideAgreeSub.content) );
			},
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			selEmail : function(){
				var id = $.trim($("#txtUserId").val());
				var email = $.trim($("#txtUserEmail").val());
				
				if(id.indexOf("@") > -1 && email != ""){
					id = id.substring(0,id.indexOf("@"));
					id = id.replace(/[^0-9a-z]/g,"");	// 숫자, 영문소문자만 나오도록 치환
					$("#txtUserId").val(id);
				}
				
				var logonId = id + "@" + email;

				CurrentView.checkEmail = logonId;
				
				var invoke = {
					cmdType : "checkLogonIdUsability",
					logonid : logonId
				};
				
				if(id != ""){
					tran.callWCSJsonTran('NsMobileMemberSignupCmd', invoke, function( data ){
						var code = data.msg.result.resultCode.toUpperCase();
						var msg = data.msg.result.resultMsg;
						
						if( code == "Y"){
							CurrentView.isEmailCheck = true;
							CurrentView.isEmailDiapuse = true;
							$("#CheckId").hide();
							$("#diapauseId").hide();
						// 2018-01-22 ssong 휴면계정 체크 추가
						} else if ( code == "R"){
							CurrentView.isEmailCheck = true;
							CurrentView.isEmailDiapuse = false;
							$("#CheckId").hide();
							$("#diapauseId").show();
						}else{
							CurrentView.isEmailCheck = false;
							CurrentView.isEmailDiapuse = true;
							$("#CheckId").show();
							$("#diapauseId").hide();
						}
					});
				}
			},
			
			// 이름 체크 한글 10자 이내만 입력 가능
            onCheckName : function( ){
                var name = $.trim($("#txtName").val());
                
                if (Ns.Util.getBytes(name) > 30)
                {
                	Ns.Popup.alert("한글 10자까지 입력하실 수 있습니다");
                    name = Ns.Util.getCutBytes(name , 30);
                    $("#txtName").val(name);
                    
                }
            },
            
            // 이름 체크 한글 2자 이내만 입력 가능
            onfocusout_CheckName : function( ){  
                CurrentView.event.onCheckName();                
            },
		
			//이메일 중복확인
			// 2017.04.13 jjko focusout 될 때 체크 하도록 변경.
			onfocusout_checkEmail : function( objThis ){
				var id = $.trim($("#txtUserId").val());
				var email = $.trim($("#txtUserEmail").val());
				var logonId = "";
				
				// 이메일 주소 '직접입력'일 경우
				if(email == ""){
					logonId = ($.trim($("#txtUserId").val())).split('@');
					var regexp = /\.$/g;
					if ( (regexp.test(logonId[0]) && logonId[0].length > 0) || (regexp.test(logonId[1]) && logonId[1].length > 0)) {
						$("#txtUserId").attr("readonly", true);
						Ns.Popup.alert("아이디는 4~40자의 영소문자 또는 숫자만 입력 가능합니다.", function(){
							$("#txtUserId").attr("readonly", false);
						});
						logonId[0] = logonId[0].replace(/\.$/g,"");	
						logonId[1] = logonId[1].replace(/\.$/g,"");	
						$("#txtUserId").val(logonId[0]+"@"+logonId[1]);
						$("#txtUserId").focus();
					}
					logonId = $.trim($("#txtUserId").val());
				}
				
				// 이메일 주소 '직접입력'이 아닐 경우
				if(email != ""){
					var regexp = /\.$/g;
					if ( regexp.test(id) && id.length > 0 ) {
						$("#txtUserId").attr("readonly", true);
						Ns.Popup.alert("아이디는 4~40자의 영소문자 또는 숫자만 입력 가능합니다.", function(){
							$("#txtUserId").attr("readonly", false);
						});
						id = id.replace(/\.$/g,"");
						$("#txtUserId").val(id);
						$("#txtUserId").focus();
					}
					logonId = id + "@" + email;
				}

				if (CurrentView.checkEmail == logonId) {
                    return;
                }
				 
				var invoke = {
					cmdType : "checkLogonIdUsability",
					logonid : logonId
				};
								
				CurrentView.checkEmail = logonId;
				
				tran.callWCSJsonTran('NsMobileMemberSignupCmd', invoke, function( data ){
					var code = data.msg.result.resultCode.toUpperCase();
					var msg = data.msg.result.resultMsg;
					// 2018-01-22 ssong 휴면계정 체크 추가
					if( code == "Y"){
						CurrentView.isEmailCheck = true;
						CurrentView.isEmailDiapuse = true;
						$("#CheckId").hide();
						$("#diapauseId").hide();
					} else if( code == "R"){
						CurrentView.isEmailCheck = true;
						CurrentView.isEmailDiapuse = false;
						$("#CheckId").hide();
						$("#diapauseId").show();
					} else {
						CurrentView.isEmailCheck = false;
						CurrentView.isEmailDiapuse = true;
						$("#CheckId").show();
						$("#diapauseId").hide();
					}
				});
			},
			
			// 비밀번호 onfocusout 함수
			onfocusout_checkPassword : function(){
				// 비밀번호 조합 체크
				CurrentView.event.call_ValidatePassword();
			},
			
			// 비밀번호 onkeyup 함수
			onkeyup_checkPassword : function(){
				// 비밀번호 조합 체크
				CurrentView.event.call_ValidatePassword();
			},
			
			// 비밀번호 onkeyup 함수
			onkeyup_checkPasswordConfirm : function(){
				// 비밀번호 확인 체크
				var pwd =  $("#txtPassword").val();
				var rePwd = $("#txtRePassword").val();
				
				if( pwd != rePwd && rePwd != "" ){
					$("#passwordConfirmMsg").show();
				} else {
					$("#passwordConfirmMsg").hide();
				}
			},
			
			StringFixEncodeURIComponent : function(params) {
				return encodeURIComponent(params).replace(/\-/g, "%2D").replace(/\_/g, "%5F").replace(/\./g, "%2E").replace(/\!/g, "%21").replace(/\~/g, "%7E").replace(/\*/g, "%2A").replace(/\'/g, "%27").replace(/\(/g, "%28").replace(/\)/g, "%29");
			},
			
			// 비밀번호 조합 체크 API 호출
			call_ValidatePassword : function(callbackFunc){
				
				// 입력된 password
				var password = $("#txtPassword").val();
				password = CurrentView.event.StringFixEncodeURIComponent(password);
				// 요청 param
				var invoke = {
					validatePwd : password
				};
				
				// 비밀번호 조합 체크 API 호출
				tran.callWCSJsonTran('ValidatePassword', invoke, function( data ){
					
					// 비밀번호 안전 등급
					var pwdGradeCode = data.msg.root.validStatus;
					
					// 비밀번호 유효성 검사 메시지
					var pwdMsg = data.msg.root.validMsg;
					
					// 비밀번호 안전 등급 정의
					var pwdGradeColor = {
							"00" : { grade : "안전", color : "danger_low" },
							"01" : { grade : "다소위험", color : "danger_mid" },
							"99" : { grade : "사용불가", color : "danger_high" },
					}
					
					// 회원가입 버튼 클릭 시 유효성 검사를 위해 전역변수에 저장
					CurrentView.pwdGradeCode = pwdGradeCode;
					CurrentView.pwdMsg = pwdMsg;
						
					// 안내문구 설정
					$("#safetyMsg").text(pwdMsg)
					$("#safetyMsg").removeClass('danger_low danger_mid danger_high');
					$("#safetyMsg").addClass(pwdGradeColor[pwdGradeCode].color);
					
					// 안전등급 설정
					$("#safetyGrade").text(pwdGradeColor[pwdGradeCode].grade);
					$("#safetyGrade").removeClass('danger_low danger_mid danger_high');
					$("#safetyGrade").addClass(pwdGradeColor[pwdGradeCode].color);
					
					if(password != ""){
						// 안내문구 노출
						$("#divSafetyMsg").show();
						// 안전등급 노출
						$("#safetyGrade").show();
					} else {
						// 안내문구 숨김
						$("#divSafetyMsg").hide();
						// 안전등급 숨김
						$("#safetyGrade").hide();
					}
					
					// 파라미터로 들어온 callback 함수가 있으면 추가적으로 실행해줌
					if(callbackFunc != undefined){
						callbackFunc();
					}
					
				});
			},
			
			
			
			//이메일 입력 시 숫자, 영문소문자, 빼기(-), 언더바(_), 마침표(.)만 나오도록 치환
			onkeyup_checkIdText : function( ){
				var id = $.trim($("#txtUserId").val());
				var email = $.trim($("#txtUserEmail").val());
				
				if(mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){ // Android일경우
					var regexp = / /;
					
					if (email != "") {
						regexp = /^[a-z0-9\.\_\-]{1,39}$/g; // 숫자,영소문자, 빼기(-), 언더바(_), 마침표(.)
						if ( !regexp.test(id) && id.length > 0 ) {
							$("#txtUserId").attr("readonly", true);
							Ns.Popup.alert("아이디는 4~40자의 영소문자 또는 숫자만 입력 가능합니다.", function(){
								$("#txtUserId").attr("readonly", false);
							});
							id = id.replace(/[^0-9a-z\.\_\-]/g,"");	// 숫자, 영문소문자, 빼기(-), 언더바(_), 마침표(.)만 나오도록 치환
						}
						
						regexp = /(\.\.)/g;
						if ( regexp.test(id) && id.length > 0 ) {
							$("#txtUserId").attr("readonly", true);
							Ns.Popup.alert("아이디는 4~40자의 영소문자 또는 숫자만 입력 가능합니다.", function(){
								$("#txtUserId").attr("readonly", false);
							});
						}
						
						regexp = /^\./g;
						if ( regexp.test(id) && id.length > 0 ) {
							$("#txtUserId").attr("readonly", true);
							Ns.Popup.alert("아이디는 4~40자의 영소문자 또는 숫자만 입력 가능합니다.", function(){
								$("#txtUserId").attr("readonly", false);
							});
							id = id.replace(/^\./g,"");	
						}
						
					} else {
						regexp = /^[0-9a-z@.\.\_\-]{1,39}$/g; // 숫자, 영소문자, 이메일(@,.), 빼기(-), 언더바(_), 마침표(.)
						if ( !regexp.test(id) && id.length > 0 ) {
							$("#txtUserId").attr("readonly", true);
							Ns.Popup.alert("아이디는 4~40자의 영소문자 또는 숫자만 입력 가능합니다.", function(){
								$("#txtUserId").attr("readonly", false);
							});
							id = id.replace(/[^0-9a-z@.\_\-]/g,"");	// 숫자, 영문소문자, 빼기(-), 언더바(_), 마침표(.)만 나오도록 치환
						}
						
						regexp = /(\.\.)/g;
						if ( regexp.test(id) && id.length > 0 ) {
							$("#txtUserId").attr("readonly", true);
							Ns.Popup.alert("아이디는 4~40자의 영소문자 또는 숫자만 입력 가능합니다.", function(){
								$("#txtUserId").attr("readonly", false);
							});
						}
						
						regexp = /^\./g;
						if ( regexp.test(id) && id.length > 0 ) {
							$("#txtUserId").attr("readonly", true);
							Ns.Popup.alert("아이디는 4~40자의 영소문자 또는 숫자만 입력 가능합니다.", function(){
								$("#txtUserId").attr("readonly", false);
							});
							id = id.replace(/^\./g,"");	
						}
					}					
					
				} else { // Android가 아닐경우		
					if(email != ""){
						id = id.replace(/[^0-9a-z\.\_\-]/g,"");	// 숫자, 영문소문자, 빼기(-), 언더바(_), 마침표(.)만 나오도록 치환
						id = id.replace(/(\.\.)/g,"\."); //마침표 2번 연속이면 한번만 나오도록 치환
						id = id.replace(/^\./g,"");	//첫 글자가 마침표이면 치환
					}else if(email == ""){
						id = id.replace(/[^0-9a-z@.\.\_\-]/g,"");	// 숫자, 영문소문자, 빼기(-), 언더바(_), 마침표(.), 이메일(@)만 나오도록 치환
						id = id.replace(/(\.\.)/g,"\."); //마침표 2번 연속이면 한번만 나오도록 치환
						id = id.replace(/^\./g,"");	//첫 글자가 마침표이면 치환
					}
				}
				$("#txtUserId").val(id);
			},
			
			// 핸드폰 번호 기준 중복 여부 조회
			onclick_getDuplicationHpNo : function(){
				var tel = $.trim($("#tel").val());
				
				var hpFirst = tel.substring(0,3);
				var hpMid  =  tel.substring(3,7);
				var hpLast =  tel.substring(7,11);
				
				//핸드폰자리가 11자리 이하일 경우
				if ( tel.length < 11 ){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_PHONE_CHECK );
					return false;
				}
				
				var phone = hpFirst + "-" + hpMid + "-" + hpLast;
				var invoke = {
					cmdType : "getDuplicationHpNo",
					phone : phone
				};				
				//인증번호 요청시마다 항상 초기화
				CurrentView.authObj = {};
				CurrentView.authObj.phone = phone;
				
				$("#UsingTerms").focus();
				
				if(CurrentView.isSendCertNumber == false){								
					CurrentView.isSendCertNumber = true;
					tran.callWCSJsonTran('NsMobileMemberSignupCmd', invoke, CurrentView.data.callbackDuplicationHpNo );
				}
			},		
			//인증번호 발송 이벤트 처리
			onclick_btnSendCertNumber : function(){
				// hckim 2019.03.07 AOS APP일경우 SMS 권한 permission 확인을 위한 APP 호출 후 인증번호 발생  - 구글 정책으로 인하여 SMS 인증 번호 추출 로직 주석처리
				/*
				if(mainCtrl.VIEW_TYPE == "android"){
					// hckim 2019.03.07 Native App SMS 권한 permission 체크 인터페이스 호출(addJavaScriptInterface)					
					Ns.Native.checkPermission(CurrentView.data.callBackPermissionReceiveSms, CurrentView.data.callBackPermissionReceiveSms,"RECEIVE_SMS");

				}else{					
					CurrentView.event.sendCertNumber();	// 인증번호 발송			
				}
				*/
				CurrentView.event.sendCertNumber();	// 인증번호 발송	
			},
			// 인증번호 발송
			sendCertNumber : function(){
				// 인증번호 재전송 버튼 클릭 시 재전송 여부 확인
				if(CurrentView.effectiveTime > 0){
					if(!confirm("인증 번호가 이미 발송되었습니다. 다시 받으시겠습니까?")){
						return false;
					}else{
						clearInterval(mainCtrl.m_timer);
					}
				}
				
				// 해당 번호로 회원가입 인증번호가 발송됩니다.
				$("#divCertNumber").html("");
				var divHtml = '<p class="em-member">해당번호로 회원가입 인증번호가 발송됩니다.</p>';
				$("#divCertNumber").html(divHtml);				
				
				
				var tel = $.trim($("#tel").val());
				var name = $.trim($("#txtName").val());
				
				var hpFirst = tel.substring(0,3);
				var hpMid  =  tel.substring(3,7);
				var hpLast =  tel.substring(7,11);
				
				//핸드폰자리가 11자리 이하일 경우
				if ( tel.length < 11 ){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_PHONE_CHECK );
					return false;
				}
				
				var phone = hpFirst + "-" + hpMid + "-" + hpLast;
				var invoke = {
					cmdType : "sendSmsAuth",
					phone : phone,
					name : name 
				};
				
				// 인증번호 확인 완료 시 전화번호 설정
				$("#confirmTel").text(phone);
				
				//인증번호 요청시마다 항상 초기화
				CurrentView.authObj = {};
				CurrentView.authObj.phone = phone;
				
				$("#UsingTerms").focus();
				
				if(CurrentView.isSendCertNumber == false){								
					CurrentView.isSendCertNumber = true;
					tran.callWCSJsonTran('NsMobileMemberSignupCmd', invoke, CurrentView.data.callbackCertNumber );
				}
			},			
			// hckim 2019.01.11 회원점유인증제거 - 핸드폰번호 인증 시 인증번호 확인
			onclick_btnChkCertNumber : function(){
				var authnumber = $.trim($("#certNumer").val());
				var tempUserId = CurrentView.authObj.tempUserId;
				
				//인증번호 필드에 아무 값이 없을 경우
				if ( Ns.Util.isNull(authnumber) ){
					Ns.Popup.alert("인증번호 발송을 선택해 주세요.");
					$("#certNumer").focus();
					return;
				}							
				
				var invoke = {};
				invoke.authNumber = authnumber;
				invoke.tempUserId = tempUserId;
				invoke.cmdType = "confirmCertificateNo";								
				
				tran.callWCSJsonTran('NsMobileMemberSignupCmd', invoke, function(data){					
					var result = data.msg.result.processMsg;
					var msg = data.msg.result.errorMsg;
					
					if(result == "S"){
						CurrentView.isCertCheck = true;
						$("#certNumer").attr("disabled",true);
						$("#btnChkCertNumber").off();
						$("#btnSendCertNumber").off();
						
						clearInterval(mainCtrl.m_timer);
						
						$("#divSendCertNumber").hide();
						$("#displayReqAuth").hide();
						$("#divAuthComplete").show();						
						
					}else{
						CurrentView.isCertCheck = false;
						$("#divAuthComplete").hide();
						
						Ns.Popup.alert( msg );	
					}
					
				} );
						
			},
			
			//약관보기
			onclick_joinTerm : function(){
				var id = $(this).attr('id');
				Ns.Popup.showPopup( "M_M1220001M",{ objName : id, objData : CurrentView.agreeList[id] });
			},	
			
		}		
		
};		