
/* JavaScript content from js/member/M_M1241000M.js in folder common */
/* 
 *	일반 회원 가입 - 가입완료. 
 *  ID : M_M1241000M
 *  
*/

//page 컨트롤 클래스
var dl_conv_id = 12;

CurrentView = {
		
		memberInfo : null,
		userName : null,
		
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#sendAgree span input").on('click', CurrentView.event.onclick_sendAgree );
			$("#btnSubJoins").on('click', CurrentView.data.subJoins );
			
			$("#man").on('click', function(){
				if( $(this).is(":checked") && $("#woman").is(":checked") ){
					$("#woman").prop('checked',false);
				}
			});
			
			$("#woman").on('click', function(){
				if( $(this).is(":checked") && $("#man").is(":checked") ){
					$("#man").prop('checked',false);
				}
			});
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			var pass = params.pass;
			var logonId = params.logonId;
			var	name = params.userName; 
			
			delete params.pass;
			
			CurrentView.memberInfo = params;
			
			CurrentView.ui.makeJoinResultInfo( name, logonId );
			
			//logonId, logonPassword, logonType, resAction, saveYn, autoYn, isAutoLoginCheck
			var param = {
				logonId : logonId,
				logonPassword : pass,
				logonType : LOGON_TYPE.normal,
				resAction : 'none'
			};
			mainCtrl.userLogin( param );
			CurrentView.data.getMemberSignupAgree();
			
			brand_id = 3;
			var dl_conv_id = 12;
			var dl_rev_net = 0;
			var dl_rev_gross = 0;
			var dl_tran_id = "";
			var dl_product_name = "";
			var dl_etc1 = "";
			var dl_etc2 = "";
			var dl_etc3 = "";
			var dl_etc4 = "";
			var dl_etc5 = "";
			
			dlight.sendConversion(dl_conv_id, dl_rev_net, dl_rev_gross, dl_tran_id, dl_product_name, dl_etc1, dl_etc2, dl_etc3, dl_etc4, dl_etc5);
		
			!function(f,b,e,v,n,t,s)
			{
				if(f.fbq)
					return;
				n=f.fbq=function(){n.callMethod?
						n.callMethod.apply(n,arguments):n.queue.push(arguments)};
				if(!f._fbq)
					f._fbq=n;
				n.push=n;
				n.loaded=!0;
				fn.version='2.0';
				n.queue=[];
				t=b.createElement(e);
				t.async=!0;
				t.src=v;
				s=b.getElementsByTagName(e)[0];
				s.parentNode.insertBefore(t,s)
			}(window, document,'script', 'https://connect.facebook.net/en_US/fbevents.js');
			fbq('init', '1164815017046073');
			fbq('track', 'PageView');
			fbq('track', 'CompleteRegistration');		
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			/**
			 * 약관보기 요약본까지 가져오기
			 */
			getMemberSignupAgree : function(){
				var invoke = {
					cmdType : "getAgree"
				};
				
				tran.callWCSJsonTran('NsMobileMemberSignupCmd', invoke, CurrentView.ui.setMemberSignupAgree);
			},
			
			/**
			 * '완료' 버튼 클릭 이벤트
			 */
			subJoins : function(){
				var isSMS = $("input:checkbox[id=chkboxSMS]").is(":checked") == true ? "Y" : "N";
				var isEmail = $("input:checkbox[id=chkboxEmail]").is(":checked") == true ? "Y" : "N";
				var isTel = $("input:checkbox[id=chkboxTel]").is(":checked") == true ? "Y" : "N";
				var gender = $("#gender input:checkbox:checked").val();
				if ( undefined == gender ){
					gender = "";
				}
				
				var email = $("#txtEmail").val();
				var phone = $("#txtPhone").val();
				var phoneType = $("#telType").val();
				var birth = $("#txtBirthday").val();
				
				// TM 수신동의 시 - 성별 및 생년월일 값 필수확인
				if(isTel=="Y"){
					if ( gender == "" ){
						if (Ns.Util.isNull(birth)){ //성별 및 생년월일이 입력되지 않은 경우
							Ns.Popup.alert("성별 및 생년월일을 입력해 주세요.");
							return false;
						} else {
							Ns.Popup.alert("성별을 선택해 주세요."); //성별이 입력되지 않은 경우
							return false;
						}
					} else if(Ns.Util.isNull(birth)) { //생년월일만 입력되지 않은 경우
						Ns.Popup.alert("생년월일을 입력해 주세요");
						return false;
					}					
				}
				
				// 생년월일이 입력되어 있을 경우 - 생년월일 Validation 체크
				if(!Ns.Util.isNull(birth)){
					
					if( birth.length < 8 ){
						Ns.Popup.alert("생년월일을 8자리로 입력해 주세요");
						return false;
					}
					
					var strNowDate = Ns.Date.getNowDate();	// 시스템 년월일
					
					if (undefined != strNowDate || null != strNowDate || strNowDate != ""){	// 년월일이 이상 없으면...
						if (Number(strNowDate, 10) < Number(birth, 10)){	// 입력된 값이 시스템 년월일 보다 크면
							Ns.Popup.alert("생년월일을 정확히 입력해 주세요.");
							return false;
						}
					}
					
					var strInYear = birth.substring(0,4);	// 입력받은 연도
					var strInMonth = birth.substring(4,6);	// 입력받은 월
					var strInDay = birth.substring(6,8);	// 입력받은 일
					
					// 월이 1 ~ 12월 사이인가
					if (Number(strInMonth, 10) < 1 || Number(strInMonth, 10) > 12){
						Ns.Popup.alert("생년월일을 정확히 입력해 주세요.");
						return false;
					}
					
					var nMonthLastDay = new Date(new Date(strInYear, strInMonth, 1)- 86400000).getDate();	// 해당 년,월의 마지막 일
					
					// 일이 1 ~ 해당 년월의 마지막날 사이인가
					if (Number(strInYear, 10) <= 1700  || Number(strInDay, 10) < 1 || Number(strInDay, 10) > nMonthLastDay){
						Ns.Popup.alert("생년월일을 정확히 입력해 주세요.");
						return false;
					}
				}
				
				// 통신사 값이 있을 경우 - 전화번호 입력 여부를 확인한다
				if ( !Ns.Util.isNull(phoneType) && Ns.Util.isNull(phone) ){
					Ns.Popup.alert("핸드폰 번호를 입력해 주세요");
					return false;
				}
				
				var invoke = {};
				invoke.cmdType = "saveAdd";
				invoke.name = CurrentView.memberInfo.userName;
				invoke.agreeEmail = isEmail;
				invoke.agreeSms = isSMS;
				invoke.agreeTel = isTel;
				invoke.gender = gender;
				if( phoneType != "" ){
					invoke.phoneType = phoneType;
					invoke.phone = phone;
				}
				invoke.birthDay = birth;
				
				invoke.URL = "NsMobileMemberSignupCmd";
				
				if ( CurrentView.data.checkInfoBlank() ){
					Ns.Popup.confirm(
						"선택정보를 미입력 하셨습니다. 그대로 완료 하시겠습니까?",
						//succ
						function(){
								mainCtrl.gotoMain();
						},
						//fail
						function(){},
						"네","아니오");
				} else {
					tran.callWCSJsonTran('NsMobileMemberSignupCmd', invoke, CurrentView.data.callbacksubJoins );
				}
			},
			
			callbacksubJoins : function( data ){
				
				var msg = data.msg.result.resultMsg;
				var code = data.msg.result.resultCode;
				var gender = data.gender[0];
				var birth = String(data.birthDay);
				birth = birth.substring(0,4) + "-" + birth.substring(4,6) + "-" + birth.substring(6,8);
				
				if( code == "y" || code == "Y"){
					
					// AIQUA
					mainCtrl.userProfileToAIQUA(null, null, null, null, birth, gender);
					
					var strAlertMsg = ""
					strAlertMsg += "[NS홈쇼핑] " + Ns.Util.insertHangulFormDate(Ns.Date.getNowDate()) + "에 요청하신 이메일/SMS/TM 수신동의가 다음과 같이 처리되었습니다.<br/><br/>";
					strAlertMsg += "SMS수신동의여부: " + (data.agreeSms[0] == "Y" ? "동의" : "거부") + "<br/>";
					strAlertMsg += "이메일S수신동의여부: " + (data.agreeEmail[0] == "Y" ? "동의" : "거부") + "<br/>";
					strAlertMsg += "TM수신동의여부: " + (data.agreeTel[0] == "Y" ? "동의" : "거부") + "";
					
					Ns.Popup.alert( strAlertMsg, function(){
							mainCtrl.gotoMain();
					}, null, true );
				}else{
					Ns.Popup.alert( data.msg.result.resultMsg );
				}
			},
			
			/**
			 * 선택 또는 입력된 값이 없는지 체크한다.
			 */
			checkInfoBlank : function(){
				var chkAgree = $("#sendAgree :checked").length;
				var chkGender = $("#gender :checked").length;
				var chkBirth = $("#txtBirthday").val();
				
				if( chkAgree == 0 && chkGender == 0 && Ns.Util.isNull(chkBirth) ){
					return true;
				} else {
					return false;
				}
			}
			
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			/**
			 * 화면에 고객 아이디를 표시해준다.
			 */
			makeJoinResultInfo : function(name, logonId){
				var resHtml = name + ' 회원님의 NS홈쇼핑 모바일 이메일(아이디)은 ' + logonId + ' 입니다. '; 
				$('#resMemberInfo').html(resHtml);
			},
			
			/**
			 * 화면에 약관 요약본을 그려준다
			 */
			setMemberSignupAgree : function( data ){
				if ( Ns.Util.isNull(data) || Ns.Util.isNull(data.msg) || Ns.Util.isNull(data.msg.agreeSW)){
					return false;
				}
				
				var SelectGuideAgree = data.msg.agreeSW;
				$("#termMall").html( Ns.Util.htmlDecode(SelectGuideAgree.content) );
			}
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			
			/**
			 * SMS, 이메일, TM 수신동의 여부 체크박스 클릭 이벤트
			 */
			onclick_sendAgree : function(){
				var agree = $(this);
				var htmlTxt = "";
				
				var phone = CurrentView.memberInfo.userPhone;
				var email = CurrentView.memberInfo.logonId;
				
				switch(agree.attr('id')){
					// SMS
					case "chkboxSMS":
						if(agree.is(":checked")){
							$("#txtPhone").val( phone );
						} else {
							$("#txtPhone").val("");
						}
						break;
					// Email
					case "chkboxEmail":
						if(agree.is(":checked")){
							$("#txtEmail").val( email );
						} else {
							$("#txtEmail").val("");
						}
						break;
					// TM 
					case "chkboxTel" :
						if(agree.is(":checked")){
							$("#man, #woman, #txtBirthday").prop("disabled", false);
						} else {
							$("#man, #woman").prop("checked", false).prop("disabled", true);
							$("#txtBirthday").val("").prop("disabled", true);
						}
						break;
				}
			},
			
			/**
			 * 생년월일이 숫자로만 입력되었는지 확인한다.
			 */
			onkeyup_chkBirth : function( obj ){
				Ns.Util.onKeyUpOnlyNumber( obj, 8, true);
			},				
		}
}