
/* JavaScript content from js/member/M_M1261000M.js in folder common */

/* 
 *	간편 회원 가입 - 연동정보 입력. 
 *  ID : M_M1261000M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		THIS_PARAMs : null, //해당 정보는 로그인 페이지에서 넘겨준다. 
								  //간편 회원 완료 페이지로 넘겨주는 parameter 정보. 
								  //간편 회원 진입 전 페이지에서 집어 넣은 파라미터 정보. null일 경우 로그인 완료 후 진입 전 페이지로 이동하고. 
        						  //null 이 아닐 경우. 지정한 페이지로 이동한다. 
		  						  // { tranId : transaction Id, invoke : transaction parameters, pageId : move Page id } 
		SignUpLogging : new _ns_log(),	// 2018.11.23 kimjh 로그 적재
		reqParams : {
			//고정값
			duplicationChk 			: 'N',
			userAuthorizationName	: 'YK',
			snsEmail				: '',
			snsUserId				: '',
			userField1				: '',
			userField2				: 'S',
			userField3				: '',
			agree					: 'Y/SA-001',
			addressField1			: '',
			addressField2			: '',
			userProfileField2		: 'N',			
			userAuthorizationBirthDate: '2014-01-01',
			rcvSmsNotification		: '0',
			myAcctMain				: '',
			zipCode					: '.',
			address1				: '.',
			address2				: '',
			phone1					: '',
			phone2					: '',
			catalogId				: '97001',
			logonPassword			: '1qazxsw2',
			logonPasswordVerify		: '1qazxsw2',
			state					: 'S',
			city					: 'C',
			country					: 'KR',
			registerType			: 'Guest',
			primary					: '1',
			profileType				: 'C',
			memberType				: 'S',
			termTitle				: '',
			termText				: '',
			integrationPoint		: 'N',
			registpath				: 'M',
			affilEntCd				: '110',
			optionaltermYn			: 'Y',
			URL						: 'RegistrationCompleteViewCmd?',
			update_yn				: 'Y',
			existYn 				: 'N',
			backend_yn 				: 'N',
			
			//입력값
			name			: '',	//facebook name
			logonId			: '',	//입력값
			email1			: '',	//facebook email
			gender			: '',	//성별 M : 남자, F : 여자
			firstName		: '',	//facebook name
			lastName		: '',	//facebook name
			dateOfBirth		: '',	//facebook birth (yyyy-mm-dd)
			userDemoField2  : 'Y'	//이메일 수신동의 여부
		},
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function( params ) {
			this.THIS_PARAMs = params.targetInvoke || null;
			
			$("#btnJoinSNSMembers").unbind().bind( "click", this.event.onclick_btnJoinSNSMembers );
			$("#btnUsageShow").unbind().bind('click', this.event.onclick_btnUsageShow);
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			$("#chkReceiveAgree").prop("checked",true);
			$("#strongFbAccount").text(params.fbEmail);
//			$('#inputEmail').val(params.fbEmail);
			
			CurrentView.reqParams.name 			= params.fbName; 
			CurrentView.reqParams.email1		= params.fbEmail;
			CurrentView.reqParams.logonId		= params.fbEmail;
			CurrentView.reqParams.firstName 	= params.fbName;
			CurrentView.reqParams.lastName 		= params.fbName;
			CurrentView.reqParams.dateOfBirth 	= CurrentView.data.reformBirthDay(params.fbBirthday);
			CurrentView.reqParams.gender 		= (params.fbGender == "male")? "M" : "F";
			
			//adbirx 송신용 파라미터
			if( mainCtrl.isOsApp() ){
				var invoke = {
					category : "firstTimeExperience",
					action : "try_join"
				};
				Ns.Native.sendAdbrix( invoke );
				
				invoke.category = "Retention";
				Ns.Native.sendAdbrix( invoke );
			}
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			checkEssentialInputValues : function() {
				var inputEmail = $.trim($('#inputEmail').val());
				var checkResult = function(selector){
					$('#'+selector).val('').focus();
				};
				
				if(inputEmail == ''){
					Ns.Popup.alert('이메일을 입력해 주세요.', function(){
						navi.setMovePointer(-1);
						checkResult('inputEmail');} );
					return false; 
				}
				
				if(Ns.Util.isHangul(inputEmail)){
					Ns.Popup.alert( "한글 아이디는 허용되지 않습니다.", function(){
						navi.setMovePointer(-1);
						checkResult('inputEmail');} );
					return false; 
				}
				
				if(!Ns.Util.isEmail(inputEmail)){
					Ns.Popup.alert('이메일 주소가 유효하지 않습니다. 다시 입력해 주세요.', function(){
						navi.setMovePointer(-1);
						checkResult('inputEmail');} );
					return false;
				}
				
				if($('#chkUsageAgree').is(':checked') == false){
					Ns.Popup.alert('개인정보 수집 및 이용약관에 동의해 주세요.');
					return false;
				}
				
				return true; 
			},
			reformBirthDay : function( birthDay ){
				if (birthDay == null || birthDay == undefined || birthDay == '' || birthDay.indexOf('/') == -1) {
					return '';
				}
				var array = birthDay.split('/');
				var year  = array[2];
				var month = array[0]; 
				var day   = array[1];
				return year + '-' + month + '-' + day; 
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//전문보기
			onclick_btnUsageShow : function(){
				Ns.Popup.showPopup('M_M1220001M', { objName : 'SNSUsingTerms' });
//				mainCtrl.navigate( "M_M1220001M",{ objName : 'SNSUsingTerms' });
			},
			//가입하기 버튼 클릭. 
			onclick_btnJoinSNSMembers : function() {
				
				//if(!CurrentView.data.checkEssentialInputValues()) return false; 

				//2017.08.02 Wapers 개인정보 수집 및 이용약관 체크부분 추가. 위 부분이 주석처리 되어 있어서 따로 추가함.				
				if($('#chkUsageAgree').is(':checked') == false){
					Ns.Popup.alert('개인정보 수집 및 이용약관에 동의해 주세요.');
					return false;
				}
				
				var inputEmail = CurrentView.reqParams.logonId;				
				
				CurrentView.reqParams.userDemoField2 = $('#chkReceiveAgree').is(':checked') ? 'Y' : 'N';				 
				
				tran.callWCSJsonTran('NSSessionCheckMobile', {email1:inputEmail, checkview:"1"}, function(data){
					var processCode = data.msg.root.snsregistcheck.processCode; 
					var processMsg = data.msg.root.snsregistcheck.processMsg; 
					
					if(processCode == "E"){
						Ns.Popup.alert(processMsg);
					}else{
						tran.callWCSJsonTran('RegistrationCompleteViewMobile', CurrentView.reqParams, function(data){
						
							var resultMsg = data.msg.root.Registresult.resultMsg;
							var resultCode = data.msg.root.Registresult.resultCode;
							if(resultCode == "Y"){
								if( mainCtrl.isOsApp() ){
									//adbirx 송신용 파라미터
									var invoke = {
										category : "firstTimeExperience",
										action : "join_complete"
									};
									Ns.Native.sendAdbrix( invoke );
									
									invoke.category = "Retention";
									Ns.Native.sendAdbrix( invoke );
									
									// 2018.11.08 kimjh 구글 스마트락 로그인 저장 시작
									//var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
									//if(mainCtrl.VIEW_TYPE == "android" && version >= 2928){
									//	Ns.LocalStorage.del('SL_DISABLE');
									//	if (!Ns.Util.isNull(data.msg.memberInfo.logonPassword)){
									//		NSCustom.SL_SaveCredential(data.msg.memberInfo.logonId, data.msg.memberInfo.logonPassword)
									//	}
									//}
									// 2018.11.08 kimjh 구글 스마트락 로그인 저장 종료
									
									////jihee adbrix 회원가입 후 첫구매 판단을 위한 시간 데이터 저장
									var timestamp = new Date().getTime();
									localStorage.setItem(STORAGE_KEY.JOIN_TIME,timestamp);
									//jihee : 제휴사 adbrix 실적 정보 전달
									//if(mainCtrl.VIEW_TYPE == "android") {
										mainCtrl.callAdbrixLogin(data.msg.memberInfo);
									//}
								} else {
									/* NHN 유입 추적 스크립트 시작 */
									var objNHN = new Object();
									objNHN.CN = "k1yAemu7V8w=";	// 컨버전 ID
									objNHN.CK = "";	// 컨버전 전환 번호(주문번호, 예약번호 등등 유일 번호)
									objNHN.CA = "";	// 전체 매출액
									objNHN.CDN = "";	// 판매된 상품이름 (복수일 경우 ; 로 구분)
									objNHN.CDE = "";	// 각 판매된 상품의 수량 (복수일 경우 ; 로 구분)
									objNHN.CDC = "";	// 각 판매된 상품의 단가 (복수일 경우 ; 로 구분)
									objNHN.CDT = "";	// 각 판매된 상품의 그룹
									objNHN.ETC1 = "";	// 기타 부가 정보
									
									NHNSend(objNHN);	// adbrix 펑션 호출
									/* NHN 유입 추적 스크립트 종료 */
									/* 20150911 정헌태 - 구현중 유료전환으로 인해 미사용
									fn_toast("join");	//  토스트익스체인지 리타겟팅 연동(회원가입 완료)
									*/
								}
								
								// 2018.11.23 kimjh 로그 적재
								CurrentView.SignUpLogging.a("join")
								.a("F")
								.a(data.msg.memberInfo.logonId)
								.a("00")
								.a("성공")
								.l();
								
								var logonId = data.msg.root.memberInfo.logonId;
								mainCtrl.navigate("M_M1262000M", {logonId:logonId});
								
//								var invoke = {};
//								invoke.pageId = "M_M1262000M";
//								invoke.tranId = "";
//								
//								mainCtrl.userLogin(logonId, logonPassword, LOGON_TYPE.simple, invoke );
							}else{
								// 2018.11.23 kimjh 로그 적재
								CurrentView.SignUpLogging.a("join")
								.a("F")
								.a(data.msg.memberInfo.logonId)
								.a("01")
								.a("실패")
								.l();
								
								Ns.Popup.alert(resultMsg);
							}							
						});
					}
				});							
			}
		}
};