
/* JavaScript content from js/member/M_M1271000M.js in folder common */

/** 
 * @Author SGM
 *	SNS 회원 가입 - 정보입력
 *  ID : M_M1271000M
 *  
 **/

//page 컨트롤 클래스
CurrentView = {
		isEmailDiapuse : true, //2018-01-25 ssong 휴면 체크
		isEmailCheck : false,
		// 2017.04.13 jjko 아이디 중복체크 시 직전에 체크한 이메일은 다시 확인하지 않을 때 사용 하는 변수
		// 2018.12.26 kimjh 2.9.28 오류
		checkEmail : "",
		isCertCheck : false,
		agreeList : null,
		authObj : null,
		Naverdata : {},
		THIS_PARAMs : null,
		SignUpLogging : new _ns_log(),	// 2018.11.23 kimjh 로그 적재
		
		// 비밀번호 조합 검사
		pwdGradeCode 	: "",
		pwdMsg		: "",
		
		PopupMsg : {
			MEMBER_ID_EMPTY			: "아이디가 입력되지 않았습니다.",
			MEMBER_ID_EMAIL 		: "이메일 주소가 유효하지 않습니다. 다시 입력해 주세요.",
			MEMBER_ID_LENGTH		: "아이디는 4~40자 이내 영문소문자 또는 영문소문자+숫자 조합으로 입력해 주세요",
			MEMBER_ID_CHECK			: "이미 가입된 아이디(이메일)입니다. 다른 이메일을 입력해 주세요.",
			MEMBER_ID_DIAPAUSE		: "휴면계정 아이디(이메일)입니다. 다른 이메일을 입력해 주세요.", //2018-01-25 ssong 휴면 안내 메세지 추가
			
			MEMBER_NAME_CHECK		: "이름은 한글과 영문만 입력 가능합니다.",
			
			MEMBER_REPWD_EMPTY		: "비밀번호 확인이 입력되지 않았습니다.",
			MEMBER_REPWD_MISSMATCH 	: "비밀번호가 일치하지 않습니다.",
			
			MEMBER_PHONE_CHECK 		: "핸드폰 번호가 잘못되었습니다.",
			
			MEMBER_CERT_FIRST		: "인증번호 발송을 선택해 주세요.",
			MEMBER_CERT_DUPLECATE	: "이미 인증이 되었습니다.",
			MEMBER_CERT_LENGTH		: "올바른 인증번호를 입력해 주세요.",
			MEMBER_CERT_SUCCESS		: "인증 되었습니다.",
			MEMBER_CERT_FAIL		: "인증에 실패하였습니다.",
			MEMBER_NAVER_CONNECT	: "이미 가입하신 NSmall ID가 있다면 연결해 주세요. 간편한 로그인이 가능해집니다!",
			
			SYSTEM_ERROR			: "시스템 오류입니다. 고객분들께 불편을 드려 죄송합니다. 관리자에게 문의 바랍니다."
		},
		
		init : function( params ) {	
			this.Naverdata = params;
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnSendCertNumber").on("click", CurrentView.event.onclick_btnSendCertNumber );
			$("#joinTerm span a").on("click", CurrentView.event.onclick_joinTerm );
			$("#btnJoins").on("click", CurrentView.data.join);
			$("#IsNewMember").on("click", CurrentView.ui.setMemberNew);
			$("#IsOldMember").on("click", CurrentView.ui.setMemberOld);
			$("#btnLogin").unbind().bind( "click", CurrentView.event.onclick_btnLogin );
			$("#txtUserIdLogin").off().on("focusout", CurrentView.event.onfocusout_txtUserIdLogin);
			
			$("#btnFindUserId").unbind().bind( "click", this.event.onclick_btnFindUserId );
			$("#btnFindPassword").unbind().bind( "click", this.event.onclick_btnFindPassword );
			
			if (mainCtrl.VIEW_TYPE == "ios") {
				$("#txtPassword").on("focusout", CurrentView.event.onfocusout_checkPassword);
			}else{
				$("#txtPassword").on("keyup", CurrentView.event.onkeyup_checkPassword);
			}
			
		},
		
		//초기 input		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			/* GNB영역 숨김 */
			mainCtrl.hideGNB();
			
			CurrentView.data.getMemberSignupAgree();
			
			if( mainCtrl.isOsApp() ){
				//adbirx 송신용 파라미터
				var invoke = {
					category : "firstTimeExperience",
					action : "try_join"
				};
				Ns.Native.sendAdbrix( invoke );
				
				invoke.category = "Retention";
				Ns.Native.sendAdbrix( invoke );
			}
			
			// 신규 회원인 경우
			if( params.IsMember == "new"){
				CurrentView.data.getNaverDataUserNew(params);
			}
			// 기존 회원인 경우
			if( params.IsMember == "old"){
				CurrentView.data.getNaverDataUserOld(params);
			}
			/**
			 *  2018-01-22 ssong
			 *  미사용중 인듯하여 주석처리
			 */
			setTimeout( function(){
				CurrentView.event.onfocusout_checkEmail();
			},500 );
			
			
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			// 신규 회원인 경우
			getNaverDataUserNew : function(params){
				var naverid   = params.resAction.Email;
				var naverid_f = naverid.split("@")[0];
				var naverid_l = naverid.split("@")[1];
				var name      =  params.resAction.name;
				
				$("#IsNewMember").addClass("active");
				$("#idJoin").hide();
				$("#newMember").show();
				$("#txtUserId").val(naverid_f);
				$.trim($("#txtName").val(name));	

				$('#txtUserEmail option:contains("'+naverid_l+'")').prop("selected", true);
				
				$("#CheckId").hide(); //중복로그인 경고문 숨기기
				
			},
			
			// 기존 회원인 경우
			getNaverDataUserOld : function(params){
				$("#IsOldMember").addClass("active");
				$("#idJoin").show();
				$("#newMember").hide();				
			},
			
			//약관보기 요약본까지 가져오기
			getMemberSignupAgree : function(){
				var invoke = {
					cmdType : "getAgree"
				};
				
				tran.callWCSJsonTran('NsMobileMemberSignupCmd', invoke, CurrentView.ui.setMemberSignupAgree);
			},
			
			//인증번호 전송 callback
			callbackCertNumber : function( data ){
				var msg = data.msg.result.resultMsg;
				var code = data.msg.result.resultCode;
				
				var authObj = {
					authnumber : ""
				};
				
				
				// 중복 값이 있을경우 A
				if (code == "A"){
					var arrIds = data.msg.logonIds.split("|");
					
					var strMsg = "고객님의 회원정보로 이미 가입하신 아이디가 존재합니다. 신규계정을 중복 생성하지 마시고, 아이디 및 비밀번호 찾기를 통해 로그인 해주시기를 바랍니다.";
					strMsg += "<br /><br /><p style='text-align:center;'>- 가입된 아이디 목록 -</p>";
					strMsg += "<div class='id_list' id='idListArea'><ul>";
					
					for (var i = 0; arrIds.length > i; i++){
						strMsg += "<li>" + arrIds[i] + "</li>";
					}
					
					strMsg += "</ul></div>";
					
					Ns.Popup.confirm(strMsg,
						function (){
							mainCtrl.navigate( "M_M1131100P" );	// 비밀번호 찾기 페이지 이동
						},
						function (){
							mainCtrl.navigate( "M_M1121100P" );	// 아이디 찾기 페이지 이동
						},
						"비밀번호 찾기",
						"아이디찾기",
						"",
						false,
						null,
						function(){
							authObj.authnumber = data.msg.authnumber;
							authObj.tempUserId = data.msg.tempUserId;
							authObj.phone = CurrentView.authObj.phone;
							CurrentView.authObj = authObj;
							
							Ns.Popup.alert("인증번호 전송이 완료되었습니다.");
						},
						"idListArea"
					);
					
					return;
				} else if ( code == "Y" || code == "y"){
					authObj.authnumber = data.msg.authnumber;
					authObj.tempUserId = data.msg.tempUserId;
					authObj.phone = CurrentView.authObj.phone;
					CurrentView.authObj = authObj;
				}
				
				Ns.Popup.alert( msg + (Const.IS_DEV_MODE == true ? "<br/>" + authObj.authnumber : ""));
			},
			
			//회원가입
			join : function(){
				var name = $.trim($("#txtName").val());
                
                if (name.length < 2 ) {
                	Ns.Popup.alert("이름은 두자 이상 입력해주세요.");
    				return false;
    			}
                
				if ( CurrentView.data.validationCheck() ){
					//중복체크 확인
					if ( CurrentView.isEmailCheck == false ){
						Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_ID_CHECK );
						return false;
					}
					
					// 2018-01-25 ssong 휴면 체크
					if ( CurrentView.isEmailDiapuse == false ){
						Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_ID_DIAPAUSE );
						return false;
					}

					//인증번호 확인
					var authNumber = $("#certNumer").val();
					if ( authNumber < 8 ){
						Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_PHONE_CHECK );
						return false;
					}
					
					//이름 validation 체크
					var name = $.trim($("#txtName").val());					
					if( !Ns.Util.isHangul( name, true ) ){
						Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_NAME_CHECK );
						return false;
					}
					
					var callbackFunc = function() {
						
						// 비밀번호 유효성 체크
						if(CurrentView.pwdGradeCode == '99'){
							Ns.Popup.alert( CurrentView.pwdMsg );					
							return false;
						} 
					
						var email = "";
						var id    = "";
						var IdFlag = false;			//ID flag값
						
						//변동값
						if($.trim($("#txtUserEmail").val()) == ""){
							id = $.trim($("#txtUserId").val());
						}
						if($.trim($("#txtUserEmail").val()) != ""){
							email = $.trim($("#txtUserEmail").val());
							id = $.trim($("#txtUserId").val()) + "@" + email;
						}
						
						//직접입력시 @ 한개 이상이거나 @앞에 id가 없는 경우 팅기게 하기.
						if((id.match(/@/g) || []).length > 1){
							IdFlag = true;
						}
						
						if(id.indexOf("@") == 0){
							IdFlag = true;
						}
						
						if(IdFlag == true){
							Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_ID_EMAIL );
							return false;
						}
	
						var invoke = {};
						
						//필수 고정값
						invoke.cmdType = "save";
						invoke.memberType = "K";
						invoke.phone = CurrentView.authObj.phone;				//인증한 핸드폰 번호
						invoke.authNumber = authNumber;
						invoke.tempUserId = CurrentView.authObj.tempUserId;
						invoke.agree = "Y,Y,Y,Y";
						invoke.termsCd = "SA-011,SX-001,SY-001,SZ-001";
						invoke.userProfileField2 = "Y";
						invoke.registpath = "M";
						invoke.URL = "NsMobileMemberSignupCmd";
						
						invoke.logonid = id;
						invoke.name = name;
						invoke.firstName = name;
						invoke.lastName = name;
						invoke.logonPassword = $.trim($("#txtPassword").val());
						invoke.logonPasswordVerify = $.trim($("#txtRePassword").val());
						invoke.affilEntCd = Const.getCocd();
						invoke.entEmail = CurrentView.Naverdata.resAction.Email;
						
						invoke.entFlag = CurrentView.Naverdata.resAction.entFlag;
						invoke.entUserId = CurrentView.Naverdata.resAction.logonId;
						invoke.refresh_token = CurrentView.Naverdata.resAction.access_token;
						invoke.entName = CurrentView.Naverdata.resAction.name;
						invoke.isSSORequest = "false";
	
						tran.callWCSJsonTran('NsMobileMemberSignupCmd', invoke, CurrentView.data.callbackJoin );	
						
					}
					
					// 비밀번호 조합 검증 API 호출
					CurrentView.event.call_ValidatePassword(callbackFunc);
				}
			},
			
			//회원가입 callback
			callbackJoin : function( data ){
				var code = data.msg.result.resultCode;
				var msg = data.msg.result.resultMsg;

				if ( code == "Y" || code == "y" ){
					if( mainCtrl.isOsApp() ){
						//adbirx 송신용 파라미터
						var invoke = {
							category : "firstTimeExperience",
							action : "join_complete"
						};
						Ns.Native.sendAdbrix( invoke );
						
						invoke.category = "Retention";
						Ns.Native.sendAdbrix( invoke );
						
						// 2018.11.08 kimjh 구글 스마트락 로그인 저장 시작
						var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
						if(mainCtrl.VIEW_TYPE == "android" && version >= 2928){
							Ns.LocalStorage.del('SL_DISABLE');
							if(!Ns.Util.isNull(data.msg.memberInfo.logonPassword)){
								NSCustom.SL_SaveCredential(data.msg.memberInfo.logonId, data.msg.memberInfo.logonPassword)
							}
						}
						// 2018.11.08 kimjh 구글 스마트락 로그인 저장 종료
						
						//jihee adbrix 회원가입 후 첫구매 판단을 위한 시간 데이터 저장
						var timestamp = new Date().getTime();
						localStorage.setItem(STORAGE_KEY.JOIN_TIME,timestamp);
						//jihee : 제휴사 adbrix 실적 정보 전달
						mainCtrl.callAdbrixLogin(data.msg.memberInfo);
						
						// Facebook sdk
						if (mainCtrl.VIEW_TYPE == "android") {
							var invoke2 = {};
							invoke2.registrationMethod = CurrentView.Naverdata.resAction.entFlag;
							invoke2.action = 'completedRegistration';
							Ns.Native.sendFacebook( invoke2 );
						}

					} else {
						/* NHN 유입 추적 스크립트 시작 */
						var objNHN = new Object();
						objNHN.CN = "k1yAemu7V8w=";	// 컨버전 ID
						objNHN.CK = "";	// 컨버전 전환 번호(주문번호, 예약번호 등등 유일 번호)
						objNHN.CA = "";	// 전체 매출액
						objNHN.CDN = "";	// 판매된 상품이름 (복수일 경우 ; 로 구분)
						objNHN.CDE = "";	// 각 판매된 상품의 수량 (복수일 경우 ; 로 구분)
						objNHN.CDC = "";	// 각 판매된 상품의 단가 (복수일 경우 ; 로 구분)
						objNHN.CDT = "";	// 각 판매된 상품의 그룹
						objNHN.ETC1 = "";	// 기타 부가 정보
						
						NHNSend(objNHN);	// adbrix 펑션 호출
					}
					
					var invoke = {};
					invoke.userName = data.msg.memberInfo.userName;
					invoke.userPhone = data.msg.memberInfo.userPhone;
					invoke.logonId = data.msg.memberInfo.logonId;
					invoke.pass = $.trim($("#txtPassword").val());
					
					// 2018.11.23 kimjh 로그 적재
					var entFlagL = Ns.Util.isNull(CurrentView.Naverdata.resAction.entFlag) ? "L" : CurrentView.Naverdata.resAction.entFlag;
					entFlagL = entFlagL.substr(0,1);
					CurrentView.SignUpLogging.a("join")
					.a(entFlagL)
					.a(data.msg.memberInfo.logonId)
					.a("00")
					.a("성공")
					.l();
					
					mainCtrl.navigate('M_M1241000M', invoke );
				} else {
					// 2018.11.23 kimjh 로그 적재
					var entFlagL = Ns.Util.isNull(CurrentView.Naverdata.resAction.entFlag) ? "L" : CurrentView.Naverdata.resAction.entFlag;
					entFlagL = entFlagL.substr(0,1);
					CurrentView.SignUpLogging.a("join")
					.a(entFlagL)
					.a(data.msg.memberInfo.logonId)
					.a("01")
					.a("실패")
					.l();
					
					Ns.Popup.alert( msg );
				}
			},
			
			validationCheck : function(){
				var userId = $.trim($("#txtUserId").val());
				var pwd = $("#txtPassword").val();
				var rePwd = $("#txtRePassword").val();
				
				//아이디 체크(공백 & 한글 & 자리수)
				if(userId == ""){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_ID_EMPTY );					
					return false;
				}else if(Ns.Util.isHangul( userId )){
					Ns.Popup.alert( "한글 아이디는 허용되지 않습니다." );
					return false;
				}else if(!Ns.Util.isInputIdOtherCheck(userId, 4, 40)){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_ID_LENGTH );
					return false;
				}
				
				//비밀번호 확인 체크(공백 & 비밀번호 매치)
				if( rePwd == "" ){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_REPWD_EMPTY );										
					return false;
				}else if( pwd != rePwd ){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_REPWD_MISSMATCH );										
					return false;
				}
				return true;
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			
			//화면에 약관 요약본을 그려준다
			setMemberSignupAgree : function( data ){
				if ( Ns.Util.isNull(data) || Ns.Util.isNull(data.msg) ){
					return false;
				}
				
				var UsingTerms = data.msg.agreeSA;
				var UsingTermsSub = data.msg.agreeSX;
				var PersonGuideAgree = data.msg.agreeSY;
				var PersonGuideAgreeSub = data.msg.agreeSZ;
				
				//약관 선택시 사용할 데이터 미리 추출
				var data = {
					UsingTerms : UsingTerms,
					PersonGuideAgree : PersonGuideAgree
				};
				CurrentView.agreeList = data;
				
				//제목을 넣는부분은 아직 미정 내용만 삽입
				$("#termNotice").html( Ns.Util.htmlDecode(UsingTermsSub.content) );
				$("#termMall").html( Ns.Util.htmlDecode(PersonGuideAgreeSub.content) );
			},
			
			setMemberNew : function ( data ){
				var naverid = CurrentView.Naverdata.resAction.Email;
				var naverid_f = naverid.split("@")[0];
				var naverid_l = naverid.split("@")[1];
				var name      =  CurrentView.Naverdata.resAction.name;
				
				$("#IsNewMember").addClass("active");
				$("#IsOldMember").removeClass("active")
				$("#idJoin").hide();
				$("#newMember").show();
				$("#txtUserId").val(naverid_f);
				$.trim($("#txtName").val(name));
				$('#txtUserEmail option:contains("'+naverid_l+'")').prop("selected", true);
				
				$("#CheckId").hide();
				
				$("#txtUserId").trigger("keyup"); //실시간 중복로그인체크
				
				//2018-01-22 ssong 재진입시 체크를 위함
				CurrentView.event.onfocusout_checkEmail();
			},
			
			setMemberOld : function ( data ){
				
				Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_NAVER_CONNECT );
				
				$("#IsOldMember").addClass("active");
				$("#IsNewMember").removeClass("active")
				$("#idJoin").show();
				$("#newMember").hide();
			},
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			selEmail : function(){
				var id = $.trim($("#txtUserId").val());
				var email = $.trim($("#txtUserEmail").val());
				
				if(id.indexOf("@") > -1 && email != ""){
					id = id.substring(0,id.indexOf("@"));
					id = id.replace(/[^0-9a-z]/g,"");	// 숫자, 영문소문자만 나오도록 치환
					$("#txtUserId").val(id);
				}
				
				var logonId = id + "@" + email;

				CurrentView.checkEmail = logonId;
				
				var invoke = {
					cmdType : "checkLogonIdUsability",
					logonid : logonId
				};
				
				if(id != ""){
					tran.callWCSJsonTran('NsMobileMemberSignupCmd', invoke, function( data ){
						var code = data.msg.result.resultCode.toUpperCase();
						var msg = data.msg.result.resultMsg;

						if( code == "Y"){
							CurrentView.isEmailCheck = true;
							CurrentView.isEmailDiapuse = true;
							$("#n_diapauseId").hide();
							$("#CheckId").hide();
						// 2018-01-22 ssong 휴면계정 체크 추가
						} else if ( code == "R"){
							CurrentView.isEmailCheck = true;
							CurrentView.isEmailDiapuse = false;
							$("#n_diapauseId").show();
							$("#CheckId").hide();
						} else {
							CurrentView.isEmailCheck = false;
							CurrentView.isEmailDiapuse = true;
							$("#n_diapauseId").hide();
							$("#CheckId").show();
						}
					});
				}
				
			},

			// 이름 체크 한글 10자 이내만 입력 가능
            onCheckName : function( ){
                var name = $.trim($("#txtName").val());
                
                if (Ns.Util.getBytes(name) > 30)
                {
                	Ns.Popup.alert("한글 10자까지 입력하실 수 있습니다");
                    name = Ns.Util.getCutBytes(name , 30);
                    $("#txtName").val(name);
                    
                }
            },

             // 이름 체크 한글 2자 이내만 입력 가능
             onfocusout_CheckName : function( ){                 
                 CurrentView.event.onCheckName();
             },
 		
			//이메일 중복확인
			// 2017.04.13 jjko focusout 될 때 체크 하도록 변경.
			onfocusout_checkEmail : function( objThis ){
				var id = $.trim($("#txtUserId").val());
				var email = $.trim($("#txtUserEmail").val());
				var logonId = "";
				
				if(email == ""){
					logonId = $.trim($("#txtUserId").val());
				}
				
				if(email != ""){
					logonId = id + "@" + email;
				}
				
				if (!logonId) {
					return;
                }
				 
				var invoke = {
					cmdType : "checkLogonIdUsability",
					logonid : logonId
				};
								
				CurrentView.checkEmail = logonId;
				
				tran.callWCSJsonTran('NsMobileMemberSignupCmd', invoke, function( data ){
					
					var code = data.msg.result.resultCode.toUpperCase();
					var msg = data.msg.result.resultMsg;
					
					// 2018-01-22 ssong 휴면계정 체크 추가
					if( code == "Y"){
						CurrentView.isEmailCheck = true;
						CurrentView.isEmailDiapuse = true;
						$("#CheckId").hide();
						$("#n_diapauseId").hide();
					} else if( code == "R"){
						CurrentView.isEmailCheck = true;
						CurrentView.isEmailDiapuse = false;
						$("#CheckId").hide();
						$("#n_diapauseId").show();
					} else{
						CurrentView.isEmailCheck = false;
						CurrentView.isEmailDiapuse = true;
						$("#CheckId").show();
						$("#n_diapauseId").hide();
					}
				});
			},
			
			// 비밀번호 onfocusout 함수
			onfocusout_checkPassword : function(){
				// 비밀번호 조합 체크
				CurrentView.event.call_ValidatePassword();
			},
			 
			// 비밀번호 onkeyup 함수
			onkeyup_checkPassword : function(){
				// 비밀번호 조합 체크
				CurrentView.event.call_ValidatePassword();
			},
			
			// 비밀번호 onkeyup 함수
			onkeyup_checkPasswordConfirm : function(){
				// 비밀번호 확인 체크
				var pwd =  $("#txtPassword").val();
				var rePwd = $("#txtRePassword").val();
				
				if( pwd != rePwd && rePwd != "" ){
					$("#passwordConfirmMsg").show();
				} else {
					$("#passwordConfirmMsg").hide();
				}
			},
			
			//아이디 찾기 버튼 클릭
			onclick_btnFindUserId : function() {
				mainCtrl.navigate( "M_M1121100P" );
			},
			  
			//비밀번호 찾기 버튼 클릭
			onclick_btnFindPassword : function() {
				mainCtrl.navigate( "M_M1131100P" );
			},
			  
			StringFixEncodeURIComponent : function(params) {
				return encodeURIComponent(params).replace(/\-/g, "%2D").replace(/\_/g, "%5F").replace(/\./g, "%2E").replace(/\!/g, "%21").replace(/\~/g, "%7E").replace(/\*/g, "%2A").replace(/\'/g, "%27").replace(/\(/g, "%28").replace(/\)/g, "%29");
			},			
			
			// 비밀번호 조합 체크 API 호출
			call_ValidatePassword : function(callbackFunc){
				
				// 입력된 password
				var password = $("#txtPassword").val();
				password = CurrentView.event.StringFixEncodeURIComponent(password);
				// 요청 param
				var invoke = {
					validatePwd : password
				};
				
				// 비밀번호 조합 체크 API 호출
				tran.callWCSJsonTran('ValidatePassword', invoke, function( data ){
					
					// 비밀번호 안전 등급
					var pwdGradeCode = data.msg.root.validStatus;
					
					// 비밀번호 유효성 검사 메시지
					var pwdMsg = data.msg.root.validMsg;
					
					// 비밀번호 안전 등급 정의
					var pwdGradeColor = {
							"00" : { grade : "안전", color : "danger_low" },
							"01" : { grade : "다소위험", color : "danger_mid" },
							"99" : { grade : "사용불가", color : "danger_high" },
					}
					
					// 회원가입 버튼 클릭 시 유효성 검사를 위해 전역변수에 저장
					CurrentView.pwdGradeCode = pwdGradeCode;
					CurrentView.pwdMsg = pwdMsg;
						
					// 안내문구 설정
					$("#safetyMsg").text(pwdMsg)
					$("#safetyMsg").removeClass('danger_low danger_mid danger_high');
					$("#safetyMsg").addClass(pwdGradeColor[pwdGradeCode].color);
					
					// 안전등급 설정
					$("#safetyGrade").text(pwdGradeColor[pwdGradeCode].grade);
					$("#safetyGrade").removeClass('danger_low danger_mid danger_high');
					$("#safetyGrade").addClass(pwdGradeColor[pwdGradeCode].color);
					
					if(password != ""){
						// 안내문구 노출
						$("#divSafetyMsg").show();
						// 안전등급 노출
						$("#safetyGrade").show();
					} else {
						// 안내문구 숨김
						$("#divSafetyMsg").hide();
						// 안전등급 숨김
						$("#safetyGrade").hide();
					}
					
					// 파라미터로 들어온 callback 함수가 있으면 추가적으로 실행해줌
					if(callbackFunc != undefined){
						callbackFunc();
					}
					
				});
			},
			
			//이메일 입력 시 숫자, 영문소문자만 나오도록 치환
			onkeyup_checkIdText : function( ){
				var id = $.trim($("#txtUserId").val());
				var email = $.trim($("#txtUserEmail").val());
				
				if(mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){ // Android일경우
					var regexp = / /;
					
					if (email != "") {
						regexp = /^[a-z0-9]{1,39}$/g; // 숫자,영소문자
						if ( !regexp.test(id) && id.length > 0 ) {
							$("#txtUserId").attr("readonly", true);
							Ns.Popup.alert("아이디는 4~40자의 영소문자 또는 숫자만 입력 가능합니다.", function(){
								$("#txtUserId").attr("readonly", false);
							});
							id = id.replace(/[^0-9a-z]/g,"");	// 숫자, 영문소문자만 나오도록 치환
						}
					} else {
						regexp = /^[0-9a-z@.\.\_]{1,39}$/g; // 숫자, 영소문자, 이메일(@,.)
						if ( !regexp.test(id) && id.length > 0 ) {
							$("#txtUserId").attr("readonly", true);
							Ns.Popup.alert("아이디는 4~40자의 영소문자 또는 숫자만 입력 가능합니다.", function(){
								$("#txtUserId").attr("readonly", false);
							});
							id = id.replace(/[^0-9a-z@.\.\_]/g,"");	// 숫자, 영문소문자, 이메일(@,.)만 나오도록 치환
						}
					}					
					
				} else { // Android가 아닐경우		
					if(email != ""){
						id = id.replace(/[^0-9a-z]/g,"");	// 숫자, 영문소문자만 나오도록 치환
					}else if(email == ""){
						id = id.replace(/[^0-9a-z@.\.\_]/g,"");	// 숫자, 영문소문자, 이메일(@,.)만 나오도록 치환
					}
				}
				$("#txtUserId").val(id);
			},
			
			//인증번호 확인
			onclick_btnChkCertNumber : function(){
				var chkNum = $.trim($("#certNumer").val());
				
				//인증번호 발송을 선행하지 않았을 경우
				if ( Ns.Util.isNull(CurrentView.authObj) || Ns.Util.isNull(CurrentView.authObj.tempUserId) ){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_CERT_FIRST );
					return false;
				}
				
				//이미 인증이 완료되었을 경우
				if ( CurrentView.isCertCheck ){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_CERT_DUPLECATE );
					return false;
				}
				
				if( CurrentView.authObj.authnumber == chkNum ){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_CERT_SUCCESS );
					CurrentView.isCertCheck = true;
				}else{
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_CERT_FAIL );
				}
				
			},
			
			//인증번호 발송
			onclick_btnSendCertNumber : function(){
				var tel = $.trim($("#tel").val());
				
				var hpFirst = tel.substring(0,3);
				var hpMid  =  tel.substring(3,7);
				var hpLast =  tel.substring(7,11);
				
				//핸드폰자리가 11자리 이하일 경우
				if ( tel.length < 11 ){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_PHONE_CHECK );
					return false;
				}
				
				var phone = hpFirst + "-" + hpMid + "-" + hpLast;
				var invoke = {
					cmdType : "sendSmsAuth",
					phone : phone
				};

				//인증번호 요청시마다 항상 초기화
				CurrentView.authObj = {};
				CurrentView.authObj.phone = phone;
				
				tran.callWCSJsonTran('NsMobileMemberSignupCmd', invoke, CurrentView.data.callbackCertNumber );
			},
			
			//약관보기
			onclick_joinTerm : function(){
				var id = $(this).attr('id');
				
				Ns.Popup.showPopup( "M_M1220001M",{ objName : id, objData : CurrentView.agreeList[id] });
			},
			

			 //로그인 버튼 클릭
			 onclick_btnLogin : function() {
				  var retval = CurrentView.event.checkEssentialInputValue();
				  if (!retval) return;

				  var txtUserId = $.trim($("#txtUserIdLogin").val());
				  var txtPassword = $.trim($("#txtPasswordLogin").val());
				  var invokeParams = CurrentView.THIS_PARAMs || null;
				 
				  var params = {
					   logonId : txtUserId,
					   logonPassword : txtPassword,
					   logonType : LOGON_TYPE.normal,
					   resAction : invokeParams,
					   entFlag   : CurrentView.Naverdata.resAction.entFlag,
					   entUserId    : CurrentView.Naverdata.resAction.logonId,
					   refresh_token : CurrentView.Naverdata.resAction.access_token,
					   entName : CurrentView.Naverdata.resAction.name,
					   isSSORequest : "false",
					   entEmail : CurrentView.Naverdata.resAction.Email,
				  };
				  
				  tran.callWCSJsonTran('NsMobileMemberSignupCmd', {cmdType : "checkEntUser" , logonid : txtUserId , entFlag : CurrentView.Naverdata.resAction.entFlag}, function(data){
						var linkYN = data.msg.result.linkYN; // ID가 이미 연동되어있는지 여부
						
						if( linkYN == "Y" && CurrentView.Naverdata.resAction.entFlag == "NAVER"){
							message = "해당 NSmall 아이디는 다른 네이버 계정과 연동되어있습니다."; 
							Ns.Popup.alert(message);
							return false; 
						}else if( linkYN == "Y" && CurrentView.Naverdata.resAction.entFlag == "PAYCO"){
							message = "해당 NSmall 아이디는 다른 페이코 계정과 연동되어있습니다."; 
							Ns.Popup.alert(message);
							return false; 
						}else if( linkYN == "Y" && CurrentView.Naverdata.resAction.entFlag == "KAKAO"){
							message = "해당 NSmall 아이디는 다른 카카오 계정과 연동되어있습니다."; 
							Ns.Popup.alert(message); 
							return false; 
						}else{
							mainCtrl.userLogin( params );
						}

					 });

				  

			  },
			  
			  checkEssentialInputValue : function() {
					var message = '';

					var txtUserId = $.trim($("#txtUserIdLogin").val());
					var txtPassword = $.trim($("#txtPasswordLogin").val());

					if (txtUserId == ''){
						message = '아이디(이메일)를 입력해주세요.'; 
						Ns.Popup.alert(message);
						return false; 
					}
					
					if (txtPassword == ''){
						message = '비밀번호를 입력해주세요.'; 
						Ns.Popup.alert(message);
						return false; 
					} else if(txtUserId.length < 4) {
						message = '아이디는 4~40자 이내 영문소문자 또는 영문소문자+숫자 조합으로 입력해 주세요.';
						Ns.Popup.alert(message);
						return false;
					}
					
					if(txtPassword.length < 1) {
						message = '비밀번호는 8~16자 이내 영문소문자+숫자 조합으로 입력해 주세요.';
						Ns.Popup.alert(message);
						return false;
					}

					return true;
			  },
			  
			  /**
			   * 2018-01-22 ssong
			   * 기존 아이디 연결 시도시 휴면계정 여부 체크 및 노출
			   */
			  onfocusout_txtUserIdLogin : function(e){
				var id = $(this).val().trim();
				
				if(!id){
					return false;
				}
				
				var invoke = {
					cmdType : "checkLogonIdUsability",
					logonid : id
				};
				
				tran.callWCSJsonTran('NsMobileMemberSignupCmd', invoke, function( data ){
					$("#o_diapauseId").remove();
					var code = data.msg.result.resultCode.toUpperCase();
					
					if( code == "R"){
						var html = ' <p class="em-member-old red" id = "o_diapauseId">휴면계정 아이디(이메일)입니다. 다른 이메일을 입력해 주세요.</p>';
						$("#txtUserIdLogin").after(html);
					}
					return false;
				});
				
			  },
			
		}		
		
};		