
/* JavaScript content from js/member/M_M1290000P.js in folder common */

/* 
 *  페이지 ID : M_M1290000P
 *  
 *  회원가입 팝업
*/
CurrentPopup = {
	THIS_PARAMs : null,	
	// init
	init : function(params) {
		this.initializeComponent(params);
		this.onLoad(params);
		
		var version = WL.Client.getAppProperty("APP_VERSION").replace(/\./gi,"");
		if (env == "android" && parseInt(version) < 2925){
			$("#btnKakaoMemberJoin").hide();
		}
		
		if (env == "iphone" && parseInt(version) < 2921){
			$("#btnKakaoMemberJoin").hide();
		}
	},
	
	// html 페이지 로딩 후 초기화해야 할 적업들을 정의
	initializeComponent : function(params) {
		this.THIS_PARAMs = params;
		$('#btnClose').on('click', CurrentPopup.event.LayerPopupClose);
		$('#btnMemberJoin').on('click', CurrentPopup.event.btnMemberJoin);
		$('#btnPaycoMemberJoin').on('click', CurrentPopup.event.btnPaycoMemberJoin);
		$('#btnNaverMemberJoin').on('click', CurrentPopup.event.btnNaverMemberJoin);
		$('#btnKakaoMemberJoin').on('click', CurrentPopup.event.btnKakaoMemberJoin);
	},
	
	// 화면 로딩중일 때 처리할 작업을 정의
	onLoad : function(params) {
		/**
		 * 페이코 배너 노출유무(2.9.9 이하버전 미노출)
		 * */
		if (mainCtrl.isOsApp()) {
			var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
			if (parseInt(version) < 299){
				$("#snsjoinbutton").hide();
			}	
		}
	},
	
	// 데이터 관련 함수를 정의한다. 
	data : {
		mobilewebNaverlogin : function() {
			var ssl_state = null;
			var src = null;
			var ranNum = Math.floor(Math.random()*(1001));
			var accptPath = Const.getAcceptPath();
			
			$("#iframe_link").remove();	// iframe 삭제
			$("#NaverForm").remove();
			
			if(location.protocol.indexOf("https") == -1){
				ssl_state = ranNum+"_http";
				src = "http://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/NaverPopLink.jsp";
			}
			
			if(location.protocol.indexOf("https") > -1){
				ssl_state = ranNum+"_https";
				src = "https://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/NaverPopLink.jsp";
			}
			
			$("body").append("<iframe id=\"iframe_link\" name=\"iframe_link\" style=\"display : none; width: 0px; height: 0px;\"></iframe>");
			$("body").append('<form id="NaverForm" target="iframe_link" action="' + src + '" method="post"></form>');

			$("#NaverForm").append('<input type="hidden" id="state" name="state" value="" />');
			$("#NaverForm").append('<input type="hidden" id="accptPath" name="accptPath" value="" />');

			$("#state").val(ssl_state);
			$("#accptPath").val(accptPath);
			$("#popupvalue").val("Y");
			$("#NaverForm").submit();

		},
		
		NaverLogin : function( data ){
			$("#iframe_link").remove();	// iframe 삭제
			$("#NaverForm").remove();
			
			if (null == data || undefined == data || data == ""){
				var msg = "네이버 연동시 에러가 발생하였습니다.";
				Ns.Popup.alert(msg);
				return;
			}
			
			var access_token = data.root.refresh_token; //네이버 엑세스토큰
			var id	  = data.root.id;    //네이버고유ID값
			var email = data.root.email; //네이버 메일주소
			var name  = data.root.name;  //네이버 이름

			tran.callWCSJsonTran('NsMobileMemberSignupCmd', {cmdType : "checkEntUser" , entUserId : id ,entFlag : "NAVER"}, function(data){
				var linkYN = data.msg.result.linkYN; //네이버ID가 이미 연동되어있는지 여부
				var nsLogonId = data.msg.result.nsLogonId;   //네이버ID와 연동된 NSMALL 로그인ID 
				var dupYN = data.msg.result.dupYN;   //네이버ID가 NSMALL에 사용되고 있는지 여부

				if(linkYN == null || linkYN == ""){
					linkYN = "N";
				}
				
				if(dupYN == null || dupYN == ""){
					dupYN = "N";
				}
				
				var params = {
						logonId : id,
						Email : email,
						access_token : access_token,
						name : name,
						entFlag   : "NAVER",
				};
				
				// 네이버 로그인처리
				if( linkYN == "Y"){
					Ns.Popup.alert( email + " 계정과 연동된 NSMALL ID가 이미 존재합니다.");
					return;
				}
				
				// 네이버 기존회원 연동
				if( linkYN == "N" && dupYN == "Y"){
					Ns.Popup.showPopup("M_M1250000M", params);
				}
				
				// 네이버 신규회원 가입
				if( linkYN == "N" && dupYN == "N"){
					Ns.Popup.showPopup("M_M1250000M", params);					
				}

			 });
		},
		
		mobilewebPaycologin : function() {
			var ssl_state = null;
			var src = null;
			var ranNum = Math.floor(Math.random()*(1001));
			var accptPath = Const.getAcceptPath();
			
			$("#iframe_link").remove();	// iframe 삭제
			$("#PaycoForm").remove();
			
			if(location.protocol.indexOf("https") == -1){
				ssl_state = ranNum+"_http";
				src = "http://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/PaycoPopLink.jsp";
			}
			
			if(location.protocol.indexOf("https") > -1){
				ssl_state = ranNum+"_https";
				src = "https://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/PaycoPopLink.jsp";
			}
			
			$("body").append("<iframe id=\"iframe_link\" name=\"iframe_link\" style=\"display : none; width: 0px; height: 0px;\"></iframe>");
			$("body").append('<form id="PaycoForm" target="iframe_link" action="' + src + '" method="post"></form>');

			$("#PaycoForm").append('<input type="hidden" id="state" name="state" value="" />');
			$("#PaycoForm").append('<input type="hidden" id="accptPath" name="accptPath" value="" />');

			$("#state").val(ssl_state);
			$("#accptPath").val(accptPath);
			$("#popupvalue").val("Y");
			$("#PaycoForm").submit();

		},
		
		PaycoLogin : function( data ){
			$("#iframe_link").remove();	// iframe 삭제
			$("#PaycoForm").remove();
			
			if (null == data || undefined == data || data == ""){
				var msg = "페이코 연동시 에러가 발생하였습니다.";
				Ns.Popup.alert(msg);
				return;
			}
			
			var access_token = data.root.refresh_token; //페이코 엑세스토큰
			var email = data.root.email; //페이코 메일주소
			var name = data.root.name; //페이코 이름
			
			tran.callWCSJsonTran('NsMobileMemberSignupCmd', {cmdType : "checkEntUser" , entUserId : email ,entFlag : "PAYCO"}, function(data){
				var linkYN = data.msg.result.linkYN; //페이코ID가 이미 연동되어있는지 여부
				var nsLogonId = data.msg.result.nsLogonId;   //페이코ID와 연동된 NSMALL 로그인ID 
				var dupYN = data.msg.result.dupYN;   //페이코ID가 NSMALL에 사용되고 있는지 여부
				
				if(linkYN == null || linkYN == ""){
					linkYN = "N";
				}
				
				if(dupYN == null || dupYN == ""){
					dupYN = "N";
				}
				
				var params = {
						logonId : email,
						Email   : email,
						access_token : access_token,
						name : name,
						entFlag   : "PAYCO",
				};
				
				// 페이코 로그인처리
				if( linkYN == "Y"){
					Ns.Popup.alert( email + " 계정과 연동된 NSMALL ID가 이미 존재합니다.");
					return;
				}
				
				// 페이코 기존회원 연동
				if( linkYN == "N" && dupYN == "Y"){
					Ns.Popup.showPopup("M_M1280000P", params);
				}
				
				// 페이코 신규회원 가입
				if( linkYN == "N" && dupYN == "N"){
					Ns.Popup.showPopup("M_M1280000P", params);					
				}

			 });
		},
		
		/*
		 * 카카오로그인 - 모바일 웹
		 * 
		 */
		mobilewebKakaologin : function() {
			var ssl_state = null;
			var src = null;
			var ranNum = Math.floor(Math.random()*(1001));
			var accptPath = Const.getAcceptPath();
			
			$("#iframe_link").remove();	// iframe 삭제
			$("#KakaoForm").remove();
			
			if(location.protocol.indexOf("https") == -1){
				ssl_state = ranNum+"_http";
				src = "http://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/kakao/KakaoPopLink.jsp";
				//src = "http://localhost:10080/localServer/mjsp/site/kakao/KakaoPopLink.jsp";
			}
			
			if(location.protocol.indexOf("https") > -1){
				ssl_state = ranNum+"_https";
				src = "https://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/kakao/KakaoPopLink.jsp";
			}
			
			$("body").append("<iframe id=\"iframe_link\" name=\"iframe_link\" style=\"display : none; width: 0px; height: 0px;\"></iframe>");
			$("body").append('<form id="KakaoForm" target="iframe_link" action="' + src + '" method="post"></form>');

			$("#KakaoForm").append('<input type="hidden" id="state" name="state" value="" />');
			$("#KakaoForm").append('<input type="hidden" id="accptPath" name="accptPath" value="" />');

			$("#state").val(ssl_state);
			$("#accptPath").val(accptPath);
			$("#popupvalue").val("Y");
			$("#KakaoForm").submit();
		},
		
		KakaoLogin : function( data ){
			$("#iframe_link").remove();	// iframe 삭제
			$("#KakaoForm").remove();
			
			if (null == data || undefined == data || data == ""){
				var msg = "카카오 연동시 에러가 발생하였습니다.";
				Ns.Popup.alert(msg);
				return;
			}
			
			// 로그인 시 동의안함을 선택하였을 경우 root는 ""로 넘어옴
			if(data.root == undefined || data.root == null || data.root == ""){
				var message = '카카오 연동을 취소하셨습니다.';
				Ns.Popup.alert(message);
				return;
			}
			
			var access_token = data.root.refresh_token; //카카오 엑세스토큰
			var id	  = data.root.id;    //카카오고유ID값
			var email = data.root.email; //카카오 메일주소
			var name  = data.root.name;  //카카오 이름

			tran.callWCSJsonTran('NsMobileMemberSignupCmd', {cmdType : "checkEntUser" , entUserId : id ,entFlag : "KAKAO"}, function(data){
				var linkYN = data.msg.result.linkYN; //카카오ID가 이미 연동되어있는지 여부
				var nsLogonId = data.msg.result.nsLogonId;   //카카오ID와 연동된 NSMALL 로그인ID 
				var dupYN = data.msg.result.dupYN;   //카카오ID가 NSMALL에 사용되고 있는지 여부

				if(linkYN == null || linkYN == ""){
					linkYN = "N";
				}
				
				if(dupYN == null || dupYN == ""){
					dupYN = "N";
				}
				
				var params = {
						logonId : id,
						Email : email,
						access_token : access_token,
						name : name,
						entFlag   : "KAKAO",
				};
				
				// 카카오 로그인처리
				if( linkYN == "Y"){
					Ns.Popup.alert( email + " 계정과 연동된 NSMALL ID가 이미 존재합니다.");
					return;
				}
				
				// 카카오 기존회원 연동
				if( linkYN == "N" && dupYN == "Y"){
					Ns.Popup.showPopup("M_M1270000P", params);
				}
				
				// 카카오 신규회원 가입
				if( linkYN == "N" && dupYN == "N"){
					Ns.Popup.showPopup("M_M1270000P", params);					
				}

			 });
		},
		
		/**
		 * kimjh : 카카오 로그인 추가
		 * */
		nativeKakaoLogin : function() {
			var successFunc = function(data) {
				if (typeof (data) == 'string')
					data = Ns.Util.serializeToObject(data);
				if (!Ns.Util.isNull(data.accessToken)) {
					var accessToken = data.accessToken;
//					var expiresAt = data.expiresAt;
					if (!Ns.Util.isNull(data.refreshToken))
						var refreshToken = data.refreshToken;
					var successFunc = function(data) {
						if (typeof (info) == 'string')
							data = Ns.Util.serializeToObject(data);
						// 로그아웃
//						Ns.Native.kakao(function(){}, function(){}, "logout");
						// 로그인 Api 요청
						var invoke = {
								id : data.id,	//	dhlee 2017.06.14 네이버 아이디 추가 
								refresh_token  : refreshToken,
//								expiresAt 	  : expiresAt,
								access_token  : accessToken,
								email 		  : data.email,
								name 	  : data.name
						};
						var data = {root:invoke};
						CurrentPopup.data.KakaoLogin(data);
					};
					var failFunc = function(data) {
						message = '로그인에 실패하였습니다.';
						Ns.Popup.alert(message);
					};
					if (mainCtrl.VIEW_TYPE == "android") {
						Ns.Native.kakao(successFunc, failFunc, "userProfile", [{accessToken:accessToken}]);
					} else {
						Ns.Native.kakao(successFunc, failFunc, "userProfile");
					}
				}
			};
			var failFunc = function(data) {
				message = '카카오 연동을 취소하셨습니다.';
				Ns.Popup.alert(message);
			};
			Ns.Native.kakao(successFunc, failFunc, "login");
		},
		
		/**
		 * 2016-10-28 정승진 : 네이버 모바일 로그인
		 * */
		nativeNaverlogin : function() {
			var successFunc = function(data) {
				if (typeof (data) == 'string')
					data = Ns.Util.serializeToObject(data);
				if (!Ns.Util.isNull(data.accessToken)) {
					var accessToken = data.accessToken;
					var expiresAt = data.expiresAt;
					if (!Ns.Util.isNull(data.refreshToken))
						var refreshToken = data.refreshToken;
					var successFunc = function(data) {
						if (typeof (info) == 'string')
							data = Ns.Util.serializeToObject(data);
						// 로그아웃
						Ns.Native.naver(function(){}, function(){}, "logout");
						// 로그인 Api 요청
						var invoke = {
								id : data.id,	//	jjko 2017.06.15 네이버 아이디 추가
								access_token  : accessToken,
								expiresAt 	  : expiresAt,
								refreshToken  : refreshToken,
								email 		  : data.email,
								nickname 	  : data.nickname
						};
						var data = {root:invoke};
						CurrentPopup.data.NaverLogin(data);
					};
					var failFunc = function(data) {
						message = '로그인에 실패하였습니다.';
						Ns.Popup.alert(message);
					};
					if (mainCtrl.VIEW_TYPE == "android") {
						Ns.Native.naver(successFunc, failFunc, "userProfile", [{accessToken:accessToken}]);
					} else {
						Ns.Native.naver(successFunc, failFunc, "userProfile");
					}
				}
			};
			var failFunc = function(data) {
				message = '네이버 연동을 취소하셨습니다.';
				Ns.Popup.alert(message);
			};
			Ns.Native.naver(successFunc, failFunc, "login");
		},
		
		/**
		 * 2017-03-02 고정진 jjko : 페이코 모바일 로그인
		 * 2017.03.15 이동희 dhlee : 페이코 안드로이드 로그인
		 * */
		nativePaycologin : function() {
			var successFunc = function(data) {
				if (mainCtrl.VIEW_TYPE == "android") {
					console.log("nativePaycologin",data);
					if (typeof (data) == 'string')
						data = Ns.Util.serializeToObject(data);
					if (!Ns.Util.isNull(data.accessToken)) {
						var accessToken = data.accessToken;
						var expiresAt = data.expiresAt;
						if (!Ns.Util.isNull(data.refreshToken))
							var refreshToken = data.refreshToken;
						var successFunc = function(data) {
							if (typeof (info) == 'string')
								data = Ns.Util.serializeToObject(data);
							// 로그아웃
							Ns.Native.payco(function(){}, function(){}, "logout");
							// 로그인 Api 요청
							var invoke = {
									access_token  : accessToken,
									expiresAt 	  : expiresAt,
									refresh_token  : refreshToken,
									email 		  : data.email,
									name 		  : data.name
							};
							var data = {root:invoke};
							CurrentPopup.data.PaycoLogin(data);
						}; 
						var failFunc = function(data) {
							message = '로그인에 실패하였습니다.';
							Ns.Popup.alert(data);
						};
						Ns.Native.payco(successFunc, failFunc, "userProfile", [{accessToken:accessToken,}]);
					}
				} else {
					if (typeof (info) == 'string')
						data = Ns.Util.serializeToObject(data);
					
					var refresh_token = data.refresh_token; //페이코 엑세스토큰
					var email = data.email; //페이코 메일주소
					var name = data.name; //페이코 이름

					// 로그인 Api 요청
					var invoke = {
							refresh_token  : refresh_token,
							email 		  : email,
							name 	  : name
					};
					var data = {root:invoke};
					CurrentPopup.data.PaycoLogin(data);
				}
				

			};
			var failFunc = function(data) {
				var msg = "페이코 연동시 에러가 발생하였습니다.";
				Ns.Popup.alert(msg);
			};
			Ns.Native.payco(successFunc, failFunc, "login");
		},
	},
	
	// 이벤트 관련 함수를 정의한다.
	event : {
		/**
		 * 닫기 버튼 클릭
		 * */
		LayerPopupClose : function() {
			$("#contents .content-primary").show();
			$("#M_M1290000P").remove();
			$("#scriptM_M1290000P").remove();
			navi.setMovePointer(-1);
			var id = mainCtrl.getCurrentPageId();
			var title = PAGE_CONFIG[id].title;
			mainCtrl.setHeaderTitleEvent("S" , title, id);
		},
		/**
		 * 회원 가입 버튼
		 * */
		btnMemberJoin : function() {
			
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_회원가입',
					eventAction : '일반회원',
					eventLabel : "회원가입"
			};
			var subparam = {
					t1 : '로그인',
					t2 : "회원가입"
			};
		
			GA.sendEventData(event_obj,subparam);
			
			mainCtrl.navigate( "M_M1231000M" );
			navi.setMovePointer(-1);
		},
		
		/**
		 * 네이버 회원가입 버튼 클릭
		 * */
		btnNaverMemberJoin : function() {
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_회원가입',
					eventAction : '간편회원',
					eventLabel : "네이버회원가입"
			};
			var subparam = {
					t1 : '로그인',
					t2 : "회원가입"
			};
		
			GA.sendEventData(event_obj,subparam);
			
			// 모바일
	    	if (mainCtrl.isOsApp())
	    		CurrentPopup.data.nativeNaverlogin();
	    	// 웹
	    	else
	    		CurrentPopup.data.mobilewebNaverlogin();
	    	return false;
		},
		
		/**
		 * 페이코 회원가입 버튼 클릭
		 * */
		btnPaycoMemberJoin : function() {
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_회원가입',
					eventAction : '간편회원',
					eventLabel : "페이코회원가입"
			};
			var subparam = {
					t1 : '로그인',
					t2 : "회원가입"
			};
		
			GA.sendEventData(event_obj,subparam);
			
			// 모바일
	    	if (mainCtrl.isOsApp())
	    		CurrentPopup.data.nativePaycologin();
	    	// 웹
	    	else
	    		CurrentPopup.data.mobilewebPaycologin();
	    	return false;
		},
		
		/**
		 * 카카오 회원가입 버튼 클릭
		 * */
		btnKakaoMemberJoin : function() {
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_회원가입',
					eventAction : '간편회원',
					eventLabel : "카카오회원가입"
			};
			var subparam = {
					t1 : '로그인',
					t2 : "회원가입"
			};
		
			GA.sendEventData(event_obj,subparam);
			
			// 모바일
	    	if (mainCtrl.isOsApp())
	    		CurrentPopup.data.nativeKakaoLogin();
	    	// 웹
	    	else
	    		CurrentPopup.data.mobilewebKakaologin();
	    	return false;
		},
	},
	
	// ui 관련 함수 정의
	ui : {
		
	}
	
};