
/* JavaScript content from js/mypage/M_U1122102M.js in folder common */
/**
 * 		페이디 ID : M_U1122102M
 * 		반품내역 페이지
 */

CurrentView = {
		ordersId : null,// 넘어온 param
		objOrder : new Object(),
		
		init : function( params ) {
			$("#footer").show();

			this.initializeComponent( params );
			this.onLoad( params );
		},
		
		initializeComponent : function( params ){
			//$("#cancelRefundRequest").unbind().bind( "click", this.event.onclick_cancelRefundRequest );	//반품신청한거 취소
			$("#navigateToOrderList").unbind().bind( "click", this.event.onclick_navigateToOrderList );	//주문배송조회 페이지로
		},
		
		onLoad : function( params ){
			CurrentView.ordersId = params.ordersId;

			//반품 신청내역 정보조회
			this.data.getRefundOrderRequestForm();
		},

		data : {
			//반품 신청내역 정보조회
			getRefundOrderRequestForm : function() {
				var param = {};
				param.tasknm = "RETURN";
				param.subTasknm = "form";
				param.ordsid  = CurrentView.ordersId;
				param.counselorOrderCancel = "refunddetail"; 
				param.channel = "mobile"; 
				param.userId = USERINFO.userId()	
				
				tran.callWCSJsonTran('NSChangeOrderCmd', param, CurrentView.data.responseRefundOrderRequestFormChk);
			},
			
			//NSChangeOrder 콜백function
			responseRefundOrderRequestFormChk : function( data ) {
				if(!data.msg || !data.msg.root || !data.msg.root.orders || data.msg.root.orders.length == 0 || 
						data.msg.root.orders[0]== null || data.msg.root.orders[0]== ""){
					Ns.Popup.alert( "서버와 통신이 원활하지 못합니다. 잠시 후 다시 시도해 주십시오.", function() {
						navi.naviBack();
					},null,true );
				}else{	
					var orders = data.msg.root.orders[0];
					CurrentView.objOrder = data.msg.root.orders[0];
					
					CurrentView.ui.responseRefundOrderRequestForm( orders.ordersId, orders.cats, orders );
				}
			},
			
			// 반품수거현황조회
			getPickupStatus : function( param, callback ) {
				var invokeParams = {
					"tasknm" : "alejandro",
					"var" : JSON.stringify(
							{
								"cnm" : "com.ns.commerce.nsmypage.helper.NSMypageCommJDBCHelper",
								"mnm" : "getShipInfo",
								"args" : param
							}
					)
				};
				tran.callWCSJsonTran('NSMypageCommCmd', invokeParams, callback );
			}
		},

		ui : {
			responseRefundOrderRequestForm : function( ordersId, cats, orders ) {
				if( cats == null || cats == "" ) {
				 	var html = mainCtrl.getNoResultDataHtml("주문 내역이 없습니다.");
  					$("#productArea").html( html );
					return;
				}
				
				// 반품신청한 상품정보 출력
				CurrentView.ui.setRefundOrderRequestInfo( ordersId, cats, orders );
					
			},
			
			//반품신청한 상품정보 출력
			setRefundOrderRequestInfo : function( ordersId, cats, orders ) {
				
				var html = '';
				// 반품신청한 상품정보 출력
				html += CurrentView.ui.makeHtmlCats( ordersId, cats, orders );
				$("#productArea").html( html );
				
				if(html != null){
					// 반품사유, 수거지정보, 환불 예정정보, 반품비 결제정보 출력
					CurrentView.ui.makeRefundOrderRequestInfo( ordersId, cats, orders );
				}
			},
			
			//반품신청한 상품 기본정보를 출력
			makeHtmlCats : function( ordersId, items, orders ) {
				var html ="";
				
				for ( var i=0; i<items.length; i++ ) {
					//CurrentView.arrCatsItem[CurrentView.arrCatsItem.length] = items[i];
					var imageLink = Ns.Util.getImageUrl(String(items[i].goodsCd),"H");
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_H.jpg';
					var brandName = Ns.Util.htmlDecode(items[i].brandName);
					var goodsName = items[i].catentryName;
					goodsName = ( !Ns.Util.isNull(brandName) && brandName != '미정의' ? "[" + brandName + "]" : "") + (goodsName || '');
					var partnumber =  items[i].goodsCd; 
					
					var optionsHtml = "";
					var options = CurrentView.ui.getOrdersAttributes( items[i].attrs ); //옵션 생성
					
					// 초이스, 팩, 사은품 상품 주문 옵션 표시
					if (items[i].subProducts.length > 0){
						for (var j = 0; items[i].subProducts.length > j; j++){
							if (items[i].subProducts[j].partgubun == "CHOICE"){	// 초이스 상품일 경우
								options += '<br /><span class="option">' + items[i].subProducts[j].name;
								if (items[i].subProducts[j].attrs.length > 0){
									options += ' ' + items[i].subProducts[j].attrs[0].value;
								}
								options += ' : ' + items[i].subProducts[j].quantity + '개</span>';
							} else { // PACK, GIFT 일 경우
								options += '<br /><span class="option">' + items[i].subProducts[j].name;
								if (items[i].subProducts[j].attrs.length > 0){
									options += ' ' + items[i].subProducts[j].attrs[0].value;
								}
								options += '</span>';
							}
						}
					}
					
					
					if ( options != "" ) {
						optionsHtml += '<strong class="head">주문옵션</strong>';
						optionsHtml += '<span class="text">';
						optionsHtml += options;
						optionsHtml += '</span>';
					}
			
					html += Ns.Util.stringFormat('\
							<li class="items">\
								<div class="wrap">\
									<div class="thumbnail">\
										<a href=""><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지" /></a>\
									</div>\
									<div class="field">\
										<p class="title">\
											<a href=""><strong>{4}</strong></a>\
										</p>\
										<p class="option-item">\
											{5}\
			    						</p>\
									</div>\
								</div>\
							</li>',	ordersId, imageLink, noImageUrl, ordersId, goodsName, optionsHtml );
				}
				
				return html;
			},
			
			getOrdersAttributes : function( attrs ) {
	    		var attrvalDesc = "";
	    		if ( attrs == null ) return "";
	    
	    		for ( var k=0; k<attrs.length; k++ ) 	{
	    			attrvalDesc += Ns.Util.stringFormat('<br /><span class="option">{0} : {1}</span>', attrs[k].attrDesc, attrs[k].attrvalDesc);
	    		}
	    
	    		return attrvalDesc;
	    	},
	    	
	    	makeRefundOrderRequestInfo : function( ordersId, items, orders ) {
	    		if(orders.refundInfo == null || orders.refundInfo.rsnDesc == null || orders.refundInfo.rsnDtl == null){
	    			$("#refundReasonSection").hide();
	    		}else{
	    			//반품사유
	    			$("#refundReasonSection").show();
		    		$("#refundReason").html(orders.refundInfo.rsnDesc);
		    		$("#refundReasonDetail").html(orders.refundInfo.rsnDtl);
	    		}
	    		
	    		//수거지정보
	    		$("#memberName").html(items[0].pickup.nickname);	    		
	    		var phone = '';
	    		if(items[0].pickup.phone1 != null) phone += items[0].pickup.phone1;
	    		if(items[0].pickup.phone2 != null) phone += " / "+items[0].pickup.phone1;
	    		$("#memberPhone").html(items[0].pickup.phone1);
	    		$("#memberAddress").html(items[0].pickup.dispAddressPlus);
	    		if(items[0].pickup.message != null) $("#pickupMessage").html(items[0].pickup.message);
	    		else $("#pickupMessage").html("");
	    			
	    		//환불 예정정보
	    		var html = "";	    		
	    		for (var i = 0; i < orders.payms.length; i++) {
	    			html += Ns.Util.stringFormat('<span class="weigt_bold em rate-g">{0}원</span><span>({1})</span>',
		    				Ns.Util.insertCommas(orders.payms[i].payAmt),
		    				(orders.payms[i].paymentname).replace(" 사용","")
						);
	    		}
	    		$("#refundMethodArea").append(html);
	    		
	    		//반품비 결제정보
	    		$("#refundPickupCost").append("무료");
	    	}
		},

		event : {			
			//반품신청한거 취소 
			onclick_cancelRefundRequest: function() {
				Ns.Popup.confirm("반품신청을 취소하시겠습니까?", 
						function(){
							Ns.Popup.alert( "반품신청이 취소되었습니다.", function(){ 
								navi.setMovePointer(-3);
								navi.moveBack();
								var param = {};
								mainCtrl.navigate( "M_U1121100M", param );
							});
						},
						function(){
						
							
						}
					);
			},
		
			//주문배송조회 페이지로 
			onclick_navigateToOrderList: function() {
				var param = {};
				mainCtrl.navigate( "M_U1121100M", param );
			},
			
			// 반품 수거현황 조회
			onclick_pickupStatus : function() {
				CurrentView.data.getPickupStatus({
					'ordersId' : CurrentView.objOrder.ordersId,
					'orderitemsId' : CurrentView.objOrder.orderitems[0].orderitemsId,
					'addressId' : CurrentView.objOrder.orderitems[0].addressId,
					'catentryId' : CurrentView.objOrder.orderitems[0].catentryId,
					'status' : status
				}, function(data) {
					if (data && data.list && data.list.url) {
						// 배송조회 팝업 호출
						Ns.Native.webView(1, data.list.url);
					} else {
						Ns.Popup.alert( "배송정보가 존재하지 않습니다." );
					}
				});
			},
			
		}
};