
/* JavaScript content from js/mypage/M_U1139998L.js in folder common */

/* 
 *	마이페이지 - 쿠폰 - 쿠폰 다운로드
 *  ID : M_U1139998L

 *  1. 쿠폰
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		grade : null,
		pageidx : 1,
		pageSize : 5,
		selIndex : -1,

		btnState : [],
		cssState : [],
		btnIndex : "",
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#txtUserName").html(USERINFO.userName());
			$("#divPagingArea").hide();
			//$("#ulTabsArea li a").unbind().bind( "click",  this.event.onclick_ulTabsArea ); //탭 영역 (쿠폰, 상품권, 연간할인원)
			//$("#btnDownloadCoupon").unbind().bind( "click",  this.event.onclick_btnDownloadCoupon );
			
			$("#ulSaleCouponArea li a").unbind().bind( "click",  this.event.onclick_btnMyMemberCoupon ); //멤버쉽 버튼
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getMyMemberShip();
			this.data.getDownloadCouponInfo();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getMyMemberShip : function() {
				var param = {};
				if(USERINFO.logonType() == 'normal')
					tran.callWCSJsonTran('NsMembershipReal', param, CurrentView.data.resultMyMembershipInfo);
				else{
					$("#sale_couponArea").hide();
					$("#gradeArea").hide();
				}
				
			},
			
			resultMyMembershipInfo : function( data ) {
				var html = "";
				var purchaseGrd = data.msg.root.PurchaseGrd;	//나의 구매 등급 정보
				var grdBenefit = data.msg.root.GrdBenefit;//등급별 이 달의 할인 쿠폰
					
				var gradename = ""; //등급명칭.
				gradename = CurrentView.ui.getGradeName( purchaseGrd.currentGrd );
				CurrentView.grade = purchaseGrd.currentGrd;
				$("#currentGrade").html( gradename + ' 고객님께 드리는 이 달의 할인 쿠폰' ); //등급

				//Y : 이미 다운받음, N: 다운받기 가능, X : 해당없음
				var normalCpDownYn = grdBenefit.normalCpDownYn; //일반쿠폰 다운로드 여부
				var plusCpDownYn = grdBenefit.plusCpDownYn; //플러스쿠폰 다운 여부
				var liveCpDownYn = grdBenefit.liveCpDownYn; //라이브쿠폰 다운 여부
				
				var normalCpIdfr = grdBenefit.normalCpIdfr; //일반쿠폰 식별자
				var plusCpIdfr = grdBenefit.plusCpIdfr; //플러스쿠폰 식별자
				var liveCpIdfr = grdBenefit.liveCpIdfr; //라이브쿠폰 식별자
				
				var nomarCpBnftVal = grdBenefit.nomarCpBnftVal; //일반쿠폰 혜택값
				var plusCpBnftVal = grdBenefit.plusCpBnftVal; //플러스쿠폰 혜택값
				var liveCpBnftVal = grdBenefit.liveCpBnftVal; //라이브쿠폰 혜택값

				var rate_b = "btn theme-b rate-b x-small";  //다운로드 완료
				var rate_a = "btn theme-b rate-a x-small";  //다운로드

				if( normalCpDownYn == "Y" ) {
					CurrentView.btnState.push( "다운로드 완료" );
					CurrentView.cssState.push( rate_b );
				} else if( normalCpDownYn == "N" ) {
					CurrentView.btnState.push( "다운로드" );
					CurrentView.cssState.push( rate_a );
				} else {
					CurrentView.btnState.push( "다운없음" );
					CurrentView.cssState.push( rate_b );
				}
				
				if( plusCpDownYn == "Y" ) {
					CurrentView.btnState.push( "다운로드 완료" );
					CurrentView.cssState.push( rate_b );
				} else if( plusCpDownYn == "N" ) {
					CurrentView.btnState.push( "다운로드" );
					CurrentView.cssState.push( rate_a );
				} else {
					CurrentView.btnState.push( "다운없음" );
					CurrentView.cssState.push( rate_b );
				}
				
				if( liveCpDownYn == "Y" ) {
					CurrentView.btnState.push( "다운로드 완료" );
					CurrentView.cssState.push( rate_b );
				} else if( liveCpDownYn == "N" ) {
					CurrentView.btnState.push( "다운로드" );
					CurrentView.cssState.push( rate_a );
				} else {
					CurrentView.btnState.push( "다운없음" );
					CurrentView.cssState.push( rate_b );
				}

				var btnState = CurrentView.btnState;
				var cssState = CurrentView.cssState;

				var html_nomal = "";
				var html_plus = "";
				var html_live = "";
				if( normalCpDownYn == "Y" || normalCpDownYn == "N" ) {
					html_nomal = Ns.Util.stringFormat('<a class="{0}" id="nomalCss" href="javascript:CurrentView.event.onclick_btnMyMemberCoupon(\'nomalCss\', \'{1}\');"><span id="nomarCp" >{2}</span></a>',
							cssState[0], normalCpIdfr, btnState[0]);
				} else {
					html_nomal = Ns.Util.stringFormat('<a class="{0}" id="nomalCss" href="javascript:CurrentView.event.onclick_btnMyMemberCoupon(\'nomalCss\', \'{1}\');" style="display:none;"><span id="nomarCp" >{2}</span></a>',
							cssState[0], normalCpIdfr, btnState[0]);
				}
				
				if( plusCpDownYn == "Y" || plusCpDownYn == "N" ) {
					html_plus = Ns.Util.stringFormat('<a class="{0}" id="plusCss" href="javascript:CurrentView.event.onclick_btnMyMemberCoupon(\'plusCss\', \'{1}\');"><span id="plusCp" >{2}</span></a>',
							cssState[1], plusCpIdfr, btnState[1]);
				} else {
					html_plus = Ns.Util.stringFormat('<a class="{0}" id="plusCss" href="javascript:CurrentView.event.onclick_btnMyMemberCoupon(\'plusCss\', \'{1}\');" style="display:none;"><span id="plusCp" >{2}</span></a>',
							cssState[1], plusCpIdfr, btnState[1]);
				}
				
				if( liveCpDownYn == "Y" || liveCpDownYn == "N" ) {
					html_live = Ns.Util.stringFormat('<a class="{0}" id="liveCss" href="javascript:CurrentView.event.onclick_btnMyMemberCoupon(\'liveCss\', \'{1}\');"><span id="liveCp" >{2}</span></a>',
							cssState[2], liveCpIdfr, btnState[2]);
				} else {
					html_live = Ns.Util.stringFormat('<a class="{0}" id="liveCss" href="javascript:CurrentView.event.onclick_btnMyMemberCoupon(\'liveCss\', \'{1}\');" style="display:none;"><span id="liveCp" >{2}</span></a>',
							cssState[2], liveCpIdfr, btnState[2]);
				}
				
				if(nomarCpBnftVal > 0){
					html +=	Ns.Util.stringFormat('\
						<li>\
							<span class="sale_coupon type01"><span><em>{0}</em>알뜰<br />쿠폰</span></span>\
							{1}\
						</li>',Ns.Util.insertCommas( nomarCpBnftVal ), html_nomal );
				}
				
				if(plusCpBnftVal > 0){
				html +=	Ns.Util.stringFormat('\
					<li>\
						<span class="sale_coupon type02"><span><em>{0}%</em>더할인<br />쿠폰</span></span>\
						{1}\
					</li>', Ns.Util.insertCommas( plusCpBnftVal ), html_plus );
				}
				
				if(liveCpBnftVal > 0){
				html +=	Ns.Util.stringFormat('\
					<li>\
						<span class="sale_coupon type03"><span><em>{0}%</em>TV상품<br />쿠폰</span></span>\
						{1}\
					</li>',	Ns.Util.insertCommas( liveCpBnftVal ), html_live );
				}
				
				$("#ulSaleCouponArea").html(html);
			},

			getDownloadCouponInfo : function( pageidx ) {
				var params = {};
				if ( pageidx == null || pageidx == "" || pageidx == 0 || pageidx == undefined ) {
					pageidx = CurrentView.pageidx;
				}
				CurrentView.pageidx = pageidx;  // 현재 페이지 전역에 저장
				
				params.pageNum = pageidx;
				params.pageSize = CurrentView.pageSize;
				
				tran.callWCSJsonTran('CpDownloadListReal', params, CurrentView.data.resultDownloadCouponInfo);
			},
			
			resultDownloadCouponInfo : function( data ) {
				var html = "";
				
				var cpList	 = data.msg.root.CpList;
				var cpCnt	 = data.msg.root.Common.cpCnt;
				
				if ( cpList == null || cpList=="" || cpList.length==0  ) {
					html = mainCtrl.getNoResultDataHtml( "사용 가능한 쿠폰이 없습니다." );
					$("#ulDownloadCouponArea").html(html);
					return;
				}
				
				for( var i=0;i<cpList.length;i++ ) {
					var items = cpList[i];
					//쿠폰번호(cpNum),쿠폰명(cpName), 쿠폰사용기간(expiryDate),쿠폰사용조건(ratePerType), 할인율(rate),쿠폰종류(cpType)
					
					var _date = "";
/*					var num = items.expiryDate;
					if (num != "무제한" && num != null && num != "") {
						num = parseInt(num);
						var dateValue = Ns.Date.getAddDate('day',num);
						Ns.Date = new DateCtrl();
						Ns.Util = new Util();
						var month = dateValue.substr(4, 2);
						var day = dateValue.substr(6, 2);	
						_date = items.expiryDate + "(~" + month +"/"+ day + ")" ;
					} else {
						_date = items.expiryDate;
					}*/
					_date = items.expiryDate;  //유효기간 관련 계산 날짜 필요 없음
					
					html +=	Ns.Util.stringFormat('\
						<li class="items">\
							<div class="wrap">\
								<div class="field">\
									<div class="rows">\
										<div>[{0}] 유효기간 {1}</div>\
										<div class="em rate-g">{2}</div>\
										<div>{3}</div>\
									</div>\
								</div>\
								<div class="field">\
									<div class="rows" id="divButtonArea"><a class="btn theme-b rate-a x-small" href="javascript:CurrentView.event.onclick_btnDownloadCoupon(\'{4}\', \'{5}\');"><span>다운로드</span></a></div>\
								</div>\
							</div>\
						</li>', items.cpNum, _date, items.cpName, items.UseCondition, i, items.cpNum );
				}
				
				$("#ulDownloadCouponArea").html(html);
				if (CurrentView.pageSize < cpCnt) {
					CurrentView.ui.setPaging( cpCnt ); //paging 설정.
				}					
			},
			
			//쿠폰을 다운로드 한다. 
			processDownloadCoupon : function( couponNo, cmdType ) {
				var param = {};
				param.cpNum  = couponNo;
				param.cmdType  = cmdType;
				tran.callWCSJsonTran('CpDownloadReal', param, CurrentView.data.resultProcessDownloadCoupon);
			},
			
			//쿠폰 다운로드 처리 callback function.
			resultProcessDownloadCoupon : function( data ) {
				var success = data.msg.root.Output.successFlag;

				if ( success == "Y" ) {
					Ns.Popup.alert( "쿠폰이 정상적으로 다운로드 되었습니다.");
				} else {
					Ns.Popup.alert( "쿠폰이 다운로드에 실패하였습니다.");
					return false;					
				}
				
				//alert("다운로드를 실패하였습니다.");
				CurrentView.ui.setChangeButtonStatus();
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			//총 페이지 사이즈 값을 기준으로 페이징을 설정한다. 
			setPaging : function( totalPageSize ) {
				var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageidx, CurrentView.pageSize, "CurrentView.data.getDownloadCouponInfo");
				$("#divPagingArea").html(pageNavi);
				$("#divPagingArea").show();
			},
			
			getGradeName : function( grade ) {
				var gradename = "";
				if ( grade == "110" ) gradename = "S-VIP";
				else if ( grade == "111" ) gradename = "VIP";
				else if ( grade == "112" ) gradename = "엘리트";
				else if ( grade == "113" ) gradename = "스마트";
				else if ( grade == "114" ) gradename = "매니아";
				else if ( grade == "115" ) gradename = "패밀리";
				else if ( grade == "116" ) gradename = "새내기";
				else gradename = "";
				
				return gradename;
			},

			setChangeButtonStatus : function() {
				var button = "";

				var idx = CurrentView.selIndex;
				var btnIdx = CurrentView.btnIndex;

				if ( idx == -1) {
					if ( btnIdx == "nomalCss" ) {
						$("#nomarCp").html("다운로드 완료");
						$("#nomalCss").addClass( "btn theme-b rate-b x-small" );
					} else if ( btnIdx == "plusCss" ) {
						$("#plusCp").html("다운로드 완료");
						$("#plusCss").addClass( "btn theme-b rate-b x-small" );
					} else if ( btnIdx == "liveCss" ) {
						$("#liveCp").html("다운로드 완료");
						$("#liveCss").addClass( "btn theme-b rate-b x-small" );
					}
				} else {
					button = $( "#divButtonArea a span" ).eq(CurrentView.selIndex);
					button.html("다운로드 완료");
					button.addClass( "btn theme-b rate-b x-small" );
				}
			}
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//쿠폰 다운로드
			onclick_btnDownloadCoupon : function( idx, couponNo ) {
				CurrentView.selIndex = idx;
				var buttonText =  $( "#divButtonArea a span" ).eq(idx).text();
				var cmdType = "";
				if ( buttonText == "다운로드") {
					CurrentView.data.processDownloadCoupon( couponNo, cmdType );
				}
			},
			
			//등급유형 쿠폰 다운로드
			onclick_btnMyMemberCoupon : function( btnIdx, couponNo ) {
				CurrentView.btnIndex = btnIdx;
				CurrentView.selIndex = -1;
				//var code = "";

				// /*  멤버쉽 코드 정의
				//  *  등급은 A~G
				//  *  알뜰쿠폰 : 1, 플러스쿠폰 : 2, TV상품쿠폰 : 3
				//  *  멤버쉽 코드 = 등급 + 쿠폰
				//  */
				// switch(CurrentView.grade){
				// 	case 110 : code = "A"; break;
				// 	case 111 : code = "B"; break;
				// 	case 112 : code = "C"; break;
				// 	case 113 : code = "D"; break;
				// 	case 114 : code = "E"; break;
				// 	case 115 : code = "F"; break;
				// 	case 116 : code = "G"; break;
				// };

				var buttonText = "";
				if( btnIdx == "nomalCss" ) {
					buttonText =  $( "#nomarCp" ).text();				
					if ( buttonText == "다운로드") {
						CurrentView.data.processDownloadCoupon( couponNo, "N" );
					}
				} else if( btnIdx == "plusCss" ) {
					buttonText =  $( "#plusCp" ).text();
					if ( buttonText == "다운로드") {
						CurrentView.data.processDownloadCoupon( couponNo, "P" );
					}
				} else if( btnIdx == "liveCss" ) {
					buttonText =  $( "#liveCp" ).text();
					if ( buttonText == "다운로드") {
						CurrentView.data.processDownloadCoupon( couponNo, "L" );
					}
				}
			}			

		}
}; 