
/* JavaScript content from js/mypage/M_U1171600M.js in folder common */
/** 
 * @Author 신혜수
 *	(더보기 - 설정 -)이메일/SMS/전화 수신
 *  페이지 ID : M_U1171600M
 *  
 **/

CurrentView = {

		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			// SMS,이메일,TM 수신여부 체크 후 '확인'버튼
			$("#btnChangeSettings").unbind().bind( "click", CurrentView.event.onclick_btnChangeSettings );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다. 
		onLoad : function(params) { 
			// 수신동의 여부를 받아온다 
			tran.callWCSJsonTran('NSMobAdInfoCmd', {processFlag : "selectAd"}, CurrentView.data.initPersonInfo);
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			/* 초기 라디오버튼 셋팅 */
			initPersonInfo : function(data){
				var info = data;
				
				//SMS수신동의
				if( info.smsYn == "Y") $("#radioSmsAgree").prop("checked",true);
				else $("#radioSmsDisAgree").prop("checked",true);
				
				//email수신동의
				if( info.emailYn == "Y") $("#radioEmailAgree").prop("checked",true);
				else $("#radioEmailDisAgree").prop("checked",true);

				//TM수신동의
				if( info.TMYn =="Y") $("#radioTmAgree").prop("checked",true);
				else $("#radioTmDisAgree").prop("checked",true);
			},
			
					
			// 수신동의 변경 callback 함수
			changeSettingCallback : function(data){	
				
				var popupMsg = data.msg.popupMsg.replace(/\n/gi, "<br>").replace(/동의,/gi, "동의").replace(/거부,/gi, "거부");;
				if (data.msg.isSuccess == "1"){ // 데이터가 정상 적으로 Update되었을 경우			
					
					//결과메시지 알림창 출력
					Ns.Popup.alert( popupMsg, function(){
						navi.moveBack(); 
						return false;
						});
					
				} else { // 데이터 Update에 실패하였을 경우
					Ns.Popup.alert("죄송합니다. 일시적인 오류로 인하여 수정에 실패하였습니다. 잠시 후에 다시 시도해주시기 바랍니다.");
				}
			},
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			
			/* '확인'버튼이 눌렸을 경우 */
			onclick_btnChangeSettings : function(){
								
				/* SMS,이메일,TM수신 라디오 버튼의 변경된 값을 현재페이지의 params에 저장 */				
				var invokeParam={}; //변경된 값을 저장할 임시 객체

				//현재 체크되어 있는 값을 확인
				invokeParam.smsYn		= $("input:radio[id='radioSmsAgree']").is(":checked") == true ? "Y" : "N";	//SMS수신동의 여부
				invokeParam.emailYn		= $("input:radio[id='radioEmailAgree']").is(":checked") == true ? "Y" : "N";//Email수신동의 여부
				invokeParam.TMYn		= $("input:radio[id='radioTmAgree']").is(":checked") == true ? "Y" : "N";	//tm수신동의 여부
				invokeParam.processFlag = "updateAd";
				invokeParam.usersId 	= USERINFO.userId();
				
				//변경된 값을 API에 전송한다.
				tran.callWCSJsonTran('NSMobAdInfoCmd', invokeParam , CurrentView.data.changeSettingCallback);
				
			},
		}		
};