
/* JavaScript content from js/mypage/M_U1191910L.js in folder common */
/* 
 *	마이페이지 
 *  ID : M_U1191910L

 *  1. 나의 공동구매 관리
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		pageidx : 1,
		pageSize : 5,

		goodsEndTime : [],
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
		
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getMyGroupPurchaseSalesInfo();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getMyGroupPurchaseSalesInfo : function( pageidx ) {
				var params = {};
				if ( pageidx == null || pageidx == "" || pageidx == 0 || pageidx == undefined ) {
					pageidx = CurrentView.pageidx;
				}
				CurrentView.pageidx = pageidx;  // 현재 페이지 전역에 저장
				
				//params.pageNum = pageidx;
				//params.pageSize = CurrentView.pageSize;				
				params.userId = USERINFO.userId();
				tran.callWCSJsonTran( 'MyGroupPurchaseSalesReal', params, CurrentView.ui.resultMyGroupPurchaseSalesInfo );
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			resultMyGroupPurchaseSalesInfo : function( data ) {
				var html_sale = "";
				var html_sold = "";
				
				var baseDate = data.msg.root.MySales.baseDate; 						//나의 판매현황 날짜
				var totSaleAmt 	   = Number(data.msg.root.MySales.totSaleAmt); 		//총 판매금액
				var fashBeautyRate = Number(data.msg.root.MySales.fashBeautyRate); 	//FASHION BEAUTY rate
				var fashBeautyAmt  = Number(data.msg.root.MySales.fashBeautyAmt); 	//FASHION BEAUTY 금액
				var homeLifeRate   = Number(data.msg.root.MySales.homeLifeRate); 	//HOME LIFESTYLE rate
				var homeLifeAmt    = Number(data.msg.root.MySales.homeLifeAmt); 	//HOME LIFESTYLE 금액
				var foodHealthRate = Number(data.msg.root.MySales.foodHealthRate); 	//FOOD HEALTH rate
				var foodHealthAmt  = Number(data.msg.root.MySales.foodHealthAmt); 	//FOOD HEALTH 금액

				$("#myGroupPurchaseSalesDate").html( baseDate ); 						//나의 판매현황 날짜
				$("#totSaleAmt").html( totSaleAmt + '원'); 			//총 판매금액
				$("#fashBeautyRate").html( fashBeautyRate + '%'); 						//FASHION BEAUTY rate
				$("#fashBeautyAmt").html( Ns.Util.insertCommas(fashBeautyAmt) + '원'); 	//FASHION BEAUTY 금액
				$("#homeLifeRate").html( homeLifeRate + '%'); 							//HOME LIFESTYLE rate
				$("#homeLifeAmt").html( Ns.Util.insertCommas(homeLifeAmt) + '원'); 		//HOME LIFESTYLE 금액
				$("#foodHealthRate").html( foodHealthRate + '%'); 						//FOOD HEALTH rate
				$("#foodHealthAmt").html( Ns.Util.insertCommas(foodHealthAmt) + '원'); 	//FOOD HEALTH 금액
				
				var saleList = data.msg.root.SaleProducts;
				if( saleList == null || saleList == "") {
					var html = mainCtrl.getNoResultDataHtml( "판매중인 상품이 없습니다." );
					$("#ulSaleProducts").html( html );
				} else {
					var html_sale = CurrentView.ui.makeSalesHtml( saleList );
					$("#ulSaleProducts").html( html_sale );
				}

				var soldList = data.msg.root.SoldProducts;
				if( soldList == null || soldList == "") {
					var html = mainCtrl.getNoResultDataHtml( "완료된 상품이 없습니다." );
					$("#ulSoldProducts").html( html );
					return false;
				}	

				var html_sold = CurrentView.ui.makeSoldsHtml( soldList );
				$("#ulSoldProducts").html( html_sold );

			},
			
			setRemainTime : function( ) {
				mainCtrl.checkTimerObject(); //destory timer
				mainCtrl.m_timer = setInterval(CurrentView.ui.ontimer, 1000*60);
			},
			
	        ontimer : function() {
	            var setRemainedTime = function( objName ) {
	            	var goodsEndTime = CurrentView.goodsEndTime;
	            	for ( var k=0; k<goodsEndTime.length;k++) {
	            		var htmlTxt = Ns.Date.getPeriodDate(goodsEndTime[k], "htmlFormat");
			            $( objName ).eq(k).find( "p#dDayArea" ).html( htmlTxt );
			        } //end for loop
	            };
	            
	            setRemainedTime( "ul#ulSaleProducts li" );
	        },
	        
			getRemainedTime : function( endTime, gubunValue ) {
				var nRemainedTime = Ns.Date.getPeriodDate(endTime, gubunValue);
				CurrentView.goodsEndTime.push( endTime );
				return nRemainedTime;
	        },
	        
			//조회 결과값을 가지고 나의 판매현황 판매중인 상품 html을 생성한다. 
			makeSalesHtml : function( saleList ) {
				var html = "";
				for( var i=0; i<saleList.length; i++ ) {
					var items = saleList[i];
					var salePriceTag = "";
					var salePrice = Ns.Util.insertCommas( items.offerPrice );

					if( salePrice != null && salePrice != "" && items.offerPrice > 0 ) 
						salePriceTag = '<span class="price-selling"><strong class="head">알뜰할인가</strong> <ins class="text"><strong>'+salePrice+'</strong><span class="unit">원</span></ins></span>';
					
					var offerPriceTag = "";
					var offerPrice = Ns.Util.insertCommas( items.price );
					if( salePrice != null && salePrice != "" && items.offerPrice > 0 )
						offerPriceTag = '<span class="price-default"><strong class="head">판매가</strong> <del class="text"><strong>'+offerPrice+'</strong><span class="unit">원</span></del></span>';
					else
						offerPriceTag = '<span class="price-selling"><strong class="head">판매가</strong> <ins class="text"><strong>'+offerPrice+'</strong><span class="unit">원</span></ins></span>';

					// 오늘날짜와 입력한 날짜  사이의 기간 구함
					//var date = Ns.Date.getPeriodDate(items.endDt, "htmlFormat");
					var dateHtml = CurrentView.ui.getRemainedTime( items.endDt, "htmlFormat" );
					
					var imageLink = Ns.Util.getImageUrl(String(items.productNumber), "G");
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_G.jpg';
					var brandName = items.brandName;
					var goodsName = items.goodsName;
					goodsName = (brandName && brandName != '미정의' ? "[" + brandName + "]" : "") + goodsName;
					
					//D- <span>07</span>일 <span>13</span>:<span>34</span></span>\
					html +=	Ns.Util.stringFormat('\
						<li class="items">\
							<div class="wrap">\
								<div class="thumbnail">\
									<a href="javascript:CurrentView.event.onclick_btnGoodDetails(\'{0}\');"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지" /></a>\
								</div>\
								<div class="field">\
									<p class="title"><a href="javascript:CurrentView.event.onclick_btnGoodDetails(\'{3}\');"><strong>{4}</strong></a></p>\
									<div class="data-info">\
										<p class="price">\
											{5}\
											{6}\
										</p>\
										<p class="product_num">\
											<span class="selling_num">판매수량:<strong>{7}</strong>개</span>\
											<span class="goal_num">목표설정:<strong>{8}</strong>개</span>\
										</p>\
									</div>\
								</div>\
							</div>\
							<div class="option-order2">\
								<p class="d_date" id="dDayArea">\
									{9}\
								</p>\
								<span class="text">\
									<span class="info_dateing">{10}~{11}</span>\
								</span>\
							</div>\
						</li>',	
						items.productNumber, imageLink, noImageUrl, items.productNumber, goodsName, 
						offerPriceTag, salePriceTag, items.saleCount, items.tgtCount, dateHtml, items.startDt, items.endDt );

				}
				CurrentView.ui.setRemainTime();
				return html;
			},	
			
			//조회 결과값을 가지고 나의 판매현황 완료된 상품 html을 생성한다. 
			makeSoldsHtml : function( soldList ) {
				var html = "";

				for( var i=0; i<soldList.length; i++ ) {
					var items = soldList[i];
					var salePriceTag = "";
					//var salePrice = Ns.Util.insertCommas( items.salePrice );
					var salePrice = "";
					if( salePrice != null && salePrice != "") salePriceTag = '<span class="price-selling"><strong class="head">알뜰할인가</strong> <ins class="text"><strong>'+salePrice+'</strong><span class="unit">원</span></ins></span>';
					
					var offerPriceTag = "";
					var offerPrice = Ns.Util.insertCommas( items.price );
					if( salePrice != null && salePrice != "")
						offerPriceTag = '<span class="price-default"><strong class="head">판매가</strong> <del class="text"><strong>'+offerPrice+'</strong><span class="unit">원</span></del></span>';
					else
						offerPriceTag = '<span class="price-selling"><strong class="head">판매가</strong> <ins class="text"><strong>'+offerPrice+'</strong><span class="unit">원</span></ins></span>';
					
					var imageLink = Ns.Util.getImageUrl(String(items.productNumber), "G");
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_G.jpg';
					var brandName = items.brandName;
					var goodsName = items.goodsName;
					goodsName = (brandName && brandName != '미정의' ? "[" + brandName + "]" : "") + goodsName;

					var rewardPayed = Ns.Util.insertCommas( items.rewardPayed );
					
					html +=	Ns.Util.stringFormat('\
						<li class="items">\
							<div class="wrap">\
								<div class="thumbnail">\
									<a href="javascript:CurrentView.event.onclick_btnGoodDetails(\'{0}\');"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지" /></a>\
								</div>\
								<div class="field">\
									<p class="title"><a href="javascript:CurrentView.event.onclick_btnGoodDetails(\'{3}\');"><strong>{4}</strong></a></p>\
									<div class="data-info">\
										<p class="price">\
											{5}\
											{6}\
										</p>\
										<p class="product_num">\
											<span class="selling_num">판매수량:<strong>{7}</strong>개</span>\
											<span class="goal_num">목표설정:<strong>{8}</strong>개</span>\
										</p>\
									</div>\
								</div>\
							</div>\
							<div class="option-order2">\
								<p class="reward">\
									지급된 보상금 <span>{9}원</span>\
								</p>\
								<span class="text">\
									<span class="info_dateing">{10}~{11}</span>\
								</span>\
							</div>\
						</li>',	
						items.productNumber, imageLink, noImageUrl, items.productNumber, goodsName, 
						offerPriceTag, salePriceTag, items.saleCount, items.tgtCount, rewardPayed, items.startDt, items.endDt );
				}
				
				return html;
			}		
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			// 해당 상품의 상세보기 화면으로 이동
			onclick_btnGoodDetails : function( partNumber ) {
				var param = {};
				param.partNumber = partNumber;

//				mainCtrl.navigate( "M_G2600000M", param );
				Ns.Popup.showLayerPage("M_G2600000M", param);
			}
		}
}; 