
/* JavaScript content from js/mypage/M_U1211000M.js in folder common */

/* 
 *	그룹사 임직원 인증
 *  ID : M_U1211000M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#callAuth").off().on("click", CurrentView.event.onclick_btn_callAuth);
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			$("#footer").attr("disp","true");
			this.data.getGroupDomain();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			
			/**
			 * 그룹사 도메인 리스트
			 */
			getGroupDomain : function(){
				tran.callWCSJsonTran( 'GetCompanyGroupList', null , function(data){
					var selHtml = "";
					if(data && data.companyGroupList){
						var l = data.companyGroupList;
						$.each(l,function(idx,val){
							var domain = "@"+val.comm_cd_instc;
							selHtml += '<option data-cd="'+ val.comm_cd_val + '"value="' + domain +'">' + domain + ' ' + val.comm_cd_val_dfin + '</option>';
						});
					
						$("#gDomain").append(selHtml);
					}
				});
			},
			
			
			
		},
		
		//ui 관련 함수를 정의한다.
		ui : {},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_btn_callAuth : function(){
				var email = $("#email").val();
				if(!email){
					Ns.Popup.alert( "연동 할 메일주소를 입력해주세요.");
					return false;
				}
				var params = {
					  userId			: USERINFO.userId(),
					  recipientMail 	: email + $("#gDomain").val(),
					  companyGroupCode	: $("#gDomain option:selected").data().cd
				  };
				
				tran.callWCSJsonTran( 'SendStaffAuthMail', params, function(data){
					
					if(data){
						var callback;
						if(data.success){
							callback = function(){
								mainCtrl.navigate("M_U1211001M", {} );
							};
						} 
						Ns.Popup.alert( data.msg , callback);
					} else {
						Ns.Popup.alert("죄송합니다. 인증 메일을 발송하지 못했습니다. 잠시 후 다시 인증요청을 해주시면 감사하겠습니다." );
					}
					
				});
			}
		},
}; 