
/* JavaScript content from js/order/M_B1111000M.js in folder common */

/* 
 *	장바구니 
 *  ID : M_B1111000M

 *  1. 일반상품
 *  2. 상품권
 *  3. 정기배달
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		m_inputParams     : null,
		m_outputDatas     : null,
		GoodsTypeList : [ "GENERAL", "CARD", "DELIVERY" ],
		currentTab : "",	// 탭 분류(GENERAL: 일반상품, CARD: 상품권, DELIVERY: 정기배달)
		objDlvyGrpKey : {},
		
		productCategoryName : {},
		productCount : 0,
		
		DLVY_GRP_KEY : {
			price : 0,
			salePrice : 0,
			quantityFlag : 0
		},
		
		//최대구매수량
		
		partNumberFlag : 0,
		
		//주문결제 UI 개선
		k : 0,
		Sumofshipping : 0,
		orderItemId : [],	// 주문아이템ID
		orderItemPartNumber : [],	//partNumber
		
		MaximumPurchaseQuantityFlag : false,
		custPrchQtyLimitYnFlag		: false,

		isRFND_SHAPE_CD				: true,		//장바구니에 선환불, 후환불 상품 혼재여부 (true: 혼재하지 않음, false: 혼재함)
		
		changedBasketList			: false,
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#ulTabsCartType li a").unbind().bind( "click", this.event.onclick_ulTabsCartType );
			$("#btnCheckAll1, #btnCheckAll2").unbind().bind( "click", this.event.onclick_btnCheckAll ); //전체 선택. 
			$("#selSortType1, #selSortType2").unbind().bind( "change", this.event.onchange_selSortType ); //정렬기준 select 선택. 
			$("#divCartButtonArea1 a, #divCartButtonArea2 a").unbind().bind( "click", this.event.onclick_divCartButtonArea ); //삭제하기, 품절/일시중지 상품 삭제.
			
			$("#btnContinueShopping1, #btnContinueShopping2").unbind().bind( "click", this.event.onclick_btnContinueShopping ); //계속 쇼핑하기 버튼 클릭 
			$("#btnOrder1, #btnOrder2").unbind().bind( "click", this.event.onclick_btnOrder ); //주문하기 버튼 클릭. 
			$("#btnGoLogin").unbind().bind( "click", this.event.onclick_btnGoLogin ); //로그인 버튼 클릭.
			$('#ulItemDisplayArea1').off().on("click",'input[name="wish_check"]', this.event.onclick_wish_check); // 찜하기
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			CurrentView.m_inputParams = params || {};
			CurrentView.m_inputParams.userId = USERINFO.userId();
			if (CurrentView.m_inputParams.DISP_TYPE_CD) {
				if (CurrentView.m_inputParams.DISP_TYPE_CD == '55' || CurrentView.m_inputParams.DISP_TYPE_CD == '60') { // 카드(상품권)
					CurrentView.m_inputParams.goodsType = 'CARD';
				} else if (CurrentView.m_inputParams.DISP_TYPE_CD == '30') { // 정기배달
					CurrentView.m_inputParams.goodsType = 'DELIVERY';
				} else { // 일반상품
					CurrentView.m_inputParams.goodsType = 'GENERAL';
				}
			}
			if (CurrentView.GoodsTypeList.contains(CurrentView.m_inputParams.goodsType)) {
				CurrentView.currentTab = CurrentView.m_inputParams.goodsType;
			}
			this.data.getBasketListInfo();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			// 장바구니 상품 조회
			getBasketListInfo : function() {
				//회원 권한별 탭 표시 여부
				if (USERINFO.logonType() != LOGON_TYPE.normal) { //일반회원이 아니면 NS정기배달 권한없음
					$("#tab" + CurrentView.GoodsTypeList[2]).parent().hide();
				} else {
					$("#tab" + CurrentView.GoodsTypeList[2]).parent().show();
				}
				
				var param = CurrentView.m_inputParams;
				param.co_cd = Const.getCocd();
				tran.callWCSJsonTran('NSBasketMobileCmdReal', param, CurrentView.data.resultBasketList);
			},

			// 장바구니 상품 조회 결과
			resultBasketList : function(data) {
				if( data.msg == null ) {
					Ns.Popup.alert( Messages.procedure_error );
					var param = {};
					param.ErrorCode = "PE";
					param.p_espotid = "NSBasketMobileCmdReal";
					tran.callPageLogging("LoggingPage", param);
					return false;
				}
				
				// 최초 로딩 시에 상품이 있는 탭이 먼저 보이도록 설정
				if (CurrentView.currentTab == '') {
					if (!data.msg.common || Number(data.msg.common.goodsCnt) > 0) { // 일반상품
						CurrentView.currentTab = CurrentView.GoodsTypeList[0];
					} else if (Number(data.msg.common.giftcardCnt) > 0) { // 카드(상품권)
						CurrentView.currentTab = CurrentView.GoodsTypeList[1];
					} else if (Number(data.msg.common.deliveryCnt) > 0 && USERINFO.logonType() == LOGON_TYPE.normal) { // NS정기배달(일반회원만 해당)
						CurrentView.currentTab = CurrentView.GoodsTypeList[2];
					} else {
						CurrentView.currentTab = CurrentView.GoodsTypeList[0];
					}
					CurrentView.m_inputParams.goodsType = CurrentView.currentTab;
					data.goodsType = [ CurrentView.m_inputParams.goodsType ];
				}
				
				// 상품조회 결과 저장
				CurrentView.m_outputDatas = data;
				
				// UI 설정
				$("#ulItemDisplayArea1, #ulItemDisplayArea2, .section_header h1").empty();
				$("#divCartList2, #divButtonArea, .section_header").hide();
				
				CurrentView.ui.setTab(data);
				CurrentView.ui.setProductCount(data.msg.common);
				
				//kimjh hsmoa
				if(!mainCtrl.isOsApp() && (data.msg.goods != null)){		//kimjh : 홈쇼핑모아 정보 전달
					CurrentView.data.hsmoaBasketView(data);
				}
				
				CurrentView.ui.setProductList(data);
			},
			
			// 주문 전 장바구니 상품 재조회
			getReBasketListInfo : function(callbackFunc) {
				//회원 권한별 탭 표시 여부
				if (USERINFO.logonType() != LOGON_TYPE.normal) { //일반회원이 아니면 NS정기배달 권한없음
					$("#tab" + CurrentView.GoodsTypeList[2]).parent().hide();
				} else {
					$("#tab" + CurrentView.GoodsTypeList[2]).parent().show();
				}
				
				var param = CurrentView.m_inputParams;
				param.co_cd = Const.getCocd();
				tran.callWCSJsonTran('NSBasketMobileCmdReal', param, function( data ){
					//장바구니 상품 재조회 결과
					if( data.msg == null ) {
						Ns.Popup.alert( Messages.procedure_error );
						var param = {};
						param.ErrorCode = "PE";
						param.p_espotid = "NSBasketMobileCmdReal";
						tran.callPageLogging("LoggingPage", param);
						return false;
					}
					
					var moreOutOfStock = false;
					for(var i = 0; i < data.msg.goods.length; i++){
						
						if((data.msg.goods[i].outYn != CurrentView.m_outputDatas.msg.goods[i].outYn)|| 
								(data.msg.goods[i].saleYn != CurrentView.m_outputDatas.msg.goods[i].saleYn) || 
								(data.msg.goods[i].itemLiveYN != CurrentView.m_outputDatas.msg.goods[i].itemLiveYN)){
							moreOutOfStock = true;
							break;
						}else{
							moreOutOfStock = false;
						}
					}
					
					if(!moreOutOfStock){
						// 파라미터로 들어온 callback 함수가 있으면 추가적으로 실행해줌
						if(callbackFunc != undefined){
							callbackFunc();
						}
					}else{
						// 상품재조회 결과 저장
						CurrentView.m_outputDatas = data;
						Ns.Popup.alert( "주문하시는 상품 중 품절 상품이 포함되어 있습니다.", function(){
							CurrentView.data.resultBasketList(data);
						} );
					}
				});
			},
			
			// 옵션 수정 callback
			resultUpdateOptions : function(data) {
				if ( data == null ) {
					return false;
				}

				// 목록 새로고침
				CurrentView.data.getBasketListInfo();
			},
			
			/*
			 * aiqua push
			 * */
			sendAiqua : function(eventParameter){
				
				var tempk =0;
				
				for (var k = 0; k < eventParameter.length; k++) {

					// AIQUA
					var invokeParams2 = {};				
					
					invokeParams2.rcmdGbn = "PRODUCT";
					invokeParams2.rcmdValue = eventParameter[k].product_id ;
					
					tran.callWCSJsonTran('NSRcmdCmd', invokeParams2,function( data ){
					    
						
						var eventParameter1 = {};
					
						eventParameter1.md_name =data.msg.empNm;
						eventParameter1.md_team_name =data.msg.orgNm;
						eventParameter1.category_name =data.msg.catName;
						eventParameter1.product_id = eventParameter[tempk].product_id;						
						eventParameter1.product_name = eventParameter[tempk].product_name;
						eventParameter1.product_image_url = eventParameter[tempk].product_image_url;
						eventParameter1.product_price = eventParameter[tempk].product_price;
						eventParameter1.product_channel = eventParameter[tempk].product_channel;					
						
						mainCtrl.userEventToAIQUA('product_removed_from_cart', eventParameter1);
						tempk++;
					});
					
				}
			},
			
			// 상품 삭제 실행
			setRemoveProduct : function(param, eventParameter) {
				tran.callWCSJsonTran('AjaxNSXorderItemDelete4Worklight', param, function(data) {
					
					if (data.msg && data.msg.result == 'success') {
						// AIQUA
						/** mainCtrl.userEventToAIQUA('product_removed_from_cart', eventParameter); */
						CurrentView.data.sendAiqua(eventParameter);
						// ga360
						var product_array = [];
						for(var i = 0; i<eventParameter.length; i++){
							product_array.push(
									{
										'id':eventParameter[i].product_id,
										'name':eventParameter[i].product_name,
										'brand':eventParameter[i].brandName,
										'category':eventParameter[i].category_name,
										'dimension16':"e상품"
									}
							);
							var invoke = {
									t1:'주문/결제',
									t2:'장바구니'
							};
						}
						GA.sendEcommerceData(product_array,"4",invoke);
					
						// 목록 새로고침
						CurrentView.data.getBasketListInfo();
					} else {
						Ns.Popup.alert( "장바구니 상품 삭제시 문제가 발생 했습니다.<br/>잠시 후 다시 시도해 주십시오.<br />" + data.msg.resultMessage );
					}
				});
			},
			
			// 주문서 아이템의 상태 변경(ORDERS.STATUS)
			// - 주문접수(P) --> 주문서작성중(H)
			updateOrderSheetStatus : function( param, callback ) {
				tran.callWCSJsonTran('AjaxNSOrderSheet4Worklight', param, callback);
			},
			
			chkRfndShape : function() {
				// Sorting 결과 아이템의 json
				var goodsList = $("#formBasketGoodsInfo #divCartList1 input[name=goodsId]").map(function() {
					return eval('('+this.value+')');
				}).get();

				var orderItemId = [];	// 체크박스 선택된 주문아이템ID
				var orderItemPartNumber = [];	//체크박스 선택된 상품의 partNumber
				var bSortRFND_SHAPE_CD = true;	// 선환불 / 후환불 상품 일치 여부
				var strSortRFND_SHAPE_CD = "";	// 선환불 / 후환불 상품 기준값 ; PRE-선환불, PST-후환불 
				
				for (var i = 0; i < goodsList.length; i++) {
					orderItemId[i] = goodsList[i].orderItemsId;
					orderItemPartNumber[i] = goodsList[i].partNumber;
					
					var strSortRFND_SHAPE_CDval = goodsList[i].rfndShapeCd;

					if(strSortRFND_SHAPE_CD == ""){
						strSortRFND_SHAPE_CD = strSortRFND_SHAPE_CDval;
					} else {
						if (strSortRFND_SHAPE_CD != strSortRFND_SHAPE_CDval){
							bSortRFND_SHAPE_CD = false;
						}
					}	
				}
				
				if (bSortRFND_SHAPE_CD){
					$(".price-alert").css("display","none");
					$("#divCartMix").css("display","none");
				} else {
					$(".price-alert").css("display","block");
					$("#divCartMix").css("display","block");
				}
			},
			
			/*
			 * 2018-05-30 ssong
			 * 임직원 전용 상품 체크
			 */
			
			chkStaffOnlyPrd : function(data){
				var callback = function(rData){
					if(rData){
						var goodsList = rData;
						Ns.Popup.alert('고객님은 현재 임직원인증 만료 상태로, 구매가 불가능한 임직원전용상품을 장바구니에서 삭제합니다.', function() {
							navi.setMovePointer(-1);
							var goodsId = [], orderItemsId = [], eventParameter = [];
							
							for (var i = 0; i < goodsList.length; i++) {
								goodsId.push(goodsList[i].goodsId);
								orderItemsId.push(goodsList[i].orderItemsId);
								
								// AIQUA
								var eventParameterTemp = {};
							
								eventParameterTemp.category_name = Ns.Util.htmlDecode(goodsList[i].mparam.cate1Nm);
								eventParameterTemp.product_id = goodsList[i].partNumber;
								eventParameterTemp.product_name = goodsList[i].goodsName;
								eventParameterTemp.product_image_url = goodsList[i].imageUrl;
								eventParameterTemp.product_price = goodsList[i].price;
								eventParameterTemp.product_channel = CurrentView.objDlvyGrpKey[goodsList[i].orderItemsId].BUSCHN_ID;
								eventParameter[i] = eventParameterTemp;
							}
							var param = {
								userId : USERINFO.userId(),
								orderId : CurrentView.m_outputDatas.msg.member.orderId, // 선택한
								// 주문번호
								orderItemId : orderItemsId
							// 선택한 아이템 주문번호
							};
							CurrentView.data.setRemoveProduct(param, eventParameter);
						});
					}
				}
				
				mainCtrl.chkStaffOnlyPrd(data.goods,callback);
			},
			
			//kimjh hsmoa
			hsmoaBasketView : function(data){
				var goods = data.msg.goods;
				
				var array = new Array();
				
				for (var i = 0 ; i < goods.length ; i++) {
					array.push(goods[i].partNumber);
				}
				
				var invoke = {}
				invoke.co_cd = Const.getCocd();
				invoke.action = array;
				invoke.category = 'basketview';
				
				if(typeof targeting == 'undefined'){
					mainCtrl.callTargetingScript();
				}
				setTimeout(function(){
					targeting.sendHsmoa(invoke);
				}, 5500);
				
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			nonDataArea : function() {
				var html   = '<div class="info-board theme-a alert">';
				html      += '<p class="subject"><strong>장바구니에 담긴 상품이 없습니다.</strong></p>';
				if (USERINFO.logonType() == '' || USERINFO.logonType() == LOGON_TYPE.nonmember) { //비회원
					$('#btnGoLogin').show();
					html  += '<p class="summary">로그인 하시거나 회원가입을 하시면<br />NS홈쇼핑 모바일이 드리는 할인 혜택을 이용하실 수 있습니다.</p>';
				} else {
					$('#btnGoLogin').hide();
				}
				html      += '</div>';

				$("#ulItemDisplayArea1").html( html );
			},

			// 탭 선택
			setTab : function( data ) {
				// 선택된 탭id 저장
				CurrentView.currentTab = data.goodsType[0];
				// 탭 선택
				var ulTabsCartType = $("#ulTabsCartType li");
				ulTabsCartType.removeClass("active");
				$("#tab" + CurrentView.currentTab).parent().addClass("active");
			},

			//장바구니에 담긴 상품 수 설정
			setProductCount : function( data ) {
				// 탭의 상품 수 설정
				if (data == null || data == "") {
					$("#txtGeneralCount").html("(0)");
					$("#txtGfitCardCount").html("(0)");
					$("#txtDeliveryCount").html("(0)");
					return false;
				}

				// 일반상품, 상품권, 정기배달 탭 영역에 장바구니에 담긴 상품 수 설정.
				$("#txtGeneralCount").html("(" + Ns.Util.insertCommas(data.goodsCnt) + ")");
				$("#txtGfitCardCount").html("(" + Ns.Util.insertCommas(data.giftcardCnt) + ")");
				$("#txtDeliveryCount").html("(" + Ns.Util.insertCommas(data.deliveryCnt) + ")");
				
				// 하단 Util 영역의 장바구니 갯수 설정
				var count = Number(data.goodsCnt) + Number(data.giftcardCnt) + Number(data.deliveryCnt);
				mainCtrl.setCartCounter(count);
			},
			
			//결제예정금액 출력
			setTotalPaymentPrice : function(divIdIndex) {
				// 체크박스 선택된 주문아이템의 json
				var goodsList = $("#formBasketGoodsInfo #divCartList" + divIdIndex + " input[name=goodsId]:checked").map(function() {
					return eval('('+this.value+')');
				}).get();
				
				var totalOrderPrice = 0;	//총주문금액
				var offerPrice = 0;			//할인예상금액
				var shippingPrice = 0;		//총배송비
				var totalPaymentPrice = 0;	//결제예정금액
				
				//장바구니 상품 출력.
				for (var i = 0; i < goodsList.length; i++) {
					var _info = goodsList[i];
					var _qty = Number(_info.quantity);
					
					// 정기배송은 배송횟수만큼 곱하여 계산함.
					if (_info.goodsType == '30' && _info.payTypeCd == '10') {
						_qty *= Number(_info.cnveyNum);
					}
					
					// 총금액 계산
					totalOrderPrice += (Number(_info.price) * _qty);
					offerPrice += ((Number(_info.price) * _qty) - (Number(_info.salePrice) * _qty));
					shippingPrice += Number(_info.deliveryPrice);
					totalPaymentPrice = Number(totalOrderPrice) - Number(offerPrice) + Number(shippingPrice);
					
					// 묶음배송 상품의 배송비 재계산
					if (goodsList[i].dlvyGrpYn == 'Y') {
						var selectAllCnt = 0;
						for (var j = 0; j < goodsList.length; j++) {
							if (goodsList[i].dlvyGrpKey == goodsList[j].dlvyGrpKey) {
								selectAllCnt++;
							}
						}
						if (selectAllCnt < Number(goodsList[i].dlvyGrpKeyCnt)) {
							shippingPrice += Number(goodsList[i].dlvRexPns);
							totalPaymentPrice += Number(goodsList[i].dlvRexPns);
						}
					}
					
				}
				
				//총금액 출력
				this.setOrderTable(totalOrderPrice, offerPrice, shippingPrice, totalPaymentPrice, divIdIndex);
				
				/*criteo 호출
				fn_criteo("itemcart",criteo);
				criteo 종료*/
				/*********네이버 프리미엄 로그 분석 시작**********/
				setTimeout(function(){
					var ObjCartNaver = {};
					ObjCartNaver.StrTranSoft = "3";
					ObjCartNaver.StrTranValue = "1"; //totalPaymentPrice
					Fn_WcsNaver(4,ObjCartNaver);
				}, 5500);
				
				
				
			},
			
			//장바구니에 담긴 상품 정보를 출력한다. 
			setProductList : function( data ) {
				// 상품 유형에 맞는 상품 목록을 구한다.(goodsType이 55,60이면 카드, 30이면 정기배달, 그 이외는 일반)
				var goodsList = [];
				var goodsDeliveryList = [];
				if (data.msg != null && data.msg.goods != null) {
					for (var i = 0; i < data.msg.goods.length; i++) {
						var _info = data.msg.goods[i];
						if (CurrentView.currentTab == CurrentView.GoodsTypeList[1]) {
							if (_info.goodsType == '55' || _info.goodsType == '60') { //카드(상품권)
								goodsList.push(_info);
							}
						} else if (CurrentView.currentTab == CurrentView.GoodsTypeList[2]) {
							if (_info.goodsType == '30' && _info.payTypeCd == '20') { //정기배달(정기주문)
								goodsDeliveryList.push(_info);
							} else if (_info.goodsType == '30' && _info.payTypeCd == '10') { //정기배달(정기배송)
								goodsList.push(_info);
							}
						} else if (CurrentView.currentTab == CurrentView.GoodsTypeList[0]) { //일반상품
							if (_info.goodsType != '55' && _info.goodsType != '60' && _info.goodsType != '30') {
								goodsList.push(_info);
							}
						}
						//최대구매수량
						var maxOrderPossQty = "";	//최대구매수량제한
						var quantity = "";			//상품수량
						var custPrchQtyLimitYn = "";//Y : 구매제한 N : 1회 최대 구매가능수량으로 참조 
						
						if(_info.maxOrderPossQty != undefined){
							maxOrderPossQty = _info.maxOrderPossQty;
						}
						
						if(_info.quantity != undefined){
							quantity = _info.quantity;
						}
						//구매제한이 걸린 여부 체크
						if(_info.custPrchQtyLimitYn != undefined && _info.custPrchQtyLimitYn == "Y"){
							CurrentView.custPrchQtyLimitYnFlag = true;
						}

						//구매제한 개수보다 구매개수가 많으면 체크
						if( quantity > maxOrderPossQty && CurrentView.custPrchQtyLimitYnFlag == true && maxOrderPossQty > 0){
							CurrentView.MaximumPurchaseQuantityFlag = true;
						}
					}
				}

				if ( !data.isSuccessful || data.msg == null || data.msg.goods == null || (goodsList.length < 1 && goodsDeliveryList.length < 1) ) {
					CurrentView.ui.nonDataArea();
					$('.cart-list .option-panel, .cart-list .order-table, .cart-list .billing-table, #divCartButtonArea1, #btnOrder1').hide();
					return false;
				} else {
					$('.cart-list .option-panel, .cart-list .order-table, .cart-list .billing-table, #divCartButtonArea1, #btnOrder1').show();
					data = data.msg;
				}
				
				if (CurrentView.currentTab == CurrentView.GoodsTypeList[2]) { // NS정기배달
					if (goodsList.length > 0 && goodsDeliveryList.length > 0) { // 정기배송,정기주문 모두 있을 경우
						$('#divCartList1 .section_header h1').html( '정기배송' );
						$('#divCartList2 .section_header h1').html( '정기주문' );
						$('#divCartList1, #divCartList1 .section_header').show();
						$('#divCartList2, #divCartList2 .section_header').show();
						$('#divButtonArea').show();
					} else { // 정기배송은 없고 정기주문만 있을 경우
						goodsList = goodsList.concat(goodsDeliveryList);
						goodsDeliveryList = new Array();
						$('#divCartList1 .section_header h1').html( '정기주문' );
						$('#divCartList1, #divCartList1 .section_header').show();
					}
				}
				
				//무이자 개월수 항목
				var sortTypeObject = {};
				//장바구니 상품 출력.
				var html = '';
				for (var i = 0; i < goodsList.length; i++) {
					// 무이자 개월수 체크
					if (goodsList[i].interestFreeYn == 'Y') {
						if (sortTypeObject.hasOwnProperty(goodsList[i].interestFreeMonth)) {
							sortTypeObject[goodsList[i].interestFreeMonth]++;
						} else {
							sortTypeObject[goodsList[i].interestFreeMonth] = 1;
						}
					}
					// 무이자할부모아보기 선택시, 해당 상품만 표시
					if (CurrentView.m_outputDatas.sortType != null && CurrentView.m_outputDatas.sortType != undefined && CurrentView.m_outputDatas.sortType != '') {
						if (goodsList[i].interestFreeYn != 'Y' || goodsList[i].interestFreeMonth != CurrentView.m_outputDatas.sortType) {
							continue;
						}
					}
					// 묶음배송 여부 판단
					var dlvyGrpFlag = [false, false, false]; // (0=묶음배송 시작, 1=묶음배송 끝, 2=묶음배송 계속)
					if (i < goodsList.length - 1 && Ns.Util.isEqual(goodsList[i].dlvyGrpKey, goodsList[i + 1].dlvyGrpKey)) { 
						dlvyGrpFlag[0] = true; 
					}
					if (i > 0 && Ns.Util.isEqual(goodsList[i - 1].dlvyGrpKey, goodsList[i].dlvyGrpKey)) { 
						dlvyGrpFlag[0] = false; 
						dlvyGrpFlag[2] = true; 
					}
					if (i > 0 && dlvyGrpFlag[2]) {
						if (i == goodsList.length - 1 || !Ns.Util.isEqual(goodsList[i].dlvyGrpKey, goodsList[i + 1].dlvyGrpKey)) {
							dlvyGrpFlag[1] = true; 
						}
					}
					if (dlvyGrpFlag[0] || dlvyGrpFlag[1]) { 
						dlvyGrpFlag[2] = true; 
					}
					// 상품 항목
					html += this.setProductItem( goodsList[i], "ulItemDisplayArea", "1", dlvyGrpFlag );
				}
				// 상품 목록 출력
				$("#ulItemDisplayArea" + "1").append( html );
				
				// 무이자 개월수 출력
				var sortTypeKeys = Object.keys(sortTypeObject);
				sortTypeKeys.sort();
				$('#selSortType1').empty().append( '<option value="">무이자 할부 전체보기</option>' );
				for (var i = 0; i < sortTypeKeys.length; i++) {
					var _option = Ns.Util.stringFormat('<option value="{1}" {0} >무이자 {1} 개월 ({2})</option>',
							(CurrentView.m_outputDatas.sortType != undefined && CurrentView.m_outputDatas.sortType == sortTypeKeys[i] ? 'selected="selected"' : ''),
							sortTypeKeys[i],
							sortTypeObject[sortTypeKeys[i]]);
					$('#selSortType1').append(_option);
				}
				
				//총금액 출력
				this.setTotalPaymentPrice("1");
				
				// 정기주문 상품이 있을 경우
				if (goodsDeliveryList.length > 0) {
					sortTypeObject = new Array();
					//장바구니 상품 출력.
					var html = '';
					for (var i = 0; i < goodsDeliveryList.length; i++) {
						// 무이자 개월수 체크
						if (goodsDeliveryList[i].interestFreeYn == 'Y') {
							if (sortTypeObject.hasOwnProperty(goodsDeliveryList[i].interestFreeMonth)) {
								sortTypeObject[goodsDeliveryList[i].interestFreeMonth]++;
							} else {
								sortTypeObject[goodsDeliveryList[i].interestFreeMonth] = 1;
							}
						}
						// 무이자할부모아보기 선택시, 해당 상품만 표시
						if (CurrentView.m_outputDatas.sortType != null && CurrentView.m_outputDatas.sortType != undefined && CurrentView.m_outputDatas.sortType != '') {
							if (goodsDeliveryList[i].interestFreeYn != 'Y' || goodsDeliveryList[i].interestFreeMonth != CurrentView.m_outputDatas.sortType) {
								continue;
							}
						}
						// 묶음배송 여부 판단
						var dlvyGrpFlag = [false, false, false]; // (0=묶음배송 시작, 1=묶음배송 끝, 2=묶음배송 계속)
						if (i < goodsDeliveryList.length - 1 && Ns.Util.isEqual(goodsDeliveryList[i].dlvyGrpKey, goodsDeliveryList[i + 1].dlvyGrpKey)) { 
							dlvyGrpFlag[0] = true; 
						}
						if (i > 0 && Ns.Util.isEqual(goodsDeliveryList[i - 1].dlvyGrpKey, goodsDeliveryList[i].dlvyGrpKey)) {
							dlvyGrpFlag[0] = false; 
							dlvyGrpFlag[2] = true; 
						}
						if (i > 0 && dlvyGrpFlag[2]) {
							if (i == goodsDeliveryList.length - 1 || !Ns.Util.isEqual(goodsDeliveryList[i].dlvyGrpKey, goodsDeliveryList[i + 1].dlvyGrpKey)) { 
								dlvyGrpFlag[1] = true; 
							}
						}
						if (dlvyGrpFlag[0] || dlvyGrpFlag[1]) { 
							dlvyGrpFlag[2] = true; 
						}
						// 상품 항목
						html += this.setProductItem( goodsDeliveryList[i], "ulItemDisplayArea", "2", dlvyGrpFlag );
					}
					// 상품 목록 출력
					$("#ulItemDisplayArea" + "2").append( html );
					
					// 무이자 개월수 출력
					var sortTypeKeys = Object.keys(sortTypeObject);
					sortTypeKeys.sort();
					$('#selSortType2').empty().append( Ns.Util.stringFormat('<option value="">무이자할부 모아보기</option><option value="">전체 ({0})</option>', goodsDeliveryList.length) );
					for (var k = 0; k < sortTypeKeys.length; k++) {
						var _option = Ns.Util.stringFormat('<option value="{1}" {0} >무이자 {1} 개월 ({2})</option>',
								(CurrentView.m_outputDatas.sortType != undefined && CurrentView.m_outputDatas.sortType == sortTypeKeys[k] ? 'selected="selected"' : ''),
								sortTypeKeys[k],
								sortTypeObject[sortTypeKeys[k]]);
						$('#selSortType2').append(_option);
					}

					//총금액 출력
					this.setTotalPaymentPrice("2");
				}
				
				//2018-05-30 ssong 임직원 상품 체크
				CurrentView.data.chkStaffOnlyPrd(data);
			},
			
			// 상품 아이템 출력
			setProductItem : function( data, divId, divIdIndex, dlvyGrpFlag ) {
				
				var imageLink = '', titleLink = '', collectionHtml = '', soldOutHtml = '', wishHtml = '';
				imageLink = Ns.Util.stringFormat('<a href="javascript:;" onclick="CurrentView.event.onclick_linkProductDetail(\'{2}\',\'{3}\');"><img src="{0}" onerror="this.onerror=null;this.src=\'{1}\'" alt="상품 이미지" /></a>', 
						Ns.Util.getImageUrl(String(data.partNumber),"D", data.adultItemFlag), // 2016.8.31 신혜수 - 성인인증 플래그 추가
						Const.NO_IMAGE_URL +  'noimage_I.jpg',
						(data.partNumber || data.goodsId),
						data.multiCd != '' ? data.multiCd : ''
				);
				titleLink = Ns.Util.stringFormat('<a href="javascript:;" onclick="CurrentView.event.onclick_linkProductDetail(\'{2}\',\'{3}\');"><strong>{0}{1}</strong></a>',
						(data.brandName && data.brandName != '미정의' ? "[" + data.brandName + "]" : ""),
						data.goodsName,
						(data.partNumber || data.goodsId),
						data.multiCd != '' ? data.multiCd : ''
				);
				
				
				if ( data.outYn == 'Y' || data.saleYn == "N" || data.itemLiveYN == "N") {
					soldOutHtml= Ns.Util.stringFormat(
							'<span class="soldout_new">'+
								'<span class="soldout_inbox">'+
									'<strong>SOLD<br>OUT</strong>'+
									'<span>품절</span>'+
								'</span>'+
							'</span>');
				}
				
				var totalPrice = Number(data.price) * Number(data.quantity);
				var totalSalePrice = Number(data.salePrice) * Number(data.quantity);
				var totalDeliveryPrice = Number(data.deliveryPrice);

				//최고구매수량
				var totalquantity = Number(data.quantity);
				var custPrchQtyLimitYn = data.custPrchQtyLimitYn;
				var maxOrderPossQty = Number(data.maxOrderPossQty);

				// 정기배송은 배송횟수만큼 곱하여 계산함.
				if (data.goodsType == '30' && data.payTypeCd == '10') {
					totalPrice *= Number(data.cnveyNum);
					totalSalePrice *= Number(data.cnveyNum);
				}
				// 묶음배송 상품일 경우
				if (dlvyGrpFlag[2]) {
					data.dlvyGrpYn = 'Y'; // 묶음배송 상품 여부 추가
				} else {
					data.dlvyGrpYn = 'N'; // 묶음배송 상품 여부 추가
				}
				
				// 묶음배송 출력
				var itemGroupStartHtml = function() {
					var _html = 
							'<li class="items-group">'+
								'<ul>';
					return _html;
				};
				
				//주문결제 UI 개선
				if (dlvyGrpFlag[0]) {
					CurrentView.k = 0;
					CurrentView.Sumofshipping = 0;
					CurrentView.orderItemId[CurrentView.k] = data.orderItemsId;
					CurrentView.orderItemPartNumber[CurrentView.k] = data.partNumber;
					CurrentView.k = CurrentView.k+1;
					CurrentView.Sumofshipping += Number(data.deliveryPrice);
				}
				else {
					CurrentView.orderItemId[CurrentView.k] = data.orderItemsId;
					CurrentView.orderItemPartNumber[CurrentView.k] =data.partNumber;
					CurrentView.k = CurrentView.k+1;
					CurrentView.Sumofshipping += Number(data.deliveryPrice);
				}
				
				var strBundleOrderItemId = CurrentView.orderItemId.slice(0,CurrentView.k);
				var strBundleOrderItemPartNumber = CurrentView.orderItemPartNumber.slice(0,CurrentView.k);
				
				var itemGroupEndHtml = function(price, salePrice, deliveryPrice) {
					var _html = Ns.Util.stringFormat(
							'</ul>'+
							  '<div class="add_group_wrap">'+
	                              '<div class="add_group">'+
	                                  '<span class="icon_add"><strong>{1}</strong> 원</span>'+
	                                  '<span class="iocn_Ineq">{2}</span>'+
	                                  '<span class="add_sum">합계 <strong class="em rate-j">{5}</strong> 원</span>'+
	                              '</div>'+
	                              '<a class="btn theme-a rate-g small" href="javascript:;" id="btnOrder3" onClick="CurrentView.event.onclick_btnBundleOrder([{3}],[{4}]);"><span>묶음배송 주문하기</span></a>'+
                              '</div>'+
							'</li>',
						Ns.Util.insertCommas(price),
						Ns.Util.insertCommas(salePrice),
						(deliveryPrice > 0 ? Ns.Util.insertCommas(deliveryPrice)+'원' : '무료배송'),
						strBundleOrderItemId,
						strBundleOrderItemPartNumber,
						Ns.Util.insertCommas(salePrice+deliveryPrice)
					);
		
					return _html;
				};
				
				// 배송비절약 링크 노출여부 추출 시작 /////
				var arrDlvyGrpKey = data.dlvyGrpKey.split(",");
				var blinkDeliverySaving = false;
				
				eval("CurrentView.objDlvyGrpKey[" + data.orderItemsId + "] = new Object()");
				
				for (var i = 0; i < arrDlvyGrpKey.length; i++){
					var arrDlvyGrpKey_val = arrDlvyGrpKey[i];
					
					if (arrDlvyGrpKey_val != "" && arrDlvyGrpKey_val.indexOf(":") > -1){
						var arrKeyVal = arrDlvyGrpKey_val.split(":");
						eval("CurrentView.objDlvyGrpKey[" + data.orderItemsId + "]." + arrKeyVal[0] + " = \"" + arrKeyVal[1] + "\"");
					}
				}
				
				var chk = data.wishProduct ? "checked" : "";
				var wishHtml = Ns.Util.stringFormat(
							'<label class="jjim_check_cart" role="checkbox">'
									+ '<input type="checkbox" name="wish_check" data-wish-flag="{0}"'
									+ 'data-catentry-id="{1}"'
									+ 'data-category-name="{2}"'
									+ 'data-product-name="{3}"'
									+ 'data-image-url="{4}"'
									+ 'data-product-price="{5}"'
									+ 'data-busChnId="{6}"'
									+ 'data-category-name2="{8}"'
									+ '{7} aria-hidden="true">'
									+ '<span>찜</span>' + '</label>'
						, data.wishProduct, data.partNumber, data.mparam.cate1Nm, data.goodsName, data.imageUrl, data.price, CurrentView.objDlvyGrpKey[data.orderItemsId].BUSCHN_ID, chk, data.mparam.cate2Nm);
				
				var customTag = Ns.Util.stringFormat(
							'data-catentry-id="{0}" '+
							'data-category-name="{1}" '+
							'data-product-name="{2}" '+
	                    	'data-image-url="{3}" '+
							'data-product-price="{4}" '+
							'data-busChnId="{5}" '+
							'data-category-name2="{6}" '
						, data.partNumber, data.mparam.cate1Nm, data.goodsName, data.imageUrl, data.price, CurrentView.objDlvyGrpKey[data.orderItemsId].BUSCHN_ID, data.mparam.cate2Nm);
				
				
				// 유료배송, 출고지기준,묶음배송여부,합포장여부
				if (data.free_dlvr_spr_cd == "10" && data.dlvr_expns_calc_type == "10"
					&& CurrentView.objDlvyGrpKey[data.orderItemsId].BNDLDLVR_YN == "Y" && CurrentView.objDlvyGrpKey[data.orderItemsId].PCKG_YN == "Y"){
					blinkDeliverySaving = true;
				}
				// 배송비절약 링크 노출여부 추출 종료 /////
				
				//2017.09.07 Wapers 장바구니 선환불, 후환불 상품이 혼재할 때 케이스 확인
				var goodsCnt = CurrentView.m_outputDatas.msg.goods.length;
				var bRFND_SHAPE_CD = true;	// 선환불 / 후환불 상품 일치 여부
				var strRFND_SHAPE_CD = "";	// 선환불 / 후환불 상품 기준값 ; PRE-선환불, PST-후환불 
				
				for (var k=0 ; k<goodsCnt ; k++){
					var strRFND_SHAPE_CDval = CurrentView.m_outputDatas.msg.goods[k].rfndShapeCd;
					
					if(strRFND_SHAPE_CD == ""){
						strRFND_SHAPE_CD = strRFND_SHAPE_CDval;
					} else {
						if (strRFND_SHAPE_CD != strRFND_SHAPE_CDval){
							bRFND_SHAPE_CD = false;
						}
					}
					 
				}

				CurrentView.isRFND_SHAPE_CD = bRFND_SHAPE_CD;
				
				var strRFND_SHAPE_CDVal = data.rfndShapeCd;
				
				var RFND_SHAPE_CD_VAL = "후환불";
				var tipPopup_Val = "tipCartMixPopup";
				
				if(strRFND_SHAPE_CDVal == 'PRE'){
					RFND_SHAPE_CD_VAL = "선환불";
					tipPopup_Val = "tipCartMixPopup2";
				} else {
					RFND_SHAPE_CD_VAL = "후환불";
					tipPopup_Val = "tipCartMixPopup";
				}
				
				if(!CurrentView.isRFND_SHAPE_CD){
					$('#divCartMix').css('display','block');
				} else {
					$('#divCartMix').css('display','none');
				}

				// 상품 아이템 출력
				
				var strTotalSalePriceHtml = "";
				if (totalPrice != totalSalePrice){
					strTotalSalePriceHtml = "<span class=\"price-selling\" role=\"text\"><strong class=\"head\">할인적용금액</strong> <ins class=\"text\"><strong>" + Ns.Util.insertCommas(totalSalePrice) + "</strong><span class=\"unit\">원</span></ins></span>";
				}
	
				var html = Ns.Util.stringFormat(
					'<li class="items" {18}>'+
						'<div class="wrap">'+
							'<div class="thumbnail">'+
								'{0}'+
								'{11}'+
							'</div>'+
							'<div class="field">'+
								'<p class="title"><label><input type="checkbox" name="goodsId" value="{2}" {9} title="상품 선택" class="form theme-a" onclick="CurrentView.event.onclick_checkGoodId(this, \'{12}\');" /></label>'+
									'{1}</p>'+
								'<div class="data-info">'+
									'<p class="price">'+
										'<span class="{13}" role="text"><strong class="head">판매금액</strong> <del class="text"><strong>{3}</strong><span class="unit">원</span></del></span>'+
										'{4}'+
										'<span class="price-delivery" style="{14}" role="text"><strong class="head">배송비{7}</strong> <span class="text">{8}</span></span>'+
										'<span class="price-alert" style="{15}"><strong class="head em rate-g">{16}</strong><a class="btn theme-a qmark-dimpopup align-top" href="#{17}"><span>?</span></a></span>'+
									'</p>'+
									'<div class="button-area content-right">'+
										'<ul class="button_area_list">'+
											'<li>'+
												'{10}'+
											'</li>'+
											'<li>'+
												'<a class="btn theme-a rate-a small" href="javascript:;" onclick="CurrentView.event.onclick_btnRemoveProduct(\'{5}\',\'{6}\',this);"><span>삭제</span></a>'+
											'</li>',
					imageLink,	//0
					titleLink,	//1
					Ns.Util.htmlEncode( JSON.stringify(data) ),	//2
					Ns.Util.insertCommas(totalPrice),	//3
					strTotalSalePriceHtml,	//4
					data.goodsId,	//5
					data.orderItemsId,	//6
					blinkDeliverySaving ? Ns.Util.stringFormat(' <a class="em rate-h" href="javascript:;" onclick="CurrentView.event.onclick_linkDeliverySaving(\'{0}\',\'{1}\');">배송비절약</a>', data.brandName, data.goodsId) : "",	//7
					(totalDeliveryPrice > 0 ? Ns.Util.stringFormat('<strong>{0}</strong><span class="unit">원</span>', Ns.Util.insertCommas(totalDeliveryPrice)) : '무료배송'),	//8
					(data.outYn == 'Y' || data.saleYn == "N" || data.itemLiveYN == "N" ? 'disabled="disabled"' : 'checked="checked"'),	//9
					//collectionHtml
					wishHtml,	//10
					soldOutHtml,	//11
					divIdIndex,	//12
					totalPrice == totalSalePrice ? 'price-selling' : 'price-default',	//13
					dlvyGrpFlag[0] == true || dlvyGrpFlag[1] == true || dlvyGrpFlag[2] == true ? "display: none" : "",	//14	// 묵음 배송의 경우 배송비 숨김.
					CurrentView.isRFND_SHAPE_CD == true ? "display: none" : "",	//15	// 선환불, 후환불 모두 존재하지 않으면 보여지지 않음
					RFND_SHAPE_CD_VAL, //16 선환불, 후환불 한글 텍스트
					tipPopup_Val, //17 팝업 ID
					customTag	//18 상품정보 커스텀 태그
				);
				if ( data.outYn == 'Y' || data.saleYn == "N" || data.itemLiveYN == "N") {
					html += '\n	<li><span class="btn soldout_btn">품절</span></li>';
				} else {
					html += Ns.Util.stringFormat(
							'<li>'+
								'<a class="btn theme-a rate-g small" href="javascript:;" onclick="CurrentView.event.onclick_btnRightOrder(\'{0}\', \'{1}\', \'{2}\', \'{3}\', \'{4}\', \'{5}\', \'{6}\');"><span>바로주문</span></a>'+
							'</li>',
							data.orderItemsId, data.partNumber, data.maxOrderPossQty, data.quantity, data.custDurSpr, data.custPrchQtyLimitYn, data.endYmd
					);
				}
				html += Ns.Util.stringFormat(
										'</ul>'+
									'</div>'+
								'</div>'+
							'</div>'+
						'</div>'+
						'{0}'+
					'</li>',
					this.setProductOption(data)
				);
				
				// 묶음배송 판매금액 계산
				if (dlvyGrpFlag[2]) {
					CurrentView.DLVY_GRP_KEY.price += Number(totalPrice);
					CurrentView.DLVY_GRP_KEY.salePrice += Number(totalSalePrice);
					//최대구매수량
					CurrentView.DLVY_GRP_KEY.quantityFlag += Number(totalquantity);
					
					//구매제한이 걸린 여부 체크
					if(custPrchQtyLimitYn != undefined && custPrchQtyLimitYn == "Y"){
						CurrentView.custPrchQtyLimitYnFlag = true;
					}

					//구매제한 개수보다 구매개수가 많으면 체크
					if( CurrentView.DLVY_GRP_KEY.quantityFlag > maxOrderPossQty && CurrentView.custPrchQtyLimitYnFlag && maxOrderPossQty > 0){
						CurrentView.MaximumPurchaseQuantityFlag = true;
					}else{
						CurrentView.MaximumPurchaseQuantityFlag = false;
					}
					
				}
				// 묶음배송 시작 태그 출력
				if (dlvyGrpFlag[0]) {
					html = itemGroupStartHtml() + html;
				}
				// 묶음배송 종료 태그 출력
				if (dlvyGrpFlag[1]) {
					html += itemGroupEndHtml(CurrentView.DLVY_GRP_KEY.price, CurrentView.DLVY_GRP_KEY.salePrice, Number(data.deliveryPrice));
					CurrentView.DLVY_GRP_KEY.price = 0;
					CurrentView.DLVY_GRP_KEY.salePrice = 0;
					CurrentView.DLVY_GRP_KEY.quantityFlag = 0;
				}

				setTimeout(function() {uiCartList._layerPopup();}, 500);

				return html;
			},
			
			// 상품 아이템의 옵션/수량 출력
			setProductOption : function( data ) {
				var html = '';
				html += '\n	<div class="option-order">';
				
				// 사은품이 존재하면 출력
				if (data.selectGift != null && data.selectGift.length > 0) {
					html += '\n		<span class="text">';
					html += '\n			<strong class="head">사은품</strong>';
					html += '\n			<span class="value">';
					for (var i = 0; i < data.selectGift.length; i++) {
						if (data.selectGift[i].value == undefined){
							html += Ns.Util.stringFormat('\n	<span class="option">{0}</span>', data.selectGift[i].name);
						} else {
							html += Ns.Util.stringFormat('\n	<span class="option">{0}</span>', data.selectGift[i].value);
						}
					}
					html += '\n			</span>';
					html += '\n		</span>';
				}
				
				if (CurrentView.currentTab == CurrentView.GoodsTypeList[1] && data.goodsType == '55') { //카드(상품권)
					html += '\n		<span class="text">';
					html += '\n			<strong class="head">메세지</strong>';
					html += '\n			<span class="value">';
					if (data.optionType == '300') { // 이메일
						html += Ns.Util.stringFormat('\n	<span class="option">{0}</span>', data.email);
					} else if (data.optionType == '200') { // 문자
						html += Ns.Util.stringFormat('\n	<span class="option">{0}-{1}-{2}</span>', data.mobileNo1, data.mobileNo2, data.mobileNo3);
					}
						html += Ns.Util.stringFormat('\n	<span class="option">{0}</span>', (data.cardMessage || ''));
					html += '\n			</span>';
					html += '\n		</span>';
				} else if (data.styleMngYn == 'Y') {
					html += '\n		<span class="text">';
					html += '\n			<strong class="head">옵션</strong>';
					html += '\n			<span class="value">';
					for (var i = 0; i < data.selectOpt.length; i++) {
						html += Ns.Util.stringFormat('\n	<span class="option">{0}</span>', (data.selectOpt[i].value || data.selectOpt[i].name));
					}
					html += '\n			</span>';
					html += '\n		</span>';
				}
				
				// 수량
				html += Ns.Util.stringFormat(
						'<span class="text">'+
							'<strong class="head">수량</strong>'+
							'<span class="option">{0}개</span>'+
						'</span>',
					Ns.Util.insertCommas(data.quantity)
				);
				
				//상품별 수량
				var goodsCnt = data.goodsId + "_" + data.quantity;
				// 20141122 정헌태 - 정기배달 상품도 수정 가능하도록 수정
				//if (!(data.outYn == 'Y' || CurrentView.currentTab == CurrentView.GoodsTypeList[2])) { // 품절 및 정기배달 아이템은 수정 불가
				if (!(data.outYn == 'Y' || data.saleYn == 'N' || data.itemLiveYN == 'N')) { // 품절 아이템은 수정 불가
					html += Ns.Util.stringFormat(
								'<a class="btn theme-b rate-a x-small" href="javascript:;" onclick="CurrentView.event.onclick_btnUpdateOptions(\'{0}\');" name="{1}"><span>수정</span></a>',
							Ns.Util.htmlEncode( JSON.stringify(data) ), goodsCnt );
				}
				html += '\n	</div>';
				
				if (CurrentView.currentTab == CurrentView.GoodsTypeList[2]) { //정기배달
					html += Ns.Util.stringFormat(
							'<div class="option-delivery">'+
								'<strong class="head">배송주기</strong>'+
								'<span class="text">'+
									'<span class="option">간격 : {0}일</span>'+
									'<span class="option">배송 : {1}회</span>'+
								'</span>'+
							'</div>',
						data.intrv,
						data.cnveyNum
					);
				}
				
				return html;
			},
			
			//총주문금액, 할인예상금액, 총배송비, 결제예정금액 값 설정. 
			setOrderTable : function( totalOrderPrice, offerPrice, shippingPrice, totalPaymentPrice, divIdIndex ) {
				var totOrderPrice = Ns.Util.insertCommas(totalOrderPrice) + "원";
				var totOfferPrice = "(-) " + Ns.Util.insertCommas(offerPrice) + "원";
				var totShippingPrice = "(+) " + Ns.Util.insertCommas(shippingPrice) + "원";
				var totPaymentPrice = Ns.Util.insertCommas(totalPaymentPrice) + "원";
				
				$("#txtTotalOrderPrice" + divIdIndex).html(totOrderPrice);
				$("#txtOfferPrice" + divIdIndex).html(totOfferPrice);
				$("#txtShippingPrice" + divIdIndex).html(totShippingPrice);
				$("#txtTotalPaymentPrice" + divIdIndex).html(totPaymentPrice);
			}
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//장바구니 탭 클릭. 
			onclick_ulTabsCartType : function() {
				var id = $(this).attr('id');
				if (id.length > 3) {
					id = id.substring(3, id.length);
				}
				
				if ( CurrentView.currentTab == id ) return false; //현재 탭을 클릭했을 경우 return...
				
				//상품 종류에 따라. 장바구니 상품 조회. 
				if( id == CurrentView.GoodsTypeList[0] ) {//일반상품
				} else if( id == CurrentView.GoodsTypeList[1] ) { //상품권
				} else if( id == CurrentView.GoodsTypeList[2] ) { //정기배달. 
				} else {
				  return false;
				}
				CurrentView.m_inputParams.goodsType = id;

				// NAVI_HISTORY의 파라미터 변경
				mainCtrl.setCurrentPageParams({
					goodsType : CurrentView.m_inputParams.goodsType
				});
				
				// 장바구니 목록 조회
				CurrentView.data.getBasketListInfo();
			},
			
			//전체선택 체크박스 클릭. 
			onclick_btnCheckAll : function() {
				var id = $(this).attr('id');
				var divIdIndex = id.substring(id.length - 1);
				var _checked = document.getElementById(id).checked;
				$("#formBasketGoodsInfo #divCartList" + divIdIndex + " input[name=goodsId]").each(function(){
					if (!$(this).prop('disabled') && !$(this).prop('readonly')) {
						$(this).prop('checked', _checked);
					}
				});
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_장바구니',
						eventAction : '일괄처리',
						eventLabel : '전체선택'
				};
				var subparam = {
						t1 : '주문/결제',
						t2 : "장바구니"
				};
			
				GA.sendEventData(event_obj,subparam);
				
				
				//결제예정금액 합계 재조정
				CurrentView.ui.setTotalPaymentPrice(divIdIndex);
			},
			
			//체크박스 선택
			onclick_checkGoodId : function(_this, divIdIndex) {
				var bAllChecked = true;
				$("input[name=goodsId]").each(function (){
					if (!$(this).prop("checked")){
						bAllChecked = false;
					}
				});
				
				if (bAllChecked){
					$("#btnCheckAll1").prop("checked",true);
				} else {
					$("#btnCheckAll1").prop("checked",false);
				}
				
				//결제예정금액 합계 재조정
				CurrentView.ui.setTotalPaymentPrice(divIdIndex);
			},
			
			///정렬기준(무이자할부 모아보기) select 선택. 
			onchange_selSortType : function() {
				var id = $(this).attr('id');
				var divIdIndex = id.substring(id.length - 1);
				CurrentView.m_outputDatas.sortType = $("#selSortType" + divIdIndex + " option:selected").val();
				CurrentView.data.resultBasketList(CurrentView.m_outputDatas);
				CurrentView.data.chkRfndShape();
			},
			
			//상품 상세보기 링크
			onclick_linkProductDetail : function( partNumber , multiCd ) {
				var param = {
						partNumber : partNumber,
						multiCd : multiCd
				};
				mainCtrl.gotoProductDetail(param);
			},
			
			//배송비절약하기 링크
			// 20150513 정헌태 - IBM 김민지 선생님 요청으로 catentryId의 값이 goodsId 값이 넘어 오도록 수정 됨
			onclick_linkDeliverySaving : function(brandName, catentryId) {
				
				var params = {};
				params.brandName = brandName;
				params.catentryId = catentryId;
				
				mainCtrl.navigate( "M_G2140000M", params );
			},
			
			//옵션 수정 버튼 클릭. 
			onclick_btnUpdateOptions : function( data ) {
				// 주문아이템
				data = eval('(' + data + ')');
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_장바구니',
						eventAction : '개별처리',
						eventLabel : '주문수정'
				};
				var subparam = {
						t1 : '주문/결제',
						t2 : "장바구니"
				};
			
				GA.sendEventData(event_obj,subparam);
				
				var param = {
						userId : USERINFO.userId(),
						orderId : CurrentView.m_outputDatas.msg.member.orderId, // 주문번호
						orderItemsId : data.orderItemsId, // 선택한 아이템 번호
						goods : data,
						callback : CurrentView.data.resultUpdateOptions
				};
				
				var optionQuantity=[];
				$("div.option-order a[name^="+data.goodsId+"]").each(function(i){
					var str = $(this).attr("name").split('_');
					optionQuantity[i] = str[1];
				});
				if(optionQuantity.length > 1)
					param.optionQuantity = optionQuantity;
				
				var pageId = 'M_B1140000L';
				if (CurrentView.currentTab == CurrentView.GoodsTypeList[1] && data.goodsType == '55') { // 카드(상품권)
					pageId = 'M_B1150000L';
				} else if (CurrentView.currentTab == CurrentView.GoodsTypeList[2]) { // 정기배달
					pageId = 'M_B1140000L'; //'M_B1160000L'; 20141122 정헌태 - 정기배달도 일반상품처럼 처리
				} else { // 일반상품
					pageId = 'M_B1140000L';
				}
				Ns.Popup.showLayer(pageId, param);
			},
			
			//개별 상품 영역의 삭제 버튼 클릭 이벤트. 
			onclick_btnRemoveProduct : function( goodsId, orderItemsId, paramThis) {
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_장바구니',
						eventAction : '개별처리',
						eventLabel : '개별삭제'
				};
				var subparam = {
						t1 : '주문/결제',
						t2 : "장바구니"
				};
			
				GA.sendEventData(event_obj,subparam);
				
				// AIQUA
				var productInfo = JSON.parse($(paramThis).parents(".field").find("input[name=goodsId]")[0].defaultValue);	
				
				
							
				var eventParameterTemp = {}, eventParameter = [];
				
				// AIQUA
			
				eventParameterTemp.category_name = Ns.Util.htmlDecode(productInfo.mparam.cate1Nm);
				eventParameterTemp.product_id = productInfo.partNumber;
				eventParameterTemp.product_name = productInfo.goodsName;
				eventParameterTemp.product_image_url = productInfo.imageUrl;
				eventParameterTemp.product_price = productInfo.price;
				eventParameterTemp.product_channel = CurrentView.objDlvyGrpKey[productInfo.orderItemsId].BUSCHN_ID;
				eventParameterTemp.brandName = productInfo.brandName;
				eventParameter[0]=eventParameterTemp;
				
				
				Ns.Popup.confirm('해당 상품을 삭제하시겠습니까?', function(){
					navi.setMovePointer(-1);
					//확인 버튼 : 삭제 프로세스 실행
					var param = {
							userId : USERINFO.userId(),
							orderId : CurrentView.m_outputDatas.msg.member.orderId, // 주문번호
							orderItemId : orderItemsId // 선택한 아이템 번호
					};
					CurrentView.data.setRemoveProduct(param, eventParameter);
				}, function(){
					//취소 버튼
				});
			},
			
			//개별 상품 영역의 바로주문 버튼 클릭 이벤트. 
			onclick_btnRightOrder : function( orderItemsId, orderItemPartNumber, orderMaxOrderPossQty, orderQuantity, orderCustDurSpr, orderCustPrchQtyLimitYn, orderendYmd) {
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_장바구니',
						eventAction : '개별처리',
						eventLabel : '개별주문'
				};
				var subparam = {
						t1 : '주문/결제',
						t2 : "장바구니"
				};
			
				GA.sendEventData(event_obj,subparam);
				
				if ( orderCustPrchQtyLimitYn == "Y")
				{
					//최대구매수량
					var invoke = {
							"cmdType":11, 
							"custDurSpr":orderCustDurSpr,
							"partNumber":orderItemPartNumber,
							"itemCnt"	:orderQuantity
					};
					
					tran.callWCSJsonTran( "NSItemDetailAjax", invoke, function(data){
						
						//최대구매수량
						var totalQuantity = 0;
						var rtn_flag = "";
						var nMaxCount = CurrentPopup.optionMaxCount >= 100 ? 99 : CurrentPopup.optionMaxCount;
						
						if(data.jsonData != undefined){
							rtn_flag = data.jsonData.rtn.flag;
						}
						
						var msg = "";
						
						if(rtn_flag == "Y"){
							if( orderCustDurSpr == 1 ){
								orderMaxOrderPossQty = data.jsonData.rtn.DAY_P_QTY;
							}else if( orderCustDurSpr == 2 ){
								orderMaxOrderPossQty = data.jsonData.rtn.MONTH_P_QTY;
							}else if( orderCustDurSpr == 3 ){
								orderMaxOrderPossQty = data.jsonData.rtn.DATE_P_QTY;
							}
							
						}
						
						var Msg = "구매를 위해서 로그인이 필요합니다.";
						
						if(USERINFO.userId() == "" && orderCustPrchQtyLimitYn == "Y"){
							Ns.Popup.alert(Msg, function() {
								mainCtrl.navigate( "M_M1111100M" );
							});						
							return;
						}
						
						if ( orderCustPrchQtyLimitYn == "Y" && orderCustDurSpr == 1 && orderQuantity >  orderMaxOrderPossQty ) {
							msg = "금일 최대 구매 가능 수량을<br> 초과 하셨습니다.<br>"+ orderMaxOrderPossQty + "개 구매 가능합니다.";
							Ns.Popup.alertD(msg);	
							return false;
						}else if ( orderCustPrchQtyLimitYn == "Y" && orderCustDurSpr == 2 && orderQuantity >  orderMaxOrderPossQty ) {
							msg = "당월 최대 구매 가능 수량을<br> 초과 하셨습니다.<br>"+ orderMaxOrderPossQty + "개 구매 가능합니다.";
							Ns.Popup.alertD(msg);	
							return false;
						}else if ( orderCustPrchQtyLimitYn == "Y" && orderCustDurSpr == 3 && orderQuantity >  orderMaxOrderPossQty ) {
							msg = "기간내 최대 구매 가능 수량을<br> 초과 하셨습니다.<br>"+orderendYmd.substring(0,4)+"년"+orderendYmd.substring(4,6)+"월"+orderendYmd.substring(6,8)+"일까지<br> "+ orderMaxOrderPossQty + "개 구매 가능합니다.";
							Ns.Popup.alertD(msg);	
							return false;
						}

					});
				}
				
				// 주문상태 변경 후 주문서작성 페이지로 이동
				CurrentView.event.gotoOrderSheet( [orderItemsId], [orderItemPartNumber]);

			},
			
			//주문결제 UI 개선
			onclick_btnBundleOrder : function( orderItemsId, orderItemPartNumber) {
				// 주문상태 변경 후 주문서작성 페이지로 이동
				CurrentView.event.gotoOrderSheet( orderItemsId, orderItemPartNumber);

			},
			
			// 컬렉션 담기
			onclick_btnPutCollection : function(catentryId, goodsName) {
				// MyPage의 컬렉션담기 팝업으로 이동
				var params ={};
				params.catentryId = catentryId;
				params.productName = goodsName;
				Ns.Popup.showPopup('M_G261C000L', params);
			},
			
			//컬렉션 담기, 삭제하기, 품절/일시중지 상품 삭제.
			onclick_divCartButtonArea : function() {
				
				var id = $(this).attr('id');
				var divIdIndex = id.substring(id.length - 1);
				var eventLabel = "";

				//상품 종류에 따라. 장바구니 상품 조회. 
				if( id == "btnRemoveProds1" || id == "btnRemoveProds2" ) { //삭제하기
					eventLabel = "선택상품삭제";
					// 체크박스 선택된 주문아이템의 json
					var goodsList = $("#formBasketGoodsInfo #divCartList" + divIdIndex + " input[name=goodsId]:checked").map(function() {
						return eval('('+this.value+')');
					}).get();
					if (goodsList.length == 0) {
						Ns.Popup.alert( '선택된 상품이 없습니다.' );
						return false;
					}
					Ns.Popup.confirm('선택한 상품을 장바구니에서 삭제하시겠습니까?', function(){
						navi.setMovePointer(-1);
						//확인 버튼 : 삭제 프로세스 실행

						// 체크박스 선택된 주문아이템ID
						var goodsId = [], orderItemsId = [], eventParameter = [];
						
						for (var i = 0; i < goodsList.length; i++) {
							goodsId.push( goodsList[i].goodsId );
							orderItemsId.push( goodsList[i].orderItemsId );
							
							// AIQUA
							var eventParameterTemp = {};
							eventParameterTemp.category_name = Ns.Util.htmlDecode(goodsList[i].mparam.cate1Nm);
							eventParameterTemp.product_id = goodsList[i].partNumber;
							eventParameterTemp.product_name = goodsList[i].goodsName;
							eventParameterTemp.product_image_url = goodsList[i].imageUrl;
							eventParameterTemp.product_price = goodsList[i].price;
							eventParameterTemp.brandName = goodsList[i].brandName;
							eventParameterTemp.product_channel = CurrentView.objDlvyGrpKey[goodsList[i].orderItemsId].BUSCHN_ID;
							eventParameter[i] = eventParameterTemp;
						}
						
						var param = {
								userId : USERINFO.userId(),
								orderId : CurrentView.m_outputDatas.msg.member.orderId, // 선택한 주문번호
								orderItemId : orderItemsId // 선택한 아이템 주문번호
						};
						CurrentView.data.setRemoveProduct(param, eventParameter);
					}, function(){
						//취소 버튼
					});
					
				} else if( id == "btnRemoveClosedProds1" || id == "btnRemoveClosedProds2" ) { //품절/일시중지 상품 삭제
					eventLabel = "품절상품삭제";
					// 전체 주문아이템의 json
					var goodsList = $("#formBasketGoodsInfo #divCartList" + divIdIndex + " input[name=goodsId]").map(function() {
						return eval('('+this.value+')');
					}).get();
					
					// 품절/일시중지 상품 목록
					var goodsId = [], closedItems = [];
					for (var i = 0; i < goodsList.length; i++) {
						if (goodsList[i].outYn == 'Y' || goodsList[i].saleYn == 'N'|| goodsList[i].itemLiveYN == "N") {
							goodsId.push( goodsList[i].goodsId );
							closedItems.push( goodsList[i].orderItemsId );
						}
					}
					if (goodsList.length == 0 || closedItems.length == 0) {
						Ns.Popup.alert( '품절/일시중지 된 상품이 없습니다.' );
						return false;
					}

					var param = {
							userId : USERINFO.userId(),
							orderId : CurrentView.m_outputDatas.msg.member.orderId, // 선택한 주문번호
							orderItemId : closedItems // 품절/일시중지 된 아이템 번호
					};
					tran.callWCSJsonTran('AjaxNSXorderItemDelete4Worklight', param, function(data) {
						if (data.msg && data.msg.result == 'success') {
							Ns.Popup.alert('품절/일시중지 된 상품을 삭제하였습니다.', function(){
								// 장바구니 새로고침
								CurrentView.data.getBasketListInfo();
							});
						} else {
							Ns.Popup.alert( "장바구니 상품 삭제시 문제가 발생 했습니다.<br/>잠시 후 다시 시도해 주십시오.<br />" + data.msg.resultMessage );
						}
					});
					
				} else {
					return false;
				}
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_장바구니',
						eventAction : '일괄처리',
						eventLabel : eventLabel
				};
				var subparam = {
						t1 : '주문/결제',
						t2 : "장바구니"
				};
			
				GA.sendEventData(event_obj,subparam);
				
			},
			
			//계속 쇼핑하기 버튼 클릭. 
			onclick_btnContinueShopping : function() {
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_장바구니',
						eventAction : '장바구니이탈',
						eventLabel : '계속쇼핑하기'
				};
				var subparam = {
						t1 : '주문/결제',
						t2 : "장바구니"
				};
			
				GA.sendEventData(event_obj,subparam);
				
				mainCtrl.gotoMain();
			},
			
			//로그인 버튼 클릭.
			onclick_btnGoLogin : function(e) {
				e.preventDefault();
				mainCtrl.gotoLogin();
			},
			
			//주문하기 버튼 클릭. 
			onclick_btnOrder : function() {
				//최대구매수량
				CurrentView.MaximumPurchaseQuantityFlag = false;
				
				var id = $(this).attr('id');
				var divIdIndex = id.substring(id.length - 1);

				// 체크박스 선택된 주문아이템의 json
				var goodsList = $("#formBasketGoodsInfo #divCartList" + divIdIndex + " input[name=goodsId]:checked").map(function() {
					return eval('('+this.value+')');
				}).get();
								
				if (goodsList.length == 0) {
					Ns.Popup.alert( '선택된 상품이 없습니다.' );
					return false;
				}
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_장바구니',
						eventAction : '일괄처리',
						eventLabel : '선택상품주문'
				};
				var subparam = {
						t1 : '주문/결제',
						t2 : "장바구니"
				};
			
				GA.sendEventData(event_obj,subparam);

				
				var orderItemId = [];	// 체크박스 선택된 주문아이템ID
				var orderItemPartNumber = [];	//체크박스 선택된 상품의 partNumber
				var bAllYnterestFreeMonth = true;	// 모든 무이자 할부 개월수 일치 여부
				var strYnterestFreeMonth = "";	// 무이자 할부 개월수 기준 값
				var nYnterestFreeMonth = 0;	// 최저 무이자 할부 개월수 
				var bRFND_SHAPE_CD = true;	// 선환불 / 후환불 상품 일치 여부
				var strRFND_SHAPE_CD = "";	// 선환불 / 후환불 상품 기준값 ; PRE-선환불, PST-후환불 
				var nTotalQuantity = 0;
				var maxcountFlag = 0;
				
				for (var i = 0; i < goodsList.length; i++) {
					orderItemId[i] = goodsList[i].orderItemsId;
					orderItemPartNumber[i] = goodsList[i].partNumber;
					
					var strRFND_SHAPE_CDval = CurrentView.objDlvyGrpKey[goodsList[i].orderItemsId].RFND_SHAPE_CD;
					var custPrchQtyLimitYn = goodsList[i].custPrchQtyLimitYn;
					var maxOrderPossQty = goodsList[i].maxOrderPossQty;
					
					if (strYnterestFreeMonth == ""){
						strRFND_SHAPE_CD = strRFND_SHAPE_CDval;
					} else {
						if (strRFND_SHAPE_CD != strRFND_SHAPE_CDval){
							bRFND_SHAPE_CD = false;
						}
					}
					
					if (strYnterestFreeMonth == ""){	// 값이 비어 있을경우 처음값 세팅
						strYnterestFreeMonth = goodsList[i].interestFreeMonth;
						nYnterestFreeMonth = Number(goodsList[i].interestFreeMonth);
					} else {
						if (nYnterestFreeMonth > Number(goodsList[i].interestFreeMonth)){
							nYnterestFreeMonth = Number(goodsList[i].interestFreeMonth);
						}
						
						// 입력된 할부 개월수와 다른 할부 개월 수 비교하여 다른 것이 있으면 false 세팅
						if (strYnterestFreeMonth != goodsList[i].interestFreeMonth){
							bAllYnterestFreeMonth = false;
						}
					}
					
					if(custPrchQtyLimitYn == "Y"){
						if( CurrentView.partNumberFlag == 0){
							CurrentView.partNumberFlag = goodsList[i].partNumber;
							maxcountFlag += Number(goodsList[i].quantity, 10);
						}else if( CurrentView.partNumberFlag != goodsList[i].partNumber){
							maxcountFlag = 0;
							CurrentView.partNumberFlag = goodsList[i].partNumber;
							maxcountFlag += Number(goodsList[i].quantity, 10);
						}else if( CurrentView.partNumberFlag == goodsList[i].partNumber){
							maxcountFlag += Number(goodsList[i].quantity, 10);
							
							if( maxcountFlag > goodsList[i].maxOrderPossQty && maxcountFlag > 0){
								CurrentView.MaximumPurchaseQuantityFlag = true;
							}
						}
					}
					
					nTotalQuantity += Number(goodsList[i].quantity, 10);
				}
				
				//최대구매수량
				var Msg = "구매를 위해서 로그인이 필요합니다.";
				
				if(USERINFO.userId() == "" && CurrentView.custPrchQtyLimitYnFlag){
					Ns.Popup.alert(Msg, function() {
						mainCtrl.navigate( "M_M1111100M" );
					});						
					return;
					
				}
				
				if( CurrentView.MaximumPurchaseQuantityFlag ){
					msg = "장바구니 상품중 구매 수량 제한 <br>상품이 주문 가능 수량을 초과하였습니다.";
					Ns.Popup.alertD(msg);
					return false;
				}
				
				if (nTotalQuantity >= 100){
					Ns.Popup.alert("1회 최대 구매 가능 수량은 99개 까지입니다.");
					return;
				}
				
				// 선환불 / 후환불 상품 일치 체크
				if (orderItemId.length > 1 && bRFND_SHAPE_CD == false){
					Ns.Popup.alert( "선환불 상품과 후환불 상품을 구분하여 선택하신 후 주문해 주시기 바랍니다." );
					return;
				}
				
				var strYnterestFreeMonthText = "";
				if (nYnterestFreeMonth == 0){
					strYnterestFreeMonthText = "일반할부";
				} else {
					strYnterestFreeMonthText = "무이자 " + nYnterestFreeMonth + "개월";
				}
				
				// 상품이 1개 이상이고 모든 할부 개월수가 일치하지 않을 경우 처리
				if (orderItemId.length > 1 && !bAllYnterestFreeMonth){
					Ns.Popup.confirm("무이자할부 개월수가 다른 상품을 한번에 주문하시는 경우, 가장 낮은 할부 개월 수의 상품 기준으로 " + strYnterestFreeMonthText + "로 조정됩니다.<br />원치 않으시면 상품을 각각 주문해주세요.",
							
							function(){
								navi.setMovePointer(-1);
								// 주문상태 변경 후 주문서작성 페이지로 이동
								CurrentView.event.gotoOrderSheet(orderItemId, orderItemPartNumber);
							},
							 null,
							 "주문하기",
							 "장바구니 돌아가기",
							 null,
							 true);
				} else {
					var callbackFunc = function() {
						// 주문상태 변경 후 주문서작성 페이지로 이동
						CurrentView.event.gotoOrderSheet(orderItemId, orderItemPartNumber);
					}
					
					// 장바구니 리스트 품절여부 재조회
					CurrentView.data.getReBasketListInfo(callbackFunc);
				}
				
			},
			
			// 주문서작성 페이지로 이동
			gotoOrderSheet : function( orderItemIds, orderItemPartNumber ) {
				CurrentView.productCategoryName.haveAdultItem = 'N';
				var coNm						// 제휴사 명
				,	noSaleCatalogflag = false 	// 제휴 유입시 구매 불가 상품 포함 여부 플래그
				,	reqPartNumberArr  = [] 
				, 	reqOrderItemIdArr = [];
				
				var product_array = []; 		//ga360
				
				/*** 상품 카테고리 정리 시작 ***/
				for (var k = 0; k < orderItemPartNumber.length; k++){	// 주무나는 상품만 담기
					
					for (var j = 0; j < CurrentView.m_outputDatas.msg.goods.length; j++){
						var good = CurrentView.m_outputDatas.msg.goods[j];
						
						if (good.partNumber != orderItemPartNumber[k]){
							continue;
						}
						
						// 제휴 유입시 구매 불가 상품 체크
						if(good.noSaleCatalogYN != "Y"){
							if(reqOrderItemIdArr.indexOf(orderItemIds[k]) == -1){
								reqPartNumberArr.push(orderItemPartNumber[k]);
								reqOrderItemIdArr.push(orderItemIds[k]);
							}
						} else {
							noSaleCatalogflag = true;
							coNm = CurrentView.m_outputDatas.msg.common.coNm;
							continue;
						}
						
						// 20160922 신혜수 - 성인 상품 포함여부 추가
						if(good.adultItemFlag == 'Y' ){
							CurrentView.productCategoryName.haveAdultItem = 'Y';
						}
						var strCateCdFull = "";	// '@/'를 구분자로 하여 순서대로 나열된 카테고리 코드 문자열
						var strCateNmFull = "";	// '@/'를 구분자로 하여 순서대로 나열된 카테고리 이름 문자열
						
						var cateCdEnd = "";
						var cateNmEnd = "";
						
						eval("CurrentView.productCategoryName.partNum_" + good.partNumber + "= new Object();");
						eval("CurrentView.productCategoryName.partNum_" + good.partNumber + ".success = true");
						
						try{
							for (var i = 5; i >= 1; i--){
								var cateCode = eval("good.mparam.cate" + i + "Code");
								var cateName = eval("good.mparam.cate" + i + "Nm");
								
								if (strCateCdFull == "" && null == cateCode){
									// 별도 동작 하지 않음
								} else {
									if (strCateCdFull == ""){
										strCateCdFull = cateCode
										strCateNmFull = cateName
										
										cateCdEnd = cateCode;
										cateNmEnd = cateName;
									} else {
										
										if (cateCode == null || cateCode == undefined || cateCode == ""){
											cateCode = "";
											cateName = "";
										}
										
										strCateCdFull = cateCode + "@/" + strCateCdFull
										strCateNmFull = cateName + "@/" + strCateNmFull
									}
								}
							}
							
							eval("CurrentView.productCategoryName.partNum_" + good.partNumber + ".cateCdFull='" + strCateCdFull + "'");
							eval("CurrentView.productCategoryName.partNum_" + good.partNumber + ".cateNmFull='" + strCateNmFull + "'");
							
							eval("CurrentView.productCategoryName.partNum_" + good.partNumber + ".cateCdEnd='" + cateCdEnd + "'");
							eval("CurrentView.productCategoryName.partNum_" + good.partNumber + ".cateNmEnd='" + cateNmEnd + "'");
							for (var h = 1; h <= 5; h++){
								var cd = eval("good.mparam.cate" + h + "Code");
								var nm = eval("good.mparam.cate" + h + "Nm");
								eval("CurrentView.productCategoryName.partNum_" + good.partNumber + ".cate" + h + "Code='" + cd + "'");
								eval("CurrentView.productCategoryName.partNum_" + good.partNumber + ".cate" + h + "Nm='" + nm + "'");
							}
						} catch (e) {
							eval("CurrentView.productCategoryName.partNum_" + good.partNumber + ".success = false");
						}	
					}
					
				}
				
				//ga360
				for(var h = 0; h < reqOrderItemIdArr.length; h++){
					for(var g = 0; g < CurrentView.m_outputDatas.msg.goods.length; g++){
						var productInfo = CurrentView.m_outputDatas.msg.goods[g];
						if(productInfo.orderItemsId != reqOrderItemIdArr[h]){
							continue;
						}
						product_array.push(
								{
									'id':productInfo.partNumber,
									'name':productInfo.goodsName,
									'brand':productInfo.brandName,
									'category':productInfo.mparam.cate1Nm,
									'variant':productInfo.selectOpt[0].name,
									'dimension16':"e상품"
								}
						);
					}
				}
				var liveInfo = {};
				liveInfo.t1 = "주문/결제";
				liveInfo.t2 = "장바구니";
				GA.sendEcommerceData(product_array,"6", liveInfo);
				
				/*** 상품 카테고리 정리 종료 ***/
				
				if(reqOrderItemIdArr.length == 0 && noSaleCatalogflag){
					Ns.Popup.alert( coNm + " 경유시 <br/>" +
									"구매 불가능한 상품입니다.<br/>" +
									"메인페이지로 이동합니다.", mainCtrl.gotoMain);
					return false;
				}
								
				// 선택된 주문 아이템을 주문접수(P) --> 주문서작성(H) 상태로 변경
				var param = {
						orderId : CurrentView.m_outputDatas.msg.member.orderId, // 주문번호
						orderItemsIds : reqOrderItemIdArr.join(',') // 선택한 아이템 번호 array
				};
				
				param.productCategoryName = CurrentView.productCategoryName;	// 카테고리 정보 추가
				
				// 비회원이면, 로그인화면으로 이동
				if (!mainCtrl.NOMEMBER_ORDER && !mainCtrl.checkLogonStatus()) {
					mainCtrl.gotoLogin( {
						tranId : 'AjaxNSOrderSheet4Worklight',
						invoke : param,
						pageId : 'M_B1310000M',
						isOnlyUser : false
					} );
				} else {
					CurrentView.data.updateOrderSheetStatus(param, function() {
						
						// 2016.08.31 신혜수 - 성인인증 상품이 있을 경우 조건 추가 필요
						if(CurrentView.productCategoryName.haveAdultItem == 'Y'){
							if( USERINFO.adultAuthYN() != "Y" ){ // 성인인증이 안되어 있을 경우
								Ns.Popup.alert( "성인 상품은 인증하셔야 보실 수 있습니다.", function() {
									var param = {
										callback : function() {},
										adultItemFlag :	CurrentView.productCategoryName.haveAdultItem,
										openerPageId  : navi.getData().pageIds,
									};
									param.callback = function() {
										mainCtrl.navigate("M_B1310000M", {
											userId : USERINFO.userId(),
											orderId : CurrentView.m_outputDatas.msg.member.orderId,
											productCategoryName : CurrentView.productCategoryName
										});
									};
									Ns.Popup.showPopup('M_B1214000P', param);
								},null,true );
								return false;
							}
						}
						
						//성인인증이 되어 있을 경우						
						// 주문서정보 페이지로 이동
						var reqParam =  {
								userId : USERINFO.userId(),
								orderId : CurrentView.m_outputDatas.msg.member.orderId,
								productCategoryName : CurrentView.productCategoryName
						};
						
						if(noSaleCatalogflag){
							Ns.Popup.alert( coNm + " 경유시 <br/> " +
									"구매 불가능한 상품이 있습니다.<br/>" +
									"해당 상품을 제외하고 결제페이지로 <br/>" +
									"이동합니다.",
									function(){	mainCtrl.navigate("M_B1310000M", reqParam);	}
							);
						} else {
							mainCtrl.navigate("M_B1310000M", reqParam);
						}
						
						
					});
				}
			},
			// 2018-07-23 ssong 찜 등록/취소
			onclick_wish_check: function(e){
				var target = e.target;
				var deleteCheck = $(target).data("wishFlag");
				var catentryId = $(target).data("catentryId");
				var imageUrl = $(target).data("imageUrl");
				
				// 삭제가 아닐 때만 데이터 전송
				if(!deleteCheck){
					// AIQUA
					var invokeParams3 = {};		
					invokeParams3.rcmdGbn = "PRODUCT";
					invokeParams3.rcmdValue = catentryId;
					tran.callWCSJsonTran('NSRcmdCmd', invokeParams3, function( data ){
						var eventParameter = {};
						if( !Ns.Util.isNull($(target).data("categoryName2")) ){
							eventParameter.category_name = Ns.Util.htmlDecode($(target).data("categoryName2"));
						} else if(!Ns.Util.isNull($(target).data("categoryName")) ) {
							eventParameter.category_name = Ns.Util.htmlDecode($(target).data("categoryName"));
						}
						eventParameter.product_id = catentryId;
						eventParameter.product_name = $(target).data("productName");
						eventParameter.product_image_url = imageUrl.startsWith('http:') || imageUrl.startsWith('https:') ? Ns.Util.replaceAll(imageUrl, 'http:', 'https:') : 'https:' + imageUrl;
						eventParameter.product_price = $(target).data("productPrice");
						eventParameter.product_channel =$(target).data("buschnid");
						eventParameter.md_name = data.msg.empNm;
						eventParameter.md_team_name = data.msg.orgNm;
						mainCtrl.userEventToAIQUA('product_added_to_wishlist', eventParameter);
					});
					
					//ga360
					var event_obj = {
							eventCate : 'MOBILE_장바구니',
							eventAction : '개별처리',
							eventLabel : '찜'
					};
					var subparam = {
							t1 : '주문/결제',
							t2 : "장바구니"
					};
				
					GA.sendEventData(event_obj,subparam);
					
				}
				
				mainCtrl.wishList(target, catentryId);
			}
		}
}; 

var uiCartList = {

	uiActive: 'active',
	
	_layerPopup: function (){
		$('.qmark-dimpopup').each(function(){
			var target = $(this).attr('href');
		
			if (target.indexOf("javascript") > -1){
				return ;
			}
		
			var closebtn = $(target).find('.close-layer');
			var dim = $('#dimmedAll');
		
			$(this).click(function(e){
				e.preventDefault();
				$(target).addClass(uiCartList.uiActive);
				dim.addClass(uiCartList.uiActive);
				$(document).unbind("touchmove");				
			});
		
			dim.click(function(){
				$(target).removeClass(uiCartList.uiActive);
				$(this).removeClass(uiCartList.uiActive);
			});
			
			closebtn.click(function(e){
				e.preventDefault();
				$(target).removeClass(uiCartList.uiActive);
	
				dim.removeClass(uiCartList.uiActive);
				mainCtrl.showTabBasicUtil();
			});
		});
	},
	_init: function() {
		uiCartList._layerPopup();
	}	
};