
/* JavaScript content from js/order/M_B1140000L.js in folder common */

/* 
 *	장바구니-일반상품 옵션/수량 수정
 *  ID : M_B1140000L
 */

//popup 컨트롤 클래스
CurrentPopup = {
		optionMaxCount : 0,

		m_inputParams     : null,
		m_outputDatas     : null,
		callbackFunc : null, //callback function..
		targetObj : null, //layer div..
		
		custDurSpr : "",			//설정 1 :일, 2: 월, 3 : 기간 
		custPrchQtyLimitYn : "",	//Y : 구매제한 N : 1회 최대 구매가능수량으로 참조 
		maxOrderPossQty : "",		//구매제한 수량
		staYmd : "",				//기간 일경우 시작일자 
		endYmd : "",				//기간일 경우 종료일자
		maxquilty : 0,
		
		selectedoptval : 0,
		
		init : function( target, params ) {
			this.callbackFunc = params.callback;
			this.targetObj = target;
			
			this.initializeComponent();
			this.onLoad(target, params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnCancel").unbind().bind( "click", this.event.onclick_btnCancel ); //취소
			$("#btnOk").unbind().bind( "click", this.event.onclick_btnOk ); //확인
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(target, params) {
			//최대구매가능수량
			if(params.goods.custDurSpr != undefined || params.goods.custDurSpr != null){
				CurrentPopup.custDurSpr = params.goods.custDurSpr;
			}
			
			if(params.goods.custPrchQtyLimitYn != undefined || params.goods.custPrchQtyLimitYn != null){
				CurrentPopup.custPrchQtyLimitYn = params.goods.custPrchQtyLimitYn;
			}
			
			if(params.goods.maxOrderPossQty != undefined || params.goods.maxOrderPossQty != null){
				CurrentPopup.maxOrderPossQty = params.goods.maxOrderPossQty;
			}
			
			if(params.goods.staYmd != undefined || params.goods.staYmd != null){
				CurrentPopup.staYmd = params.goods.staYmd;
			}
			
			if(params.goods.endYmd != undefined || params.goods.endYmd != null){
				CurrentPopup.endYmd = params.goods.endYmd;
			}
			
			if(params.goods.quantity != undefined || params.goods.quantity != null){
				CurrentPopup.maxquilty = params.goods.quantity;
			}
			
			
			CurrentPopup.m_inputParams = params || {};
			
			if (params.goods.custPrchQtyLimitYn == 'Y'){
				// 옵션 수정
				var invoke = {
						"cmdType":11, 
						"custDurSpr":CurrentPopup.custDurSpr,
						"partNumber":CurrentPopup.m_inputParams.goods.goodsId,
						"itemCnt"	:CurrentPopup.maxquilty
				};
				CurrentPopup.data.maxbuycnt(invoke, function(data){
					//최대구매수량
					var rtn_flag = "";

					if(data.jsonData != undefined){
						rtn_flag = data.jsonData.rtn.flag;
					}
					
					var msg = "";
					
					if(rtn_flag == "Y"){
						if(CurrentPopup.custDurSpr == 1){
							CurrentPopup.maxOrderPossQty = data.jsonData.rtn.DAY_P_QTY;
						}else if(CurrentPopup.custDurSpr == 2){
							CurrentPopup.maxOrderPossQty = data.jsonData.rtn.MONTH_P_QTY;
						}else if(CurrentPopup.custDurSpr == 3){
							CurrentPopup.maxOrderPossQty = data.jsonData.rtn.DATE_P_QTY;
						}
						
					}
					
					if (params.goods.styleMngYn != 'N') {
						CurrentPopup.data.getBasketOptionInfo();
					} else {
						params.msg = {};
						CurrentPopup.data.resultBasketOptionInfo(params);
					}
				});
			}else{
				if (params.goods.styleMngYn != 'N') {
					this.data.getBasketOptionInfo();
				} else {
					params.msg = {};
					this.data.resultBasketOptionInfo(params);
				}
			}
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			// 옵션 조회
			getBasketOptionInfo : function() {
				var param = {
					userId : CurrentPopup.m_inputParams.userId,
					orderItemsId : CurrentPopup.m_inputParams.orderItemsId
				};
				tran.callWCSJsonTran('NSBasketOptionCmdReal', param, CurrentPopup.data.resultBasketOptionInfo);
			},
			
			// 옵션 조회 결과
			resultBasketOptionInfo : function( data ) {
				if (data == null || data.msg == null) {
					Ns.Popup.alert( Messages.procedure_error, function(){
						navi.setMovePointer(-1);
						Ns.Popup.close( CurrentPopup.targetObj );
					} );
					var param = new Object;
					param.ErrorCode = "PE";
					param.p_espotid = "NSBasketOptionCmdReal";
					tran.callPageLogging("LoggingPage", param);
					return false;
				}
				data.goods = CurrentPopup.m_inputParams.goods || {};
				data.option = {};
				data.gift = {};
				var arrGiftCatentryId = [];
				
				// 옵션조회 결과 저장
				CurrentPopup.m_outputDatas = data;
				
				// 옵션 선택된 값을 json에 임시 저장
				if (data.msg.selectedGift != null && data.msg.selectedGift.length > 0) { // 사은품 선택값 저장
					for (var i = 0; i < data.msg.selectedGift.length; i++) {
						data.gift[ data.msg.selectedGift[i].val_id ] = data.msg.selectedGift[i].val_id;
						arrGiftCatentryId.push( data.msg.selectedGift[i].val_id );
					}
				}
				if (data.msg.selectedOpt != null && data.msg.selectedOpt.length > 0) { // 옵션 선택값 저장
					// 옵션 선택된 목록 sort
					data.msg.selectedOpt.sort(function(a, b) {
						return (Number(a.attr_id) - Number(b.attr_id));
					});
					for (var j = 0; j < data.msg.selectedOpt.length; j++) {
						data.option[ data.msg.selectedOpt[j].attr_id ] = data.msg.selectedOpt[j].attrval_id;
					}
				}
				
				// 기존의 catEntryId, 구매가능수량을 임시 저장
				CurrentPopup.m_outputDatas.CATENTRY_ID = CurrentPopup.m_inputParams.goods.catentryId;
				CurrentPopup.m_outputDatas.INVENTORY_QUANTITY = (CurrentPopup.m_inputParams.goods.inventoryQuantity || CurrentPopup.m_inputParams.goods.maxItemCountOnOnce);
				CurrentPopup.m_inputParams.GIFT_CATENTRY_ID = arrGiftCatentryId.join(',');
				CurrentPopup.m_outputDatas.GIFT_CATENTRY_ID = CurrentPopup.m_inputParams.GIFT_CATENTRY_ID;
				
				// 사은품 select box를 화면에 출력
				CurrentPopup.ui.setGiftList(data.msg);
				// 옵션 select box를 화면에 출력
				CurrentPopup.ui.setOptionList(data.msg);
				
				// 수량 input box를 화면에 출력
				CurrentPopup.ui.setQuantity(data);
			},

			changeOrderItem : function( param, callback ) {
				var params = {
					catentryId : param.catEntryId_1,
					orderItemId : CurrentPopup.m_inputParams.orderItemsId,
					quantity : param.quantity_1,
					newGiftCatentryItems : param.newGiftCatentryItems_1,
					oldGiftCatentryItems : param.oldGiftCatentryItems_1
				};
				tran.callWCSJsonTran('ShoppingCartCmd', params, callback);
			},
			
			maxbuycnt : function( param, callback ) {
				
				tran.callWCSJsonTran('NSItemDetailAjax', param, callback);
			},
			
			// 옵션 변경
			updateOption : function( param, callback ) {
				$.extend(param, {
					userId : CurrentPopup.m_inputParams.userId,
					orderId : CurrentPopup.m_inputParams.orderId // 주문번호
				});
				tran.callWCSJsonTran('AjaxNSXorderItemAdd4Worklight', param, callback);
			},
			
			// 수량 변경
			updateQuantity : function( param, callback ) {
				$.extend(param, {
					userId : CurrentPopup.m_inputParams.userId,
					orderId : CurrentPopup.m_inputParams.orderId // 주문번호
				});
				tran.callWCSJsonTran('AjaxNSXorderItemAdd4Worklight', param, callback);
			},
			
			// 옵션 삭제
			deleteOption : function( param, callback ) {
				$.extend(param, {
					userId : CurrentPopup.m_inputParams.userId,
					orderId : CurrentPopup.m_inputParams.orderId // 주문번호
				});
				tran.callWCSJsonTran('AjaxNSXorderItemDelete4Worklight', param, callback);
			},
			
			// 신규 catEntryId 조회(옵션의 attr_id, val_id 입력)
			getRetrieveCatEntry : function( param, callback ) {
				tran.callWCSJsonTran('NSRetrieveCatEntryCmd', param, callback);
			},
			
			// 최대 주문가능 수량
			getMaxOrdQty : function() {
				var inventoryQty = Number(CurrentPopup.m_outputDatas.INVENTORY_QUANTITY);
				var onceMaxQty = Number(CurrentPopup.m_inputParams.goods.maxItemCountOnOnce);
				
				if( CurrentPopup.custPrchQtyLimitYn == "Y" ){
					onceMaxQty = CurrentPopup.maxOrderPossQty;
				}

				if(!Ns.Util.isNull(CurrentPopup.m_inputParams.optionQuantity)){
					var quantity = CurrentPopup.m_inputParams.optionQuantity;

					var totalCnt=0;
					for(var i=0; i<quantity.length; i++){
						totalCnt += Number(quantity[i]);
					}
					onceMaxQty = onceMaxQty - totalCnt + Number(CurrentPopup.m_inputParams.goods.quantity);
				}
				CurrentPopup.optionMaxCount = onceMaxQty;
				return (onceMaxQty < inventoryQty ? onceMaxQty : inventoryQty);
			}
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			// 전체 옵션 목록 출력
			setOptionList : function( data ) {
				var html = '';
				if (data.selectedOpt != null && data.selectedOpt.length > 0) {
					for (var i = 0; i < data.selectedOpt.length; i++) {
						// 옵션 항목에 해당하는 select options 목록을 구한다.
						var optList = [];
						for (var j = 0; j < data.selectOpt.length; j++) {
							if (data.optionType == "OPT") {
								optList.push( data.selectOpt[j] );
							} else {
								if (data.selectOpt[j].attr_id == data.selectedOpt[i].attr_id){
									optList.push( data.selectOpt[j] );
								}
							}
						}
						if (optList.length > 0) {
							html += Ns.Util.stringFormat(
									'<div class="items">'+
										'<div class="wrap vertical">'+
											'<label class="dhead">{0}</label>'+
											'<div class="field">'+
												'<div class="rows content-fixed">'+
													'<select name="selOption" title="{0} 선택" class="form theme-a x-small" onchange="CurrentPopup.event.onchange_selOptions(this);">'+
													'{1}'+
													'</select>'+
												'</div>'+
											'</div>'+
										'</div>'+
									'</div>',
								data.optionType == "OPT" ? "옵션선택" : optList[0].name,
								this.getSelectOptions(optList, data.selectedOpt[i].attrval_id)
							);
						}
					}
				}
				$(CurrentPopup.targetObj).find('.layer-content fieldset').append(html);
			},
			
			// 전체 사은품 목록 출력
			setGiftList : function( data ) {
				var html = '';
				if (data.selectGift != null && data.selectGift.length > 0) {
					for (var i = 0; i < data.selectGift.length; i++) {
						html += Ns.Util.stringFormat(
								'<div class="items">'+
									'<div class="wrap vertical">'+
										'<label class="dhead">{0}</label>'+
										'<div class="field">'+
											'<div class="rows content-fixed">'+
												'<select name="GiftAttrValue" title="{0} 선택" class="form theme-a x-small" onchange="CurrentPopup.event.onchange_selGifts(this);">'+
												'<option value="">선택</option>'+
												'{1}'+
												'</select>'+
											'</div>'+
										'</div>'+
									'</div>'+
								'</div>',
							data.selectGift[i].giftTitle,
							this.getSelectGifts(data.selectGift[i])
						);
					}
				}
				$(CurrentPopup.targetObj).find('.layer-content fieldset').append(html);
			},
			
			// 옵션의 select option 목록 출력
			getSelectOptions : function( optList, selected_val_id ) {
				CurrentPopup.selectedoptval = selected_val_id;
				if (optList == null || optList.legnth < 1) {
					return;
				}
				var html = '';
				for (var i = 0; i < optList.length; i++) {
					html += Ns.Util.stringFormat('<option value="{0}" {1} >{2}</option>',
							Ns.Util.htmlEncode( JSON.stringify(optList[i]) ),
							(optList[i].val_id == selected_val_id ? 'selected="selected"' : ''),
							optList[i].value
					);
				}
				return html;
			},
			
			// 사은품의 select option 목록 출력
			getSelectGifts : function( selectGiftObj, selected_val_id ) {
				if (selectGiftObj == null || selectGiftObj.giftOfferIdfr == null) {
					return;
				}
				var html = '';
				for (var i = 0; i < selectGiftObj.selectSubGift.length; i++) {
					html += Ns.Util.stringFormat('<option value="{0}" {1} >{2}</option>',
							Ns.Util.htmlEncode( JSON.stringify({
								'giftOfferIdfr' : selectGiftObj.giftOfferIdfr,
								'giftSeq' : selectGiftObj.giftSeq,
								'name' : selectGiftObj.selectSubGift[i].name,
								'val_id' : selectGiftObj.selectSubGift[i].val_id
							}) ),
							(CurrentPopup.m_inputParams.GIFT_CATENTRY_ID.indexOf(selectGiftObj.selectSubGift[i].val_id) > -1 ? 'selected="selected"' : ''),
							selectGiftObj.selectSubGift[i].name
					);
				}
				return html;
			},
			
			// 주문 수량 출력
			setQuantity : function( data ) {
				var html = '';
				html += 
					'<div class="items">'+
					'<div class="wrap vertical">'+
						'<label class="dhead">주문수량</label>'+
						'<div class="field">'+
							'<div class="rows content-fixed">'+
								'<span class="form-number theme-a x-small">';
				if ((CurrentPopup.m_inputParams.goods.maxItemCountOnOnce * 1) > 1) {
					html += Ns.Util.stringFormat(
									'<button class="btn minus" class="button" type="button" onclick="CurrentPopup.event.onclick_btnPlusMinus(\'quantity\',\'-\');">-</button>'+
									'<input type="number" name="quantity" title="수량 입력" pattern="[0-9]*" value="{0}" maxlength="10" onkeyup="CurrentPopup.event.onkeyup_optionCheck(this)" oninput="Ns.Util.maxLengthCheck(this);" />'+
									'<button class="btn plus" class="button" type="button" onclick="CurrentPopup.event.onclick_btnPlusMinus(\'quantity\',\'+\');">+</button>',
						data.goods.quantity);
				} else {
					html += Ns.Util.stringFormat(
									'<input type="number" name="quantity" title="수량 입력" pattern="[0-9]*" value="{0}" readonly="readonly" />',
						data.goods.quantity);
				}
				html += Ns.Util.stringFormat(
									'</span>'+
								'</div>'+
								'<div class="rows"><p class="em theme-a">주문가능수량 : <span id="spanMaxItemCountOnOnce">{0}개</span></p></div>'+
							'</div>'+
						'</div>'+
					'</div>',
					CurrentPopup.data.getMaxOrdQty() >= 100 ? 99 : CurrentPopup.data.getMaxOrdQty()
				);
				$(CurrentPopup.targetObj).find('.layer-content fieldset').append(html);
			}
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			/**
			 * 옵션 select onchange
			 */
			onchange_selOptions : function(_this) {
				// select option 선택값 merge
				var _index = [], _attr_id = [], _attrval_id = [];
				$.each($('#formBasketOptionInfo [name=selOption]'), function(i, elem) {
					var data = eval('(' + $(elem).val() + ')');
					_index.push( i );
					_attr_id.push( data.attr_id );
					_attrval_id.push( data.val_id );
				});
				// catEntryId 조회 쿼리
				var param = {
						'UNIT_REGI_TYPE_CD' : CurrentPopup.m_outputDatas.msg.optionType,
						'CATENTRY_ID_PARENT' : CurrentPopup.m_inputParams.goods.goodsId,
						'CATENTRY_ID_CHILD' : CurrentPopup.selectedoptval,
						'index' : _index,
						'ATTR_ID' : _attr_id,
						'ATTRVAL_ID' : _attrval_id
				};
				CurrentPopup.data.getRetrieveCatEntry(param, function(data){
					if (data.root && data.root.CATENTRY_ID && data.root.INVENTORY_QUANTITY) {
						CurrentPopup.m_outputDatas.CATENTRY_ID = data.root.CATENTRY_ID;
						CurrentPopup.m_outputDatas.INVENTORY_QUANTITY = data.root.INVENTORY_QUANTITY;
						//주문가능수량 출력
						$('#spanMaxItemCountOnOnce').html( CurrentPopup.data.getMaxOrdQty() >= 100 ? 99 : CurrentPopup.data.getMaxOrdQty() + '개' );
					}
				});
			},
			
			/**
			 * 사은품 select onchange
			 */
			onchange_selGifts : function(_this) {
				// select option 선택값에서 catEntryId를 구한다.
				var arrGiftCatentryId = [];
				$.each($('#formBasketOptionInfo [name=GiftAttrValue]'), function(i, elem) {
					if ($(elem).val().length > 0) {
						var data = eval('(' + $(elem).val() + ')');
						arrGiftCatentryId.push( data.val_id );
					}
				});
				CurrentPopup.m_outputDatas.GIFT_CATENTRY_ID = arrGiftCatentryId.join(',');
			},
			
			/**
			 * 수량 항목의 +, - 버튼
			 */
			onclick_btnPlusMinus : function(objName, flag) {
				var frm = document.getElementById('formBasketOptionInfo');
				var $obj = $(frm).find('input[name=' + objName + ']');
				var quantity = parseInt(Ns.Util.onlyNumFormat($obj.val()), 10);
				var nMaxCount = CurrentPopup.optionMaxCount >= 100 ? 99 : CurrentPopup.optionMaxCount; 
				
				if (isNaN(quantity)){
					quantity = 0;
				}
				
				if (flag == '+') {
					quantity++;
				} else if (flag == '-' && quantity > 1) {
					quantity--;
				}
				
				$obj.val(quantity);
				
			},
			onkeyup_optionCheck : function(obj){
				var $quantity = $('#formBasketOptionInfo [name=quantity]');
				
				var count = Number($quantity.val());
				
				if ( CurrentPopup.custPrchQtyLimitYn == "Y" && CurrentPopup.custDurSpr == 1 && count >  CurrentPopup.maxOrderPossQty ) {
					msg = "금일 최대 구매 가능 수량을<br> 초과 하셨습니다.";
					Ns.Popup.alertD(msg);	// 커스텀 팝업 호출
					return false;
				}else if ( CurrentPopup.custPrchQtyLimitYn == "Y" && CurrentPopup.custDurSpr == 2 && count >  CurrentPopup.maxOrderPossQty ) {
					msg = "당월 최대 구매 가능 수량을<br> 초과 하셨습니다.";
					Ns.Popup.alertD(msg);	// 커스텀 팝업 호출
					return false;
				}else if ( CurrentPopup.custPrchQtyLimitYn == "Y" && CurrentPopup.custDurSpr == 3 && count >  CurrentPopup.maxOrderPossQty ) {
					msg = "기간내 최대 구매 가능 수량을<br> 초과 하셨습니다.";
					Ns.Popup.alertD(msg);	// 커스텀 팝업 호출
					return false;
				}
				
				var nMaxCount = CurrentPopup.optionMaxCount >= 100 ? 99 : CurrentPopup.optionMaxCount;
				
				if (Number(obj.value, 10) > nMaxCount) {
					//최대구매수량
					Ns.Popup.alert( '주문 1회당 최대주문가능 수량을 초과하였습니다.' );
					quantity = nMaxCount;
					$(obj).val(quantity);
					return false;
				} else if (Number(obj.value, 10) <=0){
					if ($.trim($(obj).val()) != ""){
						$(obj).val("1");
					}
					
				}
			},
			/**
			 * 취소 버튼
			 */
			onclick_btnCancel : function() {
				Ns.Popup.close( CurrentPopup.targetObj );
			},
			
			/**
			 * 확인 버튼
			 * 
			 * 1. option의 onchange 값을 바탕으로 data.root.CATENTRY_ID 조회(옵션의 catEntryId를 구함. 사은품은 attrval_id를 그대로 사용)
			 *    - 첫번째 select 선택시
			 *      URL : NSRetrieveCatEntryCmd?UNIT_REGI_TYPE_CD=TYP&CATENTRY_ID_PARENT=12871303 &index=0&ATTR_ID=1&ATTRVAL_ID=100019
			 *    - 두번째 select 선택시
			 *      URL : NSRetrieveCatEntryCmd?UNIT_REGI_TYPE_CD=TYP&CATENTRY_ID_PARENT=12871303 &index=0&ATTR_ID=1&ATTRVAL_ID=100019 &index=1&ATTR_ID=2&ATTRVAL_ID=1102434
			 * 2. 이전의 catEntryId와 비교하여 다를 경우, 새로 조회한 catEntryId 입력하여 저장
			 *    - 수량 변경
			 *      URL : AjaxNSXorderItemAdd4Worklight?storeId=13001&orderId=30000755002&orderItemId_1=5606011&catEntryId_1=10011826435&quantity_1=10
			 *    - 옵션 변경
			 *      - 신규 orderItemId 추가
			 *        URL : AjaxNSXorderItemAdd4Worklight?storeId=13001&userId=30005024&orderId=30000755002&catEntryId_1=10011826435&quantity_1=10
			 *      - 기존 orderItemId 삭제
			 *        URL : AjaxNSXorderItemDelete4Worklight?storeId=13001&userId=30005024&orderId=30000755002&orderItemId=5606011
			 */
			onclick_btnOk : function() {
				var $quantity = $('#formBasketOptionInfo [name=quantity]');
				
				if ($.trim($quantity.val()) == ""){
					Ns.Popup.alert( "수량을 입력해야 합니다." );
					return false;
				}
				
				if (!Ns.Util.isNumeric($quantity.val())) {
					Ns.Popup.alert( "수량은 숫자만 입력 가능합니다." );
					return false;
				}
				var quantity = Number($quantity.val());

				var nMaxCount = CurrentPopup.data.getMaxOrdQty() >= 100 ? 99 : CurrentPopup.data.getMaxOrdQty();
				//최대구매수량
				
				if(CurrentPopup.custPrchQtyLimitYn == "Y" )
				{
					var invoke = {
							"cmdType":11, 
							"custDurSpr":CurrentPopup.custDurSpr,
							"partNumber":CurrentPopup.m_inputParams.goods.goodsId,
							"itemCnt"	:quantity
					};
					
					tran.callWCSJsonTran( "NSItemDetailAjax", invoke, function(data){
						
						//최대구매수량
						var rtn_flag = "";
						var nMaxCount = CurrentPopup.optionMaxCount >= 100 ? 99 : CurrentPopup.optionMaxCount;
						
						if(data.jsonData != undefined){
							rtn_flag = data.jsonData.rtn.flag;
						}
						
						var msg = "";
						
						if(rtn_flag == "Y"){
							if(CurrentPopup.custDurSpr == 1){
								CurrentPopup.maxOrderPossQty = data.jsonData.rtn.DAY_P_QTY;
							}else if(CurrentPopup.custDurSpr == 2){
								CurrentPopup.maxOrderPossQty = data.jsonData.rtn.MONTH_P_QTY;
							}else if(CurrentPopup.custDurSpr == 3){
								CurrentPopup.maxOrderPossQty = data.jsonData.rtn.DATE_P_QTY;
							}
							
						}
					});
				}
				
				// 구매 가능한 수량보다 입력한 수량이 크거나 1개 이하일 경우, 에러 처리
				if (quantity < 1) {
					Ns.Popup.alert( '수량은 최소 1개 이상이어야 합니다.' );
					$quantity.val( 1 );
					return false;
				}else if ( CurrentPopup.custPrchQtyLimitYn == "Y" && CurrentPopup.custDurSpr == 1 && quantity >  CurrentPopup.maxOrderPossQty ) {
					msg = "금일 최대 구매 가능 수량을<br> 초과 하셨습니다.<br>"+ CurrentPopup.maxOrderPossQty + "개 구매 가능합니다.";
					Ns.Popup.alertD(msg);	// 커스텀 팝업 호출
					return false;
				}else if ( CurrentPopup.custPrchQtyLimitYn == "Y" && CurrentPopup.custDurSpr == 2 && quantity >  CurrentPopup.maxOrderPossQty ) {
					msg = "당월 최대 구매 가능 수량을<br> 초과 하셨습니다.<br>"+ CurrentPopup.maxOrderPossQty + "개 구매 가능합니다.";
					Ns.Popup.alertD(msg);	// 커스텀 팝업 호출
					return false;
				}else if ( CurrentPopup.custPrchQtyLimitYn == "Y" && CurrentPopup.custDurSpr == 3 && quantity >  CurrentPopup.maxOrderPossQty ) {
					msg = "기간내 최대 구매 가능 수량을<br> 초과 하셨습니다.<br>"+CurrentPopup.endYmd.substring(0,4)+"년"+CurrentPopup.endYmd.substring(4,6)+"월"+CurrentPopup.endYmd.substring(6,8)+"일까지<br> "+ CurrentPopup.maxOrderPossQty + "개 구매 가능합니다.";
					Ns.Popup.alertD(msg);	// 커스텀 팝업 호출
					return false;
				}else if ( CurrentPopup.custPrchQtyLimitYn == "N" && CurrentPopup.custDurSpr == "" && quantity >  nMaxCount ) {
					msg = "1회 구매 가능 수량을 초과 하셨습니다.<br>(최대" + nMaxCount + "개)";						
					Ns.Popup.alertD(msg);	// 커스텀 팝업 호출
					return false;
				}
				
				var param = {
					catEntryId_1 : CurrentPopup.m_outputDatas.CATENTRY_ID,
					oldGiftCatentryItems_1 : CurrentPopup.m_inputParams.GIFT_CATENTRY_ID,
					newGiftCatentryItems_1 : CurrentPopup.m_outputDatas.GIFT_CATENTRY_ID,
					quantity_1 : quantity,
					extCatalogId_1 : Const.getDefaultCatalogId(),
					extPtncd_1 : Const.getCocd() //외부유입경로 코드(제휴사코드)
				};
				var callback = function(){
					// 수정 성공
					CurrentPopup.callbackFunc({});
					Ns.Popup.close( CurrentPopup.targetObj );
				};
				
				var nEventType = 0;	// 처리 타입
				
				if (CurrentPopup.m_outputDatas.msg.optionType == "OPT"){
					var strVal_id = eval('(' + $("select[name=selOption]").val() + ')').val_id;
					if (param.catEntryId_1 == strVal_id){
						nEventType = 1;
					} else {
						param.catEntryId_1 = strVal_id;
						nEventType = 2; 
					}
				} else {
					if (CurrentPopup.m_inputParams.goods.catentryId == CurrentPopup.m_outputDatas.CATENTRY_ID
							&& CurrentPopup.m_inputParams.GIFT_CATENTRY_ID == CurrentPopup.m_outputDatas.GIFT_CATENTRY_ID) {
						nEventType = 1;
					} else {
						nEventType = 2; 
					}
				}
				
				if (nEventType == 1){
					if (CurrentPopup.m_inputParams.goods.quantity != quantity) { // 수량이 변경되었으면...
						param.orderItemId_1 = CurrentPopup.m_inputParams.orderItemsId; // 선택한 아이템 번호
						CurrentPopup.data.updateQuantity(param, callback);
					} else {
						param.orderItemId_1 = CurrentPopup.m_inputParams.orderItemsId; // 선택한 아이템 번호
						CurrentPopup.data.updateOption(param, callback);
					}
				} else if (nEventType == 2){
					// 옵션 수정
					CurrentPopup.data.changeOrderItem(param, function(data){
						if (data.root && data.root.result == 'success') {
							callback();
						} else {
							Ns.Popup.alert( "장바구니 상품 수정시 문제가 발생했습니다.<br/>잠시 후 다시 시도해 주십시오." );
						}
					});
				}
			}
		} // end event
};