
/* JavaScript content from js/order/M_B1214000P.js in folder common */

/* 
 *	주문서작성-주문하시는분-본인인증하기
 *  ID : M_B1214000P
 *  
*/

//page 컨트롤 클래스
CurrentPopup = {
		m_inputParams     : null,
		m_outputDatas     : null,
		adultItemFlag	  : null,	// 성인 인증 관련 플래그
		callbackFunc 	  : null, 	//callback function..
		callbackFuncPrams : null,
		certType          : 1,		// 본인인증 방식(1=휴대폰인증, 2=IPIN)
		bNomember	 	  : false,	// 비회원 유무 true:비회원
		chkMsg : "",				// 14세 미만 메시지 표시
		openerPageId : "",			// 오픈한 페이지 id
		USER_TYPE : "",
		
		init : function( params ) {
			
			this.initializeComponent();
			this.onLoad(params);
			
			//2016-08-30 Ssong
			if (undefined != params.adultItemFlag){
				CurrentPopup.adultItemFlag = params.adultItemFlag;
				if(CurrentPopup.adultItemFlag == "Y"){
					$("#info-board-adult").show();
					$("#info-board").hide();
					$("#txtSubHeaderTitle > span").text("성인인증");
				}
			}	

			if(undefined != params.callbackPrams){
				this.callbackFuncPrams = params.callbackPrams;
			}
			
			if(undefined != params.callback){
				this.callbackFunc = params.callback;
			}
			if (undefined != params.chkMsg){
				CurrentPopup.chkMsg = params.chkMsg;
			}
			
			if (undefined != params.openerPageId){
				CurrentPopup.openerPageId = params.openerPageId;
			}
			
			if (undefined != params.USER_TYPE){
				CurrentPopup.USER_TYPE = params.USER_TYPE;
			}
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			if (USERINFO.logonType() == '' || USERINFO.logonType() == LOGON_TYPE.nonmember){
				CurrentPopup.bNomember = true;	// 비회원
			}
			
			$("input[name=certType]").unbind().bind('click', this.event.onclick_radioCertType);
			
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			CurrentPopup.m_inputParams = params || {};
			CurrentPopup.data.getinfo();
			
			//ga360 hawoong
			var paramPageID = {
					pageId : "M_B1214000P"
				};
				var paramObj = {
					params : paramPageID,
					category : "add_suborder"
				};
			GA.inIt(paramObj);
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			
			getinfo : function(){
				var invokeParams = {
						cmdType	    : "getCustNum",
						usersId : USERINFO.userId(), //고객아이디  
						accptPathCd : Const.getAcceptPath()
				};
				
				tran.callWCSJsonTran( "InquiryCmdAjax" , invokeParams, function (data){
					CurrentPopup.m_inputParams.custNum = data.custNum;
				});
			},
			
			// 비회원의 CustNum을 구한다.
			getCustNum : function( param, callback ) {
				try {
					tran.callWCSJsonTran("NSOrderNonMemberCmd", {
						'sandInfo' : JSON.stringify(param)
					}, callback);
				} catch (e) {
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />CODE:1214000_04");
				}
			},
			
			// 본인인증 확인/처리
			registAuthMobileCmd : function (param, callback){
				try {
					var objParam = new Object();
					objParam.userId = CurrentPopup.m_inputParams.userId;	// userId	
					objParam.ipinYn = CurrentPopup.certType == 1 ? "N" : "Y";	// 아이핀 인증 여부 ; 아이핀 인증 : 'Y', 핸드폰 인증 : 'N'
					objParam.modeFlag = param.modeFlag;	// 확인/처리여부 ; 처리여부 : 'C', 처리 : 'P'
					objParam.NmChkName = param.name;	// 이름
					objParam.NmChkGender = param.gender;	// 성별 ; 남 : 'M', 여 : 'F'
					objParam.NmChkBirthData = param.birth;	// 생년월일 : YYYYMMDD
					objParam.NmChkUseHp = param.certUseHp;	// 핸드폰 번호
					objParam.IpinChkCoInfo = param.CI;	// CI
					objParam.IpinChkDupInfo = param.DI;	// DI
					objParam.custNum = CurrentPopup.m_inputParams.custNum;	// 고객번호
					objParam.strCipherDateTime = Ns.Date.getTimeStamp(true);	//인증 확인 시간 ; YYYYMMDDhhmmss
					
					tran.callWCSJsonTran("NSRegistAuthMobileCmdReal", objParam, callback);
				} catch (e) {
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />CODE:1214000_05");
				}
			} 
			
			
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
		},
		
		//이벤트 관련 함수를 정의한다.
		event : {
			// 본인인증 방식 radio 버튼 클릭
			onclick_radioCertType : function() {
				try {
					if (this.id == 'certKMC') {
						CurrentPopup.certType = 1;
						$('#divNoticeiPin').hide();
						$('#divNoticeHPhone').show();
					} else if (this.id == 'certIPIN') {
						CurrentPopup.certType = 2;
						$('#divNoticeiPin').show();
						$('#divNoticeHPhone').hide();
					}
				} catch (e) {
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />CODE:1214000_06");
				}
			},
			
			//본인인증 버튼 클릭. 
			onclick_cmdAuthorize : function() {
				try {
					var params = {
						certType : CurrentPopup.certType,
						targetType : "cert",
						successFunc : "CurrentPopup.event.certSuccess",
						failFunc : "CurrentPopup.event.certFail"
					};
					
					if (mainCtrl.VIEW_TYPE == "androidweb") {
						mainCtrl.showCertView(params);				//android
					} else {
						if (mainCtrl.VIEW_TYPE == "android" && WL.Client.getAppProperty("APP_VERSION") == "2.8.9") {
							Ns.Popup.alert("최신버전으로(2.9.0) 앱 업데이트 시,<br/>본인인증이 가능합니다.'", function() {
								Ns.Native.launcherView("com.nsmobilehub", null, true);
							});
							return;
						} else {
							Ns.Native.showCertificationWindow(params);	//etc
						}
					}
					return false;
				} catch (e) {
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />CODE:1214000_07");
				}
			},
			
			certSuccess : function(data){
				try {
					mainCtrl.hideCertView();
					
					// Native에서 넘어오는 String 파라미터는 json으로 파싱
					data = Ns.Util.serializeToObject(data);
					
					if (data.birth && data.birth.length >= 8) {
						data.age = (new Date()).getFullYear() - Number(data.birth.substring(0,4)) + 1;
					}
					if (data.type == 'kmc') {
						data.gender = (data.gender == '0' ? 'M' : 'F');
					} else if (data.type == 'ipin') {
						data.gender = (data.gender == '1' ? 'M' : 'F');
					}
					
					// return 데이터 json 생성
					var returnParam = {
						AUTH_RESULT_STATUS : data.enc_data,
						AUTH_VNO : data.type, //(data.certUseHp || ''),
						LASTNAME : data.name,
						DI : data.DI,
						CI : data.CI,
						GENDER : data.gender,
						BIRTHDAY : data.birth,
						AGE : data.age,
						PHONE1 : Ns.Util.insertSeparatorPhoneNumber(data.certUseHp,"-"),
						CUSTOM_NUMBER : ''
					};
					
					var callback = function() {
						// 만 14세 미만 오류 처리
						if (CurrentPopup.chkMsg != ""){
							if (!Ns.Date.getAgeInFull(returnParam.BIRTHDAY, true)){
								
								var strViewalerMsg = "";
								if (null == CurrentPopup.chkMsg || undefined == CurrentPopup.chkMsg || CurrentPopup.chkMsg == ""){
									strViewalerMsg = "CODE:1214000_01";
								} else {
									strViewalerMsg = CurrentPopup.chkMsg;
								}
								
								Ns.Popup.alert(strViewalerMsg, function(){
									CurrentPopup.event.moveBack();	// 이전화면으로 돌아가기
								});
								
								return;
							}
						}
						
						CurrentPopup.callbackFunc(returnParam);
						
						// 본인인증 팝업 닫기
						if( CurrentPopup.openerPageId != "M_G2600000M" ){
							CurrentPopup.event.closePop();
						}
					};
				
					//2016-08-30 Ssong
					if(CurrentPopup.adultItemFlag == "Y"){
						// return 데이터 json 생성
						var returnParamAdult = {
								modeFlag 		: "auth",			//동작플래그(필수)  예) auth 인증및등록 
								mobileYn 		: "Y",				//모바일여부(모바일은 필수)  예) Y모바일 (pc는 안줘도됨)
								userId	 		: USERINFO.userId(),//long타입 고객번호  (pc는 안줘도됨)   
								NmChkName       : data.name,		// 인증후 넘어오는 이름값  (pc는 인증완료후 자동셋팅됨)   
								NmChkBirthData  : data.birth ,		// 인증후 넘어오는 생년월일 (pc는 인증완료후 자동셋팅됨) 
								NmChkGender  	: data.gender ,
								custNum 		: CurrentPopup.m_inputParams.custNum ,	// 고객번호
								ipinYn 			: CurrentPopup.certType == 1 ? "N" : "Y", // 아이핀 인증 여부 ; 아이핀 인증 : 'Y', 핸드폰 인증 : 'N'
								strCipherDateTime : Ns.Date.getTimeStamp(true)
							};
						
						var adultCheckCallback = function(result) {
							
							var data = result.msg;
							var processMsg 	= data.processMsg 		// 코드값  S,F1,F2,F3    S성공, F1 19세미만, F2 인증정보불일치, F3 서버통신에러
							,	sucessMsg 	= data.sucessMsg		// 메세지  코드값관련 메세지(팝업내용)
							,	adultAuthYN = data.adultAuthYN; 	// 인증여부  Y인증함  N미인증
							
							if(processMsg == "S"){
								Ns.Popup.alert(sucessMsg, function(){
									mainCtrl.setUserInfo('adultAuthYN', adultAuthYN); //opt.AdultAuthYN
									CurrentPopup.callbackFunc(CurrentPopup.callbackFuncPrams);
								});
							} else if(processMsg == "F1"){
								Ns.Popup.alert(sucessMsg, function(){
									if(CurrentPopup.openerPageId){
										mainCtrl.navigate( CurrentPopup.openerPageId );
									} else {
										mainCtrl.gotoMain();
									}
								});
							} else if(processMsg == "F2"){
								Ns.Popup.alert(sucessMsg, function(){
									return;
								});
							} else {
								Ns.Popup.alert(sucessMsg, function(){
									mainCtrl.gotoMain();
								});
							}
						};
						
						try {
							tran.callWCSJsonTran("NSAdultAuthCmd", returnParamAdult ,adultCheckCallback);
						} catch (e) {
							Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />CODE:1214000_04");
						}
						
						return false;
					}
					
					
					if (CurrentPopup.USER_TYPE == "K"){	// 정회원 처리
						var rootResultMsg = null;
						
						// 1차 : 고객정보변경에 대한 확인 여부
						data.modeFlag = "C";
						
						CurrentPopup.data.registAuthMobileCmd(data, function(resultData1){
							rootResultMsg = resultData1.msg.root.RegusAuthMsg;
							
							if ( rootResultMsg.processMsg == "A"){	// 2차 확인 필요
								Ns.Popup.confirm(rootResultMsg.sucessMsg,
									function(){
										// 2차 : 확인여부없이 넘어감
										data.modeFlag = "P";
										
										CurrentPopup.data.registAuthMobileCmd(data, function(resultData2){
											rootResultMsg = resultData2.msg.root.SetRegusAuthMsg; 
											
											if ( !Ns.Util.isNull(rootResultMsg.birthday) ){
												mainCtrl.setUserInfo('birthday', rootResultMsg.birthday);
												mainCtrl.setUserInfo('isAdult', mainCtrl.checkAdult(rootResultMsg.birthday) );
												mainCtrl.setUserInfo('userName', data.name);
												mainCtrl.setUserInfo('userId', CurrentPopup.m_inputParams.userId);
												mainCtrl.setUserInfo('hpNo', data.certUseHp);
											}
											
											var strViewalerMsg = "";
											if (null == undefined == rootResultMsg.sucessMsg || undefined == rootResultMsg.sucessMsg || rootResultMsg.sucessMsg == ""){
												strViewalerMsg += "CODE:1214000_02";
											} else {
												strViewalerMsg += rootResultMsg.sucessMsg;
											}
											
											// 최종 완료
											Ns.Popup.alert( strViewalerMsg , function(){
												returnParam.CUSTOM_NUMBER = CurrentPopup.m_inputParams.custNum;
												
												// 부모창에 data를 전달하고 창을 닫는다.
												callback();
											});
										});
									},
									function (){
										// 본인인증 창을 닫는다.
										CurrentPopup.event.closePop(); 
									},
									"확인",
									"취소",
									null,
									true
								);
								
							} else if (rootResultMsg.processMsg == "P"){
								// 2차 : 확인여부없이 넘어감
								data.modeFlag = "P";
								
								CurrentPopup.data.registAuthMobileCmd(data, function(resultData2){
									rootResultMsg = resultData2.msg.root.SetRegusAuthMsg; 
									
									if ( !Ns.Util.isNull(rootResultMsg.birthday) ){
										mainCtrl.setUserInfo('birthday', rootResultMsg.birthday);
										mainCtrl.setUserInfo('isAdult', mainCtrl.checkAdult(rootResultMsg.birthday) );
										mainCtrl.setUserInfo('userName', data.name);
										mainCtrl.setUserInfo('userId', CurrentPopup.m_inputParams.userId);
										mainCtrl.setUserInfo('hpNo', data.certUseHp);
									}
									
									var strViewalerMsg = "";
									if (rootResultMsg.processMsg == "P"){
										strViewalerMsg += "인증이 완료 되었습니다.";
									} else {
										if (null == undefined == rootResultMsg.sucessMsg || undefined == rootResultMsg.sucessMsg || rootResultMsg.sucessMsg == ""){
											strViewalerMsg += "CODE:1214000_12";
										} else {
											strViewalerMsg += rootResultMsg.sucessMsg;
										}
									}
									
									// 최종 완료
									Ns.Popup.alert( strViewalerMsg , function(){
										returnParam.CUSTOM_NUMBER = CurrentPopup.m_inputParams.custNum;
										
										// 부모창에 data를 전달하고 창을 닫는다.
										callback();
									});
								});
							} else {
								var strViewalerMsg = "";
								if (undefined != rootResultMsg.processMsg && rootResultMsg.processMsg == "E3"){
									strViewalerMsg += rootResultMsg.sucessMsg;

									var strShowId = "";
									if (null == rootResultMsg.rtnLogId || undefined == rootResultMsg.rtnLogId || "" == rootResultMsg.rtnLogId){
										// 별도 동작 없음
									} else {
										var tmpUserLogId = rootResultMsg.rtnLogId;
										var tmpUserLogIdA = "";
										var tmpUserLogIdB = "";
										var wordLoaction =  tmpUserLogId.indexOf("@");
										
										if(wordLoaction > -1) {
											tmpUserLogIdA = tmpUserLogId.substring(0, wordLoaction) ;
											tmpUserLogIdB = tmpUserLogId.substring(wordLoaction) ;
										} else {
											tmpUserLogIdA = tmpUserLogId;
										}
							               
										var tmpUserLogIdALeng = tmpUserLogIdA.length - 3;
										var aLeng = "";
										
										if(tmpUserLogIdALeng > 0) {
											for(var li = 0; li < tmpUserLogIdALeng; li++) {
												aLeng = aLeng+"*";
											}
											
											tmpUserLogIdA = tmpUserLogIdA.substring(0, 3)  + aLeng;
										}
										
										strShowId = tmpUserLogIdA + tmpUserLogIdB;
										strShowId = "<strong style=\"color:#E7392F;\">" + strShowId + "</strong>";
									}
									
									strViewalerMsg = "고객님께서는 " + strShowId +" 아이디로 본인인증을 하신 기록이 있습니다. 아이디 및 비밀번호 찾기를 통해 로그인 하신 후, 주문을 진행해 주시기 바랍니다."
									
									Ns.Popup.confirm(strViewalerMsg,
										function (){
											mainCtrl.navigate( "M_M1131100P" );	// 비밀번호 찾기 페이지 이동
										},
										function (){
											mainCtrl.navigate( "M_M1121100P" );	// 아이디 찾기 페이지 이동
										},
										"비밀번호 찾기",
										"아이디찾기",
										"",
										false,
										null,
										true
									);
									
									return;
								} else {
									if (null == rootResultMsg.sucessMsg || undefined == rootResultMsg.sucessMsg){
										// 별도 동작 하지 않음
									} else {
										strViewalerMsg += rootResultMsg.sucessMsg;
									}
								}
								
								if (strViewalerMsg == ""){
									strViewalerMsg += "CODE:1214000_03"
								}
								
								Ns.Popup.alert( strViewalerMsg, function(){
									// 본인인증 창을 닫는다.
									CurrentPopup.event.closePop();
								});
							}
						});
					} else {	// 간편회원 첫주문인 경우 or 비회원
						data = $.extend(true, {
							'CommandType' : CurrentView.bFirstOrderYnCert ? "snsMember" : 'custNum',	// 간편로그인 회원 첫 주문일 경우 snsMember로 세팅
							'UserId' : (CurrentPopup.m_inputParams.userId || ''),
							'custNum' : (CurrentPopup.m_inputParams.custNum || ''),
							'USER_NAME' : data.name,
							'BIRTHDAY' : data.birth,
							'SEX' : data.gender,
							'CI' : data.CI,
							'DI' : data.DI
						}, data);
						
						CurrentPopup.data.getCustNum(data, function(data){
							if (data && data.msg && data.msg.result == 'success') {
								returnParam.CUSTOM_NUMBER = data.msg.custNum;
								callback();
							} else {
								Ns.Popup.alert( "동일 인증 정보를 사용 중인 회원 계정이 존재합니다.<br />" + (data.msg.resultMessage || '') );
							}
						});
					}
						
				} catch (e) {
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />CODE:1214000_08");
				}		
			},
			
			certFail : function(data){
				try {
					mainCtrl.hideCertView();
					// Native에서 넘어오는 String 파라미터는 json으로 파싱
					data = Ns.Util.serializeToObject(data);
					
					Ns.Popup.alert( "본인인증에 실패하였습니다.<br />잠시 후 다시 시도하시기 바랍니다." );
				} catch (e) {
					// TODO: handle exception
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />CODE:1214000_09");
				}
			},
			
			closePop : function(){
				try {
					if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "other" || mainCtrl.VIEW_TYPE == "iosweb") { // 앱
						navi.naviBack();
					} else {
						for(var i = 0; i < navi.objNaviData.pageIds.length ; i++){
							if ("M_B1214000P" == navi.getPageId()){
								navi.setMovePointer(-1);
								break;
							} else {
								navi.setMovePointer(-1);
							}
						}
						
						Ns.Popup.hidePopup();
					}
				} catch (e) {
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />CODE:1214000_10");
				}
			},
			
			moveBack : function(){
				try {
					for(var i = 0; i < navi.objNaviData.pageIds.length ; i++){
						if (CurrentPopup.openerPageId == navi.getPageId()){
							break;
						} else {
							navi.setMovePointer(-1);
						}
					}
					
					navi.moveBack();
				} catch (e) {
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />CODE:1214000_11");
				}
			},
			
			onclick_selfCheckBtn : function(){
				if($('input:radio[id=certKMC]').is(':checked') == true){
					CurrentPopup.event.certConfirm();
				} else {
					CurrentPopup.event.onclick_cmdAuthorize();
					return false;
				}
			}			
			
		}
};