
/* JavaScript content from js/order/M_B1310000M.ui.js in folder common */

/**
 * 주문서 작성 - UI 구조 정의
 */

var PaymentUI = function() {
};


PaymentUI.prototype = {

	/**
	 * 주문자정보 화면 출력.
	 */
	setOrderUserInfo : function( data ) {
		
	},

	/**
	 * 배송지정보 추가
	 */
	setDeliveryInfo : function(info, index, data, isGuest, strDISP_TYPE_CD_choice, orderGood) {
		// 예외처리(기프티콘, 모바일상품권) 여부
		var bDISP_TYPE_CD_choice = null;
		
		if (undefined == strDISP_TYPE_CD_choice){
			bDISP_TYPE_CD_choice = false;
		} else {
			bDISP_TYPE_CD_choice = strDISP_TYPE_CD_choice == "50" || strDISP_TYPE_CD_choice == "55" ? true : false;
		}
		
		// 배송지선택 select 생성
		var optionsHtml = '';
		var primaryHtml = '';
		
		var objInsertData = new Object(); 
		var arrADDRESS = new Array();
		var bShow = false;
		for (var i = 0; i < data.length; i++) {
			if (data[i].SELFADDRESS == "0"){
				arrADDRESS[arrADDRESS.length] = data[i];
				
				if (bShow == false){
					if (data[i].ISPRIMARY == '1') {
						primaryHtml += Ns.Util.stringFormat('<option name="{2}" value="{0}">{1} [기본배송지]</option>',
								Ns.Util.htmlEncode( JSON.stringify(data[i]) ),
								data[i].NICKNAME, 
								data[i].ADDRESS_ID );
						
						objInsertData.rowData = data[i];
						objInsertData.NICKNAME = data[i].NICKNAME + " [기본배송지]";
						objInsertData.ADDRESS_ID = data[i].ADDRESS_ID;
					} else {
						optionsHtml += Ns.Util.stringFormat('<option name="{2}" value="{0}">{1}</option>',
								Ns.Util.htmlEncode( JSON.stringify(data[i]) ),
								data[i].NICKNAME, 
								data[i].ADDRESS_ID );
						objInsertData.rowData = data[i];
						objInsertData.NICKNAME = data[i].NICKNAME;
						objInsertData.ADDRESS_ID = data[i].ADDRESS_ID;
					}
					
					bShow = true;
				}
				
			}
			
		}
		
		if (index >= 1){
			optionsHtml = primaryHtml + optionsHtml + '<option value="manual" selected="selected">직접 입력</option>';
			objInsertData.rowData = "manual";
			objInsertData.NICKNAME = "직접 입력";
			objInsertData.ADDRESS_ID = "";
		} else {
			if (primaryHtml + optionsHtml == ""){
				optionsHtml = '<option value="manual">직접 입력</option>';
				
				if (undefined == objInsertData.NICKNAME || objInsertData.NICKNAME == ""){
					objInsertData.rowData = "manual";
					objInsertData.NICKNAME = "직접 입력";
					objInsertData.ADDRESS_ID = "";
				}
				
				
			} else {
				optionsHtml = primaryHtml + optionsHtml;
				
				if (undefined == objInsertData.NICKNAME || objInsertData.NICKNAME == ""){
					objInsertData.rowData = "manual";
					objInsertData.NICKNAME = "직접 입력";
					objInsertData.ADDRESS_ID = "";
				}
				
			}
		}
		
		
		//메세지카드 html
		var msgCardHtml = '';
		if (CurrentView.m_outputDatas.msgCardWriteYN && CurrentView.m_outputDatas.msgCardWriteYN != 'N') {
			msgCardHtml += Ns.Util.stringFormat('\
					<div class="items">\
						<div class="wrap horizontal">\
							<p class="dhead">메세지카드</p>\
							<div class="field">\
								<div class="rows content-fixed">\
									<div class="bitton-area content-right">\
										<a class="btn theme-a rate-a x-small ui-base-layer" href="javascript:;" onclick="CurrentView.event.onclick_btnInputMessageCard({0}); return false;"><span>메세지 입력</span></a>\
									</div>\
								</div>\
								<div class="rows content-fixed">\
									<p id="divMsgCardInfo_{0}"></p>\
								</div>\
							</div>\
						</div>\
					</div>', index);
		}
		
		var receiptEmail = "";
		if (strDISP_TYPE_CD_choice == "55" && orderGood.goodsDetail.CARDSENDTYPE == "300"){
			receiptEmail += '<div class="items">';
			receiptEmail += 	'<div class="wrap horizontal">';
			receiptEmail += 		'<p class="dhead">받으시는 분<br />이메일 <strong class="em rate-g" title="필수입력">*</strong></p>';
			receiptEmail += 		'<div class="field">';
			receiptEmail += 			'<div class="rows content-fixed">';
			receiptEmail += 				'<input type="text" name="receiptEmail" title="받으시는 분 이메일 입력" maxlength="40" class="form theme-a x-small normal" oninput="Ns.Util.maxLengthCheck(this);" />';
			receiptEmail += 			'</div>';
			receiptEmail += 		'</div>';
			receiptEmail += 	'</div>';
			receiptEmail += '</div>';
		}
		
		// 기본 배송 메시지
		var DeliveryHtml = "";
		DeliveryHtml += '<li data-shipping-msg="배송 메시지 선택하기"><label><input type="radio" name="shipMessageSelect"><span>배송 메시지 선택하기</span></label></li>';
		DeliveryHtml += '<li data-shipping-msg="부재시 경비실에 맡겨주세요."><label><input type="radio" name="shipMessageSelect"><span>부재시 경비실에 맡겨주세요.</span></label></li>';
		DeliveryHtml += '<li data-shipping-msg="무거우니 문 앞에 두고 연락주세요."><label><input type="radio" name="shipMessageSelect"><span>무거우니 문 앞에 두고 연락주세요.</span></label></li>';
		DeliveryHtml += '<li data-shipping-msg="빠른 배송 부탁 드립니다."><label><input type="radio" name="shipMessageSelect"><span>빠른 배송 부탁 드립니다.</span></label></li>';
		DeliveryHtml += '<li data-shipping-msg="부재시 휴대폰 연락바랍니다."><label><input type="radio" name="shipMessageSelect"><span>부재시 휴대폰 연락바랍니다.</span></label></li>';
		DeliveryHtml += '<li data-shipping-msg="배송 전 연락바랍니다."><label><input type="radio" name="shipMessageSelect"><span>배송 전 연락바랍니다.</span></label></li>';
		
		// 기프티콘 상품일 경우
		var html_etc50 = Ns.Util.stringFormat('\
				<fieldset class="fieldset theme-d" id="fieldset_addr_{0}">\
					<legend>입력서식</legend>\
					<div class="items" style="display:none;" >\
						<div class="wrap horizontal">\
							<p class="dhead">배송지선택 <strong class="em rate-g" title="필수입력">*</strong></p>\
							<div class="field">\
								<div class="rows content-fixed">\
									<input type="text" title="배송지 선택" value="배송지 선택" class="form as_selectb theme-a x-small" readonly="readonly" name="selShippingAddress" onclick="CurrentView.event.onclick_showSelectLayer(this, {0});" />\
								</div>\
								<div class="rows content-fixed">\
									<!-- <label class="em rate-d field" style="text-align:right;"><div><input type="checkbox" name="chkInMyAddr" title="배송지 정보 저장" class="form theme-a" value="{0}"> 배송지 저장</div></label>--!>\
									<div class="button-area content-left">\
										<a class="btn theme-a rate-a x-small" href="javascript:;" onclick="CurrentView.event.onclick_btnNewShippingAddress({0});return false;"><span>직접 입력</span></a>\
										<a class="btn theme-a rate-a x-small" href="javascript:;" onclick="CurrentView.event.onclick_recentShipping({0});return false;" {5}><span>기존배송지</span></a>\
									</div>\
								</div>\
								<div class="rows content-fixed">\
									<p class="em rate-o theme-d">배송지선택정보는 마이페이지 &gt; 개인화정보 &gt; 배송지관리에서 추가, 수정이 가능합니다.</p>\
								</div>\
							</div>\
						</div>\
					</div>\
					<div class="items" name="itemDiv_addrAlias" style="display:none;">\
						<div class="wrap horizontal">\
							<p class="dhead">배송지명 <strong class="em rate-g" title="필수입력">*</strong></p>\
							<div class="field">\
								<div class="rows content-fixed">\
									<strong name="addrAliasSt" style="display:none;"></strong>\
									<input type="text" name="addrAlias" title="title="배송지명 입력" value="{7}" class="form theme-a x-small normal" maxlength="10" oninput="Ns.Util.maxLengthCheck(this);" onkeyup ="Ns.Util.onKeyUpOnlyChNEHS(this,true);">\
								</div>\
							</div>\
						</div>\
					</div>\
					<div class="items">\
						<div class="wrap horizontal">\
							<p class="dhead">보내시는 분 <strong class="em rate-g" title="필수입력">*</strong></p>\
							<div class="field">\
								<div class="rows content-fixed">\
									<strong name="recipientSt" style="display:none;"></strong>\
									<input type="text" name="recipientName" title="보내시는 분 입력" value="" class="form theme-a x-small normal" maxlength="10" />\
								</div>\
							</div>\
						</div>\
						<div class="wrap horizontal">\
							<div class="rows"><p class="em rate-b theme-a">10자까지 입력가능하며, 다음과 같이 노출됩니다.<br />(ㅇㅇㅇ님으로부터 선물 도착)</p></div>\
						</div>\
					</div>\
					<div class="items">\
						<div class="wrap horizontal">\
							<p class="dhead">보내시는 분<br />휴대폰 <strong class="em rate-g" title="필수입력">*</strong></p>\
							<div class="field">\
								<div class="rows content-fixed">\
									<!--<input type="tel" name="phone1" title="보내시는 분 휴대폰 입력" maxlength="14" class="form theme-a x-small normal" oninput="Ns.Util.maxLengthCheck(this);" onkeyup="Ns.Util.onkeyup_isPhoneTelNumAlert(this)" onblur="Ns.Util.onblur_isPhoneTelNumAlert(this)" />-->\
									<strong name="phone12St" style="display:none;"></strong>\
									<select title="전화번호 맨앞자리 선택" name="phone11" class="form theme-a x-small normal"><option value="" selected="selected">선택</option><option value="010">010</option><option value="011">011</option><option value="016">016</option><option value="017">017</option><option value="018">018</option><option value="019">019</option><option value="0505">0505</option><option value="0504">0504</option></select>\
									<input type="tel" name="phone12" class="form theme-a x-small normal" title="전화번호 가운데자리 입력" maxlength="4" onkeyup="Ns.Util.onKeyUpOnlyNumber(this, 4);" />\
									<input type="tel" name="phone13" class="form theme-a x-small normal" title="전화번호 끝자리 입력" maxlength="4" onkeyup="Ns.Util.onKeyUpOnlyNumber(this, 4);" />\
								</div>\
							</div>\
						</div>\
					</div>\
					<div class="items">\
						<div class="wrap horizontal">\
							<p class="dhead">받으시는 분<br />휴대폰 <strong class="em rate-g" title="필수입력">*</strong></p>\
							<div class="field">\
								<div class="rows content-fixed">\
									<!--<input type="tel" name="phone2" title="받으시는 분 휴대폰 입력" maxlength="14" class="form theme-a x-small normal" oninput="Ns.Util.maxLengthCheck(this);"  onkeyup="Ns.Util.onkeyup_isPhoneTelNumAlert(this)" onblur="Ns.Util.onblur_isPhoneTelNumAlert(this)" />-->\
									<strong name="phone22St" style="display:none;"></strong>\
									<select title="전화번호 맨앞자리 선택" name="phone21" class="form theme-a x-small normal" ><option value="" selected="selected">선택</option><option value="010">010</option><option value="011">011</option><option value="016">016</option><option value="017">017</option><option value="018">018</option><option value="019">019</option><option value="0505">0505</option><option value="0504">0504</option></select>\
									<input type="tel" name="phone22" class="form theme-a x-small normal" title="전화번호 가운데자리 입력" maxlength="4" onkeyup="Ns.Util.onKeyUpOnlyNumber(this, 4);" />\
									<input type="tel" name="phone23" class="form theme-a x-small normal" title="전화번호 끝자리 입력" maxlength="4" onkeyup="Ns.Util.onKeyUpOnlyNumber(this, 4);" />\
								</div>\
							</div>\
						</div>\
					</div>\
					{8}\
					<div class="items" style="display:none;">\
						<div class="wrap horizontal">\
							<p class="dhead">배송지 <strong class="em rate-g" title="필수입력">*</strong></p>\
							<div class="field">\
								<div class="rows content-fixed">\
									<strong name="postcode01St" style="display:none;"></strong>\
									<input type="number" name="postcode" pattern="[0-9]*" maxlength="6" readonly="readonly" title="주소찾기 입력" class="form1 theme-a x-small normal" style="text-align: center;" oninput="Ns.Util.maxLengthCheck(this);" />\
									<a name="zipSearch" class="btn gray-box rate-c" href="javascript:;" onclick="CurrentView.event.onclick_btnSearchPostCode({0});return false;"><span>주소찾기</span></a>\
									<input type="hidden" name="zipcode" value="" />\
									<input type="hidden" name="addrFlag" value="100" />\
									<input type="hidden" name="SEC_ADDRESS1" value="" />\
									<input type="hidden" name="SEC_ADDRESS2" value="" />\
								</div>\
								<div class="rows content-fixed">\
									<strong name="addrSt" style="display:none;"></strong>\
									<input type="text" name="addr" title="주소 입력" class="form theme-a x-small normal" maxlength="100" readonly="readonly" />\
								</div>\
								<div class="rows content-fixed">\
									<strong name="addrDetailSt" style="display:none;"></strong>\
									<input type="text" name="addrDetail" title="나머지 주소 입력" class="form theme-a x-small normal" maxlength="100" readonly="readonly" />\
								</div>\
							</div>\
						</div>\
					</div>\
					<div class="items">\
						<div class="wrap horizontal">\
							<p class="dhead" id="shippingMessage_Count_{0}">배송 메시지 <br />(0/120 byte)</p>\
							<div class="field">\
								<div class="rows content-fixed">\
									<div id="selectShippingMessage_{0}" class="custom_select_wrap" name=selectShippingMessage>\
						                <button type="button" id="btnShippingMessage_{0}" class="ship_message" data-index="{0}" name="btnShippingMessage">\
						                  <span>배송 메세지 선택하기</span>\
						                </button>\
						                <ul id="ulShippingMessage_{0}" class="message_select" data-index="{0}" data-get-msg=false name=ulShippingMessage>\
											{9}\
						                </ul>\
					           		</div>\
								</div>\
								<div class="rows content-fixed">\
									<input class="message_input" id="shippingMessage_{0}" name="shippingMessage" title="배송 메시지 작성" placeholder="내용을 작성해주세요." onkeyup="CurrentView.event.keyup_shippingMessage(this, {0});">\
								</div>\
							</div>\
						</div>\
					</div>\
					{3}\
					{4}\
				</fieldset>',
			index,
			Ns.Util.getStepNumberString(index),
			optionsHtml,
			msgCardHtml,
			(index > 0 ? this.setShippingProductButton(index) : ''),
			(isGuest ? 'style="display:none;"' : ''),
			index >= 1 || isGuest || USERINFO.logonType() == "simple" ? '' : 'readonly="readonly"',
			data.length > 0 && index == 0 ?	data[0].NICKNAME : "",
			receiptEmail,
			DeliveryHtml
		);

		// 비회원
		var html = Ns.Util.stringFormat('\
				<fieldset class="fieldset theme-d" id="fieldset_addr_{0}">\
					<h2 {5} >{1}번째 배송지\
						<span class="delivery_safe" style="display:none;">\
							<a href="javascript:;" class="btn delivery" onclick="CurrentView.event.onclick_btnPostCode({0});return false;"><span>안심택배</span></a>\
						</span>\
					</h2>\
					<legend>입력서식</legend>\
					<div class="items" {5} >\
						<div class="wrap horizontal">\
							<p class="dhead">배송지선택 <strong class="em rate-g" title="필수입력">*</strong></p>\
							<div class="field">\
								<div class="rows content-fixed">\
									<input type="text" title="배송지 선택" value="배송지 선택" class="form as_selectb theme-a x-small" readonly="readonly" name="selShippingAddress" onclick="CurrentView.event.onclick_showSelectLayer(this, {0});" />\
								</div>\
								<div class="rows content-fixed">\
									<!-- <label class="em rate-d field" style="text-align:right;"><div><input type="checkbox" name="chkInMyAddr" title="배송지 정보 저장" class="form theme-a" value="{0}"> 배송지 저장</div></label> --!>\
									<div class="button-area content-left">\
										<a class="btn theme-a rate-a x-small" href="javascript:;" onclick="CurrentView.event.onclick_btnNewShippingAddress({0});return false;"><span>직접 입력</span></a>\
										<a class="btn theme-a rate-a x-small" href="javascript:;" onclick="CurrentView.event.onclick_recentShipping({0});return false;" {5}><span>기존배송지</span></a>\
									</div>\
								</div>\
								<div class="rows content-fixed">\
									<p class="em rate-o theme-d">배송지선택정보는 마이페이지 &gt; 개인화정보 &gt; 배송지관리에서 추가, 수정이 가능합니다.</p>\
								</div>\
							</div>\
						</div>\
					</div>\
					<div class="items" name="itemDiv_addrAlias" {5}>\
						<div class="wrap horizontal">\
							<p class="dhead">배송지명 <strong class="em rate-g" title="필수입력">*</strong></p>\
							<div class="field">\
								<div class="rows content-fixed">\
									<strong name="addrAliasSt" style="display:none;"></strong>\
									<input type="text" name="addrAlias" title="title="배송지명 입력" value="{7}" class="form theme-a x-small normal" maxlength="10" oninput="Ns.Util.maxLengthCheck(this);" onkeyup ="Ns.Util.onKeyUpOnlyChNEHS(this,true);">\
								</div>\
							</div>\
						</div>\
					</div>\
					<div class="items">\
						<div class="wrap horizontal">\
							<p class="dhead">받으시는분 <strong class="em rate-g" title="필수입력">*</strong></p>\
							<div class="field">\
								<div class="rows content-fixed">\
									<strong name="recipientSt" style="display:none;"></strong>\
									<input type="text" name="recipientName" title="받으시는분 입력" value="" class="form theme-a x-small normal" maxlength="8" oninput="Ns.Util.maxLengthCheck(this);" onkeyup ="Ns.Util.onKeyUpOnlyChNEHS(this,true);">\
								</div>\
							</div>\
						</div>\
					</div>\
					<div class="items" id="divDelivery" style="display:none;">\
						<div class="wrap horizontal">\
							<p class="dhead">배송일지정<a class="btn theme-a rate-a x-small ui-base-layer" href="#tipPopup"><span>?</span></a></p>\
								<div class="field">\
									<div class="rows content-fixed">\
										<select title="배송희망일선택" id = "DeliveryDate" name="" class="form theme-a small normal" style="display: block;" onchange="CurrentView.event.onchange_DeliveryDate(this);">\
											<option value="" selected="selected"></option>\
											<option value="2017-07-20">2017년07월20</option>\
											<option value="2017-07-21">2017년07월21</option>\
											<option value="2017-07-22">2017년07월22</option>\
											<option value="2017-07-23">2017년07월23</option>\
										</select>\
									</div>\
								</div>\
						</div>\
					</div>\
					<div class="items">\
						<div class="wrap horizontal">\
							<p class="dhead">휴대폰 <strong class="em rate-g" title="필수입력">*</strong></p>\
							<div class="field">\
								<div class="rows content-fixed">\
									<!--<input type="tel" name="phone1" title="휴대폰 번호 입력" maxlength="14" class="form theme-a x-small normal" oninput="Ns.Util.maxLengthCheck(this);" onkeyup="Ns.Util.onkeyup_isPhoneTelNumAlert(this)" onblur="Ns.Util.onblur_isPhoneTelNumAlert(this)" />-->\
									<strong name="phone12St" style="display:none;"></strong>\
									<select title="전화번호 맨앞자리 선택" name="phone11" class="form theme-a x-small normal"><option value="" selected="selected">선택</option><option value="010">010</option><option value="011">011</option><option value="016">016</option><option value="017">017</option><option value="018">018</option><option value="019">019</option><option value="0505">0505</option><option value="0504">0504</option></select>\
									<input type="tel" name="phone12" class="form theme-a x-small normal" title="전화번호 가운데자리 입력" maxlength="4" onkeyup="Ns.Util.onKeyUpOnlyNumber(this, 4);" />\
									<input type="tel" name="phone13" class="form theme-a x-small normal" title="전화번호 끝자리 입력" maxlength="4" onkeyup="Ns.Util.onKeyUpOnlyNumber(this, 4);" />\
								</div>\
							</div>\
						</div>\
					</div>\
					<div class="items" name="divAddPone" style="display:none;">\
						<div class="wrap horizontal">\
							<p class="dhead">추가연락처</p>\
							<div class="field">\
								<div class="rows content-fixed">\
									<!--<input type="tel" name="phone2" title="전화번호 입력" maxlength="14" class="form theme-a x-small normal" oninput="Ns.Util.maxLengthCheck(this);" onkeyup="Ns.Util.onkeyup_isPhoneTelNumAlert(this)" onblur="Ns.Util.onblur_isPhoneTelNumAlert(this)" />-->\
									<strong name="phone22St" style="display:none;"></strong>\
									<select title="전화번호 맨앞자리 선택" name="phone21" class="form theme-a x-small normal" ><option value="" selected="selected">선택</option><option value="010">010</option><option value="011">011</option><option value="016">016</option><option value="017">017</option><option value="018">018</option><option value="019">019</option><option value="02">02</option><option value="031">031</option><option value="032">032</option><option value="033">033</option><option value="041">041</option><option value="042">042</option><option value="043">043</option><option value="044">044</option><option value="051">051</option><option value="052">052</option><option value="053">053</option><option value="054">054</option><option value="055">055</option><option value="056">056</option><option value="061">061</option><option value="062">062</option><option value="063">063</option><option value="064">064</option><option value="0130">0130</option><option value="080">080</option><option value="070">070</option><option value="0507">0507</option><option value="0506">0506</option><option value="0505">0505</option><option value="0504">0504</option><option value="0503">0503</option><option value="0502">0502</option><option value="0303">0303</option></select>\
									<input type="tel" name="phone22" class="form theme-a x-small normal" title="전화번호 가운데자리 입력" maxlength="4" onkeyup="Ns.Util.onKeyUpOnlyNumber(this, 4);" />\
									<input type="tel" name="phone23" class="form theme-a x-small normal" title="전화번호 끝자리 입력" maxlength="4" onkeyup="Ns.Util.onKeyUpOnlyNumber(this, 4);" />\
								</div>\
							</div>\
						</div>\
					</div>\
					<div class="items">\
						<div class="wrap horizontal">\
							<p class="dhead">배송지<strong class="em rate-g" title="필수입력">*</strong></p>\
							<div class="field">\
								<div class="rows content-fixed">\
									<strong name="postcode01St" style="display:none;"></strong>\
									<input type="number" name="postcode" pattern="[0-9]*" maxlength="6" readonly="readonly" title="주소찾기 입력" class="form1 theme-a x-small normal" style="text-align: center;" oninput="Ns.Util.maxLengthCheck(this);" />\
									<a name="zipSearch" class="btn gray-box rate-c" href="javascript:;" onclick="CurrentView.event.onclick_btnSearchPostCode({0});return false;"><span>주소찾기</span></a>\
									<input type="hidden" name="zipcode" value="" />\
									<input type="hidden" name="addrFlag" value="100" />\
									<input type="hidden" name="SEC_ADDRESS1" value="" />\
									<input type="hidden" name="SEC_ADDRESS2" value="" />\
									<input type="hidden" name="ADDINFO" value="" />\
								</div>\
								<div class="rows content-fixed">\
									<strong name="addrSt" style="display:none;"></strong>\
									<input type="text" name="addr" title="주소 입력" class="form theme-a x-small normal" maxlength="100" readonly="readonly" />\
								</div>\
								<div class="rows content-fixed">\
									<strong name="addrDetailSt" style="display:none;"></strong>\
									<input type="text" name="addrDetail" title="나머지 주소 입력력" class="form theme-a x-small normal" maxlength="100" readonly="readonly"/>\
								</div>\
								<div class="rows content-fixed" id = "safedelivery" name = "safedelivery" style="display:none;">\
									<p class="em rate-o theme-d">안심택배 : 상품 보관 후 <strong>48시간까지 무료,</strong> 이후 <strong>초과 1일당 1,000원</strong>씩 부과됩니다.</p>\
								</div>\
							</div>\
						</div>\
					</div>\
					<div class="items">\
						<div class="wrap horizontal">\
							<p class="dhead" id="shippingMessage_Count_{0}">배송 메시지 <br />(0/120 byte)</p>\
							<div class="field">\
								<div class="rows content-fixed">\
									<div id="{0}" class="custom_select_wrap" name=selectShippingMessage>\
						                <button type="button" id="btnShippingMessage_{0}" class="ship_message" data-index="{0}" name="btnShippingMessage">\
						                  <span>배송 메세지 선택하기</span>\
						                </button>\
						                <ul id="ulShippingMessage_{0}" class="message_select" data-index="{0}" data-get-msg=false name=ulShippingMessage>\
											{8}\
						                </ul>\
					            	</div>\
								</div>\
								<div class="rows content-fixed">\
									<input class="message_input" id="shippingMessage_{0}" name="shippingMessage" title="배송 메시지 작성" placeholder="내용을 작성해주세요." onkeyup="CurrentView.event.keyup_shippingMessage(this, {0});">\
								</div>\
							</div>\
						</div>\
					</div>\
					{3}\
					{4}\
				</fieldset>',
			index,
			Ns.Util.getStepNumberString(index),
			optionsHtml,
			msgCardHtml,
			(index > 0 ? this.setShippingProductButton(index) : ''),
			(isGuest ? 'style="display:none;"' : ''),
			data.length == 0 || index >= 1 || isGuest || USERINFO.logonType() == "simple" ? '' : 'readonly="readonly"',
			data.length > 0 && index == 0 ?	data[0].NICKNAME : "",
			DeliveryHtml
		);
		
		// 배송지선택 개편
		var html_new = Ns.Util.stringFormat('\
				<!-- 배송지 선택 개편 추가 -->\
				<fieldset class="fieldset theme-d" id="fieldset_addr_{0}">\
					<h2 {5} >{1}번째 배송지<span class="delivery_safe" style="display:none;"><a href="javascript:;" class="btn delivery" onclick="CurrentView.event.onclick_btnPostCode({0});return false;"><span>안심택배</span></a></span></h2>\
					<legend>입력서식</legend>\
					<ul class="tabs theme-k" id="ulListTabArea_{0}">\
						<li class="active"><a href="javascript:;" id="tabDestination_{0}" onclick="CurrentView.event.onclick_ulListTabArea(this, {0});"><span>배송지선택</span></a></li>\
						<li><a href="javascript:;" id="tabDirectInput_{0}" onclick="CurrentView.event.onclick_ulListTabArea(this, {0});"><span>직접입력</span></a></li>\
					</ul>\
					<input type="text" title="배송지 선택" value="배송지 선택" class="form as_selectb theme-a x-small" readonly="readonly" name="selShippingAddress" style="display:none;" />\
					<div class="items info"  id="divRadioArea_{0}" name="divRadioArea">\
						<div class="wrap horizontal">\
							<div class="field">\
								<div class="rows content-fixed">\
									<span><label><input type="radio" name="radioDeliverySearch_{0}" title="기본배송지 선택" checked="checked" value="0" class="form theme-a" onClick="CurrentView.event.onclick_selectShippingPop(this, {0});"> 기본배송지</label></span>\
									<span><label><input type="radio" name="radioDeliverySearch_{0}"  title="최근배송지 선택" value="1" class="form theme-a" onClick="CurrentView.event.onclick_selectShippingPop(this, {0});"> 최근배송지</label></span><!-- 라디오버튼 선택시 레이어 페이지로 이동 M_B1310002P.html -->\
									<span><label><input type="radio" name="radioDeliverySearch_{0}"  title="배송주소록선택" value="2" class="form theme-a" onClick="CurrentView.event.onclick_selectShippingPop(this, {0});"> 배송주소록</label></span><!-- 라디오버튼 선택시 레이어 페이지로 이동 M_B1310002P.html -->\
								</div>\
							</div>\
						</div>\
					</div>\
					<div id="divContentArea_{0}">\
						<div class="items" name="itemDiv_addrAlias" {5}>\
							<div class="wrap horizontal">\
								<p class="dhead">배송지명 <strong class="em rate-g" title="필수입력">*</strong></p>\
								<div class="field">\
									<div class="rows content-fixed">\
										<strong name="addrAliasSt" style="display:none;">집<span>[기본배송지]</span></strong>\
										<input type="text" name="addrAlias" title="배송지명 입력" value="" maxlength="10" class="form theme-a x-small normal" oninput="Ns.Util.maxLengthCheck(this);" onkeyup ="Ns.Util.onKeyUpOnlyChNEHS(this,true);" >\
									</div>\
								</div>\
							</div>\
						</div>\
						<div class="items">\
							<div class="wrap horizontal">\
								<p class="dhead">받으시는분 <strong class="em rate-g" title="필수입력">*</strong></p>\
								<div class="field">\
									<div class="rows content-fixed">\
										<strong name="recipientSt" style="display:none;">홍길동</strong>\
										<input type="text" name="recipientName" title="받으시는분 입력" value="" maxlength="8" class="form theme-a x-small normal" oninput="Ns.Util.maxLengthCheck(this);" onkeyup ="Ns.Util.onKeyUpOnlyChNEHS(this,true);" >\
									</div>\
								</div>\
							</div>\
						</div>\
						<div class="items">\
							<div class="wrap horizontal">\
								<p class="dhead">휴대폰 <strong class="em rate-g" title="필수입력">*</strong></p>\
								<div class="field">\
									<div class="rows content-fixed">\
										<strong name="phone12St" style="display:none;">010-0000-0000</strong>\
										<select name="phone11" title="전화번호 맨앞자리 선택" class="form theme-a x-small normal">\
											<option value="" selected="selected">선택</option>\
											<option value="010">010</option>\
											<option value="011">011</option>\
											<option value="016">016</option>\
											<option value="017">017</option>\
											<option value="018">018</option>\
											<option value="019">019</option>\
											<option value="0505">0505</option>\
											<option value="0504">0504</option>\
										</select>\
										<input type="tel" name="phone12" title="전화번호 가운데자리 입력" maxlength="4" class="form theme-a x-small normal" onkeyup="Ns.Util.onKeyUpOnlyNumber(this, 4);" />\
										<input type="tel" name="phone13" title="전화번호 끝자리 입력" maxlength="4" class="form theme-a x-small normal" onkeyup="Ns.Util.onKeyUpOnlyNumber(this, 4);" />\
									</div>\
								</div>\
							</div>\
						</div>\
						<div class="items" name="divAddPone" style="display:none;">\
							<div class="wrap horizontal">\
								<p class="dhead">추가연락처</p>\
								<div class="field">\
									<div class="rows content-fixed">\
										<strong name="phone22St" style="display:none;">031-000-0000</strong>\
										<select name="phone21" title="전화번호 맨앞자리 선택" class="form theme-a x-small normal">\
											<option value="" selected="selected">선택</option>\
											<option value="010">010</option>\
											<option value="011">011</option>\
											<option value="016">016</option>\
											<option value="017">017</option>\
											<option value="018">018</option>\
											<option value="019">019</option>\
											<option value="02">02</option>\
											<option value="031">031</option>\
											<option value="032">032</option>\
											<option value="033">033</option>\
											<option value="041">041</option>\
											<option value="042">042</option>\
											<option value="043">043</option>\
											<option value="044">044</option>\
											<option value="051">051</option>\
											<option value="052">052</option>\
											<option value="053">053</option>\
											<option value="054">054</option>\
											<option value="055">055</option>\
											<option value="056">056</option>\
											<option value="061">061</option>\
											<option value="062">062</option>\
											<option value="063">063</option>\
											<option value="064">064</option>\
											<option value="0130">0130</option>\
											<option value="080">080</option>\
											<option value="070">070</option>\
											<option value="0507">0507</option>\
											<option value="0506">0506</option>\
											<option value="0505">0505</option>\
											<option value="0504">0504</option>\
											<option value="0503">0503</option>\
											<option value="0502">0502</option>\
											<option value="0303">0303</option>\
										</select>\
										<input type="tel" name="phone22" title="전화번호 가운데자리 입력" maxlength="4" class="form theme-a x-small normal" onkeyup="Ns.Util.onKeyUpOnlyNumber(this, 4);" />\
										<input type="tel" name="phone23" title="전화번호 끝자리 입력" maxlength="4" class="form theme-a x-small normal" onkeyup="Ns.Util.onKeyUpOnlyNumber(this, 4);" />\
									</div>\
								</div>\
							</div>\
						</div>\
						<div class="items">\
							<div class="wrap horizontal">\
								<p class="dhead">주소 <strong class="em rate-g" title="필수입력">*</strong></p>\
								<div class="field addr">\
									<div class="rows content-fixed">\
										<strong name="postcode01St" style="display:none;">123-456</strong>\
										<input type="number" name="postcode" pattern="[0-9]*" maxlength="6" readonly="readonly" title="주소찾기 입력" class="form1 theme-a x-small normal" style="text-align:center;" oninput="Ns.Util.maxLengthCheck(this);" />\
										<a href="javascript:;" name="zipSearch" class="btn gray-box rate-c" onclick="CurrentView.event.onclick_btnSearchPostCode({0});return false;"><span>주소찾기</span></a>\
										<input type="hidden" name="zipcode" value="" />\
										<input type="hidden" name="addrFlag" value="100" />\
										<input type="hidden" name="SEC_ADDRESS1" value="" />\
										<input type="hidden" name="SEC_ADDRESS2" value="" />\
										<input type="hidden" name="ADDINFO" value="" />\
									</div>\
									<div class="rows content-fixed">\
										<strong name="addrSt" style="display:none;">경기 성남시 삼평동 625번지</strong>\
										<input type="text" name="addr" title="주소 입력" maxlength="100" class="form theme-a x-small normal" readonly="readonly" />\
									</div>\
									<div class="rows content-fixed">\
										<strong name="addrDetailSt" style="display:none;">판교세븐벤처밸리 7단지 NS홈쇼핑</strong>\
										<input type="text" name="addrDetail" title="나머지 주소 입력력" maxlength="100" class="form theme-a x-small normal" readonly="" />\
									</div>\
									<div class="rows content-fixed" id = "safedelivery" name = "safedelivery" style="display:none;">\
										<p class="em rate-o theme-d">안심택배 : 상품 보관 후 <strong>48시간까지 무료,</strong> 이후 <strong>초과 1일당 1,000원</strong>씩 부과됩니다.</p>\
									</div>\
									<div class="rows content-fixed" id="divSetDefaultDest_{0}">\
										<label class="set"><input type="checkbox" name="ipDefaultDest" title="기본 선택" class="form theme-a" onclick="CurrentView.event.onclick_checkDefaultDest({0})">기본배송지로 설정 (회원정보수정)</label>\
									</div>\
									<div class="rows content-fixed" id="divAddAddrBook_{0}">\
										<a href="javascript:;" class="btn_addr" onclick="CurrentView.event.onclick_btnSetAddress({0})"><span>배송주소록</span></a>\
									</div>\
								</div>\
							</div>\
						</div>\
						<div class="items">\
							<div class="wrap horizontal">\
								<p class="dhead" id="shippingMessage_Count_{0}">배송 메시지<br>(0/120 byte)</p>\
								<div class="field">\
									<div class="rows content-fixed">\
										<div id="selectShippingMessage_{0}" class="custom_select_wrap" name=selectShippingMessage>\
							                <button type="button" id="btnShippingMessage_{0}" class="ship_message" data-index="{0}" name="btnShippingMessage">\
							                  <span>배송 메세지 선택하기</span>\
							                </button>\
							                <ul id="ulShippingMessage_{0}" class="message_select" data-index="{0}" data-get-msg=false name=ulShippingMessage>\
												{8}\
							                </ul>\
							              </div>\
										</div>\
									<div class="rows content-fixed">\
										<input class="message_input" id="shippingMessage_{0}" name="shippingMessage" title="배송 메시지 작성" placeholder="내용을 작성해주세요." onkeyup="CurrentView.event.keyup_shippingMessage(this, {0});">\
									</div>\
								</div>\
							</div>\
						</div>\
						<!-- 배송지 선택 개편 추가 -->\
						{3}\
						{4}\
					</div>\
			</fieldset>',
			index,
			Ns.Util.getStepNumberString(index),
			optionsHtml,
			msgCardHtml,
			(index > 0 ? this.setShippingProductButton(index) : ''),
			(isGuest ? 'style="display:none;"' : ''),
			data.length == 0 || index >= 1 || isGuest || USERINFO.logonType() == "simple" ? '' : 'readonly="readonly"',
			data.length > 0 && index == 0 ?	data[0].NICKNAME : "",
			DeliveryHtml
		);		
		// 배송지선택 개편 end
		
		var $divDeliverySection = $('#divDeliverySection');
		if (bDISP_TYPE_CD_choice){ // 기프티콘
			$divDeliverySection.append(html_etc50);
		// 배송지선택 개편 start
		} else if(isGuest){	// 비회원
			$divDeliverySection.append(html);
		} else {
			$divDeliverySection.append(html_new);
		}
		// 배송지선택 개편 end
		$divDeliverySection.find("input[name=selShippingAddress]").eq(index).data("data", arrADDRESS);
		$divDeliverySection.find("input[name=selShippingAddress]").eq(index).data("insertData", objInsertData);
		$divDeliverySection.find("input[name=selShippingAddress]").eq(index).val(objInsertData.NICKNAME);
		
		// 기본배송지 지정
		$('#formOrderPaymentInfo [name=selShippingAddress]').eq(index).find('options:eq(0)').prop('selected', true);
		
		// 배송 메시지 선택하기 영역 클릭 이벤트 추가
		$("button[name=btnShippingMessage]").eq(index).off().on("click", CurrentView.event.onclick_btnShippingMessage);
		
	},


	/**
	 * 2018-10-15 ssong
	 * 복수배송지 개편
	 * 복수 배송 상품 리스트 생성
	 */
	setShippingProductButton : function(index){
		try {
			$("#reserveUse").find("input").val("0");	// 결제수단 입력값 초기화
			$("#reserveUse").find("input").trigger("onblur");	// 결제수단 입력값 초기화
			
			var param = {
				index : index,
				productList : CurrentView.PaymentData.Product.toJSON(),
				deliveryList : CurrentView.PaymentData.Delivery.toJSON(),
				callback : function(){}
			};

			// 상품 수량 변경 시 이벤트 콜백
			param.callback = function( data ) {
				
				if (data.ITEMS && data.ITEMS.length > 0) {
					CurrentView.ui.getShippingCharge(data.index, String(CurrentView.m_inputParams.orderId), 
							$($("input[name=postcode]")[data.index]).val(), data.ITEMS, "1", data);
				} else {

					// 해당 배송지에 선택 된 상품이 0 개 일경우 배송비 처리
					CurrentView.PaymentUI.setShippingChargeInfo( data.index , 0);
					CurrentView.PaymentData.Delivery.setItem(data.index , {
						"SHIP_CHARGE" : 0
					});
					CurrentView.PaymentData.Delivery.getItem(data.index).ITEMS = [];
					CurrentView.ui.setShippingChargeInfo();
				}
			};

			index = String(index);
			CurrentView["mDelivery" + index] = new mDelivery(param);

			var html = Ns.Util.stringFormat('\
				<div class="items">\
					<div class="wrap horizontal">\
					<p class="dhead">받으실 상품</p>\
						<div class="field">\
							<div class="rows content-fixed" id="divShippingProductList_{0}">\
								<ul class="prod_list_wrap">\
									{1}\
								</ul>\
							</div>\
							<div class="rows content-fixed" style="display:none;" id="divShippingChargeInfo_{0}"></div>\
						</div>\
					</div>\
				</div>', index , CurrentView["mDelivery" + index].setData());
			return html;
		} catch (e) {
			// handle exception
			Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1310000M_13)" , function (){

			});
			
			return ;
		}
	},

	/**
	 * 배송지의 배송상품 출력
	 */
	setShippingProductInfo : function( deliveryIndex, productIndex, data) {
		var attributesHtml = '';
		try{
			if(data.ATTRIBUTES != undefined && data.ATTRIBUTES != null && data.ATTRIBUTES.length > 0){
				attributesHtml = data.ATTRIBUTES[0].NAME;
			}
		}
		catch(e){}
		
		var html = Ns.Util.stringFormat('\
				<li class="items" id="divShippingProduct_{0}_{1}">\
					<div class="wrap">\
						<div class="thumbnail">\
							<img src="{2}" alt="상품 이미지" />\
						</div>\
						<div class="field">\
							<p class="title2">{3} / {4}개</p>\
							<span class="delivery-num">배송수량 <em>{5}</em>개</span>\
						</div>\
						<div><a class="btn theme-a rate-a x-small" href="javascript:;" alt="삭제" onclick="CurrentView.event.onclick_btnShippingProductDelete({0},\'{1}\');return false;"><span> X </span></a></div>\
					</div>\
				</li>',
			deliveryIndex,
			data.ORDERITEMS_ID,
			data.IMG,
			attributesHtml,
			data.itemQuantity,
			data.QUANTITY
		);
		$('#divShippingProductList_' + deliveryIndex + '>ul').append(html);
	},

	/**
	 * 배송지의 배송비 출력
	 */
	setShippingChargeInfo : function( deliveryIndex, chargeAmount ) {
		var html = Ns.Util.stringFormat('\
			<div class="shipping_price">\
				<p class="price on"> 배송비 <span>{0}</span>원</p>\
			</div>' , Ns.Util.insertCommas( chargeAmount ));
		$('#divShippingChargeInfo_' + deliveryIndex).html(html).show();
	},

	/**
	 * 신용카드 포인트 가이드 표시
	 */
	setCardPointGuide : function(optData, objCardPreDc) {
		var html = '';
		
		if(optData.CARD_CO_NM == "광주은행카드"){
			objCardPreDc = null;
		}
		
		if (null != objCardPreDc){
			if(objCardPreDc.cardCoCd === "BC"){
				objCardPreDc.cardBnft = "BC";
			}else if(objCardPreDc.cardCoCd === "KM"){
				objCardPreDc.cardBnft = "KB국민";
			}
		
			// // 선할인:31 , 청구할인:33
			if (objCardPreDc.bnftType == "31" || objCardPreDc.bnftType == "33"){
				html += "<p class=\"em theme-a cardpointguide\" style=\"margin-bottom: 10px; display:none;\" id=\"cardSaleText\">상품 상세 페이지에 신용카드 할인가가 노출된 상품만 <strong>" + objCardPreDc.cardBnft + "카드 " + objCardPreDc.cardBnftVal + (objCardPreDc.cardBnftSpr == "1" ? "원 " : "% ") + (objCardPreDc.bnftType == "31" ? "즉시" : "청구") + "할인</strong>이 적용됩니다.</p>";
			}  
		}
		
		// 결제선택 출력
		if (optData.POINTEX == "Y"){
			html += '<span class="option-select vertical cardpointguide">';
			html += '	<span><label class="em rate-d"><input type="checkbox" name="EP_point_useyn" value="Y" title="' + optData.POINT_NAME + ' 결제 선택" class="form theme-a" onclick="CurrentView.event.checkedPointNonQuota()"/> ' + optData.POINT_NAME + ' 결제 선택</label></span>';
			html += '</span>';
		}
		
		$('#paymentCreditCard fieldset').append(html);
		
	}

};



/**
 *  2018-10-25 ssong
 *  복수배송지 상품 적용 개편
 */
var mDelivery = {};

mDelivery = function(params){
	this.m_inputParams = null;
	this.callbackFunc  = null; 
	this.index = 0;

	if(params){
		this.init(params);
	}
};

mDelivery.prototype = {

	init : function( params ) {
		this.m_inputParams 	= params || {};
		this.index 			= params.index;
		this.callbackFunc 	= params.callback;
	},
	
	setData : function() {
		var parseJSON = function(key, value) {
			if (value == null || value.length == 0) {
				return [];
			}
			var values = eval('(' + value + ')');
			return values[key];
		};

		// 파라미터 json 파싱
		this.m_inputParams.productList = parseJSON('productList', this.m_inputParams.productList);
		this.m_inputParams.deliveryList = parseJSON('deliveryList', this.m_inputParams.deliveryList);

		// 상품 아이템 출력
		return this.setShippingProductInfo();
	},
		
	setShippingProductInfo : function() {

		if (this.m_inputParams.productList == null || this.m_inputParams.productList.length == 0) {
			return false;
		}

		var html = "";

		//상품 출력.
		for (var i = 0; i < this.m_inputParams.productList.length; i++) {
			var data = this.m_inputParams.productList[i];
			html += this.setProductItem( i, data );
		}

		return html;
	},

	// 상품 아이템 출력
	setProductItem : function( index, data ) {
		var addrIndex = this.index;

		var targetIndex = "mDelivery" + addrIndex;
		var maxQuantity = CurrentView.m_outputDatas.orderItem.orderItemQuantitys[index];
		var titleLink = '', selectHtml = '';

		titleLink = (data.BRAND_KOR_NM && data.BRAND_KOR_NM != '미정의' ? "[" + data.BRAND_KOR_NM + "]" : "") +	data.PRODUCT_NAME;
		

		// 수량선택 select 생성
		selectHtml += Ns.Util.stringFormat(
					'<select title="수량 선택" class="form multi_sel" name="productItem'+index+'" data-json="{0}" onchange="CurrentView.'+ targetIndex +'.onchange_sel_quantity('+ index +');">',
					Ns.Util.htmlEncode( JSON.stringify(data) )
			);
		selectHtml += '<option value="0" selected="selected">수량선택</option>';
		
		for (var i = 1; i <= maxQuantity; i++) {
			selectHtml += Ns.Util.stringFormat('<option value="{0}">{0}개</option>', i);
		}
		selectHtml += '</select>';
		
		var html = Ns.Util.stringFormat('\
			<li class="prod_item" id="divShippingProduct_{4}_{5}">\
				<p class="prod_name">{0}</p>\
				<p class="prod_option">{1}</p>\
				<div class="option_quantity_select">\
					<p class="quantity_sum">\
						<span class="quantity">/ {2}</span>\
					</p>\
					{3}\
				</div>\
			</il>',
			titleLink, // 0
			this.setProductOption(data), // 1
			data.QUANTITY, //    2
			selectHtml, // 	3
			index, //    	4
			data.ORDERITEMS_ID // 	5
		);

		return html;
	},
	
	// 상품 아이템의 옵션/수량 출력
	setProductOption : function( data ) {
		var html = '';
		if (data.DISP_TYPE_CD == '55') { //카드(상품권)
			if (data.CARDSENDTYPE == '300') { // 이메일
				html += Ns.Util.stringFormat('{0}', data.ITEM_RECEIVER_EMAIL);
			} else if (data.CARDSENDTYPE == '200') { // 문자
				html += Ns.Util.stringFormat('{0}', Ns.Util.insertSeparatorPhoneNumber(data.RECEIVER_MOBILE,"-"));
			}
			html +=     Ns.Util.stringFormat('{0}', (data.CARDMESSAGE || ''));
		} else if (data.STYLE_MNG_YN == 'Y' && data.ATTRIBUTES != null && data.ATTRIBUTES.length > 0) {
			for (var i = 0; i < data.ATTRIBUTES.length; i++) {
				html += Ns.Util.stringFormat('{0}', (data.ATTRIBUTES[i].VALUE || data.ATTRIBUTES[i].NAME));
			}
		}
		return html;
	},
	
	//배송 상품 수량 변경
	onchange_sel_quantity : function(prdIndex){

		try {

			// 선택된 주문아이템으로 return 데이터 json 생성
			var data = {};
	
			// 배송지 인덱스
			data.index = this.m_inputParams.index;

			//선택 된 상품과 동일한 상품들
			var $prdItem = $('[name=productItem'+ prdIndex +']');
			var len = $prdItem.length;
			
			// 해당 상품 전체 수량 체크
			var maxQuantity = CurrentView.m_outputDatas.orderItem.orderItemQuantitys[Number(prdIndex)];
			var selQuantity = 0;
			for(var i = 0; i < len; i++){
				var obj = $prdItem.eq(i);
				selQuantity += Number($(obj).val());
			}				
			
			if(maxQuantity < selQuantity){
				Ns.Popup.alert( '주문 수량보다 많은 수량을 입력 할 수 없습니다.' );
				$prdItem.eq(data.index).val(0);
			}
	
			
			//전체 상품 갯수
			var prdLen = CurrentView.PaymentData.Product.productList.length;
			var itemArr = new Array();

			// 선택 된 배송지 상품 수량 
			for(var i = 0; i < prdLen; i++){
				var obj = $("#divShippingProductList_" + data.index).find('[name=productItem'+i+']');

				if($(obj).val() > 0){
					var item = eval('(' + $(obj).attr('data-json') + ')');
					item.QUANTITY = $(obj).val();
					itemArr.push(item);
				}
			}				
	
			data.ITEMS = itemArr;
			this.callbackFunc(data);

		} catch (e){
			Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1310000M_mDeli)" + e, function (){
				return false;
			});
		}
	},

	resetItemQuantity : function(prdIndex) {
		var addrIndex = this.m_inputParams.index;

		$.each(prdIndex,function(idx,val){
			$("#divShippingProductList_" + addrIndex).find('[name=productItem' + val + ']').val(0);
			CurrentView.PaymentData.Delivery.getItem(addrIndex).ITEMS.splice(val,1);
		});
		CurrentView.deliveryStatusIdx = 0;
	}
};
