
/* JavaScript content from js/order/M_B1320000M.js in folder common */

/* 
*	nspay결제 
*  ID : M_B1320000M
*  
*/

//page 컨트롤 클래스
CurrentView = {
	m_inputParams     : null,
	m_outputDatas     : null,
	bFirstOrderYnCert : false,				//sms회원이고 첫 주문 일 경우 trueh	
	m_hpNoSmsAuthYn : "N",		// 회원가입 시 SMS 인증 여부
	isCertCheck	: false,		// 회원가입 시 SMS 인증체크 여부
	effectiveTime : 0,			// 입력 제한 시간
	
	directOrderYN : "N",					//상품상세 > 바로주문 클릭 후 결제
	nDoubleCount : 0,						//더블 클릭 체크 변수
	bDoubleBtn : false,						//더블 클릭 체크 변수(버튼) - 주문 결제 인증 후 로그 적제 직전 세팅되며, 이후 최종 주문 API 까지 오류나 fail일 경우만 풀린다.
	bDoubleApi : false,						//최종 주문 API 막기 - 최종 API 통신 시작전에 세팅되며, result 값이 'success'가 아닐경우만 풀린다. 
	bDeliveryYN : "Y", 						//inQkang 배송지선택 개편 - 도서산간 배송가능 여부
	bjejuYN : "",							//제주 배송 여부
	strRmaYNCheck : "",						//배송지가 제주인지 확인. 
	fcallProc : "N",						//지정배송일 상품이 2개이상 장바구니에 담겨있고 복수상품 구매시 주문서페이지에 보여지는 지정배송일을 첫번째 상품만 보여지도록 설정하기 위한 flag
	deliveryStatus : [],					//복수상품들을 지정한 배송지에 배송되는지 여부를 확인하기 위한 배열변수
	deliveryStatusIdx : 0, 					//복수상품들을 지정한 배송지에 배송되는지 여부를 확인하기 위한 배열순번변
	multiDelvVal : [],						//Wapers 복수배송지 불가
	multiDelvStatus : "N",					//Wapers 복수배송지 불가
	multiDelvIdx : 0,						//Wapers 복수배송지 불가	
	nCountGds : 0,							//최초진입시 상품 종류 갯수
	ADDRESS_ID : "",						//선택된 배송지 정보. 
	reCount : 0,							
	reParam : null,
	reTranId : "",
	check_flag : null,  					//안심택배falg값
	check_safe_guest : null,  				//안심택배&&비회원
	safe_count : "",						//안심택배_count_flag값
	maxPaymentPrice : 0,					//주문 최대 가능 금액, 월 최대 주문 가능 금액
	
	chkInventoryQuantityType : "10",		//배송 타입.
	
	CAT2_CATEGORY_ID_flag : false, 			//중분류코드
	
	objPaymentCertData : new Object(),		//Cert Object
	
	haveAdultItem : "N", 					//20160922 신혜수 - 성인상품 포함여부
	adultItems : [], 						//20160922 신혜수 - 성인상품
	DeliveryDesignatedDay_flag : "",  		//배송일지정flag값
	DeliveryDesignatedDay_count : "",		//배송일지정 count값
	
	DeliveryAagreeDline : [], 				//복수개 상품일 때 배송지정일 가능 날짜 세팅값
	DeliveryAagreeStatus : "N",				//약정기일 상태.
	DeliveryIndexSelectHideStatus :"N",		//배송지 숨김여부 (복수배송지인경우)
	
	buttonArea : null,
	
	Const : {
		MAX_DELIVERY_COUNT : 10,			//복수배송지 최대 가능 횟수
		MAX_SHIPPING_MESSAGE_LENGTH : 120,	//배송메시지 입력값 최대 bytes 수
		DISCOUNT_PRODUCT_CPC_INDEX : 0,		//상품 가격할인의 json에 저장된 index값
		DISCOUNT_COUPON_START_INDEX : 1,	//쿠폰할인의 json에 저장되는 index 시작값
		DISCOUNT_CARD_LSP_INDEX : 5,		//카드일시불할인의 json에 저장된 index값
		DISCOUNT_CARD_PRE_DC_INDEX : 6,		//카드즉시할인의 json에 저장된 index값(data.msg.OrderGoodList.goodsDetail.ORD_CARD_PRE_DC_LST)
											//OFFER_BRCH = 33 : 신용카드할인가
											//OFFER_BRCH = 31 : 제휴카드혜택
		DISCOUNT_YEAR_DC_INDEX : 7,			//연간할인의 json에 저장된 index값
		DISCOUNT_FREE_DLVRY_DC_INDEX : 8	//무료배송할인의 json에 저장된 index값
	},
	
	DISCOUNT_CARD_CHOICE : {	// 카드 프로모션 할인 선택 여부
		DISCOUNT_CARD_LSP : false,	// 카드 일시불 할인
		DISCOUNT_CARD_PRE_DC_31 : false,	// 카드 선할인
		DISCOUNT_CARD_PRE_DC_32 : false,	// 카드 포인트 적립
		DISCOUNT_CARD_PRE_DC_33 : false,	// 카드 청구할인
		discountList_32 : null,
		discountList_32_info : null,
		discountList_33 : null,
		discountList_33_info : null
	},
	
	PaymentData       : null,				//주문정보 저장 공간
	PaymentUI         : null,				//UI 구조 정의
	paymentMethodInitData : {},				//결제수단별 초기화 기본 데이터
	paymentMethod     : 100,				//최종 결제 수단
	IS_GUEST          : false,
	DISP_TYPE_CD      : 'GENERAL',			//상품유형(GENERAL: 일반상품, CARD: 상품권, DELIVERY: 정기배달)
											//1. DISP_TYPE_CD == 55 or DISP_TYPE_CD == 60 : 상품권
											//2. DISP_TYPE_CD == 30 and PAY_TYPE_CD == 10 : 정기배송
											//3. DISP_TYPE_CD == 30 and PAY_TYPE_CD == 20 : 정기주문
											//4. 그 이외 : 일반상품
											//25 = 초이스, 20 = 팩
	check_pay_flag         : "N",			//결제정보저장flag값
	HAS_CARD_PRE_DC : false,				//카드 선할인 선택 사용 유무 true:사용
	custDurSpr : "",						//설정 1 :일, 2: 월, 3 : 기간 
	custPrchQtyLimitYn : "",				//Y : 구매제한 N : 1회 최대 구매가능수량으로 참조 
	maxOrderPossQty : "",					//구매제한 수량
	staYmd : "",							//기간 일경우 시작일자 
	endYmd : "",							//기간일 경우 종료일자
	MaximumPurchaseQuantityFlag : false, 	//최대구매제한 FLAG
	partNumberFlag : 0,						//상품코드
	maxcountFlag : 0,						//최대 구매수량
	maxindex : 0, 							//최대 구매수량
	maxcheckflag : false, 					//구매제한 갯수 초과 여부.
	
	discountBeforeList : [], 				//이전할인수단.
	isChangeMileageByUser : false, 			//사용자가 적릭금을 수정했는지 여부.
	isMileageAlertToClient : false,			//사용자에게 적립금 수정 알림을 해야하는지 여부.
	isChangeDiscountAlert : false,			//사용자가 수정한 할인 정보에 대해 변경 사항을 알림 했는지 여부.
	
	shipAddressList : [],					//배송지목록
	recentAddressList : [],					//최근배송지목록

	staffCouponId : "",			// NS임직원 쿠폰 ID
	staffCouponElementId : [] , // NS임직원 쿠폰 객체ID 리스트
	staffCouponElement : {} ,
	emplChecked : false,
	
	init : function( params ) {
		this.initializeComponent();
		this.onLoad(params);
	},
	
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	initializeComponent : function() {
		
		$("#btnPayment").unbind().bind( "click", this.event.onclick_btnPayment_before ); //결제하기
		$("#inputUseMileage").keydown(function(){
			var regExp =/\d/;
			if(regExp.test(event.key) && !CurrentView.isChangeMileageByUser){
				CurrentView.isChangeMileageByUser=true
			} 
		}); //적립금을 사용자가 수정.

		// 결제정보를 저장할 공간 초기화
		CurrentView.PaymentData = {};
		CurrentView.PaymentData.Product = new PaymentData.Product();
		CurrentView.PaymentData.Delivery = new PaymentData.Delivery();
		CurrentView.PaymentData.Discount = new PaymentData.Discount();
		CurrentView.PaymentData.Payment = new PaymentData.Payment();
		CurrentView.PaymentData.Partnership = new PaymentData.Partnership();
		CurrentView.PaymentData.OrderUserInfo = new PaymentData.OrderUserInfo();
		CurrentView.PaymentData.MaxbuyCount  = new PaymentData.MaxbuyCount ();
				
		$("#btnSendCertNumber").unbind().bind( "click", this.event.onclick_btnSendCertNumber ); // 인증번호발송
		$("#btnChkCertNumber").unbind().bind( "click", this.event.onclick_btnChkCertNumber ); // 인증번호확인
				
		$("#recentDelivery").bind("click", this.event.onclick_RecentDeliveryAddressList);
		
	},
	
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {						
		mainCtrl.hideGNB();
		$("#topCart").css("display", "none");
		$("#btnShowSearchView").css("display", "none");			
		$("#skipAside").css("display", "none");
		$("#btnBack").css("display", "none");
		
		CurrentView.m_inputParams = params || {};
		
		// 바로주문 여부 세팅 - 주문상세에서 바로 주문을 클릭하여 넘어온 경우 Y
		if (undefined != params.invoke){
			if (undefined != params.invoke.directOrderYN){
				CurrentView.directOrderYN = params.invoke.directOrderYN;
			}
		} else {
			if (undefined != params.chkLoginData){
				if (undefined != params.chkLoginData.invoke){
					if (undefined != params.chkLoginData.invoke.directOrderYN){
						CurrentView.directOrderYN = params.chkLoginData.invoke.directOrderYN;
					}
				}
			}
		}						
		
		//기본정보 셋팅
		this.data.setUserInfo();
		//주문서정보 조회
		this.data.getOrderPaymentInfo();
		
		//this.data.setLastCashReceipt();

		$(".modal").removeData();
	},
	
	data : {
		// hckim 2019.01.11 회원점유인증제거 - 인증번호 callback
		callbackCertNumber : function( data ){				
			
			var result = data.msg.root.processMsg.processMsg;
			var msg = data.msg.root.processMsg.sucessMsg;
			var authnumber = data.msg.root.processMsg.authnumber;
			var effectiveTime = data.msg.root.processMsg.effectiveTime;
			
			if(result == "S"){
				// 인증번호 유효시간 이내일 경우 버튼 문구 변경
				CurrentView.ui.getRequestAuthNoChange(effectiveTime);				

				// 서버에서 인증번호 입력 유효시간 확인(180초)
				mainCtrl.checkTimerObject();
				mainCtrl.m_timer = setInterval(CurrentView.ui.getAuthNoIntervalTime, 1000);
			}

			Ns.Popup.alert( msg );
			$("#certNumer").focus();
		},
		
		//사용자 기본정보 셋팅
		setUserInfo : function() {
			//회원 권한에 따른 기능 사용여부 설정
			if (USERINFO.logonType() == '' || USERINFO.logonType() == LOGON_TYPE.nonmember) { //비회원
				$('#discountCoupons').hide(); //쿠폰 사용안함
				$('#discountAnnual').parent().hide(); //연간할인권 사용안함
				CurrentView.IS_GUEST = true;
			} else if (USERINFO.logonType() == LOGON_TYPE.facebook || USERINFO.logonType() == LOGON_TYPE.twitter) { //SNS회원
				$('#discountCoupons').hide(); //쿠폰 사용안함
			}
		},
		//주문서정보 조회
		getOrderPaymentInfo : function() {
			var param = {
					userId : USERINFO.userId(),
					orderId : CurrentView.m_inputParams.orderId,
					co_cd : Const.getCocd(),
					orderSheetYn : "Y",
					isNspayPage : "Y"				// NSPay 페이지여부
			};
			CurrentView.reParam = param;
			CurrentView.reCount = 0;
			CurrentView.reTranId = 'NSOrderPaymentMobile';
			
			tran.callWCSJsonTran('NSOrderPaymentMobile', param, CurrentView.data.ShoppingAmtLimitCheck);
		},
		
		/**
		 * 월 주문 한도 체크 로직 추가에 따른 수정
		 * 회원 비회원 여부에 따른 월 주문 금액 조회 후 처리
		 */
		ShoppingAmtLimitCheck : function (NSOrderPaymentMobile_data){
			if (NSOrderPaymentMobile_data.msg.root.UserInfo.REGISTERTYPE != "G"){	// 비회원이 아닌경우
				var param = new Object();
				param.userId = NSOrderPaymentMobile_data.msg.root.UserInfo.USERS_ID;
				param.registerType = NSOrderPaymentMobile_data.msg.root.UserInfo.REGISTERTYPE;
				param.userCi = "";
				
				// 월 주문 금액 조회
				tran.callWCSJsonTran('ShoppingAmtLimitCheckCmd', param, function(data){
					// shoppingLimitCheck function 호출하며, NSOrderPaymentMobile API callback data 및 월 주문 금액을 넘겨준다. 
					CurrentView.data.shoppingLimitCheck(NSOrderPaymentMobile_data, "", data.root);
				});
			} 
		},
		
		/**
		 * 월 한도금액 이상 주문하려고 할 경우 주문 불가 체크 통신
		 */
		shoppingLimitCheck : function(data, chkType, strTemp){
			if(data.msg.root.ShipAddressList != null)
				CurrentView.shipAddressList = data.msg.root.ShipAddressList;			

			if (data.isSuccessful == false){	// sucess fail
				// 특정 api이고 특정 횟수 만큼 반복
				if (CurrentView.reCount < 3 && CurrentView.reTranId == "NSOrderPaymentMobile"){
					CurrentView.reCount ++;
					
					// 시간 딜레이 후 재호출
					setTimeout(function(){
						tran.callWCSJsonTran('NSOrderPaymentMobile', CurrentView.reParam, CurrentView.data.shoppingLimitCheck);
					}, 500);
					
					return;
				}
				
				Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1320000M_00)" + e , function (){
					navi.naviBack();
				});
				
				return ;
			}
			if(strTemp != null){
				CurrentView.maxPaymentPrice = strTemp.shoppinglimitprice;
			}
			CurrentView.reParam = null;
			CurrentView.reCount = 0;
			CurrentView.reTranId = "";
			
			var nLimitCount = 0;	// 총 주문 상품 갯수
			nLimitCount = data.msg.root.OrderGoodList.length;	// 총 주문 상품 갯수 세팅
			
			// 배송 형태별 주문 프로세스 처리 시작
			if (undefined == chkType || "" == chkType){
				var strInventoryMsg = "";	// alert message
				var maxPrice = 0;
				
				// 주문서에 인입된 상품의 합산금액이 800만원 이상일 경우 처리
				for (var i = 0 ; nLimitCount > i; i++){	// 상품 갯수 만큼 반복
					var objDataGD = data.msg.root.OrderGoodList[i].goodsDetail;
					
					maxPrice += Number(objDataGD.DCPRICE) * Number(objDataGD.QUANTITY);
				}
				
				// 정회원 월 주문 한도 금액 체크
				if (data.msg.root.UserInfo.REGISTERTYPE != "G"){
					// 월 주문 금액 + 현 주문 합산 금액이 8백만원 이상인경우 처리
					if (Number(strTemp.result, 10) + Number(maxPrice, 10) > CurrentView.maxPaymentPrice){
						Ns.Popup.alert("고객님의 총 주문 금액이 당사 기준을 초과하였습니다.<br />자세한 안내는 고객센터(1688-7700)를 통해 가능합니다.",
							function (){ navi.naviBack(); }, null, true );
						
						return ;
					}
				}
				
				for (var i = 0 ; nLimitCount > i; i++){	// 상품 갯수 만큼 반복
					var objDataGD = data.msg.root.OrderGoodList[i].goodsDetail;
					var objDataIDI = data.msg.root.OrderGoodList[i].itemDetailInfo;
					
					// markForDelete: 0 - 상품삭제여부 ( 0 : 삭제아님 / 1 : 삭제 ) 
					// saleYn: "Y"      - 판매가능여부 ( Y : 판매가능 / N : 판매불가 ) 
					if (objDataGD.MARKFORDELETE == "1" || objDataGD.SALE_YN == "N" || objDataGD.itemLiveYN == "N"){
						var strTitleNm = "";	// [브랜드명]상품명
						strTitleNm += objDataIDI.brandName && objDataIDI.brandName != '미정의' ? "[" + objDataIDI.brandName + "]" : "";
						strTitleNm += objDataIDI.productName;
						
						Ns.Popup.alert("&quot;" + strTitleNm + "&quot; 상품은<br />판매 불가 상품입니다.",
								function (){ mainCtrl.onBackButtonPressed(); },
								null,
								true
							);
						
						return ;
					}
					
					// 일반배송 10, 지정배송 20, 순차배송 30, 예약배송 40
					// 순차배송 30, 예약배송 40의 경우 confirm 창을 띄워 진행 여부 확인
					if (objDataGD.INVENTORY_QUANTITY_TYPE == "30" || objDataGD.INVENTORY_QUANTITY_TYPE == "40"){
						CurrentView.chkInventoryQuantityType = objDataGD.INVENTORY_QUANTITY_TYPE;
						if (strInventoryMsg != ""){	// 처음이 아닐경우 한줄 띄움
							strInventoryMsg += "<br />"
						}
						
						var strTitleNm = "";	// [브랜드명]상품명
						strTitleNm += objDataIDI.brandName && objDataIDI.brandName != '미정의' ? "[" + objDataIDI.brandName + "]" : "";
						strTitleNm += objDataIDI.productName;
						
						strInventoryMsg += strTitleNm + " 상품은<br />"
						strInventoryMsg += objDataGD.INVENTORY_QUANTITY_SCHD_DATE.substring(4,6) + "월 "
						strInventoryMsg += objDataGD.INVENTORY_QUANTITY_SCHD_DATE.substring(6,8) + "일"
						
						if (objDataGD.INVENTORY_QUANTITY_TYPE == "30"){	// 순차배송일 경우
							strInventoryMsg += " 까지 순차 배송 예정입니다."; //순차 배송으로 문구 수정 by seo4872
						} else {	// 예약배송일 경우
							strInventoryMsg += "에 배송 예정입니다.";
						}
					}
				}
				
				// 메시지 변수에 값이 있으며 confirm 창 활성
				if (strInventoryMsg != ""){
					Ns.Popup.alert(strInventoryMsg,
						function (){
							navi.setMovePointer(-1);
							CurrentView.data.shoppingLimitCheck(data, "pass");
						}
					);
					
					return;
				}
			}
			
			var strLimitCheck = "N";	// 주문 불가 체크 값 ; Y:불가, N:가능
			for (var i = 0 ; nLimitCount > i; i++){	// 상품 갯수 만큼 반복
				var objData = data.msg.root.OrderGoodList[i].goodsDetail;
				
				if (strLimitCheck == "Y"){	// 불가이면 다음 로직 부르고 for문 종료
					CurrentView.data.shoppingLimitCheckNext(data);
					break;
				}
				
				// 월 한도금액 이상 주문하려고 할 경우 주문 불가 체크 통신
				tran.callWCSJsonTran('ShoppingLimitCheckCmd', 
					{
						catEntryId : objData.CATENTRY_ID_PARENT,
						quantity : objData.QUANTITY,
						price : objData.PRICE,
						busChnId : objData.XBUSCHN_ID,
						userId : data.msg.root.UserInfo.USERS_ID
					},
					function(inData){	// callback 처리
						if (inData.root.result == "Y"){	// 주문 불가의 경우
							strLimitCheck = "Y";
						}
						
						nLimitCount --;
						
						if (nLimitCount == 0){	// 갯수 만큼 통신이 끝난 경우
							CurrentView.data.shoppingLimitCheckNext(data, strLimitCheck);
						}
				});
			}
		},
		
		/**
		 * 월 한도금액 이상 주문하려고 할 경우 주문 불가 체크하여 처리
		 * 정상일 경우 다음 로직 이동
		 * 불가일 경우 alert 노출 후 클릭시 이전페이지로 이동
		 */
		shoppingLimitCheckNext : function(data, strFlag){
			if (strFlag == "Y"){
				Ns.Popup.alert("죄송합니다.<br />대량구매를 원하실 경우 반드시 NS홈쇼핑 모바일 상담전화(1800-0770)로 연락바랍니다.",
					function (){ mainCtrl.onBackButtonPressed(); },
					null,
					true
				);
			} else {
				CurrentView.data.resultOrderPaymentInfo(data);	// 주문서정보 조회 결과 function 호출	
			}
		},
		//주문서정보 조회 결과
		resultOrderPaymentInfo : function(data) {
			if ( data.msg == null ) {
				Ns.Popup.alert( Messages.procedure_error + "<br />" + data.tranId);
				return false;
			}
			
			if (data.isSuccessful == false){
				if (undefined != CurrentView.m_inputParams.orderId && "" != CurrentView.m_inputParams.orderId){
					if (data.msg.resultMsg.indexOf("System Error!orderId=" + CurrentView.m_inputParams.orderId) != -1){
						Ns.Popup.alert( Messages.procedure_error + "<br />" + data.tranId + "<br />" + data.msg.resultMsg , function (){
							mainCtrl.navigate( PAGE.main, null );	// 메인페이지 이동
						});
					} else {
						Ns.Popup.confirm(Messages.procedure_error + "<br />" + data.tranId + "<br />" + data.msg.resultMsg,
							function (){
								mainCtrl.navigate( PAGE.main, null );	// 메인페이지 이동
							},
							function (){
								mainCtrl.navigate( "M_B1320000M", { "orderId" : CurrentView.m_inputParams.orderId} );
							}, 
							"홈으로가기",
							"다시시도"
						);
					}
				} else {
					Ns.Popup.alert( Messages.procedure_error + "<br />" + data.tranId + "<br />" + data.msg.resultMsg , function (){
						mainCtrl.navigate( PAGE.main, null );	// 메인페이지 이동
					});
				}
				
				return false;
			}
			
			if (typeof(data.msg) == 'string') {
				// output데이터의 타입을 string에서 json으로 변환
				data.msg = eval('(' + data.msg + ')');
			} else if (data.msg.root != undefined) {
				data.msg = data.msg.root;
			}
			
			// 주문정보 조회 저장
			CurrentView.m_outputDatas = data;
			
			// 주문하실상품 주문금액 등 json 데이터에 임시 저장
			CurrentView.m_outputDatas.orderPrice = {
					'TOTAL_PRODUCT_AMT' : 0,
					'TOTAL_AMT' : 0, 
					'OFFER_AMT' : 0,
					'SHIP_CHARGE' : 0,					// 배송비 금액
					'SHIP_CHARGE_ONE_DELIVERY' : 0,		// 배송지가 하나일때 배송비 금액
					'SHIP_CHARGE_MULTI_DELIVERY' : 0,	// 배송지가 복수일때 배송비 금액
					'FINAL_PAYMENT_AMT' : 0,			// 최종 결제 금액
					'CREDITCARD_PAYMENT_AMT' : 0,		// 신용카드결제 금액
					'MOBILE_PAYMENT_AMT' : 0,			// 핸드폰결제 금액
					'ACCOUNT_TRANSFER_PAYMENT_AMT' : 0,	// 실시간계좌이체 금액
					'WITHOUT_BANKBOOK_PAYMENT_AMT' : 0, // 무통장입금 금액
					'NS_GIFT_CERT_PAYMENT_AMT' : 0		// NS상품권 금액
			};
			// 주문 상품 json 데이터에 임시 저장
			CurrentView.m_outputDatas.orderItem = {
					orderItemIds : [],
					catEntryIds : [],
					orderItemQuantitys : [],
					orderItemAmount : []
			};
			// 결제수단별 임시저장

			CurrentView.m_outputDatas.msg.UserInfoBenefit = $.extend(true, {
				OKCASHBAG_BALANCE : 0,
				NETIWELL_BALANCE : 0,
				HAPPYMONEY_BALANCE : 0,
				GIFTCARD_BALANCE : 0
			}, CurrentView.m_outputDatas.msg.UserInfoBenefit);
			
			//주문하시는분 정보(기본값으로 회원정보를 표시함)
			CurrentView.data.setUpdateOrderer({
				ordererName : data.msg.UserInfo.LASTNAME,
				ordererHpNo : data.msg.UserInfo.PHONE1,
				ordererEmail : data.msg.UserInfo.EMAIL1
			});
			
			var strDISP_TYPE_CD = "";
			var strPHONE2TYPE = "T";
			
			if (data.msg.OrderGoodList.length == 1 && (data.msg.OrderGoodList[0].goodsDetail.DISP_TYPE_CD == "50" || data.msg.OrderGoodList[0].goodsDetail.DISP_TYPE_CD == "55")){
				strDISP_TYPE_CD = data.msg.OrderGoodList[0].goodsDetail.DISP_TYPE_CD;
				strPHONE2TYPE = "K";
			}
			 
			// 폼 데이터에 반영
			CurrentView.PaymentData.OrderUserInfo.setDefault({
				"USER_ID" : data.msg.UserInfo.USERS_ID,
				"LASTNAME" : data.msg.UserInfo.LASTNAME,
				"NICKNAME" : data.msg.UserInfo.LASTNAME,
				"ZIPCODE" : data.msg.UserInfo.ZIPCODE,
				"ADDRESS1" : data.msg.UserInfo.ADDRESS1,
				"ADDRESS2" : data.msg.UserInfo.ADDRESS2,
				"PHONE1TYPE" : (data.msg.UserInfo.PHONE1TYPE || 'K'),
				"PHONE2TYPE" : (data.msg.UserInfo.PHONE2TYPE || strPHONE2TYPE),
				"PHONE1" : Ns.Util.insertSeparatorPhoneNumber(data.msg.UserInfo.PHONE1,"-"),
				"PHONE2" : Ns.Util.insertSeparatorPhoneNumber(data.msg.UserInfo.PHONE2,"-"),
				"MOBILE_NO11" : Ns.Util.getPhoneNumber(data.msg.UserInfo.PHONE1,"1"),
				"MOBILE_NO12" : Ns.Util.getPhoneNumber(data.msg.UserInfo.PHONE1,"2"),
				"MOBILE_NO13" : Ns.Util.getPhoneNumber(data.msg.UserInfo.PHONE1,"3"),
				"PHONE_NO11" : Ns.Util.getPhoneNumber(data.msg.UserInfo.PHONE2,"1"),
				"PHONE_NO12" : Ns.Util.getPhoneNumber(data.msg.UserInfo.PHONE2,"2"),
				"PHONE_NO13" : Ns.Util.getPhoneNumber(data.msg.UserInfo.PHONE2,"3"),
				"EMAIL1" : data.msg.UserInfo.EMAIL1
			});
			
			CurrentView.ui.setOrdererInfo(data.msg);					//구매자 데이터 설정
			CurrentView.ui.setOrderItemList(data.msg.OrderGoodList);	//구매상품 데이터 설정
			
			for (var i = 0; data.msg.OrderGoodList.length > i; i++){
				if( data.msg.OrderGoodList[i].goodsDetail.CAT1_CATEGORY_ID == "5"){
					CurrentView.CAT2_CATEGORY_ID_flag = true;
					Ns.Popup.alert( "환금성 상품(금, 상품권 등)은 NS페이로 결제하실 수 없습니다.", function (){
						navi.moveBack();
					});
					return ;
				}
			}
			
			if (data.msg.UsePaymentInfo.NSPAY == 'N') {
				Ns.Popup.alert("카드몰을 통해 방문 시 NS페이로 결제하실 수 없습니다.", function() {
					for(var i = 0; i < navi.objNaviData.pageIds.length ; i++){
						if ("M_B1320000M" == navi.getPageId()){
							break;
						}
						navi.setMovePointer(-1);
					}
					navi.moveBack();					
				});
				return;
			}
			tran.callWCSJsonTran('AjaxNSWPay', {
				cmdType : "isWPayDisplay"
			}, function(data) {
				if (data.isWPayDisplay === 'N') {
					Ns.Popup.alert("카드몰을 통해 방문 시 NS페이로 결제하실 수 없습니다.",
							function() {
								for(var i = 0; i < navi.objNaviData.pageIds.length ; i++){
									if ("M_B1320000M" == navi.getPageId()){
										break;
									}
									navi.setMovePointer(-1);
								}
								navi.naviBack();
							});
				}
				return;
			});
			
				
			// UI 설정
			
			if (data.msg.OrderGoodList.length == 0){
				return;
			}
			var isToggleOn = false;
			CurrentView.ui.setAddressList(isToggleOn);							//배송지목록 출력				
			CurrentView.ui.setDiscountCoupons(data.msg);				//쿠폰할인
			CurrentView.ui.setAdjustmentList(data.msg);					//할인정보
			CurrentView.ui.setPaymentInfo(data.msg);					//NS페이 출력
			
			var bDiscountArea = false;
			$("#divDiscountSection").children("div").each(function (){
				if ($(this).css("display") != "none"){
					bDiscountArea = true;
				}
			});
			
			if (bDiscountArea == false){
				$("#divDiscountSection").hide();
			}
			
			if (data.msg.cardBnftMsgYn == "Y"){
				Ns.Popup.alert("서로 다른 카드 혜택 적용대상 상품을 동시 주문 하시는 경우 카드 할인을 받으실 수 없습니다.<br />카드 혜택 적용은 개별 상품 주문 시 적용 가능합니다.");
			}
					
			//갤러리아 상품 주문가능여부 체크
			CurrentView.data.checkGalleriaSale(data);
		},
		
		//갤러리아 상품 주문가능여부 체크
		checkGalleriaSale : function( data ) {
			var existGallProd = false;
			var gallProdArray = [];
			
			for (var i = 0 ; data.msg.OrderGoodList.length> i; i++){	// 상품 갯수 만큼 반복
				if(data.msg.OrderGoodList[i].goodsDetail.VENDOR_ID == "109103"){ //제휴사코드가 갤러리아일 때
					existGallProd = true;
					
					var invoke = {};
					invoke.prdNm 	 	= data.msg.OrderGoodList[i].goodsDetail.XCATENTRY_DISP_NAME;
					invoke.NO 		 	= data.msg.OrderGoodList[i].itemDetailInfo.alliMallGoodsCd;
					invoke.ORDER_QTY 	= data.msg.OrderGoodList[i].goodsDetail.QUANTITY;
					invoke.PRICE 	 	= data.msg.OrderGoodList[i].goodsDetail.ITEMPRICE; 
					invoke.OPT_NAME  	= "";
					invoke.OPT_VALUE 	= "";
					invoke.OPT_PRICE 	= "";
					invoke.OPT_QTY      = "";
					invoke.OPT_STOCK_NO = data.msg.OrderGoodList[i].goodsDetail.CATENTRY_ID_CHILD;
						
					gallProdArray.push(invoke);
				}
			}
			
			if(existGallProd){
				tran.callWCSJsonTran('GalleriaPrdCntCheck', { reqParam : JSON.stringify(gallProdArray) }, function( data ) {
					if(data.msg.resultCode == "N"){
						Ns.Popup.alert( data.msg.resultMsg, function (){
							navi.naviBack();
						});
					}
				});
			}
		},
		
		//주문하시는분 정보 세팅
		setUpdateOrderer : function( data ) {
			if ( data == null ) {
				return false;
			}
					
							
			// 폼 데이터에 반영
			CurrentView.PaymentData.OrderUserInfo.setItem({
				'LASTNAME' : data.ordererName,
				'NICKNAME' : data.ordererName,
				"PHONE1TYPE" : 'K',
				'PHONE1' : Ns.Util.insertSeparatorPhoneNumber(data.ordererHpNo,"-"),
				"MOBILE_NO11" : Ns.Util.getPhoneNumber(data.ordererHpNo,"1"),
				"MOBILE_NO12" : Ns.Util.getPhoneNumber(data.ordererHpNo,"2"),
				"MOBILE_NO13" : Ns.Util.getPhoneNumber(data.ordererHpNo,"3"),
				'EMAIL1' : data.ordererEmail
			});
		},
		
		// 결제 승인 요청
		doPaymentApprovalRequest : function( param, callback ) {
			param = $.extend({
				userId : CurrentView.m_outputDatas.msg.UserInfo.USERS_ID,
				orderId : CurrentView.m_inputParams.orderId,
				ordersId : CurrentView.m_inputParams.orderId,
				originOrdersId : CurrentView.m_inputParams.orderId,
				custNum : CurrentView.m_outputDatas.msg.UserInfo.CUSTOM_NUMBER,
				userNm : CurrentView.PaymentData.OrderUserInfo.getItem().LASTNAME,
				loginId : CurrentView.m_outputDatas.msg.UserInfo.LOGONID,
				co_cd : Const.getCocd(),
				dispTypeCd : CurrentView.m_outputDatas.msg.OrderGoodList[0].goodsDetail.DISP_TYPE_CD,
				discountList : CurrentView.PaymentData.Discount.toJSON()
			}, param);
			
			if (mainCtrl.isOsApp()){	// App
				param.vdn_cd = "54101";
			} else {	// Web
				param.vdn_cd = "54102";
			}
			
			tran.callWCSJsonTran('PaymentApprovalRequestCmd', param, callback);
		},
		
		// 배송비 계산
		doShippingChargeCmd : function( param, callback ) {
			tran.callWCSJsonTran('NSShippingChargeCmd', { sandItemInfo : JSON.stringify(param) }, callback);
			// 배송비 계산할 때 복수상품 계산을 위한 순번 초기화
			CurrentView.deliveryStatusIdx = 0;
		},
		
		discountBefore : function(){		
			CurrentView.discountBeforeList = [];
			var oldDiscountList = $('#discountUl li');	
			for(var i = 0; i < oldDiscountList.length; i ++){
				var child = $(oldDiscountList[i]);
				
				if($(child.find('#inputUseMileage')).length > 0){						
					var input = $(child.find('#inputUseMileage'));
					for( var j = 0; j < input.length; j ++){	
						if($(input[j]).attr('style') == "" || typeof $(input[j]).attr('style') == "undefined"){							
							var value = $(input[j]).val();
							var id = $(input[j]).attr('id');
							CurrentView.discountBeforeList.push(id +':'+ value);
						}
					}
				} else if($(child.find('#couponListDiv')).length > 0) {
					var input = $(child.find('#couponListDiv select'));
					for( var j = 0; j < input.length; j ++){
						if($(input[j]).attr('style') == "" || typeof $(input[j]).attr('style') == "undefined"){
							var value = $(input[j]).val();
							var id = $(input[j]).attr('id');
							CurrentView.discountBeforeList.push(id +':'+ value);
						}
					}
				} else if($(child.find('#chkSinglePaymentDiscount')).length > 0){
					var input = $(child.find('#chkSinglePaymentDiscount'));
					for( var j = 0; j < input.length; j ++){
						if($(input[j]).attr('style') == "" || typeof $(input[j]).attr('style') == "undefined"){
							var value = input.is(':checked');
							var id = $(input[j]).attr('id');
							CurrentView.discountBeforeList.push(id +':'+ value);
						}
					}
				}
			}
			
			//NS 임직원 할인 여부 체크
			if($("#discountStaff").length > 0){
				CurrentView.emplChecked = $("#checkemployee").is(":checked");
			}
			
			if(CurrentView.paymentMethod == 1600 && CurrentView.paymentMethodInitData['1600'].cardQuota != '00'){
				var element = NSPaySlider.slider.getCurrentSlideElement()[0];
				if($(element).find('.card').length >0){	
					CurrentView.discountBeforeList.push('cardQuota:'+$(element).find('#cardQuota').val())
				}
			}
			CurrentView.discountBeforeList.push("isChangeMileageByUser:"+CurrentView.isChangeMileageByUser);
		},
		
		discountCancel : function(){ //할인초기화
			var chkSinglePaymentDiscount = null; // 일시불 할인 체크 여부
			
			CurrentView.PaymentData.Discount.getItem(0).couponList = [];
			for(var i = 0; i < CurrentView.discountBeforeList.length; i ++){
				var discount = CurrentView.discountBeforeList[i].split(':');
				if(discount[0] == 'isChangeMileageByUser'){
					if(discount[1] == 'true')
						CurrentView.isChangeMileageByUser = true;
					else
						CurrentView.isChangeMileageByUser = false;
				} else {
					if($('#'+discount[0])[0].onblur != null){
						if(discount[1] * 1 > 0){
							var $select = $('#'+discount[0]);					
							$select.val(discount[1]);
							$select.trigger('blur');
						} else {
							var $select = $('#'+discount[0]);					
							$select.val('0');
							$select.trigger('blur');
						}
					}
					if($('#'+discount[0])[0].onchange != null){
						if(discount[1] != ''){
							var $select = $('#'+discount[0]);
							$select.find("#" + discount[1]).prop("selected", true);
							$select.trigger('change');
						} else {
							var $select = $('#'+discount[0]);
							$select.find("option:eq(0)").prop("selected", true);
							$select.trigger('change');
						}
					}
					if($('#'+discount[0])[0].onclick != null){
						var $select = $('#'+discount[0]);
						if(discount[1] == 'true'){
							$select.prop("checked", true);
						}
						else {
							$select.prop("checked", false);
						}
						chkSinglePaymentDiscount = $select.prop("checked");
						CurrentView.event.onchange_singlePaymentDiscount($('#chkSinglePaymentDiscount'));
					}
					if(CurrentView.paymentMethod == 1600 && discount[0] == 'cardQuota'){
						var element = NSPaySlider.slider.getCurrentSlideElement()[0];
						if($(element).find('.card').length >0){	
							$(element).find('#cardQuota').val(discount[1]);
							$(element).find('#cardQuota').trigger('change');
						}
					}
				}
			}
			
			// NS 임직원 할인
			if($("#discountStaff").length > 0){
				var $chkEmpl = $("#checkemployee");
				if($chkEmpl.prop("checked") || $chkEmpl.prop("checked") != CurrentView.emplChecked){
					$chkEmpl.prop("checked",CurrentView.emplChecked).trigger("change");
					//  NS 임직원 할인 (쿠폰) 적용시 일시불 할인이 해제 되므로 일시불 할인 체크 여부 판단하여 재 적용 
					$("#chkSinglePaymentDiscount").prop("checked",chkSinglePaymentDiscount);
					CurrentView.event.onchange_singlePaymentDiscount($('#chkSinglePaymentDiscount'));
				}
			}
		},
		
		setLastCashReceipt : function(){
			tran.callWCSJsonTran( "NSMypageCommCmd" , 
			{"tasknm" : "lastCashReceipt"}, 
			function (data){
				if( data != null && data.lastCashReceipt != null)
					CurrentView.lastCashReceipt = data.lastCashReceipt;						
			})
		},
		
		// APP SMS 접근 권한 설정(true : 권한 허용 동의, false : 권한 허용 불가.) - 2019.03.20 회원가입 점유인증 제거 - 구글 정책으로 인하여 SMS 인증 번호 추출 로직 주석처리
		/*
		callBackPermissionReceiveSms : function(data){
			
			// 접근 권한 유무와 관계없이 인증번호 발송				
			CurrentView.event.sendCertNumber();				
		},			
		
		// APP 인증번호 설정(APP에서 SMS 인증번호 수신했을 경우)			
		getSMSAuthNum : function(authNumber){
			$("#certNumer").val(authNumber);
		},
		*/
	},
	//ui 관련 함수를 정의한다.
	ui : {
		// 인증번호 입력 시간 제한 타이머.
		getAuthNoIntervalTime : function(){

			var comSecond = CurrentView.effectiveTime;
			var addZero = function(number){
				return parseInt(number, 10) < 10 ? "0" + number : number;
			};
			
			var hh = Math.floor(comSecond / 60);
			hh = addZero(hh)

			var mm = (comSecond % 60);
			mm = addZero(mm);
			
		    var m = hh + ":" + mm;
		    $("#timer").text(m);
		    		    
		    comSecond--;
		    CurrentView.effectiveTime = comSecond;
		    
		    if(comSecond < 0){			    	
		    	clearInterval(mainCtrl.m_timer);
		    	$(".timeoutMsg").show();			    	
		    	
		    }
		},
		// 인증번호 유효시간 이내일 경우 버튼 문구 변경
		getRequestAuthNoChange : function(effectiveTime){
			CurrentView.effectiveTime = effectiveTime;
			$("#timer").show();
			
			if(effectiveTime > 0){
				$("#textRequestAuthNo").text("인증번호 재발송");
				$("#btnSendCertNumber").addClass("btn_reconfirm");
				
				$("#btnChkCertNumber").removeClass("btn_disable");				
				
				// 인증번호입력 timeout 메시지 비활성화 및 확인 버튼 활성화
				$(".timeoutMsg").hide();		    	
			}
		},
		// 주문자 정보 설정(간편로그인 첫구매인경우만 확인 - 필요?)
		setOrdererInfo : function( data ) {
			if ((data.UserInfo.USER_TYPE == 'S' || data.UserInfo.USER_TYPE == 'K') && data.firstOrderYn == "Y"){	// 간편로그인 회원 첫주문
				CurrentView.bFirstOrderYnCert = true;
			} 
			
			// hckim 2019.03.06 회원가입 점유인증 제거 - SMS 인증하지 않았을 경우 인증 정보 노출				
			CurrentView.m_hpNoSmsAuthYn = data.hpNoSmsAuthYn;			
			
			// hckim 2019.01.10 회원가입점유인증제거 - 회원가입 SMS 인증을 받지 않았을 경우 인증 정보 노출				
			if(CurrentView.m_hpNoSmsAuthYn != "Y"){
				$("#divUserAuthInfo").show();	// 본인인증 정보
								
				$("#ordererHpNo").val(Ns.Util.insertSeparatorPhoneNumber(data.UserInfo.PHONE1, ""));												
				
				$('#divOrdererAuthYnInfo').show();
				
			}else{
				$("#divUserAuthInfo").hide();
				$('#divOrdererAuthYnInfo').hide();
			}
		},
		
		//상품 목록.
		setOrderItemList : function( data ) {
			if ( data == null || data.length < 1 ) {
				this.nonDataArea();
				return false;
			}
			
			var TOTAL_PRODUCT_AMT = 0;	//총주문금액
			var OFFER_AMT = 0;			//가격할인
			var SHIP_CHARGE = 0;		//총배송비
			var FINAL_PAYMENT_AMT = 0;	//결제예정금액
			var TOTAL_ITEM_COUNT = 0;	//주문 제품 총 수량
			var giftDispTypeYn = 'N';	//사은품 존재 여부 (상품권이나 기프트일 경우 복합결제 처리를 사용하지 않게 하기 위해 flag 관리)
			var msgCardWriteYN = 'Y';	//메세지카드 사용 여부
			var forecastReservedAmt = 0;//예상 적립금
			var minInstallCnt = 99;		//최소 무이자 개월 수
			var cardPreDcList = [];		//카드즉시할인 정보
			var inventoryQuantityYn = 'Y';		// 상품의 재고 유무
			var inventoryQuantityNoneNm = [];	// 재고부족 상품목록
			
			var sigOFFER_AMT = 0;
			
			// 장바구니 상품 출력.
			for (var i = 0; i < data.length; i++) {
				var objForecastReservedAmount = new Object();
				
				// 총 주문 수량 계산
				TOTAL_ITEM_COUNT += parseInt(data[i].goodsDetail.QUANTITY, 10);
				
				// 상품 목록 출력R*
				this.setProductItem( i, data[i] );
				
				// 총금액 계산
				TOTAL_PRODUCT_AMT += (data[i].goodsDetail.PRICE * data[i].goodsDetail.QUANTITY);
				
				// 할인쿠폰, 더할인쿠폰, 가격할인은 별도 계산식에 따라 처리
				var strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE = data[i].goodsDetail.XCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE;	// MD 이익률(문자열)
				if (undefined == strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE || null == strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE || "" == strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE){
					OFFER_AMT += data[i].goodsDetail.IMDTDCCPAMT * data[i].goodsDetail.QUANTITY;
					sigOFFER_AMT = data[i].goodsDetail.IMDTDCCPAMT * data[i].goodsDetail.QUANTITY;
				} else {
					var nPRICE = Number(data[i].goodsDetail.PRICE); // 매가 - data[i].goodsDetail.PRICE
					var nDC_PRICE = Number(data[i].goodsDetail.IMDTDCCPAMT); // 할인금액 - data[i].goodsDetail.PROM_VAL_CPC
					var n_XPriceDtl_COST_VAT_PERDO = Number(data[i].goodsDetail._XPriceDtl_COST_VAT_PERDO); // 원가 VAT 별도금액 - data[i].goodsDetail._XPriceDtl_COST_VAT_PERDO
					var n_XPriceDtl_VAT_AMT = Number(data[i].goodsDetail._XPriceDtl_VAT_AMT); // 부과세액 - data[i].goodsDetail._XPriceDtl_VAT_AMT
					var nXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE = Number(strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE); // MD 이익률 - data[i].goodsDetail.XCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE
					
					// (매가 - 할인금액 - 원가 VAT 별도금액 - 부과세액) / 매가  >= MD 이익률
					if ((nPRICE - nDC_PRICE - n_XPriceDtl_COST_VAT_PERDO - n_XPriceDtl_VAT_AMT) / nPRICE >= nXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE / 100){
						OFFER_AMT += data[i].goodsDetail.IMDTDCCPAMT * data[i].goodsDetail.QUANTITY;
						sigOFFER_AMT = data[i].goodsDetail.IMDTDCCPAMT * data[i].goodsDetail.QUANTITY;
					} else {
						OFFER_AMT += 0;
						sigOFFER_AMT = 0;
					}
				}
				
				// TV홈쇼핑 상품이면서 CTCOM인경우 , PROM_VAL_ARS 값이 있을 경우 할인 금액 세팅 
				// 방송중 동일혜택
				var strBusChnId = data[i].goodsDetail.XBUSCHN_ID;
				if ((strBusChnId == "TV" || strBusChnId == "TCOMM" || strBusChnId == "SB" || strBusChnId == "CTCOM") && undefined != data[i].goodsDetail.PROM_VAL_ARS){
					OFFER_AMT += Number(data[i].goodsDetail.PROM_VAL_ARS) * data[i].goodsDetail.QUANTITY;
					sigOFFER_AMT = Number(data[i].goodsDetail.PROM_VAL_ARS) * data[i].goodsDetail.QUANTITY;
				}
					
				SHIP_CHARGE += parseInt(data[i].goodsDetail.SHIPCHARGE, 10);
				FINAL_PAYMENT_AMT = parseInt(TOTAL_PRODUCT_AMT, 10) - parseInt(OFFER_AMT, 10) + parseInt(SHIP_CHARGE, 10);
				
				// 사은품 여부 체크
				if (data[i].goodsDetail.DISP_TYPE_CD == '50' || data[i].goodsDetail.DISP_TYPE_CD == '55' || data[i].goodsDetail.DISP_TYPE_CD == '60') {
					giftDispTypeYn = 'Y';
				}
				// 메세지카드 사용 여부 체크
				if (data[i].goodsDetail.MSG_CARD_WRITE_YN == 'N') {
					msgCardWriteYN = 'N';
				}

				// 최소 무이자 개월 체크
				if (minInstallCnt > parseInt(data[i].itemDetailInfo.ifiValue, 10)) {
					minInstallCnt = parseInt(data[i].itemDetailInfo.ifiValue, 10);
				}
				// 카드 선할인 정보
				if (data[i].itemDetailInfo.cardBnftList && data[i].itemDetailInfo.cardBnftList.length > 0){
					cardPreDcList = cardPreDcList.concat( data[i].itemDetailInfo.cardBnftList );	
				}
				
				// 상품 재고 여부 체크
				if (data[i].goodsDetail.DISP_TYPE_CD == "25"){
					// 초이스 상품일 경우 재고 체크 여부 체크 하지 않음
				} else {
					if (Number(data[i].goodsDetail.INVENTORY_QUANTITY) < Number(data[i].goodsDetail.QUANTITY)) {
						inventoryQuantityYn = 'N';
						inventoryQuantityNoneNm.push( data[i].itemDetailInfo.productName );
					}
				}
				
				// 예상 적립금 기초data 적재
				if (data[i].goodsDetail.PROM_DC_WAY_PAD == "AMT" || data[i].goodsDetail.PROM_DC_WAY_PAD == "RTO"){
					if (data[i].goodsDetail.PROM_VAL_PAD && data[i].goodsDetail.PROM_VAL_PAD != '') {
						CurrentView.PaymentData.Discount.setCouponItem(i, "PAD10100", {
							"ListName" : "PAD",
							"ImdtDcCpAmt" : "",	// "개당 적립 예정 금액"
							"DiscountPrice" : "",	// "총 적립 예정 금액" (= ImdtDcCpAmt x 수량)
							"PRMT_TYPE_CD" : "PAD",	// "PAD" //고정
							"WWW_AMT" : data[i].goodsDetail.PROM_DC_WAY_PAD == "AMT" ? data[i].goodsDetail.PROM_VAL_PAD : "0",	// "정률일경우 금액"
							"WWW_RATE" : data[i].goodsDetail.PROM_DC_WAY_PAD == "RTO" ? data[i].goodsDetail.PROM_VAL_PAD : "0",	// "정액일경우 적립율"
							"MAX_USE_NUM" : "0",	// "0" //고정
							"DC_TYPE_CD" : "10100",	// "10100"
							"USED_COUPON_QTY" : data[i].goodsDetail.QUANTITY,	// "수량"
							
							"PRICE" : data[i].goodsDetail.PRICE, // 상품 금액
							"PROM_VAL_PAD" : data[i].goodsDetail.PROM_DC_WAY_PAD,	// 정액, 정률 구분
							"OFFER_AMT" : String(sigOFFER_AMT)	// 가격할인 금액
						});
					}
				}
			}
			

			// 주문하실상품 주문금액 등 json 데이터에 임시 저장
			CurrentView.m_outputDatas.orderPrice.TOTAL_PRODUCT_AMT = TOTAL_PRODUCT_AMT;
			CurrentView.m_outputDatas.orderPrice.OFFER_AMT = OFFER_AMT;
			CurrentView.m_outputDatas.orderPrice.SHIP_CHARGE = SHIP_CHARGE;
			CurrentView.m_outputDatas.orderPrice.SHIP_CHARGE_ONE_DELIVERY = SHIP_CHARGE;
			CurrentView.m_outputDatas.orderPrice.FINAL_PAYMENT_AMT = FINAL_PAYMENT_AMT;
			CurrentView.m_outputDatas.TOTAL_ITEM_COUNT = TOTAL_ITEM_COUNT;
			CurrentView.m_outputDatas.giftDispTypeYn = giftDispTypeYn;
			CurrentView.m_outputDatas.msgCardWriteYN = msgCardWriteYN;			
			CurrentView.m_outputDatas.forecastReservedAmt = forecastReservedAmt;
			CurrentView.m_outputDatas.minInstallCnt = minInstallCnt;
			CurrentView.m_outputDatas.cardPreDcList = cardPreDcList;
			CurrentView.m_outputDatas.sfinalPaymentAmtSaveExclude = FINAL_PAYMENT_AMT;
			
			// 주문금액 출력
			$('#productAmt').html(Ns.Util.insertCommas(TOTAL_PRODUCT_AMT)+"원");		//총 상품금액
			$('#discountAmt').html(Ns.Util.insertCommas(OFFER_AMT)+"원");			//가격 할인
			$('#diliveryPee').html(Ns.Util.insertCommas(SHIP_CHARGE)+"원");	//배송비
			$('#finalAmt').html(Ns.Util.insertCommas(FINAL_PAYMENT_AMT));				//총 결제금액
			$('#mileageAmt').html(Ns.Util.insertCommas(forecastReservedAmt)+"원");	//예상 적립금
			
			// 폼 데이터에 반영
			CurrentView.PaymentData.Payment.setItem(0, {
				'payAmt' : FINAL_PAYMENT_AMT,
				'TOTAL_PRODUCT_AMT' : TOTAL_PRODUCT_AMT,
				'OFFER_AMT' : OFFER_AMT,
				'SHIP_CHARGE' : SHIP_CHARGE,
				'SHIP_CHARGE_ONE_DELIVERY' : SHIP_CHARGE,
				'SHIP_CHARGE_MULTI_DELIVERY' : SHIP_CHARGE,
				'FINAL_PAYMENT_AMT' : FINAL_PAYMENT_AMT,
				'couponDcAmt' : 0,
				'cardDcAmt' : 0
			});
			
			// 상품개수 체크. 단품일 경우, 복수 배송지 관련 안내문구를 숨김처리
			if(CurrentView.m_outputDatas.TOTAL_ITEM_COUNT < 2){
				$('#txtDeliveryNoti').hide();
			}
			
			// 상품유형 확인
			if (data[0].goodsDetail.DISP_TYPE_CD == '55' || data[0].goodsDetail.DISP_TYPE_CD == '60') { // 카드(상품권)
				CurrentView.DISP_TYPE_CD = 'CARD';
			} else if (data[0].goodsDetail.DISP_TYPE_CD == '30' && data[0].goodsDetail.PAY_TYPE_CD == '20') { // 정기주문
				CurrentView.DISP_TYPE_CD = 'DELIVERY';
			} else { // 일반상품 or 정기배송
				CurrentView.DISP_TYPE_CD = 'GENERAL';
			}
			
			// 상품 재고 여부 체크
			if (inventoryQuantityYn == 'N') {
				Ns.Popup.alert( inventoryQuantityNoneNm.join(', ') + " 상품의 재고가 없어 주문을 진행할 수 없습니다.", function(){
					mainCtrl.navigate('M_B1111000M');
				} );
				return false;
			}
			
			// 최초진입시 상품 종류 갯수
			CurrentView.nCountGds = CurrentView.PaymentData.Discount.discountList.length;
		},
		
		// 상품 아이템 출력
		setProductItem : function( index, data ) {
			//안심택배
			CurrentView.safe_count += data.goodsDetail.relaxGb;
			var check_safe_flag = "";
			check_safe_flag = data.goodsDetail.relaxGb;

			if(CurrentView.safe_count.indexOf('N') == -1)
				CurrentView.check_flag = 1;
			else
				CurrentView.check_flag = null;
			
			if(check_safe_flag == undefined)
				CurrentView.check_flag = null;
			
			//Wapers 복수배송지 불가 - Start 
			CurrentView.multiDelvVal[CurrentView.multiDelvIdx] = data.itemDetailInfo.excptYn;
			CurrentView.multiDelvIdx = CurrentView.multiDelvIdx + 1;
			//Wapers 복수배송지 불가 - End
			
			if(data.itemDetailInfo.adultItemFlag == "Y"){
				CurrentView.haveAdultItem = "Y";
				CurrentView.adultItems.push( data.goodsDetail.ORDERITEMS_ID );					
			}
			// 정기배송은 배송횟수만큼 곱하여 계산함.
			if (data.goodsDetail.DISP_TYPE_CD == '30' && data.goodsDetail.PAY_TYPE_CD == '10') {
				data.goodsDetail.QUANTITY = Number(data.goodsDetail.QUANTITY) * Number(data.goodsDetail.CNVEY_NUM);
			}
			
			// 매가할인 리스트
			var vImdtDcCpAmt = CurrentView.m_outputDatas.msg.ImdtDcCpAmtList[data.goodsDetail.ORDERITEMS_ID];
			// 쿠폰 할인금액 계산에 사용할 상품아이템 정보
			data.itemBaseData = {
				Price : data.goodsDetail.ITEMPRICE * data.goodsDetail.QUANTITY,
				QTY : Number(data.goodsDetail.QUANTITY),
				COST_PRICE : (Number(data.goodsDetail._XPriceDtl_COST_VAT_PERDO) + Number(data.goodsDetail._XPriceDtl_VAT_AMT)),
				COST_VAT_PERDO : Number(data.goodsDetail._XPriceDtl_COST_VAT_PERDO),
				VAT_AMT : Number(data.goodsDetail._XPriceDtl_VAT_AMT),
				BasePrice : (data.goodsDetail.ITEMPRICE - Number(vImdtDcCpAmt.PROM_VAL_CPC)) * data.goodsDetail.QUANTITY,
				MIN_CMSSN_RATE_SCOPE : Number(data.goodsDetail.XCATENTRY_DISP_MIN_CMSSN_RATE_SCOPE),
				MIN_CMSSN_RATE_SCOPE_PRICE : (data.goodsDetail.XCATENTRY_DISP_MIN_CMSSN_RATE_SCOPE / 100) * data.goodsDetail.ITEMPRICE,
				MargPrice : (data.goodsDetail.ITEMPRICE - ((data.goodsDetail.XCATENTRY_DISP_MIN_CMSSN_RATE_SCOPE / 100) * data.goodsDetail.ITEMPRICE))
			};
			
			// 주문 상품 json 데이터에 임시 저장
			CurrentView.m_outputDatas.orderItem.orderItemIds.push( data.goodsDetail.ORDERITEMS_ID );
			CurrentView.m_outputDatas.orderItem.catEntryIds.push( data.goodsDetail.CATENTRY_ID_CHILD );
			CurrentView.m_outputDatas.orderItem.orderItemQuantitys.push( data.goodsDetail.QUANTITY );
			CurrentView.m_outputDatas.orderItem.orderItemAmount.push( data.goodsDetail.PRICE );
			
			// 사은품 목록을 ITEMS에 담아줄 키값으로 파싱
			var arrGift = new Array();
			for (var i = 0; data.selectGift.length > i; i++){
				var objGeft = new Object();
				objGeft.GIFTNAME = data.selectGift[i].name;
				objGeft.GIFTVALUE = data.selectGift[i].value;
				arrGift[arrGift.length] = objGeft;
			}
			//최대구매수량
			var custDurSpr = 0;
			var partNumberFlag = 0;
			var maxquantity = 0;
			var maxOrderPossQty = 0;
			var custPrchQtyLimitYn = 0;
			
			if(data.itemDetailInfo.custDurSpr != undefined){
				custDurSpr = data.itemDetailInfo.custDurSpr;
			}
			
			if(data.itemDetailInfo.partNumber != undefined){
				partNumber = data.itemDetailInfo.partNumber;
			}
			
			if(data.itemDetailInfo.maxquantity != undefined){
				maxquantity = data.itemDetailInfo.maxquantity;
			}
			
			if(data.itemDetailInfo.maxOrderPossQty != undefined){
				maxOrderPossQty = data.itemDetailInfo.maxOrderPossQty;
			}
			
			if(data.itemDetailInfo.custPrchQtyLimitYn != undefined){
				custPrchQtyLimitYn = data.itemDetailInfo.custPrchQtyLimitYn;
			}
			
			// 폼 데이터에 반영
			CurrentView.PaymentData.Product.addItem({
				'INDEX' : String(index),
				'IMG' : Ns.Util.getImageUrl(String(data.itemDetailInfo.partNumber),'E'),
				'HEADNAME' : data.goodsDetail.XCATENTRY_DISP_MFNAME,
				'GOODSPARTNUMBER' : data.itemDetailInfo.partNumber,
				'CATENTRYID' : data.goodsDetail.CATENTRY_ID_CHILD,
				'GOODSCATENTRYID' : data.itemDetailInfo.partNumber,
				'PRICE' : data.goodsDetail.PRICE,
				'DCPRICE' : data.goodsDetail.DCPRICE,
				'SHIPCHARGE' : data.goodsDetail.SHIPCHARGE,
				'installCnt' : data.itemDetailInfo.ifiValue,
				'DLVY_GRP_KEY_CNT' : data.goodsDetail.DLVY_GRP_KEY_CNT,
				'DLVY_GRP_KEY' : data.goodsDetail.DLVY_GRP_KEY,
				'INTRV' : data.goodsDetail.INTRV,
				'CNVEY_NUM' : data.goodsDetail.CNVEY_NUM,
				'BRAND_KOR_NM' : data.itemDetailInfo.brandName,
				'ITNCATENTRYNM' : data.itemDetailInfo.productName,
				'PRODUCT_NAME' : data.itemDetailInfo.productName,
				'DISP_TYPE_CD' : data.goodsDetail.DISP_TYPE_CD,
				'QUANTITY' : data.goodsDetail.QUANTITY,
				'ORIGINAL_QUANTITY' : data.goodsDetail.QUANTITY,
				'ORDERITEMS_ID' : data.goodsDetail.ORDERITEMS_ID,
				'orderItemId' : data.goodsDetail.ORDERITEMS_ID,
				'CATENTRY_ID' : data.goodsDetail.CATENTRY_ID_CHILD,
				'itemId' : data.goodsDetail.ORDERITEMS_ID,
				'itemQuantity' : data.goodsDetail.QUANTITY,
				'itemAmt' : String(Number(data.goodsDetail.DCPRICE) * Number(data.goodsDetail.QUANTITY)),
				'BasePrice' : String(Number(data.goodsDetail.PRICE) * Number(data.goodsDetail.QUANTITY)),
				'adjustment' : String((data.goodsDetail.PRICE - data.goodsDetail.DCPRICE) * Number(data.goodsDetail.QUANTITY) * -1),
				'shipCharge' : data.goodsDetail.SHIPCHARGE,
				'DiscountPrice' : String(0),
				'extShipInfo' : '결제후 ' + (data.goodsDetail.AGREE_DLINE || '3') + '일 이내 배송(토,일,공휴일 제외)',
				'PROM_VAL_PAD' : data.goodsDetail.PROM_VAL_PAD,
				'CARDSENDTYPE' : data.goodsDetail.CARDSENDTYPE,
				'ITEM_RECEIVER_EMAIL' : data.goodsDetail.ITEM_RECEIVER_EMAIL,
				'RECEIVER_MOBILE' : Ns.Util.getPhoneNumber(data.goodsDetail.RECEIVER_MOBILE,"-"),
				'CARDMESSAGE' : data.goodsDetail.CARDMESSAGE,
				'STYLE_MNG_YN' : data.goodsDetail.STYLE_MNG_YN,
				'STYLEMNGY' : data.goodsDetail.STYLE_MNG_YN,
				'GIFT_YN' : data.goodsDetail.GIFT_YN,
				'GIFTN' : data.goodsDetail.GIFT_YN,
				'selectGift' : arrGift,
				'ATTRIBUTES' : data.attributes,
				'RMA_DLVR_YN' : data.goodsDetail.RMA_DLVR_YN,	// 도서산간 주문 가능 여부
				"NORMAL_SL_PRC" : data.goodsDetail.NORMAL_SL_PRC,
				"APPLY_CST_PRC" : data.goodsDetail.APPLY_CST_PRC,
				"NORMAL_CST_PRC" : data.goodsDetail.NORMAL_CST_PRC + "",
				"selectChoice" : data.selectChoice,	// 초이스상품 리스트
				"selectPack" : data.selectPack,	// 팩상품 리스트
				"BUSCHN_ID" : data.goodsDetail.XBUSCHN_ID,
				"XCOST_TYPE_CD" : data.goodsDetail.XCOST_TYPE_CD,
				"GIFTC_GOODS_ID" : data.goodsDetail._XCatEntChn_GIFTC_GOODS_ID,
				"CAMP_ID" : data.goodsDetail._XCatEntChn_CAMP_ID,
				"multiCd" : data.goodsDetail.MULTI_CD,
				"custDurSpr" : custDurSpr,
				"partNumber" : partNumber,
				"maxquantity":  maxquantity,
				"maxOrderPossQty":maxOrderPossQty,
				"custPrchQtyLimitYn":custPrchQtyLimitYn
			});

			var OFFER_AMT = 0;
			var strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE = data.goodsDetail.XCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE;	// MD 이익률(문자열)
			if (undefined == strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE || null == strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE || "" == strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE){
				OFFER_AMT += data.goodsDetail.IMDTDCCPAMT;
			} else {
				var nPRICE = Number(data.goodsDetail.PRICE); // 매가 - data[i].goodsDetail.PRICE
				var nDC_PRICE = Number(data.goodsDetail.IMDTDCCPAMT); // 할인금액 - data[i].goodsDetail.PROM_VAL_CPC
				var n_XPriceDtl_COST_VAT_PERDO = Number(data.goodsDetail._XPriceDtl_COST_VAT_PERDO); // 원가 VAT 별도금액 - data[i].goodsDetail._XPriceDtl_COST_VAT_PERDO
				var n_XPriceDtl_VAT_AMT = Number(data.goodsDetail._XPriceDtl_VAT_AMT); // 부과세액 - data[i].goodsDetail._XPriceDtl_VAT_AMT
				var nXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE = Number(strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE); // MD 이익률 - data[i].goodsDetail.XCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE
				
				// (매가 - 할인금액 - 원가 VAT 별도금액 - 부과세액) / 매가  >= MD 이익률
				if ((nPRICE - nDC_PRICE - n_XPriceDtl_COST_VAT_PERDO - n_XPriceDtl_VAT_AMT) / nPRICE >= nXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE / 100){
					OFFER_AMT += data.goodsDetail.IMDTDCCPAMT;
				} else {
					OFFER_AMT += 0;
				}
			}
			
			// TV홈쇼핑 상품이면서 CTCOM인경우, PROM_VAL_ARS 값이 있을 경우 할인 금액 세팅 
			// 방송중 동일혜택
			var strBusChnId = data.goodsDetail.XBUSCHN_ID;
			if ((strBusChnId == "TV" || strBusChnId == "TCOMM" || strBusChnId == "SB" || strBusChnId == "CTCOM") && undefined != data.goodsDetail.PROM_VAL_ARS){
				OFFER_AMT = Number(data.goodsDetail.PROM_VAL_ARS);
			}
			
			var tDiscountPrice = OFFER_AMT * Number(data.goodsDetail.QUANTITY);
			
			// 가격할인 폼 데이터에 반영
			CurrentView.PaymentData.Discount.setItem(index, {
				"orderItemId" : data.goodsDetail.ORDERITEMS_ID,
				"CATENTRY_ID" : data.goodsDetail.CATENTRY_ID_CHILD
			});
			
			CurrentView.PaymentData.Discount.setCouponItem(index, CurrentView.Const.DISCOUNT_PRODUCT_CPC_INDEX, {
				"ListName" : "CPC",
				"ImdtDcCpAmt" : String(Number(OFFER_AMT, 10)),
				"DiscountPrice" : String(tDiscountPrice),
				"PRMT_TYPE_CD" : CurrentView.PaymentData.Discount.getDefineValue("PRMT_TYPE_CD", "CPC"), // 프로모션타입코드
				"DC_TYPE_CD" : (strBusChnId == "TV" || strBusChnId == "TCOMM" || strBusChnId == "SB" || strBusChnId == "CTCOM") && undefined != data.goodsDetail.PROM_VAL_ARS ? "200" : CurrentView.PaymentData.Discount.getDefineValue("DC_TYPE_CD", "CPC"), // 할인타입코드
				"WWW_RATE" : String(0),
				"WWW_AMT" : String(OFFER_AMT * Number(data.goodsDetail.QUANTITY)),
				"MAX_USE_NUM" : String(0),
				"CP_IDFR" : (data.goodsDetail.OFFER_ITEM_CD || "-9999"),
				"USED_COUPON_QTY" : data.goodsDetail.QUANTITY
			});
			
		},
		//쿠폰할인 출력
		setDiscountCoupons : function(data) {
			if (data.CouponList == null) {
				return false; //쿠폰 사용안함
			}

			// NS임직원 관련 데이터
			var staffBnft = data.staffBnft;
			CurrentView.staffCouponId  = staffBnft.couponId;
			
			var selectKeyList = CurrentView.PaymentData.Discount.getDefineValue("CouponSelectInfo", "selectKeyList");
			var objCouponCount = new Object(); // 화면에 생성되는 쿠폰을 카운트 한다
			var arrDlvCpList = new Array();	// 무료배송쿠폰 리스트
			
			
			// 주문서작성.쿠폰할인 목록 출력
			// 할인쿠폰, 더할인쿠폰, 가격할인은 별도 계산식에 따라 처리
			var html = '';
			var arrHtmlData = new Array();
			for (var i = 0; i < data.OrderGoodList.length; i++) {
				
				// 모든쿠폰제외여부가 설정이 되어 있으면 해당 상품은 모든 할인쿠폰이 적용되어서는 안됩니다
				// 해당 상품의 모든쿠폰제외여부 처리
				if (data.OrderGoodList[i].itemDetailInfo.everyCpExcptYn == "Y"){
					continue;
				}
				
				var _goodsDetail = data.OrderGoodList[i].goodsDetail; // 상품정보
				var _itemDetailInfo = data.OrderGoodList[i].itemDetailInfo; // 상품상세정보
				
				objCouponCount[_goodsDetail.ORDERITEMS_ID] = 0;
				
				// 무료배송 쿠폰 중복data를 제거 하고 별도 array에 담는다
				if (undefined != data.CouponList[_goodsDetail.ORDERITEMS_ID].freeDlvry){
					var arrFreeDlvry = data.CouponList[_goodsDetail.ORDERITEMS_ID].freeDlvry;
					if (arrFreeDlvry.length > 0){
						for (var j = 0; arrFreeDlvry.length > j; j++){
							var bInDataCheck = false;
							
							for (var k = 0; arrDlvCpList.length > k; k++){
								if (arrFreeDlvry[j].CP_IDFR == arrDlvCpList[k].CP_IDFR){
									arrDlvCpList[k].ORDERITEMS_IDS[arrDlvCpList[k].ORDERITEMS_IDS.length] = _goodsDetail.ORDERITEMS_ID;
									bInDataCheck = true;
								}
							}
							
							if (bInDataCheck == false){
								var nCount = arrDlvCpList.length;
								arrDlvCpList[nCount] = arrFreeDlvry[j];
								arrDlvCpList[nCount].ORDERITEMS_IDS = new Array();
								arrDlvCpList[nCount].ORDERITEMS_IDS[0] = _goodsDetail.ORDERITEMS_ID;
							}
						}
					}
				}
									
				// 상품별 쿠폰 select box
				for (var j = 0; j < selectKeyList.length; j++) {

					var staffYn = false; // 임직원 할인쿠폰 체크
					
					var strHtmlOption = "";	// selectbox option html
					var strDisplay = "display : none;";	// selectbox 라인 표시 style ; default-숨김
					var bCpChoice = data.CouponList[_goodsDetail.ORDERITEMS_ID].hasOwnProperty(selectKeyList[j].index);						
					
					if (null == data.CouponList[_goodsDetail.ORDERITEMS_ID][selectKeyList[j].index]){
						bCpChoice = false;
					}
					
					// 쿠폰별 select options list
					if (bCpChoice){
						var _couponDetailList = data.CouponList[_goodsDetail.ORDERITEMS_ID][selectKeyList[j].index]; // 쿠폰 상세 목록
						for (var k = 0; k < _couponDetailList.length; k++) {
							var bViewChk = true;	// 화면에 표시 여부
							
							// 플래쉬세일(슈퍼핫딜)의 경우 알뜰 쿠폰이 아닌경우 모두 화면 미표시 
							if (_goodsDetail.FLASH_SALE_YN == "Y" && selectKeyList[j].index != "3"){
								bViewChk = false;	// 화면 미표시
							}
							
							// 할인쿠폰(1), 더할인쿠폰(2) 일경우
							if (selectKeyList[j].index == "1" || selectKeyList[j].index == "2"){
								var strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE = _goodsDetail.XCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE;	// MD 이익률(문자열)
								if (undefined == strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE || null == strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE || "" == strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE){
									// 화면 표시
								} else {
									var nPRICE = Number(_goodsDetail.PRICE);	// 매가	- goodsDetail.PRICE
									var nDC_PRICE = _couponDetailList[k].WWW_RATE == '0' ? Number(_couponDetailList[k].WWW_AMT) : nPRICE / 100 * Number(_couponDetailList[k].WWW_RATE);// 할인금액
									var n_XPriceDtl_COST_VAT_PERDO = Number(_goodsDetail._XPriceDtl_COST_VAT_PERDO);	// 원가VAT별도금액	- goodsDetail._XPriceDtl_COST_VAT_PERDO
									var n_XPriceDtl_VAT_AMT = Number(_goodsDetail._XPriceDtl_VAT_AMT);	// 부과세액	- goodsDetail._XPriceDtl_VAT_AMT
									var nXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE = Number(strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE);	// MD 이익률	- goodsDetail.XCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE
									
									// (매가 - 할인금액 - 원가 VAT 별도금액 - 부과세액) / 매가  >= MD 이익률
									if ((nPRICE - nDC_PRICE - n_XPriceDtl_COST_VAT_PERDO - n_XPriceDtl_VAT_AMT) / nPRICE >= nXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE / 100){
										// 화면 표시
									} else {
										bViewChk = false;	// 화면 미표시
									}
								}
							}
							
							// 비회원 주문일 경우 옵션 화면에 표시하지 않음..
							if (CurrentView.IS_GUEST){
								bViewChk = false;
							}

							// NS임직원 쿠폰 객체 리스트 
							if(staffBnft.empYn == "Y" && staffBnft.couponId == _couponDetailList[k].CP_IDFR){
								staffYn = true;
								CurrentView.staffCouponElementId.push(_goodsDetail.ORDERITEMS_ID + "_" + _couponDetailList[k].CP_IDFR);
							}
															
							if (bViewChk){
								//표시 인경우 option에 추가. 
								strHtmlOption += Ns.Util.stringFormat('<option id="{4}" value="{4}">{1}</option>',
										Ns.Util.htmlEncode( JSON.stringify(_couponDetailList[k]) ),
										_couponDetailList[k].CP_NM == "" ? selectKeyList[j].title + "[" + _couponDetailList[k].CP_IDFR + "]" : _couponDetailList[k].CP_NM + "[" + _couponDetailList[k].CP_IDFR + "]",
//											selectKeyList[j].title,
										(_couponDetailList[k].WWW_RATE == '0' ? _couponDetailList[k].WWW_AMT+'원' : _couponDetailList[k].WWW_RATE+'%'),
										_couponDetailList[k].CP_IDFR,
										_goodsDetail.ORDERITEMS_ID + "_" + _couponDetailList[k].CP_IDFR
								);
								strDisplay = "";	// selectbox 라인 표시
								// NS임직원 쿠폰은 카운팅 제외
								if(!staffYn){
									objCouponCount[_goodsDetail.ORDERITEMS_ID]++;
								}
							}
							
							arrHtmlData[arrHtmlData.length] = {ele : "option", key : _goodsDetail.ORDERITEMS_ID + "_" + _couponDetailList[k].CP_IDFR, inData : _couponDetailList[k]};
						}
					}
					
					html += Ns.Util.stringFormat('\
						<select id="coupon_{1}_{3}" name="coupon_{1}_{3}" title="쿠폰 선택" class="select" style="{5}" onchange="CurrentView.event.onchange_discountCoupons(this,\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'\');">\
						<option value="">{4}</option>',
						i,
						j,
						selectKeyList[j].index,
						_goodsDetail.ORDERITEMS_ID,							
						selectKeyList[j].defaultText,
						strDisplay
					);
					
					// 쿠폰별 select options list 추가
					html += strHtmlOption;
					
					html += Ns.Util.stringFormat('</select>',
							j,
							_goodsDetail.ORDERITEMS_ID
					);

					$('#couponList').append(strHtmlOption);
														
					arrHtmlData[arrHtmlData.length] = {ele : "select", key : "coupon_" + j + "_" + _goodsDetail.ORDERITEMS_ID, inData : {
						'ORDERITEMS_ID' : _goodsDetail.ORDERITEMS_ID,
						'CATENTRY_ID_CHILD' : _goodsDetail.CATENTRY_ID_CHILD,
						'ITEMPRICE' : _goodsDetail.ITEMPRICE,
						'PRICE' : _goodsDetail.PRICE,
						'DCPRICE' : _goodsDetail.DCPRICE,
						'QUANTITY' : _goodsDetail.QUANTITY,
						'_XPriceDtl_COST_VAT_PERDO' : _goodsDetail._XPriceDtl_COST_VAT_PERDO,
						'_XPriceDtl_VAT_AMT' : _goodsDetail._XPriceDtl_VAT_AMT,
						'_XPriceDtl_COST_VAT_PERDO' : _goodsDetail._XPriceDtl_COST_VAT_PERDO,
						'XCATENTRY_DISP_MIN_CMSSN_RATE_SCOPE' : _goodsDetail.XCATENTRY_DISP_MIN_CMSSN_RATE_SCOPE
						}
					};
				}
			}

			$('#couponListDiv').append(html);

			for (var i = 0; arrHtmlData.length > i; i++){
				if (arrHtmlData[i].ele == "select"){
					$("select[name=" + arrHtmlData[i].key + "]").data("data", arrHtmlData[i].inData);
				} else {
					$("#" + arrHtmlData[i].key).data("data", arrHtmlData[i].inData);
				}
			}
			
			if (arrDlvCpList.length > 0){ //무료배송쿠폰
				
				
				// 단일상품, 수량 1개, 무료배송일 경우 무료배송쿠폰 숨김
				if (data.OrderGoodList.length == 1 && data.OrderGoodList[0].goodsDetail.SHIPCHARGE == "0" && data.OrderGoodList[0].goodsDetail.QUANTITY == "1"){
					// 무료배송쿠폰 숨김
				} else {
					// 무료배송쿠폰 사용
				}
			}
			
			// 쿠폰할인 항목 사용가능여부 체크
			var totalCouponCount = 0;
			for (var key in objCouponCount) {
				totalCouponCount += objCouponCount[key];
			}
			
			var freeDelvCpnCnt = 0;
			if(undefined != _goodsDetail && _goodsDetail != "" ){
				if(undefined != data.CouponList[_goodsDetail.ORDERITEMS_ID].freeDlvry && data.CouponList[_goodsDetail.ORDERITEMS_ID].freeDlvry != ""){
					freeDelvCpnCnt = data.CouponList[_goodsDetail.ORDERITEMS_ID].freeDlvry.length;
				}
			}
			
			if(undefined != freeDelvCpnCnt || freeDelvCpnCnt != ""){
				totalCouponCount = totalCouponCount + freeDelvCpnCnt;
			}
			
			if (totalCouponCount == 0) {
				 //쿠폰 사용안함
			}

			// NS 임직원 쿠폰 정보 담기
			$(CurrentView.staffCouponElementId).each(function(idx,val){
				var couponElId =  "#" + val;
				var parentId = $(couponElId).parent().attr("id");
				CurrentView.staffCouponElement[parentId] = $(couponElId).clone(true).data( $.extend( {}, $(couponElId).data() ) );
				$(couponElId).remove();
			});
			
			if (CurrentView.IS_GUEST == false){	// 비회원이 아닌경우
				//TODO 쿠폰할인 내역에서 할인금액이 가장 높은 쿠폰으로 자동 선택
				// 20141101 정헌태 수정 - 전문에서 나온 것을 자동으로 선택
				try {
					for (var i = 0; i < data.OrderGoodList.length; i++) { // 상품 목록
						var strORDERITEMS_ID = data.OrderGoodList[i].goodsDetail.ORDERITEMS_ID;
						if(data.OrderGoodList[i].goodsDetail.FLASH_SALE_YN == "Y" && data.OrderGoodList[i].goodsDetail.FLASH_COUPON_USE_YN == "Y"){	// 플래쉬세일(슈퍼핫딜)의 경우 처리
							// 슈퍼핫딜의 경우 쿠폰은 하나만 나오며 best 쿠폰에는 나타나지 않는다.
							// 고정 알뜰 쿠폰을 선택한다.
							// 해당 select box은 disabled 한다.
							// 전문이 개판으로 해놔서 상품상세에서 플레시 세일일 경우 쿠폰번호 main.js 쪽에 세팅하고 넘어와 사용 하도록
							if (data.CouponList[strORDERITEMS_ID][3] != null){
								for (var j = 0; data.CouponList[strORDERITEMS_ID][3].length > j; j++){
									if (data.CouponList[strORDERITEMS_ID][3][j].CP_IDFR == data.CouponList[strORDERITEMS_ID].flashMap.OFFER_ITEM_CD){
										$("#" + strORDERITEMS_ID + "_" + data.CouponList[strORDERITEMS_ID][3][j].CP_IDFR).prop("selected", true).parent().trigger('change').prop("disabled", true);
										CurrentView.FLASH_SALE_ENDDD =  data.CouponList[strORDERITEMS_ID][3][j].CP_VALID_ENDDD;	// 쿠폰 종료일 전역변수 세팅
									}
									
									//주문UI개편
									CurrentView.happydealcoupon_flag = "Y";
									CurrentView.option.push( strORDERITEMS_ID +"_"+ data.CouponList[strORDERITEMS_ID][3][j].CP_IDFR );
									
									//TODO:해당 쿠폰 선택
								}
							}
						} else if (undefined != data.BestCouponList[strORDERITEMS_ID]){
							for (var j = 0; j < selectKeyList.length; j++) { // 쿠폰 종류
								var strCpIdfr = data.BestCouponList[strORDERITEMS_ID].couponMap["plus" + selectKeyList[j].index].cpIdfr;									
								if (strCpIdfr != ""){
									var $select = $('#couponListDiv [name=coupon_' + j + '_' + strORDERITEMS_ID + ']');										
									$select.find("#" + strORDERITEMS_ID +"_"+ strCpIdfr).attr("name","bestCoupon").prop("selected", true);
									$select.trigger('change');
								}
							}
						}
					}
				} catch (e) {
					Ns.Util.viewConsoleLog('[할인쿠폰 자동선택 오류][CurrentView.ui.setDiscountCoupons] ==> ' + e.message);
				} finally {
					CurrentView.ui.setStaffDiscount(staffBnft);
				}
			}
		},

		// NS 임직원 할인 노출 
		setStaffDiscount : function(staffBnft){
			// NS임직원 할인 적용이 가능 한 상품 인 경우 에만 임직원 할인 노출
			if(staffBnft.empYn == "Y"){
				// NS임직원 할인 잔여 한도 체크
				if(	Number(staffBnft.balanceAmt) >= Number(CurrentView.m_outputDatas.orderPrice.TOTAL_PRODUCT_AMT)){
					//NS임직원 할인이 일반 쿠폰보다 할인률이 높으면 Y
					if(staffBnft.bnftBiggerYn == "Y" ){
						$("#checkemployee").off().on("change", CurrentView.event.onchange_staffCoupon).prop("checked", true).trigger("change");
					} else {
						$("#checkemployee").off().on("change", CurrentView.event.onchange_staffCoupon);
					}
				}else {
					$("#checkemployee").prop("disabled",true);
				}
				$("#span_balanceAmt").text( Ns.Util.insertCommas(staffBnft.balanceAmt) + "원 (쿠폰과 중복 사용 불가)");
				$("#discountStaff").show();
			} else {
				$("#discountStaff").remove();
			}
		},
		
		//할인정보 출력
		setAdjustmentList : function( data ) {
			var fieldsetList = [];
			if ((parseInt(data.UserInfoBenefit.ANNUDCCP_BALANCE, 10) > 0) && (CurrentView.m_outputDatas.giftDispTypeYn != 'Y')) {
				fieldsetList.push( {'targetId' : 'discountAnnual',	'name' : 'annualCoupons',	'title' : '연간할인권',	'amountText' : '보유 금액',		'amountFieldName' : 'UserInfoBenefit.ANNUDCCP_BALANCE',		'amount' : (data.UserInfoBenefit.ANNUDCCP_BALANCE || 0) } );
			} else {
				$('#discountAnnual').parent().hide(); //연간할인권 사용안함
			}
			
			if (data.UsePaymentInfo.ACCUMMONEY == "Y" && (parseInt(data.UserInfoBenefit.MILEAGE_BALANCE, 10) > 0) && data.UserInfo.REGISTERTYPE != 'G'){
				fieldsetList.push( {'targetId' : 'reserveUse',		'name' : 'reservedAmt',		'title' : '적립금',		'amountText' : '보유 적립금',	'amountFieldName' : 'UserInfoBenefit.MILEAGE_BALANCE',		'amount' : (data.UserInfoBenefit.MILEAGE_BALANCE || 0) } );
			}
			
			if ( fieldsetList.length == 0 || (data.UserInfo.REGISTERTYPE == 'G') ) { // 비회원이면 할인정보 출력 안함
				$('#discountAnnual').parent().hide(); //연간할인권 사용안함
			}
			
			// 카드일시불할인 항목 사용가능여부 체크
			var totalLspRate = 0;
			for (var i = 0; i < data.OrderGoodList.length; i++) {
				var vImdtDcCpAmt = data.ImdtDcCpAmtList[data.OrderGoodList[i].goodsDetail.ORDERITEMS_ID]; // 매가할인 리스트
				totalLspRate += Number(vImdtDcCpAmt.PROM_VAL_LSP_RATE);
			}
			
			// 일시불할인제외여부가 설정이 되어 있으면 해당 상품은 일시불할인 데이터가 존재하더라도 할인 금액이 적용, 노출되어서는 안됩니다 
			if (totalLspRate == 0 || data.OrderGoodList[0].itemDetailInfo.lumpsumdcExcptYn == "Y") {				
				$('#discountCard').remove(); //카드일시불할인 사용안함
			} else {
				$('#chkSinglePaymentDiscount').trigger('click');
			}
			
			if(CurrentView.m_outputDatas.orderPrice.OFFER_AMT > 0)
				$('#discountProductAmt').html('<strong>-'+Ns.Util.insertCommas(CurrentView.m_outputDatas.orderPrice.OFFER_AMT)+'</strong>원');
			else
				$('#discountProduct').remove();
			
			if (fieldsetList.length > 0) {
				for (var i = 0; i < fieldsetList.length; i++) {
					//적립금/예치금 사용 출력
					
					if(fieldsetList[i].name == "reservedAmt"){
						$('#inputUseMileage').attr('onblur','CurrentView.event.onblur_inputReserveUse(this,"discountMileageAmt","'+fieldsetList[i].amountText+'","'+CurrentView.m_outputDatas.msg.UserInfoBenefit.MILEAGE_BALANCE+'")');
						CurrentView.ui.setFullMileage();
					}
				}
			} else {
				//적립금/예치금 사용안함
			}
		},
		
		setFullMileage : function(){
			var finalAmt = (CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT * 1) + (CurrentView.PaymentData.Payment.getItem(0).Additionalpaymentamount * 1);
			var shipAmt = CurrentView.PaymentData.Payment.getItem(0).SHIP_CHARGE * 1;
			var totalMileage = CurrentView.m_outputDatas.msg.UserInfoBenefit.MILEAGE_BALANCE;
			
			finalAmt = finalAmt + shipAmt; //배송비를 더한다. 
			
			var discountMileage = finalAmt - totalMileage > 0 ? totalMileage : totalMileage + Math.round(finalAmt - totalMileage);
			
			if(discountMileage > totalMileage)
				discountMileage = totalMileage;
			
			$('#hasMileage').text(Ns.Util.insertCommas(totalMileage) + '원');						
			$('#inputUseMileage').val(discountMileage);
			$('#discountMileageAmt').html( '<strong>-' + Ns.Util.insertCommas(discountMileage) + '</strong>원' );
			$('#inputUseMileage').trigger('blur');
			
			if(CurrentView.isMileageAlertToClient && !CurrentView.isChangeDiscountAlert){//사용자가 적릭금을 수정 한경우 수정 정보 alert 
				Ns.Popup.alert("할인/적립금 내역이 변경되었습니다. <br> 확인해주세요.");
				CurrentView.isChangeDiscountAlert = true;
			}
		},
		
		//할인금액 출력
		setDiscountAmount : function() {
			// 선택한 쿠폰의 할인금액 계산
			var totalCouponDiscountPrice = 0;
			var totalCardDiscountPrice = 0;
			var totalCardPreDiscountPrice = 0;
			var totalFreeShippingCharge = 0;
			var totalsaleprice = 0;

			var tmpdisCntSize = 1;
			if (CurrentView.nCountGds<2){
				tmpdisCntSize = CurrentView.nCountGds ; 	
			} else {
				tmpdisCntSize = CurrentView.PaymentData.Discount.size();
			}
			
			for (var i = 0; i < tmpdisCntSize ; i++) {
				var savedDiscountItem = CurrentView.PaymentData.Discount.getItem(i);
				var totalDiscountPrice = 0;
				var couponDiscountPrice = 0;
				var cardDiscountPrice = 0;
				var cardPreDiscountPrice = 0;
				var freeDlvryDiscountPrice = 0;
									
				var sigCouponDiscountPrice = 0;
				var sigCardDiscountPrice = 0;
				var sigCardPreDiscountPrice = 0;
				if (savedDiscountItem && savedDiscountItem.couponList && savedDiscountItem.couponList.length > 1) {
					for (var j = 1; j < savedDiscountItem.couponList.length; j++) {
						if (savedDiscountItem.couponList[j] && savedDiscountItem.couponList[j].DiscountPrice) {
							if (savedDiscountItem.couponList[j].ListName == 'LSP') { // 카드할인(일시불할인)
								cardDiscountPrice += Number(savedDiscountItem.couponList[j].DiscountPrice);
								sigCardDiscountPrice += Number(savedDiscountItem.couponList[j].ImdtDcCpAmt, 10)
							} else if (savedDiscountItem.couponList[j].ListName == 'cardPreDc') { // 카드할인(카드선할인)
								cardPreDiscountPrice += Number(savedDiscountItem.couponList[j].DiscountPrice);
								sigCardPreDiscountPrice += Number(savedDiscountItem.couponList[j].ImdtDcCpAmt, 10)
							} else if (savedDiscountItem.couponList[j].ListName == 'freeDlvry') {	// 무료배송쿠폰할인
								freeDlvryDiscountPrice += Number(savedDiscountItem.couponList[j].DiscountPrice);
							} else { // 일반쿠폰
								if (savedDiscountItem.couponList[j].ListName != 'PAD' && savedDiscountItem.couponList[j].ListName != 'cardPreDc_35'){
									couponDiscountPrice += Number(savedDiscountItem.couponList[j].DiscountPrice);
									sigCouponDiscountPrice += Number(savedDiscountItem.couponList[j].ImdtDcCpAmt, 10)
								}
							}
						}
					}
					if(undefined == savedDiscountItem.couponList[0]){
						totalDiscountPrice += (couponDiscountPrice + cardDiscountPrice + cardPreDiscountPrice + Number(freeDlvryDiscountPrice));
					} else {
						totalDiscountPrice += (Number(savedDiscountItem.couponList[0].DiscountPrice) + couponDiscountPrice + cardDiscountPrice + cardPreDiscountPrice + Number(freeDlvryDiscountPrice));
					}
				}
				
				totalCouponDiscountPrice += couponDiscountPrice;
				totalCardDiscountPrice += cardDiscountPrice;
				totalCardPreDiscountPrice += cardPreDiscountPrice;
				totalFreeShippingCharge += freeDlvryDiscountPrice;
				
				// 예상적립금이 있을경우 개별 할인금액을 담는다.(배송비 재외)
				if (undefined != CurrentView.PaymentData.Discount.getItem(i).couponList["PAD10100"]){
					CurrentView.PaymentData.Discount.setCouponItem(i, "PAD10100", {
						"couponDiscountPrice" : sigCouponDiscountPrice,
						"cardDiscountPrice" : sigCardDiscountPrice,
						"cardPreDiscountPrice" : sigCardPreDiscountPrice
					});
				}
				
				// 상품정보 폼 데이터 반영
				CurrentView.PaymentData.Product.setItem(i, {
					'DiscountPrice' : String(totalDiscountPrice)
				});
				
				for (var j = 0; j < CurrentView.PaymentData.Delivery.deliveryList.length; j++){
					var objDL = CurrentView.PaymentData.Delivery.deliveryList;
					
					for (var k = 0; k < objDL[j].ITEMS.length; k++){
						if (CurrentView.PaymentData.Product.getItem(i).ORDERITEMS_ID == objDL[j].ITEMS[k].ORDERITEMS_ID){
							var nTotalDiscountPrice = 0;
							
							if (objDL[j].ITEMS[k].ORIGINAL_QUANTITY == objDL[j].ITEMS[k].QUANTITY){
								nTotalDiscountPrice = totalDiscountPrice;
							} else {
								nTotalDiscountPrice = totalDiscountPrice / Number(objDL[j].ITEMS[k].ORIGINAL_QUANTITY, 10) * Number(objDL[j].ITEMS[k].QUANTITY, 10);
							}
							CurrentView.PaymentData.Delivery.setProductItem( j, k, {
								'TOTALADJUSTMENT' : String(nTotalDiscountPrice)
							} );
						}
					}
				}
			}
			///총 할인금액
			totalsaleprice = totalCouponDiscountPrice + totalCardDiscountPrice + totalCardPreDiscountPrice + totalCardPreDiscountPrice + totalFreeShippingCharge;
			$("#discountCreaditCardAmt").html( '<strong>-' + Ns.Util.insertCommas(totalCardDiscountPrice) + '</strong>원' );			//일시불 할인
			$('#totalDiscountAmt').html( '<strong>-' + Ns.Util.insertCommas(totalsaleprice) + '</strong>원' );		//총
			

			if($("#checkemployee").is(":checked")){
				$("#discountEmployeeAmt").html( '<strong>-' + Ns.Util.insertCommas(totalCouponDiscountPrice) + '</strong>' );				//임직원 할인
				$('#discountCouponAmt').html( '<strong>-' + 0 + '</strong>원' );		//쿠폰할인
			} else {
				$('#discountCouponAmt').html( '<strong>-' + Ns.Util.insertCommas(totalCouponDiscountPrice) + '</strong>원' );		//쿠폰할인
				$('#discountEmployeeAmt').html( '<strong>-' + 0 + '</strong>' );	//임직원 할인
			}


			// 폼 데이터에 반영
			CurrentView.PaymentData.Payment.setItem(0, {
				'couponDcAmt' : String(totalCouponDiscountPrice + totalFreeShippingCharge),
				'cardDcAmt' : String(totalCardDiscountPrice + totalCardPreDiscountPrice),
				'freeShippingDcAmt' : totalFreeShippingCharge
			});
			
			//결제할 금액 재계산
			CurrentView.ui.setFinalPaymentAmount();
		},
		
		//결제정보(적립금/예치금) 출력
		setPaymentAmount : function(objName, dispDiv, amount) {
			// 입력한 필드에 이미 입력된 금액과 최종 결제 금액을 합한다.
			var nDcAmount = (CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT * 1) + Number($('#discountUl [name=' + objName + ']').val(), 10);
			//결제할 금액과 입력정보 비교하여 결제할 금액이하로 결제되도록 설정
			if (nDcAmount < (amount * 1)) {
				amount = nDcAmount;
			}

			$('#'+dispDiv).html( '<strong>-' + Ns.Util.insertCommas(amount) + '</strong>원' );
			if(amount == 0)
				$('#discountUl [name=' + objName + ']').val(null);
			else
				$('#discountUl [name=' + objName + ']').val(amount);
			
			
			// 결제정보(적립금/예치금) 폼 데이터 반영
			var index = CurrentView.PaymentData.Payment.getDefineValue(objName, "index");
			var payType = CurrentView.PaymentData.Payment.getDefineValue(objName, "payType");
			var requestCommand = CurrentView.PaymentData.Payment.getDefineValue(objName, "requestCommand");

			// 결제 폼 데이터 반영
			CurrentView.PaymentData.Payment.setItem(index, {
				'payType' : payType,
				'requestCommand' : requestCommand,
				'payAmt' : String(amount)
			});
			
			//결제할 금액 재계산
			CurrentView.ui.setFinalPaymentAmount();
		},

		//총결제금액 출력
		setFinalPaymentAmount : function() {
			var frm = $("#discountUl");
			var annualCoupons		= Ns.Util.toNumeric(frm.find("[name=annualCoupons]").val());	//연간할인권 사용금액
			var reservedAmt			= Ns.Util.toNumeric(frm.find("[name=reservedAmt]").val());		//적립금 사용금액
			var depositAmount		= Ns.Util.toNumeric(frm.find("[name=depositAmount]").val());	//예치금 사용금액
			var giftCardAmount		= Ns.Util.toNumeric(frm.find("[name=giftCardAmount]").val());	//NS상품권 사용금액
			var okCashbag			= Ns.Util.toNumeric(frm.find("[name=okCashbag]").val());		//OK캐쉬백 사용금액
			var netiWell			= Ns.Util.toNumeric(frm.find("[name=netiWell]").val());			//네티웰 사용금액
			var happyMoney			= Ns.Util.toNumeric(frm.find("[name=happyMoney]").val());		//해피머니 사용금액
			
			var couponDiscountPrice = Number(CurrentView.PaymentData.Payment.getItem(0).couponDcAmt);	// 쿠폰할인
			var cardDiscountPrice = Number(CurrentView.PaymentData.Payment.getItem(0).cardDcAmt);		// 카드할인
			
			//결제할 금액 재계산
			CurrentView.m_outputDatas.orderPrice.FINAL_PAYMENT_AMT =  CurrentView.m_outputDatas.orderPrice.TOTAL_PRODUCT_AMT
																	- CurrentView.m_outputDatas.orderPrice.OFFER_AMT
																	+ CurrentView.m_outputDatas.orderPrice.SHIP_CHARGE;
			// 20150426 정헌태 수정 - sfinalPaymentAmtSaveExclude 부가결제 수단을 재외한 화면에 뿌려지는 값 세팅
			CurrentView.m_outputDatas.sfinalPaymentAmtSaveExclude = CurrentView.m_outputDatas.orderPrice.FINAL_PAYMENT_AMT - couponDiscountPrice - cardDiscountPrice;
			var grandTotal = CurrentView.m_outputDatas.orderPrice.FINAL_PAYMENT_AMT - annualCoupons - reservedAmt - depositAmount - giftCardAmount - okCashbag - netiWell - happyMoney - couponDiscountPrice - cardDiscountPrice;
			var saleTotal = annualCoupons + reservedAmt + depositAmount + giftCardAmount + okCashbag + netiWell + happyMoney + couponDiscountPrice + cardDiscountPrice + CurrentView.m_outputDatas.orderPrice.OFFER_AMT;
			CurrentView.ui.setForecastReservedAmt();	// 예상 적립금 계산, 적재, 출력
			
			
			$('#finalAmt').text( Ns.Util.insertCommas(grandTotal));
			$("#discountAmt").text( Ns.Util.insertCommas(saleTotal) + '원' );//총 할인금액
			$('#totalDiscountAmt').text( '-' + Ns.Util.insertCommas(saleTotal));
			
			// 폼 데이터에 반영
			CurrentView.PaymentData.Payment.setItem(0, {
				'FINAL_PAYMENT_AMT' : grandTotal,
				'Additionalpaymentamount'		: annualCoupons + reservedAmt + depositAmount + giftCardAmount + okCashbag + netiWell + happyMoney
			});
			
			if(NSPaySlider != null && NSPaySlider.checkQuoataDiscount != null)
				NSPaySlider.checkQuoataDiscount();
			if(NSPaySlider != null && NSPaySlider.slider != null && NSPaySlider.slider.getCurrentSlideElement != null){
				if(NSPaySlider.dispCardDcCoupon != null  && CurrentView.paymentMethod == 1600)
					NSPaySlider.dispCardDcCoupon(NSPaySlider.slider.getCurrentSlideElement());
				if(NSPaySlider.setMileage != null && CurrentView.paymentMethod == 1700)
					NSPaySlider.setMileage();
			}
		},

		setPaymentInfo : function(data) {
			CurrentView.buttonArea = document.getElementById('btnPayment');
			
			$('#txtSubHeaderTitle').addClass('bi-nspay');
			var totalamt = CurrentView.m_outputDatas.sfinalPaymentAmtSaveExclude * 1;
			var deliveryAmt = CurrentView.m_outputDatas.orderPrice.SHIP_CHARGE * 1;
			
			NSPaySlider.init($('#nspaySliderDiv'), $('#cashReceiptDiv'), CurrentView.m_outputDatas.minInstallCnt, totalamt - deliveryAmt);
		},
		
		// 예상 적립금 화면 출력(예상 적립금 계산, 적재, 출력)
		setForecastReservedAmt : function (){
			var forecastReservedAmt = 0;
			var lastStrDiscountPrice = 0;							// 모든 상품의 최종 적립액 sum 
			var forecastReservedAmtArr = new Array();		// 각 상품별 예상 적립액 결과 배열 
			
			for (var i = 0; i < CurrentView.PaymentData.Discount.discountList.length; i++){
				if (undefined != CurrentView.PaymentData.Discount.getItem(i).couponList["PAD10100"]){
					var objForecastReservedAmt = CurrentView.PaymentData.Discount.getItem(i).couponList["PAD10100"];
					
					var strImdtDcCpAmt = "";
					var strDiscountPrice = "";
					
					if (objForecastReservedAmt.PROM_VAL_PAD == "AMT"){	// 정액
						forecastReservedAmt += Number(objForecastReservedAmt.WWW_AMT, 10) * Number(objForecastReservedAmt.USED_COUPON_QTY, 10)
						
						strImdtDcCpAmt = String(objForecastReservedAmt.WWW_AMT);
						strDiscountPrice = String(Number(objForecastReservedAmt.WWW_AMT, 10) * Number(objForecastReservedAmt.USED_COUPON_QTY, 10));
					} else {	// 정률
						// 2017.09.12 Wapers 적립금 계산 수정
						var couponDiscountPriceArr = new Array();	// 각 상품별 쿠폰 할인가 배열
						var dis_price_sum = 0;	// 쿠폰 할인가 sum 
						for(var j = 0 ; j <CurrentView.PaymentData.Discount.discountList.length ; j++){
							
							for (var k=0 ; k < CurrentView.PaymentData.Discount.discountList[j].couponList.length ; k++){
								if(CurrentView.PaymentData.Discount.discountList[j].couponList[k] != undefined){
									dis_price_sum += Number(CurrentView.PaymentData.Discount.discountList[j].couponList[k].DiscountPrice);
								}
							}
							couponDiscountPriceArr[j] = dis_price_sum;
							dis_price_sum = 0;	// 상품별로 쿠폰 할인값을 sum 하고 배열에 담은 다음 다시 초기화 한다. 
						}

						
						var sigForecastReservedAmt = Number(objForecastReservedAmt.PRICE, 10) * Number(objForecastReservedAmt.USED_COUPON_QTY, 10)  
						- Number(objForecastReservedAmt.OFFER_AMT, 10)
						- Number(undefined == objForecastReservedAmt.cardDiscountPrice ? "0" : objForecastReservedAmt.cardDiscountPrice, 10)
						- Number(undefined == objForecastReservedAmt.cardPreDiscountPrice ? "0" : objForecastReservedAmt.cardPreDiscountPrice, 10)
						- Number(undefined == couponDiscountPriceArr[i] ? "0" : couponDiscountPriceArr[i], 10)
						
						// 상품의 개당 적립액 
						var nSingleImdtDcCpAmt = Number(objForecastReservedAmt.WWW_RATE) / 100 * sigForecastReservedAmt;
						nSingleImdtDcCpAmt = Math.ceil(Math.round(nSingleImdtDcCpAmt) / 10) * 10;
						
						forecastReservedAmtArr[i] = nSingleImdtDcCpAmt;
						forecastReservedAmt += forecastReservedAmtArr[i];		// 화면에 보여지는 예상 적립액 sum					
						
						var totAccPrice = Math.ceil((Math.ceil(sigForecastReservedAmt / objForecastReservedAmt.USED_COUPON_QTY) * objForecastReservedAmt.WWW_RATE / 100) / 10 ) * 10;
						
						strImdtDcCpAmt = Math.ceil(nSingleImdtDcCpAmt/objForecastReservedAmt.USED_COUPON_QTY);	// 개당 적립액 적재
						strDiscountPrice = String(totAccPrice * Number(objForecastReservedAmt.USED_COUPON_QTY, 10));	// 총 적립액 적재
						
						lastStrDiscountPrice +=  Number(strDiscountPrice);	//	실제 총 적립액 적재
						
					}
					
					CurrentView.PaymentData.Discount.setCouponItem(i, "PAD10100", {
						"ImdtDcCpAmt" : strImdtDcCpAmt,
						"DiscountPrice" : strDiscountPrice
					});
				}
			}
			
			CurrentView.m_outputDatas.forecastReservedAmt = lastStrDiscountPrice;
			$('#div_forecastReservedAmount').html( Ns.Util.insertCommas(forecastReservedAmt) + '원' );	//예상 적립금
		},
		
		/*
		 * 배송지 정보 출력
		 * isToggleOn : toggle 활성화(true)/비활성화(false) 여부
		 * */
		setAddressList : function(isToggleOn) {
			
			$('#addressDiv').find('#addressList').html("");
						
			var shipAddrList = CurrentView.shipAddressList; //null인경우 기본문구 출력.
			var recentAddrList = CurrentView.recentAddressList[0]; //최근배송지.
			var baseAddr = CurrentView.m_outputDatas.msg.AddressList[0]; // 기본 배송지
			
			var addressDiv = $('#addressDiv');
			var addressListUl = $(addressDiv.find('#addressList'));
			var deliveryHtml = '';
			
			// 기본배송지를 이미 가지고 있을 경우 제외
			if(isToggleOn == true){				
			}else{								
				// 기본 배송지
				if(baseAddr && baseAddr.ADDRESS_ID){			
					baseAddr.baseAddr = true;
					shipAddrList.unshift(baseAddr);
				} else {
					addressDiv.addClass('adds-n');					
					deliveryHtml = '<div class="empyt-delivery">\
						<p class="empyt-msg">기본배송지가 없습니다. 마이페이지에서 등록해주세요.</p>\
						<a href="javascript:CurrentView.event.goAddressBook()" class="btn-ty2 w-65">등록</a>\
						</div>';
					$(".head-shpping.btn-collapse").after(deliveryHtml);
					addressListUl.parent().show();
				}
			}
			
			/*
			 * 2018-11-20 ssong NS페이 배송지 개편 관련 수정
			 */
			// 최근 배송지
			if(recentAddrList && recentAddrList.addressID){
				recentAddrList.recnetAddr  = true;
				recentAddrList.ADDRBOOK_ID =  recentAddrList.addrBookId,
				recentAddrList.ADDRESSTYPE =  recentAddrList.addressType,
				recentAddrList.ADDRESS_ID  =  recentAddrList.addressID,
				recentAddrList.ADDRESS1  =  recentAddrList.address1,
				recentAddrList.NICKNAME    =  recentAddrList.nickname,
				recentAddrList.LASTNAME    =  recentAddrList.receiverName,
				recentAddrList.FAX1        =  recentAddrList.fax1, 
				recentAddrList.ZIPCODE     =  recentAddrList.zipCode,
				recentAddrList.PHONE1      =  recentAddrList.phone1,
				
				shipAddrList.splice(1, 0, recentAddrList);	// 최근 배송지 위치를 기본배송지 아래에 노출				
			}
			
			//배송지 리스트 생성
			for(var i = 0; i < shipAddrList.length ; i ++){
				var objDataFilds = shipAddrList[i];
				var	typeTag = "";
				
				if(shipAddrList[i].baseAddr){
					typeTag = '<span class="co-1">기본배송지</span> ';
				} else if(shipAddrList[i].recnetAddr){
					typeTag = '<span class="co-1">최근배송지</span> ';
				}
				
				var addressListHtml = Ns.Util.stringFormat('\
						<li>\
						<input type="radio" class="radio-np ty1"id="addr{0}" name="addrList" onchange="CurrentView.event.onchange_changeDelivery(this)">\
						<label for="addr{0}">\
						<strong class="tit">{1}{2}</strong>\
						<p class="contact">{3} / {4}</p>\
						<p class="addr">{5}</p>\
						</label>\
						</li>'
						,i							// 0 인덱스
						,typeTag					// 1 기본/최근 배송지 구분 태그
						,shipAddrList[i].NICKNAME	// 2 배송지 명
						,shipAddrList[i].LASTNAME	// 3 받는 사람
						,shipAddrList[i].PHONE1		// 4 연락처
						,shipAddrList[i].ADDRESS1.replace(/&amp;:/g,' ')	// 5 주소
				);
				
				addressListUl.append(addressListHtml);
				
				objDataFilds.cst_zipCode = shipAddrList[i].ZIPCODE;
				objDataFilds.cst_addr = shipAddrList[i].ADDRESS1.split("&amp;:")[0];
				objDataFilds.cst_addrDetail = shipAddrList[i].ADDRESS1.split("&amp;:")[1];
				objDataFilds.cst_postcode = shipAddrList[i].ZIPCODE;
				
				$("#addr" + i).data("data", objDataFilds);
			}

			// 기본적으로 첫번째 배송지에 배송아이템 모두 추가
			CurrentView.PaymentData.Delivery.setItem(0, {
				'DELIVERY_SEQ_NM' : Ns.Util.getStepNumberString(0)+'번째'
			});
			
			for (var i = 0; i < CurrentView.PaymentData.Product.size(); i++) {
				var item = $.extend({}, CurrentView.PaymentData.Product.getItem(i));
				item.ROWID = String( i + 1 );
				item.BASEPRICE = item.PRICE;
				item.SHIPCHARGE = item.shipCharge;
				item.TOTALPRODUCT = String(Number(item.BASEPRICE) * Number(item.QUANTITY));
				item.TOTALADJUSTMENT = String(Number(item.adjustment) * -1);
				delete item.itemAmt;
				delete item.BasePrice;
				delete item.adjustment;
				delete item.shipCharge;
				delete item.DiscountPrice;
				CurrentView.PaymentData.Delivery.setProductItem(0, i, item );
			}
			
			$("#addr0").attr('checked', true);
			addressListUl.find('li :checked').trigger('change');
		},
		
		/**
		 * 도서산간 배송 불가한 상품의 경우 주문 시 도서산간배송지로 배송 불가하도록 체크
		 * 체크 결과를 가지고 배송비 조회 및 계산 및 출력 function 호출
		 */
		getShippingCharge : function(index, orderId, zipCode, ITEMS){
			var nRmaYNCheckCount = ITEMS.length;
			var strRmaYNCheck = "";
			
			for (var i = 0; i < ITEMS.length; i++) {	// 아이템 수량 만큼 반복
				if (strRmaYNCheck == "N"){	// 불가시 처리
					CurrentView.ui.getShippingChargeNext(index, orderId, zipCode, ITEMS, strRmaYNCheck);
					break;
				}
				
				tran.callWCSJsonTran('RmaYNCheckCmd', 
						{
							catEnt_id : ITEMS[i].CATENTRYID, 
							zipCode : zipCode, 
							catEnt_RmaYn : ITEMS[i].RMA_DLVR_YN
						}, 
						function (data){
							CurrentView.strRmaYNCheck = data.root.result ;
							
							if (data.root.result == "N"){
								strRmaYNCheck = "N";
								CurrentView.bDeliveryYN = "N";
							} else {
								CurrentView.bDeliveryYN = "Y";
							}
							
							var jejuYN = data.root.jejuYN;
							CurrentView.bjejuYN = jejuYN;
							
							nRmaYNCheckCount --;
							
							if (nRmaYNCheckCount == 0){
								CurrentView.ui.getShippingChargeNext(index, orderId, zipCode, ITEMS, strRmaYNCheck);
							}
						}
				);
			}
		},
		
		/**
		 * 배송비 조회 및 계산 및 출력
		 */
		getShippingChargeNext : function(index, orderId, zipCode, ITEMS, strFlag){
			if (strFlag == "N"){	// 상품에 대한 도서산간 가능 플래그 체크
				if(CurrentView.bjejuYN == "Y"){
					Ns.Popup.alert( "제주도 배송지로 배송 할 수 없습니다.");
					CurrentView.bDeliveryYN = "N";

				} else {
					Ns.Popup.alert( "도서 산간 배송지로 배송 할 수 없습니다.");
					CurrentView.bDeliveryYN = "N";
				}
			} 

			var chargeParam = {
					'orderId' : String(orderId),
					'orderItemList' : [],
					'zipCode' : zipCode
				};
					
			for (var i = 0; i < ITEMS.length; i++) {
				chargeParam.orderItemList.push({
					'itemId' : ITEMS[i].ORDERITEMS_ID,
					'quantity' : ITEMS[i].QUANTITY
				});
			}
			
			CurrentView.data.doShippingChargeCmd(chargeParam, function(chargeData){
				var nShippingCharge = 0;
				if (undefined != chargeData.msg.shippingCharge){
					nShippingCharge = Number(chargeData.msg.shippingCharge);
				}
				// 배송비 출력
				var objItemShippingChargeInfo = chargeData.msg.itemShippingChargeInfo;
				
				var objDelivery = CurrentView.PaymentData.Delivery.getItem(index).ITEMS;
				for (var i = 0; i < objDelivery.length; i++) {
					
					for (var j = 0; j < objItemShippingChargeInfo.length; j++){
						if (objDelivery[i].ORDERITEMS_ID == objItemShippingChargeInfo[j].ORDITEMID){
							objDelivery[i].SHIPCHARGE = objItemShippingChargeInfo[j].ORDITEMSHIPCHARGE;
							objDelivery[i].RMASHIPCHARGE = objItemShippingChargeInfo[j].ORDITEMRMASHIPCHARGE;
							break;
						}
					}
				}
				
				// 배송비 설정
				CurrentView.PaymentData.Delivery.setItem(index, {
					"SHIP_CHARGE" : String(nShippingCharge)
				});
				//배송비 재계산
				CurrentView.ui.setShippingChargeInfo(nShippingCharge);
			});
		},
		//배송비 계산 후 출력
		setShippingChargeInfo : function(nShippingCharge) {
			var diliveryPee = $('#diliveryPee');
			diliveryPee.text(Ns.Util.insertCommas(nShippingCharge) + '원');			
			
			CurrentView.m_outputDatas.orderPrice.SHIP_CHARGE = nShippingCharge;
			// 최종 합산 배송비 적재
			CurrentView.PaymentData.Payment.setItem(0, {
				'SHIP_CHARGE' : nShippingCharge,
				'SHIP_CHARGE_ONE_DELIVERY' : nShippingCharge,
				'SHIP_CHARGE_MULTI_DELIVERY' : nShippingCharge
			});			
			CurrentView.ui.setFullMileage();
			CurrentView.ui.setFinalPaymentAmount();
		}
	},

	event : {
		//인증번호 발송 이벤트 처리
		onclick_btnSendCertNumber : function(){
			// hckim 2019.03.07 AOS APP일경우 SMS 권한 permission 확인을 위한 APP 호출 후 인증번호 발생  - 구글 정책으로 인하여 SMS 인증 번호 추출 로직 주석처리

			CurrentView.event.sendCertNumber();	// 인증번호 발송
		},
		// hckim 2019.01.11 회원점유인증제거 - 핸드폰번호 인증 시 인증번호 발송
		sendCertNumber : function(){				
			// 인증번호 재전송 버튼 클릭 시 재전송 여부 확인
			if(CurrentView.effectiveTime > 0){
				if(!confirm("인증 번호가 이미 발송되었습니다. 다시 받으시겠습니까?")){
					return false;
				}else{
					clearInterval(mainCtrl.m_timer);
				}
			}
			
			var txtHp = $.trim($("#ordererHpNo").val());
			
			var hpFirst = txtHp.substring(0,3);
			var hpMid  =  txtHp.substring(3,7);
			var hpLast =  txtHp.substring(7,11);
			
			//핸드폰자리가 11자리 이하일 경우
			if ( txtHp.length < 11 ){
				var msg = "휴대폰번호를 정확히 입력해주세요.";
				Ns.Popup.alert(msg);
				return false;
			}
			
			var phone = hpFirst + "-" + hpMid + "-" + hpLast;

			var invoke = {};
			invoke.userId = CurrentView.m_outputDatas.msg.UserInfo.USERS_ID; 
			invoke.pMode = "K";
			invoke.authUsage = "6";
			invoke.Phone = phone;
							
			tran.callWCSJsonTran('NSPhoneCheckMoblieCmdReal', invoke, CurrentView.data.callbackCertNumber );
		},
		
		// hckim 2019.01.11 회원점유인증제거 - 핸드폰번호 인증 시 인증번호 확인 및 회원정보 수정
		onclick_btnChkCertNumber : function(){
			var authnumber = $.trim($("#certNumer").val());
			
			//인증번호 필드에 아무 값이 없을 경우
			if ( Ns.Util.isNull(authnumber) ){
				Ns.Popup.alert("인증번호 발송을 선택해 주세요.");
				$("#certNumer").focus();
				return;
			}
			
			var txtHp = $.trim($("#ordererHpNo").val());
			var hpFirst = txtHp.substring(0,3);
			var hpMid  =  txtHp.substring(3,7);
			var hpLast =  txtHp.substring(7,11);
			
			var phone = hpFirst + "-" + hpMid + "-" + hpLast;
			
			var invoke = {};
			invoke.authNumber = authnumber;
			invoke.authUsage = "6";
			invoke.pMode = "C";
			invoke.Phone = phone;
			invoke.modifyUserHpNoYn = "Y";	
			invoke.custNum = CurrentView.m_outputDatas.msg.UserInfo.CUSTOM_NUMBER;
			invoke.email = CurrentView.PaymentData.OrderUserInfo.getItem().EMAIL1;
			
			tran.callWCSJsonTran('NSPhoneCheckMoblieCmdReal', invoke, function( data ){
				var result = data.msg.root.processMsg.processMsg;
				var msg = data.msg.root.processMsg.sucessMsg;
				
				if( result == "S" || result == "s"){
					CurrentView.isCertCheck = true;
					
					$("#certNumer").attr("disabled",true);
					$("#btnChkCertNumber").off();
					$("#btnSendCertNumber").off();
					
					clearInterval(mainCtrl.m_timer);
					$("#divUserAuthInfo").hide();						
					$("#divUserModifyMsg").show();
				}else{
					CurrentView.isCertCheck = false;
					$("#divUserModifyMsg").hide();
					
					Ns.Popup.alert( msg );					
				}					
			});			
		},
		
		onchange_discountCoupons : function(_this, itemIndex, couponIndex, keyIndex, orderItemsId) {
			try {
				var goodsDetail = $(_this).data("data")
				
				itemIndex = Number(itemIndex);
				couponIndex = Number(couponIndex);
				var selectKeyList = CurrentView.PaymentData.Discount.getDefineValue("CouponSelectInfo", "selectKeyList");
				
				//임직원 쿠폰인지 여부
				var staffCouponFlag = false;

				// 쿠폰 수량에 따른 중복 선택 체크
				if ($(_this).val() != ""){
					var objThisVal = $("#"+$(_this).val()).data("data");
					
					var nCount = 0;
					
					$("#couponListDiv").find('select[id^="coupon_"]').each(function(){
						if ($(this).val() != ""){
							var strSltCP_IDFR = $("#"+$(this).val()).data("data").CP_IDFR;
							
							if (objThisVal.CP_IDFR == strSltCP_IDFR){
								nCount++;
							}
						}
					});
					
					if(CurrentView.staffCouponId == objThisVal.CP_IDFR){
						staffCouponFlag = true;
					}
					
					
					if (Number(objThisVal.MAX_USE_NUM, 10) < nCount){
						Ns.Popup.alert("쿠폰의 사용 수량을 초과 하였습니다.", function() {
							$(_this).find("option").prop("selected", false);
							$(_this).find("option").eq(0).prop("selected", true).trigger("change");
							
							navi.setMovePointer(-1);
						});
							
						return false;
					}
					
				}
				
				// 연간할인권과 더알뜰쿠폰 동시사용 불가 체크
				var annualCoupons = $('#couponListDiv [name=annualCoupons]').val();
				if (annualCoupons && Number(annualCoupons) > 0 && couponIndex == 3) {
					Ns.Popup.alert( CurrentView.PaymentData.Discount.getDefineValue("message", "yearDc") );
					$(_this).find("option").prop("selected", false);
					$(_this).find("option").eq(0).prop("selected", true).trigger("change");
					return false;
				}
				
				// 카드일시불할인 해제
				if ($('#chkSinglePaymentDiscount').is(':checked')) {
					$('#chkSinglePaymentDiscount').prop('checked', false);
					CurrentView.event.onchange_singlePaymentDiscount($('#chkSinglePaymentDiscount'));
				}
				
				// 하위 쿠폰 목록을 모두 사용안함 처리
				if (selectKeyList.length - 1 >= couponIndex) {
					var $discountUl = $("#discountUl");
					
					for (var i = selectKeyList.length - 1; i >= couponIndex; i--) {
						CurrentView.PaymentData.Discount.removeCouponItem( itemIndex, i + CurrentView.Const.DISCOUNT_COUPON_START_INDEX );
						if ($(_this).val() == '' || i > couponIndex) {
							var strEleNm = "coupon_" + i + "_" + orderItemsId;
							$discountUl.find("select[name=" + strEleNm + "]").val("");
							
							// 쿠폰할인 정보를 화면에 표시
							$('#span_' + i + '_' + orderItemsId).html("0");
						}
					}
				}
				
				$("select[name=coupon_freeShipping]").find("option").prop("selected", false);
				$("select[name=coupon_freeShipping]").find("option").eq(0).prop("selected", true).trigger("change");
				
				// 적립금/예치금 사용 모두 취소
				var amount = $('#discountUl [name=discountAmount]');
				for( var i = 0; i < amount.length; i++){
					var objName = $(amount).find('input')[i].name;
					var dispDiv = $(amount).find('.price')[i].id;
					CurrentView.ui.setPaymentAmount(objName, dispDiv, 0);
				}

				if ($(_this).val() == '') {
					// 할인금액 정보 출력
					CurrentView.ui.setDiscountAmount();
					
					var nSelectedIndex = $(_this).find("option").index($(_this).find("option:selected"));
					$(_this).find("option").prop("selected", false);
					$(_this).find("option").eq(nSelectedIndex).prop("selected", true);
					return false;
				}
				
				// 일반쿠폰 적용 일 경우 임직원 할인 해제
				if(!staffCouponFlag && $("#checkemployee").is(":checked")){
					$("#checkemployee").prop("checked",false);
					
					for(var j = 0 ; j < CurrentView.PaymentData.Discount.discountList.length; j++){
						CurrentView.PaymentData.Discount.removeCouponItem(j,3);
					}
				}
				
				// 쿠폰 할인금액 계산에 사용할 상품아이템 정보
				var itemBaseData = CurrentView.m_outputDatas.msg.OrderGoodList[itemIndex].itemBaseData;
				// 할인 금액 계산
				var data = $("#"+$(_this).val()).data("data");
								
				data.WWW_AMT = Number(data.WWW_AMT);
				data.WWW_RATE = Number(data.WWW_RATE);
				data.MAX_USE_NUM = Number(data.MAX_USE_NUM);
				var tQty = (data.MAX_USE_NUM > Number(goodsDetail.QUANTITY) ? Number(itemBaseData.QTY) : data.MAX_USE_NUM);
				var savedDiscountPrice = CurrentView.PaymentData.Discount.getTotalDiscountPrice(itemIndex); // 선택한 쿠폰의 합산된 할인금액
				// 합산된 OFFER_AMT가 아닌 별도 상품 아이템별 OFFER_AVT 계산하도록 수정
				var dataOrderGoodList = CurrentView.m_outputDatas.msg.OrderGoodList[itemIndex];
				var OFFER_AMT = 0;
				// 할인쿠폰, 더할인쿠폰, 가격할인은 별도 계산식에 따라 처리
				var strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE = dataOrderGoodList.goodsDetail.XCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE;	// MD 이익률(문자열)
				if (undefined == strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE || null == strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE || "" == strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE){
					OFFER_AMT += dataOrderGoodList.goodsDetail.IMDTDCCPAMT * dataOrderGoodList.goodsDetail.QUANTITY;
				} else {
					var nPRICE = Number(dataOrderGoodList.goodsDetail.PRICE); // 매가 - dataOrderGoodList.goodsDetail.PRICE
					var nDC_PRICE = Number(dataOrderGoodList.goodsDetail.IMDTDCCPAMT); // 할인금액 - dataOrderGoodList.goodsDetail.PROM_VAL_CPC
					var n_XPriceDtl_COST_VAT_PERDO = Number(dataOrderGoodList.goodsDetail._XPriceDtl_COST_VAT_PERDO); // 원가 VAT 별도금액 - dataOrderGoodList.goodsDetail._XPriceDtl_COST_VAT_PERDO
					var n_XPriceDtl_VAT_AMT = Number(dataOrderGoodList.goodsDetail._XPriceDtl_VAT_AMT); // 부과세액 - dataOrderGoodList.goodsDetail._XPriceDtl_VAT_AMT
					var nXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE = Number(strXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE); // MD 이익률 - dataOrderGoodList.goodsDetail.XCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE
					
					// (매가 - 할인금액 - 원가 VAT 별도금액 - 부과세액) / 매가  >= MD 이익률
					if ((nPRICE - nDC_PRICE - n_XPriceDtl_COST_VAT_PERDO - n_XPriceDtl_VAT_AMT) / nPRICE >= nXCATENTRY_DISP_XMD_MIN_CNTRB_PFRATE / 100){
						OFFER_AMT += dataOrderGoodList.goodsDetail.IMDTDCCPAMT * dataOrderGoodList.goodsDetail.QUANTITY;
					} else {
						OFFER_AMT += 0;
					}
				}
				
				var strBusChnId = dataOrderGoodList.goodsDetail.XBUSCHN_ID;
				if ((strBusChnId == "TV" || strBusChnId == "TCOMM" || strBusChnId == "SB" || strBusChnId == "CTCOM") && undefined != dataOrderGoodList.goodsDetail.PROM_VAL_ARS){
					OFFER_AMT = Number(dataOrderGoodList.goodsDetail.PROM_VAL_ARS) * dataOrderGoodList.goodsDetail.QUANTITY;
				}
				
				var aBasePrice = itemBaseData.Price - OFFER_AMT - savedDiscountPrice;
				
				var tDiscountPrice = (data.WWW_AMT > 0 ? (data.WWW_AMT) : (aBasePrice / Number(goodsDetail.QUANTITY, 10) * (data.WWW_RATE / 100)));
				tDiscountPrice = Math.ceil(Math.round(tDiscountPrice) / 10) * 10;
				
				// 정률일 경우에 최대치 보다 큰 할인은 최대치로 한다.
				if (data.WWW_RATE > 0 && data.MAX_BNFT_LIMIT) {
					data.MAX_BNFT_LIMIT = Number(data.MAX_BNFT_LIMIT);
					if (tDiscountPrice > data.MAX_BNFT_LIMIT) {
						//최고 한도에 걸릴경우 수량만큼 곱한다.
						tDiscountPrice = data.MAX_BNFT_LIMIT;
					}
				}
				var strSingDiscountPrice = String(tDiscountPrice);
				tDiscountPrice = tDiscountPrice * tQty;
				
				// 최소 판매금액 이하 판매 금지
				if (data.AMT_START_VAL && Number(aBasePrice) < Number(data.AMT_START_VAL)) {
					$(_this).find("option").prop("selected", false);
					$(_this).find("option").eq(0).prop("selected", true).trigger("change");
					return false;
				}

				// 할인정보 폼 데이터에 반영
				CurrentView.PaymentData.Discount.setItem(itemIndex, {
					"orderItemId" : goodsDetail.ORDERITEMS_ID,
					"CATENTRY_ID" : goodsDetail.CATENTRY_ID_CHILD
				});
				
				CurrentView.PaymentData.Discount.setCouponItem(itemIndex, couponIndex + CurrentView.Const.DISCOUNT_COUPON_START_INDEX, {
					"ListName" : keyIndex,
					"ImdtDcCpAmt" : strSingDiscountPrice,
					"DiscountPrice" : String(tDiscountPrice),
					"PRMT_TYPE_CD" : CurrentView.PaymentData.Discount.getDefineValue("PRMT_TYPE_CD", keyIndex), // 프로모션타입코드
					"DC_TYPE_CD" : CurrentView.PaymentData.Discount.getDefineValue("DC_TYPE_CD", keyIndex), // 할인타입코드
					"WWW_RATE" : String(data.WWW_RATE),
					"WWW_AMT" : String(data.WWW_AMT),
					"MAX_USE_NUM" : String(data.MAX_USE_NUM),
					"CP_IDFR" : data.CP_IDFR,
					"USED_COUPON_QTY" : String(tQty)
				});
				
				// 쿠폰할인 정보를 화면에 표시
				$('#span_' + couponIndex + '_' + orderItemsId).html(Ns.Util.insertCommas(tDiscountPrice));
				// 할인금액 정보 출력
				CurrentView.ui.setDiscountAmount();
				
				var nSelectedIndex = $(_this).find("option").index($(_this).find("option:selected"));
				$(_this).find("option").prop("selected", false);
				$(_this).find("option").eq(nSelectedIndex).prop("selected", true);
			} catch (e) {
				// handle exception
				Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1320000M_15)" + e, function (){
					navi.naviBack();
				});
				
				return ;
			}						
		},
		// 카드일시불할인 checkbox
		onchange_singlePaymentDiscount : function(_this) {
			if(!($("#discountCard").css("display") == "none" || $("#discountCard").css("display") == undefined)){
				try {
					if (!CurrentView.m_outputDatas || !CurrentView.m_outputDatas.msg) {
						return false;
					}
					var tLspRateMsg =0;
					if ($(_this).is(':checked')) {
						if(CurrentView.paymentMethod == 1600 && CurrentView.paymentMethodInitData['1600'].cardQuota != '00'){
							Ns.Popup.alert('일시불 할인 적용 시 기존에 선택하신 할부개월수는 \'일시불\'로 변경됩니다.');
							var element = NSPaySlider.slider.getCurrentSlideElement()[0];
							if($(element).find('.card').length >0){	
								$(element).find('#cardQuota').val('00');
								$(element).find('#cardQuota').trigger('change');
							}
						}
						var tTotalDiscountPrice = 0;
						var aDiscountItem = [];
						var aDiscountCouponItem = [];
						
						// 카드일시불할인 금액 계산
						for (var i = 0; i < CurrentView.m_outputDatas.msg.OrderGoodList.length; i++) {
							var strBusChnId = CurrentView.m_outputDatas.msg.OrderGoodList[i].itemDetailInfo.busChnId;
							var goodsDetail = CurrentView.m_outputDatas.msg.OrderGoodList[i].goodsDetail;
							var vImdtDcCpAmt = CurrentView.m_outputDatas.msg.ImdtDcCpAmtList[goodsDetail.ORDERITEMS_ID]; // 매가할인 리스트
							var tLspRate = Number(vImdtDcCpAmt.PROM_VAL_LSP_RATE);
							
							if (tLspRate == 0) {
								continue;
							}
							
							// 할인 금액 계산
							var savedDiscountPrice = CurrentView.PaymentData.Discount.getTotalDiscountPrice(i) / goodsDetail.QUANTITY; // 선택한 쿠폰의 합산된 할인금액
							var aBasePrice = (goodsDetail.ITEMPRICE - Number(vImdtDcCpAmt.PROM_VAL_CPC)) - savedDiscountPrice;
							var tDiscountPrice = 0;
							if (strBusChnId == "TV" || strBusChnId == "TCOMM"  || strBusChnId == "CTCOM"){	// TV홈쇼핑 상품일 경우 정률로 계산한다.
								tDiscountPrice = tLspRate;
							} else {
								tDiscountPrice = aBasePrice * (tLspRate / 100);
							}
							var nSingDiscountPrice = Math.ceil(Math.round(tDiscountPrice) / 10) * 10;
							tDiscountPrice = nSingDiscountPrice * goodsDetail.QUANTITY;
							
							aDiscountItem.push( {
								"orderItemId" : goodsDetail.ORDERITEMS_ID,
								"CATENTRY_ID" : goodsDetail.CATENTRY_ID_CHILD
							} );
							
							aDiscountCouponItem.push( {
								"ListName" : "LSP",
								"ImdtDcCpAmt" : String(nSingDiscountPrice),
								"DiscountPrice" : String(tDiscountPrice),
								"PRMT_TYPE_CD" : CurrentView.PaymentData.Discount.getDefineValue("PRMT_TYPE_CD", "LSP"), // 프로모션타입코드
								"DC_TYPE_CD" : CurrentView.PaymentData.Discount.getDefineValue("DC_TYPE_CD", "LSP"), // 할인타입코드
								"WWW_RATE" : String(tLspRate),
								"WWW_AMT" : "0",
								"MAX_USE_NUM" : "0",
								"USED_COUPON_QTY" : String(goodsDetail.QUANTITY)
							} );
							tTotalDiscountPrice += tDiscountPrice;
						}
						
						// 할인 적용 후 결제금액이 5만원 이상인 경우에만 가능
						if ((CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT + CurrentView.PaymentData.Payment.getItem(0).Additionalpaymentamount) < 50000) {
							Ns.Popup.alert( CurrentView.PaymentData.Discount.getDefineValue("message", "LSP") );
							$(_this).prop('checked', false);
							return false;
						}
						
						for (var i = 0; i < CurrentView.m_outputDatas.msg.OrderGoodList.length; i++) {
							for (var j = 0; j < aDiscountItem.length; j++){
								if (CurrentView.PaymentData.Discount.getItem(i).orderItemId == aDiscountItem[j].orderItemId){
									CurrentView.PaymentData.Discount.setItem(i, aDiscountItem[j]);
									CurrentView.PaymentData.Discount.setCouponItem(i, CurrentView.Const.DISCOUNT_CARD_LSP_INDEX, aDiscountCouponItem[j]);
								}
							}
						}
						tLspRateMsg = tLspRate;							
						CurrentView.DISCOUNT_CARD_CHOICE.DISCOUNT_CARD_LSP = true;
					}
					else {
						// 저장된 일시불할인 쿠폰정보 삭제
						for (var i = 0; i < CurrentView.PaymentData.Discount.size(); i++) {
							CurrentView.PaymentData.Discount.removeCouponItem(i, CurrentView.Const.DISCOUNT_CARD_LSP_INDEX); // 카드일시불할인 삭제
						}
						
						CurrentView.DISCOUNT_CARD_CHOICE.DISCOUNT_CARD_LSP = false;
					}		 		
					
					var strConfirmMsg ='';
					if(CurrentView.DISCOUNT_CARD_CHOICE.DISCOUNT_CARD_LSP && Ns.Util.insertCommas(CurrentView.PaymentData.Payment.getItem(0).cardDcAmt) == "0"){
						strConfirmMsg = '일시불할인 ' + '-' + Ns.Util.insertCommas(tLspRateMsg) + '원' +'이 적용됩니다';
						if (mainCtrl.VIEW_TYPE == 'android') {
			 				WL.Toast.show(strConfirmMsg);	 
						} else{
							var objAlertParam = new Object();
							objAlertParam.msg = strConfirmMsg;
							objAlertParam.aletType = "nAlert";
							objAlertParam.position = "bottom";
							Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출									
						}	
						
					}else if(!CurrentView.DISCOUNT_CARD_CHOICE.DISCOUNT_CARD_LSP && Ns.Util.insertCommas(CurrentView.PaymentData.Payment.getItem(0).cardDcAmt) != "0"){
						strConfirmMsg = '일시불할인 ' + '-' +  Ns.Util.insertCommas(CurrentView.PaymentData.Payment.getItem(0).cardDcAmt) + '원' +'이 취소됩니다';
						if (mainCtrl.VIEW_TYPE == 'android') {
			 				WL.Toast.show(strConfirmMsg);	 
						} else{
							var objAlertParam = new Object();
							objAlertParam.msg = strConfirmMsg;
							objAlertParam.aletType = "nAlert";
							objAlertParam.position = "bottom";
							Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출									
						}						
					}
		 
					// TODO : 적립금/예치금 사용 모두 취소
					$('#inputUseMileage').val(0);
					$('#inputUseMileage').trigger('blur');
					// 할인금액 정보 출력
					CurrentView.ui.setDiscountAmount();
				} catch (e) {
					// handle exception
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1320000M_17)" + e, function (){
						navi.naviBack();
					});
					
					return ;
				}
			}
		},
		
		//적립금사용 입력박스 onblur
		onblur_inputReserveUse : function(_this, dispDiv, amountText, amount) {
			try {
				var objName = $(_this).attr('name');
				var objValue = $(_this).val();
				if (objValue == null || objValue == undefined || objValue == '') {
					objValue = '0';
				}
				
				if (objValue.indexOf(".") > -1){
					Ns.Popup.alert("소수점 이하 금액은 사용하실 수 없습니다.");
					CurrentView.ui.setPaymentAmount(objName, dispDiv, 0);
					return;
				}
				
				var inputAmount = parseInt(Ns.Util.onlyNumFormat(objValue), 10);
				inputAmount = Math.floor(inputAmount/10) * 10;	// 원단위 버림 처리
				amount = parseInt(Ns.Util.onlyNumFormat(amount), 10);
				
				if (CurrentView.HAS_CARD_PRE_DC){
				}
				
				if (inputAmount > amount) {					
					if (Number(objValue, 10) < 0){
						// 입력 data가 마이너스(-)값이면 alert 미표시
					} else {
						Ns.Popup.alert(amountText + " 보다 큰 금액을 입력할 수 없습니다.");
					}
					inputAmount = amount;
				}
				
				//khkim82 20181115 - inputAmount > 0 경우 무조건 2회 호출하게 되어 있어 수정함.
				if (inputAmount > 0) {					
					CurrentView.ui.setPaymentAmount(objName, dispDiv, inputAmount);	
				} else{
					CurrentView.ui.setPaymentAmount(objName, dispDiv, 0);					
				}
				
			} catch (e) {
				// handle exception
				Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1320000M_18)" + e, function (){
					navi.naviBack();
				});
				
				return ;
			}
		},
		
		onchange_changeDelivery : function(_this){					
			var data = $(_this).data().data;
			// 폼 데이터에 반영
			CurrentView.PaymentData.Delivery.setItem(0, {
				"ADDRESS_ID" : data.ADDRESS_ID,
				"NICKNAME" : data.NICKNAME,
				"LASTNAME" : data.LASTNAME,
				"DLVY_NICNAME" : data.LASTNAME,
				"DLVY_POSTCODE1" : data.ZIPCODE,
				"DLVY_POSTCODE2" : data.ZIPCODE,
				"DLVY_ADDRESS1" : data.cst_addr,
				"DLVY_ADDRESS2" : data.cst_addrDetail,
				"FAX1" : data.FAX1, // 우편번호 형식(100:지번, 200:도로명주소)
				"ZIPCODE" : data.ZIPCODE,
				"ADDRESS1" : data.cst_addr,
				"ADDRESS2" : data.cst_addrDetail,
				"PHONE1TYPE" : "K",
				"PHONE1" : data.PHONE1,
				"MOBILE_NO11" : data.PHONE1.split('-')[0],
				"MOBILE_NO12" : data.PHONE1.split('-')[1],
				"MOBILE_NO13" : data.PHONE1.split('-')[2],
				"ziptype"     : data.FAX1, // 우편번호 형식(100:지번, 200:도로명주소),
				"SEC_ZIPCODE" : data.ZIPCODE,
			});
			
			CurrentView.ui.getShippingCharge(0
				, String(CurrentView.m_inputParams.orderId)
				, data.ZIPCODE
				, CurrentView.PaymentData.Delivery.deliveryList[0].ITEMS
			);
			
			var deliveryDiv = $('#addressDiv #delivery');			
			deliveryHtml = ' <a href="#">';
			deliveryHtml += '<span>' + data.LASTNAME + ' / ' + data.PHONE1 + '</span>';
			deliveryHtml += '<p class="contact"> ' + data.ADDRESS1.replace(/&amp;:/g,' ') + ' </p>';
			deliveryHtml += '<p class="txt"></p></a>';
			deliveryDiv.html(deliveryHtml);
		},
		onclick_btnPayment_before : function(e){
			//NS 임직원 할인 한도 체크 콜백
			var callback = function(resData,staffInfo){
				if($("#checkemployee").is(":checked") && staffInfo.empYn == "Y" && staffInfo.balanceAmt < CurrentView.m_outputDatas.orderPrice.TOTAL_PRODUCT_AMT){
					Ns.Popup.alert("임직원 잔여한도가 부족하여 임직원 할인이 적용되지 않습니다.");
					return false;
				}
				
				// hckim 2019.01.14 회원가입 점유인증 제거 - 회원인증여부 validation check
				// 첫주문이면서 SMS 인증을 받아야 하는 경우
				if(CurrentView.m_hpNoSmsAuthYn != "Y"){		
					// 인증번호 확인 완료 여부를 체크한다.
					if(CurrentView.isCertCheck){
					}else{
						// 구매를 위해 본인 인증이 필요합니다.
						$("#ordererHpNo").focus();
						Ns.Popup.alert("구매를 위해 본인 인증이 필요합니다.");
						return false;
					}

				}

				if (CurrentView.paymentMethod == 0){
					Ns.Popup.alert("결제 수단을 선택해 주세요.");
					return false;					
				} 
				
				if(CurrentView.PaymentData.Delivery.getItem(0).ADDRESS_ID == null || CurrentView.PaymentData.Delivery.getItem(0).ADDRESS_ID == "" || CurrentView.PaymentData.Delivery.getItem(0).ADDRESS_ID < 0){
					Ns.Popup.confirm("기본 배송지를 등록해주세요.\n(마이페이지-배송주소록)", CurrentView.event.goAddressBook);
					return false;
				}

				//최대구매수량
				var maxindex = 0;
				for (var i = 0; i < CurrentView.PaymentData.Product.size(); i++) {
					var item = $.extend({}, CurrentView.PaymentData.Product.getItem(i));
					
					//구매제한 개수보다 구매개수가 많으면 체크
					if( item.custPrchQtyLimitYn == "Y"){
						CurrentView.maxcheckflag = true;
						if( CurrentView.partNumberFlag == 0 && CurrentView.PaymentData.Product.size() > 1){
							//신규인입
							CurrentView.partNumberFlag = item.partNumber;
							CurrentView.maxcountFlag += Number(item.QUANTITY, 10);
						}else if( CurrentView.partNumberFlag == 0 && CurrentView.PaymentData.Product.size() == 1){
							//신규인입
							CurrentView.maxcountFlag = Number(item.QUANTITY, 10);
							CurrentView.partNumberFlag = item.partNumber;
							CurrentView.custDurSpr = item.custDurSpr;
							CurrentView.maxOrderPossQty = item.maxOrderPossQty;
							CurrentView.custPrchQtyLimitYn =item.custPrchQtyLimitYn;
							CurrentView.maxindex = maxindex;

							CurrentView.PaymentData.MaxbuyCount.setItem(maxindex, {
								"custDurSpr" : CurrentView.custDurSpr,
								"partNumber" : CurrentView.partNumberFlag,
								"maxquantity":  CurrentView.maxcountFlag,
								"maxOrderPossQty":CurrentView.maxOrderPossQty,
								"custPrchQtyLimitYn":CurrentView.custPrchQtyLimitYn
							});
							
						}else if( CurrentView.partNumberFlag != item.partNumber){
							//단품
							CurrentView.maxcountFlag = Number(item.QUANTITY, 10);
							CurrentView.partNumberFlag = item.partNumber;
							CurrentView.custDurSpr = item.custDurSpr;
							CurrentView.maxOrderPossQty = item.maxOrderPossQty;
							CurrentView.custPrchQtyLimitYn =item.custPrchQtyLimitYn;
							CurrentView.maxindex = maxindex;

							CurrentView.PaymentData.MaxbuyCount.setItem(maxindex, {
								"custDurSpr" : CurrentView.custDurSpr,
								"partNumber" : CurrentView.partNumberFlag,
								"maxquantity":  CurrentView.maxcountFlag,
								"maxOrderPossQty":CurrentView.maxOrderPossQty,
								"custPrchQtyLimitYn":CurrentView.custPrchQtyLimitYn
							});
							
							maxindex++;
						}else if( CurrentView.partNumberFlag == item.partNumber){
							//옵션

							CurrentView.maxcountFlag += Number(item.QUANTITY, 10);
							CurrentView.partNumberFlag = item.partNumber;
							CurrentView.custDurSpr = item.custDurSpr;
							CurrentView.maxOrderPossQty = item.maxOrderPossQty;
							CurrentView.custPrchQtyLimitYn =item.custPrchQtyLimitYn;
							CurrentView.maxindex = maxindex;
							
							CurrentView.PaymentData.MaxbuyCount.setItem(maxindex, {
								"custDurSpr" : CurrentView.custDurSpr,
								"partNumber" : CurrentView.partNumberFlag,
								"maxquantity":  CurrentView.maxcountFlag,
								"maxOrderPossQty":CurrentView.maxOrderPossQty,
								"custPrchQtyLimitYn":CurrentView.custPrchQtyLimitYn
							});
							
							maxindex++;

						}else{
							CurrentView.maxcheckflag = false;
						}
					}

				}
				//구매수량대상이 아니면 기존 결제 부분으로 가기 CurrentView.maxcheckflag가  false인 경우
				if( CurrentView.maxcheckflag == false){
					CurrentView.event.onclick_btnPayment(e);
				}else if( CurrentView.maxcheckflag == true ){
					var partNumber = 0;
					for(var i = 0; i < CurrentView.PaymentData.MaxbuyCount.MaxbuyList.length ; i++){
						var invoke = {
								"cmdType":11, 
								"custDurSpr":CurrentView.PaymentData.MaxbuyCount.MaxbuyList[i].custDurSpr,
								"partNumber":CurrentView.PaymentData.MaxbuyCount.MaxbuyList[i].partNumber,
								"itemCnt"	:CurrentView.PaymentData.MaxbuyCount.MaxbuyList[i].maxquantity
						};
						
						var invoke_other = {
								"custDurSpr" : CurrentView.PaymentData.MaxbuyCount.MaxbuyList[i].custDurSpr,
								"partNumber" : CurrentView.PaymentData.MaxbuyCount.MaxbuyList[i].partNumber,
								"maxquantity":  CurrentView.PaymentData.MaxbuyCount.MaxbuyList[i].maxquantity,
								"maxOrderPossQty":CurrentView.PaymentData.MaxbuyCount.MaxbuyList[i].maxOrderPossQty,
								"custPrchQtyLimitYn":CurrentView.PaymentData.MaxbuyCount.MaxbuyList[i].custPrchQtyLimitYn		
						};
						CurrentView.event.onclick_btnPayment_after(invoke , invoke_other ,e);
					}
				}
			}

			//NS 임직원 할인 한도 체크
			mainCtrl.chkStaffOnlyPrd([],callback);
		},

		onclick_btnPayment_after : function(invoke , invoke_other ,e){
			var maxOrderPossQty = 0;

			tran.callWCSJsonTran( "NSItemDetailAjax", invoke, function(data){
				if(data.jsonData != undefined){
					rtn_flag = data.jsonData.rtn.flag;
				}

				if(rtn_flag == "Y"){
					if(M_G2600000M.custDurSpr == 1){
						maxOrderPossQty = data.jsonData.rtn.DAY_P_QTY;
					}else if(M_G2600000M.custDurSpr == 2){
						maxOrderPossQty = data.jsonData.rtn.MONTH_P_QTY;
					}else if(M_G2600000M.custDurSpr == 3){
						maxOrderPossQty = data.jsonData.rtn.DATE_P_QTY;
					}
					
				}else if(rtn_flag == "N"){
					maxOrderPossQty = invoke_other.maxOrderPossQty;
				}
				
				if ( invoke_other.custPrchQtyLimitYn == "Y" && invoke.itemCnt >  maxOrderPossQty && rtn_flag == "Y") {
					Ns.Popup.alert("주문 상품중 구매 수량 제한상품이<br> 주문 가능 수량을 초과하였습니다.",
							function (){ 
								navi.naviBack(); 
							}, null, true 
					);
						
					return ;
					
				}else{
					CurrentView.event.onclick_btnPayment(e);
				}
				
			});
		},

		// 결제하기 버튼 클릭. 
		onclick_btnPayment : function(e) {
			try {
				e.preventDefault();
					
				// 더블클릭 막기
				if (CurrentView.bDoubleBtn == true){
					mainCtrl.showLoadingImg();
					return false ;
				}
				
				//NS페이 청구할인 적용.
				if(NSPaySlider.setCardDcCoupon != null && NSPaySlider.slider != null && NSPaySlider.slider.getCurrentSlideElement() != null){
					NSPaySlider.setCardDcCoupon(NSPaySlider.slider.getCurrentSlideElement());
				}
				
				if( CurrentView.MaximumPurchaseQuantityFlag == true){
					msg = "주문 상품중 구매 수량 제한상품이<br> 주문 가능 수량을 초과하였습니다.";
					Ns.Popup.alertD(msg);
					navi.naviBack();
				}
				
				if (!CurrentView.m_outputDatas || !CurrentView.m_outputDatas.msg) {
					Ns.Popup.alert( Messages.procedure_error );
					return false;
				}
				
				if (CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT < 0){
					Ns.Popup.alert( "결제금액을 정확히 입력해주시기 바랍니다." );
					return false;
				}
				
				if (CurrentView.DISCOUNT_CARD_CHOICE.DISCOUNT_CARD_LSP && CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT < 1000){
					Ns.Popup.alert("일시불 할인은 1천원 이상 카드/계좌 결제 시에만 적용 가능합니다.");
					return false;
				}
				var nTotalCount = 0;
					
				for (var i = 0; CurrentView.m_outputDatas.msg.OrderGoodList.length > i; i++){
					var objgdt = CurrentView.m_outputDatas.msg.OrderGoodList[i].goodsDetail;
					
					// 슈퍼핫딜(플래시세일) 기간 체크
					if (objgdt.FLASH_SALE_YN == "Y"){
						if (CurrentView.FLASH_SALE_ENDDD == "" || Ns.Date.getBdDay(CurrentView.FLASH_SALE_ENDDD)){
							// true 기간이 남은 경우 별도 동작하지 않음
						} else {
							// 기간이 지난경우 메인 이동
							Ns.Popup.alert(objgdt.XCATENTRY_DISP_NAME + " 상품의 마감시간이 지났습니다.", function(){
								mainCtrl.gotoMain();
							});
							
							return false;
						}
					}
					
					nTotalCount += Number(objgdt.QUANTITY, 10);
				}
				
				/* 장바구니 여러개 구매시 제주도/도서산간 상품이 섞여 있을 때 주소에 따라 각 상품 배송 여부를 판단해서
				 * 배송지 대비 상품이 배송불가 상품이 포함되어 있으면 배송불가로 변경하는 부분
				 */
				
				var tmpDelvStatus = new Array();
				var bDelvStatus = "Y";
				
				for (var x=0 ; x < CurrentView.deliveryStatus.length ; x++){
					tmpDelvStatus[x] = CurrentView.deliveryStatus[x];
				}

				for (var y=0 ; y < CurrentView.deliveryStatus.length ; y++){	
					if (y>0){
						if((tmpDelvStatus[y] == tmpDelvStatus[y-1]) && (tmpDelvStatus[0] == "P") ){
							bDelvStatus = "Y";
						} else {
							bDelvStatus = "N";
							CurrentView.bDeliveryYN = "N";
						} 
					}
				}	

				// inQkang 배송지 개선 - 도서산간 체크
				if ( CurrentView.bDeliveryYN == "N") {
					if (CurrentView.bjejuYN == "N") {
						Ns.Popup.alert("도서 산간 배송지로 배송 할 수 없습니다.");
						return false;
					} else {
						Ns.Popup.alert("제주도 배송지로 배송 할 수 없습니다.");
						return false;
					}
				}
				
				if (nTotalCount >= 100){
					Ns.Popup.alert("1회 최대 구매 가능 수량은 99개 까지입니다.");
					return false;
				}

				// 복수배송일 경우, 적용하지 않은 상품이 있는지 체크
				var selectedItemQuantity = 0;
				for (var i = 0; i < CurrentView.PaymentData.Delivery.size(); i++) {
					if (CurrentView.PaymentData.Delivery.getItem(i).ITEMS && CurrentView.PaymentData.Delivery.getItem(i).ITEMS.length > 0) {
						for (var j = 0; j < CurrentView.PaymentData.Delivery.getItem(i).ITEMS.length; j++) {
							selectedItemQuantity += Number(CurrentView.PaymentData.Delivery.getItem(i).ITEMS[j].QUANTITY);
						}
					}
				}
				if (CurrentView.m_outputDatas.TOTAL_ITEM_COUNT > selectedItemQuantity) {
					Ns.Popup.alert( "선택하지 않은 상품이 남아 있습니다.<br />상품을 적용하시고 결제하시기 바랍니다." );
					return false;
				}
				
				// 인증 정보
				var tAUTH_CI = CurrentView.PaymentData.OrderUserInfo.getItem().CI;
				var tAUTH_DI = CurrentView.PaymentData.OrderUserInfo.getItem().DI;
				
				var bDISP_TYPE_CD_choice = CurrentView.m_outputDatas.msg.OrderGoodList.length == 1 && (CurrentView.m_outputDatas.msg.OrderGoodList[0].goodsDetail.DISP_TYPE_CD == "50" || CurrentView.m_outputDatas.msg.OrderGoodList[0].goodsDetail.DISP_TYPE_CD == "55");
				
													
				if (bDISP_TYPE_CD_choice){	// 모바일 상품권, 기프티콘 주문
					CurrentView.PaymentData.Delivery.setItem(0, {
						"RECIPIENT" : CurrentView.PaymentData.Delivery.getItem(0).LASTNAME,
						"GIFTSENDERPHONE" : CurrentView.PaymentData.Delivery.getItem(0).PHONE1, // 보내시는분 전화
						"MESSAGE_CARD" : "",
						"ADDRESS_ID" : "",
						"NICKNAME" : CurrentView.PaymentData.Delivery.getItem(0).LASTNAME + "_" + CurrentView.m_outputDatas.msg.OrderGoodList[0].goodsDetail.ORDERS_ID,
						"ZIPCODE" : "000000",
						"DLVY_ADDRESS1" : "-",
						"DLVY_ADDRESS2" : "-",
						"ADDRESS1" : "-",
						"ADDRESS2" : "-",
						"ziptype" : "100",
						"email" :  ""
					});
				}

				// 결제 타입별 금액 초기화
				CurrentView.m_outputDatas.orderPrice = $.extend(true, {}, CurrentView.m_outputDatas.orderPrice, {
					'CREDITCARD_PAYMENT_AMT' : 0,		// 신용카드결제 금액
					'MOBILE_PAYMENT_AMT' : 0,			// 핸드폰결제 금액
					'ACCOUNT_TRANSFER_PAYMENT_AMT' : 0,	// 실시간계좌이체 금액
					'WITHOUT_BANKBOOK_PAYMENT_AMT' : 0  // 무통장입금 금액
				});
				
				//GA360
				var product_array = [];
				var paymentInfo = {};
				if(CurrentView.m_outputDatas.msg.OrderGoodList[0].itemDetailInfo.busChnId == "CTCOM"){
					paymentInfo.partNumber = CurrentView.m_outputDatas.msg.OrderGoodList[0].itemDetailInfo.partNumber;
					paymentInfo.type = "CTCOM";
					paymentInfo.type2 = "NSSHOP+";
				}else if(CurrentView.m_outputDatas.msg.OrderGoodList[0].itemDetailInfo.busChnId == "TV" ){
					paymentInfo.partNumber = CurrentView.m_outputDatas.msg.OrderGoodList[0].itemDetailInfo.partNumber;
					paymentInfo.type = "eTV";
					paymentInfo.type2 = "TVLIVE";
				}else{
					paymentInfo.type = "e상품";
					paymentInfo.type2 = "";
				}
				var itemcoupon = "";
				var promotioncoupon = "";
				var brdctDate = "";
				var formStartDttm = "";
				var formEndDttm = "";
				//if()

				for(var j = 0; j < CurrentView.PaymentData.Product.productList.length; j++){
					for(var v = 0; v < CurrentView.PaymentData.Discount.discountList.length; v++){
						if(CurrentView.PaymentData.Discount.discountList[v].CATENTRY_ID 
								== CurrentView.PaymentData.Product.productList[j].CATENTRY_ID){
							if(CurrentView.PaymentData.Discount.discountList[v].couponList[1] != undefined){
								if(CurrentView.PaymentData.Discount.discountList[v].couponList[1].WWW_AMT == "0"){
									itemcoupon = "상품"+CurrentView.PaymentData.Discount.discountList[v].couponList[1].WWW_RATE+"%할인";
								}else{
									itemcoupon = "상품"+CurrentView.PaymentData.Discount.discountList[v].couponList[1].WWW_AMT+"원할인";
								}
							}
							if(CurrentView.PaymentData.Discount.discountList[v].couponList[3] != undefined){
								if(CurrentView.PaymentData.Discount.discountList[v].couponList[3].WWW_AMT == "0"){
									promotioncoupon = "상품"+CurrentView.PaymentData.Discount.discountList[v].couponList[3].WWW_RATE+"%할인";
								}else{
									promotioncoupon = "상품"+CurrentView.PaymentData.Discount.discountList[v].couponList[3].WWW_AMT+"원할인";
								}
							}
						}
					}
					
					if(typeof M_G2600000M != 'undefined'){
						if(!Ns.Util.isNull(M_G2600000M.productInfo) && !Ns.Util.isNull(M_G2600000M.productInfo.partNumber) 
								&& CurrentView.PaymentData.Product.productList[j].partNumber == M_G2600000M.productInfo.partNumber){
							if(M_G2600000M.productInfo.busChnId == "TV"){
								brdctDate = M_G2600000M.productInfo.tvList[0].brdctDate;
								formEndDttm = M_G2600000M.productInfo.tvList[0].formEndDttm;
								formStartDttm = M_G2600000M.productInfo.tvList[0].formStartDttm;
							}else if(M_G2600000M.productInfo.busChnId == "CTCOM"){
								brdctDate = M_G2600000M.productInfo.ctcomTvList[0].brdctDate;
								formEndDttm = M_G2600000M.productInfo.ctcomTvList[0].formEndDttm;
								formStartDttm = M_G2600000M.productInfo.ctcomTvList[0].formStartDttm;
							}
						}
					}
					
					var gaCate = "";
					if(CurrentView.m_inputParams.productCategoryName != undefined){
						gaCate = CurrentView.m_inputParams.productCategoryName["partNum_"+CurrentView.PaymentData.Product.productList[j].partNumber].cate1Nm;
					}
					
					if(CurrentView.m_outputDatas.msg.OrderGoodList[j].attributes[0] == undefined){
						product_array.push(
								{
									'id':CurrentView.PaymentData.Product.productList[j].partNumber,
									'name':CurrentView.PaymentData.Product.productList[j].PRODUCT_NAME,
									'brand':CurrentView.PaymentData.Product.productList[j].BRAND_KOR_NM,
									'category':gaCate,
									'variant': '',
									'coupon':itemcoupon,
									'dimension15':promotioncoupon,
									'dimension16':paymentInfo.type,
									'dimension17':brdctDate,
									'dimension18':formStartDttm.substring(0,16),
									'dimension19':formEndDttm.substring(0,16),
									'dimension20':paymentInfo.type2,
								}
						);
					}else{
						var varient = "";
						if(CurrentView.m_outputDatas.msg.OrderGoodList[j].attributes.length > 1){
							for(var w = 0; w <CurrentView.m_outputDatas.msg.OrderGoodList[j].attributes.length; w++){
									if(w == 0){
										varient = CurrentView.m_outputDatas.msg.OrderGoodList[j].attributes[w].VALUE;
									}else{
										varient = varient + "_" + CurrentView.m_outputDatas.msg.OrderGoodList[j].attributes[w].VALUE;
									}
							}
						}else{
							varient = CurrentView.m_outputDatas.msg.OrderGoodList[j].attributes[0].VALUE;
						}
						product_array.push(
								{
									'id':CurrentView.PaymentData.Product.productList[j].partNumber,
									'name':CurrentView.PaymentData.Product.productList[j].PRODUCT_NAME,
									'brand':CurrentView.PaymentData.Product.productList[j].BRAND_KOR_NM,
									'category':gaCate,
									'variant': varient,
									'dimension16':paymentInfo.type,
									'dimension17':brdctDate,
									'dimension18':formStartDttm.substring(0,16),
									'dimension19':formEndDttm.substring(0,16),
									'dimension20':paymentInfo.type2
								}
						);
					}
				}
				
				var paymentInfo = {};
				paymentInfo.t1 = "주문/결제";
				paymentInfo.t2 = "주문서작성/결제";
				if(CurrentView.m_outputDatas.msg.OrderGoodList[0].itemDetailInfo.busChnId == "CTCOM"){
					paymentInfo.paymentMethod = CurrentView.paymentMethod;
					GA.sendEcommerceData(product_array,"7", paymentInfo);
				}else if(CurrentView.m_outputDatas.msg.OrderGoodList[0].itemDetailInfo.busChnId == "TV" ){
					paymentInfo.paymentMethod = CurrentView.paymentMethod;
					GA.sendEcommerceData(product_array,"7", paymentInfo);
				}else{
					paymentInfo.paymentMethod = CurrentView.paymentMethod;
					GA.sendEcommerceData(product_array,"8", paymentInfo);
				}
				
				
				if (CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT == 0) { // 최종 결제금액 0원					
					CurrentView.PaymentData.Payment.setItem(0, {
						'payType' : '100',
						'requestCommand' : 'RequestInfo',
						'orderCompleteYn' : 'N',
						'payAmt' : '0'
					});

				} else if (CurrentView.paymentMethod == 1600) { // NSPay CreaditCard
					CurrentView.m_outputDatas.orderPrice['CREDITCARD_PAYMENT_AMT'] = CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT;
					var finalAmt = String(CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT);
					
					CurrentView.PaymentData.Payment.setItem(0, {
						'payType' : '1600',
						'requestCommand' : 'RequestInfo',
						'orderCompleteYn' : 'N',
						'payAmt' : finalAmt
					});
					CurrentView.paymentMethodInitData['1600'].payAmt = finalAmt;
					CurrentView.paymentMethodInitData['1600'].SupplyAmt = finalAmt;
					CurrentView.paymentMethodInitData['1600'].productPaymentAmt = finalAmt;
					
					CurrentView.data.doPaymentApprovalRequest({
						paymentList : JSON.stringify({
							"paymentList" : [CurrentView.paymentMethodInitData['1600']]
						})
					}, function(data){
						if(data.msg != null && data.msg.result == "success"){
							if(data.msg.nspayParams != null){
								// 인증 성공시  응답 코드 셋
								var resultData = {
										'nspayParams'				: data.msg.nspayParams
								}
								$.extend(CurrentView.paymentMethodInitData['1600'], resultData);
								
								CurrentView.event.nextValidation(tAUTH_CI);
							} else {
								Ns.Popup.alert( "서버와 통신이 원활하지 못합니다. 잠시 후 다시 시도해 주십시오." );
								if ($("#certScript").length != 0){
									mainCtrl.hideCertView();
								}
								CurrentView.bDoubleBtn = false;	// 주문버튼 막기 품
							}
						}
					});
					
				}
				else if (CurrentView.paymentMethod == 1700) { // NSPay Account Transfer
					
					CurrentView.m_outputDatas.orderPrice['CREDITCARD_PAYMENT_AMT'] = CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT;
					var finalAmt = String(CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT);
					
					CurrentView.PaymentData.Payment.setItem(0, {
						'payType' : '1700',
						'requestCommand' : 'RequestInfo',
						'orderCompleteYn' : 'N',
						'payAmt' : finalAmt
					});
					
					CurrentView.paymentMethodInitData['1700'].payAmt = finalAmt;
					CurrentView.paymentMethodInitData['1700'].SupplyAmt = finalAmt;
					CurrentView.paymentMethodInitData['1700'].productPaymentAmt = finalAmt;
					
					if(!NSPaySlider.setCashReceiptToParam()){							
						return false;
					}							
					
					CurrentView.data.doPaymentApprovalRequest({
						paymentList : JSON.stringify({
							"paymentList" : [CurrentView.paymentMethodInitData['1700']]
						})
					}, function(data){
						if(data.msg != null && data.msg.result == "success"){
							if(data.msg.nspayParams != null){
								// 인증 성공시  응답 코드 셋
								var resultData = {
										'nspayParams'				: data.msg.nspayParams
								}
								$.extend(CurrentView.paymentMethodInitData['1700'], resultData);
								
								CurrentView.event.nextValidation(tAUTH_CI);
							} else {
								Ns.Popup.alert( "서버와 통신이 원활하지 못합니다. 잠시 후 다시 시도해 주십시오." );
								if ($("#certScript").length != 0){
									mainCtrl.hideCertView();
								}
								CurrentView.bDoubleBtn = false;	// 주문버튼 막기 품
							}
						}
					});
				}
					
				// 위 분기중 최종 결제 금액이 0 인경우 (상품권 및 적립금 사용) 는 아래 함수 호출
				if( (CurrentView.paymentMethod != "1400" && CurrentView.paymentMethod != "1500" && CurrentView.paymentMethod != "1600" && CurrentView.paymentMethod != "1700")
                   || CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT == 0 ){
					CurrentView.event.nextValidation(tAUTH_CI);
				}
			} catch (e) {
				Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1320000M_342)" + e, function (){
					navi.naviBack();
				});
				
				return ;
			}
		},
		nextValidation : function(tAUTH_CI) {
			try{
				// 연간할인권은 단일결제 불가
				if (CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT == 0) {
					var paymentList = CurrentView.PaymentData.Payment;
					if (paymentList.length < 2 && paymentList[0].payType == CurrentView.PaymentData.Payment.getDefineValue("annualCoupons", "payType")) {
						Ns.Popup.alert( "연간할인권은 단일결제가 불가능합니다." );
						return false;
					}
				}
											
				CurrentView.event.ShoppingAmtLimitCheckNext(CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT);
			}  catch (e) {
				// handle exception
				Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다." + (Const.IS_DEV_MODE == true ? "(B1320000M_341)" : "") , function (){
					navi.naviBack();
				});
				
				return ;
			}
			
		},
		/**
		 * 총 주문금액 체크
		 * 비회의 경우 통신을 통해 금액을 체크 후 다음로직으로 이동
		 */
		ShoppingAmtLimitCheckNext : function(FINAL_PAYMENT_AMT) {
			try {
					CurrentView.event.checkNextPayment();	// 결제전 최종 체크 로직 펑셩 호출
			} catch (e) {
				// handle exception
				Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1310000M_40)" + e, function (){
					navi.naviBack();
				});
				
				return ;
			}
		},

		/**
		 * 20150723 정헌태 수정 - 월 주문 한도 체크 로직 추가에 따른 수정
		 * 결제 실행전 최종 체크항목 체크 후 결제하기 실행 펑션 호출
		 */
		checkNextPayment :function(){
			try {
				// 제휴몰 데이터 셋팅
				CurrentView.event.checkPartnerPay();
				
				// 환급성 상품구매 체크
				if (!CurrentView.event.checkLiquidity()) {
					return false;
				}
				
				// 판매불가 매장 체크
				CurrentView.event.checkNotSale(function() {
					CurrentView.event.executePaymentRequest();	// 결제하기 실행
				});
			} catch (e) {
				// handle exception
				Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1320000M_41)" + e, function (){
					navi.naviBack();
				});
				
				return ;
			}
		},
		// 제휴몰 데이터 셋팅
		checkPartnerPay : function() {
			try {
				/*
				 * 제휴사 주문내역 조회를 위한 주문건 저장
				 * 대상 제휴사: 아이라이크클릭(co_cd - 340), 아이라이크클릭 애드웨어(co_cd - 341), 링크프라이스(co_cd - 630)
				 * 				아시아나 항공(co_cd - 551), 아시아나 항공 배너(co_cd - 552), 아시아나 항공 메일(co_cd - 553)
				 * 				링크프라이스 애드웨어(co_cd - 631), 파란샵링크(co_cd - 910), 파란샵링크(new)(co_cd - 912)
				 * 				클릭스토리(co_cd - 920), 클릭스토리 애드웨어(co_cd - 921), KT 메가패스쇼핑(co_cd - 940)
				 * 				Auction(co_cd - 970)
				 */
				var co_cd = CurrentView.m_outputDatas.msg.payCheck.coCd; // 제휴사 코드 	
				var isAsiana = (co_cd == '551' || co_cd == '552' || co_cd == '553'); // 아시아나 제휴사
				var partner = "N"; // 제휴몰 체크
				
				var comm_cd_val = ["340", "341", "551", "552", "553", "630", "631", "910", "912", "920", "921", "940", "970"];
				for (var i = 0; i < comm_cd_val.length; i++) {
					if (co_cd == comm_cd_val[i]) {
						if (co_cd == "551" || co_cd == "552" || co_cd == "553") {
							if (isAsiana == true) {
								partner = "Y";
							} else {
								partner = "N";
							}
						} else {
							partner = "Y";
						}
					}
				}

				var co_key = "";
				var co_type = "";
				var merch_id = "";
				var trace_cd = "";
				var fee_cd = "";
				var settle_cd = "";
				var card_cash = CurrentView.m_outputDatas.orderPrice.CREDITCARD_PAYMENT_AMT; // 카드결제금액
				var bank_money = CurrentView.m_outputDatas.orderPrice.WITHOUT_BANKBOOK_PAYMENT_AMT; // 입금예정액 금액(무통장)

				if (!bank_money == "0") {
					settle_cd = "O";
				} else if (!card_cash == "0") {
					settle_cd = "C";
				} else {
					settle_cd = "X";
				}

				if (partner == "Y") {
					if (co_cd == "340" || co_cd == "341") {
						merch_id = "nsseshop";
					} else if (co_cd == "630" || co_cd == "631") {
						if (co_type == null || co_type.indexOf("nsseshop") < 0) {
							if (co_cd == "630") {
								merch_id = "nsseshop";
							} else if (co_cd == "631") {
								merch_id = "nsseshop1";
							} else {
								merch_id = "nsseshop";
							}
						}
					} else if (co_cd == "920" || co_cd == "921") {
						trace_cd = "5";
					} else if (co_cd == "940") {
						merch_id = "C010";
					} else if (co_cd == "551" || co_cd == "552" || co_cd == "553") {
						co_key = document.getElementById("asiana_cno").value;
						merch_id = "NSE";
						trace_cd = "B";
					}
					
					// 파트너정보 데이터 셋팅
					CurrentView.PaymentData.Partnership.setItem({
						"partnerType" : partner,
						"COKEY" : co_key,
						"MERCH_ID" : merch_id,
						"TRACECD" : trace_cd,
						"FEECD" : fee_cd,
						"SETTLECD" : settle_cd,
						"COCD" : co_cd
					});
				}
			} catch (e) {
				// handle exception
				Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1320000M_30)" + e, function (){
					navi.naviBack();
				});
				
				return ;
			}
		},
		// 환금성 상품구매 체크
		checkLiquidity : function() {
			try {
				var month_cnt = CurrentView.m_outputDatas.msg.payCheck.month_cnt; //월간 쌀 구매 건수
				var month_amt = CurrentView.m_outputDatas.msg.payCheck.month_amt; //월간 쌀 구매 금액
				var year_amt = CurrentView.m_outputDatas.msg.payCheck.year_amt;   //년간 쌀 구매 금액
				var dlrOrdCnt = CurrentView.m_outputDatas.msg.payCheck.dlrOrdCnt; //하루동안 분유 주문건수

				if (new Number(month_cnt) > 20) {
					Ns.Popup.alert("고객님의 쌀 월 구매갯수가 20건을 초과 하였습니다.<br />NS홈쇼핑 모바일무료 상담 1800-0770으로 연락 주시면 결제 진행하도록 하겠습니다.");
					return false;
				} else if (new Number(month_amt) > 4000000) { // 월 400 만원
					Ns.Popup.alert("고객님의 쌀 월 구매금액이 400만원을 초과 하였습니다.<br />NS홈쇼핑 모바일무료 상담 1800-0770으로 연락 주시면 결제 진행하도록 하겠습니다.");
					return false;
				} else if (new Number(year_amt) > 10000000) { // 년 1000 만원
					Ns.Popup.alert("고객님의 쌀 총 구매금액이 1,000만원을 초과 하였습니다.<br />NS홈쇼핑 모바일무료 상담 1800-0770으로 연락 주시면 결제 진행하도록 하겠습니다.");
					return false;
				} else if (new Number(dlrOrdCnt) > 3) { // 하루 3개
					Ns.Popup.alert("죄송합니다.<br />해당 해당 상품은 3개이상 구매가 불가능합니다.");
					return false;
				} else {
					return true;
				}
			} catch (e) {
				// handle exception
				Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1320000M_32)" + e, function (){
					navi.naviBack();
				});
				
				return ;
			}
		},
		// 판매불가 매장 체크
		checkNotSale : function( callback ) {
			try {
				if (CurrentView.m_outputDatas.msg.payCheck.notSaleCheck == 'Y') {
					Ns.Popup.confirm("NS몰 바로구매시 고객님이 경유하신 제휴사의 적립 및 할인 혜택은 유효하지 않습니다.<br />주문하시겠습니까?", callback);
				} else {
					callback();
				}
			} catch (e) {
				// handle exception
				Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1320000M_33)" + e, function (){
					navi.naviBack();
				});
				
				return ;
			}
		},
		//결제하기 실행
		executePaymentRequest : function() {
			try {
				var strVAN_CO = "";
				var strEpMallId = "";
				
				var params = CurrentView.PaymentData.Payment.getItem(0);
								
				var payInitData = CurrentView.paymentMethodInitData[String(CurrentView.paymentMethod)];
				params = $.extend(true, {}, params, payInitData);
				
				
				var callback = function() {
					params['successFunc'] = 'CurrentView.event.callbackPaymentResult';
					params['failFunc'] = 'CurrentView.event.callbackPaymentFail';
					params['targetType'] = 'payment';
					
					// 로그 정보 적재 후 외부연동 결제 진행
					CurrentView.event.setPaymentLogJS("E", params.EP_order_no, params.payAmt, params.payType, params);
					
					CurrentView.nDoubleCount = 0;
					
					CurrentView.objPaymentCertData = new Object();
					CurrentView.objPaymentCertData = params;
					
					if( mainCtrl.VIEW_TYPE == "androidweb" || mainCtrl.VIEW_TYPE == "iosweb" ){
						mainCtrl.showCertView( params );				//android
					} else {
						Ns.Native.showPaymentWindows(params);
					}
					
				};
				
				if (params['orderCompleteYn'] == 'Y' || params['FINAL_PAYMENT_AMT'] == 0) {
					CurrentView.event.gotoPaymentComplete(params);
				}
				else {
					if (!payInitData) {
						Ns.Popup.alert( "결제를 위한 기본정보를 읽어오지 못했습니다.<br />결제수단을 다시 한번 더 선택해 주세요." );
						return false;
					}
					// 결제창 열기
					callback();
				}
			} catch (e) {
				// handle exception
				Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1320000M_35)" + e, function (){
					navi.naviBack();
				});
				
				return ;
			}
		},
		setPaymentLogJS : function(reqresType, ordersId, payAmt, payTypeCd, frm_pay){
			try {
				var invokeParams = {
					"tasknm" : "alejandro",
					"var" : JSON.stringify({
						"cnm" : "com.ns.commerce.nspayment.helper.NSPaymentLogTableJDBCHelper",
						"mnm" : "xpayapprLog",
						"args":	{ 
							"ordersId":ordersId, 
							"paySeq":"0", 
							"apprSeq":"0", 
							"reqresType":reqresType, 
							"payClssfCd":"000", 
							"payTypeCd":payTypeCd, 
							"requestCmd":"Certification", 
							"payAmt":payAmt, 
							"apprLog": frm_pay 

						}
					})
				};
				
				// 결제 인증 전후 로그 적재 실행
				tran.callWCSJsonTran( "NSMypageCommCmd" , invokeParams, function (data){
					if (reqresType == "E"){	// 인증 전 콜백처리 진행
						
					} else if (reqresType == "O"){	// 인증 후 콜백처리 진행
						// Native에서 넘어오는 String 파라미터는 json으로 파싱
						frm_pay = Ns.Util.serializeToObject(frm_pay);
					
						switch (frm_pay.type) {
						case 'NSPAY_CARD' :
							$.each(frm_pay,function(key,val){
								frm_pay[key] = decodeURIComponent(val);
							});
							
							if(frm_pay.resultCode == '0000'){ // 성공
								var resultData = {
										"paymentId": frm_pay.paymentId
										, "resultCode": frm_pay.resultCode
										, "storeId": frm_pay.storeId
										, "type": frm_pay.type
										, "wtid": frm_pay.wtid
								}
								CurrentView.paymentMethodInitData['1600'].nspayParams = "";
								$.extend(CurrentView.paymentMethodInitData['1600'],resultData);
								CurrentView.event.gotoPaymentComplete(frm_pay);
								
							} else {
								console.log('NSPAY_CARD fail');
								if ($("#certScript").length != 0){
									mainCtrl.hideCertView();
									CurrentView.bDoubleBtn = false;	// 주문버튼 막기 품
								}
							}
							break;
						case 'NSPAY_ACCT' :
							$.each(frm_pay,function(key,val){
								frm_pay[key] = decodeURIComponent(val);
							});
							
							if(frm_pay.resultCode == '0000'){ // 성공
								var resultData = {
										"paymentId": frm_pay.paymentId
										, "resultCode": frm_pay.resultCode
										, "storeId": frm_pay.storeId
										, "type": frm_pay.type
										, "wtid": frm_pay.wtid
								}
								CurrentView.paymentMethodInitData['1700'].nspayParams = "";
								$.extend(CurrentView.paymentMethodInitData['1700'],resultData);
								CurrentView.event.gotoPaymentComplete(frm_pay);
								
							} else {
								console.log('NSPAY_ACCT fail');
								if ($("#certScript").length != 0){
									mainCtrl.hideCertView();
									CurrentView.bDoubleBtn = false;	// 주문버튼 막기 품
								}
							}
							break;
						}
					}
				});
			} catch (e) {
				// handle exception
				Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1320000M_36)" + e, function (){
					navi.naviBack();
				});
				
				return ;
			}
		},
		//결제 완료
		gotoPaymentComplete : function( params ) {
			try {
				// 결제요청 기본데이터 합산
				if (CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT > 0)
					CurrentView.PaymentData.Payment.setItem(0, CurrentView.paymentMethodInitData[String(CurrentView.paymentMethod)]);
				
				if (CurrentView.paymentMethod == 1600) {	//NSPay 신용카드 추가
					CurrentView.PaymentData.Payment.setItem(0, {
						'orderCompleteYn' 	: 'Y',
						'requestCommand' 	: 'LastApproval'
					});
				} else if (CurrentView.paymentMethod == 1700) {	//NSPay 실시간계좌이체 추가
					CurrentView.PaymentData.Payment.setItem(0, {
						'orderCompleteYn' 	: 'Y',
						'requestCommand' 	: 'LastApproval'
					});
				}
				
				// 예상적립금 적재 처리(PAD10100이 있으면 10100으로 적재한다.)
				for (var i = 0; i < CurrentView.PaymentData.Discount.discountList.length; i++){
					if (undefined != CurrentView.PaymentData.Discount.discountList[i].couponList.PAD10100){
						CurrentView.PaymentData.Discount.discountList[i].couponList["10100"] = CurrentView.PaymentData.Discount.discountList[i].couponList.PAD10100
					}
				}
				
				// 결제 최종 승인 요청
				var paymentData = CurrentView.PaymentData.Payment.getItem(0);
				
				CurrentView.check_pay_flag = "N";

				var param = {
					check_pay : CurrentView.check_pay_flag , //결제수단저장여부
					amtPrice : (CurrentView.m_outputDatas.orderPrice.TOTAL_PRODUCT_AMT + CurrentView.m_outputDatas.orderPrice.SHIP_CHARGE),
					totImdtDcCpAmt : CurrentView.m_outputDatas.orderPrice.OFFER_AMT,
					caltotalShipCharge : CurrentView.m_outputDatas.orderPrice.SHIP_CHARGE,
					registerType : CurrentView.m_outputDatas.msg.UserInfo.REGISTERTYPE,
					orderTotalAmt : CurrentView.m_outputDatas.orderPrice.TOTAL_PRODUCT_AMT,
					sfinalPaymentAmtSaveExclude : CurrentView.m_outputDatas.sfinalPaymentAmtSaveExclude,
					expectAccmAmt : CurrentView.m_outputDatas.forecastReservedAmt,
					couponDcAmt : (paymentData['couponDcAmt'] || '0'),
					cardDcAmt : (paymentData['cardDcAmt'] || '0'),
					payType : paymentData['payType'],
					requestCommand : paymentData['requestCommand'],
					orderCompleteYn : 'Y',
					classifyCd : '100', // 결제 분류코드(100=승인, 200=취소)
					productList : CurrentView.PaymentData.Product.toJSON(),
					deliveryList : CurrentView.PaymentData.Delivery.toJSON(),
					discountList : CurrentView.PaymentData.Discount.toJSON(),
					paymentList : CurrentView.PaymentData.Payment.toJSON(),
					partnershipList : CurrentView.PaymentData.Partnership.toJSON(),
					orderName : CurrentView.PaymentData.OrderUserInfo.getItem().LASTNAME,
					orderMail : CurrentView.PaymentData.OrderUserInfo.getItem().EMAIL1,
					contactNum : Ns.Util.insertSeparatorPhoneNumber(CurrentView.PaymentData.OrderUserInfo.getItem().PHONE1,"-",true),
					parentCatEntryId : CurrentView.m_outputDatas.msg.OrderGoodList[0].goodsDetail.CATENTRY_ID_PARENT,
					orderItemIds : CurrentView.m_outputDatas.orderItem.orderItemIds,
					catEntryIds : CurrentView.m_outputDatas.orderItem.catEntryIds,
					orderItemQuantitys : CurrentView.m_outputDatas.orderItem.orderItemQuantitys,
					orderItemAmount : CurrentView.m_outputDatas.orderItem.orderItemAmount,
					orderUserInfo : '',
					slctDayVal : '',
				};
				
				param.directOrderYN = CurrentView.directOrderYN;
				
				// todo...더블 클릭 체크
				if (CurrentView.nDoubleCount != 0){
					return;
				}
				CurrentView.nDoubleCount ++;
				
				// 최종 주문 API 막기 체크
				if (CurrentView.bDoubleApi == true){
					return ;
				}
				CurrentView.bDoubleApi = true;	// 최종 주문 API 막기
				
				// 결제 최종 승인 요청한 마지막 주문번호 체크
				if (mainCtrl.strOrderInOrderId != "" && mainCtrl.strOrderInOrderId == CurrentView.m_inputParams.orderId){
					Ns.Popup.alert( "중복된 주문번호로 주문을 요청하여 진행할 수 없습니다.", function(){
						navi.naviBack();
					});
					
					return ;
				}
				mainCtrl.strOrderInOrderId = CurrentView.m_inputParams.orderId;
				
				
				param = $.extend({
					userId : CurrentView.m_outputDatas.msg.UserInfo.USERS_ID,
					orderId : CurrentView.m_inputParams.orderId,
					ordersId : CurrentView.m_inputParams.orderId,
					originOrdersId : CurrentView.m_inputParams.orderId,
					custNum : CurrentView.m_outputDatas.msg.UserInfo.CUSTOM_NUMBER,
					userNm : CurrentView.PaymentData.OrderUserInfo.getItem().LASTNAME,
					loginId : CurrentView.m_outputDatas.msg.UserInfo.LOGONID,
					co_cd : Const.getCocd(),
					dispTypeCd : CurrentView.m_outputDatas.msg.OrderGoodList[0].goodsDetail.DISP_TYPE_CD
				}, param);
				
				if (mainCtrl.isOsApp()){	// App
					param.vdn_cd = "54101";
				} else {	// Web
					param.vdn_cd = "54102";
				}
				
				param.chkInventoryQuantityType = CurrentView.chkInventoryQuantityType;
				

				// 결제 최종 승인 요청 및 콜백 처리
				tran.callWCSJsonTran('PaymentApprovalRequestCmd', param, function(data){
					if (data.msg && data.msg.result == 'success') {
						if (data.msg.resultMsg != undefined) {
							if(Const.IS_SERVER_STATE == 'DEV')
								WL.Logger.debug('결제하기 실행 resultMsg ==> ' + data.msg.resultMsg);
						}
						
						delete CurrentView.PaymentData;
						delete CurrentView.PaymentUI;
						
						// 최종 결제정보
						CurrentView.m_outputDatas.orderPrice = $.extend(true, {}, CurrentView.m_outputDatas.orderPrice, {
							'TOTAL_PRODUCT_AMT' : paymentData.TOTAL_PRODUCT_AMT,
							'OFFER_AMT' : paymentData.OFFER_AMT,
							'SHIP_CHARGE' : paymentData.SHIP_CHARGE,
							'FINAL_PAYMENT_AMT' : paymentData.FINAL_PAYMENT_AMT,
							'couponDcAmt' : paymentData.couponDcAmt,
							'cardDcAmt' : paymentData.cardDcAmt,
							'freeShippingDcAmt' : undefined == paymentData.freeShippingDcAmt ? "0" : paymentData.freeShippingDcAmt
						});

						if ( !Ns.Util.isNull(CurrentView.m_inputParams.catalogId) ){
							param.catalogId = CurrentView.m_inputParams.catalogId;
						}
						
						if ( !Ns.Util.isNull(CurrentView.m_inputParams.p_bannerid) ){
							param.p_bannerid = CurrentView.m_inputParams.p_bannerid;
						}
						
						if ( !Ns.Util.isNull(CurrentView.m_inputParams.p_espotid) ){
							param.p_espotid = CurrentView.m_inputParams.p_espotid;
						}
						
						if ( !Ns.Util.isNull(CurrentView.m_inputParams.catgroupId) ){
							param.catgroupId = CurrentView.m_inputParams.catgroupId;
						}
						
						if ( !Ns.Util.isNull(CurrentView.m_inputParams.categoryId) ){
							param.categoryId = CurrentView.m_inputParams.categoryId;
						}
						
						// todo...상품 카테고리명칭 추가 적제
						param.productCategoryName = CurrentView.m_inputParams.productCategoryName;
						
						param.bDiscount33selected = CurrentView.bDiscount33selected;
						param.bDiscount33product = CurrentView.bDiscount33product;
						
						// 총결제금액,상품번호,수량
						var total_amt = CurrentView.m_outputDatas.orderPrice.FINAL_PAYMENT_AMT;
						var primary_goods_no = CurrentView.m_outputDatas.msg.OrderGoodList[0].goodsDetail.CATENTRY_ID_PARENT;
						var total_item_cnt =  CurrentView.m_outputDatas.TOTAL_ITEM_COUNT;
						Emf.convCall(844, 3398, total_amt, primary_goods_no, total_item_cnt); 
						
						// 주문완료 페이지로 이동
						mainCtrl.navigate("M_B13G0000M", $.extend(true, {}, data, param, { orderPrice : CurrentView.m_outputDatas.orderPrice }));
					} else {
						var strAlertSubMsg = "";
						
						if (undefined != data.msg){
							if (undefined != data.msg.resultMessage){
								strAlertSubMsg = "<br />" + data.msg.resultMessage;
							}
						}
						
						if ($("#certScript").length != 0){
							mainCtrl.hideCertView();
						}
						
						for(var i = 0; i < navi.objNaviData.pageIds.length ; i++){
							if ("M_B1320000M" == navi.getPageId()){
								break;
							}
							navi.setMovePointer(-1);
						}
						 
						Ns.Popup.alert( "결제를 실패하였습니다." + strAlertSubMsg, function(){
							mainCtrl.strOrderInOrderId = "";	// 주문번호 중복 체크 관련 초기화
							CurrentView.nDoubleCount = 0;	// 중복 클릭 체크값 초기화
							CurrentView.bDoubleBtn = false;	// 주문버튼 막기 품
							CurrentView.bDoubleApi = false; // 최종 주문 API 막기 품
							
							if( mainCtrl.VIEW_TYPE == "androidweb" || mainCtrl.VIEW_TYPE == "iosweb" ){
								navi.moveBack();
								return;
							} else {
								navi.naviBack();
								return;
							}
						});
					}
				});
			} catch (e) {
				// handle exception
				Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1310000M_39)" + e, function (){
					navi.naviBack();
				});
				
				return ;
			}
		},
		//결제창 실행 결과 callback
		callbackPaymentResult : function( params ) {
			try {
				
				if(params != null && params.type != null && params.type == 'nswpay' && params.resultCode != null && params.resultCode == 'Fail'){
					if ($("#certScript").length != 0)
						mainCtrl.hideCertView();
					return;
				}
				
				CurrentView.bDoubleBtn = true;	// 주문 버튼 막기
				
				// 로그 정보 적재 후 외부연동 결제 진행
				CurrentView.event.setPaymentLogJS("O", params.EP_order_no, params.EP_pay_mny, CurrentView.PaymentData.Payment.paymentList[0].payType, params);
			} catch (e) {
				// handle exception
				Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1310000M_37)" + e, function (){
					navi.naviBack();
				});
				
				return ;
			}
		},
		
		//결제창 실행 결과 callback
		callbackPaymentFail : function( params ) {
			try {
				mainCtrl.hideCertView();
			} catch (e) {
				// handle exception
				Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(B1310000M_37)" + e, function (){
					navi.naviBack();
				});
				
				return ;
			}
		},
		
		//결제수단 등록 완료 callback
		callbackTermsResult: function() {
			document.getElementById('txtSubHeaderTitle').click();
		},
		
		setChangeMileage : function() {		
			if(CurrentView.isChangeMileageByUser)
					CurrentView.isMileageAlertToClient = true;
		},
				
		goAddressBook : function(){
			var pageId = "M_U1171501M";
			var objParam = new Object();
				objParam.type = "shippingAddress";
			mainCtrl.navigate( pageId, objParam );
		},

		/*
		* 2018-12-14 ssong
		* NS 임직원 할인 선택 이벤트
		*/
		onchange_staffCoupon : function(){
			$("#couponListDiv").find("option[value='']").each(function(){
				$(this).prop("selected",true).trigger("change");
			}); 
			
			if($(this).is(":checked")){
				$.each(CurrentView.staffCouponElement,function(k,v){
					var parentId = k;
					var element = CurrentView.staffCouponElement[parentId];
					var elementId = $(element).attr("id");
					$("#" + parentId).append($(element).clone(true).data( $.extend( {}, $(element).data())));
					$("#" + elementId).prop("selected", true).trigger("change").remove();
				});
			}
		},
		/*
		 * 최근 주소 조회
		 * v 상태에서 이미 정보를 가져온 적이 있을 경우 다시 조회하지 않음 
		 * */
		onclick_RecentDeliveryAddressList : function(){		
			
			if(CurrentView.recentAddressList == null || CurrentView.recentAddressList.length < 1){				
				var invoke = {};
				invoke.userId = CurrentView.m_outputDatas.msg.UserInfo.USERS_ID;			
				tran.callWCSJsonTran('NSRecentDeliAddressAjax', invoke, function(data){					
					if(data.msg.root != null ){
						CurrentView.recentAddressList = data.msg.root.RecentAddressList;
						var isToggleOn = true;
						
						CurrentView.ui.setAddressList(isToggleOn);	// 배송지 주소록 영역을 다시 그려준다
						
					}else{						
					}
				} );
				
			}else{
			}			
			
		}
	},
}; 