
/* JavaScript content from js/order/M_B1320000M.ui.js in folder common */
$(document).ready(function(){

  /* 스와이프 */ 
  $('.row-slide-card .slide-box').bxSlider({
    controls : false,
    infiniteLoop : false,
    captions: true
  });

  var length = $('.row-slide-card .slide-pager-item').length;
  $('.row-slide-card .slide-controls').css('margin-left', - (length * 16) / 2);
  $('.row-slide-card .slide').on('click', function(){
    var self = $(this);
    if(self.hasClass('selected')){
      self.removeClass('selected');
    }else {
      $('.row-slide-card .slide').removeClass('selected');
      self.addClass('selected');
    }
  })

  /* 버튼 토글 */ 
  $('.btn-favorite').on('click', function(){
  	self = $(this);
  	self.toggleClass('on');
  });


  /* 아코디언 */ 
  $('.btn-collapse').on('click', function(e) {
	try{
		var self = $(this);
		e.stopPropagation();
		e.preventDefault();

		if (e.currentTarget.tagName.toLowerCase() === 'a') {
		  target = self.attr('href');
		} else {
		  target = self.next();
		}
		
		self.toggleClass('in');
		target.toggle();
	 } catch (e){
		 console.log(e);
	 }
  });

  /* 체크박스 선택 */ 
  var container = $('.row-agree');

  container.each(function() {
    var self = $(this),
        btn, checkbox;
        btn = self.find('.all-agree');
        checkbox = self.find('.checkbox-np');
    if (self.next().is('.row-agree')) {
      self.next().find('.checkbox-np').each(function() {
        checkbox.push(this);
      });
    }
    btn.on('click', function(e) {
      e.preventDefault();
      if (!btn.hasClass('checked')) {
        btn.addClass('checked');
        checkbox
          .prop('checked', true)
          .parent().addClass('checked');
      } else {
        btn.removeClass('checked');
        checkbox
          .prop('checked', false)
          .parent().removeClass('checked');
      }
    });

    checkbox.on('click', function() {
      var flag = true;
      checkbox.each(function() {
        if (!$(this).is(':checked')) {
          flag = false;
        }
      });
      if (flag === true) {
        btn.addClass('checked');
      } else {
        btn.removeClass('checked');
      }
    });
  });

  /* 모달팝업 중앙정렬  */ 
  $('.layer-btn').on('click', function(){
    var wh = $(window).height(),
        layer = $(".ly-modal"),
        content = $(".modal-in");

    if (layer.height() < wh) {
        // center 정렬
        layer.css("margin-top", (wh - layer.height()) / 2);
    } else {
        layer.css("margin-top", 15);
        content.css({
            "height": wh,
            "overflow": "auto"
        });
    }
    $('.layer-pop').addClass('open');  
  })

  $('.ly-modal .cl').on('click', function(){
    $('.layer-pop').removeClass('open');
  })
  
  /* 맨하단 스크롤 */
  $('.row-payment .shipping-box .btn-collapse').on('click', function(){
    $('body, html').animate({
      scrollTop : $('.ly-content .row-slide-card').height() + $('.ly-content .price-box').height() + $('.ly-content #cashReceiptDiv').height() + 6
    }, 800);
  })

});