
/* JavaScript content from js/order/M_B1343000L.js in folder common */

/* 
 *	주문서작성-해피머니 조회
 *  ID : M_B1343000L
 *  
*/

//popup 컨트롤 클래스
CurrentPopup = {
		m_inputParams : null,
		callbackFunc : null, //callback function..
		targetObj : null, //layer div..

		init : function( target, params ) {
			this.callbackFunc = params.callback;
			this.targetObj = target;
			
			this.initializeComponent();
			this.onLoad(target, params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnCancel").unbind().bind( "click", this.event.onclick_btnCancel ); //취소
			$("#btnPointInquiry").unbind().bind( "click", this.event.onclick_btnPointInquiry ); //포인트조회
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(target, params) {
			CurrentPopup.m_inputParams = params;
			this.data.setData(params);
			
			//ga360 hawoong
			var paramPageID = {
				pageId : "M_B1343000L"
			};
			var paramObj = {
				params : paramPageID,
				category : "add_suborder"
			};
			GA.inIt(paramObj);
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			setData : function( data ) {
			}
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//취소 버튼
			onclick_btnCancel : function() {
				Ns.Popup.close( CurrentPopup.targetObj );
			},
			
			//포인트조회 버튼
			onclick_btnPointInquiry : function() {
				var frm = document.getElementById('formPointInquiry');
				
				if (frm.happyID.value.length == 0) {
					Ns.Popup.alert( "해피머니 아이디를 정확히 입력 해 주세요." );
					return false;
				}
				if (frm.happyPW.value.length == 0) {
					Ns.Popup.alert( "해피머니 비밀번호를 정확히 입력 해 주세요." );
					return false;
				}

				var param = {
					'payType' : '1000',
					'requestCommand' : 'SearchCash',
					'payAmt' : '0',
					'userId' : CurrentPopup.m_inputParams.UserInfo.USERS_ID,
					'loginId' : CurrentPopup.m_inputParams.UserInfo.CUSTOM_NUMBER,
					'happyID' : frm.happyID.value,
					'happyPW' : frm.happyPW.value
				};

				// 포인트 조회
				CurrentView.data.doPaymentApprovalRequest({
					orderCompleteYn : 'N',
					paymentList : JSON.stringify({"paymentList" : [ param ]})
				}, function(data){
					if (data.msg && data.msg.result == 'success') {
						if (data.msg.resCd == 'P000') {
							// resCd      결과 코드
							// resMsg     결과 메시지
							// resRemAmt  잔액정보
							CurrentPopup.callbackFunc( $.extend(true, {}, data, param) );
							Ns.Popup.close( CurrentPopup.targetObj );
						} else {
							Ns.Popup.alert( data.msg.resMsg );
						}
					} else {
						Ns.Popup.close( CurrentPopup.targetObj );
						Ns.Popup.alert( "아이디 또는 비밀번호를 다시 확인해 주세요" );
					}
				});
			}
			
		} // end event
};