
/* JavaScript content from js/popup/alert_popup.js in folder common */

CurrentCommonPopup = {

	init : function(target, params) {
		this.onLoad(target, params);
	},

	onLoad : function(target, params) {
		var msg = params.msg || null;
		var okCb = params.okCb || null;
		var title = params.title || null;
		var okTxt = params.okTxt || null;

		if (title != null && title != "") {
			target.find("div.layer-header h1").html(title);
			target.removeClass("alert");
		}
		
		target.find("p#msgArea").empty().append(msg);
		
		if(okTxt != null){
			target.find("a#btnAlertOk span").html(okTxt);
		}
		
		/*
		target.find("a#btnAlertOk").on("click", function() {
			Ns.Popup.close(target);
			if (okCb != null && okCb != undefined && typeof(okCb) == 'function') {
				okCb();
			}
		});
		*/
		
		var objFn = new Object();
		objFn.fn = function() {
			Ns.Popup.close(target);
			
			if (undefined != CurrentView.nDoubleCount){
				CurrentView.nDoubleCount = 0;
			}
			
			if (okCb != null && okCb != undefined && typeof(okCb) == 'function') {
				navi.setMovePointer(-1);
				okCb();
			} else {
				navi.setMovePointer(-1);
			}
		};
		
		navi.setDataPop("alert", params, null, objFn.fn);
		
		target.find("a#btnAlertOk").on("click", objFn.fn);
		$("#util").css("position", "");
		Ns.Popup.resize("alert_popup");
	},

	data : {
	},

	ui : {
	},

	event : {
	}

};
