
/* JavaScript content from js/popup/confirm_popup.js in folder common */

CurrentCommonPopup = {
		
		init : function( target, params ){			
			this.onLoad( target, params );
		},
		
		onLoad : function( target, params ){
			
			var msg = params.msg;
			var okCb = params.okCb; 
			var canCb = params.canCb || null; 
			
			var okTxt = params.okTxt || null; 
			var canTxt = params.canTxt || null; 
			
			var title = params.title || null;
			
			if( title != null && title != "" ) {
				target.find("div.layer-header h1").html( title );
				target.removeClass("alert");
			}
			
			if(okTxt != null){
				target.find("a#btnConfirmOk span").html(okTxt);
			}
			if(canTxt != null){
				target.find("a#btnConfirmCancel span").html(canTxt);
			}
			
			target.find("p#msgArea").empty().append(msg);
			
			if (null != params.topScroll && undefined != params.topScroll){
				$("#confirm_popup").css("top", params.topScroll + "px")
			} else {
				Ns.Popup.resize(target.attr("id"));
			}
			
			// 특정 영역 스크롤 세팅
			if (params.iscrollTarget != ""){
				var lScroll = new iScroll(params.iscrollTarget, {
					vScrollbar: false,
					hideScrollbar:true,
					hScroll : false,
				});
			}
			
			var objFn = new Object();
			objFn.fn = function(){
				Ns.Popup.close( target );
				if (canCb != null && canCb != undefined && typeof(canCb) == 'function') {
					navi.setMovePointer(-1);
					canCb();
				} else {
					navi.setMovePointer(-1);
				}
			};
			
			navi.setDataPop("alert", params, null, objFn.fn);
			
			target.find("a#btnConfirmOk").on("click", function(){
				Ns.Popup.close( target );
				if (okCb != null && okCb != undefined && typeof(okCb) == 'function') {
					navi.setMovePointer(-1);
					okCb();
				}
			});
			
			target.find("a#btnConfirmCancel").on("click", objFn.fn);
		}
		
	};

