
/* JavaScript content from js/popup/custom_popup.js in folder common */


/**
 * var objAlertParam = new Object();
	objAlertParam.msg = "일이삼사오";	// 보여줄 문구
	objAlertParam.aletType = "bAlert";	// alert 타입 - bAlert:버튼형 alert, nAlert:기본 alert, 미입력 or undefined시 디폴트 nAlert 세팅됨
	objAlertParam.position = "top";	// alert의 위치 - top:상단, center:가운데, bottom:하단, 미입력 or undefined시 디폴트 cneter 세팅됨
	objAlertParam.btn1Nm = "버튼1명";	// aletType을 bAlert으로 선택하면 기본 "확인"으로 버튼 기본 생성됨. 원하는 버튼명 세팅
	objAlertParam.btn1fn = function(){};	// 버튼1의 클릭시 수행 펑션
	objAlertParam.btn2Nm = "버튼2명";	// aletType을 bAlert으로 선택하고 btn2Nm가 있으면 추가 버튼이 생성됨. 해당 추가버튼의 버튼명 세팅 
	objAlertParam.btn2fn = function(){}; 	// 버튼2의 클릭시 수행 펑션
	objAlertParam.bArrow = false;	// 버튼형 alert의 상단 화살표 표시(상품상세 한정) - true: 표시, false: 미표시, undefind시 디폴트 미표시 세팅
	objAlertParam.bShowAni = true;	//aletType을 bAlert으로 alert이 나타나는 에니메이션 효과 여부 - true:효과 부여, false:효과 미부여, undefind시 디폴트 효과 부여	
	objAlertParam.bBackBlock = false;	// alert이 생성된 동안 뒤 배경 클릭방지 여부 - true:클릭방지, false:클릭가능, undefined시 디폴트 클릭가능 세팅
	objAlertParam.bAutoHide = true;	// alert이 자동으로 사라질지 여부 - true:3초후 자동 사라짐, false:자동사라짐 없음, undefined시 자동 사라짐 세팅
 */

CurrentCommonPopup = {
	customPopClose : null,
	bBackBlock : false,
	
	init : function(target, params) {
		this.onLoad(target, params);
	},

	onLoad : function(target, objAlertParam) {
		
		/*
		var msg = params.msg || null;
		var type = params.type || null;
		var position = params.position || null;
		var okCb = params.okCb || null;
		var barrow = params.barrow || null
		*/
		
		CurrentCommonPopup.bBackBlock = objAlertParam.bBackBlock ;
		
		// 버튼 타입 설정
		var strViewPopId = "normalPop";
		if (null != objAlertParam.aletType && undefined != objAlertParam.aletType && objAlertParam.aletType != ""){
			if (objAlertParam.aletType == "bAlert"){
				strViewPopId = "buttonPop";
			}
		}
		
		var $viewPop = $("#" + strViewPopId);
		
		// 메세지 내용 설정
		$viewPop.find("p").html(objAlertParam.msg);
		
		// alert 위치 설정
		if (null != objAlertParam.position && undefined != objAlertParam.position && "" != objAlertParam.position){
			if (objAlertParam.position == "top"){
				$viewPop.addClass("top");
			} else if (objAlertParam.position == "bottom"){
				$viewPop.addClass("btm");
			} else {
				$viewPop.addClass("mid");
				CurrentCommonPopup.ui.getTopCenter($viewPop);
			}
		} else {
			$viewPop.addClass("mid");
			CurrentCommonPopup.ui.getTopCenter($viewPop);
			$viewPop.css("top", center_position);
		}
		
		
		// 버튼형 alert의 우측 상단 말풍선 화살표 표시여부처리
		if (strViewPopId == "buttonPop"){
			if (null != objAlertParam.bArrow && undefined != objAlertParam.bArrow && "" != String(objAlertParam.bArrow)){
				if (objAlertParam.bArrow == true){
					$("#arrow").removeClass("none");
				}
			}
		}
				
		
		// 버튼형 alert 버튼 세팅
		if (strViewPopId == "buttonPop"){
			var $cAlertbtn = null;
			if (null != objAlertParam.btn1Nm && undefined != objAlertParam.btn1Nm && "" != objAlertParam.btn1Nm){
				$cAlertbtn = $("<a href=\"javascript:;\" class=\"btn_gotoBuy\" id=\"cAlertBtn1\"><span>" + objAlertParam.btn1Nm + "</span></a>");
			} else {
				$cAlertbtn = $("<a href=\"javascript:;\" class=\"btn_gotoBuy\" id=\"cAlertBtn1\"><span>확인</span></a>");
			}
			
			$("#cAlertBtnArea").html($cAlertbtn);
			
			if (null != objAlertParam.btn1fn && undefined != objAlertParam.btn1fn && typeof(objAlertParam.btn1fn) == 'function'){
				$("#cAlertBtn1").off().on("click", function(){
					CurrentCommonPopup.event.close(target);
					objAlertParam.btn1fn();
				});
			} else {
				$("#cAlertBtn1").off().on("click", function (){
					CurrentCommonPopup.event.close(target);
				});
			}
			
			$cAlertbtn = null;
			if (null != objAlertParam.btn2Nm && undefined != objAlertParam.btn2Nm && "" != objAlertParam.btn2Nm){
				$cAlertbtn = $("<a href=\"javascript:;\" class=\"btn_gotoBuy\" id=\"cAlertBtn2\"><span>" + objAlertParam.btn2Nm + "</span></a>");
			}
			
			if ($cAlertbtn != null){
				$("#cAlertBtnArea").append($cAlertbtn);
				
				if (null != objAlertParam.btn2fn && undefined != objAlertParam.btn2fn && typeof(objAlertParam.btn2fn) == 'function'){
					$("#cAlertBtn2").off().on("click", function(){
						CurrentCommonPopup.event.close(target);
						objAlertParam.btn1fn();
					});
				} else {
					$("#cAlertBtn2").off().on("click", function (){
						CurrentCommonPopup.event.close(target);
					});
				}
			}
			
		}
		
		// 버튼형 alert이 나타날때 animate 효과 세팅 
		var bAniShow = true;
		if (strViewPopId == "buttonPop"){
			if (null != objAlertParam.bShowAni && undefined != objAlertParam.bShowAni && "" != String(objAlertParam.bShowAni)){
				if (objAlertParam.bShowAni == false){
					bAniShow = false;
				}
			}
		} else {
			bAniShow = false;
		}
		
		if (bAniShow == true){
			if (strViewPopId == "buttonPop"){	// 버튼형 alert
				if (objAlertParam.position == "top"){
					var strPos = $viewPop.css("top"); 
					$viewPop.css("top" ,"-100px")
					$viewPop.show();
					$viewPop.animate(
						{top:strPos}
					);
				} else if (objAlertParam.position == "bottom"){
					var strPos = $viewPop.css("bottom");
					
					$viewPop.css("bottom" ,"-100px")
					$viewPop.show();
					$viewPop.animate(
						{bottom:strPos}
					);
				} else {
					$viewPop.show();
				}
			}
		} else {
			$viewPop.show();
		}
				
		// alert이 자동으로 사라짐 처리
		var bAutoHide = true;
		if (null != objAlertParam.bAutoHide && undefined != objAlertParam.bAutoHide && "" != String(objAlertParam.bAutoHide)){
			if (objAlertParam.bAutoHide == false){
				bAutoHide = false;
			}
		}
		
		if (bAutoHide == true){
			var nDTime = 3000;	// 기본 시간
			if (strViewPopId != "buttonPop"){
				nDTime = 1500;	// 노멀 alert
			}
			
			CurrentCommonPopup.customPopClose = setTimeout(function(){
				$viewPop.fadeOut( "slow", function(){
					CurrentCommonPopup.event.close(target);
				});
			}, nDTime);
		}
		
		
		
		
		
		
		//clearTimeout(customClose);
		
		
		
		/*
		var chkTime = setTimeout(function(){ 
			if ($("#" + catentryId).css("opacity") == "0.1"){
				var nCnt = $("#sumArea_num").data("data").cnt - 1;
				$("#sumArea_num").data("data", {cnt : nCnt});
				$("#sumArea_num").html(nCnt + "개 선택됨");
				
				$("#" + catentryId).remove();
				clearTimeout(chkTime);
			}
		}, 100);
		
		*/
		/*
		
		if (title != null && title != "") {
			target.find("div.layer-header h1").html(title);
			target.removeClass("alert");
		}
		
		target.find("p#msgArea").empty().append(msg);
		
		var objFn = new Object();
		objFn.fn = function() {
			Ns.Popup.close(target);
			
			if (undefined != CurrentView.nDoubleCount){
				CurrentView.nDoubleCount = 0;
			}
			
			if (okCb != null && okCb != undefined && typeof(okCb) == 'function') {
				okCb();
			} else {
				navi.setMovePointer(-1);
			}
		};
		
		navi.setDataPop("alert", params, null, objFn.fn);
		
		target.find("a#btnAlertOk").on("click", objFn.fn);
		$("#util").css("position", "");
		*/
	},

	data : {
	},

	ui : {
		getTopCenter : function(target){
			var con_height = Number($(window).height() / 2);
			
			if(!Ns.Util.isNull(top) && $(window).scrollTop() == 0) {
				con_height = 50 + $(window).height() / 2 - 35; 
			}
			var obj_height = Number((target.height() + 35 + 20) / 2);
			var center_position = con_height - obj_height;

			target.css("top", center_position);
		}
	},

	event : {
		close : function(target){
			Ns.Popup.close(target);
			$("#dimmedAll").removeClass("active").remove("bg3");
		}
	}

};
