
/* JavaScript content from js/popup/event_kakaotalk_popup.js in folder common */

/**
 *   카카오톡 친구추천 이벤트
 * 
 **/

CurrentPopup = {
	
		mOfferId : "",   //이벤트 offer id
		mUserId  : "",   //로그인된 내 아이디
		mRecomUser : "",
		mPhone : "",
		
		init : function( target, params ){		
			this.onLoad( target, params );
		},
		
		onLoad : function( target, params ){
	
			CurrentPopup.mUserId= params.users_id; 
			CurrentPopup.mOfferId = params.offer_idfr;
			CurrentPopup.mRecomUser = params.recom_user ; 
			CurrentPopup.mPhone = params.phone; 		
			
			$("#txt_inviteid").val(CurrentPopup.mRecomUser);
			$("#txt_phone_number").val(CurrentPopup.mPhone);
		
			target.find("#btnEventOk").off().on("click", function(){
				
				//카톡 추천 아이디를 등록한다 
				CurrentPopup.mRecomUser  =	$.trim($("#txt_inviteid").val() );
				CurrentPopup.mPhone        = 	$.trim($("#txt_phone_number").val());
				
			    if( Ns.Util.isNull( CurrentPopup.mRecomUser ) == true ){
                    Ns.Popup.alert("나를 초대한 친구 ID 값을 넣어주세요.",null,null,true);
                    return false;
                }else{
                	if(CurrentPopup.mRecomUser.length < 4){
    					var message = '아이디는 4~40자 이내 영문소문자 또는 영문소문자+숫자 조합으로 입력해 주세요.';
    					Ns.Popup.alert(message);
    					return false;
    				}
                }
			    
                if( Ns.Util.isNull( CurrentPopup.mPhone ) == true ){
                    Ns.Popup.alert("기프티쇼 받으실 연락처를 넣어주세요.",null,null,true);
                    return false;
                }

				var invokeParams = {
					offer_idfr : CurrentPopup.mOfferId,
					users_id :  CurrentPopup.mUserId,
					recom_user : CurrentPopup.mRecomUser,
					phone :    CurrentPopup.mPhone,
					readFlag : ""
				};
				
				tran.callWCSJsonTran( 'NSRecomFriendKakaoMobileReal', invokeParams, function(data){
					if ( data.msg != null ){
						var resultCode = data.msg.resultCode;
						var resultMsg = data.msg.resultMsg;
						Ns.Popup.alert(resultMsg);					
					}
				} );
				
				Ns.Popup.close( target );
				
			});
			
			target.find("a#popupBtnEventClose").on("click", function(){
				Ns.Popup.close( target );
			});
			
		
		},
		
		ui : {
	
		},
		
   /*     valTel : function (tel){
        	var regExp = /^(01[016789]{1}|02|0[3-9]{1}[0-9]{1})-?[0-9]{3,4}-?[0-9]{4}$/;
			//var regExp = /^\d{3}-\d{3,4}-\d{4}$/;
			if ( !regExp.test( tel ) ) {
			      return false
			}
		}*/
		
	};

