
/* JavaScript content from js/popup/sns_popup.js in folder common */
//var _FBOOK = window._FBOOK || (window._FBOOK = []);

CurrentCommonPopup = {
		sharedUrl : "http://" +  Const.MOBILE_NSMALL_PATH + "/ProductDisplay",
		sharedParams : "",
		title : "",
		imageUrl : "", 
		
		init : function( target, params ){
			//this.initFaceBook();
			this.onLoad( target, params );
		},
	
		onLoad : function( target, params ){
			CurrentCommonPopup.sharedParams = "?storeId=" + DEFAULT_PARAMs.storeId + "&partNumber=" +  params.partNumber + "&via=NSMALL";
			if ( !Ns.Util.isNull( params.multiCd )) CurrentCommonPopup.sharedParams = CurrentCommonPopup.sharedParams + "&multiCd=" + params.multiCd; //쇼핑북 상품의 경우. 

			CurrentCommonPopup.title = params.title;
			CurrentCommonPopup.imageUrl = params.imageUrl;
			
			target.find("a#btnOk").on("click", function(){
				Ns.Popup.close( target );
			});
			
			target.find("a#sns_facebook").on("click", function(){
				CurrentCommonPopup.shared_facebook();
				Ns.Popup.close( target );
			});
			
			target.find("a#sns_twitter").on("click", function(){
				CurrentCommonPopup.shared_twitter();
				Ns.Popup.close( target );
			});
			
			target.find("a#sns_kakaotalk").on("click", function(){
				CurrentCommonPopup.shared_kakaotalk();
				Ns.Popup.close( target );
			});
			
			if( mainCtrl.VIEW_TYPE == "other" ) {
				target.find("a#sns_kakaotalk").hide();
			}
		},
		
		shared_facebook : function() {
//			alert("facebook 공유는 오픈된 URL이 필요하기 때문에 운영환경에서 테스트가 이루어져야 함.");
			var url = CurrentCommonPopup.sharedUrl + CurrentCommonPopup.sharedParams;
//			url = "http://m.nsmall.com/mjsp/item/itemview.jsp?sect_id=312224&good_id=14966380"; //임시 모바일웹 경로 하드코딩
			
			$("meta[property='og:title']").attr("content", CurrentCommonPopup.title );
			$("meta[property='og:url']").attr("content", url );
			$("meta[property='og:image']").attr("content", CurrentCommonPopup.imageUrl );

		    var fullUrl = "http://www.facebook.com/sharer.php?u="+ encodeURIComponent(url) +"&t="+ encodeURIComponent( "[NS홈쇼핑]" + CurrentCommonPopup.title.substring(0,40) ); 
		    
		    WL.App.openURL( fullUrl, "facebook" );
		},

		shared_twitter : function() {
			var url = CurrentCommonPopup.sharedUrl + CurrentCommonPopup.sharedParams;
		    var fullUrl = "https://twitter.com/intent/tweet?url="+ encodeURIComponent(url)+"&text="+ encodeURIComponent( "[NS홈쇼핑]" + CurrentCommonPopup.title.substring(0,40) ); 
		    WL.App.openURL( fullUrl, "twitter" );
		},
		
		shared_kakaotalk :function() {
			var url = CurrentCommonPopup.sharedUrl + CurrentCommonPopup.sharedParams;

			kakao.link("talk").send({
				msg : CurrentCommonPopup.title,
			    url : url,
			    appver : "2.0",
			    appname : "NS쇼핑몰",
		        appid : "com.nsmobilehub",
			    type : "link",
			    //urlinfo : JSON.stringify({title:" 글제목 ", desc:" 글본문요약글 ", imageurl:[" 이미지 경로 "], type:"article"})
			});
		}
		
	};


