
/* JavaScript content from js/push/M_H1114000M.js in folder common */
//page 컨트롤 클래스.
CurrentView = {
		partNumber : "",
	
	init : function( params ) {
		this.initializeComponent();
		this.onLoad(params);
	},
	
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	//이벤트 binding 등...
	initializeComponent : function() {
		
	},
	
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {
		//상하단 숨기기
		$('#contents').css('padding-top', 0);
		$("#util").hide();
		$("#pageHeader").hide();
		$("#footer").hide();

		if(params.partNumber != null || params.partNumber != undefined || params.partNumber != ""){
			CurrentView.partNumber = params.partNumber;
			this.data.getContent();
		}else{

		}
	},
	
	//데이터 관련 함수를 정의한다. 
	data : {
		getContent : function() {
			var invoke = {
					"cmdType":12, 
					"catentryId":CurrentView.partNumber,
			};

			tran.callWCSJsonTran( "NSItemDetailAjax", invoke, CurrentView.ui.settContent );
		}
	},
	
	//ui 관련 함수를 정의한다.
	ui : {
		settContent : function( data ) {
			var content = data.jsonData.goodsGuideDataDetailList;
			var htmlTxt = "";
			var htmlTxt2 = "";
			
			if ( content.length > 0){
				for( var i=0; i<content.length; i++) {
					if ( data.jsonData.goodsGuideDataDetailList[i].goodsSpecsItemCd == "11" ){
						htmlTxt = Ns.Util.htmlDecode(data.jsonData.goodsGuideDataDetailList[i].specsInputVal);
					}else if ( data.jsonData.goodsGuideDataDetailList[i].goodsSpecsItemCd == "12" ){
						htmlTxt2 = Ns.Util.htmlDecode(data.jsonData.goodsGuideDataDetailList[i].specsInputVal);
					}
				}
			}
			
			$("#confirmcontents").html( htmlTxt );
			$("#addconfirmcontents").html( htmlTxt2 );
		}
	},
	 
	//이벤트 관련 함수를 정의한다.
	event : {
		
	}
};