
/* JavaScript content from js/vod/M_G6100001M.js in folder common */
/**
 * 		페이지 ID : M_G6100001M
 */

var M_G6100001M = {
		VIDEO_WIDTH : "",
		VIDEO_HEIGHT : "",
		
		MAINPRD : null,
		RELPRD : null,
		VOD : null,
		CUSTNUM : "",
		
		VODID : "",
		VODIMG : "",
		VODTITLE : "",
		VODDESC : "",
		VODHASH : "",
		vodLikeCnt : 0,
		vodPlayCnt : 0,
		snsURL : "",
		player : null,
		
		noPImgUrl : Const.NO_IMAGE_URL + "noimage_P.jpg",
		noVImgUrl : Const.NO_IMAGE_URL + "noimage_X6.jpg",
		
		init : function( params ) {
			
			Ns.LocalStorage.set('SaveVodId', params.vodId);
			//HUB_INIT.scrollHeader();
			mainCtrl.hideGNB();
			
			$("#contents").addClass("detailON");
			$("#subCategory").addClass("detailON");
			
			if( mainCtrl.VIEW_TYPE == 'ios' || mainCtrl.VIEW_TYPE == 'android' ){
                $("#vod_share_con_id").removeClass("share_con");
                $("#vod_share_con_id").addClass("share_con app_init");
            }
			

            $('#AttractAppDownLoadclose').click(function(){
            	M_G6100001M.event.videoMove();
            })
			
			this.VODID = params.vodId;
			this.CUSTNUM = USERINFO.custNum();
			this.initializeComponent( params );
			this.onLoad();
		},
		
		initializeComponent : function(params){
			//가로세로 길이 구하기.
			var mWidth = $('#vodPLAY').outerWidth();
			M_G6100001M.VIDEO_WIDTH = mWidth; 
			M_G6100001M.VIDEO_HEIGHT  = mWidth / 2;
			
			/*01. API 호출**/
			var invokeParams = {};
			invokeParams.vodId 		= M_G6100001M.VODID;
			invokeParams.memberId 	= M_G6100001M.CUSTNUM;
			invokeParams.contentId 	= params.contentId;
			invokeParams.gubun 		=  "0";
			invokeParams.viewGubun 	=  "VOD";

			tran.callWCSJsonTran('NSMobVodPlayCmd',invokeParams,function(data){
				if($("#videojsScript").length == 0){
					var css = document.createElement("link"); 
					css.rel = "stylesheet"; 
					css.type = "text/css"; 
					css.href = "./css/video-js.min.css";
					document.getElementById("contents").appendChild(css); 
					
					var js = document.createElement("script");
					js.type = "text/javascript";
					js.src = "./js/common/video.min.js";
					js.onload = function(){ 
						M_G6100001M.data.setVodDetail(data);
					}
					document.getElementById("contents").appendChild(js);
				} else {
					M_G6100001M.data.setVodDetail(data);
				}
				//kakaolink 연결
				if(!mainCtrl.isOsApp())
					M_G6100001M.event.setKakaoInit();
			});
			tran.callPageLogging( "M_G6100001M" , invokeParams );

		},
		
		onLoad : function(){
			$("#vod_like_check").unbind().bind('click',M_G6100001M.event.onclick_like_btn);
			$("#vodPLAYBTN").unbind().bind('click',M_G6100001M.event.onclick_vid_btn);
			$("#vod_ico_share").unbind().bind( "click", M_G6100001M.event.onclick_ico_share );
			$("#vod_ico_share_Close").unbind().bind( "click", M_G6100001M.event.onclick_ico_share_close );
			$("#vod_btnSharedSNS a").unbind().bind( "click", M_G6100001M.event.onclick_btnSharedSNS ); //SNS 버튼 액션
			if(mainCtrl.VIEW_TYPE != "android" && mainCtrl.VIEW_TYPE != "ios"){
				$("#btnPreview").off("click.M_G6100001M").on("click.M_G6100001M" , M_G6100001M.event.onclick_btnPreview);
			}
			M_G6100001M.ui.sns_sms();
		},
		
		//데이터 관련 함수 정의
		data : {
			setVodDetail : function(data){
				var mItem = true;
				var rItem = true;
				
				if(data.msg == null || data.msg == "" || data.msg == undefined
					|| data.msg.root == null || data.msg.root == "" || data.msg.root == undefined){
					//뒤로가기
					Ns.Popup.alert('잘못된 접근경로입니다. 홈화면으로 이동합니다.',function(){
						mainCtrl.gotoMain();
						return false;
					},null,true);
				}
				
				if(data.msg.root._vod_main_product == null || data.msg.root._vod_main_product == "" 
					|| data.msg.root._vod_main_product == undefined || data.msg.root._vod_main_product.length < 1){
					//메인상품 영역 hide()
					$('#vodMITEMS').hide();
					data.msg.root._vod_main_product = "no items";
					mItem = false;
					
				}
				if(data.msg.root._vod_relation_product == null || data.msg.root._vod_relation_product == "" 
					|| data.msg.root._vod_relation_product == undefined || data.msg.root._vod_relation_product.length < 1){
					//연관상품 영역 hide()
					$('#vodRITEMS').hide();
					data.msg.root._vod_relation_product = "no items";
					rItem = false;
				}
				if(data.msg.root._vod_banner == null || data.msg.root._vod_banner == "" 
					|| data.msg.root._vod_banner == undefined || data.msg.root._vod_banner.length < 1){
					//뒤로가기
					Ns.Popup.alert('잘못된 접근경로입니다. 홈화면으로 이동합니다.',function(){
						mainCtrl.gotoMain();
						return false;
					},null,true);
				}
				
				M_G6100001M.MAINPRD = data.msg.root._vod_main_product;
				M_G6100001M.RELPRD = data.msg.root._vod_relation_product;
				M_G6100001M.VOD = data.msg.root._vod_banner;
				
				M_G6100001M.ui.setVodArea();
				if(mItem) {
					M_G6100001M.ui.setMPrdArea();
				}
				if(rItem) {
					M_G6100001M.ui.setRPrdArea();
				}
				
				/*window.scrollTo(0,0);
				$(window).scroll(function(){
					M_G6100001M.event.videoMove();
	            });*/
				
			},
		},
		//end data function...
		
		//ui interaction 관련 함수 정의 
		ui : {
			setVodArea : function(){

				var data = M_G6100001M.VOD[0];
				var vodImg = "http:" + data.imgUrl;
				var vodUrl = data.vodPath;
				var vodName = data.vodName;
				var vodDesc = data.vodDescribe;
				//var vodPlayTime = data.vodPlayTime;
				var vodLikeCnt = data.vodLikeCount;
				var vodPlayCnt = data.vodPlayCount;
				var vodDate = data.initRegiDttm;
				var mdImg = data.vodMdImage;
				var mdName = data.vodMdName;
				var mdComment = data.vodMdComment;
				var userLikeYn = data.userLikeYn;
				var vodHashTag = data.vodHashTag;
				var cmmtActvYn = data.cmmtActvYn;
				
				M_G6100001M.VODTITLE = vodName;
				M_G6100001M.VODDESC = vodDesc;
				M_G6100001M.VODIMG = vodImg;
				M_G6100001M.VODHASH = vodHashTag;
				
				//vodPLAY 세팅
				var htmlTxt = "";
				
				if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드
					htmlTxt += "	<video id='vvid' class='video-js vjs-fluid placeholder' webkit-playsinline preload='auto' width='100' height='100%'>";
				}else{//아이폰
					htmlTxt += "	<video id='vvid' class='video-js vjs-fluid placeholder' playsinline>";
				}
				
				htmlTxt += '		<source src="'+vodUrl+'" type="video/mp4" >';
				htmlTxt += '		Your browser does not support the video tag.';					
				htmlTxt += '	</video>';
				
				$('#vvid').remove()
				$('#vodPLAY').prepend(htmlTxt)
				//css 강제로 가로,세로 맞추던거 지움(h.w)
				M_G6100001M.player = videojs('vvid',{
					controls:true,
					autoplay:false,
					//preload:'true',
					poster:vodImg
				});
				
				M_G6100001M.player.one('loadedmetadata',function(){
					//vodTimer 세팅
					$('#vodTimer').text(mainCtrl.setDurationTimeForm(M_G6100001M.player.duration()));
					window.scrollTo(0,0);
					M_G6100001M.event.videoMove();
				})
				
				M_G6100001M.player.on('ended', function(){
					//console.log(">>> end");
					this.hasStarted(false);
					$('#vodTHUMB').show();
					$('#vodPLAYBTN').show();
				});
				
				//vodTHUMB 세팅
				$('#vodTHUMB').find('img:first-child').attr('src',M_G6100001M.VODIMG); //img로 변경해야함.
				$('#vodTHUMB').find('img:first-child').attr('onerror','this.onerror=null;this.src=\''+M_G6100001M.noVImgUrl+'\'');

				//vodINFO 세팅
				var vodInfo = $("#vodINFO");
				vodInfo.find("strong").text(vodName);
				vodInfo.find("p").text(vodDesc);
				vodPlayCnt = (vodPlayCnt*1 + 1) + "";
				M_G6100001M.vodPlayCnt = vodPlayCnt * 1;	//공유를 위해 조회수 저장.
				M_G6100001M.event.increasePlayCount(); //조회수 올리는 api 실행
				vodInfo.find(".badge_eyes").text(Ns.Util.insertCommas(vodPlayCnt)); //AS-IS : 4321 || TO-BE : 4,321
				vodDate = vodDate.replace(/-/gi,'.').split(" ")[0] //AS-IS : 2018-10-01 17:47:47 || TO-BE : 2018.10.01
				//vodInfo.find(".badge_date").text(vodDate);
				//vodLikeCnt 4자리 넘지 않게만 유지하면 됨.
				vodInfo.find(".badge_good span").text(Ns.Util.insertCommas(vodLikeCnt)); //AS-IS : 4321 || TO-BE : 4,321
				M_G6100001M.vodLikeCnt = vodLikeCnt * 1	//공유를 위해 좋아요 수 저장.
				if(userLikeYn == 'Y'){		//이미 좋아요 눌렀으면 활성화.
					$('#vod_like_check').prop('checked',true);
				}

				//vodMD 세팅
				/*var vodMd = $("#vodMD");
				vodMd.addClass('appeal_wrap clearfix');
				if(Ns.Util.isNull(mdImg.split(':')[1])){
					vodMd.find(".photo").remove();
				}
				else{
					vodMd.find("img:first-child").attr("src",mdImg);
				}
				vodMd.find("strong").text(mdComment);
				vodMd.find("span").text(mdName);*/
				//md 코멘트
				
				//mdCommentArea
				if(cmmtActvYn != "N" && mdComment){
					$("#mdComment").text(mdComment)
				} else {
					$("#mdCommentArea").hide();
				}

			},
			
			setMPrdArea : function(){
				var mData = M_G6100001M.MAINPRD;
				var mArea = $('#vodMITEMS');
				
				for(var i = 0 ; i < mData.length ; i++){
					
					if(mData[i].productDetail == "" || mData[i].productDetail == null || mData[i].productDetail == undefined){
						continue;
					}
					
					var productDetail = mData[i].productDetail;
					
					var partnumber = productDetail.partnumber;
					var imgUrl = Ns.Util.getImageUrl( partnumber, "P" );
					var proTitle = productDetail.itncatentrynm;
					var proPrice = productDetail.pricedcprice;
					//var prdHref = 'javascript:M_G6100001M.event.vodStop();mainCtrl.gotoProductDisplay('+partnumber*1+',"null","MOBIL");';
					
					var html = '';
					html += Ns.Util.stringFormat('<li class="list_wrap">' + 
							'<a href="javascript:M_G6100001M.event.vodStop();mainCtrl.gotoProductDisplay({3},\'{4}\',\'{5}\');" class="vod_thumb_item ui-link">'+
							'<div class="img_thumb">' +
			                	'<img src="{0}" onerror="this.onerror=null;this.src=\'{6}\'" alt="상품 이미지">' +
				            '</div>' +
							'<div class="info">' +
								'<div class="txt_wrap">' +
									'<p class="txt">{1}</p>' +
									'<span class="price">{2}</span>' +
								'</div></div></a></li>',imgUrl,proTitle,Ns.Util.insertCommas(proPrice),partnumber,null,'MOBILE',M_G6100001M.noPImgUrl);
					
					mArea.append(html);
				}
				
				mainCtrl.setLazyLoading();
				
			},
			
			setRPrdArea : function(){
				
				var rData = M_G6100001M.RELPRD;
				var rArea = $('#vodRITEMS');
				
				for(var i = 0 ; i < rData.length ; i++){
					if(rData[i].productDetail == "" || rData[i].productDetail == null || rData[i].productDetail == undefined){
						continue;
					}
					
					var productDetail = rData[i].productDetail;
					var partnumber = productDetail.partnumber;
					var imgUrl = Ns.Util.getImageUrl( partnumber, "P" );
					var proTitle = productDetail.itncatentrynm;
					var proPrice = productDetail.pricedcprice;
					
					var html = '';
					html += Ns.Util.stringFormat('<li class="list_wrap">' +
							'<a href="javascript:M_G6100001M.event.vodStop();mainCtrl.gotoProductDisplay({3},\'{4}\',\'{5}\');" class="vod_thumb_item ui-link">' +
							'<div class="img_thumb">' +
			                	'<img src="{0}" onerror="this.onerror=null;this.src=\'{6}\'" alt="상품 이미지">' +
				            '</div>' +
							'<div class="info">' +
								'<div class="txt_wrap">' +
									'<p class="txt">{1}</p>' +
									'<span class="price">{2}</span>' +
								'</div></div></a></li>',imgUrl,proTitle,Ns.Util.insertCommas(proPrice),partnumber,null,'MOBILE',M_G6100001M.noPImgUrl);
					
					rArea.append(html);
					
				}
				
				mainCtrl.setLazyLoading();
				
			},
			
			//sns_sms에 a href 값 붙여주기
			sns_sms : function(  ) {
				
				var sharedUrl = "http://" +  Const.MOBILE_NSMALL_PATH;
				var sharedParams = "/VodDetail?vodId=" + M_G6100001M.VODID;
				var url = sharedUrl + sharedParams;
				M_G6100001M.snsURL = url;
				
				 var id =  "";
					
				if( mainCtrl.VIEW_TYPE == 'iosweb' || mainCtrl.VIEW_TYPE == 'ios'){
					sharedParams = "/VodDetail?vodId=" + M_G6100001M.VODID;
					url = sharedUrl + sharedParams;
					id = "sms:&body="+url;
	            }else if( mainCtrl.VIEW_TYPE == 'androidweb' ){
	            	id = "sms:?body="+url;
	            }
				
				var optionsHtml = "";
				//var urlHtml = "";
				
				if(mainCtrl.VIEW_TYPE == 'android') 
				{
					optionsHtml += Ns.Util.stringFormat('\
							<a><div onclick="M_G6100001M.event.onclick_sns_native_sms();"><span class="spr_detail"></span><span class="txt">SMS문자</span></div></a>'
						
					);
				}
				else 
				{
					optionsHtml += Ns.Util.stringFormat('\
							<a href="{0}"><span class="spr_detail"></span><span class="txt">SMS문자</span></a>',
						id
					);
				}
				
				$("#vod_sns_sms").html(optionsHtml);
				
				$('#vod_urltext a:first-child').text(url);
				$('#vod_urltext a:first-child').attr('href',url);
			},
			
		},
		//end ui function...
		
		//이벤트 관련 함수 정의
		event : {
			videoMove : function(){
              var videoPostion = $('#pageHeader').innerHeight();
              var videoHeight = $('.play_wrap').height();

              $('.play_wrap').addClass('scroll_move');
              $('.play_wrap').css({'top': videoPostion+'px'});
              $('.info_wrap').css({'margin-top': videoHeight+'px'});
            },
			
			vodStop : function(){
				//동영상 정지. 상품상세로 이동하기 전에 사용한다.
				//var player = videojs('vvid');
				M_G6100001M.player.pause();
			},
			
			onclick_like_btn : function(){
				if(!mainCtrl.checkLogonStatus()){
					mainCtrl.gotoLogin();
					return false;
				}
				else {
					var isChecked = $('#vod_like_check').prop('checked');
					var vodLikeCntInt = M_G6100001M.vodLikeCnt * 1; //replace(',','')
					
					if(isChecked){ //좋아요 클릭
						vodLikeCntInt += 1;
						M_G6100001M.vodLikeCnt = vodLikeCntInt;
						$("#vodINFO").find(".badge_good span").text(M_G6100001M.event.insertComma(vodLikeCntInt));
						M_G6100001M.event.increaseLikeCount();
					}
					else{						//좋아요 해제
						vodLikeCntInt -= 1;
						M_G6100001M.vodLikeCnt = vodLikeCntInt;
						$("#vodINFO").find(".badge_good span").text(M_G6100001M.event.insertComma(vodLikeCntInt));
						M_G6100001M.event.decreaseLikeCount();
					}
				}
			},

			onclick_vid_btn : function(){
				$('#vodTHUMB').hide();
				$('#vodPLAYBTN').hide();

				M_G6100001M.player.one('play',function(data){
					//플레이 로그 적재
					var invokeParams = {};
					invokeParams.vodId 		= M_G6100001M.VODID; 
					invokeParams.memberId 	= M_G6100001M.CUSTNUM;
					invokeParams.gubun 		= '4';
					invokeParams.viewGubun 	= 'VOD';
					tran.callWCSJsonTran('NSMobVodPlayCmd',invokeParams,null);
					tran.callPageLogging( "M_G6100001M" , invokeParams );
					
				});
				M_G6100001M.player.play();
			},
			
			//공유버튼 클릭
			onclick_ico_share : function() {
				$("#vod_detailico_share").removeClass('active');
				$("#vod_detailico_share").addClass('active');
			},
			
			//공유버튼 닫기
			onclick_ico_share_close : function() {
				$("#vod_detailico_share").addClass('active');
				$("#vod_detailico_share").removeClass('active');
			},
			
			//SNS공유하기
			onclick_btnSharedSNS : function() {
				var sharedUrl = "http://" +  Const.MOBILE_NSMALL_PATH;
				var sharedParams = "/VodDetail?vodId=" + M_G6100001M.VODID;
				var imageUrl = M_G6100001M.VODIMG;
				
				if( Ns.Util.isNull(imageUrl.split(':')[1]) ){
					imageUrl = M_G6100001M.noVImgUrl;
				}
				var title = M_G6100001M.VODTITLE;

				switch(this.id){
					case "vod_sns_twitter":
						var url = sharedUrl + sharedParams;
					    var fullUrl = "https://twitter.com/intent/tweet?url="+ encodeURIComponent(url)+"&text="+ encodeURIComponent( "[NS홈쇼핑]" + title.substring(0,40) ); 
						WL.App.openURL( fullUrl, "twitter" );
						break;
					case "vod_sns_facebook":
						var url_f = sharedUrl + sharedParams;
						Ns.Util.viewConsoleLog('SNS facebook url>>'+ url_f);
						
						var fullUrl_f = "http://www.facebook.com/sharer.php?u="+ encodeURIComponent(url_f); //+"&t="+ encodeURIComponent( "[NS홈쇼핑]" + title.substring(0,40) ); 
						
						WL.App.openURL( fullUrl_f, "facebook" );
						break;
					case "vod_sns_kakaotalk":
						//20180702 링크 변경 kimjh
						var sharedUrl_k = "http://" +  Const.MOBILE_NSMALL_PATH;
						var sharedParams_k = "/VodDetail?vodId=" + M_G6100001M.VODID;
						var url_k = sharedUrl_k + sharedParams_k;
						
						//안드로이드는 아직 
						if(mainCtrl.VIEW_TYPE == 'ios' || mainCtrl.VIEW_TYPE == 'android'){
//						else if(mainCtrl.VIEW_TYPE == 'ios') {
							var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
							if ((mainCtrl.VIEW_TYPE == "android" && version >= 2927) || mainCtrl.VIEW_TYPE == 'ios' && version >= 2924) {
								var type = 'feed';
								var title_kp = title;
								var imageUrl_kp = imageUrl;
								var url_kp = url_k;
								var contents = {
										description: M_G6100001M.VODDESC,
										imageWidth : M_G6100001M.VIDEO_WIDTH,
										imageHeight : M_G6100001M.VIDEO_HEIGHT,
										viewCount: M_G6100001M.vodPlayCnt,
										likeCount: M_G6100001M.vodLikeCnt,
										btnName : "동영상 보러가기"
								}
																
								Ns.Native.kakaoLink(type, title_kp, imageUrl_kp, url_kp, contents);
							} else {
								Ns.Popup.alert("앱 버전을 최신으로 업데이트해주시기 바랍니다.");
							}
						} else {
							//웹일경우 
						}
						break;
						
					default :
						break;
				};
			},
			
			//native에서 url 클릭보드 복사
			onclick_sns_native_copyUrl : function(  ) {
                Ns.Native.snsUrlCopy(M_G6100001M.snsURL);
			},
			//native에서 기타 공유 수단 보기 (os지원 기능) 
			onclick_sns_native_other : function(  ) {
				Ns.Native.snsOther(M_G6100001M.snsURL, M_G6100001M.VODTITLE);
			},
			//native에서 문자 보내기  
			onclick_sns_native_sms : function(  ) {
				Ns.Native.snsSMS(M_G6100001M.snsURL, M_G6100001M.VODTITLE);
			},
			
			setKakaoInit : function(){
				/** kakao Link v2 **/
				var sharedUrl = "http://" +  Const.MOBILE_NSMALL_PATH;
				var sharedParams = "/VodDetail?vodId=" + M_G6100001M.VODID;
				var url = sharedUrl + sharedParams;
				
				var imageUrl = M_G6100001M.VODIMG;
				if( Ns.Util.isNull(imageUrl.split(':')[1]) ){
					imageUrl = M_G6100001M.noVImgUrl;
				}
				var title = M_G6100001M.VODTITLE;
				
				Kakao.Link.createDefaultButton({
			      container: '#vod_sns_kakaotalk',
			      objectType: 'feed',
			      content: {
			        title: title,
			        description: M_G6100001M.VODDESC, //VODHASH or VODDESC
			        imageUrl: imageUrl, //M_G6100001M.VODIMG,
			        imageWidth : M_G6100001M.VIDEO_WIDTH,
					imageHeight : M_G6100001M.VIDEO_HEIGHT,
			        link: {
			          mobileWebUrl: url,
			          webUrl: url
			        }
			      },
			      social: {
			    	  viewCount: M_G6100001M.vodPlayCnt,
			    	  likeCount: M_G6100001M.vodLikeCnt
			        },
			      buttons: [
			        {
			          title: '동영상 보러가기',
			          link: {
			            mobileWebUrl: url,
			            webUrl: url
			          }
			        }
			      ]
			    });
			},

			increasePlayCount : function(){
				var invokeParams = {};
				invokeParams.vodId = M_G6100001M.VODID; //M_G6100001M.VODID
				invokeParams.memberId = M_G6100001M.CUSTNUM;
				invokeParams.gubun = '1';
				invokeParams.viewGubun 	= 'VOD';

				tran.callWCSJsonTran('NSMobVodPlayCmd',invokeParams,null);
			},

			increaseLikeCount : function(){
				var invokeParams = {};
				invokeParams.vodId = M_G6100001M.VODID; //M_G6100001M.VODID
				invokeParams.memberId = M_G6100001M.CUSTNUM;
				invokeParams.gubun = '2';
				invokeParams.viewGubun 	= 'VOD';

				tran.callWCSJsonTran('NSMobVodPlayCmd',invokeParams,null);
			},

			decreaseLikeCount : function(){
				var invokeParams = {};
				invokeParams.vodId = M_G6100001M.VODID; //M_G6100001M.VODID
				invokeParams.memberId = M_G6100001M.CUSTNUM;
				invokeParams.gubun = '3';
				invokeParams.viewGubun 	= 'VOD';

				tran.callWCSJsonTran('NSMobVodPlayCmd',invokeParams,null);
			},
			
			insertComma : function(num){
				return num.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",")
			},

			getDurationTime : function(time){
				time = parseInt(time);
				var timer = "";
				if(time <= 60){
					timer = '00:00:' + M_G6100001M.event.makeTwoDigits(time);
				}
				else if (time <= 3600){
					if(time/60 != 0){
				 		timer = M_G6100001M.event.makeTwoDigits(time/60)+':'+M_G6100001M.event.makeTwoDigits(time%60)
				 	}
				 	else{
				 		timer = M_G6100001M.event.makeTwoDigits(time/60)+':00'
					}
				}
				else if (time < 0 || time > 3600){
				 	timer = "";
				}
				else{
					timer = "";
				}

				return timer;
			},

			makeTwoDigits : function(time){
				var time = time+'';
				return time = time.length == 1 ? '0'+time : time;
			},
			
			onclick_btnPreview : function(){
				if(navi.getPageId() == "M_G6100001M" && navi.getPointerIndex() == 1){
					$("#btnPreview").off("click.M_G6100001M");
					mainCtrl.gotoMain();
				} 
			}
		}
		//end event function
};