
/* JavaScript content from js/common/footer.js in folder common */
/* 
 *	페이지 ID : FOOTER 
*/

var FOOTER = {
	chkFLoginData : null,	// 로그인 분기 체크 data
	
	init : function() {
		$('#fLogin').bind('click', function() {
			$('#pLogin').hide();
			$('#pLogout').show();
			
			if (null == FOOTER.chkFLoginData){	// data가 없으면 로그인 페이지 단순 이동
				mainCtrl.navigate('M_M1111100M');  
				return false;
			} else {	// data가 있을 경우
				var objInvokeParams = FOOTER.chkFLoginData;
				FOOTER.chkFLoginData = null;
				
				if (objInvokeParams.type1 == "orderPage" && objInvokeParams.type2 == ""){ // 주문페이지 비회원 주문일경우
					mainCtrl.gotoLogin( objInvokeParams.invokeParams );	// 비로그인 바로주문 처리
				} else {
					mainCtrl.navigate('M_M1111100M');
				}
				
				return false;
			}			
		}); //로그인
		$('#fLogout').bind('click', function() { 
			mainCtrl.setLogout();
			$('#pLogin').show();
			$('#pLogout').hide();
			return false; 
			}); //로그아웃
		$('#fMypage').bind('click', function() { mainCtrl.gotoMypage(); return false; }); //마이페이지
		$('#fCenter').bind('click', function() {
			var logParam = {categoryId : "ft_tabCustomer"};
			tran.callPageLogging("LoggingPage", logParam);			
			
			mainCtrl.navigate('M_C1123000M'); 
			return false; 
			}); //고객센터
		$('#fCollection').bind('click', function() { mainCtrl.gotoCollection(); return false; }); //컬렉션
		
		$('#fProvision').bind('click', function() { mainCtrl.navigate('M_F1150000M'); return false; }); //이용약관
		$('#fPrivateProvision').bind('click', function() { mainCtrl.navigate('M_F1170000M'); return false; }); //개인정보처리방침
		$('#fPCWeb').bind('click', function() { WL.App.openURL( "http://"+Const.MOBILE_NSMALL_PATH + '/mjsp/site/gate.jsp?mtype=gotopc','', ''); return false; }); //PC버전
		/*if(mainCtrl.VIEW_TYPE != 'android' && mainCtrl.VIEW_TYPE != 'ios'){	//앱 다운로드
			var htmlTxt = '<p><a onclick="javascript:mainCtrl.gotoAppMarket();" id="fDownloadApp">앱다운로드</a></p>';
			$("#tabPolicy").append(htmlTxt);
		}*/
		
		$('#btnConfirmBusinessInform').bind('click', function() { //사업자 정보 확인			
			var url = "http://ftc.go.kr/info/bizinfo/communicationView.jsp?wrkr_no=1178133642&apv_perm_no=2010378019330200938";
			WL.App.openURL( url, '', ''); return false; 
		} );
		$('#btnWooriBankInform').bind('click', function() { //우리은행 채무보증 이행 안내.
			var url = "http://www.nsmall.com/jsp/common/ns_w_Guarantee.jsp";
			WL.App.openURL( url, '', ''); return false; 
		} );
		
		// 하단에 Util 메뉴를 표시하기 위하여 여백 추가함
		$('#footer').css('padding-bottom', '50px');
		
		var isLogon = mainCtrl.checkLogonStatus();
		if ( isLogon ) {
			$('#pLogin').hide();
			$('#pLogout').show();			
		}else{
			$('#pLogin').show();
			$('#pLogout').hide();
		}
		
		
		if ( isLogon ) {
			$('#liLogin').hide();
			$('#liLogout').show();
			$('#tabLogin').text("로그아웃");
		}
	}
};
