
/* JavaScript content from js/common/linkimsi.js in folder common */

/**
 *  추가 iframe 창 세팅
 */

var CurrentView = {
		linkType : "",
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad( params );
		},
		
		//이벤트 binding 등...
		initializeComponent : function() {
			
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function( params ) {
			CurrentView.linkType = params.linkType;
			$("#linkType").val(CurrentView.linkType);
			$("#form_link").attr("action","http://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/linkgate.jsp");
			
			if( !Ns.Util.isNull(params.req_co_cd) ){
				Const.setCocd( params.req_co_cd );
			}
			
			if (CurrentView.linkType == "logon"){
				CurrentView.data.userLogin( params );
			} else if (CurrentView.linkType == "myinfopwchk"){
				CurrentView.data.myinfopwchk(JSON.parse(params.pass));
			} else if (CurrentView.linkType == "normal"){
				if (undefined == params.strBremove){
					params.strBremove = "true";
				}
				CurrentView.data.tran(params.apiName, JSON.parse(params.paramData), params.callbackName, params.strBremove );
			}
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			/**
			 * 로그인 실행
			 */
			userLogin : function( inputData ) {
				var params = {
					logonId : inputData.logonId,
					logonPassword : inputData.logonPassword,
					reLogonURL : 'LogonForm',
					URL : 'QuickCheckoutSummaryView',
					userIp : inputData.userIp,
					isCaptChaYn : inputData.isCaptChaYn, //Ssong 추가
					
					accptPath : inputData.accptPath,
					req_co_cd : inputData.req_co_cd,
					srcFile : inputData.srcFile
				};
				
				// 로그인 콜백
				var logonResultFunc = function(data) {
					var $form = $("#form_link");
					var strAppend = "";
					
					strAppend += '<input type="hidden" id="data" name="data" />';
					strAppend += '<input type="hidden" id="inputData" name="inputData" />';
					$form.append(strAppend);
					
					inputData.logonPassword = "";
					$form.find("#data").val( JSON.stringify(data.msg) );
					$form.find("#inputData").val( JSON.stringify(inputData) );
//					$form.find("#logonType").val(inputData.logonType);
//					$form.find("#resAction").val(inputData.resAction);
//					$form.find("#saveYn").val(inputData.saveYn);
//					$form.find("#autoYn").val(inputData.autoYn);
//					$form.find("#isAutoLoginCheck").val(inputData.isAutoLoginCheck);
//					$form.find("#logonPassword").val(logonPassword);
					
					document.form_link.submit();
				}
				
				tran.callWCSJsonTran('NSLogonMoblieCmdReal', params, logonResultFunc, null, CurrentView.data.failFunc , null, null, CurrentView.data.connectionFailFunc);	// 로그인
			},
			
			myinfopwchk : function(pass){
				//비밀번호 확인후 성공시 변경페이지로 이동
				tran.callWCSJsonTran('NSPasswordIdentifyAjaxCmd', pass, function(data){
					var $form = $("#form_link"); 
					$form.append('<input type="hidden" id="passwordIdentify" name="passwordIdentify" />');
					$form.find("#passwordIdentify").val(data.passwordIdentify);
					
					document.form_link.submit();
				}, null, CurrentView.data.failFunc , null, null, CurrentView.data.connectionFailFunc);
			},
			
			tran : function(apiName, objParamData, callbackName, strBremove){
				
				tran.callWCSJsonTran(apiName, objParamData, function(data){
					if (undefined == data.msg){
						alert("정상적인 output data가 아닙니다.");
						return;
					}
					
					var $form = $("#form_link"); 
					$form.append('<input type="hidden" id="dataMsg" name="dataMsg" />');
					$form.append('<input type="hidden" id="strCollback" name="strCollback" />');
					$form.append('<input type="hidden" id="strBremove" name="strBremove" />');
					
					$form.find("#dataMsg").val(JSON.stringify(data.msg));
					$form.find("#strCollback").val(callbackName);
					$form.find("#strBremove").val(strBremove);
					
					document.form_link.submit();
				}, null, CurrentView.data.failFunc , null, null, CurrentView.data.connectionFailFunc);
			},
			
			failFunc : function( response ){
				var $form = $("#form_link"); 
				$form.append('<input type="hidden" id="dataMsg" name="dataMsg" />');
				$form.append('<input type="hidden" id="strCollback" name="strCollback" />');
				$form.append('<input type="hidden" id="strBremove" name="strBremove" />');
				$form.append('<input type="hidden" id="linkType" name="linkType" />');
				
				$form.find("#dataMsg").val(JSON.stringify(response));
				$form.find("#strCollback").val("tran.onTranFail");
				$form.find("#strBremove").val("true");
				$form.find("#linkType").val("normal");
				
				document.form_link.submit();
			},
			
			connectionFailFunc : function( response ){
				var $form = $("#form_link"); 
				$form.append('<input type="hidden" id="dataMsg" name="dataMsg" />');
				$form.append('<input type="hidden" id="strCollback" name="strCollback" />');
				$form.append('<input type="hidden" id="strBremove" name="strBremove" />');
				$form.append('<input type="hidden" id="linkType" name="linkType" />');
				
				$form.find("#dataMsg").val(JSON.stringify(response));
				$form.find("#strCollback").val("tran.onTranConnectionFail");
				$form.find("#strBremove").val("true");
				$form.find("#linkType").val("normal");
				
				document.form_link.submit();
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			
		}
};