
/* JavaScript content from js/common/main.js in folder common */


/* JavaScript content from js/common/main.js in folder common */

//공통 Page View
var CurrentView = {};
var inputData_v = {};
var gnbPos = [];			// 2017.01.11 dhlee GNB 클릭 된 위치 저장
var gnbList = [];			// 2017.01.11 dhlee GNB 표시 순서  
var init_mainLoad = false;
 
// 로그인 사용자 정보
var LOGON_TYPE = {
	normal : "normal",
	simple : "simple",
	twitter : "twitter",
	nonmember : "nonmember"
};

var USERINFO = {
	userId : function() {
		return mainCtrl.getUserInfo("userId");
	},
	logonType : function() {
		return mainCtrl.getUserInfo("logonType");
	},
	userName : function() {
		return mainCtrl.getUserInfo("userName");
	},
	custNum : function() {
		return mainCtrl.getUserInfo("custNum");
	},
	logonId : function() {
		return mainCtrl.getUserInfo("logonId");
	},
	email : function() {
		return mainCtrl.getUserInfo("email");
	},
	hpNo : function() {
		return mainCtrl.getUserInfo("hpNo");
	},
	birthday : function() {
		return mainCtrl.getUserInfo("birthday");
	},
	isAdult : function() {
		var adult = mainCtrl.getUserInfo("isAdult");
		return (adult == "") ? "N" : adult;
	},
	adultAuthYN : function(){ // 2016-08-30 Ssong
		return mainCtrl.getUserInfo("adultAuthYN");
	},
	tcode : function() {
		return mainCtrl.getUserInfo("tcode");
	},
	telNo : function() {
		return mainCtrl.getUserInfo("telNo");
	},
	isVip : function() {
		var vip = mainCtrl.getUserInfo("isVip");
		return (vip == "") ? "N" : "Y";
	},
	sessionId : function() {
		return mainCtrl.getUserInfo("sessionId");
	},
	
	entFlag : function(){ 
		return mainCtrl.getUserInfo("entFlag");
	},
};

// 동적으로 로드되는 CSS fie 및 HTML wrap 영역의 스타일 클래스.
var CSS_PROPs = {
	current_file : "",
	wrap_style : ""
};

// 네비게이션 정보..
var NAVI_HISTORY_SIZE = 50;
var NAVI_HISTORY = {
	pageIds : [],
	pageParams : [],
	scrollPosY : []
// 다음 페이지로 가기 전의 페이지 Top Position...
};

// 추천 로깅을 위한 상품 번호 정보를 저장한다. 최대 4개까지 저장.
// RecommendWrapper에서 호출한다. 메인, 대대카 영역..
var RECOMMEND_ENTRY = {
	data : [],

	setRecommendEntry : function(partNumber) {
		if (this.checkPartNumber(partNumber))
			return;
		if (this.data != null && this.data.length == 4)
			this.data.shift();
		this.data.push(partNumber);
	},

	getRecommendEntry : function() {
		if (this.data == null || this.data.length == 0)
			return "";

		var productList = "";
		for ( var k = 0; k < this.data.length; k++) {
			productList += this.data[k] + ",";
		}

		if (productList != "")
			productList = productList.substring(0, productList.length - 1);
		this.data = [];
		

		return productList;
	},

	checkPartNumber : function(partNumber) {
		if (this.data == null || this.data.length == 0)
			return false;

		for ( var k = 0; k < this.data.length; k++) {
			if (partNumber == this.data[k]) {
				return true;
			}
		}

		return false;
	}
};

MainCtrl = WLJSX.Class
		.create({
			APP_NAME : 'HUBAPP',
			NOMEMBER_ORDER : false,
			
			m_timer : 0,
			isViewChange : false, // 상품 확대 페이지로 이동하여 viewport를 변경하였는가?
			VIEW_TYPE : null, // ios, android, iosweb, androidweb
			
			deviceID : "", //deviceID 설정
			
			targetNextPageId : null, // 로그인 이전 또는 장바구니 이전 페이지, 상품상세 이전 페이지
										// (계속 쇼핑하기를 위한 페이지 ID)
			FOCUS_LAYER_ID : null, // 현재 키보드의 포커스 저장
			isHistoryHashCheck : true,
				
			FLASH_SALE_offerItemCd : "",	// 상품상세(M_G2600000M) 화면에서 해피딜(플래시세일) 쿠폰 코드가 저장된다.
			
			strOrderInOrderId : "",
			
			backBtnClickedTime : "", // 뒤로가기 버튼이 눌렸을 경우 현재 시간 저장
			
			bVideoplay : false, //생방송 재생중인지 아닌지
			
			bios10check : false, //ios 어플리케이션 버전 체크
			
			MainData : true,	//자동로그인 개선 hawoong
			ReInitCheck : true, //인입 체크 
			
			tolNoInvoke : {},	////e-mail 톨포인트 이벤트 처리 170822 hawoong
			
			//NsTalk 관련 시작-ymma
			nsTalk_timer : 0, 
			nstalk_goodId : null,
			nstalk_startdtm : null,
			nstalk_enddtm : null,
			currentCatIdx : 0,
			//NsTalk 관련 끝
			initialize : function() {
				this.initializeNaviHistory();
			},

			// js>ui>ui.js, js>ui>ui-base.js 레이아웃 및 UI 초기화.
			initializeLayout : function() {
				setTimeout(function() {
					Layout._init();
					uiBase._init();
				}, 200);
			},

			pageLoad : function(pageId, params, scrollTop, title) {
				//2018-06-25 ssong 음성 검색 활성화 여부
				if(!mainCtrl.chkVoiceSearchVer()){
					$("#pageHeader").addClass("no_voice");
				}
				
				Ns.UI.delVideojsObj();
				init_mainLoad = true;
				mainCtrl.showLoadingImg();
				if($("#pageHeader").css('display') == 'none' && pageId != 'recaptcha'){
					$("#viewport").remove();
										
					var meta = document.createElement("meta");
					meta.setAttribute('name','viewport');
					meta.setAttribute('id','viewport');
					meta.setAttribute('content','width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=0, height=device-height, target-densitydpi=medium-dpi');
					$("head").append( meta );
				}
				
				$(window).unbind('scroll');
				
				//최초 페이지 로딩시 스크롤은 무조건 최상위로 설정
				$(document).scrollTop(0);

				//touchmove event 재설정
				$("#btnTop").hide();
				$("#btnZoom").hide();

				var wrap = $("#wrap");
				var pagePort = $("#contents");
				var pageConf = PAGE_CONFIG[pageId];
				if(Ns.Util.isNull(pageConf)){
					mainCtrl.hideLoadingImg();
					Ns.Popup.alert("잘못된 경로입니다.<br />pageLoad : "+pageId);
					return false;
				}

				var isLogon = mainCtrl.checkLogonStatus();
				
				if (Ns.Util.isNull(Ns.LocalStorage.get(STORAGE_KEY.AUTO_LOGIN_INFO))){				
					// 로그인이 필요한 페이지이면서 로그인이 안되어 있으면, 로그인 페이지로 이동
					if (pageConf.isLogin && !isLogon) {
						mainCtrl.gotoLogin();
						return false;
					}
				}
				
				// 페이지 예외처리...
				if (pageId.indexOf("storeComm") > -1){
					if (undefined == params.catalogIdparent){
						params.catalogIdparent = Ns.Util.replaceAll(pageId, "storeComm", "");
					}
					
					pageId = "storeComm";
				}
				//2017-10-16 서석준 레이아웃 적용으로 인한 html 가져오는 곳 변경
				//레이아웃 일 경우에는 동적으로 생성한 PAGE_CONFIG 의 html 변수 값을 불러온다.
				//레이아웃 사용의 판단은 PAGE_CONFIG의 path 변수가 layout 인지 참고
				var pageUrl = "";
				if(pageConf.path === "layout"){
					pageUrl = "html/" + pageConf.path + "/" + pageConf.html + ".html";
				}else{
					pageUrl = "html/" + pageConf.path + "/" + pageId + ".html";
				}

				pagePort.html("");
				
				$('#footer').css('display', 'none');
				if (pageConf.cssfile != null) {
					// 이전 페이지 업로드 CSS 파일 삭제
					mainCtrl.loadCSSFile(pageConf.cssfile, "SUBSTYLE");
					CSS_PROPs.current_file = pageConf.cssfile;
				}
				
				if (pageConf.cssfileSc != null) {
					// 이전 페이지 업로드 CSS 파일 삭제
					mainCtrl.loadCSSFile(pageConf.cssfileSc, "SUBSTYLE2");
				}

				$("#contents").removeClass("detailON");
				//2016-07-19 서석준 해피딜 사이트맵에서 넘어왔을경우 category class 체크후 있으면 삭제 한다
				if($("#contents").hasClass("category")){
					$("#contents").removeClass("category");
				}
				/* GNB 노출 */
				mainCtrl.showGNB();
								
				var isMain = false;
				if (CSS_PROPs.wrap_style != pageConf.classname) {
					wrap.removeClass();
					wrap.addClass(pageConf.classname);
					CSS_PROPs.wrap_style = pageConf.classname;
					
					if (pageId == "M_G2250000M" || pageId == "M_G2260000M"){
						$("#container").addClass("etv-container");
						$("#contents").addClass("etv-contents");
						$("#header").hide();
						$("#container").removeAttr("style");
						$("#util").hide();
						
						$("#footer").attr("disp","true");
						$("#footer").hide();
						
					/*
					 * 2018-04-25 ssong
					 * 편성표개편
					 * gnb, 하단  footer hide
					 */  
					} else if (pageId == "M_G2222120M" || pageId == "M_G2232120M"){
						$("#footer").attr("disp","true");
						$("#footer").hide();
						wrap.addClass("tv_table_contents");
					} else {
						$("#footer").removeAttr("disp");
					}
				}

				// 이전에 쌓여있던 트랜잭션 관련 데이터 삭제.
				tran.callBack = [];
				tran._progressCount = 0;
				//cocd 시간체크 ( 앱일때는 체크 안함 )
				if( !mainCtrl.isOsApp ){
					tran.cocdTimeCheck();
				}
				
				//Layer
				navi.clearCSSFiles();
				navi.clearChkArray();
				navi.clearAllIntervalList();
				
				//TO-BE 코드 추가 
				// 17.08.24 nsTalk socket 연결 해제 --sypark
				if (CurrentView.ISTALK_SOCKET){
					CurrentView.util.endConnectTalkSocket();
				}
				
				// 기존 페이지 변수 초기화
				delete CurrentView;
				CurrentView = {};
				// 페이지 호출
				mainCtrl.showLoadingImg();
				
				/* 공통 title 및 description 수정 */				
				var pageTitle = eval("PAGE_CONFIG['" + navi.getPageId() + "'].title");

				if(pageTitle != undefined  && pageTitle != ""  && pageTitle != "NS홈쇼핑"){					
					$("head title").text(pageTitle + " - NS홈쇼핑 모바일");
					$("meta[property='og:title']").attr("content", pageTitle + " - NS홈쇼핑 모바일");
				}else {
					$("head title").text("NS홈쇼핑- 건강한 아이디어");
					$("meta[property='og:title']").attr("content", "건강한 아이디어! NS홈쇼핑");
				}
				$("meta[name='description']").attr("content", "언제 어디서나 특별한 가격을 만나 볼 수 있는 이지쇼핑의 공간 NS홈쇼핑");
				$("meta[property='og:description']").attr("content", "언제 어디서나 특별한 가격을 만나 볼 수 있는 이지쇼핑의 공간 NS홈쇼핑");
				
				/* robots 수정 */	
				if(PAGE_CONFIG[navi.getPageId()] != undefined  && PAGE_CONFIG[navi.getPageId()].robots){
					$("meta[name='robots']").attr("content", "index");
				} else {
					$("meta[name='robots']").attr("content", "noindex");
				}
				
				// AIQUA
				mainCtrl.userEventToAIQUA("page_viewed", {page_id : pageId});
				
				pagePort.load(pageUrl, function() {
					//페이지 이동시 타이머가 돌아갈 경우 삭제
					mainCtrl.checkTimerObject();
					
					// 페이지 예외처리...
					if (pageId == "storeComm"){
						pageId = pageId + params.catalogIdparent;
					}
					
					//shortURL 출력 로그 
					Ns.UI.pageShortUrlLog( pageId, params );
					
					if(!Ns.Util.isNull(params)){
						tran.scrollTop = scrollTop;
					}

					Ns.Util.viewConsoleLog("pageUrl: " + pageUrl);
					Ns.Util.viewConsoleLog("page params: " + JSON.stringify(params));
					Ns.Util.viewConsoleLog("move scroll Pos :" + scrollTop);
					
					// 이벤트에 해당되는 페이지일 경우 이벤트 탭 노출여부 무조건 체크
					if (PAGE.event[pageId]) {
						var offer_id = "";
						if(params  != undefined && params.offer_id != undefined){
							offer_id = params.offer_id;
						}
						mainCtrl.setEventTab(pageId, offer_id);
						
					}
					
					FOOTER.chkFLoginData = null;	// 푸터 로그인 분기 체크 data 초기화
					if( PAGE.noTransPage[pageId] ){
						$("#footer").show();
					}
					
					// header setting...
					if (mainCtrl.isSubCategoryPage(pageId)){
						isMain = true;
					}
					
					mainCtrl.setHeaderTitle(isMain, !Ns.Util.isNull(title)  ? title : pageConf.title,	pageConf.path);
					mainCtrl.initializeLayout();
					mainCtrl.setTabBasicUtilChangeCss(pageId);
					
					//네트워크 불안정으로 javascript를 불러오지 못했을 경우
					//Layer
					if( undefined == CurrentView.init ){
						if( window[pageId] != undefined  &&  window[pageId].init != undefined ){
							window[pageId].init(params);
						}else{
							mainCtrl.hideLoadingImg();
							WL.Client.reloadApp();
						return;
						}
					}else{
						//홈클릭시 안되는 상황 분기 처리 hawoong12
						if(pageId == "M_G1100000M") {
							M_G1100000M.init(params);
						} else {
							CurrentView.init(params);
						}
					}
					
					mainCtrl.clearSubLayers(); //페이지 이동시 무조건 subLayer 닫고 이동
					
					//e-mail 톨포인트 이벤트 처리 170822 hawoong
					if(mainCtrl.tolNoInvoke.eventIdfr != null){
						var autoLoginCheck = Ns.LocalStorage.get(STORAGE_KEY.AUTO_LOGIN_INFO);
						
						tran.callWCSJsonTran( 'NSTimesPrmtEventCmd', mainCtrl.tolNoInvoke,  function(data) {
							var msg = data.rtnMsg;
							Ns.Popup.alert(msg);
							//if(msg.indexOf())
						});
						
						if(autoLoginCheck){
							delete mainCtrl.tolNoInvoke;
							Ns.Cookie.deleteCookie('tolno',null,".nsmall.com");
						}
					}
					
					tran.cocdTimeCheck(); //cocd 시간체크
					//주문완료 페이지일때 파라미터 몇가지 삭제
					if( pageId == "M_B13G0000M"){
						delete params.productList; //상품정보
						delete params.deliveryList; //배송정보
					}
					//상품 상세 페이지 일 경우 페이지에서 따로 로그 출력
					if( pageId != "M_G2600000M" ){
						setTimeout(function(){
							tran.callPageLogging( pageId, params ); //로그 url&파라미터 남기기
						},200);
					}
										
					// 장바구니 카운트 설정.
					// 2015-06-28 장현 수정
					// 로그인 후, 주문서 작성, 장바구니 에서만 호출 
					if ( pageId == "M_B1111000M" || pageId == "M_B1310000M" ){
						mainCtrl.getCartCount();
					}
					
					
					$('#more-filter').removeClass(uiBase.uiActive);
					$('#more-filter').css("right", "-100%");
					$('#more-filter').css("z-index", "-1");
				
					wrap.trigger("create"); // CSS가 적용이 안될 경우를 대비하여..
					$(document.body).trigger("refresh");
					
					// 페이지가 로드된 후에도, API 응답지연으로 인해 로딩이미지가 필요할 경우 pageId 추가
					if (!(pageId == "M_S1110000M" || pageId == "M_U1111000M" || pageId == "M_U1121100M" || pageId == "M_U1121200M" || PAGE.event[pageId])) {
						mainCtrl.hideLoadingImg();
					}
					
					Layout._resize();
					
					//hawoong 180123 gnb renewal
					 // TV편성표일경우 카테고리 이벤트 제외
			    	HUB_INIT.scrollHeader();
					HUB_INIT.navigationEvnet();
					var loggingParamTemp = {};
					loggingParamTemp.pageId = pageId;
					loggingParamTemp.params = params;
					
					mainCtrl.callLoggingInit(loggingParamTemp);
					
				})
			},

			// 페이지가 카테고리 페이지인가?(대대카, 브랜드샵, 최근본상품, 배송비매장절약상품)
			isCategoryPages : function(pageId) {
				if (pageId == "M_G2111000M")
					return true;
				else
					return false;
			},

			// 하단 Tabbar 영역 표시
			showTabBasicUtil : function() {
				$('#util').css({
					'position' : 'fixed'
				});
				// 하단에 Util 메뉴를 표시하기 위하여 여백 추가함
				$('#footer').css('padding-bottom', '50px');
			},
			// 하단 Tabbar 영역 숨김
			hideTabBasicUtil : function() {
				$('#util').css({
					'position' : 'static'
				});
				// footer 하단의 여백 삭제
				$('#footer').css('padding-bottom', '0px');
			},

			// CSS 파일 동적 로딩.
			loadCSSFile : function(cssFileName, cssId) {
				mainCtrl.removeCSSFile(cssId);
				// CSS 파일 교체
                var pageCurrentCss = loadCSS('css/' + cssFileName, document.getElementById("addArea"));
             	pageCurrentCss.id = cssId;
			},

			// CSS 파일 지우기.
			removeCSSFile : function(cssId) {
				$('link[id="' + cssId + '"]').attr('disabled', 'disabled');
				$('link[id="' + cssId + '"]').remove();
			},

			// 새로운 페이지 이동.
			//2017-09-20 서석준 레이아웃 로직이 신규로 추가 됨에 따라 구조 변경
			navigate : function(pageId, params, title) {
				//dimm 있으면 해제
				$('#dimmedAll').removeClass('bg2 active'); //dimm해제
				$('body').removeClass('scr_off');//스크롤 해제
				$('body').off('scroll.dimm touchmove.dimm');//앱에서 스크롤 터치 막기
				
				// 카테고리아이디 를 통한 레이아웃 사용 여부 조회
				if(PAGE_CONFIG[pageId] && PAGE_CONFIG[pageId].layoutUse){
					params = params || {};
					params.categoryId = params.categoryId || pageId;
					
					if(PAGE_CONFIG[pageId].layoutViewName){
						mainCtrl.getLayoutData(null, params, null, pageId);
					} else {
						mainCtrl.goPageLoad(pageId, params, title);
					}

				// 파라미터 혹은 카테고리 아이디가 없을 시 기존 방식대로 페이지 이동
				} else {
					mainCtrl.goPageLoad(pageId, params, title);
				}
				
			},
			
			//2017-09-20 서석준 신규 레이아웃 적용 으로 인한 데이터 조회 로직 추가 (N푸드와 동일)
			getLayoutData : function(layoutView, params, cbFn, pageId){
				var pageConfigInfo	= pageId || params.topCategoryId
				,	layoutId 		= PAGE_CONFIG[pageConfigInfo].layoutViewName|| ""
				,	categoryName 	= PAGE_CONFIG[pageConfigInfo].categoryName	|| ""
				,	homeYn 			= PAGE_CONFIG[pageConfigInfo].mslotNickName	|| "N"
				,	pageSize 		= PAGE_CONFIG[pageConfigInfo].pageSize		|| "30"
				,	continueEspotId = "";
				
				if(pageLayoutEspot && pageLayoutEspot.subcate){
					continueEspotId = params.continueEspotId;
				}
				
				// hckim 홈 팝업 호출
				if(homeYn == "HOME"){				
					pageLayoutComm.includeJs("initializeHome");
				}
				
				var invokeParams = {
						"layoutAppGubun" 	: "HUB"					// 앱 구분 ( HUB, NFOOD, SHOP )
						,"catalogId" 		: PAGE_CONFIG[pageConfigInfo].catalogId
						,"topCategoryId" 	: params.topCategoryId		|| params.categoryId	// 카테고리 ID
						,"subCategoryId"	: params.gotoSub 			|| params.subCategoryId  || "" 
						,"themeCategoryId"	: params.themeCategoryId	|| ""
						,"targetCategoryId" : params.targetCategoryId	|| ""
						,"continueEspotId" 	: continueEspotId					
						,"listPageIdx" 		: "1"
						,"pageSize" 		: pageSize						
				};
				
				tran.callWCSJsonTran( 'NSMobileGetEspotData', invokeParams , function(layoutInfo){
					if(layoutInfo.msg){
						//레이아웃 명 -> html 파일명
						//레이아웃페이지로 넘겨줄 데이터
						var layoutParams = {
							"layoutId" 			: layoutId						// 레이아웃 페이지 명
							,"catalogId"		: layoutInfo.catalogId[0]		// 카탈로그 ID
							,"categoryName"		: categoryName					// 매장명
							,"pageSize"			: pageSize						// 페이징 처리 개수
							,"categoryId" 		: params.categoryId				// 매장코드
							,"espotList"		: layoutInfo.msg.espotList		// 관련 espot 리스트
							,"continueEspotId"	: layoutInfo.msg.continueEspotId// 페이징 처리시 다음 조회 될 espot ID	
							,"lastEspotId"		: layoutInfo.msg.lastEspotId 	// 마지막 조회 된 espotId
							,"listPageIdx"		: layoutInfo.msg.listPageIdx	// 페이징 처리시 다음 조회 될 index
							,"pageCallYn"		: layoutInfo.msg.pageCallYn		// 페이징 처리 여부
							,"espotExtendList"	: layoutInfo.msg.espotExtendList // espot 부가정보(타이틀,CSS옵션 등)
							//2017-11-16 ssong 로그 적재용
							,"p_bannerId"		: params.p_bannerId || params.bannerId
							,"p_espotId"		: params.p_espotId  || params.espotId
							,"catgroupId"		: params.catgroupId
							,"catentryId"		: params.catentryId
							,"targetCategoryId" : params.targetCategoryId
							//2018-02-26 ssong 하위 매장 url 이동 처리
							,"gotoSub"			: params.gotoSub || ""
						};

						// 페이징 처리 등 콜백 함수가 있을 시 콜백함수 실행 
						// 없으면 페이지 이동처리
						if(typeof cbFn === "function"){
							cbFn(layoutParams);
						} else {
							var title = PAGE_CONFIG[params.categoryId].title;
							PAGE_CONFIG[params.categoryId].html = layoutId;
							layoutParams.homeYn = homeYn;
							mainCtrl.goPageLoad(params.categoryId,layoutParams,title);
						}
						
					} else {
						Ns.Popup.alert("서버와 통신이 원활하지 않습니다.<br />getLayoutData : ");
						return;
					}
				});
			},
			
			//2017-09-20 서석준 기존 navigate 함수 로직 goPageLoad로 이동
			goPageLoad : function(pageId, params, title){
				if(typeof wcs == 'undefined'){
					mainCtrl.externalCallScript();
				}
				
				var pageConf = PAGE_CONFIG[pageId];				
				if (Ns.Util.isNull(pageConf)){
					Ns.Popup.alert("잘못된 경로입니다.");
					return;
				}
				
				$("#util").addClass("active");
				
				var currentPageId = mainCtrl.getCurrentPageId();
				if (currentPageId == pageId) {
					if (!Ns.Util.isNull(title))
						mainCtrl.pageLoad(pageId, params, null, title);
					else
						mainCtrl.pageLoad(pageId, params, null);
					return false;
				}
				
				navi.setData(pageId, params);
				
				if (!Ns.Util.isNull(title))
					mainCtrl.pageLoad(pageId, params, null, title);
				else
					mainCtrl.pageLoad(pageId, params, null);
				
				if (pageId == "M_G2250000M" || pageId == "M_G2260000M"){
					$("#header").hide();
					$("#util").hide();
				}
				
				// 한번이라도 페이지가 이동된 후엔 로컬스토리지에 저장되어있는 푸시백업URL 삭제
				var isPushBackup = localStorage.getItem(STORAGE_KEY.PUSH_URL_BACKUP);
				if (!Ns.Util.isNull(isPushBackup)) {
					localStorage.removeItem(STORAGE_KEY.PUSH_URL_BACKUP);
				}
				
				// 한번이라도 페이지가 이동된 후엔 로컬스토리지에 저장되어있는 히스토리 페이지 삭제
				var isHistoryPageBackup = localStorage.getItem(STORAGE_KEY.CURRENT_PAGE_HISTORY);
				if (!Ns.Util.isNull(isHistoryPageBackup)) {
					localStorage.removeItem(STORAGE_KEY.CURRENT_PAGE_HISTORY);
				}
				
				// 한번이라도 페이지가 이동된 후엔 로컬스토리지에 저장되어있는 다이렉트업데이트 백업URL 삭제
				var isPushDirectUpdate = localStorage.getItem(STORAGE_KEY.PUSH_DIRECT_UPDATE);
				if (!Ns.Util.isNull(isPushDirectUpdate)) {
					localStorage.removeItem(STORAGE_KEY.PUSH_DIRECT_UPDATE);
				}
			},

			// 상품 검색에서 재검색 또는 정렬 검색을 눌러서 검색 내용이 변경되었을 때...
			setPageHistory : function(pageId, params) {
				/*
				var scrollTop = mainCtrl.getNowScroll();

				if (NAVI_HISTORY.pageIds.length >= NAVI_HISTORY_SIZE) {
					NAVI_HISTORY.pageIds.shift();
					NAVI_HISTORY.pageIds.push(pageId);

					NAVI_HISTORY.pageParams.shift();
					NAVI_HISTORY.pageParams.push(params);

					NAVI_HISTORY.scrollPosY.shift();
					NAVI_HISTORY.scrollPosY.push(scrollTop);
				} else {
					NAVI_HISTORY.pageIds.push(pageId);
					NAVI_HISTORY.pageParams.push(params);
					NAVI_HISTORY.scrollPosY.push(scrollTop);
				}
				*/
			},
			
			//history 데이터 업데이트
			setPageHistoryUpdate : function(params){
				navi.setPageParam(params);
			},
			
			// back button 또는 안드로이드 back button 이벤트..
			onBackButtonPressed : function() {
				$('#btnZoom').hide();
				// 푸시(마케팅) 수신동의 팝업 백키 이벤트 처리
				var currentPageId = mainCtrl.getCurrentPageId();
				if (currentPageId == 'M_G1131000M') {
					var flag = "N";
					mainCtrl.setPushMsgConfig(flag);
				} else if (currentPageId == "M_G2600000M"){
					$("#util").addClass("active");
				}
				
				navi.naviBack();
			},

			clearSubLayers : function() {
				// case 0. 레이어 팝업이 열린 상태에서는 레이어 팝업을 닫는다.
				if ($("section.layer-popup").is('.active')) {
					var target 	= $("section.layer-popup").filter('.active');
					var parentId= target.parent().attr("id");
					if(parentId === "notice_app_auth_popup"	|| parentId === "M_G1131000M"){
						return false;
					}
					Ns.Popup.close(target.eq(target.length - 1));
					return false;
				}

				// case 1. GNB가 SHOW인 상태일 경우. GNB를 닫는다.
				if ($("#wrap").hasClass("category-active")) {
					$('#dimmedAll').trigger('click');
					return false;
				}
				// case 2. POPUP layer가 있을 경우, POPUP을 제거한다. Alert, Confirm,
				// Popup Dialog
				var popupLayer = $("#wrap section.layer-popup, section.event_Pop.active");
				if (popupLayer.length > 0) {
					var id = $('#'+popupLayer.attr('id'));
					Ns.Popup.close(id);
					return false;
				}

				// case 3. 검색창이 있을 경우, 검색창을 닫는다.
				var searchView = $("div#search_container");
				if(searchView.length > 0){
					mainCtrl.hideSearchView();
					return false;
				}

				// case 5. 탭 영역의 더보기가 활성화되어 있는 경우 비활성화시킨다.
				var theTabMoreItem = $("ul#tabBasicUtil li.more ul#moreUtil");
				if (theTabMoreItem.hasClass("active")) {
					$("ul#tabBasicUtil li.more a").removeClass("active");
					theTabMoreItem.removeClass("active");
					return false;
				}

				// case 6. 현재 화면이 우편번호 조회 화면인 경우
				if ($("#M_M1236100P").length > 0) {
					mainCtrl.hidePostCodeWindows();
					return false;
				}

				// 우편번호와 같은 형태의 SUBVIEW가 있을 경우
				if (mainCtrl.hideSubView()) {
					return false;
				}

				// 전체 팝업 닫기
				if ($("#POPUPVIEW").length > 0) {
					Ns.Popup.hidePopup();
					return false;
				}

				// 본인인증 레이어 팝업 닫기
				if( $("#wrap").is(":hidden") ){
					mainCtrl.hideCertView();
					return false;
				}

				return true;
			},

			// 메인 화면으로 이동.
			gotoMain : function() {
				if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android") { // 앱
					tran.onReloadApp( false, true );
				} else {
					mainCtrl.navigate(PAGE.main);
				}
			},

			// MyPage로 이동.
			gotoMypage : function() {
				var logonType = USERINFO.logonType();

				if (logonType == LOGON_TYPE.normal) { // 일반회원.
					mainCtrl.navigate("M_U1111000M");
				} else if (logonType == LOGON_TYPE.simple) { // SNS 회원
					mainCtrl.navigate("M_U1111001M");
				} else { // 비로그인 전.
					// 요건 변경 - 비회원 탭 페이지로 이동
					// 윤하리선생 요청으로 다시 로그인탭으로 이동 ( 12/3 )
					mainCtrl.navigate('M_M1111100M'); // 비회원
				}
			},

			// MyPage - 컬렉션으로 이동.
			gotoCollection : function() {
				if (!mainCtrl.checkLogonStatus()) {
					mainCtrl.gotoLogin();
					return;
				}

				mainCtrl.navigate("M_U1191000M");
			},

			/**
			 * 로그인 페이지로 이동한다. invokeParams이 null 이 아닌 경우. 로그인 페이지에서 action이
			 * 틀려진다. invokeParams = { tranId : '실행할 transaction ID', params :
			 * 'transaction의 parameters', pageId : '이동할 페이지 ID', isOnlyUser :
			 * 'true value is 해당 action이 로그인 유저만 가능한가? false value is 비회원도
			 * 가능한가?' }
			 * 
			 */
			gotoLogin : function(invokeParams) {
				mainCtrl.navigate("M_M1111100M", invokeParams);
			},

			// 주문/배송 페이지로 이동.
			gotoMyOrderShippingPage : function() {
				var isLogon = mainCtrl.checkLogonStatus();
				if (isLogon) { // Login 상태.
					var param = {};
					param.tabIndex = 0;
					param.monthly = "";
					param.pageidx = "";
					mainCtrl.navigate("M_U1121100M", param);
				} else { // 비로그인 전.
					mainCtrl.navigate("M_M1111200M", {
						loginType : "SEARCH"
					});
				}
			},

			// 상품 상세 페이지로 이동.
			gotoProductDetail : function(params) {
				if (navi.getPageId() == "M_G2600000M"){
					navi.setMovePointer(-1);
					Ns.Popup.close($("#M_G2600000M"));
				}

				var pageId = navi.getPageId();
				params.t1 = "GNB";
				params.t2 = (pageId in PAGE_CONFIG) ? PAGE_CONFIG[pageId].title : "undefined";
				Ns.LocalStorage.set("SavePageId",pageId);
				
				//Layer
				Ns.Popup.showLayerPage("M_G2600000M", params);
				
			},
			
			//ga360
			sendToGA360 : function(param, gubun){
				var arrayparam = param.split("||");
				var event_obj = {};
				var subparam = {};
				var eventAction = "";
				var eventLabel = "";
				var eventCate = "";
				var GNBInfo = $("#subCategoryList").find('li a');
				var pagetitle = (arrayparam[0] in PAGE_CONFIG) ? PAGE_CONFIG[arrayparam[0]].title : "undefined";
				
				if(arrayparam[0] == "M_G5710001M" || 
						arrayparam[0] == "M_G5710002M" || 
						arrayparam[0] == "M_G5710003M" || 
						arrayparam[0] == "M_G5710004M"){
					pagetitle = "해피딜";
					arrayparam[0] = "HOTDEAL";
				}
				
				for(var a = 0; a<GNBInfo.length; a++){
					if(GNBInfo[a].id == arrayparam[0]){
						pagetitle = GNBInfo[a].textContent;
						subparam = {
								t1:"GNB",
								t2:pagetitle
						};
					}
				}
				
				if(arrayparam.length>0){
					var step = arrayparam[0];
					if(step == "1"){
						pagetitle =  'GNB';
						eventAction = arrayparam[1];
						eventLabel = arrayparam[2];
						subparam = {
								t1: 'GNB',
								t2: '홈'
						};
					}else if(step == "HOTDEAL"){
						eventAction = arrayparam[1];
						eventLabel = arrayparam[2];
					}
					
					eventCate = "MOBILE_"+pagetitle;
					
					if(arrayparam[2].toLowerCase() == "cntnt2w"){
						eventAction = arrayparam[1]+"_"+arrayparam[2];
						eventLabel = arrayparam[3];
					}else if(arrayparam[2].toLowerCase().indexOf("prd") > -1 || 
							arrayparam[2].toLowerCase() == "prdslide" || 
							arrayparam[2].toLowerCase() == "prdwide" || 
							arrayparam[2].toLowerCase() == "prdlist" ||
							arrayparam[2].toLowerCase() == "subcate" || 
							arrayparam[2].toLowerCase().indexOf("cnt") > -1 || 
							arrayparam[2].toLowerCase() == "cntnt4w" || 
							arrayparam[2].toLowerCase() == "themecate"){
						eventAction = arrayparam[1]+"_"+arrayparam[2];
						eventLabel = arrayparam[3];
					}else if(arrayparam[2].toLowerCase().indexOf("broad") > -1 ){
						if(gubun == "tv"){
							eventAction = "ONAIR_NSLIVE"+"_"+arrayparam[2];
						}else if(gubun == "shop"){
							eventAction = "ONAIR_NSShop+"+"_"+arrayparam[2];
						}else if(gubun == "ting"){
							eventAction = "ONAIR_TINGLIVE"+"_"+arrayparam[2];
						}
						
						if(arrayparam[4] != undefined && arrayparam[4] != ""){
							eventLabel = arrayparam[3] + "_" + arrayparam[4];
						}else{
							eventLabel = arrayparam[3];
						}
					}
					
					event_obj = {
							eventCate: eventCate,
							eventAction: eventAction,
							eventLabel : eventLabel
					};
					
					subparam = {
							t1 : "GNB",
							t2 : pagetitle
					}
				}
				
				GA.sendEventData(event_obj,subparam);
			},

			gotoProductDisplay : function(partNumber, multiCd, busChnId, espotId, bannerId, catgroupId, categoryId, searchTerm, clickUrl) {
				if(mainCtrl.bVideoplay == true){
					if (CurrentView.event.click_cancle) {
						CurrentView.event.click_cancle();
					} else if(pageLayoutEspot && pageLayoutComm.isPlayEspot){
						pageLayoutEspot[pageLayoutComm.isPlayEspot].event.click_cancle();
					}
					
					$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
				}
				var params = {
					partNumber : partNumber,
					multiCd : multiCd,
					busChnId : busChnId,
					searchTerm : searchTerm,
					clickUrl : clickUrl,
				};
				
				params.p_espotid = espotId == undefined ? "" : espotId;
				params.p_bannerid = bannerId == undefined ? "" : bannerId;
				
				if (undefined != catgroupId){
					params.catgroupId = catgroupId;
				}

				if( !Ns.Util.isNull(CurrentView.catalogId) ){
					params.catalogId = CurrentView.catalogId;
				}
				
				if( !Ns.Util.isNull(CurrentView.categoryId) ){
					params.categoryId = CurrentView.categoryId;
				}
				
				mainCtrl.gotoProductDetail(params);
			},
			
			//kimjh vod test
			gotoVideoDetail : function(params) {
				if (navi.getPageId() == "M_G6100001M"){
					navi.setMovePointer(-1);
					Ns.Popup.close($("M_G6100001M"));
				}
				
				//Layer
				Ns.Popup.showLayerPage("M_G6100001M", params);
				
			},
			
			//kimjh vod test
			gotoVideoDisplay : function(vodData, espotId, bannerId, catgroupId, contentId) {
				
				var params = {
					vodId : vodData
				};
				
				params.p_espotid = espotId == undefined ? "" : espotId;
				params.p_bannerid = bannerId == undefined ? "" : bannerId;
				
				if (undefined != catgroupId){
					params.catgroupId = catgroupId;
				}
				
				if( !Ns.Util.isNull(CurrentView.catalogId) ){
					params.catalogId = CurrentView.catalogId;
				}
				
				if( !Ns.Util.isNull(CurrentView.categoryId) ){
					params.categoryId = CurrentView.categoryId;
				}
				
				if( !Ns.Util.isNull(contentId) ){
					params.contentId = contentId;
				}
								
				mainCtrl.gotoVideoDetail(params);
			},

			// 컬렉션 등록하기 popup
			showCollectionPopup : function(catentryId, productName) {
				if (!mainCtrl.checkLogonStatus()) {
					mainCtrl.gotoLogin();
					return;
				}

				var params = {
					catentryId : catentryId,
					productName : productName
				};

				Ns.Popup.showPopup('M_G261C000L', params);
			},

			// 일반상품 리스트 페이지로 이동.
			gotoProductList : function(params, type) {
				// kitchenCode가 있을 경우 기존 상품목록 페이지 호출			
				if(type == "kitchenCode"){					
					mainCtrl.navigate("M_G2130000M", params); // 일반상품 목록
				}else if (type == null || type == "" || type=="sbCode"){
					
					//  중/소/세 분류 구분
					if ( !Ns.Util.isNull(params) ) {
						var invoke = {						
								categoryId : params.categoryId,
								searchGubun : "01"
						};						
						
						tran.callWCSJsonTran( 'NSMobileCategory', invoke, function(data){
							if(data.msg.categoryInfo != null){
								var categoryInfo = data.msg.categoryInfo;
								var categoryLevelFinal = categoryInfo.categoryLevelFinal;
								
								if(categoryLevelFinal == "3"){
									mainCtrl.navigate("M_G2160000M", params); // 중분류 목록	
								}else if(categoryLevelFinal == "4"){
									mainCtrl.navigate("M_G2161000M", params); // 소분류 목록	
								}else if(categoryLevelFinal == "5"){
									mainCtrl.navigate("M_G2161010M", params); // 세분류 목록	
								}else{
									mainCtrl.navigate("M_G2161010M", params); // 세분류 목록	
								}								
							}else{
								mainCtrl.navigate("M_G2161010M", params); // 세분류 목록
							}
						});
						
					}else{
						mainCtrl.navigate("M_G2161010M", params); // 일반상품 목록
					}										
				}else if(type.toLowerCase() == "brandlist"){					
					mainCtrl.navigate("M_G2161010M", params); // 세분류 목록(브랜드리스트)
				}else if (type.toLowerCase() == "brand"){
					mainCtrl.navigate("M_G2131200M", params); // 브랜드샵 목록
				}else if (type.toLowerCase() == "designers"){
					mainCtrl.navigate("M_G4111011M", params); // 디자이너스 상세 목록
				}else if (type.toLowerCase() == "premium"){
					mainCtrl.navigate("M_G4141100M", params); // 프리미엄 목록
				}else if (type.toLowerCase() == "delivery"){
					mainCtrl.navigate("M_G2140000M", params); // 프리미엄 목록
				}else if (type.toLowerCase() == "flashsale"){
					mainCtrl.navigate("M_G5710100M", params); // 슈퍼핫딜 트렌드관 상품 목록
				}else{
					mainCtrl.navigate("M_G2130000M", params); // 일반상품 목록
				}
			},
			
			//마켓으로 이동
			gotoAppMarket : function( directMarket ){
				var _APP_INSTALL_URL_IOS = "https://itunes.apple.com/kr/app/nshomsyoping/id405015280?mt=8";
				var _APP_EXEC_URL_IOS = "nsmobilecert://";
				var _APP_MARKET_URL_ANDROID = "market://details?id=com.nsmobilehub&hl=ko";
				var _APP_EXEC_URL_ANDROID = "intent://sendurl?page=MainView#Intent;scheme=nsmall;package=com.nsmobilehub;end;";
				
				if( directMarket == true ){
					if ( mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb" ){
						WL.App.openURL( _APP_INSTALL_URL_IOS );
						return false;
					} else {
						WL.App.openURL( _APP_MARKET_URL_ANDROID );
						return false;
					}
				}
				
				if(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb"){
					var b = +new Date();
					setTimeout(function(){
						if (+new Date() - b < 2000) {
							if(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb"){
								WL.App.openURL(_APP_INSTALL_URL_IOS);
							}
						}
					}, 1500);

					WL.App.openURL(_APP_EXEC_URL_IOS);
				}else if(mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){
					WL.App.openURL(_APP_EXEC_URL_ANDROID);
				}
			},
			
			// open QR Reader
			showSQView : function() {
				Ns.Native.qrcodeReaderView();
			},

			// Navigation 정보를 초기화한다.
			initializeNaviHistory : function() {
				/*
				NAVI_HISTORY.pageIds = [];
				NAVI_HISTORY.pageParams = [];
				NAVI_HISTORY.scrollPosY = [];
				*/
			},

			// 현재 페이지 정보를 가져온다.
			getCurrentPageId : function() {
				/*
				var idx = NAVI_HISTORY.pageIds.length - 1;
				return NAVI_HISTORY.pageIds[idx];
				*/
				return navi.getPageId();
			},
			
			// 현재 페이지 Params를 가져온다
			getCurrentPageParams : function() {
				/*
				var idx = NAVI_HISTORY.pageIds.length - 1;
				return NAVI_HISTORY.pageParams[idx];
				*/
				return navi.getPageParam();
			},
			
			// 마지막 페이지 정보를 삭제한다.
			removeLastPage : function() {
				/*
				NAVI_HISTORY.pageIds.pop();
				NAVI_HISTORY.pageParams.pop();
				NAVI_HISTORY.scrollPosY.pop();

				return mainCtrl.getCurrentPageId();
				*/
			},

			// 현재 페이지의 파라미터 정보를 변경한다.
			// 탭으로 이루어진 페이지의 경우 default로 선택된 탭이 아닌 마지막 설정된 탭의 데이터를 조회하기 위함.
			setCurrentPageParams : function(params) {
				/*
				NAVI_HISTORY.pageParams.pop();
				NAVI_HISTORY.pageParams.push(params);
				*/
			},

			// 탭으로 이루어진 페이지의 경우 부모 페이지로 이동 시키기 위해 - 부모페이지로 Id 설정.
			// 자식 탭 화면 설정 예 ex)mainCtrl.setCurrentPageId( { pageId : "M_U1111000M" });
			setCurrentPageId : function(params) {
				/*
				NAVI_HISTORY.pageIds.pop();
				NAVI_HISTORY.pageIds.push(params.pageId);
				*/
			},

			// 성인여부 판단.
			checkAdult : function(birthday) {
				if(Ns.Util.isNull(birthday)){
					return "N";
				}
				
				birthday = String(birthday).replace(/-/gi, "");

				var current = Ns.Date.getDateParse02(birthday + "000000");
				var adult = 19 * 12; // 성년 나이
				var adultDt = Ns.Date.calcDate('', 0, -adult, 0, 0, 'yyyyMMdd');
				adultDt = Ns.Date.getDateParse02(adultDt + "000000");
				var interval = adultDt.getTime() - current.getTime();

				if (interval < 0)
					return "N";
				return "Y";
			},

			//vip 판단
			checkVip : function(){
				var param = {};
				param.userId = USERINFO.userId();
				param.isNSRoungeMember = "N"; //Y:NS라운지 회원, N-일반회원

				tran.callWCSJsonTran( 'MypageMainReal', param, function(data){
					if(data.msg && data.msg.root && data.msg.root.GradeInfo){
						var grade = data.msg.root.GradeInfo.currentGrd; //등급정보
						if(grade == "110" || grade == "111"){
							mainCtrl.setUserInfo('isVip', "vip");
						}
					}
				});
			},

			// 로그인, 로그아웃 후의 액션..
			setLogin : function(opt) {
				//20141030 정헌태 수정 - nul-nul-nul값 대신에 빈스트링 입력
				//var hpno = (opt.hpNo == "nul-nul-nul") ? opt.telNo : opt.hpNo;
				var strHpNO = isNaN(opt.hpNo.replace(/-/gi, "")) == true ? "" : opt.hpNo;
				var strTelNO = isNaN(opt.telNo.replace(/-/gi, "")) == true ? "" : opt.telNo;
				var hpno = strHpNO == "" ? strTelNO : strHpNO;
				
				// 성인여부.
				var isAdult = mainCtrl.checkAdult(opt.birthday); 

				mainCtrl.setUserInfo('adultAuthYN', opt.adultAuthYN); //2016-08-30 Ssong 성인인증 여부 / Y : 인증 , N : 미인증 (1년경과포함)  
				mainCtrl.setUserInfo('userId', opt.userId);
				mainCtrl.setUserInfo('custNum', opt.custNum);
				mainCtrl.setUserInfo('logonId', opt.logonId);
				mainCtrl.setUserInfo('logonType', opt.logonType);
				mainCtrl.setUserInfo('email', opt.email);
				mainCtrl.setUserInfo('hpNo', hpno);
				mainCtrl.setUserInfo('userName', opt.userName);
				mainCtrl.setUserInfo('isAdult', isAdult);
				mainCtrl.setUserInfo('tcode', opt.tcode);
				mainCtrl.setUserInfo('telNo', opt.telNo);
				mainCtrl.setUserInfo('sessionId', opt.sessionId);
				mainCtrl.setUserInfo('birthday', opt.birthday);
				mainCtrl.setUserInfo('entFlag', opt.entFlag);
				mainCtrl.setUserInfo('gender',opt.gender);
				mainCtrl.setUserInfo('lastOrder',opt.lastOrder);
				mainCtrl.setUserInfo('registration',opt.registration);
				mainCtrl.setUserInfo('userMarketingSMS',opt.userMarketingSMS);
				mainCtrl.setUserInfo('userMargetingEmail',opt.userMargetingEmail);
				mainCtrl.setUserInfo('userMargetingTM',opt.userMargetingTM);
				
				// AIQUA
				mainCtrl.userProfileToAIQUA(opt.custNum, opt.userName, opt.logonId, opt.telNo, opt.birthday, opt.gender, 'Y', mainCtrl.checkDevicePushAgree(), null, null, opt.gradeNm, null);
				mainCtrl.userEventToAIQUA("login");
				
				// 임직원여부
				var isStaffCallback = function(isStaff){
					if(isStaff){
						mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, null, null, 'Y');
					} else {
						mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, null, null, 'N');
					}
				}
				mainCtrl.chkStaff(isStaffCallback);
				
				$('#liLogin').hide();
				$('#liLogout').show();
				$('#tabLogin').text("로그아웃");
				
				// footer login/logout show/hide 처리
				$('#pLogin').hide();
				$('#pLogout').show();
				
				//로그인 후에 장바구니 수량 데이터 가져오기
				mainCtrl.getCartCount();
			},

			// 로그아웃.
			setLogout : function(isLogoutOnly, callbackFunc) {
				var params = {
					userId : USERINFO.userId(),
					sessionId : USERINFO.sessionId()
				};

				tran.callWCSJsonTran( "NSLogoutMoblieCmdReal", params, function(data) {
					mainCtrl.removeUserInfo();
					mainCtrl.getCartCount();
					
					$('#liLogin').show();
					$('#liLogout').hide();
					$('#tabLogin').text("로그인");
					
					// footer login/logout show/hide 처리
					$('#pLogin').show();
					$('#pLogout').hide();

					if (mainCtrl.VIEW_TYPE == 'android'	|| mainCtrl.VIEW_TYPE == 'ios') {
						Ns.Native.pushLogout();
					}
					
					mainCtrl.getPushMktFlag();
					
					// AIQUA
					mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, 'N', mainCtrl.checkDevicePushAgree());
					mainCtrl.userEventToAIQUA("logout");
					
					if (!isLogoutOnly) {
						// 자동로그인 해제
						Ns.LocalStorage.del(STORAGE_KEY.AUTO_LOGIN_INFO);
					}
					// 2018.11.08 kimjh 구글 스마트락 다시 로그인하기 전까지 자격증명검색 해제
					var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
					if(mainCtrl.VIEW_TYPE == "android" && version >= 2928){
						NSCustom.SL_StopCredential();
					}
					// 구글 스마트락 end
					if ( Ns.Util.isNull(callbackFunc) ) {
						callbackFunc = eval(mainCtrl.gotoMain);
					}

					if (!isLogoutOnly) {
						var logoutMsg = "로그아웃 되었습니다.";

						if (mainCtrl.VIEW_TYPE == 'android') {
							WL.Toast.show(logoutMsg.split('<br/>').join('\n'));
							callbackFunc();
						} else {
							Ns.Popup.alert(logoutMsg,function(){
								if ( !mainCtrl.isOsApp() && !Const.IS_DEV_MODE){	//web, 개발자 모드가 아닐 경우에만 페이지 이동 체크
									WL.App.openURL( "http://"+Const.MOBILE_NSMALL_PATH + '/mjsp/site/logoutGate.jsp?serverType='+Const.IS_SERVER_STATE);
								} else {
									callbackFunc();									
								}
							});
						}
					}
				});
			},
			 //  연결후 30분 동안 동작을 하지 않을경우 처리
            setSessingTimeOut : function(){
            	mainCtrl.removeUserInfo();	// 세션초기화
                mainCtrl.getCartCount();	// 장바구니 카운트 세팅
                
                $('#liLogin').show();	// 로그인버튼 보임
                $('#liLogout').hide();	// 로그아웃 버튼 숨김
                $('#tabLogin').text("로그인");	//
                
                if (mainCtrl.VIEW_TYPE == 'android'	|| mainCtrl.VIEW_TYPE == 'ios') {
                	Ns.Native.pushLogout();
                }
            
            },

			finishApp : function() {
				WL.App.close();
			},

			// 프로그램 종료 안내 Toast (2016.06.22 알림창에서 토스트로 변경)
			exitAlert : function() {
				var exitMsg = "'뒤로가기' 버튼을 한번 더 누르면 종료됩니다";
				
				if (mainCtrl.VIEW_TYPE == 'android') {
					
					if( (mainCtrl.backBtnClickedTime != "") && (+new Date - mainCtrl.backBtnClickedTime < 3500)){
						mainCtrl.finishApp();
						Ns.LocalStorage.del("ReInitCheck");
					}else{						
						WL.Toast.show(exitMsg);
						mainCtrl.backBtnClickedTime = +new Date;
					}
				}					
			},

			getNoResultDataHtml : function(message) {
				var html = '<div class="info-board theme-a alert pb0">';
				html += '<p class="subject"><strong>' + message
						+ '</strong></p>';
				html += '</div>';

				return html;
			},

			// 카탈로그 ID 정보를 가져온다.
			getCatalogId : function(catalogType) {
				if (catalogType == null || catalogType == "")
					return DEFAULT_PARAMs.catalogId.base;
				else
					return DEFAULT_PARAMs.catalogId[catalogType];
			},

			// 주소찾기 팝업을 띄운다.
			showPostCodeWindows : function(params) {
				$("#contents .content-primary").hide();

				var id = "M_M1236100P";
				var pageConf = PAGE_CONFIG[id];
				var pageUrl = "html/" + pageConf.path + "/" + id + ".html";

				navi.setDataPop(id, params, null, "mainCtrl.hidePostCodeWindows()");
				
				jQuery.ajax({
					url : pageUrl,
					dataType : "html",
					timeout : 20000,
					success : function(data) {
						$("body").scrollTop(0);

						$('#contents').append(data);
						$('#contents').trigger('refresh');

						mainCtrl.setHeaderTitle(false, pageConf.title);
						PostView.init(params);
					},
					error : function(data, status, error) {
					}
				});
			},

			// 우편번호 닫기.
			hidePostCodeWindows : function() {
				var id = mainCtrl.getCurrentPageId();
				var pageConf = PAGE_CONFIG[id];

				$("#M_M1236100P").remove();
				$("#contents .content-primary").show();
				mainCtrl.setHeaderTitle(false, pageConf.title);

				delete PostView;
			},
			
			// 안심택배 열기.
			showSafePostCodeWindows : function(params) {
				$("#contents .content-primary").hide();
				
				var id = "M_M1237000P";
				var pageConf = PAGE_CONFIG[id];
				var pageUrl = "html/" + pageConf.path + "/" + id + ".html";
				
				navi.setDataPop(id, params, null, "mainCtrl.hideSafePostCodeWindows()");
				
				jQuery.ajax({
					url : pageUrl,
					dataType : "html",
					timeout : 20000,
					success : function(data) {
						$("body").scrollTop(0);
						$('#contents').append(data);
						$('#contents').trigger('refresh');
						
						mainCtrl.setHeaderTitle(false, pageConf.title);
						PostView.init(params);
						
					},
					error : function(data, status, error) {
					}
				});
			},

			// 안심택배 닫기.
			hideSafePostCodeWindows : function() {
				var id = mainCtrl.getCurrentPageId();
				var pageConf = PAGE_CONFIG[id];

				$("#M_M1237000P").remove();
				$("#contents .content-primary").show();
				mainCtrl.setHeaderTitle(false, pageConf.title);

				delete PostView;
			},

			hideSubView : function() {
				if ($("#SUBVIEW").length > 0) {
					var id = mainCtrl.getCurrentPageId();
					var pageConf = PAGE_CONFIG[id];

					$("#SUBVIEW").remove();
					$("#contents .content-primary").show();
					mainCtrl.setHeaderTitle(false, pageConf.title);
					delete SUBVIEW;

					return true;
				}

				return false;
			},

			// 검색 레이어 오픈.
			showSearchView : function(params) {
				/* GNB영역 숨김 */
				$("#pageHeader").removeClass("sub_page result_page");
				mainCtrl.hideGNB();
				
				$('#dimmedAll').removeClass('bg3');
				//2017-10-19 서석준 검색 버튼 누를때 키패드 스크롤 최상위로 이동 및 아이폰 touchmove 해제
				if(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb"){
					$(document).scrollTop(0);
				}
				//2017-10-19 서석준 레이아웃 스크롤 방지 해제
				//2017-10-19 서석준 레이아웃 테마 네비게이션 css 조정 
				$('.md_recom_wrap').removeClass('fixed on');
				$('#content').removeClass('scr_off');//스크롤 해제
				$('#content').off('scroll.dimm touchmove.dimm');//앱에서 스크롤 터치 막기

				var id = "M_S1100000M";
				var pageConf = PAGE_CONFIG[id];
				var pageUrl = "html/" + pageConf.path + "/" + id + ".html";

				//검색레이어 open시 URL HASH 생성
				mainCtrl.isHistoryHashCheck = false;
				navi.setDataPop(id, params, null, "mainCtrl.hideSearchView()");
				jQuery.ajax({
					url : pageUrl,
					dataType : "html",
					timeout : 20000,
					success : function(data) {
						$('#container').append(data);
						SEARCHVIEW.init(params);
					},
					error : function(data, status, error) {
					}
				});
			},

			// 검색 레이어 hide
			hideSearchView : function() {
				if ($("div#search_container").length > 0) {
					SEARCHVIEW.event.removeViewData();
					delete SEARCHVIEW;
					
					$(".search_inner > #txtSearch").blur();
					$(".search_inner > #txtSearch").off().on("click", mainCtrl.showSearchView);
					$(".search_inner > #btnSearch").off().on("click", mainCtrl.showSearchView);
					$(".search_inner > #searchBtnReset").off().on("click", mainCtrl.showSearchView);
					$(".search_inner > #btnVoiceSearch").off().on('click',function(){
						mainCtrl.showSearchView({"searchType" : "voice"});
					});
										
					$(document).unbind("touchmove").bind("touchmove", HUB_INIT.preventBehavior );
					$('div#search_container').remove();
					$('#S1100000MJS').remove();
					
					if( !$("#contents").hasClass("detailON")
						// 2018-05-15 ssong 편성표 페이지 서브카테고리 미노출
						&& navi.getPageId(-1) != "M_G2222120M" 
						&& navi.getPageId(-1) != "M_G2232120M"){
						mainCtrl.showGNB();
					}
					
					if(navi.getPageId(-1) != "M_S1110000M"){ //검색 결과 페이지일 경우 검색 영역 텍스트 삭제 하지 않음
						$(".search_inner > #txtSearch").val("");
					}
					
					if (navi.getPageId() == "M_S1100000M"){
						navi.setMovePointer(-1);
					}
					
					if (navi.getPageId() != "M_G2600000M" && navi.getPageId() != "M_G6100001M"){ //kimjh vod
						$('#util').addClass('active');
					} else {
						$('#util').removeClass('active');
					}
					
					this.setPageHeaderClass(mainCtrl.getCurrentPageId());
					mainCtrl.showGNB();
					$('#dimmedAll').trigger('click');
					$('#dimmedAll').removeClass('active');
					$('#dimmedAll').removeClass('bg2');
					
					return true;
				}

				return false;
			},
			//현재 페이지에 따라 page header class 조정
			setPageHeaderClass : function(currentPageId){
				$("#pageHeader").removeClass("sub_page search_layer result_page");
				
				if(!(currentPageId == PAGE.main || currentPageId == "M_G2210000M" || currentPageId == "M_G2230000M" 
					|| currentPageId ==  "M_G5710001M" || currentPageId == "storeComm671054" || currentPageId == "storeComm670554" 
					|| currentPageId == "storeComm671055" || currentPageId == "M_G2220000M" || currentPageId == "M_G1100030M" 
					|| currentPageId == "M_G1100020M" || (gnbList.indexOf(currentPageId) > -1)
					|| currentPageId === "M_S1110000M" || currentPageId === "M_G1100000L" || currentPageId === "M_G2222120M"
					|| currentPageId === "M_G2232120M")){
					$("#pageHeader").addClass("sub_page");
				}else if (currentPageId === "M_S1110000M"){
					$("#pageHeader").addClass("result_page");
				}
			},

			//본인인증 레이어 view
			showCertView : function( params ){
				$("#wrap").hide();

				var id = "cert";
				var pageConf = PAGE_CONFIG[id];
				var pageUrl = "html/" + pageConf.path + "/" + id + ".html";

				//레이어 open시 URL HASH 생성
				mainCtrl.isHistoryHashCheck = false;
				
				navi.setDataPop(id, params, null, "mainCtrl.hideCertView()");
				window.document.body.scrollTop = 0;
				document.documentElement.scrollTop = 0;
				
				$("#content").append("<input type='hidden' name='checkCert' />");	// cert 페이지 생성 체크용 input tag 삽입
				
				jQuery.ajax({
					url : pageUrl,
					dataType : "html",
					timeout : 20000,
					success : function(data) {

						$('#wrap').after(data);
						$('#wrap').trigger('refresh');
						
						CERTVIEW.init( params );
					},
					error : function(data, status, error) {
						$("#content").find("input[name=checkCert]").remove();	// cert 페이지 생성 체크용 input tag 삭제
					}
				});
			},

			//본인인증 레이어 hide
			hideCertView : function(){
				$("#wrap").show();
				$("#certScript").remove();
				$("#certWrap").remove();
				$("#content").find("input[name=checkCert]").remove();	// cert 페이지 생성 체크용 input tag 삭제
				
				delete CERTVIEW;
				return false;
			},
			
			//채팅 레이어 show
			showChetting : function(params , param) {
				$("#wrap").hide();
				
				//var id = "M_U1173001M";
				//var pageConf = PAGE_CONFIG[id];
				var pageUrl = "html/mypage/M_U1173001M.html";
				
				jQuery.ajax({
					url : pageUrl,
					dataType : "html",
					timeout : 20000,
					success : function(data) {
						$("body").scrollTop(0);
						
						$('#wrap').after(data);
						$('#wrap').trigger('refresh');
						
						ChatView.init(params,param);						
					},
					error : function(data, status, error) {
					}
				});
			},
			
			//채팅 레이어 hide
			hideChettingWindows : function() {
				$("#wrap").show();
				
				$("#M_U1173001M").remove();
				$("#M_U1173001MScript").remove();
				
				$("#chatView").remove();
				$("#chatWrap").remove();
				
				delete ChatView;
				return false;
			},
			
			//네이버로그인 레이어 view
			showNaverView : function( params ){
				$("#wrap").hide();

				var id = "naver";
				var pageConf = PAGE_CONFIG[id];
				var pageUrl = "html/" + pageConf.path + "/" + id + ".html";

				//레이어 open시 URL HASH 생성
				mainCtrl.isHistoryHashCheck = false;
				
				navi.setDataPop(id, params, null, "mainCtrl.hideNaverView()");
				window.document.body.scrollTop = 0;
				document.documentElement.scrollTop = 0;
				
				$("#content").append("<input type='hidden' name='checkCert' />");	// cert 페이지 생성 체크용 input tag 삽입
				
				jQuery.ajax({
					url : pageUrl,
					dataType : "html",
					timeout : 20000,
					success : function(data) {

						$('#wrap').after(data);
						$('#wrap').trigger('refresh');
						
						CERTVIEW.init( params );
					},
					error : function(data, status, error) {
						$("#content").find("input[name=checkCert]").remove();	// cert 페이지 생성 체크용 input tag 삭제
					}
				});
			},

			//네이버로그인 레이어 hide
			hideNaverView : function(){
				$("#wrap").show();
				$("#certScript").remove();
				$("#certWrap").remove();
				$("#content").find("input[name=checkCert]").remove();	// cert 페이지 생성 체크용 input tag 삭제
				
				delete CERTVIEW;
				return false;
			},

			//cocdBanner 보여주기
			viewCocdBanner : function(){
				var co_cd = Const.getCocd();
				if( co_cd != "" ){
					var checkCocd = Ns.LocalStorage.get("checkCocd_"+co_cd);
					if( !Ns.Date.getBdDay(checkCocd) ){
						var htmlTxt = "";
						var espot = "MOB_COCD_ESPOT_CONTENTS";
						var invoke = {
							espotInfo : espot+"|Content",
							req_co_cd : co_cd
						};

						var response = function(data){
							if(data.msg && data.msg.root && data.msg.root._MOB_COCD_ESPOT_CONTENTS){
								var items = data.msg.root._MOB_COCD_ESPOT_CONTENTS[0];
								if(!Ns.Util.isNull(items) ){
									if($("#cocdBanner").length > 0){
										mainCtrl.hideCocdBanner();
									}
									
									var protocol = "http:";
									var imgUrl = protocol + Ns.UI.getEspotBannerImgUrl(items.imgUrl);
									var replaceUrl = protocol + items.imgUrl;
									
									htmlTxt = Ns.Util.stringFormat('\
											<a id="cocdBannerImg" href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\')">\
												<img src="{5}" onerror="this.onerror=null;this.src=\'{6}\'">\
											</a>'
											, items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl, replaceUrl, imgUrl );

									$("#header").addClass("type2");
									$("#pageHeader").addClass("type2");
									$("#contents").addClass("type2");
									$("#cocdBanner").show().prepend(htmlTxt);
								}
							}
						};

						tran.callWCSJsonTran('NSEspotCommon',invoke, response);
					}
				}else{
					mainCtrl.hideCocdBanner();
				}
			},

			//cocd 배너 없애기
			hideCocdBanner : function(){
				$("#header").removeClass("type2");
				$("#pageHeader").removeClass("type2");
				$("#contents").removeClass("type2");
				$("#cocdBannerImg").remove();
				$("#cocdBanner").hide();
			},
			
			/**
			 * NsTalk - ymma
			 */
			checkNsTalkTimerObject : function() {
				if (mainCtrl.nsTalk_timer != 0) {
					clearInterval(mainCtrl.nsTalk_timer);
					if (mainCtrl.nstalk_goodId != "" && mainCtrl.nstalk_goodId != null){
						mainCtrl.nsTalk_timer = 0;
					}
				}
			},
			
			
			checkTimerObject : function() {
				if (mainCtrl.m_timer != 0) {
					clearInterval(mainCtrl.m_timer);
					mainCtrl.m_timer = 0;
				}
			},

			checkEnvionment : function() {
				GibberishAES.size(256);
				var env = WL.Client.getEnvironment();

				if (env == "android")
					mainCtrl.VIEW_TYPE = env;
				else if (env == "iphone" || env == "ipad")
					mainCtrl.VIEW_TYPE = "ios";
				else if (env == "mobilewebapp" || env == "preview") {
					var uagent = navigator.userAgent.toLocaleLowerCase();

					if (uagent.search("android") > -1) {
						mainCtrl.VIEW_TYPE = "androidweb";
					} else if (uagent.search("iphone") > -1
							|| uagent.search("ipod") > -1
							|| uagent.search("ipad") > -1) {
						mainCtrl.VIEW_TYPE = "iosweb";
					} else {
						mainCtrl.VIEW_TYPE = "other";
					}
				} else {
					mainCtrl.VIEW_TYPE = "other";
				}
			},
			
			//이벤트 팝업 view
			eventPopup : function( param , progressFlag){
				
				if(Ns.Util.isNull(param)){
					return false;
				}
				var categoryId = param.categoryId || null;
				var partNumber = param.partNumber || null;
				var brandCode = param.brandCode || null;
				var vendorId = param.vendorId || null;
				
				if( progressFlag !== false){
					progressFlag = true;
				}
								
				var invoke = {
					cmdType : "getList",
					isMobileYn : "Y",
					req_co_cd : Const.getCocd(),
					accpt_path : Const.getAcceptPath(),
					userId : USERINFO.userId()
				};
				
				switch(param.type){
					case STORAGE_KEY.EVENT_POPUP_LOGIN :	// 로그인
						invoke.popAreaLv1 = "02";
					break;
					case STORAGE_KEY.EVENT_POPUP_REGIST :	// 회원가입
						invoke.popAreaLv1 = "03";
					break;
					case STORAGE_KEY.EVENT_POPUP_MAIN :	// 메인
						invoke.popAreaLv1 = "01";
						invoke.categoryId = categoryId;
					break;
					case STORAGE_KEY.EVENT_POPUP_EXHABIT :	// 전시매장
						invoke.popAreaLv1 = "05";
						invoke.categoryId = categoryId;
					break;
					case STORAGE_KEY.EVENT_POPUP_DETAIL :	// 상품상세
						invoke.popAreaLv1 = "04";
						invoke.partNumber = partNumber;
						invoke.brandCode = brandCode;
						invoke.vendorId = vendorId;
					break;
					default:
					break;
				}
				
				var response = function(data){
					if(!Ns.Util.isNull(data.eventPopupList)){
						Ns.Popup.event(data.eventPopupList,function(){
							var endDate = Ns.Date.getNowDate() + "23" + "59" + "59";
							Ns.LocalStorage.set(param.type,endDate);
						});
					}
				};

				tran.callWCSJsonTran( 'NSAjaxEventPopup', invoke, response ,  null, function() {},  {'progress' : progressFlag});
			},

			//event쿠폰 받기
			setEventCoupon : function(){
				var invoke = {
					espotInfo : "MOB_EVENT_BANNERLIST|Content$MOB_EVENT_BANNERLIST1|Content$MOB_EVENT_BANNERLIST2|Content$MOB_EVENT_BANNERLIST3|Content$MOB_EVENT_BANNERLIST4|Content$MOB_EVENT_BANNERLIST5|Content$MOB_EVENT_BANNERLIST6|Content$MOB_EVENT_BANNERLIST7|Content$MOB_EVENT_BANNERLIST8|Content",
				};
				var response = function(data){
					var eventList = [];

					//Espot 5개 고정 추가
					for ( var i=0; i<8; i++){
						var item = eval("data.msg.root._MOB_EVENT_BANNERLIST" + (i+1) );
						if ( !Ns.Util.isNull(item) ){
							//각 Espot별 내부 전부 추출
							for( var j=0; j<item.length; j++ ){
								eventList.push(item[j]);
							}
						}
					}
					
					//Espot 기본 데이터 추출
					var items = data.msg.root._MOB_EVENT_BANNERLIST;
					for ( var k=0; k<items.length; k++){
						eventList.push(items[k]);
					}
					
					if (!Ns.Util.isNull(eventList) || eventList.length > 0) {
						var invoke = {};
						//var htmlTxt = "";

						for (var i = 0; i < eventList.length; i++) {
							var items = eventList[i];
							var id = items.mdUrl.substring(items.mdUrl.indexOf('.com/') + 5);
							var couponList = items.marketingText.split(',');
							var coupon = [];
							
							if (id == CurrentView.eventCoupon) {
								if (CurrentView.eventCoupon == "NSRouletteEvent") {
									invoke['offerId'] = $.trim(items.marketingText);
								} else {
									for (var j = 0; j < couponList.length; j++) {
										var item = couponList[j].split(':');
										coupon[j] = {};
										coupon[j].cpName = $.trim(item[0]);

										if (coupon[j].cpName == "NO-DISPLAY") {
											continue;
										} else {
											coupon[j].cpNum = $.trim(item[1]);
										}
										invoke[coupon[j].cpName] = coupon[j].cpNum;
									}
								}
							}
						}
						CurrentView.couponList = invoke;
						
						// 룰렛 이벤트의 경우엔 ui설정을 여기서 함
						if (CurrentView.eventCoupon == "NSRouletteEvent") {
							CurrentView.ui.setDefaultEvent();
						}
					}
				};
				tran.callWCSJsonTran( 'NSEspotCommon', invoke, response );
			},

			// 장바구니 담기 상품 개수 얻기..
			getCartCount : function() {
				// 장바구니 데이터 설정.
				var setCartCount = function(data) {
					var count = 0;
					if (data.msg && data.msg.common) {
						var common = data.msg.common;
						if (common == null || common == "") {
							count = 0;
						} else {
							count = common.basketCnt; // 장바구니 아이템
														// 수(basketCnt:전체상품,
														// goodsCnt:일반상품,
														// giftcardCnt:상품권,
														// deliveryCnt:정기배달)
						}
					}
					
					mainCtrl.setCartCounter(count);
				};

				if (null == USERINFO.userId() || undefined == USERINFO.userId()){
					mainCtrl.setCartCounter();
				} else {
					var invokeParams = { userId : USERINFO.userId() };
					tran.callWCSJsonTran('NSBasketCountCmdReal', 
						invokeParams,
						setCartCount, 
						null, 
						function() {}, 
						{ 'progress' : false }
					);
				}
			},
			
			// 
			/**
			 * 상단 장바구니에 적재된 수량 보여주는곳 숫자 세팅
			 * count - Number - 출력될 수량
			 */
			setCartCounter : function(count){
				if (undefined == count){
					count = 0;
				}
				
				var cartCounter = $("#topCart");
				cartCounter.removeClass("cart_count");
				
				if (count >= 100){
					cartCounter.addClass("cart_count").attr("data-count", "...");
				} else if(count > 0){
					cartCounter.addClass("cart_count").attr("data-count", count);
				}
			},
			
			callPhone : function(phoneNum) {
				var msg = "NS홈쇼핑 모바일 상담시간<br>평일 09:00~18:00 입니다.<br>지금 바로 전화 하시겠습니까?";
				if (phoneNum == null || phoneNum == "")
					phoneNum = "1800-0770";
				
				phoneNum = 'tel:' + phoneNum;
				
				var okCb = function() {
					navi.setMovePointer(-1);
					if(mainCtrl.VIEW_TYPE == 'android')
						Ns.Native.callPhone([{callNumberUrl:phoneNum}]);
					else
						location.href = phoneNum;
					return false;
				};

				var cancelCb = function() {
					return false;
				};

				Ns.Popup.confirm(msg, okCb, null, "전화연결", "취소");
			},
			
			callPhone_other : function(phoneNum) {
				if (phoneNum == null || phoneNum == "")
					phoneNum = "080-830-7700";
				
				phoneNum = 'tel:' + phoneNum;
				
				var okCb = function() {
					navi.setMovePointer(-1);
					if(mainCtrl.VIEW_TYPE == 'android')
						Ns.Native.callPhone([{callNumberUrl:phoneNum}]);
					else
						location.href = phoneNum;
					return false;
				};

				var cancelCb = function() {
					return false;
				};

				okCb();
			},

			//최근봄 상품-> 고객 히스토리로 변경
			setRecentlyViewedProducts : function(productInfo) {
				
				var curTime = Ns.Date.calcDate('', 0, 0, 0, 0,'yyyy-MM-dd HH:mm:ss');
				var recentlyViewedProducts = Ns.LocalStorage.get(STORAGE_KEY.USER_VISIT_HIS);
				if (recentlyViewedProducts) {
					try {
						recentlyViewedProducts = JSON.parse(recentlyViewedProducts);
					} catch (e) {
						recentlyViewedProducts = null;
					}
				}
				var products = new Array();
				productInfo.settime = curTime;

				var isTrue = false;

				if (recentlyViewedProducts == null || recentlyViewedProducts == "") {
					products.push(productInfo);
				} else {
					// 14일 내 50개 유지.
					for ( var k = 0; k < recentlyViewedProducts.length; k++) {
						var info = recentlyViewedProducts[k];

						if (info != null) {
							var msecPerHour = 1000 * 60 * 60;
							var writetime = Ns.Date.getDateParse(info.settime);
							var readtime = Ns.Date.getDateParse(Ns.Date.calcDate('', 0, 0, 0, 0,'yyyy-MM-dd HH:mm:ss'));
							var writeMonDay = writetime.getMonth() + writetime.getDate();
							var readMonDay = readtime.getMonth() + readtime.getDate();

							var interval = (readtime.getTime() - writetime.getTime());
							var hours = Math.floor(interval / msecPerHour);

							if (hours <= 336) { // 일주일 이내의 데이터만 가져오기
								products.push(info);
								if(!isTrue){
									isTrue = mainCtrl.getHistoryPushFlag(productInfo, info, writeMonDay, readMonDay, isTrue);
								}
							}
						}
					}
					
					if (!isTrue) {
						if (products.length == 50)
							products.shift();
						
						products.push(productInfo);
					}
				}
				Ns.LocalStorage.set(STORAGE_KEY.USER_VISIT_HIS, JSON.stringify(products));
				
				if(productInfo.hisGubun === "P"){
					HUB_INIT.initHistotryTabImg();
				}
			},
			//히스토리 쌓는여부 체크 
			getHistoryPushFlag : function(dataInfo, hisInfo, writeMonDay, readMonDay, isTrue){
				var hisPushFlag = false;
				if(writeMonDay == readMonDay){
					if (hisInfo.hisGubun === "P" && dataInfo.partNumber == hisInfo.partNumber){ //상품 중복 체크
						hisPushFlag = true;
					}else if(hisInfo.hisGubun === "C" && dataInfo.categoryId == hisInfo.categoryId){ //카테고리 중복 체크
						hisPushFlag = true;
					}else if(hisInfo.hisGubun === "F" && dataInfo.catgroupId == hisInfo.catgroupId){ //기획전
						hisPushFlag = true;
					}else if(hisInfo.hisGubun === "E" && dataInfo.offerIdfr == hisInfo.offerIdfr){ //이벤트
						hisPushFlag = true;
					}
				}
				return hisPushFlag;
			},

			//고객 히스토리 가져오기
			getRecentlyViewedProducts : function(productInfo) {
				var products = [];

				var recentlyViewedProducts = Ns.LocalStorage.get(STORAGE_KEY.USER_VISIT_HIS);
				if (recentlyViewedProducts) {
					try {
						recentlyViewedProducts = JSON.parse(recentlyViewedProducts);
					} catch (e) {
						recentlyViewedProducts = null;
					}
				}
				
				if (recentlyViewedProducts == null || recentlyViewedProducts == "")
					return null;

				for ( var k = recentlyViewedProducts.length - 1; k >= 0; k--) {
					var info = recentlyViewedProducts[k];

					if (info != null) {
						var msecPerHour = 1000 * 60 * 60;

						var settime = Ns.Date.getDateParse(info.settime);
						var readtime = Ns.Date.getDateParse(Ns.Date.calcDate(
								'', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));

						var interval = (readtime.getTime() - settime.getTime());
						var hours = Math.floor(interval / msecPerHour);
						info.realIndex = k;

						if (hours > 336)
							continue;

						products.push(info);
					}
				}

				return products;
			},
			
			delHistoryList : function(index){
				
				var recentlyViewedProducts = Ns.LocalStorage.get(STORAGE_KEY.USER_VISIT_HIS);
				if (recentlyViewedProducts) {
					try {
						recentlyViewedProducts = JSON.parse(recentlyViewedProducts);
					} catch (e) {
						recentlyViewedProducts = null;
					}
				}
				
				recentlyViewedProducts.splice(index, 1);
				
				Ns.LocalStorage.set(STORAGE_KEY.USER_VISIT_HIS, JSON.stringify(recentlyViewedProducts));
				
				return mainCtrl.getRecentlyViewedProducts();
				
			},

			// 로그인 후 타겟 페이지로 이동한다.
			logonOK2TargetPage : function(invokeParams) {
				if (!Ns.Util.isNull(invokeParams)) {
					var tranId = invokeParams.tranId;
					var invoke = invokeParams.invoke;
					var pageId = invokeParams.pageId;
 
					if (tranId === undefined) {
						if (pageId !== undefined && pageId !== null) {
							
							//2016-08-30 Ssong  
							if(pageId == "M_G2600000M"){
								// 상품상세 > 성인 로그인 > 성인 인증
								if(invoke.adultItemFlag == "Y" && USERINFO.adultAuthYN() != "Y"){

									Ns.Popup.alert( "성인 상품은 성인 인증 후 보실 수 있습니다.", function() {
										navi.setMovePointer(-1);
										var param = {
											callback : function() {},
											adultItemFlag :	invoke.adultItemFlag,
											openerPageId : invoke.openerPageId
										};
										param.callback = function(data) {
											mainCtrl.navigate(pageId, invoke);
										};
										Ns.Popup.showPopup('M_B1214000P', param);
									},null,true );
									return false;
								}
							 }else if(pageId == "M_M1111100M"){
								//로그인 이후 타겟페이지가 로그인창일 경우 메인으로 이동 
								 mainCtrl.navigate(PAGE.main, null);
								 return true;
							 }	
							mainCtrl.navigate(pageId, invoke);
							
						} else {
							mainCtrl.logonOK2PrevPage();
						}
					} else if (tranId === null || tranId === "") {
						if (pageId !== undefined && pageId !== null) {
							mainCtrl.navigate(pageId, invoke);
						} else {
							mainCtrl.gotoMain();
						}
					} else {
						if (tranId == "AjaxNSOrderPayNow4Worklight") {
							var callBackNow = function(data) {
								var orderId = data.orderId;
								if (orderId == null || orderId == "") {
									Ns.Popup.alert("바로 주문하기를 처리하지 못했습니다."
											+ Messages.unexpected_error);
									var param = new Object;
									param.p_espotid = tranId;
									param.ErrorCode = "UE";
									tran.callPageLogging("LoggingPage", param);
									mainCtrl.logonOK2PrevPage();
								} else { // 주문서정보 페이지로 이동
									mainCtrl.navigate(pageId, {
										"orderId" : orderId,
										"chkLoginData" : invokeParams	// inputData를 같이 담아 넘긴다.
									});
								}
							};

							var coupons = invokeParams.coupons;
							if (coupons != null) { // 자동 쿠폰 다운로드..
								// 20150325 정헌태 추가 - vdn_cd (모바일 주문 접수 응대 번호) 데이터 다음 API 호출 시 추가
								if (mainCtrl.isOsApp()){	// App
									coupons.vdn_cd = "54101";
								} else {	// Web
									coupons.vdn_cd = "54102";
								}
								
								tran.callWCSJsonTran('NSItemDetailAjax', coupons, function(result) {
										});
							}
							
							// 20150325 정헌태 추가 - vdn_cd (모바일 주문 접수 응대 번호) 데이터 다음 API 호출 시 추가
							if (mainCtrl.isOsApp()){	// App
								invoke.vdn_cd = "54101";
							} else {	// Web
								invoke.vdn_cd = "54102";
							}
							
							//2016-09-02 Ssong 초이스 기획전 > 성인 로그인 > 성인인증 > 주문서 이동 시.... 
							if(invoke.adultItemFlag == "Y" && USERINFO.adultAuthYN() != "Y"){
								Ns.Popup.alert( "성인 상품 구매는 성인 인증이 필요합니다.", function() {
									navi.setMovePointer(-1);
									var param = {
										callback : function() {},
										adultItemFlag :	invoke.adultItemFlag,
										openerPageId : invoke.openerPageId
									};
									param.callback = function(data) {
										tran.callWCSJsonTran(tranId, invoke, callBackNow); // 바로주문..
									};
									Ns.Popup.showPopup('M_B1214000P', param);
								},null,true );
								return false;
							} else {
								tran.callWCSJsonTran(tranId, invoke, callBackNow); // 바로주문..
							}
						} else if (tranId == "AjaxNSOrderSheet4Worklight") {
							tran.callWCSJsonTran(tranId, invoke, function(data) {
										// 주문서정보 페이지로 이동
										mainCtrl.navigate(pageId, {
											"orderId" : invoke.orderId
										});
									});
						}
					}
				} else {
					mainCtrl.logonOK2PrevPage();
				}

				/*
				 * khkim82 중복호출되고 있어서 삭제 - 20190509 
				//jihee : 제휴사 adbrix 실적 정보 전달
				//if(mainCtrl.VIEW_TYPE == "android") {
					var LoggingParam = {};
					LoggingParam.logonId = mainCtrl.getUserInfo("logonId");
					LoggingParam.userId = mainCtrl.getUserInfo("userId");
					mainCtrl.callAdbrixLogin(LoggingParam);
				//}	
				*/
			},

			// 로그인 후 이전 페이지로 이동한다.
			logonOK2PrevPage : function() {
				var isTrue = true;
				var prevPageId = "";

				do { // 이전 로그인 페이지(멤버 로그인, 비회원 로그인 )
					var objPagebeforData = navi.getBeforDelNext();
					prevPageId = objPagebeforData.pageIds;
					
					// 만약 처음 인덱스까지 왔는데 메인페이지가 아닐경우 메인페이지로 처리
					if (objPagebeforData.index == 0 && prevPageId != PAGE.main){
						prevPageId = PAGE.main;
					}
					
					// 로그인, 비로그인 화면, 간편회원 화면, 간편회원 완료 화면, 아이디 찾기 화면, 비밀번호 찾기 화면.
					if (prevPageId != "M_M1111100M"
						&& prevPageId != "M_M1111200M" && prevPageId != "M_M1261000M"
						&& prevPageId != "M_M1262000M" && prevPageId != "M_M1121100P"
						&& prevPageId != "M_M1121101P" && prevPageId != "M_M1121102P"
						&& prevPageId != "M_M1122100P" && prevPageId != "M_M1131100P"
						&& prevPageId != "M_M1131101P" && prevPageId != "M_M1131102P"
						&& prevPageId != "M_M1133400P" && prevPageId != "M_M1133401P"
						&& prevPageId != "M_M1133500P" && prevPageId != "alert" ) {
						isTrue = false;
					} else {
						isTrue = true;
					}
				} while (isTrue);
					
				var prevPageParam = navi.getPageParam();
			
				if(PAGE_CONFIG[prevPageId] && PAGE_CONFIG[prevPageId].path == "layout"){
					prevPageParam = null;
				}
				
				mainCtrl.navigate(prevPageId, prevPageParam);
			},

			/**
			 * params - logonId : 로그인 ID - logonPassword : 로그인 패스워드. - logonType :
			 * 로그인 타입 simple or normal member - resAction : target page ID and
			 * target transaction and parameters or 'none' - saveYn : 아이디저장 여부 -
			 * autoYn : 자동로그인 여부 - isAutoLoginCheck : 메인 로딩 시 자동로그인으로 들어온 경우
			 */
			objResAction : null,	// 페이지 이동 값이 object 타입일 경우
			userLogin : function( inputData ) {
				mainCtrl.objResAction = null;
				//logonId, logonPassword, logonType, resAction, saveYn, autoYn, isAutoLoginCheck
				//파라미터 오브젝트로 병합
				inputData.userIp = Const.getIP();
				inputData.accptPath = Const.getAcceptPath();
				inputData.req_co_cd = Const.getCocd();
				
				//IPv6 형식으로 출력되는경우 가상IP로 강제 수정
				var reg = /[0-9]{1,3}[.][0-9]{1,3}[.][0-9]{1,3}[.][0-9]{1,3}/i;
				if( !reg.test(inputData.userIp) ){
					inputData.userIp = "192.168.0.1";
				}
				
				var isSSORequest = "";
				
				if(inputData.isSSORequest != null || inputData.isSSORequest != "" || inputData.isSSORequest != undefined){
					isSSORequest = inputData.isSSORequest;
				}
				
				if(navi.getPageId() != undefined ||navi.getPageId() !==null || navi.getPageId() !=""){
					var checkvalue = navi.getPageId();					
				}
				
				var params = {
					logonId : inputData.logonId,
					logonPassword : inputData.logonPassword,
					reLogonURL : 'LogonForm',
					URL : 'QuickCheckoutSummaryView',
					userIp : inputData.userIp,
					isCaptChaYn : inputData.isCaptChaYn, //Ssong 추가
					
					accptPath : inputData.accptPath,
					req_co_cd : inputData.req_co_cd,
					srcFile : "M_M1111100M",
					entFlag   : inputData.entFlag,
					entUserId    : inputData.entUserId,
					refresh_token : inputData.refresh_token,
					entName : inputData.entName,					
					isSSORequest : isSSORequest,
					login_check : "login_hub_ssl",
					currentpage : checkvalue,
					entEmail    : inputData.entEmail,
				};
				
				inputData_v = inputData;
				
				var logonResultFunc = function(data) {
					mainCtrl.nextUserLogin( data.msg, inputData );
				};

				tran.callWCSJsonTran('NSLogonMoblieCmdReal', params, logonResultFunc);
			},
			
			/**
			 * 로그인 전문 통신 후 처리
			 */
			nextUserLogin : function ( data, inputData ){
				mainCtrl.hideLoadingImg();
				$("#iframe_link").remove();	// iframe 삭제
				
				if (inputData.isAutoLoginCheck == "null"){
					inputData.isAutoLoginCheck = false
				}
				
				//2018.11.08 kimjh 구글스마트락
				if(inputData.isSL == "" || inputData.isSL == undefined || inputData.isSL == null){
					inputData.isSL = false;
				}
				if(inputData.fromLoginPage == "" || inputData.fromLoginPage == undefined || inputData.fromLoginPage == null){
					inputData.fromLoginPage = false;
				}
				// kimjh 구글 스마트락.
				
				var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION")); //2018.11.08 kimjh 구글 스마트락 분기처리때문에 추가
		 
				if (null != mainCtrl.objResAction && typeof(mainCtrl.objResAction) == "object"){
					try {
						inputData.resAction = mainCtrl.objResAction;
						mainCtrl.objResAction = null;
					} catch (e) {
						// TODO: handle exception
					}
				}
				
				var loginResult = data.root.Logonresult;
				var resCode = loginResult.resCode;
				var memberInfo = data.root.memberInfo;
				var entFlag    =  "";
				var isSSORequest    =  "";
				
				if(memberInfo != undefined){
					entFlag    = memberInfo.entFlag;
					isSSORequest = memberInfo.isSSORequest;
				}
				
				if(entFlag == "NAVER" || entFlag == "PAYCO" || entFlag == "KAKAO"){
					if( resCode == "50" && isSSORequest == "false"){
						resCode = "90";
					}
				}
				
				var msgObj = {
					'00' : '로그인에 성공하였습니다.', // 로그인성공
					'10' : '로그인에 성공하였습니다.', // 로그인성공(캠페인)
					'20' : '아이디 또는 비밀번호를 잘못 입력하셨습니다.', // 아이디 비밍번호 오류
					'30' : '당사의 운영방침에 따라 쇼핑몰 이용이 어렵습니다. 감사합니다.', // 불량회원
					'40' : '고객님께서는 탈퇴를 신청하셨습니다.<br/>탈퇴 신청을 취소하시려면 고객센터를 이용해 주세요.', // 탈퇴회원
					'50' : '로그인에 성공하였습니다.', // 정기 비밀번호 변경 하지 않은 로그인성공
					'60' : '<span style="color:#FF0000;">고객님의 휴면계정이 활성화 되었습니다.</span><br />이제 Nsmall에서 다양한 혜택을 제공받으실 수 있습니다.<br />Nsmall은 앞으로 고객님의 개인정보를 소중히 관리하고, 편리한 서비스를 제공할 수 있도록 더 노력하겠습니다.<br />감사합니다.',	// 휴면 개정 로그인 성공시
					'70' : '현재 시스템 상황이 원활하지 않습니다.<br />잠시 후 다시 시도 바랍니다.',	// 휴면계정 로그인 실패시
					'80' : '비밀번호를 5회 이상 잘못 입력하면,<br/ > 정보보호를 위해 자동 로그인 방지 인증을 같이 해주셔야 합니다.', // Ssong 추가 로그인 실패 5회 이상 
					'90' : '네이버 계정 연동이 완료되었습니다!',	// 네이버랑 ID 연동
					'100' : '페이코 계정 연동이 완료되었습니다!',	// 페이코랑 ID 연동
					'110' : '카카오 계정 연동이 완료되었습니다!'	// 카카오랑 ID 연동
				};

				// 로그인 성공: Y, 실패: X
				if (resCode == '00' || resCode == '10' || resCode == '50') { // 로그인 성공
					
					memberInfo.sessionId = loginResult.session_id;
					memberInfo.logonType = inputData.logonType;

					mainCtrl.setLogin(memberInfo);

					if (inputData.logonType == LOGON_TYPE.normal) {
						if (inputData.saveYn == 'Y') {
							Ns.LocalStorage.set(STORAGE_KEY.SAVE_LOGONID, memberInfo.logonId);
						} else {
							Ns.LocalStorage.del(STORAGE_KEY.SAVE_LOGONID);
						}

						if (inputData.autoYn == 'Y') {
							if (inputData.logonPassword == ""){
								// 자동로그인 풀림 오류 수정 : 2016.08.11 신혜수
								if($("#txtPassword").val() != undefined){
									inputData.logonPassword = $.trim($("#txtPassword").val());
								} else {									 
									inputData.logonPassword = JSON.parse(Ns.LocalStorage.get(STORAGE_KEY.AUTO_LOGIN_INFO)).password;
								}
							}
							
							var autoLoginInfo = {
								regDate : new Date(),
								logonId : memberInfo.logonId,
								password : inputData.logonPassword
							};
							Ns.LocalStorage.set(STORAGE_KEY.AUTO_LOGIN_INFO, JSON.stringify(autoLoginInfo));
						} else {
							Ns.LocalStorage.del(STORAGE_KEY.AUTO_LOGIN_INFO);
						}
					}

					/**
					 * 2016-08-11 정승진 : PMS 푸시(마케팅) 로그인
					 * */
					if (!Ns.Util.isNull(memberInfo.custNum))
						mainCtrl.setPushLogin(memberInfo.custNum);
					
					// 2018.11.23 kimjh 로그 적재 로그인 적재
					var entFlagL = Ns.Util.isNull(entFlag) ? "L" : entFlag;
					entFlagL = entFlagL.substr(0,1);
					if(inputData.logonType == LOGON_TYPE.simple) entFlagL = "F";
					new _ns_log().a("logon")
						.a(entFlagL)
						.a(USERINFO.logonId())
						.a(resCode)
						.a(msgObj[resCode])
						.l();
					//2018.11.08 kimjh 구글 스마트락 로그인 후 계정 저장 start
					if(inputData.logonPassword != "N" && Ns.Util.isNull(entFlag) && inputData.logonType == LOGON_TYPE.normal && mainCtrl.VIEW_TYPE == "android" && version >= 2928){
						if(inputData.isCredential != undefined && inputData.isCredential != null){
							//구글 스마트락으로 로그인한 경우 토스트 노출.
							WL.Toast.show("로그인 되었습니다.");
						}
						else {
							// 아이디/비밀번호 구글 스마트락에 저장.
							// 비밀번호를 알기위해 추가
							if (inputData.logonPassword == ""){
								// 자동로그인 풀림 오류 수정 : 2016.08.11 신혜수
								if($("#txtPassword").val() != undefined){
									inputData.logonPassword = $.trim($("#txtPassword").val());
								} else {									 
									inputData.logonPassword = JSON.parse(Ns.LocalStorage.get(STORAGE_KEY.AUTO_LOGIN_INFO)).password;
								}
							}
							
							// 비밀번호가 있을 때만 저장 진행.
							if (!Ns.Util.isNull(inputData.logonPassword)){
								if(inputData.fromLoginPage){
									NSCustom.SL_SaveCredentialExcep(memberInfo.logonId, inputData.logonPassword);
								} else {
									NSCustom.SL_SaveCredential(memberInfo.logonId, inputData.logonPassword);
								}
							}
						}
					}
					// 구글 스마트락 로그인 후 계정 저장 end
					
					//jihee : 제휴사 adbrix 실적 정보 전달
						mainCtrl.callAdbrixLogin(memberInfo);

					
					// 비밀번호 3개월 이상 사용한 회원은 비밀번호 변경페이지로 이동
					//autologin설정해놓은 경우 나타나지 않게 수정
					if (resCode == '50') {
						if(true != inputData.isAutoLoginCheck ){
							var checkDate = Ns.LocalStorage.get("passChk_"+ memberInfo.logonId);
							if (checkDate == "" || !Ns.Date.getBdDay(checkDate) ){
								memberInfo.nextPageInfo = inputData.resAction;
								mainCtrl.navigate("M_M1133401P", memberInfo);
								return;
							}
						}
					}
					
					if (inputData.resAction == 'none') {
						return;
					} else if (inputData.resAction == 'main') {
						if(init_mainLoad == false){
							mainCtrl.navigate(PAGE.main, null, null);
							init_mainLoad = false;
						}
						return;
					}
					mainCtrl.logonOK2TargetPage(inputData.resAction);
					
				} else if (resCode == '60') { // 로그인 성공
					Ns.Popup.alert(msgObj[resCode], function (){
						memberInfo.sessionId = loginResult.session_id;
						memberInfo.logonType = inputData.logonType;

						mainCtrl.setLogin(memberInfo);

						if (inputData.logonType == LOGON_TYPE.normal) {
							if (inputData.saveYn == 'Y') {
								Ns.LocalStorage.set(STORAGE_KEY.SAVE_LOGONID, memberInfo.logonId);
							} else {
								Ns.LocalStorage.del(STORAGE_KEY.SAVE_LOGONID);
							}

							if (inputData.autoYn == 'Y') {
								if (inputData.logonPassword == ""){
									if($("#txtPassword").val() != undefined){
										inputData.logonPassword = $.trim($("#txtPassword").val());
									} else {									 
										inputData.logonPassword = JSON.parse(Ns.LocalStorage.get(STORAGE_KEY.AUTO_LOGIN_INFO)).password;
									}
								}
								
								var autoLoginInfo = {
									regDate : new Date(),
									logonId : memberInfo.logonId,
									password : inputData.logonPassword
								};
								Ns.LocalStorage.set(STORAGE_KEY.AUTO_LOGIN_INFO, JSON.stringify(autoLoginInfo));
							} else {
								Ns.LocalStorage.del(STORAGE_KEY.AUTO_LOGIN_INFO);
							}
						}

						/**
						 * 2016-08-11 정승진 : PMS 푸시(마케팅) 로그인
						 * */
						if (!Ns.Util.isNull(memberInfo.custNum))
							mainCtrl.setPushLogin(memberInfo.custNum);
						
						// 2018.11.23 kimjh 로그 적재 로그인 적재
						var entFlagL = Ns.Util.isNull(entFlag) ? "L" : entFlag;
						entFlagL = entFlagL.substr(0,1);
						if(inputData.logonType == LOGON_TYPE.simple) entFlagL = "F";
						new _ns_log().a("logon")
							.a(entFlagL)
							.a(USERINFO.logonId())
							.a(resCode)
							.a(msgObj[resCode])
							.l();
						//2018.11.08 kimjh 구글 스마트락 로그인 후 계정 저장 start
						if(inputData.logonPassword != "N" && Ns.Util.isNull(entFlag) && inputData.logonType == LOGON_TYPE.normal && mainCtrl.VIEW_TYPE == "android" && version >= 2928){
							if(inputData.isCredential != undefined && inputData.isCredential != null){
								//구글 스마트락으로 로그인한 경우 토스트 노출.
								WL.Toast.show("로그인 되었습니다.");
							}
							else {
								// 아이디/비밀번호 구글 스마트락에 저장.
								// 비밀번호를 알기위해 추가
								if (inputData.logonPassword == ""){
									// 자동로그인 풀림 오류 수정 : 2016.08.11 신혜수
									if($("#txtPassword").val() != undefined){
										inputData.logonPassword = $.trim($("#txtPassword").val());
									} else {									 
										inputData.logonPassword = JSON.parse(Ns.LocalStorage.get(STORAGE_KEY.AUTO_LOGIN_INFO)).password;
									}
								}
								
								// 비밀번호가 있을 때만 저장 진행.
								if (!Ns.Util.isNull(inputData.logonPassword)){
									if(inputData.fromLoginPage){
										NSCustom.SL_SaveCredentialExcep(memberInfo.logonId, inputData.logonPassword);
									} else {
										NSCustom.SL_SaveCredential(memberInfo.logonId, inputData.logonPassword);
									}
								}
							}
						}
						// kimjh 구글 스마트락 로그인 후 계정 저장 end
						
						//jihee : 제휴사 adbrix 실적 정보 전달
						//if(mainCtrl.VIEW_TYPE == "android") {
							mainCtrl.callAdbrixLogin(memberInfo);
						//}
						console.log(">>>>> login adbrix 확인 : " + memberInfo.logonId);
						
						if (inputData.resAction == 'none') {
							return;
						} else if (inputData.resAction == 'main') {
							mainCtrl.navigate(PAGE.main, null);
							return;
						}
						
						mainCtrl.logonOK2TargetPage(inputData.resAction);
					}, "", true);
				} else if (resCode == '90' && entFlag == 'NAVER') { // 네이버 로그인 성공
					Ns.Popup.alert(msgObj[resCode], function (){
						memberInfo.sessionId = loginResult.session_id;
						memberInfo.logonType = inputData.logonType;

						mainCtrl.setLogin(memberInfo);

						if (inputData.logonType == LOGON_TYPE.normal) {
							if (inputData.saveYn == 'Y') {
								Ns.LocalStorage.set(STORAGE_KEY.SAVE_LOGONID, memberInfo.logonId);
							} else {
								Ns.LocalStorage.del(STORAGE_KEY.SAVE_LOGONID);
							}

							if (inputData.autoYn == 'Y') {
								if (inputData.logonPassword == ""){
									if($("#txtPassword").val() != undefined){
										inputData.logonPassword = $.trim($("#txtPassword").val());
									} else {									 
										inputData.logonPassword = JSON.parse(Ns.LocalStorage.get(STORAGE_KEY.AUTO_LOGIN_INFO)).password;
									}
								}
								
								var autoLoginInfo = {
									regDate : new Date(),
									logonId : memberInfo.logonId,
									password : inputData.logonPassword
								};
								Ns.LocalStorage.set(STORAGE_KEY.AUTO_LOGIN_INFO, JSON.stringify(autoLoginInfo));
							} else {
								Ns.LocalStorage.del(STORAGE_KEY.AUTO_LOGIN_INFO);
							}
						}

						/**
						 * 2016-08-11 정승진 : PMS 푸시(마케팅) 로그인
						 * */
						if (!Ns.Util.isNull(memberInfo.custNum))
							mainCtrl.setPushLogin(memberInfo.custNum);
						
						// 2018.11.23 kimjh 로그 적재 로그인 적재
						new _ns_log().a("logon")
							.a("N")
							.a(USERINFO.logonId())
							.a(resCode)
							.a(msgObj[resCode])
							.l();
						//2018.11.08 kimjh 구글 스마트락 로그인 후 계정 저장 start
						if(mainCtrl.VIEW_TYPE == "android" && version >= 2928){
							if(inputData.isCredential != undefined && inputData.isCredential != null){
								//구글 스마트락으로 로그인한 경우 토스트 노출.
								WL.Toast.show("로그인 되었습니다.");
							}
							else {
								// 비밀번호가 있을 때만 저장 진행.
								if (!Ns.Util.isNull(inputData.logonPassword)){
									NSCustom.SL_SaveCredential(memberInfo.logonId, inputData.logonPassword);
								}
							}
						}
						// 구글 스마트락 로그인 후 계정 저장 end
						
						//jihee : 제휴사 adbrix 실적 정보 전달
						//if(mainCtrl.VIEW_TYPE == "android") {
							mainCtrl.callAdbrixLogin(memberInfo);
						//}
						console.log(">>>>> login adbrix 확인 : " + memberInfo.logonId);
						
						if (inputData.resAction == 'none') {
							return;
						} else if (inputData.resAction == 'main') {
							mainCtrl.navigate(PAGE.main, null);
							return;
						}
						
						
						mainCtrl.navigate(PAGE.main, null);
					}, "", true);
				} else if (resCode == '90' && entFlag == 'PAYCO') { // 페이코 로그인 성공
					resCode = '100';
					Ns.Popup.alert(msgObj[resCode], function (){
						memberInfo.sessionId = loginResult.session_id;
						memberInfo.logonType = inputData.logonType;

						mainCtrl.setLogin(memberInfo);

						if (inputData.logonType == LOGON_TYPE.normal) {
							if (inputData.saveYn == 'Y') {
								Ns.LocalStorage.set(STORAGE_KEY.SAVE_LOGONID, memberInfo.logonId);
							} else {
								Ns.LocalStorage.del(STORAGE_KEY.SAVE_LOGONID);
							}

							if (inputData.autoYn == 'Y') {
								if (inputData.logonPassword == ""){
									if($("#txtPassword").val() != undefined){
										inputData.logonPassword = $.trim($("#txtPassword").val());
									} else {									 
										inputData.logonPassword = JSON.parse(Ns.LocalStorage.get(STORAGE_KEY.AUTO_LOGIN_INFO)).password;
									}
								}
								
								var autoLoginInfo = {
									regDate : new Date(),
									logonId : memberInfo.logonId,
									password : inputData.logonPassword
								};
								Ns.LocalStorage.set(STORAGE_KEY.AUTO_LOGIN_INFO, JSON.stringify(autoLoginInfo));
							} else {
								Ns.LocalStorage.del(STORAGE_KEY.AUTO_LOGIN_INFO);
							}
						}

						/**
						 * 2016-08-11 정승진 : PMS 푸시(마케팅) 로그인
						 * */
						if (!Ns.Util.isNull(memberInfo.custNum))
							mainCtrl.setPushLogin(memberInfo.custNum);
						
						// 2018.11.23 kimjh 로그 적재 로그인 적재
						new _ns_log().a("logon")
							.a("P")
							.a(USERINFO.logonId())
							.a(resCode)
							.a(msgObj[resCode])
							.l();
						//2018.11.08 kimjh 구글 스마트락 로그인 후 계정 저장 start
						if(mainCtrl.VIEW_TYPE == "android" && version >= 2928){
							if(inputData.isCredential != undefined && inputData.isCredential != null){
								//구글 스마트락으로 로그인한 경우 토스트 노출.
								WL.Toast.show("로그인 되었습니다.");
							}
							else {
								// 비밀번호가 있을 때만 저장 진행.
								if (!Ns.Util.isNull(inputData.logonPassword)){
									NSCustom.SL_SaveCredential(memberInfo.logonId, inputData.logonPassword);
								}
							}
						}
						// 구글 스마트락 로그인 후 계정 저장 end
						
						//jihee : 제휴사 adbrix 실적 정보 전달
						//if(mainCtrl.VIEW_TYPE == "android") {
							mainCtrl.callAdbrixLogin(memberInfo);
						//}
						console.log(">>>>> login adbrix 확인 : " + memberInfo.logonId);
						
						if (inputData.resAction == 'none') {
							return;
						} else if (inputData.resAction == 'main') {
							mainCtrl.navigate(PAGE.main, null);
							return;
						}

						mainCtrl.navigate(PAGE.main, null);
												
					}, "", true);
				} else if (resCode == '90' && entFlag == 'KAKAO') { // 카카오 로그인 성공
					resCode = '110';
					Ns.Popup.alert(msgObj[resCode], function (){
						memberInfo.sessionId = loginResult.session_id;
						memberInfo.logonType = inputData.logonType;

						mainCtrl.setLogin(memberInfo);

						if (inputData.logonType == LOGON_TYPE.normal) {
							if (inputData.saveYn == 'Y') {
								Ns.LocalStorage.set(STORAGE_KEY.SAVE_LOGONID, memberInfo.logonId);
							} else {
								Ns.LocalStorage.del(STORAGE_KEY.SAVE_LOGONID);
							}

							if (inputData.autoYn == 'Y') {
								if (inputData.logonPassword == ""){
									// 간편로그인 시 자동로그인 풀림 오류 수정 : 2018.07.23 이수민
									if($("#txtPassword").val() != undefined){
										inputData.logonPassword = $.trim($("#txtPassword").val());
									} else {									 
										inputData.logonPassword = JSON.parse(Ns.LocalStorage.get(STORAGE_KEY.AUTO_LOGIN_INFO)).password;
									}
								}
								
								var autoLoginInfo = {
									regDate : new Date(),
									logonId : memberInfo.logonId,
									password : inputData.logonPassword
								};
								Ns.LocalStorage.set(STORAGE_KEY.AUTO_LOGIN_INFO, JSON.stringify(autoLoginInfo));
							} else {
								Ns.LocalStorage.del(STORAGE_KEY.AUTO_LOGIN_INFO);
							}
						}

						/**
						 * 2016-08-11 정승진 : PMS 푸시(마케팅) 로그인
						 * */
						if (!Ns.Util.isNull(memberInfo.custNum))
							mainCtrl.setPushLogin(memberInfo.custNum);
						
						// 2018.11.23 kimjh 로그 적재 로그인 적재
						new _ns_log().a("logon")
							.a("K")
							.a(USERINFO.logonId())
							.a(resCode)
							.a(msgObj[resCode])
							.l();
						//2018.11.08 kimjh 구글 스마트락 로그인 후 계정 저장 start
						if(mainCtrl.VIEW_TYPE == "android" && version >= 2928){
							if(inputData.isCredential != undefined && inputData.isCredential != null){
								//구글 스마트락으로 로그인한 경우 토스트 노출.
								WL.Toast.show("로그인 되었습니다.");
							}
							else {
								// 비밀번호가 있을 때만 저장 진행.
								if (!Ns.Util.isNull(inputData.logonPassword)){
									NSCustom.SL_SaveCredential(memberInfo.logonId, inputData.logonPassword);
								}
							}
						}
						// 구글 스마트락 로그인 후 계정 저장 end
						
						//jihee : 제휴사 adbrix 실적 정보 전달
						//if(mainCtrl.VIEW_TYPE == "android") {
							mainCtrl.callAdbrixLogin(memberInfo);
						//}
						console.log(">>>>> login adbrix 확인 : " + memberInfo.logonId);
						
						if (inputData.resAction == 'none') {
							return;
						} else if (inputData.resAction == 'main') {
							mainCtrl.navigate(PAGE.main, null);
							return;
						}
						
						mainCtrl.navigate(PAGE.main, null);
					}, "", true);
					
				} else if (inputData.isAutoLoginCheck) { // 메인 로딩 시 자동로그인으로 들어온 경우, 로그인 실패
					Ns.LocalStorage.del( STORAGE_KEY.AUTO_LOGIN_INFO );	//자동로그인 해제, 아이디 저장은 유지
					// 2018.11.08 kimjh 구글 스마트락 자동로그인으로 들어왔는데 안되는 경우 방지하기 위해.
					//var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));		// 위에서 version 정보 가져옴			
					if(inputData.isCredential != undefined && inputData.isCredential != null){
						// 메인 로딩 시 구글 스마트락 자격증명에서 성공이지만 로그인은 실패한 경우, 아이디 혹은 비밀번호가 변경된것이므로
						// 구글에 저장된 자격증명을 삭제한다.
						NSCustom.SL_DeleteCredential();
						
					}
					else if(mainCtrl.VIEW_TYPE == "android" && version >= 2928){
						if (typeof(inputData.resAction) == "object"){
							HUB_INIT.checkAutoLogin(inputData.resAction.pageId, inputData.resAction.invoke);
						}
						else {
							HUB_INIT.checkAutoLogin();
						}
						return;
					}
					// kimjh 구글 스마트락 end
					
					if (typeof(inputData.resAction) == "object"){
						mainCtrl.navigate(inputData.resAction.pageId, inputData.resAction.invoke);
						return;
					}
					
					mainCtrl.gotoMain();
				} else { // 로그인 실패(비밀번호 만료 포함)
					// 2018.11.08 kimjh 구글 스마트락 
					if(inputData.isCredential != undefined && inputData.isCredential != null){
						// 메인 로딩 시 구글 스마트락 자격증명에서 성공이지만 로그인은 실패한 경우, 아이디 혹은 비밀번호가 변경된것이므로
						// 구글에 저장된 자격증명을 삭제한다.
						NSCustom.SL_DeleteCredential();
					}
					// kimjh 구글 스마트락 end
					
					//var isCheckPassword = (data.EXPIREDPASSWORD != undefined) ? true : false;
					var msg = '';
					// 2018.11.23 kimjh 로그 적재 로그인 적재
					var resCodeL = resCode;
					try{ //resCode가 다른값이 들어갈 경우 무조건 실패로
						msgObj[resCodeL];
					}catch(e){
						resCodeL = "20";
					}
					var entFlagL = Ns.Util.isNull(entFlag) ? "L" : entFlag;
					entFlagL = entFlagL.substr(0,1);
					if(inputData.logonType == LOGON_TYPE.simple) entFlagL = "F";
					new _ns_log().a("logon")
						.a(entFlagL)
						.a(USERINFO.logonId())
						.a(resCodeL)
						.a(msgObj[resCodeL])
						.l();
					
					if(resCode == "20" || resCode == "80" ){ // 로그인 실패 or 5회 이상 실패 체크
						var failCount = loginResult.failcount; // 로그인 실패 횟수
						var isCaptChaYn = loginResult.isCaptChaYn;
						
						mainCtrl.loadRecaptcha(failCount);
					} 				
					
					if (inputData.isCheckPassword) {
						mainCtrl.navigate("M_M1133401P", memberInfo);
						return;
					} else {
						if(failCount > 5 && isCaptChaYn === true){
							msg = msgObj['20'];
						} else {
							msg = msgObj[resCode];
						}
					 
					}

					Ns.Popup.alert(msg, function() {}, "", true); // 실패 메세지
				}
			},
			
			/**
			 * reCAPTCHA v2 호출함수
			 * @param failCount : 로그인 실패 횟수
			 */
			loadRecaptcha : function (failCount) {

				var checkCaptcha = $("#gRecaptcha").length;
				if(checkCaptcha != 0 || failCount < 5){
					$("#gRecaptcha").remove();
				}
				
				/* 로그인 실패 횟수가 5번 이상일 경우 reCAPTCHA 데이터 Load */
				if(typeof failCount === "undefined" || failCount < 5 ){
					return false;
				} else {
					if(mainCtrl.isOsApp()){
						mainCtrl.showLoadingImg();
                        var width = $("#formUserLogon").width();
						var html = '<iframe id="gRecaptcha" frameBorder="0" width="' + width + '" style="display:none"></iframe>';
						$("#formUserLogon div").first().append(html);

						var pageUrl = "https://" + Const.MOBILE_NSMALL_PATH + "#gocaptcha";						
						$("#gRecaptcha").attr("src", pageUrl);
						
						/* captcha 데이터가 load 되었을 경우 Recaptcha 화면 show */
						var setTimer = setInterval(function() {
                            $("#gRecaptcha").width(); // 이걸 넣어야 iOS에서 리사이즈가 됨.
							if($("#gRecaptcha").contents().find('#captcha').length > 0){
								setTimeout(function(){
									$("#gRecaptcha").contents().find('#footer').hide();
									$("#gRecaptcha").show();
                                    if(mainCtrl.VIEW_TYPE == "ios"){
                                           $("#formUserLogon").find("#gRecaptcha").contents().find('#captchaInfo').outerWidth(width);
                                           $("#formUserLogon").find("#gRecaptcha").contents().find('#captchaInfo').show();
                                    }
									mainCtrl.hideLoadingImg();
									clearInterval(setTimer);
								}, 1000);
							}
						}, 500);
						
						/* reCAPTCHA 화면의 크기에 따라 iframe 화면을 리사이징해줌. */
                        if(mainCtrl.VIEW_TYPE == "android"){
                            mainCtrl.iframeResizeTimer = setInterval(function() {
                                if(navi.getPageId() != "M_M1111100M" && navi.getPageId() != "alert" ) {
                                    clearInterval(mainCtrl.iframeResizeTimer);
                                }
                                var checkVisibility = $("#formUserLogon").find("#gRecaptcha").contents().find('#blockOuter').nextAll('div').eq(0).css('visibility');
                                if(checkVisibility == "hidden" || Ns.Util.isNull(checkVisibility)){
                                    $("#gRecaptcha").css("height", $("#formUserLogon").find("#gRecaptcha").contents().find('#captcha').height() + 5);
                                } else {
                                    $("#gRecaptcha").css("height","550px");
                                }
                            }, 500);
                        }
						
					} else {
						var formHtml = '<div id="gRecaptcha" class="g-recaptcha"></div>'
						$("#formUserLogon div").first().append(formHtml);
						
						var params = {
							"sitekey" : Const.RECAPTCHA_SITE_KEY[Const.IS_SERVER_STATE]
						}
						grecaptcha.render('gRecaptcha', params);
						
						var recaptcha = $(".g-recaptcha");
						recaptcha.css({"margin" : "4px 0 8px 0"});
					}
				}
			},
			
			/**
			 * 페이스북 로그인 iframe 호출함수
			 */
			loadFacebookLogin : function () {
				// 이미 호출된적이 있다면 삭제
				$("#iframeFacebook").remove();
				
				// iframe 호출되는 동안 로딩이미지 노출
				mainCtrl.showLoadingImg();
				
				// iframe 추가
                var html = '<iframe id="iframeFacebook" frameBorder="0" width="0" height="0" style="display:block"></iframe>';
				$("#formUserLogon div").first().append(html);
				var pageUrl = "https://" + Const.MOBILE_NSMALL_PATH + "#FacebookIframe";
				//var pageUrl = "http://localhost:10080/NSMobileHubApp/apps/services/preview/nsmobilehub/common/0/default/nsmobilehub.html#FacebookIframe";			
				$("#iframeFacebook").attr("src", pageUrl);
				
				var listener = function (event){
					if(event.data.func == "hideLoadingImg"){
						// iframe 호출 후 로딩이미지 숨김
						mainCtrl.hideLoadingImg();
					} else if(event.data.func == "simpleMemberJoinCheck"){
						// 간편회원 로그인 호출
						CurrentView.data.simpleMemberJoinCheck(event.data.fbEmail);
					}
				}
				
				// 자식 iframe 창의 데이터 전달을 기다림
				if (window.addEventListener){
					  addEventListener("message", listener, false)
				} else {
					  attachEvent("onmessage", listener)
				}
				
			},
			
			/**
			 * 페이지 url 입력시 내부 url인 경우와 외부 url인 경우를 구분 처리
			 * 
			 */
			movePage : function( url ){
				if( Ns.Util.isNull(url) ){
					mainCtrl.gotoMain();
					return false;
				}
				
				if (url != null && url.indexOf('.nsmall.com/') > -1){
					//내부 URL인 경우
					HUB_INIT.checkInflowOutsideChannel( url );
				} else {
					//외부 URL인 경우
					Ns.Native.showWindows( url );
				}
			},
			
			/**
			 * iframe을 통한 https처리를 하기위한 공통 펑션
			 * 
			 * 전문 통신 후 받는data가 data.msg인 경우만 사용하기 바람.
			 */
			linkFrame : function(apiNm, linkType, data, strCbNm, strBremove){
				$("#iframe_link").remove();	// iframe 삭제
				$("body").append("<iframe id=\"iframe_link\" name=\"iframe_link\" style=\"display : none; width: 0px; height: 0px;\"></iframe>");
				
//				var strUrl = "http://localhost:10080/NSMobileHubApp/apps/services/preview/nsmobilehub/common/0/default/nsmobilehub.html#goiframe";
				var strUrl = "https://" + Const.MOBILE_NSMALL_PATH + "#goiframe";
				strUrl += "?linkType=" + linkType;
				strUrl += "&apiName=" + apiNm;
				strUrl += "&paramData=" + JSON.stringify(data);
				strUrl += "&callbackName=" + strCbNm;
				strUrl += "&strBremove=" + strBremove;
				
				document.getElementById("iframe_link").src = strUrl;
			},
			
			removLinkFrame : function (){
				mainCtrl.hideLoadingImg();
				$("#iframe_link").remove();	// iframe 삭제
				$("#sslForm").remove();
			},
			
			/**
			 * 쿠키 정보에 저장된 USER ID를 통해 로그인 여부를 체크한다.
			 */
			checkLogonStatus : function() {
				var userId = mainCtrl.getUserInfo("userid");
				//비회원일 경우도 userId는 존재함. logonID로 판별해야함.
				var logonId = mainCtrl.getUserInfo("logonId");
				if (Ns.Util.isNull(userId) || Ns.Util.isNull(logonId))
					return false;

				return true;
			},
			
			/**
			 * 2018-03-27 세션에서 user_id를 가져오는 api
			 * */
			sessionCheckMobile : function(){
				
				var invoke = new Object();
				invoke.checkview = "2";	
				tran.callWCSJsonTran( 'NSSessionCheckMobile', invoke,  function(data) {	
					try{
						// 데이터 없으면 후단 function 바로 호출
						if (Ns.Util.isNull(data) || data.msg.root.user_id == undefined){
							return;
						}
						mainCtrl.setUserInfo('userId', data.msg.root.user_id);
				
					}catch(e){
						//Ns.Util.viewConsoleLog("(( Caught exception at \"" + 'sessionCheckMobile' + "\" -> " + e + " ))");
					}
				});
			},
			
			/*
			 * 유저의 deviceID를 호출하여 mainCtrl.deviceID에 넣는다.
			 */
			getUserDeviceID : function(){
				if("" == mainCtrl.deviceID){
					if(mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "ios"){
						WL.Device.getID({
							onSuccess : function(o) {
								mainCtrl.deviceID = o.deviceID;
							},
							onFailure : function(e) { 
								WL.Logger.info("Error getting ID: " + e); 
							}
						});
					}
				}
			},
			
			setUserInfo : function(name, value) {
				name = name.toLowerCase();

				value = GibberishAES.aesEncrypt(value,
							$.md5( WL.Client.getUserInfo('myserver','userId').substr(1,32) )
						);
				sessionStorage.setItem(name, value);
			},

			getUserInfo : function(name) {
				var keyval = "";
				name = name.toLowerCase();

				if(sessionStorage.getItem(name) != null){
					keyval = GibberishAES.aesDecrypt(sessionStorage.getItem(name),
								$.md5( WL.Client.getUserInfo('myserver','userId').substr(1,32) )
							);
				}
				return (keyval == null) ? "" : keyval;
			},

			removeUserInfo : function() {
				var i = sessionStorage.length;
				while(i--) {
					var key = sessionStorage.key(i);
					sessionStorage.removeItem(key);
				}
			},

			// 현재 페이지가 서브 카테고리 페이지인가?
			isSubCategoryPage : function(pageId) {
				if ( PAGE.subCategoryPage[pageId] ) {
					var tabId = "";
					var isGnbMainPageId = false;
					// 2017.01.11 dhlee GNB 클릭 된 위치 저장
					var tabPos = 0;
					
					if(pageId == PAGE.main){
						tabId = pageId;
						isGnbMainPageId = true;
					}else{
						tabId = PAGE.subCategoryPage[pageId];
						isGnbMainPageId = false;
					}
					
					if(!HUB_INIT.tabSwiper){
						HUB_INIT.tabSwiper = new iScroll($('.category_wrapper')[0], {
							vScroll:false,
							hScrollbar: false
						});
					}else{
						HUB_INIT.tabSwiper.refresh();
					}
					
					tabPos = gnbList.indexOf(tabId);
					mainCtrl.categoryEvent(tabPos);
				}
				
				//메인 페이지는 유일하게
				if( isGnbMainPageId || pageId == PAGE_CONFIG.mslotNickNameInfo["HOME"] )
					return true;
				else
					return false;
			},
			
			categoryEvent : function(opts){
				var $categoryWapper = $('.category_wrapper');
			    var $categoryWrap = $categoryWapper.find('.category_wrap');
			    var $cat = $categoryWrap.find('.cat');
			    var wrapperWidth = $categoryWrap.width();
			    var categoryWidth = $('.category_wrapper').innerWidth();
			    var leftEnd = 0;
			    var rightEnd = (wrapperWidth - categoryWidth) * -1;
			    var itemData = [];

			    $cat.each(function(i, v) {
			        var offset = v.offsetLeft;
			        var width = v.clientWidth;
			        var centerPosition = (categoryWidth/2) - (width/2) - offset;
			        var scrollPosition = Math.max(rightEnd, Math.min(leftEnd, centerPosition));

			        itemData.push({
			            offest: v.offsetLeft,
			            width: v.clientWidth,
			            scrollPos: scrollPosition
			        });
			    });
			    
			    if(itemData.length == 0 || opts == -1){
			    	return false;
			    }
			    
		    	HUB_INIT.tabSwiper.scrollTo(itemData[opts].scrollPos , 0, 200);

		        if (mainCtrl.currentCatIdx === opts) {
		            return;
		        }
		    	
		    	if (typeof mainCtrl.currentCatIdx !== 'undefined') {
		            $cat
		                .eq(mainCtrl.currentCatIdx)
		                .removeClass('current')
		                .find('a')
		                .attr('aria-selected', 'false');
		        }

		        $cat
		            .eq(opts)
		            .addClass('current')
		            .find('a')
		            .attr('aria-selected', 'true');
		        
		        mainCtrl.currentCatIdx = opts;
			},

			// GNB 헤더 영역의 타이틀 변경
			setHeaderTitle : function(isMain, title, path) {
				var id = mainCtrl.getCurrentPageId();
				var params =  mainCtrl.getCurrentPageParams();
				//헤더 초기화
				this.setPageHeaderClass(id);
				// inQkang 배송지선택 개편 "M_U1171501M" 타이블 분기 처리 
				if (id != null && id.indexOf("M_U1171501M") > -1) { 
					if (params != null && params.type != null && "shippingAddress" == params.type) { 
						title = "배송주소록 관리";
					} else { 
						title = "회원정보관리";
					}
				}
				// 검색UI변경
				if (id != null && id.indexOf("M_S1110000M") > -1){
					$("#skipAside").hide();
					$("#searchHeader").show();
				} else{
					$("#searchHeader").hide();
					if($(".search_inner > #searchBtnReset").is(":visible")){
						$(".search_inner > #txtSearch").val("");
					}
				}
				
				if ( isMain || id == PAGE.main){
					$("#btnPreview").hide();
					$("#btnBack").hide();
					$("#skipAside").show().removeClass("cate left").addClass("cate");
					this.setHeaderTitleEvent("M", title,id);
					
				} else if(id == "M_G2210000M" || id == "M_G2230000M" || id ==  "M_G5710001M" || id == "storeComm671054" ||
						id == "storeComm670554" || id == "storeComm671055" || id == "M_G2220000M" || id == "M_G1100030M" || 
						id == "M_G1100020M" || (gnbList.indexOf(id) > -1) || id === "M_G2222120M"|| id === "M_G2232120M"	){
					this.setHeaderTitleEvent("M", title,id);
					$("#btnPreview").hide();
					$("#skipAside").show().removeClass("cate left").addClass("cate");
				}else if (id === "M_S1110000M"){
					$("#btnPreview").show();
					this.setHeaderTitleEvent("N", title,id);
				}else {
					this.setHeaderTitleEvent("S", title,id);
					$("#btnPreview").show();
					$("#btnBack").show();
					if (id == "M_G2600000M" || id == "M_G1100031M"  //하단 back버튼 삽입 hawoong12 
					|| id == "M_G1100900M" || id == "M_G1100900M" || id == "M_G1100102M" || id == "M_G1100101M" || id == "M_G6100001M"){ //kimjh vod
						if(mainCtrl.VIEW_TYPE == "iosweb" || mainCtrl.VIEW_TYPE == "ios"){
							$("#btnBack").show();
						}
						
						if($("#wrap").hasClass("tv_table_contents")){
							$("#wrap").removeClass("tv_table_contents");
						}
					}
					$("#skipAside").hide();
					//$("#skipAside").show().removeClass("cate").addClass("cate left");
				}
				
			},
			
			//홈 로고 / 페이지 타이틀 노출 세팅
			setHeaderTitleEvent : function(strGubun,titleText,id){
				if(strGubun === "M" || strGubun === "S"){//메인 서브
					$("#LogoTitle").show();
				}else if(strGubun === "N"){ //섬색결과 등 로고 타이틀 보일필요 없는 페이지
					$("#LogoTitle").hide();
				}
				
				//타이틀 영역 초기화
				$("#txtSubHeaderTitle").removeClass("logo title ui-link");
				$("#txtSubHeaderTitle").attr("aria-label" , "");
				$("#txtSubHeaderTitle > span").text("");
				
				//타이틀 설정
				if(strGubun === "M"){
					$("#txtSubHeaderTitle").addClass("logo").attr("aria-label" , "NSMall");
					$("#txtSubHeaderTitle > span").text("NSMall");
				}else if(strGubun === "S"){
					$("#txtSubHeaderTitle").addClass("title").attr("aria-label" , titleText);
					$("#txtSubHeaderTitle > span").text(titleText);
				}
				
				// 타이틀 클릭시 이벤트 처리
				$("#txtSubHeaderTitle").unbind().bind('click',function(){
					var params =  mainCtrl.getCurrentPageParams();
					
					
					var invoke = {};
					invoke.category = "add_viewhome";
					invoke.action = "add_viewhome";
					Ns.Native.sendAdbrix( invoke );

					var invoke2 = {};
                    invoke2.category = "firstTimeExperience";
                    invoke2.action = "view_home";
                    Ns.Native.sendAdbrix( invoke2 );

                    var invoke3 = {};
                    invoke3.category = "Retention";
                    invoke3.action = "view_home";
                    Ns.Native.sendAdbrix( invoke3 );
					
					setTimeout(function(){
						targeting.sendLogging(invoke);
					}, 1000);
					// 예외처리
					if (id === PAGE.main || PAGE.subCategoryPage[id]){	// 해피딜 화면이 홈화면이 전화됨에 따른
						mainCtrl.navigate( PAGE.main, null );
						return;
					} else if (id.indexOf("storeComm") > -1){	// 편집매장
						mainCtrl.navigate(id, {"catalogIdparent" : Ns.Util.replaceAll(id, "storeComm", "")});
						return;
					} else if( PAGE_CONFIG[id] && PAGE_CONFIG[id].layoutUse === "Y"){
						params = null;
					}
					mainCtrl.navigate(id, params);
				});
			},
			
			setTabBasicUtilChangeCss : function(pageId){
				var $tabBasicUtilArea = $("#tabBasicUtil");
				$tabBasicUtilArea.find("li").removeClass("current");
				
				if ( pageId == PAGE.main){
					$tabBasicUtilArea.find(".home_link").addClass("current");
				}else if(pageId === "M_U1111000M" || pageId === "M_U1111001M" ){
					$tabBasicUtilArea.find(".mypage").addClass("current");
				}
			},

			getNowScroll : function() {
				var de = document.documentElement;
				var b = document.body;
				var cy = document.all ? (!de.scrollTop ? b.scrollTop
						: de.scrollTop)
						: (window.pageYOffset ? window.pageYOffset
								: window.scrollY);
				return cy;
			},
			
			/**
			 * 앱인지 판단한다. 앱이 아닐경우 웹으로 판단한다.
			 * true : App, false : Web
			 */
			isOsApp : function() {
				if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android"){
					return true;
				}
				
				return false;
			},
			
			/**
			 * eval로 function을 실행한다.
			 * @param strFn - String - 실행될 펑션명 문자열 
			 * 							예)"mainCtrl.callEvalFn"
			 * @param objOptions - Object - 펑션을 실행할때 전달할 변수들 
			 * 								null,undefined,빈스트링일경우 변수 없이 펑션 호출
			 * 								변수로 적용할 값들을 Object에 key를 선언해서 적재
			 * 								예) var objOptions = new Object();
			 * 									objOptions.param1 = "가나다";
			 * 									objOptions.param2 = 1234;
			 * 									objOptions.param3 = objData;
			 * @author 20160526 정헌태 - 최초 생성
			 */
			callEvalFn : function(strFn, objOptions){
				// strFn 값이 없으면 중단
				if(Ns.Util.isNull(strFn)){
					alert("mainCtrl.callEvalFn Error > strFn : " + strFn);
					return;
				}
				
				// objOptions의 값이 없으면 펑션만 실행
				if(Ns.Util.isNull(objOptions)){
					eval(strFn + "()");	// 펑션 호출
					return;
				}
				
				var strParams = ""	// eval에 적용할 변수 문자열
				var strDil = "";	// 구분자
				
				// 해당 Object의 key값을 추출하여 eval에 적용할 변수 문자열 생성
				for (var key in objOptions){
					strParams += strDil +"objOptions." + key;
					strDil = ", ";
				}
				
				eval(strFn + "(" + strParams + ")");	// 펑션 호출
			},
			
			/**
			 * 2016-08-12 정승진 : PMS 푸시(마케팅) 로그인
			 * 
			 * @param custNum : 고객번호
			 * */
			setPushLogin : function(custNum) {
				if (!mainCtrl.isOsApp())
					return false;
				var succCb = function(data) {
					if (typeof (data) == 'string')
						data = Ns.Util.serializeToObject(data);
					// 에러 발생시 다시 한번 조회여부를 물어본다.
					if (data.code != '000') {
						Ns.Popup.confirm("푸시 서버와의 연결에 실패하였습니다. 재시도 하시겠습니까?", function() {
							navi.setMovePointer(-1);
							// success
							Ns.Native.pushLogin(succCb, failCb, custNum);
						}, null, "재시도", "취소");
						return false;
					}
					// 푸시(마케팅) 수신동의 값을 저장 (data.mktFlag => 최초 로그인:P, 수신동의:Y, 수신거부:N)
					Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_YN, data.mktFlag);
					// AIQUA
					mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, data.mktFlag);

					// 최초 로그인 사용자일 경우
					if (data.mktFlag == 'P') {
						// 푸시 수신동의 팝업을 띄운다.
						var params ={};
						Ns.Popup.showLayer('M_G1131000M', params);
					}
				};
				var failCb = function(data) {
					Ns.Popup.confirm("푸시 서버와의 연결에 실패하였습니다.</br>재시도 하시겠습니까?", function() {
						navi.setMovePointer(-1);
						// success
						Ns.Native.pushLogin(succCb, failCb, custNum);
					}, null, "재시도", "취소");
				};
				// PMS 푸시 로그인 API 호출
				Ns.Native.pushLogin(succCb, failCb, custNum);
			},
			
			/**
			 * 2016-08-12 정승진 : 백키를 눌렀을때 푸시(마케팅) 수신동의
			 * 
			 * @param flag : 수신동의여부
			 * */
			setPushMsgConfig : function(flag) {
				var succCb = function(data) {
					if (typeof (data) == 'string')
						data = Ns.Util.serializeToObject(data);
					// 에러 발생시 다시 한번 조회여부를 물어본다.
					if (data.code != '000') {
						CurrentPopup.event.setPushConfigFail();
						Ns.Popup.confirm("푸시 서버와의 연결에 실패하였습니다.</br>재시도 하시겠습니까?", function() {
							navi.setMovePointer(-1);
							var flag = "N";
							mainCtrl.setPushMsgConfig(flag);
						}, null, "재시도", "취소");
						return false;
					}
					// 수신동의 팝업 노출여부 값을 변경
					Ns.LocalStorage.set(STORAGE_KEY.PUSH_POPUP_YN, 'Y');
					// 현재 팝업을 닫는다.
					navi.setMovePointer(-1);
					Ns.Popup.close($("#M_G1131000M"));
					// 로그인 여부 확인
					var isLogon = mainCtrl.checkLogonStatus();
					// 현재날짜 문구 설정
					var dateStr = " - NS홈쇼핑 (" + Ns.Date.getNowDate(".") + ")";
					// 설정값을 저장
					(isLogon) ? Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_YN, 'N') : Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN, 'N');
					// AIQUA
					mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, flag, Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
					
					Ns.Popup.alert("고객님의 광고성 정보 푸시 수신여부가</br>[동의안함]처리 되었습니다." + dateStr);
				};
				var failCb = function(data) {
					Ns.Popup.confirm("푸시 서버와의 연결에 실패하였습니다.</br>재시도 하시겠습니까?", function() {
						navi.setMovePointer(-1);
						var flag = "N";
						mainCtrl.setPushMsgConfig(flag);
					}, null, "재시도", "취소");
				};
				// PMS 푸시 수신동의 설정 API 호출
				Ns.Native.setPushMsgConfig(succCb, failCb, flag);
				
				
			},
			
			/**
			 * getPushMktFlag : PMS 푸시(마케팅) 수신동의 여부를 받아와서 로컬스토리지에 저장
			 * */
			getPushMktFlag : function() {
				var version = WL.Client.getAppProperty("APP_VERSION").replace(/\./gi,"");
				if ((mainCtrl.VIEW_TYPE == "ios" && parseInt(version) >= 2919) || (mainCtrl.VIEW_TYPE == "android" && parseInt(version) >= 2920)) {
					// 성공 시 콜백함수
					var succCb = function(data) {
						// 로그인 여부 확인
						var isLogon = mainCtrl.checkLogonStatus();
						if (data == 'Y') {
							(isLogon) ? Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_YN, 'Y') : Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN, 'Y');
						} else {
							(isLogon) ? Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_YN, 'N') : Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN, 'N');
						}
					};
					// 네이티브 함수 호출
					Ns.Native.getPushMktFlag(succCb);
				}
			},
			
			/*
			 *  GNB영역 하단 배너 1. 모바일 tv쇼핑 하단 
			 *  			 2. 마이 페이지 하단
			 *  			 3. 더보기 > 설정페이지 하단
			 * 
			 */
			UnderGNBBanner : function(data, StId){
				//var WrapperID = StId.WrapperID;
				var TopBannerID = StId.TopBannerID;
				if (data == undefined || data == ""){
					$(TopBannerID).hide();
					return;
				}
				
				JSON.parse(JSON.stringify(data));
				var strHtml = "";
				var objCutData = data;
				var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objCutData[0].mdUrl).split("?")[1]).catalogId;
				strHtml += Ns.Util.stringFormat('\
						<a href="javascript:Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');"><img src="http:{0}" alt="배너"></a>',
						objCutData[0].imgUrl, objCutData[0].clickTarget, objCutData[0].contentsId, objCutData[0].clickCode, objCutData[0].espotId, objCutData[0].mdUrl,  null, null, catalogId );
				
				var $ul_MAIN_TOPBANNERarea = $(TopBannerID);
				$ul_MAIN_TOPBANNERarea.html(strHtml); // 화면에 출력
							
				$(TopBannerID).show();
			},
			
			/*
			 * 상품상세 웹 앱으로 보기 버튼 
			 * 웹으로 접속할 경우 노출하도록 처리  hawoong 2017-02-13
			 */
			AttractAppDownLoadFromItemDetail : function(url){
				$("#linkToAppbtnClose").unbind().bind("click", function() {
					$("#linkToApp").hide();
				});
				
				$("#btnAppLink").unbind().bind("click", function() {
					var _APP_INSTALL_URL_IOS = "https://itunes.apple.com/kr/app/nshomsyoping/id405015280?mt=8";
					var _APP_EXEC_URL_IOS = "nsmall://sendurl?page="+url;
					var _APP_EXEC_URL_ANDROID = "intent://internal?#"+ url +"/#Intent;scheme=nsmobilehub;package=com.nsmobilehub;end;";
	
					if(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb"){
						var b = +new Date();
						setTimeout(function(){
							if (+new Date() - b < 2000) {
								if(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb"){
									WL.App.openURL(_APP_INSTALL_URL_IOS);
								}
							}
						}, 1500);

						WL.App.openURL(_APP_EXEC_URL_IOS);
					}else if(mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){
						WL.App.openURL(_APP_EXEC_URL_ANDROID);
					}
				});
			},
			

			/**
			 * 2016-12-09 정승진 : 인트로 이미지 노출여부 변경 (현재 안드로이드만 구현)
			 * 
			 * @param type : 타입
			 * @param show : 노출여부
			 * */
			setSplash : function(type, show) {
				// 모바일(안드로이드) 체크
				if (mainCtrl.VIEW_TYPE != "android")
					return;
				// 모바일(안드로이드) 버전이 2.9.3 이상일 경우
				var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
				// dhlee splash 이미지 수정
				if (version >= 293 && version <= 298 ) {
					if (type == "splashHide") {
						setTimeout(function() {
							Ns.Native.splash(null, null, type);
						}, 2000);
					} else if (type == "splashState") {						
						var show2 = show2 !== undefined || show2 != null ? show2 : true;
						Ns.Native.splash(null, null, type, [{state:show2}]);
					}
				} else if (version >= 299){
					// dhlee 2017.04.18 2초 delay timer 제거 
					if (type == "splashHide") {
						Ns.Native.splash(null, null, type);
					} else if (type == "splashState") {
						var show3 = show3 !== undefined || show3 != null ? show3 : true;
						Ns.Native.splash(null, null, type, [{state:show3}]);
					}
				}
			},
			
			showLoadingImg : function(){
				loadingSpinner.start();
			},
			
			hideLoadingImg : function(){
				loadingSpinner.stop();
			},
			//20170502 hawoong ios 결제오류 
			iOSVersionCheck : function () {
				if (/iP(hone|od|ad)/.test(navigator.platform)) {
					// supports iOS 2.0 and later: <http://bit.ly/TJjs1V>
					var v = (navigator.appVersion).match(/OS (\d+)_(\d+)_?(\d+)?/);
					return parseInt(v[1], 10) +"."+ parseInt(v[2], 10) +"."+ parseInt(v[3] || 0, 10);
				}
			},
			
			/**
			 * 20180202 jihee : 제휴사 실적 정보 전달을 위한 js 로드
			 * */
			callTargetingScript : function(params) {
				if(typeof rblc == 'undefined'){
					var x = document.createElement('script');
					x.type = 'text/javascript';
					x.src="https://assets.recobell.io/rblc/js/rblc-apne1.min.js";
					x.onload = function(){
						window._rblconf = window._rblconf || {};
			 			_rblconf.forceTrackVisit = true;
					};
					document.getElementsByTagName('head')[0].appendChild(x);
				}				
				
				if(typeof dlight == 'undefined'){
					var dlight = dlight|| {};
					var d = document, scr = d.createElement('script'), pro = d.location.protocol,
					tar = d.getElementsByTagName('head')[0];
					scr.type = 'text/javascript';  
					scr.async = true;
					scr.src = ((pro === 'https:') ? 'https' : 'http') + "://track.d-light.kr/dlight.min.js";
					scr.charset='utf-8';
					if(!dlight.l){
						dlight.l=true; 
						tar.insertBefore(scr, tar.firstChild);
					}
				}
				
				var s = document.createElement('script');
				s.type = 'text/javascript';
				s.src="js/common/targeting.js";
				s.onload = function(){
					if(params){
						var invoke = {};
						invoke.category = "add_viewhome";
						invoke.action = "add_viewhome";
						Ns.Native.sendAdbrix( invoke );

						var invoke2 = {};
                        invoke2.category = "firstTimeExperience";
                        invoke2.action = "view_home";
                        Ns.Native.sendAdbrix( invoke2 );

                        var invoke3 = {};
                        invoke3.category = "Retention";
                        invoke3.action = "view_home";
                        Ns.Native.sendAdbrix( invoke3 );
						
						setTimeout(function(){
							targeting.sendLogging(invoke);
						}, 1000);
					}else{
						if(mainCtrl.VIEW_TYPE == "android") {
							HUB_INIT.initIgawCommon();
						}
						
					}
					//AIQUA
					aiquaLogger.getScript();
				}
				
				!function(f,b,e,v,n,t,s)
				{
					if(f.fbq)
						return;
					n=f.fbq=function(){n.callMethod?
							n.callMethod.apply(n,arguments):n.queue.push(arguments)};
					if(!f._fbq)
						f._fbq=n;
					n.push=n;
					n.loaded=!0;
					n.version='2.0';
					n.queue=[];
					t=b.createElement(e);
					t.async=!0;
					t.src=v;
					s=b.getElementsByTagName(e)[0];
					s.parentNode.insertBefore(t,s)
				}(window, document,'script', 'https://connect.facebook.net/en_US/fbevents.js');
				fbq('init', '1164815017046073');
				fbq('track', 'PageView');
				document.getElementsByTagName('head')[0].appendChild(s);
			
			},
			
			/**
			 * 20180202 jihee : 제휴사 실적 정보 전달
			 * */
			callAdbrixLogin : function(memberInfo) {
			 
				if(memberInfo) {
					var invoke = {};
					invoke.category = "add_login";
					invoke.action = $.encodeBase64(memberInfo.logonId);
					invoke.memberInfo = memberInfo;
					
					var autoLoginCheck = Ns.LocalStorage.get(STORAGE_KEY.AUTO_LOGIN_INFO);
					if(autoLoginCheck){
						invoke.autoLoginCheck = true;
					}else{
						invoke.autoLoginCheck = false;
					}					
					
					if(typeof targeting == 'undefined'){
						mainCtrl.callTargetingScript(invoke);
					}else{
						setTimeout(function(){
							targeting.sendLogging(invoke);
						}, 5500);
					}

				}
			},
			
			/**
			 * 20190509 khkim82 : 제휴사 실적 정보 전달 - 전체페이지에서 동작
			 * */
			callLoggingInit : function(params) {
			 	var invoke = {};
				invoke.initFlag = true;
				invoke.params = params;
				if(typeof targeting == 'undefined'){
					mainCtrl.callTargetingScript(invoke);
				}else{
					setTimeout(function(){
						targeting.sendLogging(invoke);
					}, 5500);
				}

				 
			},
						
			//20170725 hawoong 외부제휴 스크립트 호출 및 추적스크립트 호출 function
			externalCallScript : function(){
				setTimeout(function(){
					if(!mainCtrl.isOsApp()) { //APP이 아닐때만 스크립트 호출
						if(typeof grecaptcha == 'undefined'){
							$.getScript("https://www.google.com/recaptcha/api.js?render=explicit");
						}
					}
					
					if(typeof wcs == 'undefined'){
						$.getScript( 'https://wcs.naver.net/wcslog.js' );
					}

					/*(function(s){s = document.createElement('script'); s.type = 'text/javascript';
					s.src="js/common/Googleanalytics.js";
					document.getElementsByTagName('head')[0].appendChild(s);
					})();*/


					/*//hawoong : GA360도입
					var paramObj = new Object();
					paramObj.PageDepth1 = "메인";
					paramObj.PageDepth3 = "";
					paramObj.PageDepth4 = "";
					
					GA.inIt(paramObj);*/
					
					//jihee : 제휴사 adbrix 실적 정보 전달을 위한 js 로드
					if(typeof targeting == 'undefined') {
						mainCtrl.callTargetingScript();
					}
					
				}, 5500);
			},
			
			setLazyLoading : function(){
				// 0. viewport check function
				function isInViewport(el){
					var rect = el.getBoundingClientRect();
					var threshold = 500;
				
					return (
					    rect.bottom >= 0 && 
					    rect.top <= (( window.innerHeight || document.documentElement.clientHeight) + threshold)
					 );
				}

				// 1. lazyLoad function
				function lazyLoad(){
					var lazy = document.getElementsByClassName('lazy');

				    for(var i=0; i<lazy.length; i++) {
				        if(isInViewport(lazy[i])){
				           lazy[i].src = lazy[i].getAttribute('data-original');
				           lazy[i].classList.remove( 'lazy' );
				        }
				    }
				 }

				// 2. registerListener Create function
				function registerListener(event, func) {
					if (window.addEventListener) {
				        window.addEventListener(event, func)
				    } else {
				        window.attachEvent('on' + event, func)
				    }
				}

				// 3. init 
				lazyLoad();
				registerListener('scroll', lazyLoad);
			},
			
			/**
			 * 카카오톡 '웹'으로 공유하기 함수
			 * */
			kakaoLinkWeb : function( url, title, imageUrl, width, height ){
				var webLinkTitle = "웹에서 확인";
				Kakao.Link.sendTalkLink({
						label : title,
						webLink : {
							text : webLinkTitle,
							url : url
						},
						image : {
							src : imageUrl,
							width : width,
							height : height
						},
						appButton : {
							text : '앱으로 이동'
						},
						fail : function(response) {
							Ns.Util.viewConsoleLog("kakaoTalk error >>>", response);
						}
				});
			},
			
			/**
			 * beshow 스크립트 실행 함수
			 * */
			excuteBeshowScript : function( nParam , data){
				if(nParam == 1){ // 상품상세페이지					
					/*_strack 변수가 있으면 */
					if("_strack" in data){
						Ns.Util.viewConsoleLog('beshow 스크립트 실행');
						$.getScript("https://be.show/plugins/strack/strack.min.js")
						.done(function(script,textStatus){
							strack.execute('setDomain', location.host);
							strack.trackView();
						})
						.fail(function(jqxhr,settings,exception){
							Ns.Util.viewConsoleLog("StrackNotInclude.");
						});
					}
				} else if(Const.getCocd() == '778' && typeof(strack) != "undefined") {						
					if(nParam == 2){ // 주문완료페이지 - 상품정보		
						var productOption = "";
						if (data.STYLE_MNG_YN == 'Y' && data.ATTRIBUTES != null && data.ATTRIBUTES.length > 0) {
							for (var i = 0; i < data.ATTRIBUTES.length; i++) {
								productOption += (data.ATTRIBUTES[i].VALUE || data.ATTRIBUTES[i].NAME);
							}
						}
						Ns.Util.viewConsoleLog('beshow 상품정보 전송');
						strack.execute('setOrderItemNumber', data.GOODSPARTNUMBER); // partNumber
						strack.execute('setOrderItemLink', "http://"+ Const.MOBILE_NSMALL_PATH +"/ProductDisplay?partNumber=" + data.GOODSPARTNUMBER); // 주문한 상품의 상세페이지 링크
						strack.execute('setOrderItemImage', data.IMG); // 주문한 상품의 이미지
						strack.execute('setOrderItemName', data.PRODUCT_NAME + " / " + productOption); // 주문한 상품명
						strack.execute('setOrderItemPrice', data.DCPRICE); // 주문한 상품 개개의 가격 
						strack.execute('setOrderItemQuantity', data.QUANTITY); // 주문 상품의 수량					           
					} else if(nParam == 3) { // 주문완료페이지 - 주문자정보
						Ns.Util.viewConsoleLog('beshow 주문정보 전송');
						strack.execute('setStore', 'nsmall'); 
			            strack.execute('setDomain', location.host); 
			            strack.execute('setDevice', '2'); // PC는 1번, 모바일은 2번으로 지정
			            strack.execute('setUserId', ''); // User ID는 공란으로 하셔도 상관 없습니다.
			            strack.execute('setOrderId', CurrentView.m_inputParams.ordersId); // Order ID (주문번호)
			            strack.execute('setOrderPrice', CurrentView.m_inputParams.orderPrice.TOTAL_PRODUCT_AMT); // Order Price (상품 주문 가격의 총 합계)
			            strack.execute('setOrderPhoneNumber', ''); // Order Phone Number 공란으로 하셔도 상관 없습니다.
			            strack.trackOrder();
					}
				}
			},
			
			/**
			 * playToggle : 각 페이지에 적용되어있는 playToggle 함수를 실행
			 * @param isPlay : 동영상이 현재 재생중인지 여부
			 */
			playToggle : function(isPlay) {
				if (CurrentView.event.playToggle) {
					CurrentView.event.playToggle(isPlay);
				} else if(pageLayoutEspot && pageLayoutComm.isPlayEspot){
					pageLayoutEspot[pageLayoutComm.isPlayEspot].event.playToggle(isPlay);
				}
			},

			/**
			 * clovaResult : 음성인식 결과에 따른 함수 실행
			 * @param stat : UI 표시 상태 (String)
			 * @param data : 음성 인식 결과 (String)
			 */
			
			clovaResult : function(stat, data){
				//var id = mainCtrl.getCurrentPageId();
				var searchView = $("div#search_container");
				if(searchView.length > 0){
					SEARCHVIEW.event.clovaResult(stat, data);
				} else {
					CurrentView.event.clovaResult(stat, data);
				}
			},
			
			/**
			 *  2018-05-30 ssong
			 *  그룹사 임직원 등록 여부 체크
			 *  콜백 함수로 데이터 전달
			 *  @param callback : 콜백함수
			 *  @return 임직원 인증 된 사용자 : 인증정보
			 *  		임직원 미인증 사용자  : false
			 *  
			 */
			chkStaff : function(callback){
				tran.callWCSJsonTran('GetStaffAuthInfo', { userId : USERINFO.userId() },	function(data){
						if(typeof callback === "function"){
							var retData = false;
							var staffBnft = false;
							if(data && Object.keys(data.staffInfo).length > 0 ){
								retData = data.staffInfo;
								mainCtrl.setUserInfo('staffInfo', 'Y');
							}
							if(data && Object.keys(data.staffBnft).length > 0 ){
								staffBnft = data.staffBnft;
								mainCtrl.setUserInfo('staffBnft', staffBnft.empYn);
							}
							callback(retData , staffBnft);
						}
					}
				);
			},
			
			/**
			 * 2018-05-31 ssong
			 * 그룹사 임직원 전용 상품 접근 가능여부 체크
			 * @param prdList  : 체크 할 상품 리스트
			 * 					 객체 배열 구조로 받음 - [ {key:vlaue ....} , { key:vlaue ....} , { key:vlaue ....} ] 
			 * @param callback : 콜백함수
			 * @return 접근 불가 상품 존재시 : 해당 상품 리스트 
			 *  	   접근 불가 상품 미존재 : false
			 */
			chkStaffOnlyPrd : function(prdList , callback){
				if(!prdList && !callback && !(typeof callback === "function") ){
					return false;
				}
				
				var arrPrdList = [];
				$.each(prdList, function(i, v) {
					var prdInfo = {
						"orderItemsId" : v.orderItemsId,
						"catentryId" : v.catentryId
					};
					arrPrdList.push(prdInfo);
				});

				var params = {
					userId : USERINFO.userId(),
					productList : JSON.stringify(arrPrdList)
				};
				
				tran.callWCSJsonTran('SeparateStaffOnlyProducts', params, function(data) {
					var retData = false;
					var staffBnft = data.staffBnft;
					if(data && !data.authorizedStaff){
						if(data.staffOnlyProductList.length > 0){
							retData = data.staffOnlyProductList;
						}
					}
					callback(retData , staffBnft);
				});
			},
			
			/**
			 * GNB 메뉴바 노출처리
			 */
			showGNB : function() {
				/* GNB 미노출 페이지 */
				var pageId = mainCtrl.getCurrentPageId();
				//메인 페이지는 유일하게
				if( pageId == PAGE.main || PAGE.subCategoryPage[pageId] ){
					$("#subCategoryWrap").show();
				}else{
					$("#subCategoryWrap").hide();
				}
				
			},
			
			/**
			 * GNB 메뉴바 숨김처리
			 */
			hideGNB : function() {
				$("#subCategoryWrap").hide();
			},
			
			/**
			 *  2018-06-27 ssong
			 *  음성검색 사용 가능 app 버전 체크
			 */
			chkVoiceSearchVer : function(){
				var ret = false;
				var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
				
				if ( (mainCtrl.VIEW_TYPE == "android" && version >= 2923) || 
					 (mainCtrl.VIEW_TYPE == "ios"     && version >= 2922) ) {
						ret = true;
				}
				
				return ret;
			},
			
			
			/**
			 *  2018-07 ssong
			 *  찜리스트에 추가 / 삭제
			 *  @params target : 찜 아이콘 selector 
			 *  @params catentryId :상품번호  
			 */
			wishList : function(target, catentryId){
				if (!mainCtrl.checkLogonStatus()) {
					mainCtrl.gotoLogin();
					return;
				} 
				
				var $wishLayer = $("#wish_layer"); //찜 레이어
				var $target = $(target);		  // 해당 상품 찜 아이콘
				
				// 찜 여부에 따른 찜리스트
				// 추가
				var tranId = "RegisterWish"; 
				
				// 삭제
				if($target.data("wishFlag")){
					tranId = "RemoveWish";
				}
				
				tran.callWCSJsonTran(tranId, {"catentryId" : catentryId} , function(data) {
					if(data.msg.isSuccess){
						var wishFlag = false;
						var checked  = null;
						
						// 찜 등록 일 경우
						if(tranId == "RegisterWish"){
							$wishLayer.find(".jjim_inbox").addClass("on").find("p").text("찜 완료");
							wishFlag = true;
							checked = "checked";
							
						// 찜 삭제 일 경우
						} else if(tranId == "RemoveWish"){
							$wishLayer.find(".jjim_inbox").removeClass("on").find("p").text("찜 취소");
						}
						
						$target.data("wishFlag",wishFlag).prop('checked',checked);
						
						// 검색 > 상품상세 유입 후 찜 선택시..
						// 검색페이지 찜 상태 여부 변경
						if(navi.getPageId(-1) == "M_S1110000M"){
							$("#search_wish_"+ catentryId).data("wishFlag",wishFlag).prop('checked', checked);
						}
						
						$wishLayer.show();
						setTimeout(function(){
							$wishLayer.fadeOut();
						},400);
						
					} else {
						
						var msg = "일시적으로 오류가 발생했습니다. 잠시 후 다시 시도 하시기 바랍니다.";
						var cbFn;
						msg = data.msg.userMessage || msg; 
						$target.prop('checked',$target.is(':checked') ? null :'checked');

						//성인인증 요청
						if(data.msg.resultCode == "19001"){
							cbFn = function(){
								var currentPage = navi.getPageId();
								var currentParam = navi.getPageParam();
								var param = {
									callback : function(cbData) {
										mainCtrl.navigate(currentPage, cbData);
									},
									adultItemFlag :	"Y",
									openerPageId  : currentPage,
									callbackPrams : currentParam
								};
								Ns.Popup.showPopup('M_B1214000P', param);
							};
						}
						
						Ns.Popup.alert(msg,cbFn);
					}
					
				},null,null,{'progress' : false});
			},
			
			/**
			 * 2018-10 kimjh vod
			 * video 시간을 00:00 형식으로 바꿔주는 함수.
			 * */
			setDurationTimeForm : function(time){
				time = parseInt(time);
				var timer = "";
				if(time <= 60){
					timer = '00:' + mainCtrl.makeTwoDigits(time);
				}
				else if (time <= 3600){
					if(time/60 != 0){
				 		timer = mainCtrl.makeTwoDigits(time/60)+':'+mainCtrl.makeTwoDigits(time%60)
				 	}
				 	else{
				 		timer = mainCtrl.makeTwoDigits(time/60)+':00'
					}
				}
				else if (time < 0 || time > 3600){
				 	timer = "";
				}
				else{
					timer = "";
				}

				return timer;
			},
			
			/**
			 * 2018-10 kimjh vod
			 * 한자리나 두자리 숫자를 두자리로 바꿔주는 함수.
			 * */
			makeTwoDigits : function(paramTime){
				var time = parseInt(paramTime)+'';
				time = time.length == 1 ? '0'+time : time;
				return time;
			},
			
			/**
			 * 2018.11.08 kimjh 구글 스마트락
			 * 자격 증명 검색 성공시 로그인 과정 이어서 진행. (HUB_INIT.checkAutoLogin 참고)
			 * params : logonId, logonPassword, logonType, resAction, saveYn, autoYn, isAutoLoginCheck를 담은 객체
			 * */
			SL_RequeCredentialSuccess : function(params){
				params = JSON.parse(params);
				var target = params.resAction;
				//자동로그인 개선 hawoong
				if(Ns.Util.isNull(target) || target.pageId == PAGE.main) target = 'main';
				params.resAction = target;
				//console.log(">>>>> kimjh 자격증명 성공으로 들어옴.");
				mainCtrl.userLogin( params );
			},
			
			/**
			 * 2018.11.08 kimjh 구글 스마트락
			 * 자격 증명 검색 실패시 자동로그인 실패 과정을 따라함. (HUB_INIT.checkAutoLogin 참고)
			 * target : resAction
			 * */
			SL_RequeCredentialFail : function(params){
				params = JSON.parse(params);
				var target = params.resAction;
				//console.log(">>>>> kimjh 자격증명 실패로 들어옴.");
				mainCtrl.initializeNaviHistory();
				if ( Ns.Util.isNull(target) ){
					// empty for purpose
				} else {
					mainCtrl.navigate(target.pageId, target.invoke);
				}
			},
			
			/**
			 * 이벤트 페이지 진입 탭영역 노출
			 */
			setEventTab : function(currentPageId, currentOfferId) {
				
				// 탭 메뉴 HTML을 받아온 후 callback 함수
				var callbackFunc = function(data){
					
					// 화면에 출력
					$('#contents').prepend($(data));
					
					// 이벤트 탭 정보를 API에서 받아옴					
					tran.callWCSJsonTran( 'NSEspotCommon', {espotInfo : "MOB_EVENT_TAB_AREA1|Text$MOB_EVENT_TAB_AREA2|Text$MOB_EVENT_TAB_AREA3|Text"}, function(data){
						try {
							for (var i = 0; i < 3; i++) {
								var tabList = eval("data.msg.root._MOB_EVENT_TAB_AREA" + (i + 1));
								if ( !Ns.Util.isNull(tabList) ){
									// UI 셋팅 및 데이터저장
									var mdUrl 			= tabList[0].mdUrl;
									var clickTarget 	= tabList[0].clickTarget;
									var espotId 		= tabList[0].espotId;
									var clickCode 		= tabList[0].clickCode;
									var contentsId 		= tabList[0].contentsId;
									var catalogId 		= tabList[0].catalogId;		
									var espotTitleText	= Ns.Util.getCutBytes(Ns.Util.htmlDecode(tabList[0].espotTitleText), 15);
									var offerId			= Ns.Util.getBroadCastParam(mdUrl).offer_id;
									var pageId			= Ns.UI.getPageIdByEspotUrl(clickTarget, mdUrl);
									
									$("#ulEventTabArea #tab" + (i+2)).data('md-url', mdUrl);
									$("#ulEventTabArea #tab" + (i+2)).data('click-target', clickTarget);
									$("#ulEventTabArea #tab" + (i+2)).data('espot-id', espotId);
									$("#ulEventTabArea #tab" + (i+2)).data('click-code', clickCode);
									$("#ulEventTabArea #tab" + (i+2)).data('contents-id', contentsId);
									$("#ulEventTabArea #tab" + (i+2)).data('catalog-id', catalogId);
									$("#ulEventTabArea #tab" + (i+2)).data('offer-id', offerId);
									$("#ulEventTabArea #tab" + (i+2)).data('marketing-Text', espotTitleText);
									
									PAGE.eventTabPage[pageId] = i+2;
									
									eval('$("#ulEventTabArea #tab' + (i+2) + ' span").text("' + espotTitleText.replace("'","\\'").replace('"','\\"') + '");');
									eval('$("#ulEventTabArea #tab' + (i+2) + '").parent("li").show();');
									// 해당되는 탭에 active
									if(currentPageId == pageId){
										eval('$("#ulEventTabArea #tab' + (i+2) +'").parent("li").addClass("active");');
									}
									
								}
							}

							// 현재 페이지가 이벤트 탭에 해당되는 페이지이면
							if(PAGE.eventTabPage[currentPageId]){
								
								// 해당되는 탭에 active
								eval('$("#ulEventTabArea #tab' + PAGE.eventTabPage[currentPageId] +'").parent("li").addClass("active");');
								var thisOfferId = eval('$("#ulEventTabArea #tab' + PAGE.eventTabPage[currentPageId] +'").data("offer-id")');
								
								// 이벤트 기본 페이지면 탭영역 노출
								if(PAGE.eventTabPage[currentPageId] == 1 || 
										( (Object.keys(PAGE['eventTabPage']).length > 1) && (( thisOfferId != undefined && thisOfferId == currentOfferId ) ||  thisOfferId == undefined))){
									$("#ulEventTabArea").show();
									mainCtrl.setHeaderTitle(false, eval('$("#ulEventTabArea #tab' + PAGE.eventTabPage[currentPageId] +'").data("marketing-Text")'));
								}
								
								// 클릭이벤트 추가
								var onclick_ulEventTabArea = function() {
									
									$("#ulEventTabArea li").removeClass("active");
									$(this).parent("li").addClass("active");
									
									var clickTarget = $(this).data("click-target");
									var contentsId = $(this).data("contents-id");
									var clickCode = $(this).data("click-code");
									var espotId = $(this).data("espot-id");
									var mdUrl = $(this).data("md-url");
									var catalogId = $(this).data("catalogId");
									Ns.UI.espotClickEvent(clickTarget, contentsId, clickCode, espotId, mdUrl, null , null, catalogId);
								}
								
								var onclick_liEventAll = function() {
									mainCtrl.navigate( "M_G1100020M" );
								}
								
								$("#ulEventTabArea li a").unbind().bind( "click", onclick_ulEventTabArea );
								$("#tab1").unbind().bind( "click", onclick_liEventAll );
							}
							
						} catch(e) {
							
						}
					});
				}
				
				// 탭 메뉴 HTML을 받아옴
				$.get("./html/event/M_E1000000M.html", callbackFunc);
			},
			
			/**
			 * AIQUA 솔루션으로 사용자 이벤트 또는 사용자 프로필 전송
			 * - '', "", null, undefined가 아닌 파라미터만 전송(기존파라미터를 덮어 씌우지 않도록 하기 위함)
			 * 
			 * @param {number} aiquaUserId 고객 번호
			 * @param {string} aiquaName 고객 이름
			 * @param {string} aiquaEmail 고객 이메일 주소
			 * @param {number} aiquaPhoneNumber	고객 전화번호
			 * @param {string} aiquaBirthday 고객 생년월일 
			 * @param {string} aiquaGender 고객 성별
			 * @param {string} aiquaLoginStatus 고객 로그인 여부
			 * @param {string} aiquaDevicePushAgree 고객 디바이스 기준 푸시 수신동의 여부
			 * @param {string} aiquaNotificationModifiedDate 고객 푸시 수신동의 여부 변경일
			 * @param {string} aiquaIsEmployee 임직원 여부
			 * @param {string} aiquaLevel 고객 등급
			 * @param {string} aiquaInactiveUser 휴면 고객 여부
			 * @param {string} aiquaCoCd 고객 유입 경로
			 
			 */
			userProfileToAIQUA : function(aiquaUserId, aiquaName, aiquaEmail, aiquaPhoneNumber, aiquaBirthday, aiquaGender, aiquaLoginStatus, aiquaDevicePushAgree, aiquaNotificationModifiedDate, aiquaIsEmployee, aiquaLevel, aiquaInactiveUser, aiquaCoCd){
				
				var invoke = {};
				if(!Ns.Util.isNull(aiquaUserId)){
					invoke.user_id = aiquaUserId;
				}
				/**
				if(!Ns.Util.isNull(aiquaName)){
					invoke.name = aiquaName;
				}
				if(!Ns.Util.isNull(aiquaEmail)){
					invoke.email = aiquaEmail;
				}
				if(!Ns.Util.isNull(aiquaPhoneNumber)){
					invoke.phoneNo	= aiquaPhoneNumber;
				}
				*/
				if(!Ns.Util.isNull(aiquaBirthday)){
					invoke.birthday = aiquaBirthday;
				}
				if(!Ns.Util.isNull(aiquaGender)){
					invoke.gender = aiquaGender;
				}
				
				if (!Ns.Util.isNull(aiquaLoginStatus)) {
					// login_status 값을 Y/N에서 true/false로 변경
					// 앱버전(aos : 2.9.40 , ios :2.9.32 ) 이상인 경우에만 적용
					if (mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "ios") {
						var version1 = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));

						if (mainCtrl.VIEW_TYPE == "android" && version1 < 2940) {
							invoke.login_status = aiquaLoginStatus;
						} else if (mainCtrl.VIEW_TYPE == "ios" && version1 < 2932) {
							invoke.login_status = aiquaLoginStatus;
						} else {
							invoke.login_status = "Y" == aiquaLoginStatus ? true : false;
						}
					} else {
//						invoke.login_status = "Y" == aiquaLoginStatus ? true : false;
					}
				}			
				
				if (!Ns.Util.isNull(aiquaDevicePushAgree)) {
					// mkt_subscription -->qg_filter_subscription_push 변경 , Y/N 값을 true/false로 변경
					// 앱버전(aos : 2.9.40 , ios :2.9.32 ) 이상인 경우에만 적용
					if (mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "ios") {
						var version2 = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));

						if (mainCtrl.VIEW_TYPE == "android" && version2 < 2940) {
							invoke.mkt_subscription = aiquaDevicePushAgree;
						} else if (mainCtrl.VIEW_TYPE == "ios" && version2 < 2932) {
							invoke.mkt_subscription = aiquaDevicePushAgree;
						} else {
							invoke.qg_filter_subscription_push = "Y" == aiquaDevicePushAgree ? true : false;
						}
					} else {
//						invoke.qg_filter_subscription_push = "Y" == aiquaDevicePushAgree ? true : false;
					}
				}
								
				if(!Ns.Util.isNull(aiquaNotificationModifiedDate)){
					invoke.notification_modified_date = aiquaNotificationModifiedDate;
				}
				
				if(!Ns.Util.isNull(aiquaIsEmployee)){
					invoke.isEmployee = aiquaIsEmployee;
				}
				
				if(!Ns.Util.isNull(aiquaLevel)){
					invoke.level = aiquaLevel;
				}
				
				if(Ns.Util.isNull(aiquaInactiveUser) || aiquaInactiveUser == "Y"){
					invoke.isInactiveUser = aiquaInactiveUser;
					invoke.isInactiveUser = "N";
					
				} else {
					invoke.isInactiveUser = aiquaInactiveUser;
				}
				
				if(!Ns.Util.isNull(aiquaCoCd)){
					invoke.co_cd = aiquaCoCd;
				}

				// 고객 접속 매체
				invoke.media	= mainCtrl.VIEW_TYPE;
				
				// 개발/운영 데이터 구분(true : 개발/ false : 운영)
				invoke.dev_mode	= Const.IS_DEV_MODE;
				
				if(mainCtrl.isOsApp()){
					Ns.Native.sendToAIQUA(invoke);
				} else {
					if(typeof qg != 'undefined'){
						qg("identify", invoke);
					}
				}
			},
			
			
			/**
			 * AIQUA 솔루션으로 사용자 이벤트 및 이벤트 파라미터 전송
			 * - '', "", null, undefined가 아닌 이벤트만 전송(필수 데이터인 이벤트가 없을 경우 return)
			 * 
			 * @param {string} aiquaEvent 이벤트 명
			 * @param {object} aiquaUserId 이벤트 파라미터
			 */
			userEventToAIQUA : function(aiquaEvent, aiquaEventParameters){
				
				// 상품정보 이벤트 목록 정의
				var productEvent = [
						"product_viewed",
						"product_added_to_wishlist",
						"product_added_to_cart",
						"product_removed_from_cart",
						"product_purchased"
						];
				
				// 결제 이벤트 목록 정의
				var checkoutEvent = [
						"checkout_completed"
						];
				
				// PC Web 상품상세 URL 생성 함수
				var makeWebProdUrl = function(product_id){
					return "http://" + Const.WCS_NSMALL_PATH + "/ProductDisplay?partNumber=" + product_id;
				};
				
				// 모바일 상품상세 URL 생성 함수
				var makeMobileProdUrl = function(product_id){
					// OS별 딥링크 추가(Web일 경우 null로 전송)
					var mobile_product_url;
					if(mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "ios"){
						mobile_product_url = "nsmall://sendurl?page=ProductDisplay?partNumber=" + product_id;
					} else {
						mobile_product_url = "http://" + Const.MOBILE_NSMALL_PATH + "/ProductDisplay?partNumber=" + product_id;
					}
					return mobile_product_url;
				};
				
				// AIQUA로 전송할 파라미터
				var invoke = {};
				
				// 이벤트 명 셋팅
				if(!Ns.Util.isNull(aiquaEvent)){
					invoke.aiquaEvent = aiquaEvent;
				} else {
					return;
				}
				
				// 이벤트 공통 파라미터 셋팅
				aiquaEventParameters = aiquaEventParameters || {};
				aiquaEventParameters.dev_mode = Const.IS_DEV_MODE;
				aiquaEventParameters.date = Ns.Date.calcDate('', 0, 0, 0, 0, 'yyyy-MM-dd');
				
				// 이벤트 파라미터 셋팅 및 전송 함수 호출
				if(!Ns.Util.isNull(aiquaEventParameters)){
					// 파라미터가 복수개일 경우
					if(aiquaEventParameters instanceof Array){
						for(var i = 0; i < aiquaEventParameters.length; i++){
							invoke.aiquaEventParameters = aiquaEventParameters[i];
							
							// 상품 정보 이벤트일 경우 공통 파라미터(web_product_url, mobile_product_url) 추가
							if($.inArray(invoke.aiquaEvent, productEvent) > -1){
								invoke.aiquaEventParameters.web_product_url = makeWebProdUrl(invoke.aiquaEventParameters.product_id);
								invoke.aiquaEventParameters.mobile_product_url = makeMobileProdUrl(invoke.aiquaEventParameters.product_id);
							}
							
							// 이벤트 여러번 전송
							if(mainCtrl.isOsApp()){
								Ns.Native.sendToAIQUA(invoke);
							} else {
								if(typeof qg != 'undefined'){
									qg("event", invoke.aiquaEvent, invoke.aiquaEventParameters);
								}
							}
						}
						return;
						
					// 파라미터가 한개일 경우
					} else {
						invoke.aiquaEventParameters = aiquaEventParameters;
						
						// 상품 정보 이벤트일 경우 공통 파라미터(web_product_url, mobile_product_url) 추가
						if($.inArray(invoke.aiquaEvent, productEvent) > -1){
							invoke.aiquaEventParameters.web_product_url = makeWebProdUrl(invoke.aiquaEventParameters.product_id);
							invoke.aiquaEventParameters.mobile_product_url = makeMobileProdUrl(invoke.aiquaEventParameters.product_id);
						// 결제 이벤트일 경우 공통 파라미터(aiquaValueToSum) 추가
						} else if($.inArray(invoke.aiquaEvent, checkoutEvent) > -1) {
							invoke.aiquaValueToSum = invoke.aiquaEventParameters.order_amount;
						}
						
						// 이벤트 한번 전송
						if(mainCtrl.isOsApp()){
							Ns.Native.sendToAIQUA(invoke);
						} else {
							if(typeof qg != 'undefined'){
								qg("event", invoke.aiquaEvent, invoke.aiquaEventParameters, invoke.aiquaValueToSum);
							}
						}
						return;
						
					}
				
				// 파라미터가 없을 경우
				} else {
					if(mainCtrl.isOsApp()){
						Ns.Native.sendToAIQUA(invoke);
					} else {
						if(typeof qg != 'undefined'){
							qg("event", invoke.aiquaEvent, invoke.aiquaEventParameters);
						}
					}
					return;
				}
				
			},
			
			/**
			 * 고객 디바이스 기준 푸시 수신동의 여부
			 */
			checkDevicePushAgree : function(){
				var pushAgree = Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN);
				if (pushAgree == null || pushAgree == '') {
					pushAgree = 'N'; // 동의여부가 없는 고객(default)는 N.
				}
				return pushAgree;
			}
			
		// the end...
		});

var mainCtrl = new MainCtrl();
   
/**
 * Custom Library, jQuery Plugin
 */
(function($) {
	/**
	 * form 데이터를 json Object로 변환
	 */
	$.fn.serializeObject = function() {
		var self = this, json = {}, push_counters = {}, patterns = {
			"validate" : /^[a-zA-Z][a-zA-Z0-9_]*(?:\[(?:\d*|[a-zA-Z0-9_]+)\])*$/,
			"key" : /[a-zA-Z0-9_]+|(?=\[\])/g,
			"push" : /^$/,
			"fixed" : /^\d+$/,
			"named" : /^[a-zA-Z0-9_]+$/
		};
		this.build = function(base, key, value) {
			base[key] = value;
			return base;
		};
		this.push_counter = function(key) {
			if (push_counters[key] === undefined) {
				push_counters[key] = 0;
			}
			return push_counters[key]++;
		};
		$.each(
			$(this).serializeArray(),
			function() {
				if (!patterns.validate.test(this.name)) { // skip invalid keys
					return;
				}
				var k, keys = this.name.match(patterns.key), merge = this.value, reverse_key = this.name;
				while ((k = keys.pop()) !== undefined) {
					// adjust reverse_key
					if(!Ns.Util.isNull(reverse_key)){
						reverse_key = reverse_key.replace(new RegExp(
								"\\[" + k + "\\]$"), '');
						if (k.match(patterns.push)) { // push
							merge = self.build([], self
									.push_counter(reverse_key), merge);
						} else if (k.match(patterns.fixed)) { // fixed
							merge = self.build([], k, merge);
						} else if (k.match(patterns.named)) { // named
							merge = self.build({}, k, merge);
						}
					}
				}
				json = $.extend(true, json, merge);
			});
		return json;
	};
})(jQuery);
