
/* JavaScript content from js/common/template.js in folder common */
/**
 *	페이지 ID : template
 *	@file 템플릿 페이지
 */

/** 
 * page 컨트롤 클래스 
 * @namespace
 */
CurrentView = {
		
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		/** html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		이벤트 binding 등... */
		initializeComponent : function( params ){
			
		},
		
		/** html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다. */
		onLoad : function(){
			
		},
		
		/** 
		 * 데이터 관련 함수를 정의한다.
		 * @namespace
		 */
		data : {
			
		},
		//end data function...
		
		/** 
		 * ui 관련 함수를 정의한다.
		 * @namespace
		 */
		ui : {
			
		},
		//end ui function...
		
		/** 
		 * 이벤트 관련 함수를 정의한다.
		 * @namespace 
		 */
		event : {
			
		}
		//end event function
};