
/* JavaScript content from js/etv/M_G2210001M.js in folder common */

/* 
 *	모바일 적립금 신청
 *  ID : M_G2210001M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
	partNumber : null,
	
	init : function( params ) {
		this.initializeComponent( params );
		this.onLoad(params);
	},
	
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	//이벤트 binding 등...
	initializeComponent : function( params ) {
		this.partNumber = params.partNumber;
		
		$("#btnProposeReservedAmt").unbind().bind( "click", this.event.onclick_btnProposeReservedAmt );
	},
	
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {
		
	},
	
	//데이터 관련 함수를 정의한다. 
	data : {
	
	},
	
	//ui 관련 함수를 정의한다.
	ui : {
	
	},

	//이벤트 관련 함수를 정의한다.
	event : {
		onclick_btnProposeReservedAmt : function() {
			alert("제품번호[ " + CurrentView.partNumber + "] 모바일 적립금 신청");
		}
	}

};