
/* JavaScript content from js/etv/M_G2230000M.js in folder common */
/**
 * 		페이디 ID : M_G2230000M
 * 		NS Shop+ (2017.11.08) 
 */

CurrentView = {
		
		inCatalogIdparent 			: "1174555",	// eTV Special 매장코드
		inCatgroupId 				: "",			// 서브메뉴 코드
		inList 						: "",			// 메뉴 선택 index
		bSubMenuShow 				: false,		// 서브메뉴 출력 여부
		bListMenuShow 				: false,		// 중간메뉴 출력 여부
		bRemoveFlag					: true,			// 리스트 상품 삭제 후 다시그릴지 여부
		nsshopTopBannerSwiper		: null,			// 배너 swiper 변수
		noImageUrl_X6 				: Const.NO_IMAGE_URL + "noimage_X6.jpg",
		pageIdx 					: 1,
		pageStart 					: 0,
		pageEnd 					: 29,
		pushFullEvent 				: true,
		
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		initializeComponent : function( params ){
			// 서브메뉴 세팅
			if (undefined != params.catgroupId){
				CurrentView.inCatgroupId = params.catgroupId;
			}
			
			// 메뉴 세팅
			if (undefined != params.list){
				CurrentView.inList = params.list;
			}
			
			CurrentView.data.get_NSMobHolidayView("menu");
		},
		
		onLoad : function(){
			// Empty on purpose
		},
		
		//데이터 관련 함수 정의
		data : {
			/**
			 * Shop+ 서브메뉴 및 배너, 배너에 속한 상품을 조회한다.
			 */
			get_NSMobHolidayView : function(strType){
				var objParam = new Object();
				objParam.catalogIdparent = CurrentView.inCatalogIdparent;	// 매장 id
				objParam.catgroupId = CurrentView.inCatgroupId;	// 서브메뉴 id (입력값이 없을 경우 메뉴만 조회됨)
				objParam.in_flag = strType;	// 콜백 참고용
				objParam.platform='MO';
				tran.callWCSJsonTran( 'NSMobHolidayView', objParam, CurrentView.ui.set_NSMobHolidayView, null, function() {}, true  );
			},
			
			/**
			 * Shop+ 매장에 사용될 리스트 메뉴 및 해당 상품 데이터를 조회한다. 
			 */
			get_NSMobHolidayViewTemp : function(){
				var invoke = new Object;
				invoke.catgroupId = CurrentView.inCatgroupId;
				invoke.catalogIdparent = CurrentView.inCatalogIdparent;	// 매장 id
				invoke.pageId = CurrentView.pageStart;
				invoke.pageSize = CurrentView.pageEnd;
				
				if (CurrentView.inList == ""){
					invoke.list = "1"
				} else {
					invoke.list = CurrentView.inList;
				}
				tran.callWCSJsonTran( 'NSMobHolidayViewTemp', invoke, CurrentView.ui.set_nsshopEspotListTitle ); //API명 수정 필요
			},
			
			get_NSMobHolidayViewTemp_pushPull : function(){
				var invoke = new Object;
				invoke.catgroupId = CurrentView.inCatgroupId;
				invoke.catalogIdparent = CurrentView.inCatalogIdparent;	// 매장 id
				invoke.pageId = CurrentView.pageStart + 30;
				invoke.pageSize = CurrentView.pageEnd + 20;
				
				if (CurrentView.inList == ""){
					invoke.list = "1"
				} else {
					invoke.list = CurrentView.inList;
				}
				
				if (Number(CurrentView.pageIdx) == 2 && !CurrentView.bRemoveFlag){ // 상품상세보기에서 뒤로올경우 또 pushPull이벤트를 호출하는 것을 막기 위해
					tran.callWCSJsonTran( 'NSMobHolidayViewTemp', invoke, CurrentView.ui.set_List );
				}
			},
			
			
		},
		//end data function...
		
		//ui interaction 관련 함수 정의 
		ui : {
			/**
			 * NSMobHolidayView API 통신 후 callback function
			 * 통신을 통해 받아온 data로 화면 출력등 처리
			 */
			set_NSMobHolidayView : function (objCBdata){
				
				if (undefined == objCBdata.in_flag){
					$("#nsshopCategory").hide();
					return;
				}
				
				var strInflag = objCBdata.in_flag[0];
				
				if (strInflag == "menu"){	// 메뉴 조회시
					if (CurrentView.bSubMenuShow == false){	// 메뉴 출력 여부
						CurrentView.ui.setMenu(objCBdata.msg.root.themeTempCateList);
					}
					
					if ( undefined == objCBdata.msg.root.themeTempCateList[0]){
						$("#nsshopCategory").hide();
						return;
					}
					
					CurrentView.inCatgroupId = objCBdata.msg.root.themeTempCateList[0].catgroupId;	// 메뉴 첫번째것을 세팅
					CurrentView.data.get_NSMobHolidayView("updata");	// 배너및 배너하위 상품 조회를 위해 통신 펑션 호출
					
				} else if (strInflag == "updata"){
					CurrentView.ui.set_TOP_BANNER_MOB(eval('objCBdata.msg.root._' + CurrentView.inCatgroupId + '_TOP_BANNER'));
					CurrentView.ui.set_NSShop_PROMOTION(eval("objCBdata.msg.root._" + CurrentView.inCatgroupId + "_MO_NSShop_PROMOTION"));
					CurrentView.ui.set_ExhibitionBanner(eval("objCBdata.msg.root._" + CurrentView.inCatgroupId + "_NSShop_EXHIBIT"));
					CurrentView.data.get_NSMobHolidayViewTemp();
				}
				
				
			},
			
			/**
			 * 01. Shop+ 서브메뉴
			 */
			setMenu : function (arrMenu){
				/* 최소 2개 최대 6개까지 노출 */
				if (arrMenu.length < 2){
					$("#nsshopCategory").hide();
				} else {
					if(arrMenu.length > 6)
						arrMenu = arrMenu.slice(0,6);
					/* 화면 그리기 */
					Ns.UI.drawList(arrMenu, "ulDealTabArea", "");
					/* swiper 설정 및 세팅 */
					CurrentView.ui.setSwiper("menu", arrMenu);
				}
				
				CurrentView.bSubMenuShow = true;	// 메뉴 출력 여부 세팅
			},
			
			/**
			 * swiper 설정 및 세팅
			 */
			setSwiper : function (strFlag, arrMenu){
				if (undefined == strFlag || undefined == arrMenu){
					$("#nsshopCategory").hide();
					return;
				}
				
				var nMenuLeng = arrMenu.length;
				var nSlidesPerView = 4;
				if (strFlag == "menu"){	// 서브메뉴 세팅
					if (nMenuLeng > 1){					
						if (nMenuLeng > 3){
							//메뉴수가 4보다 클 경우 4.5개
							if (nMenuLeng > 4){
								nSlidesPerView = 4.5;
							}
						} else {
							nSlidesPerView = nMenuLeng;
						}
						
						// swiper 세팅
						var menuSwiper =  new Swiper('#nsshopCategory', {
							initialSlide: 0, 
							speed: 100,
							slidesPerView: 'auto',
							slideActiveClass: '',
							loop : false,
							slidesPerView  : nSlidesPerView
						});
						
						var $btnCatgroupNm = $("li[name=btnCatgroupNm]");	// 서브메뉴 각 버튼 영역
						
						if (CurrentView.inCatgroupId == ""){	// 기 선택된 서브메뉴가 없을 경우
							$btnCatgroupNm.removeClass("on");	// 선택 클래스 초기화
							$btnCatgroupNm.eq(0).addClass("on");	// 첫번째 서브메뉴 선택
						}
						
						// 서브메뉴 클릭시 이벤트 처리
						$btnCatgroupNm.off().on("click", function(){
							
							$("li[name=btnCatgroupNm]").removeClass("on");	// 선택표시 class 삭제
							$(this).addClass("on");	// 해당 서브메뉴 선택표시 class 삽입						
							
							$("#nsshopSwiperBanner").hide();
							$("#nsshopBanner").hide();
							$("#nsshopExhibition").hide();
							$("#nsshop_hitMenu").hide();
							$("#nsshopPrdtSmallList").hide();	
							$("#nsshopPrdtList").hide();
							
							CurrentView.pageIdx = 1;
							CurrentView.pageStart = 0;
							CurrentView.pageEnd = 29;
							CurrentView.inList = "";	// 하단 중간 메뉴 
							CurrentView.bListMenuShow = false;	// 중간메뉴 출력여부 초기화
							CurrentView.bRemoveFlag = true;
							CurrentView.inCatgroupId = $(this).data("data").catgroupId;	// 서브메뉴 선택 값 적재
							
							// swiper 초기화
							if (CurrentView.nsshopTopBannerSwiper != null){
								CurrentView.nsshopTopBannerSwiper.destroy(true, true);
								CurrentView.nsshopTopBannerSwiper = null;
							}
							
							//2, 5, 6번째 선택하면 서브메뉴 이동
							var index = $("li[name=btnCatgroupNm]").index(this);
							var strtemp = document.getElementById('ulDealTabArea').style.width;
							var splittemep = strtemp.split('p');
							var numtemp = Number(splittemep[0]);
							var numsubmenuCount = $("li[name=btnCatgroupNm]").length;
							var width = numtemp/numsubmenuCount;
							var NumCurrentwidthsize = $("#nsshopCategory").width();
							if(4 == index){							
								var lastTab = $btnCatgroupNm.length == 6 ? 0.5 : 0;
								$("#ulDealTabArea").css("transform","translate3d("+ -1*(NumCurrentwidthsize-(width*(index-lastTab)))+"px,0px,0px)");
							}else if(5 == index){
								$("#ulDealTabArea").css("transform","translate3d("+ -1*(NumCurrentwidthsize-(width*((index-1)-1)))+"px,0px,0px)");
							}else if(1 == index && $btnCatgroupNm.length > 5){
								$("#ulDealTabArea").css("transform","translate3d("+ -1*(NumCurrentwidthsize-(width*((index+4)-1)))+"px,0px,0px)");
							}else if(0 == index){
								$("#ulDealTabArea").css("transform","translate3d(0px,0px,0px)");
							}
							CurrentView.data.get_NSMobHolidayView("updata");	// 통신 펑션 콜
	
							return false;
						});
						
						$("#ulDealTabArea").show();	// 서브메뉴 영역 보이기					
					} else {
						$("#nsshopCategory").hide();
					}	
				
				} else if (strFlag == "banner"){	// 상단 배너
					/* Swiper 기능 추가 */
					if(nMenuLeng > 1){
						CurrentView.nsshopTopBannerSwiper = new Swiper('#promoHeroSwiper', {
							slidesPerView: 1,
							spaceBetween: 30,
							pagination : {
								el : '.pagenate',
								clickable : true
							},							
							calculateHeight: true,
							loop: true,
							on : {
								init : function(){
									var swiper = this;
									$("#pagenate").children().eq(0).addClass("swiper-visible-switch swiper-active-switch");
								}
							},							
						});
					}
				}
			},
			
			/**
			 * 02. Shop+ 탑 배너 영역 셋팅
			 */
			set_TOP_BANNER_MOB : function(data){
				if (undefined == data || data.length == 0){
					$("#nsshopSwiperBanner").hide();
					return;
				}
				
				/* TOP BANNER 개수만큼 swiper-slide 추가 */
				var nCount = data.length;
				var strHtml = "";
				for (var i = 0; i < nCount; i++){
					if(data[i].mdUrl == "") { // 고지형
						strHtml += Ns.Util.stringFormat(''+
								'<div class="swiper-slide">'+
					        		'<img src="http:{0}" alt="" onerror="this.src=\'./images/marketing/list_no_img.png\';">'+
						        '</div>', data[i].imgUrl );
					} else { // 상품/기획전 
						var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(data[i].mdUrl).split("?")[1]).catalogId;
						strHtml += Ns.Util.stringFormat(''+
								'<div class="swiper-slide">'+
					        		'<a href="javascript:Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');"><img src="http:{0}" alt="" onerror="this.src=\'./images/marketing/list_no_img.png\';"></a>'+
						        '</div>', data[i].imgUrl, data[i].clickTarget, data[i].contentsId, data[i].clickCode, data[i].espotId, data[i].mdUrl,  null, null, catalogId );
					}
				}
				
				if (nCount < 2){
					$("#promoHeroSwiperWrapper").removeAttr('style');
					$("#pagenate").hide();
				}	else {
					$("#pagenate").show();
				}
				
				$("#promoHeroSwiperWrapper").html(strHtml);
				$("#nsshopSwiperBanner").show();
				
				if (nCount > 1){
					CurrentView.ui.setSwiper("banner", data);	// 배너 swiper 처리 펑션 호출
				}
				
			},
			
			/**
			 * 03. Shop+ 프로모션 배너 영역
			 */
			set_NSShop_PROMOTION : function (objData){
				
				if (undefined == objData){
					$("#nsshopBanner").hide();
					return;
				}
				
				var data = objData[0];
				try {
					var strHtml = "";	
					var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(data.mdUrl).split("?")[1]).catalogId;
					if(data.clickTarget != "") {
						strHtml += Ns.Util.stringFormat(''+
								'<a href="javascript:Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');"><img src="http:{0}" alt=""></a>',
								data.imgUrl, data.clickTarget, data.contentsId, data.clickCode, data.espotId, data.mdUrl,  null, null, catalogId );
					} else {
						strHtml += Ns.Util.stringFormat(''+
								'<img src="http:{0}" alt="">',
								data.imgUrl);
					}
					$("#nsshopBannerDiv").html(strHtml); // 화면에 출력
					$("#nsshopBanner").show();
				} catch(e) {
					// Empty on purpose
				}
			},
			
			/**
			 * 04. Shop+ 기획전 배너 영역
			 */
			set_ExhibitionBanner : function(data){
				
				if (undefined == data || undefined == data[0]){
					$("#nsshopExhibition").hide();
					return;
				}
				
				var items = data[0]; // 기획전배너				
				var imgUrl = "http:" + items.imgUrl;
				var replaceUrl = Const.NO_IMAGE_URL + "noimage_P.jpg";
				
				$.preLoadImages( imgUrl, replaceUrl );
				
				var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(items.mdUrl).split("?")[1]).catalogId;
				var strHtml = "";
				if(items.clickTarget != "") {
					strHtml += Ns.Util.stringFormat('\
						<li><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{7}\',\'{8}\',\'{9}\');"><img src="{5}" onerror="this.onerror=null;this.src=\'{6}\'" alt="기획전이미지"></a></li>',
						items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl, imgUrl, replaceUrl, null, null, catalogId );
				} else {
					strHtml += Ns.Util.stringFormat('\
						<li><img src="{0}" onerror="this.onerror=null;this.src=\'{1}\'" alt="기획전이미지"></li>',
						imgUrl, replaceUrl);
				}
				$("#ulNsshopExhibition").html( strHtml );
				$("#nsshopExhibition").show();
			},
			
			/**
			 * Shop+ 매장 Espot 영역 추가
			 */
			set_nsshopEspotListTitle : function (data){

				if (CurrentView.bListMenuShow == false){ // 첫화면일 경우
					// Shop+ 리스트 메뉴 영역 
					CurrentView.ui.set_LIST_TITLE(data);
				}
				
				// Shop+ 리스트 메뉴에 속한 상품 data 출력
				CurrentView.ui.set_List(data);
				
			}, 
			
			/**
			 * 05. Shop+ 리스트 메뉴 영역 
			 */
			set_LIST_TITLE : function(data){
				
				if (undefined == data || undefined == data.msg.LIST_TITLE || data.msg.LIST_TITLE.length < 2){
					$("#nsshop_hitMenu").hide();
					return;
				}
				
				var arrMenuList = data.msg.LIST_TITLE;	// MenuList				
				var strMenuLengType = data.msg.list_Type;	// 화면에 표시될 메뉴 Type, ex) 4x1
				var arrMenuColandRow = new Array();
				
				if(strMenuLengType.indexOf('×') == -1)
					arrMenuColandRow = strMenuLengType.split('x'); // 영문자 x일경우
				else {
					arrMenuColandRow = strMenuLengType.split('×'); // 한자 기호 ×일 경우
				}

				var strMenuCol = arrMenuColandRow[0];
				if(strMenuCol > 4) {
					strMenuCol = 4;
				}
				if(strMenuCol > arrMenuList.length){
					strMenuCol = arrMenuList.length;
				}
				
				/* column 수에 따라 CSS class 변경 */
				$("#ulNsshopMenuList").removeClass();
				if(strMenuCol == 2){					
					$("#ulNsshopMenuList").addClass("menu list1");
				}else if(strMenuCol == 3){
					$("#ulNsshopMenuList").addClass("menu list2");
				}else if(strMenuCol == 4){
					$("#ulNsshopMenuList").addClass("menu list3");
				}
				
				/* strMenuLengType(ex.4x1)에 따라 HTML에 li추가 */
				var strHtml = "";
				strHtml += '<li class="on"><a href="javascript:;" id="NSShopListMenu1"><div></div></a></li>';
				for (var i = 0; i < strMenuCol - 1; i++){
					strHtml += '<li><a href="javascript:;" id="NSShopListMenu' + (i+2) + '"><div></div></a></li>';
				}
				$("#ulNsshopMenuList").html(strHtml);
				/* 각 셀에 알맞은 메뉴명과 data 셋팅 */
				for (var i = 0; i < strMenuCol ; i++){

					var $listMenu_txt = $("#NSShopListMenu" + (i+1));					
					var strMarketingText = arrMenuList[i].marketingText;
					strMarketingText = Ns.Util.replaceAll(strMarketingText, "&lt;", "<");
					strMarketingText = Ns.Util.replaceAll(strMarketingText, "&gt;", ">");
					
					// 텍스트 출력
					$listMenu_txt.find("div").html(strMarketingText);
					
					// 각 메뉴 data 세팅 
					$listMenu_txt.data("data", arrMenuList[i]);
				}
				
				// 메뉴 클릭시 이벤트 처리
				$("#ulNsshopMenuList").find("a").off().on("click", function (){
					var strClickIndex = "";
					
					$("#nsshopPrdtList").hide();
					$("#nsshopPrdtSmallList").hide();					
					$("#nsshop_hitMenu").find("li").removeClass("on");	// 메뉴 선택 class 삭제					
					$(this).parent().addClass("on");
					
					strClickIndex = Ns.Util.replaceAll($(this).attr("id"), "NSShopListMenu", "");
					CurrentView.pageIdx = 1;
					CurrentView.pageStart = 0;
					CurrentView.pageEnd = 29;
					CurrentView.inList = strClickIndex;
					CurrentView.bRemoveFlag = true;
					CurrentView.data.get_NSMobHolidayViewTemp();					
				});

				$("#nsshop_hitMenu").show();
				CurrentView.bListMenuShow = true;
			},
			
			/**
			 * 06. Shop+ 리스트메뉴 상품 영역 셋팅
			 */
			set_List : function(data){
				
				if (undefined == data || undefined == data.msg.LIST){
					$("#nsshopPrdtList").hide();
					return;
				}
				
				var objData = JSON.parse(JSON.stringify(data.msg.LIST)); // object 복사
				var strViewType = data.msg.bannerType;
				var arrClistData = new Array();
				var count = 0;
				var imageUrl = "";
				if(undefined != objData) {
					CurrentView.totalCount = data.msg.totalPrdtCnt;
				}
				
				// 이미지 경로
				if (strViewType == "catalogEntryIdList"){	// 썸네일형
					for (var i = 0; objData.length > i; i++){ // 최대 50개 상품만 노출
						if(objData[i] == undefined) {
							continue;
						}
						var objDetail = objData[i];
						arrClistData[arrClistData.length] = JSON.parse(JSON.stringify(objDetail));
						
						var nLengIndex = arrClistData.length -1;	// 적재된 datad의 마지막 index
						
						// 이미지 경로
						arrClistData[nLengIndex].c_imgUrl_thumbnail = "<img src=\"" + Ns.Util.getImageUrl( arrClistData[nLengIndex].partnumber, "H" ) + "\" onerror=\"this.src='http://image.nsmall.com/ec_comimages/itemimg/noimage_H.jpg';\" alt=\"상품 이미지\" />";	// 이미지 url
						arrClistData[nLengIndex].c_moreIcon_thumbnail = "";
						
						// 상품명
						if (arrClistData[nLengIndex].brandKorNm == "" || arrClistData[nLengIndex].brandKorNm == "미정의"){
							arrClistData[nLengIndex].c_prodNm =  arrClistData[nLengIndex].itncatentrynm;	// 상품명
						} else {
							arrClistData[nLengIndex].c_prodNm = "[" + arrClistData[nLengIndex].brandKorNm + "] " + arrClistData[nLengIndex].itncatentrynm;	// 상품명
						}
						
						//Wapers 2017.09.25 옵션대표가 flag
						var optRepYn = "";
						if(undefined != arrClistData[nLengIndex].prcWaveDisp){
							optRepYn = arrClistData[nLengIndex].prcWaveDisp;
							//optRepYn = "~";

						} else {

						}
						
						// 판매가
						arrClistData[nLengIndex].c_pricedcprice = Ns.Util.insertCommas(arrClistData[nLengIndex].pricedcprice);	// 할인 판매가
						arrClistData[nLengIndex].c_pricedcprice_wide = Ns.Util.insertCommas(arrClistData[nLengIndex].pricedcprice) + "<span class=\"info_price_won\">원"+optRepYn+"</span>";	// 할인 판매가
						
						// 만족도 및 총구매수량 및 최근30일 구매수량
						if (arrClistData[nLengIndex].orderQty != undefined && arrClistData[nLengIndex].orderQty != 0){
							if (arrClistData[nLengIndex].score != 0 || arrClistData[nLengIndex].orderQty != 0){
								arrClistData[nLengIndex].c_satisfaction_wide = "<ul style=\"padding-top:6px;\">";
								arrClistData[nLengIndex].c_moreIcon_thumbnail += "<p class=\"sellTxt\">";
								var bScore = false;
								
								// 만족도 적재
								if (arrClistData[nLengIndex].score != 0){
									bScore = true;
									arrClistData[nLengIndex].c_satisfaction_wide += "<li>만족도 <span class=\"satis\">" + arrClistData[nLengIndex].score + "</span>%</li>";
									arrClistData[nLengIndex].c_moreIcon_thumbnail += "만족도 <span class=\"satis\">" + arrClistData[nLengIndex].score + "</span>%";
								}
								
								// 총구매수량 및 최근 30일 구매수량 적재
								if (arrClistData[nLengIndex].orderQty != 0){
									if (bScore == true){
										arrClistData[nLengIndex].c_moreIcon_thumbnail += "<span class=\"linebar\"></span>";
									}
									
									//priceFlag : A -  누적이 기간내 판매수량보다 많을 경우, D - 누적과 기간내 판매수량이 같을 경우
									/*if (arrClistData[nLengIndex].priceFlag == "A"){
										// 총 구매수량
										arrClistData[nLengIndex].c_satisfaction_wide += "<li>누적&nbsp;<span class=\"quantity\">" + Ns.Util.insertCommas(arrClistData[nLengIndex].orderQty) + "</span>개 구매중&nbsp;";
										arrClistData[nLengIndex].c_moreIcon_thumbnail += "누적&nbsp;<span class=\"quantity\">" + Ns.Util.insertCommas(arrClistData[nLengIndex].orderQty) + "</span>개 구매중&nbsp;";
										
										// 최근 30일 구매수량
										if (arrClistData[nLengIndex].latestOrderQty > 0){
											arrClistData[nLengIndex].c_satisfaction_wide += "(최근 30일 " + Ns.Util.insertCommas(arrClistData[nLengIndex].latestOrderQty) + "개)";
											arrClistData[nLengIndex].c_moreIcon_thumbnail += "(최근 30일 " + Ns.Util.insertCommas(arrClistData[nLengIndex].latestOrderQty) + "개)";
										}
									} else if (arrClistData[nLengIndex].priceFlag == "D"){
										arrClistData[nLengIndex].c_satisfaction_wide += "<li>";
										// 최근 30일 구매수량
										if (arrClistData[nLengIndex].latestOrderQty > 0){
											arrClistData[nLengIndex].c_satisfaction_wide += "최근 30일 " + Ns.Util.insertCommas(arrClistData[nLengIndex].latestOrderQty) + "개 구매중";
											arrClistData[nLengIndex].c_moreIcon_thumbnail += "최근 30일 " + Ns.Util.insertCommas(arrClistData[nLengIndex].latestOrderQty) + "개 구매중";
										}
									}*/
									arrClistData[nLengIndex].c_satisfaction_wide += "<li><span class=\"quantity\">" + Ns.Util.insertCommas(arrClistData[nLengIndex].orderQty) + "</span>개 구매&nbsp;";
									arrClistData[nLengIndex].c_moreIcon_thumbnail += "<span class=\"quantity\">" + Ns.Util.insertCommas(arrClistData[nLengIndex].orderQty) + "</span>개 구매&nbsp;";
									
									arrClistData[nLengIndex].c_satisfaction_wide += "</li>";
								}
								
								arrClistData[nLengIndex].c_satisfaction_wide += "</ul>";
								arrClistData[nLengIndex].c_moreIcon_thumbnail += "</p>";
							}
						}
						
						// 무료배송
						if (Number(arrClistData[nLengIndex].dlvrPrice, 10) == 0){
							arrClistData[nLengIndex].c_dlvrPrice_wide = "<p class=\"benefit\"><dfn class=\"label\">혜택</dfn><em class=\"free\">무료배송</em></p>";
						}
						
						// 할인율
						if (Number(arrClistData[nLengIndex].saleRate, 10) == 0){
							arrClistData[nLengIndex].c_saleRate = "";
						} else {
							arrClistData[nLengIndex].c_saleRate = arrClistData[nLengIndex].saleRate + "&#37;&darr;";
						}
		
						//Wapers 2017.09.25 옵션대표가 flag
						var optRepYn = "";
						if(undefined != arrClistData[nLengIndex].prcWaveDisp){
							optRepYn = arrClistData[nLengIndex].prcWaveDisp;
							//optRepYn = "~";

						} else {

						}
						
						
						// 할인전 금액
						if (arrClistData[nLengIndex].c_saleRate == ""){
							arrClistData[nLengIndex].c_priceofferprice = "";
							arrClistData[nLengIndex].c_priceofferprice_wide = "";
						} else {
							arrClistData[nLengIndex].c_priceofferprice = "<strong>" + Ns.Util.insertCommas(arrClistData[nLengIndex].priceofferprice) + "</strong>원" + optRepYn;
							arrClistData[nLengIndex].c_priceofferprice_wide = Ns.Util.insertCommas(arrClistData[nLengIndex].priceofferprice) + "원" + optRepYn;
						}
						
						// 무이자 할부
						if (Number(arrClistData[nLengIndex].ifiValue, 10) > 0){
							arrClistData[nLengIndex].c_moreIcon_thumbnail += "<span class=\"tag item-feature interest-free\"><span class=\"head\">무이자</span> " + arrClistData[nLengIndex].ifiValue + "</span>";
						}
					}
					
					Ns.UI.drawList(arrClistData, "thumbnail_prod_ul", "", CurrentView.bRemoveFlag);	// 화면 그리기
					Ns.UI.startPushFullEvent( CurrentView.data.get_NSMobHolidayViewTemp_pushPull ); // 페이징처리
					if (Number(CurrentView.pageIdx) == 1 && Number(CurrentView.totalCount) > Number(CurrentView.pageEnd +1)){
						CurrentView.pushFullEvent = false;
						CurrentView.bRemoveFlag = false;
					}
					$("#nsshopPrdtSmallList").show();
					
					$("a[name=c_imgUrl_thumbnail], a[name=btnWidePrdNm_thumbnail]").off().on("click", function(){
						CurrentView.event.setNaviParam();	// navi param 적재 펑셩
						mainCtrl.gotoProductDisplay($(this).parents("li").data("data").partnumber, '', 'MOBIL');
					});
				} else if (strViewType == "collateralIdList"){	// 와이드형						
					for (var i = 0; objData.length > i; i++){ // 최대 50개 상품만 노출						
						
						if(objData[i]["partnumber"] != undefined){ // 상품
							if(objData[i] == undefined) {
								continue;
							}						
							var objDetail = objData[i];
							//알뜰할인가.
							var salePrice = "";
							if (objDetail.pricedcprice != 0 && objDetail.priceofferprice != objDetail.pricedcprice) {
								salePrice = Ns.Util.insertCommas(objDetail.pricedcprice); 
							}
							
							//판매가
							var offerPrice = Ns.Util.insertCommas( objDetail.priceofferprice );
							
							//무이자
							var exIfi = ['',''];
							if(objDetail.ifiValue != 0 && objDetail.ifiValue != null){
								exIfi[0] = "<p class=\"badge_wrap\"><span class=\"badge_init noint_shape\">무이자</span>";
								exIfi[1] = "<span class=\"badge_txt_mon\">" + objDetail.ifiValue + "</span></p>";
				        	}
							
							var tmp_multiCd = "";
							//multiCd
							if(objDetail.multiCd != "") 
								tmp_multiCd = objDetail.multiCd;
							
							//상품이미지
							imageUrl = Ns.Util.getImageUrl( objDetail.partnumber, "X6" );
							objData[i].productDetail_temp = Ns.Util.stringFormat(''+
								'<a href="javascript:mainCtrl.gotoProductDisplay({0}, \'{1}\', \'{2}\');">'+
									'<div class="prod_thumb">'+
										'<img src="{3}" onerror=\"this.src=\'{4}\';\" alt="">'+
									'</div>',
								objDetail.catentryId, tmp_multiCd, objDetail.busChnId, imageUrl, CurrentView.noImageUrl_X6);
							
							var scoreAndOrderQty = "";
							if(objDetail.score != 0 || objDetail.orderQty != 0){
								scoreAndOrderQty += "<p class=\"sell_wrap\">";
								if(objDetail.score != 0)
									scoreAndOrderQty += "<span class=\"bf\">만족도 " + objDetail.score + "%</span>";								
								if(objDetail.orderQty != 0)
									scoreAndOrderQty += "<span class=\"bf\">" + objDetail.orderQty + "개 구매</span>";
								scoreAndOrderQty += "</p>";
				        	}
							
							//Wapers 2017.09.25 옵션대표가 flag
							var optRepYn = "";
							if(undefined != objData[i].prcWaveDisp){
								optRepYn = objData[i].prcWaveDisp ;
								//optRepYn = "~";
					
							} else {

							}
							
							//상품정보
							objData[i].productDetail_temp += Ns.Util.stringFormat(''+
									'<div class="prod_info">'+
										'<h4 class="prod_tit tit_shape">{3}</h4>'+
										'<div class="prod_price_info">'+
											'<p class="price_wrap"><span class="num">{4}</span><span class="unit">{8}</span></p>'+
											'{5}{6}'+
											'{7}'+
										'</div>'+
									'</div>'+
									'</a>',
									objDetail.partnumber, tmp_multiCd, objDetail.busChnId, objDetail.itncatentrynm, offerPrice, exIfi[0], exIfi[1], scoreAndOrderQty,
									optRepYn == "~" ? "원~" : "원");	
							
						} else { // 기획전
//							var tmp_multiCd = "";
//							if(objData[i].multiCd != "") 
//	                        	 tmp_multiCd = objData[i].multiCd;
							 var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objData[i].espotLinkUrl).split("?")[1]).catalogId;
							 
							 var espotContentText = "";
							 imageUrl = "http:"	+ objData[i].bannerImgUrl;
							 if(objData[i].espotContentText1 != null){
									if( objData[i].espotContentText2 == null) {
										espotContentText += "<p class='tit_spbanner'>" + objData[i].espotContentText1 + "</p>";
									}else{
										espotContentText += "<p class='tit_spbanner'>" + objData[i].espotContentText1 + "<span>" + objData[i].espotContentText2.replace("amp;","") + "</span></p>";
									}
								}
							 imageUrl = "http:"	+ objData[i].bannerImgUrl;
	                         if(objData[i].clickTarget != "") {
	                        	 objData[i].productDetail_temp = Ns.Util.stringFormat(''+
		     							'<a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\');">'+
		     								'<div class="prod_thumb">'+
		     									'<img src="{8}" onerror=\"this.src=\'{9}\';\" alt="">'+
		     								'</div>' + 
		     								'{10}</a>',
		     								objData[i].clickTarget, objData[i].contentId, objData[i].clickCode, objData[i].espotId, objData[i].espotLinkUrl, null, null, catalogId, imageUrl, CurrentView.noImageUrl_X6, espotContentText);
	                         } else {
	                        	 objData[i].productDetail_temp = Ns.Util.stringFormat(''+
			     							'<div class="prod_thumb">'+
		     									'<img src="{0}" onerror=\"this.src=\'{1}\';\" alt="">'+
		     								'</div>' + 
		     								'{2}', 
		     								imageUrl, CurrentView.noImageUrl_X6, espotContentText);
	                         }
						}
						arrClistData[count] = objData[i];
						count++;
					}
					Ns.UI.drawList(arrClistData, "nsshopPrdtList", "", CurrentView.bRemoveFlag); // 화면 그리기
					Ns.UI.startPushFullEvent( CurrentView.data.get_NSMobHolidayViewTemp_pushPull ); // 페이징처리
					if (Number(CurrentView.pageIdx) == 1 && Number(CurrentView.totalCount) > Number(CurrentView.pageEnd +1)){
						CurrentView.pushFullEvent = false;
						CurrentView.bRemoveFlag = false;
					}
					$("#nsshopPrdtList").show();
				}
			}
		
		},
		//end ui function...
		
		//이벤트 관련 함수 정의
		event : {
			/**
			 * navi에 param 적재 - 뒤로가기등 처리를 위해
			 */
			setNaviParam : function(){
				var objNaviParam = new Object();
				objNaviParam.catalogIdparent = CurrentView.inCatalogIdparent;
				objNaviParam.catgroupId = CurrentView.inCatgroupId;
				objNaviParam.list = CurrentView.inList;
				navi.setPageParam( objNaviParam );	// navi param 적재
			}
		}
		//end event function
};