
/* JavaScript content from js/etv/M_G2240000M.js in folder common */
/**
 * 		페이디 ID : M_G2240000M
 * 		방송중 상품 바로가기 
 */

M_G2240000M = {
		
		mode 			: "MO",
		cnnlNum 			: "01",

		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		initializeComponent : function( params ){
			M_G2240000M.mode = params.mode;
			M_G2240000M.cnnlNum = params.cnnlNum;
			
			
			if(mainCtrl.hasVisitByGate){
				M_G2240000M.ui.gotoBrdctList();
				return;
			}else{
				mainCtrl.hasVisitByGate = true;
			}
			
			M_G2240000M.data.get_NSCurrBrdctProductView(params);
			M_G2240000M.ui.gotoBrdctList();
		},
		
		onLoad : function(){
			// Empty on purpose
		},
		
		//데이터 관련 함수 정의
		data : {
			/**
			 * 현재 방송중인 상품의 상품코드 조회
			 */
			get_NSCurrBrdctProductView : function(params){
				var objParam = new Object();
				objParam.mode = params.mode;
				objParam.cnnlNum = params.cnnlNum;
				tran.callWCSJsonTran( 'NSCurrBrdctProductViewMobile', objParam, M_G2240000M.ui.set_NSCurrBrdctProductView, null, function() {}, true  );
			}
			
		},
		//end data function...
		
		//ui interaction 관련 함수 정의 
		ui : {
			/**
			 * 방송종인 상품코드 조회 시 상품상세로 이동한다.
			 * 없을 경우(0) 편성표로 이동한다.
			 */
			set_NSCurrBrdctProductView : function (data){
				var partnumber = data.partnumber;
				var cnnlNum = data.cnnlNum;
				if(partnumber > 0){
					if(cnnlNum == '01')	mainCtrl.gotoProductDisplay(partnumber+"","","TV")
					else if(cnnlNum == '02') mainCtrl.gotoProductDisplay(partnumber+"","","CTCOM")
				}else{
					M_G2240000M.ui.gotoBrdctList();
				}
			},
			gotoBrdctList : function(){
				if(M_G2240000M.cnnlNum == '01'){
					mainCtrl.navigate( 'M_G2222120M', {catalogId : Const.getMarketingCatalogId('tv')} );
				}else if(M_G2240000M.cnnlNum == '02'){
					mainCtrl.navigate( 'M_G2232120M', {catalogId : Const.getMarketingCatalogId('tv')} );
				}
				return;
			}
		},
		//end ui function...
		
		//이벤트 관련 함수 정의
		event : {
		}
		//end event function
};