
/* JavaScript content from js/etv/M_G2260000M.js in folder common */

/* 
 *	생방송보기 옵션/수량 선택
 *  ID : M_G2260000M
 *  
*/

/**
 * soldOutMsg : '매진되었습니다.<br />빠른 시간내에 상품을 준비하겠습니다.'
 * [G2600000M001] 알뜰 할인가(info.salePrice) 마이너스 값일 경우 처리 
 * [G2600000M002] info.dispTypeCd 빈스트링인 경우
 * [G2600000M003] 제품 매진 여부 판단에 따른 처리...
 * [G2600000M004] 여러가지 경우(optionList == null, optionList.SKUs == null 등등등)에 대해 값이 null이거나 0일경우처리
 * [G2600000M005] 쇼핑북상품 확인 오류
 * [G2600000M006] 해당 상품의 옵션을 설정시 일반상품의 가격이 0원일 경우
 * [G2600000M007] 최초 조회시 일반상품의 가격이 0원일 경우
 * [G2600000M008] 옵션 매진 - data.jsonData.rtnData 0인 경우
 * [G2600000M009] 상품추가 버튼 클릭시 수량 0인 경우
 */
//page 컨트롤 클래스
CurrentView = {
		inFlag : true,	// 최초진입 여부(한번돌면 false)
		inPartNumber : "",	// 최초 진입시 상품번호
		inCocd : "",          // 최초 진입시 cocd 상품번호    2015/11/24 통제 쿠폰 관련 추가 by seo4872
		inIsShowPopUp : true, // 최초 진입시 팝업을 보여줄지 여부    2015/11/24 통제 쿠폰 관련 추가 by seo4872
		
		inTotalPrice : 0, 	// 최초 진입시 가격(할인된 가격)
		inImageUrl : "",	// 최초 진입시 이미지 url
		
		arrChkData : null,
		
		isSoldOut : false,
		
		goodType : 'product',
		attrCnt : 0, //옵션 개수
		unitRegiTypeCd : "", 
		styleMngYn : "Y",
		useAddAttr : "Y",
		
		isGift : false,
		giftItemCount : 0, //사은품 개수. 
		giftChoiceCnt : 0, //선택해야할 전체 사은품 단품 개수. 
		
		isClaimInfo : false,
		REMAINED_TIME : null,
		
		productName : null, //SNS 공유에 사용할 제품명. 
		
		noImageUrl : Const.NO_IMAGE_URL + 'noimage_S.jpg',
		image19icon : Const.NO_IMAGE_URL + '19icon_S.jpg',
		
		definingAttributeList : [],
		styleNoAttributeList : [],
		
		CLASS_ACTIVE : "active",
		
		THIS_PARAMs : null, //이전 페이지에서 넘어온 파라미터들. 
		GoodsGuide : null,	//기술서 파라미터
		
		isOption : false,
		
		chcChildYn : null,
		dispTypeCd : null,
		
		optionCnt : 1,
		productCnt : 0,
		isSalePrice : false,
		salePrice : 0,
		offerPrice : 0,
		catentryId : null,
		costTypeCd : null, //미리계산하기에서 사용. 
		couponList :  null, //미리계산하기에서 사용.
		busChnId : null,
		productInfo : null, //최근본상품 저장용 임시 변수
		productCategoryName : new Object(),	//상품 카테고리명
		
		/** 상품평 진입 param **/
		catGb : null, 
		
		/*** start 장바구니 추가시 필요한 파라미터 : 조회된 데이터로 설정한다. */
		isPackage : false,
		packAttrCnt : 0,
		
		isFlashSale : "N",
		hdFlashOfferIdfr : "",
		hdCpIDFR : [],
		/*** end 장바구니 추가시 필요한 파라미터 */
		
		/*****정기배달상품을 위한 데이터.*********/
		priodDlvrYn : "N" ,
		payTypeCd : "", 
		dlvrNumber  : "",
		/***** end 정기배달상품을 위한 데이터.*********/
		
		logDatas : new Object(),
		
		nTotalPrice : 0,
		
		/** 공동구매**/
		GROUP_PURCHASE : {
			coBuyId : null, //공동구매 코드
			grpPurchaseOwner : null 
		}, 
		
		CARD_SEND_TYPE : null, //email : 300 mms: 200
	
		/** Designer's and BrandShop 상품인 경우 관련 인덱스 정보 저장. 다이이너샵 또는 브랜드 샵 가기를 위한 변수들 **/
		BRAND_SHOPs : {
			sequenceNo : "", //디자이너스 ID
			designName : "", //디자이너스 이름 
			brandCd : "", //브랜드 코드
			brandName : "", //브랜드 명
			pageType : "BRANDSHOP",
		},
		/** end Designer's and BrandShop**/
		
		//렌탈 또는 휴대폰 등의 서비스 상품 상담신청 페이지로 가기위한 params 
		SERVICE_PRODs : {
			 dispTypeCd : null,
			 brandName : null,
			 productName : null,
			 modelName : null,
			 productNo : null,
			 imageUrl : null,
			 partNumber : null,
			 quantity : 0,
			 offerPrice : 0,
			 orderPrgrsTypeCd : null 
		},
		
		TV_PROPs : {
			isTVProduct : false,
			pgmcd : null,
			brdctDate : null,
			brdctCnnlCd : null,
			isLive : false,
			videoUrl : null
		},
		multiCd : null,
		
		isPremium : "N", //프리미엄 상품인가?
		
		maxItemCountOnOnce : 0, //1회당최대주문가능수량 
		
		specs : "",
		
		vendorId : "", //배송비절약매장상품
		outgoLocCd : "",  //배송비절약매장상품 - 출고지 코드.
		
		noSaleCatalogYn : "N", //판매불가 상품 유무
		noSaleCatalogMsg : "", //판매불가 상품 메세지
		
		photoList : [], //이미지 확대보기 페이지로 넘겨줄 데이터. 
		
		adultItemFlag : null,	//성인상품 유무 체크값
		
		tranCount : 0,
		
		intervalIdList : [],
		
		init : function( params ) {
			
			$("#util").removeClass("active");
			
			mainCtrl.FLASH_SALE_offerItemCd = ""	// 상품상세(CurrentView) 화면에서 슈퍼핫딜(플래시세일) 쿠폰 코드 초기화
				
			this.THIS_PARAMs = params;
			
			if (undefined != CurrentView.THIS_PARAMs.catalogId && "" != CurrentView.THIS_PARAMs.catalogId){
				CurrentView.logDatas.catalogId = CurrentView.THIS_PARAMs.catalogId;	// 사이트 직속 몰...대분류
			}
			if (undefined != CurrentView.THIS_PARAMs.categoryId && "" != CurrentView.THIS_PARAMs.categoryId){
				CurrentView.logDatas.categoryId = CurrentView.THIS_PARAMs.categoryId;	// 몰 하위 매장...소분류
			}
			if (undefined != CurrentView.THIS_PARAMs.catentryId && "" != CurrentView.THIS_PARAMs.catentryId){
				CurrentView.logDatas.catentryId = CurrentView.THIS_PARAMs.catentryId;	// 개별 상품
			}
			if (undefined != CurrentView.THIS_PARAMs.catgroupId && "" != CurrentView.THIS_PARAMs.catgroupId){
				CurrentView.logDatas.catgroupId = CurrentView.THIS_PARAMs.catgroupId;
			}
			
			if (undefined != CurrentView.THIS_PARAMs.p_bannerid && "" != CurrentView.THIS_PARAMs.p_bannerid){
				CurrentView.logDatas.p_bannerid = CurrentView.THIS_PARAMs.p_bannerid;
			}
			
			if (undefined != CurrentView.THIS_PARAMs.p_espotid && "" != CurrentView.THIS_PARAMs.p_espotid){
				CurrentView.logDatas.p_espotid = CurrentView.THIS_PARAMs.p_espotid;
			}
			
			if ( !Ns.Util.isNull(params.isPremium) ) this.isPremium = params.isPremium; //프리미엄 페이지에서 상품상세로 이동했을 경우.. 
			
			this.initializeComponent( );
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			uiBase._layerPopup();
			
			var selectDay = Ns.Date.calcDate('', 0, 0, 0, 1, 'yyyy-MM-dd');
			
			$("#btnAddProduct").unbind().bind( "click", this.event.onclick_btnAddProduct ); //상품추가버튼 
			 
			//단품관리 하지 않을 경우 
			$("#btnReduceOption").unbind().bind( "click", this.event.onclick_btnReduceOption ); // (-) 버튼
			$("#btnAddOption").unbind().bind( "click", this.event.onclick_btnAddOption ); // (+) 버튼
			
			$("#btnFtReduceOption").unbind().bind( "click", this.event.onclick_btnFtReduceOption ); // (-) 버튼
			$("#btnFtAddOption").unbind().bind( "click", this.event.onclick_btnFtAddOption ); // (+) 버튼
			
			$("button[name=btnFtReduceOption]").unbind().bind( "click", this.event.onclick_btnFtReduceOption ); // (-) 버튼
			$("button[name=btnFtAddOption]").unbind().bind( "click", this.event.onclick_btnFtAddOption ); // (+) 버튼
			
			//구매하기
			$("#btnFtInRightOrder").off().on("click",function(){
				CurrentView.event.onclick_divNextActionButtonArea($(this).attr("id"));
			});
			
			// 다시선택, 이전 버튼 클릭시 처리
			$("#btnAfterTop, #btnAfterBottom").off().on("click",function(){
				mainCtrl.navigate("M_G2250000M");
			});
			
			//viewport 강제로 신규 생성
			$("#viewport").remove();
			var meta = document.createElement("meta");
			meta.setAttribute('name','viewport');
			meta.setAttribute('id','viewport');
			meta.setAttribute('content','width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=0, height=device-height, target-densitydpi=medium-dpi');
			$("head").append( meta );
			
			//백버튼 숨김
			$("#btnBack").hide();
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
            //상품번호 , co_cd , 팝업 보여 줄지 여부의 param을 받는다			
			CurrentView.inPartNumber = params.partNumber;
			CurrentView.inCocd = params.co_cd;
		
			//=====================================================
			//쿠폰발급팝업을 클릭후 로그인 후 진입했다면 팝업을 보여 줄 필요 없다  
			//-false 일경우 로그인후 진입했으니 해당 쿠폰 번호로 자동 다운로드 시킨다     
			//true :팝업보임   false : 팝업안보임 
			// add by seo4872   2015/11/23
			//=====================================================
			if (undefined != params.isShowPopUp){
				CurrentView.inIsShowPopUp = params.isShowPopUp;
			}
			
			this.data.getProductDetailInfo( params );	// 상품 조회
			this.data.callETV_LIVE_BANNER();	// 하단 이벤트 베너 조회
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			
			/**
			 * 이벤트 베너를 API를 통해 조회한다.
			 */
			callETV_LIVE_BANNER : function (){
				var params = {};
				params.espotInfo = "ETV_LIVE_BANNER|Content";
				
				tran.callWCSJsonTran( 'NSEspotCommon', params, CurrentView.ui.setUiETV_LIVE_BANNER,  null, function() {}, true  );
			},
			
			/**
			 * 상품정보를 조회한다.
			 */
			getProductDetailInfo : function( params ) {
				var invokeParams = {};
				invokeParams.partNumber = params.partNumber;  //상품코드 (backend)
				invokeParams.cocd = Const.getCocd(); //외부유입경로 코드(제휴사코드)
				invokeParams.imgSizeType = 'S';  //Mobile 상품이미지 = P (500 X 500)
				
				if ( !Ns.Util.isNull(params.multiCd) ) {
					CurrentView.multiCd = params.multiCd;
					invokeParams.multiCd = params.multiCd; //쇼핑북 멀티코드 (채널정보 SB인경우)
				} 

				if ( !Ns.Util.isNull(params.catalogId) ) invokeParams.catalogId = params.catalogId;
				if ( !Ns.Util.isNull(params.catentryId) ) invokeParams.catentryId = params.catentryId;
				if ( !Ns.Util.isNull(params.p_bannerid) ) invokeParams.p_bannerid = params.p_bannerid; //배너아이디
				if ( !Ns.Util.isNull(params.p_espotid) ) invokeParams.p_espotid = params.p_espotid; //이스팟 아이디
				if ( !Ns.Util.isNull(params.clickUrl) ) invokeParams.clickUrl = params.clickUrl; //개인화추천 click url. - 개인화추천 로깅을 위한 값. 
				
				tran.callWCSJsonTran('DetailProductViewReal', invokeParams, CurrentView.ui.setDetailProductInform, null, function() {}, true );
			},
			
			//단품의 남아있는 상품 개수를 가져온다. 
			/**
			 * 
			 * isStyle : 스타일이 있을 경우, 없을 경우.
			 */
			getRemainedCatEntry : function( goodType, partNumber, catentryId, callback, attrCnt ) {
				
				var params = {};
				var busChnId = ( Ns.Util.isNull(CurrentView.multiCd) ) ? Const.getBusChannelId() : "SB";
				var multiCd =  ( Ns.Util.isNull(CurrentView.multiCd) ) ? "" : CurrentView.multiCd;
				var offerIdfr = ( Ns.Util.isNull(CurrentView.hdFlashOfferIdfr) ) ? "" : CurrentView.hdFlashOfferIdfr;
				
				if ( goodType == "product" ) {
					params.cmdType = 1;
					params.partNumber = CurrentView.THIS_PARAMs.partNumber;
					params.itemNumber = catentryId;
					params.multiCd = multiCd;
					params.offerIdfr = offerIdfr;
				} else if ( goodType == "gift" ) {
					if( attrCnt > 0 ) { //옵션이 있는 사은품의 경우. 
						params.cmdType = 1;
						params.partNumber = partNumber;
						params.itemNumber = catentryId;
					} else { //옵션 없는 사은품의 경우. 
						params.cmdType = 9;
						params.catentryIds = catentryId;
					}
				} else if ( goodType == "bundle" ) {
					if( attrCnt > 0 ) { //패키지상품 선택시 선택  패키지 상품 재고 가져오기
						params.cmdType = 1;
						params.partNumber = partNumber;
						params.itemNumber = catentryId;
						params.multiCd = multiCd;
						params.offerIdfr = offerIdfr;
					} else { //최초 패키지 상품 재고 가져오기..
						params.cmdType = 9;
						params.catentryIds = catentryId;
						params.multiCd = multiCd;
						params.offerIdfr = offerIdfr;
					}
				}

				params.busChnId = busChnId;
				params.coCd = Const.getCocd();
				
				tran.callWCSJsonTran('NSItemDetailRemainCntAjax', params, callback, null, null, true  );
			},
			 
			getSelectedCatentryIds : function() {
				var catentryIds = "";
				var quantitys = "";
				var result = {};
				if ( CurrentView.styleMngYn == "Y" ) {
					var selCatentryList = $("#selectedOptArea div.selectedOpt");

					for ( var i=0; i<selCatentryList.length; i++) {
						var selCatentry = selCatentryList.eq(i);
						var items = {
							catentryId : selCatentry.attr("id"),
							quantity :  Number( selCatentry.find("input").val() )
						};
						
						catentryIds += items.catentryId + ",";
						quantitys += items.quantity + ",";
					}
					
				} else {
					var catentryId = $("#divOrderQuantityArea").attr( "catentryId" );
					var catentryId = $("#optionSingle").attr( "catentryId" );
					if ( catentryId == "" || catentryId == null )  catentryId = CurrentView.catentryId;
					
					var items = {
						catentryId : catentryId,
						quantity :  Number( $("#inputQuantity").val() )
					};
					
					catentryIds += items.catentryId + ",";
					quantitys += items.quantity + ",";
				} 
				
				result.catentryIds = catentryIds;
				result.quantitys = quantitys;
				
				return result;
			},
			
			//장바구니 또는 바로주문에 넣을 파라미터 셋팅. 
			setInvokeParameters : function() {
				var catalogId = null;
				var cocd = Const.getCocd();
				var espotId = CurrentView.THIS_PARAMs.p_espotid;  if( espotId == "undefined" ) espotId = null;
				var collateralId = CurrentView.THIS_PARAMs.p_bannerid; if( collateralId == "undefined" ) collateralId = null;
				 
				var goodType = ( CurrentView.isPackage ) ? 'bundle1' : 'product';
				var invokeParams = {
					userId : USERINFO.userId(),
					orderId : '.',
					calculationUsage : "-1,-2,-5,-6,-7",
					inventoryValidation : "false", // 번들상품일 경우 true
					cartType : CurrentView.dispTypeCd,
					itemType : goodType
				};

				if ( Ns.Util.isNull(CurrentView.THIS_PARAMs.catalogId ) )
					catalogId = Const.getDefaultCatalogId();
				else 
					catalogId = CurrentView.THIS_PARAMs.catalogId;
				
				var catentryList = [];
				if ( CurrentView.styleMngYn == "Y" ) {
					var selCatentryList = $("#selectedOptArea div.selectedOpt");
					
					for ( var i=0; i<selCatentryList.length; i++) {
						var selCatentry = selCatentryList.eq(i);
						var items = {
							catentryId : selCatentry.attr("id"),
							quantity :  Number( selCatentry.find("input").val() )
						};
						
						catentryList.push( items );
					}
				} else {
					var catentryId = $("#divOrderQuantityArea").attr( "catentryId" );
					var catentryId = $("#optionSingle").attr( "catentryId" );
					
					if ( Ns.Util.isNull(catentryId ) )  catentryId = CurrentView.catentryId;
					
					var items = {
						catentryId : catentryId,
						quantity :  Number( $("#inputFtQuantity").val() )
					};
					
					catentryList.push( items );
				} //end if CurrentView.styleMngYn == "Y"
				
				CurrentView.arrChkData = new Array();
				
				for ( var i=0; i<catentryList.length; i++) {
					var cnt = i+1;
					var items = catentryList[i];
					
					invokeParams[String("quantity_"+cnt)] = items.quantity;
					invokeParams[String("catEntryId_"+cnt)] = items.catentryId;
					invokeParams[String("extCatalogId_"+cnt)] = catalogId;
					
					// 20160323 정헌태 수정 - 모바일 매장실적 누락 오류 수정 관련 수정
					if (undefined != CurrentView.THIS_PARAMs.categoryId && "" != CurrentView.THIS_PARAMs.categoryId){
						invokeParams[String("extCategoryId_"+cnt)] = CurrentView.THIS_PARAMs.categoryId;
					} else {
						invokeParams[String("extCategoryId_"+cnt)] = eval("CurrentView.productCategoryName.partNum_" + CurrentView.THIS_PARAMs.catentryId + ".cateCdEnd");
					}
					
					CurrentView.arrChkData[CurrentView.arrChkData.length] = {"catEntryId" : items.catentryId, "quantity" : items.quantity};
					
					if ( !Ns.Util.isNull(cocd)) invokeParams[String("extPtncd_"+cnt)] = cocd;
					
					invokeParams[String("itemBuschnId_"+cnt)] = CurrentView.busChnId;
					invokeParams[String("itemFlashSaleYn_"+cnt)] = CurrentView.isFlashSale;
					
					if( CurrentView.isFlashSale == "Y")  invokeParams[String("itemOfferItemCd_"+cnt)] = CurrentView.hdFlashOfferIdfr;
					 
					if( !Ns.Util.isNull( espotId ) ) invokeParams[String("extEspotId_"+cnt)] = espotId;
					if( !Ns.Util.isNull( collateralId ) ) invokeParams[String("extCollateralId_"+cnt)] = collateralId;
										
					//캠페인 ID - Push를 통해 들어온 데이터. 
					var itemCampId = Const.getCampaignId();
					if( !Ns.Util.isNull( itemCampId ) ) invokeParams[String("itemCampId_"+cnt)] = itemCampId;
					
					//공동구매 상품일 경우. 
					if ( !Ns.Util.isNull(CurrentView.GROUP_PURCHASE.coBuyId) ) { 
						 invokeParams[String("grpPurchaseYn_"+cnt)] = "Y";
						 invokeParams[String("grpPurchaseOwner_"+cnt)] = CurrentView.GROUP_PURCHASE.grpPurchaseOwner;
						 invokeParams[String("itemCoBuyId_"+cnt)] = CurrentView.GROUP_PURCHASE.coBuyId;
					}
					
					//TV 상품일 경우. 
					if ( CurrentView.TV_PROPs.isTVProduct ) { 
						 invokeParams[String("itemPgmCd_"+cnt)] = CurrentView.TV_PROPs.pgmcd;
						 invokeParams[String("itemBrdctDate_"+cnt)] = CurrentView.TV_PROPs.brdctDate;
						 invokeParams[String("itemBrdctCnnlCd_"+cnt)] = CurrentView.TV_PROPs.brdctCnnlCd;
					}
					
					//쇼핑북의 경우. multiCd에 SB로 정보가 담겨 있음. 
					if ( !Ns.Util.isNull( CurrentView.multiCd ) ) invokeParams[String("itemMultiCd_"+cnt)] = CurrentView.multiCd; 

				} // end for loop
				
				//팩상품 또는 사은품??
				if( CurrentView.isPackage ) {
					var selectedCount = 1;
					$("select[name=selPackList]").each(function() {
						var selOpt = $(this).val();
						if ( selOpt != "") {
							var tmp = selOpt.split("_");
							invokeParams[String("relCatEntryId_"+selectedCount)] = tmp[2];
							invokeParams[String("relQuantity_"+selectedCount)] = invokeParams.quantity_1; 
							invokeParams[String("suborditemId_"+selectedCount)] =selectedCount; 
							invokeParams[String("extPartgubun_"+selectedCount)] = "P"; 
							
							selectedCount++;
						}
					});
					
					$("input[name=hdAttrIdentifier]").each(function() {
						var selOpt = $(this).val();
						
						if ( selOpt != "") {
							var tmp = selOpt.split("_");
							
							invokeParams[String("relCatEntryId_"+selectedCount)] = tmp[2];
							invokeParams[String("relQuantity_"+selectedCount)] = invokeParams.quantity_1; 
							invokeParams[String("suborditemId_"+selectedCount)] =selectedCount; 
							invokeParams[String("extPartgubun_"+selectedCount)] = "P"; 
							
							selectedCount++;
						}
			   		});
				} 
				
				if ( CurrentView.isGift  ) { 
					var selectedCount = 1;
					for ( var k=0; k<CurrentView.giftItemCount; k++) {
						
						$("button[name=selGiftList_"+k+"]").each(function() {
							var key = $(this).attr("id").replace( /selGiftList_/g, "");
							var relQuantity = $("input[id=txtBnftVal_"+key+"]").val(); 
							
							var selOpt = $(this).val();

							if ( selOpt != "") {
								invokeParams[String("relCatEntryId_"+selectedCount)] = selOpt;
								invokeParams[String("relQuantity_"+selectedCount)] = relQuantity; 
								invokeParams[String("suborditemId_"+selectedCount)] =selectedCount; 
								invokeParams[String("extPartgubun_"+selectedCount)] = "F"; 
								
								selectedCount++;
							}
						});
					}
					
					for ( var k=0; k<CurrentView.giftItemCount; k++) {
						$("input[name=giftAttrValue_"+k+"]").each(function() {
							var key = $(this).attr("id").replace( /giftAttrValue_/g, "");
							var relQuantity = $("input[id=txtBnftVal_"+key+"]").val(); 
							
							var selOpt = $(this).val();
							if ( selOpt != "") {
								invokeParams[String("relCatEntryId_"+selectedCount)] = selOpt;
								invokeParams[String("relQuantity_"+selectedCount)] = relQuantity; 
								invokeParams[String("suborditemId_"+selectedCount)] =selectedCount; 
								invokeParams[String("extPartgubun_"+selectedCount)] = "F"; 
								
								selectedCount++;
							}
				   		});
					}
				}
				
				return invokeParams;
			},
			
			checkCartValues : function() {
				
				if ( CurrentView.isGift  ) { 
					var selectedCount = 0;
					
					for ( var k=0; k<CurrentView.giftItemCount; k++) {
						$("button[name=selGiftList_"+k+"]").each(function() {
							var selOpt = $(this).val();
							
							if ( selOpt != "" && selOpt != "0" ) {
								selectedCount++;
							} else {
								var key = $(this).attr("id").replace( /selGiftList_/g, "");
								var essnOfferYn = Number( $("txtEssnOfferYn_" + key).val());
								if ( essnOfferYn > 0 ) {
									var objAlertParam = new Object();
									objAlertParam.msg = "사은품 " + (k+1) + "의 선택된 사은품이 없습니다.";
									objAlertParam.aletType = "nAlert";
									objAlertParam.position = "bottom";
									Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
									return false;
								}
							}
						});
					}
					
					for ( var k=0; k<CurrentView.giftItemCount; k++) {
						$("input[name=giftAttrValue_"+k+"]").each(function() {
							var selOpt = $(this).val();
							if ( selOpt != "" && selOpt != "0" ) {
								selectedCount++;
							}
						});
					}
					
					if ( selectedCount < CurrentView.giftChoiceCnt ) {
						if( selectedCount == 0 ) {
							var objAlertParam = new Object();
							objAlertParam.msg = "선택된 사은품이 없습니다.</br>사은품을 선택하세요.";
							objAlertParam.aletType = "nAlert";
							objAlertParam.position = "bottom";
							Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
							return false;
						} else {
							var objAlertParam = new Object();
							objAlertParam.msg = "사은품을 " + CurrentView.giftChoiceCnt  + "개 선택하세요.";
							objAlertParam.aletType = "nAlert";
							objAlertParam.position = "bottom";
							Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
							return false;
						}
					}
				}
				
				if ( CurrentView.styleMngYn == "Y" ) {
					var selCatentryList = $("#selectedOptArea div.selectedOpt");
					var len = selCatentryList.length;
					if ( len == 0 ) {
						var objAlertParam = new Object();
						objAlertParam.msg = "상품 옵션/수량을 선택해주세요.";
						objAlertParam.aletType = "nAlert";
						objAlertParam.position = "bottom";
						Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
						return false;
					}
				} else {
					var quantity = Number( $("#inputFtQuantity").val() );
					if( quantity < 1 ) {
						var objAlertParam = new Object();
						objAlertParam.msg = "상품 옵션/수량을 선택해주세요.";
						objAlertParam.aletType = "nAlert";
						objAlertParam.position = "bottom";
						Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
						return false;
					}
				}
				
				return true;
			},
			
			//장바구니 담기 전 또는 바로주문 전에 해당 상품의 쿠폰을 다운로드한다. 
			execCouponAutoSave : function() {
				if ( Ns.Util.isNull(CurrentView.hdCpIDFR) || CurrentView.hdCpIDFR.length ==0 )  return false; 
				
				var cpIdfr = "";
				var beforePrice = "";
				for ( var k=0; k<CurrentView.hdCpIDFR.length; k++) {
					cpIdfr += (k==0) ? CurrentView.hdCpIDFR[k].cpIdfr : "," +CurrentView.hdCpIDFR[k].cpIdfr;
					beforePrice += (k==0) ? CurrentView.hdCpIDFR[k].beforePrice : "," +CurrentView.hdCpIDFR[k].beforePrice;
				}
				//case 1. CurrentView.hdCpIDFR의 모든 쿠폰 정보를 "쿠폰1,쿠폰2,쿠폰3,...."로 저장한다. --> set cpIdfr
				var itemCnt = 0;
				
				if ( CurrentView.styleMngYn == "Y" ) {
					var selCatentryList = $("#selectedOptArea div.selectedOpt");
					
					for ( var i=0; i<selCatentryList.length; i++) {
						var selCatentry = selCatentryList.eq(i);
						itemCnt += Number( selCatentry.find("input").val() );
					}
				} else {
					itemCnt = Number( $("#inputQuantity").val() );
				} 
				
				var param = {};
				param.cmdType = 8;
				param.cpIdfr = cpIdfr;
				param.itemCnt = itemCnt;
				param.couponBeforePrice = beforePrice;
				
				// 20150325 정헌태 추가 - vdn_cd (모바일 주문 접수 응대 번호) 데이터 다음 API 호출 시 추가
				if (mainCtrl.isOsApp()){	// App
					param.vdn_cd = "54101";
				} else {	// Web
					param.vdn_cd = "54102";
				}
								
				tran.callWCSJsonTran('NSItemDetailAjax', param, function(data) {} );
			},
			
			getCouponParams : function() {
				if ( Ns.Util.isNull(CurrentView.hdCpIDFR) || CurrentView.hdCpIDFR.length==0 )  return null; 
				
				var cpIdfr = "";
				var beforePrice = "";
				for ( var k=0; k<CurrentView.hdCpIDFR.length; k++) {
					cpIdfr += (k==0) ? CurrentView.hdCpIDFR[k].cpIdfr : "," +CurrentView.hdCpIDFR[k].cpIdfr;
					beforePrice += (k==0) ? CurrentView.hdCpIDFR[k].beforePrice : "," +CurrentView.hdCpIDFR[k].beforePrice;
				}
				//case 1. CurrentView.hdCpIDFR의 모든 쿠폰 정보를 "쿠폰1,쿠폰2,쿠폰3,...."로 저장한다. --> set cpIdfr
				var itemCnt = 0;
				
				if ( CurrentView.styleMngYn == "Y" ) {
					var selCatentryList = $("#selectedOptArea div.selectedOpt");
					
					for ( var i=0; i<selCatentryList.length; i++) {
						var selCatentry = selCatentryList.eq(i);
						itemCnt += Number( selCatentry.find("input").val() );
					}
				} else {
					itemCnt = Number( $("#inputQuantity").val() );
				} 
				
				var param = {};
				param.cmdType = 8;
				param.cpIdfr = cpIdfr;
				param.couponBeforePrice = beforePrice;
				param.itemCnt = itemCnt;
				
				return param;
			},
			
			//바로 주문. 
			// isOnlyUser : 로그인 회원만 가능한가? 정기배달의 경우 비회원 주문 안됨.
			executeRightOrder : function( isOnlyUser ) {
				var isTrue = CurrentView.data.checkCartValues(); if( !isTrue ) return false;
				var invokeParams = CurrentView.data.setInvokeParameters();
				var coupons = CurrentView.data.getCouponParams();
				
				// 20150325 정헌태 추가 - vdn_cd (모바일 주문 접수 응대 번호) 데이터 다음 API 호출 시 추가
				if (mainCtrl.isOsApp()){	// App
					invokeParams.vdn_cd = "54101";
				} else {	// Web
					invokeParams.vdn_cd = "54102";
				}
				
				invokeParams.directOrderYN = "Y";	// 바로주문 클릭하여 주문 넘어갈 경우 세팅
				
				CurrentView.event.checkLoginStatus( "AjaxNSOrderPayNow4Worklight", invokeParams,  "M_B1310000M", isOnlyUser, coupons );
			},

			setTVInform : function( data ) {
				var date = Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss' );
				var currentTime = Ns.Date.getDateParse( date );
				
				for( var i=0; i<data.length; i++ ) {
					var items = data[i];
					
					var stime = Ns.Date.getDateParse( items.formStartDttm );
					var etime = Ns.Date.getDateParse( items.formEndDttm );
					
					CurrentView.TV_PROPs.isTVProduct = true;
					CurrentView.TV_PROPs.pgmcd = items.pgmCd;
					CurrentView.TV_PROPs.brdctCnnlCd =  items.cnnlNumCd;
					CurrentView.TV_PROPs.brdctDate =  items.brdctDate;
					
					if ( items.vodFilePath != "" )  CurrentView.TV_PROPs.videoUrl = items.vodFilePath;
					
					if ( stime <= currentTime && etime > currentTime  ) {
						CurrentView.TV_PROPs.isLive = true;
					}
				}
			},
			
			sendLoggingData : function( catentryId ){
				var invoke = CurrentView.THIS_PARAMs;
				if ( Ns.Util.isNull( invoke.catgroupId ) ){
					invoke.catgroupId = "";
				}
				
				if ( Ns.Util.isNull( invoke.categoryId ) ){
					invoke.categoryId = "";
				}
				
				if ( Ns.Util.isNull( invoke.catentryId ) ){
					invoke.catentryId = catentryId;
				}
				
				if ( Ns.Util.isNull( invoke.p_espotid ) ){
					invoke.p_espotid = "";
				}
				
				if ( Ns.Util.isNull( invoke.p_bannerid ) ){
					invoke.p_bannerid = "";
				}
				
				tran.callPageLogging( navi.getPageId(), invoke );
			},
			
			//result Callback
			//=====================================================
			//적립쿠폰 받은후 msg 처리  2015/11/19  by seo4872
			// add by seo4872   2015/11/23
			//=====================================================
			resultCallback : function(data){
				var msg = data.msg.root.rtnMsg;
				Ns.Popup.alert( msg );
			},
			
			/*
			 * getProductSelected : 웹뷰 주문서 화면에서 주문중인(선택된) 상품이 있는지 확인하여 네이티브로 리턴
			 */
			getProductSelected : function(){
				ETVPluginBridge.callExitFullView(true);
			}
			
		}, //end data function 
		
		//ui 관련 함수를 정의한다.
		ui : {
			soldOutMsg : '매진되었습니다.\n빠른 시간내에 상품을 준비하겠습니다.',
			
			/**
			 * 화면에 이벤트 베너 리스트를 출력한다.
			 */
			setUiETV_LIVE_BANNER : function(data){
				if (null == data.msg.root || undefined == data.msg.root){
					return;
				}
				
				if (null == data.msg.root._ETV_LIVE_BANNER || undefined == data.msg.root._ETV_LIVE_BANNER || data.msg.root._ETV_LIVE_BANNER.length <= 0){
					return;
				}
				
				for (var i = 0; data.msg.root._ETV_LIVE_BANNER.length > i; i++){
					data.msg.root._ETV_LIVE_BANNER[i].aBanner = "<img src=\"http:" + data.msg.root._ETV_LIVE_BANNER[i].imgUrl + "\" alt=\"\" />";
				}
				
				Ns.UI.drawList(data.msg.root._ETV_LIVE_BANNER, "uiETV_LIVE_BANNER");	// 화면 그리기
				
				$("#uiETV_LIVE_BANNER").find("a[name=aBanner]").off().on("click", function(){
					var objData = $(this).data("data");
					
					var objParam = new Object();
					objParam.clickTarget = objData.clickTarget;
					objParam.contentsId = objData.contentsId;
					objParam.clickCode = objData.clickCode;
					objParam.espotId = objData.espotId;
					objParam.mdUrl = objData.mdUrl;

					/*
					 * 네이티브 confirm노출 후 처리
					 * 
					 * msg   - String - confirm에 출력될 메시지
					 * param2   - String   - 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 *             - function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param3   - String   - function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 * param4   - String   - 취소 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 *             - function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param8   - String   - function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 */
					try{
						if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
							 var text = encodeURIComponent("해당 페이지로 이동하시겠습니까?");
							 var param = encodeURIComponent(JSON.stringify(objParam));
							 setTimeout(
									 function(){document.location.href="tvviewcallconfirm://"+ text + "//Ns.UI.espotClickEvent//" + param;}
									 , 250);
						} else {
							 ETVPluginBridge.callConfirm("해당 페이지로 이동하시겠습니까?", "Ns.UI.espotClickEvent", JSON.stringify(objParam), null, null);
						}
					} catch (e) {
						// TODO: handle exception
						alert("해당 페이지로 이동하시겠습니까?");
					}
					
				});
			},
			
			setDetailProductInform : function( data ) {
				var info = data.msg.goods[0].info; //상품정보

				if( info == null || info == "" ) {
					Ns.Popup.alert( Messages.procedure_error);
					var param = new Object;
					param.ErrorCode = "PE";
					param.p_espotid = "DetailProductViewReal";
					tran.callPageLogging("LoggingPage", param);
					return false;
				}

				// 알뜰 할인가 마이너스 값일 경우 처리 
				if (info.salePrice < 0){
					/*
					 * 네이티브 alert노출 후 처리
					 * 
					 * msg	- String - alert에 출력될 메시지
					 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 */
					try{
						if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
                        	var text = encodeURIComponent(CurrentView.ui.soldOutMsg);
                        	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
                        }
						else {
							ETVPluginBridge.callAlert(CurrentView.ui.soldOutMsg , null ,null);   // alert 후 처리
						}
						$("#btnAfterBottom").trigger("click");
					} catch (e) {
						// TODO: handle exception
						Ns.Popup.alert( CurrentView.ui.soldOutMsg, function(){ navi.naviBack(); } );
					}
					
					return false;
				}
				
				//로깅데이터 세팅 및 보내기
				CurrentView.data.sendLoggingData( info.catentryId );
				
				if(  info.dispTypeCd == "" ) {
					
					/*
					 * 네이티브 alert노출 후 처리
					 * 
					 * msg	- String - alert에 출력될 메시지
					 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 */
					try{
						if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
							var text = encodeURIComponent(CurrentView.ui.soldOutMsg);
	                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
                        }
						else {
							ETVPluginBridge.callAlert(CurrentView.ui.soldOutMsg , null ,null);   // alert 후 처리
						}
						$("#btnAfterBottom").trigger("click");
					} catch (e) {
						// TODO: handle exception
						Ns.Popup.alert( CurrentView.ui.soldOutMsg, function() {
							mainCtrl.onBackButtonPressed();
							return false;
						});
					}
					
					return false;
				}
				
				//미승인 상태 상품이 출력되었을 경우. 
				if( info.apprStatCd != "20" && info.apprStatCd != "30" && info.apprStatCd != "40" ) {
					
					/*
					 * 네이티브 alert노출 후 처리
					 * 
					 * msg	- String - alert에 출력될 메시지
					 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 */
					try{
						if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
							var text = encodeURIComponent(CurrentView.ui.soldOutMsg);
	                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
                        }
						else {
							ETVPluginBridge.callAlert(CurrentView.ui.soldOutMsg , null ,null);   // alert 후 처리
						}
						$("#btnAfterBottom").trigger("click");
					} catch (e) {
						// TODO: handle exception
						Ns.Popup.alert( CurrentView.ui.soldOutMsg, function() {
							mainCtrl.onBackButtonPressed();
							return false;
						} );
					}
					return false;
				}
				
				if ( ( info.dispTypeCd != "30" && info.priodDlvrYn=="Y" )  || ( info.dispTypeCd == "30" && info.priodDlvrYn=="N" )) {
					
					/*
					 * 네이티브 alert노출 후 처리
					 * 
					 * msg	- String - alert에 출력될 메시지
					 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 */
					
					try{
						if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
							var text = encodeURIComponent(CurrentView.ui.soldOutMsg);
	                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
                        }
						else {
							ETVPluginBridge.callAlert(CurrentView.ui.soldOutMsg , null ,null);   // alert 후 처리
						}
						$("#btnAfterBottom").trigger("click");
					} catch (e) {
						// TODO: handle exception
						Ns.Popup.alert( CurrentView.ui.soldOutMsg, function() {
							mainCtrl.onBackButtonPressed();
							return false;
						} );
					}
					
					return false;
				}
				
				//판매불가 상품일 경우
				if (info.buyable == 0){
					
					/*
					 * 네이티브 alert노출 후 처리
					 * 
					 * msg	- String - alert에 출력될 메시지
					 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 */
					try{
						if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
							var text = encodeURIComponent(CurrentView.ui.soldOutMsg);
	                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
                        }
						else {
							ETVPluginBridge.callAlert(CurrentView.ui.soldOutMsg , null ,null);   // alert 후 처리
						}
						$("#btnAfterBottom").trigger("click");
					} catch (e) {
						// TODO: handle exception
						Ns.Popup.alert( CurrentView.ui.soldOutMsg ,function(){
							mainCtrl.onBackButtonPressed();
							return false;
						},null,true);
					}
					
					return false;
				}
				
				//판매불가 상품(매장)일 경우
				if ( info.noSaleCatalogYn == "Y" ){
					/*
					 * 네이티브 alert노출 후 처리
					 * 
					 * msg	- String - alert에 출력될 메시지
					 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 */
					
					try{
						if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
							var text = encodeURIComponent(CurrentView.ui.soldOutMsg);
	                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
                        }
						else {
							ETVPluginBridge.callAlert(CurrentView.ui.soldOutMsg , null ,null);   // alert 후 처리
						}
						$("#btnAfterBottom").trigger("click");
					} catch (e) {
						// TODO: handle exception
						Ns.Popup.alert( info.noSaleCatalogMsg , function(){
							mainCtrl.onBackButtonPressed();
							return false;
						},null,true);
					}
					
					return false;
				}
				
				//상품 판매가능 여부 (Y=판매가능 N=판매불가)와 DB에서 삭제된 상품인지 체크
				if ( info.saleYn == "N" || info.markForDelete == 1 ){
					/*
					 * 네이티브 alert노출 후 처리
					 * 
					 * msg	- String - alert에 출력될 메시지
					 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 */
					try{
						if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
							var text = encodeURIComponent(CurrentView.ui.soldOutMsg);
	                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
                        }
						else {
							ETVPluginBridge.callAlert(CurrentView.ui.soldOutMsg , null ,null);   // alert 후 처리
						}
						$("#btnAfterBottom").trigger("click");
					} catch (e) {
						// TODO: handle exception
						Ns.Popup.alert( CurrentView.ui.soldOutMsg ,function(){
							mainCtrl.onBackButtonPressed();
							return false;
						},null,true);
					}
					
					return false;
				}
							
				//실물상품권일 경우 판매 불가
				if( info.dispTypeCd == "60" ){
					
					/*
					 * 네이티브 alert노출 후 처리
					 * 
					 * msg	- String - alert에 출력될 메시지
					 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 */
					
					try{
						if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
							var text = encodeURIComponent(CurrentView.ui.soldOutMsg);
	                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
                        }
						else {
							ETVPluginBridge.callAlert(CurrentView.ui.soldOutMsg , null ,null);   // alert 후 처리
						}
						$("#btnAfterBottom").trigger("click");
					} catch (e) {
						// TODO: handle exception
						Ns.Popup.alert( CurrentView.ui.soldOutMsg ,function(){
							mainCtrl.onBackButtonPressed();
							return false;
						},null,true);
					}
					
					return false;
				}
				
				//방송한정 상품인데 해당 시간이 아닌 경우 판매불가
				if ( info.liveLimit == "N" ){
					
					/*
					 * 네이티브 alert노출 후 처리
					 * 
					 * msg	- String - alert에 출력될 메시지
					 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 */
					try{
						Ns.Util.viewConsoleLog("jjko test11 = " + mainCtrl.VIEW_TYPE);
						if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
							var text = encodeURIComponent("해당 상품은 방송시간 중에만 구매하실 수 있습니다.");
	                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
                        }
						else {
							ETVPluginBridge.callAlert("해당 상품은 방송시간 중에만 구매하실 수 있습니다." , null ,null);   // alert 후 처리
						}
						$("#btnAfterBottom").trigger("click");
					} catch (e) {
						// TODO: handle exception
						Ns.Popup.alert("해당 상품은 방송시간 중에만 구매하실 수 있습니다.",function(){
							mainCtrl.onBackButtonPressed();
							return false;
						},null,true);
					}
					
					return false;
				}
				
				var isSale = false;
				if ( info.salePrice != 0 && info.salePrice < info.offerPrice ){
					isSale = true;
				}
				
				CurrentView.chcChildYn = info.chcChildYn;
				CurrentView.dispTypeCd =  info.dispTypeCd;
				CurrentView.GROUP_PURCHASE.coBuyId = info.coBuyId; //공동구매 코드
				CurrentView.maxItemCountOnOnce = info.maxItemCountOnOnce; //1회당 최대 주문 수량. 
				CurrentView.catentryId = info.catentryId;
				CurrentView.busChnId = info.busChnId;
				
				CurrentView.productCnt = info.productCnt; //남은 수량. 
				CurrentView.salePrice = info.salePrice; //판매가.
				CurrentView.offerPrice = info.offerPrice;
				CurrentView.catGb = info.catGb;// 몰 구분 --> 상품평 진입을 위한 파라미터. 
				CurrentView.costTypeCd = info.costTypeCd; //원가유형-미리계산하기에서 사용
				
				CurrentView.priodDlvrYn = info.priodDlvrYn; //정기배달상품여부
				CurrentView.payTypeCd = info.payTypeCd; //정기배달 지불 수단. 
				CurrentView.dlvrNumber = info.dlvrNumber; //정기배달 회수. 
				
				CurrentView.SERVICE_PRODs.orderPrgrsTypeCd = info.orderPrgrsTypeCd; //주문진행유형코드 - 상담에서 사용. 
				CurrentView.SERVICE_PRODs.goodsTypeCd = info.goodsTypeCd; //상품유형코드 - 상담에서 사용
				
				CurrentView.vendorId = info.vendorId; //배송비 절약상품. 
				CurrentView.outgoLocCd = info.outgoLocCd; //배송비 절약상품 - 출고지 코드. 
				
				CurrentView.noSaleCatalogYn = info.noSaleCatalogYn; //판매불가 상품 유무
				CurrentView.noSaleCatalogMsg = info.noSaleCatalogMsg; //판매불가 상품 메세지
				
				if ( info.tvList	 != null && info.tvList	!= ""   ) {
					CurrentView.data.setTVInform( info.tvList );
				} else {
					CurrentView.TV_PROPs.isTVProduct = false;
				}
				
				CurrentView.ui.setBaseInfo( info.packPartNumbers ); //전시유형별로 특징들 나열..
				CurrentView.ui.setProductName( info.brandCd, info.brandName, info.productName, info.vendorId, info.alliMallGoodsCd, info.headCopy, info.partNumber ); //상품명 출력
				
				var couponListCount = 0;
				CurrentView.couponList = info.couponList; //미리계산기에서 사용.  
				if (info.couponList != null && info.couponList !="" ) couponListCount =  info.couponList.length;
				
				CurrentView.ui.setOfferPriceInfo( info.okCashUndispYn, info.offerPrice, info.salePrice, info.applyPrice, info.saleRate, info.appSaleRate, info.cpcValue, info.cpcAmt, info.cpcDcWay,
														info.priceofferprice, info.arsAmt, couponListCount, info.dlvrInfo ); //판매가, 알뜰할인가 등  출력.
				CurrentView.ui.setCouponInfo( info.couponList, info.couponSubList, info.cpcValue, info.offerPrice, info.salePrice, info.okCashUndispYn ); //쿠폰할인 적용.

				ENTITLED_ITEMS.items = info.optionList;
				
				var isSoldOut = CurrentView.ui.checkSoldOut( info.productCnt, info.maxItemCountOnOnce ); //매진 여부 판단.
				isSoldOut = false;
				if( isSoldOut )  {
					
					/*
					 * 네이티브 alert노출 후 처리
					 * 
					 * msg	- String - alert에 출력될 메시지
					 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 */
					try{
						if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
							var text = encodeURIComponent(CurrentView.ui.soldOutMsg);
	                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
                        }
						else {
							ETVPluginBridge.callAlert(CurrentView.ui.soldOutMsg , null ,null);   // alert 후 처리
						}
						$("#btnAfterBottom").trigger("click");
					} catch (e) {
						// TODO: handle exception
						Ns.Popup.alert( CurrentView.ui.soldOutMsg, function(){
							navi.setMovePointer(-1);
							mainCtrl.onBackButtonPressed();
						});
					}
					
					return false;
				}
				
				CurrentView.ui.setGiftInfo( info.giftBnftList );
				CurrentView.ui.setPackageInfo(  info.packPartNumbers );
				CurrentView.ui.setOption(); //옵션 설정.
				
				if( CurrentView.isSoldOut )  {
					
					/*
					 * 네이티브 alert노출 후 처리
					 * 
					 * msg	- String - alert에 출력될 메시지
					 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 */
					try{
						if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
							var text = encodeURIComponent(CurrentView.ui.soldOutMsg);
	                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
                        }
						else {
							ETVPluginBridge.callAlert(CurrentView.ui.soldOutMsg , null ,null);   // alert 후 처리
						}
						$("#btnAfterBottom").trigger("click");
					} catch (e) {
						// TODO: handle exception
						Ns.Popup.alert( CurrentView.ui.soldOutMsg, function(){
							mainCtrl.onBackButtonPressed();
						});
					}
					
					return false;
				}
				
				CurrentView.ui.setTotalProductPrice(); //salePrice(판매가) - 총상품금액.
				
				info.multiCd = CurrentView.multiCd;
				mainCtrl.setRecentlyViewedProducts(info); //최근 본 상품 저장..
				CurrentView.productInfo = info;
				
				//추천상품을 위한 partNubmer 저장.
				RECOMMEND_ENTRY.setRecommendEntry( CurrentView.catentryId );
				
				//쇼핑북상품 확인
				if( CurrentView.busChnId == "SB" &&  Ns.Util.isNull( CurrentView.multiCd ) ) {
					CurrentView.ui.checkSoldOut( 0, 0 );
					
					/*
					 * 네이티브 alert노출 후 처리
					 * 
					 * msg	- String - alert에 출력될 메시지
					 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 */
					try{
						if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
							var text = encodeURIComponent(CurrentView.ui.soldOutMsg);
	                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
                        }
						else {
							ETVPluginBridge.callAlert(CurrentView.ui.soldOutMsg , null ,null);   // alert 후 처리
						}
						$("#btnAfterBottom").trigger("click");
					} catch (e) {
						// TODO: handle exception
						Ns.Popup.alert( CurrentView.ui.soldOutMsg, function(){
							navi.setMovePointer(-1);
							mainCtrl.onBackButtonPressed();
						});
					}
					
					return false;
				}
				
				//상품 이벤트 확인
				var endDate = Ns.LocalStorage.get(STORAGE_KEY.EVENT_POPUP_DETAIL);
		
				//=====================================================
				//팝업을 보여줄지 여부 
				//true :팝업보임   false : 팝업안보임 
				// add by seo4872   2015/11/23
				//=====================================================
				if(!Ns.Date.getBdDay(endDate)  && CurrentView.inIsShowPopUp == true  ){
					var invoke = {
						type : STORAGE_KEY.EVENT_POPUP_DETAIL
					};
					
					invoke.vendorId = info.vendorId;
					invoke.partNumber = info.partNumber;
					mainCtrl.eventPopup(invoke);
				}
				
				/*** 상품 카테고리 정리 시작 ***/
				for (var j = 0; j < data.msg.goods.length; j++){
					var good = data.msg.goods[j];
					
					var strCateCdFull = "";	// '@/'를 구분자로 하여 순서대로 나열된 카테고리 코드 문자열
					var strCateNmFull = "";	// '@/'를 구분자로 하여 순서대로 나열된 카테고리 이름 문자열
					
					var cateCdEnd = "";
					var cateNmEnd = "";
					
					eval("CurrentView.productCategoryName.partNum_" + good.info.catentryId + "= new Object();");
					eval("CurrentView.productCategoryName.partNum_" + good.info.catentryId + ".success = true");
					
					try{
						for (var i = 5; i >= 1; i--){
							var cateCode = eval("good.info.mparam.cate" + i + "Code");
							var cateName = eval("good.info.mparam.cate" + i + "Nm");
							
							if (strCateCdFull == "" && null == cateCode){
								// 별도 동작 하지 않음
							} else {
								if (strCateCdFull == ""){
									strCateCdFull = cateCode
									strCateNmFull = cateName
									
									cateCdEnd = cateCode;
									cateNmEnd = cateName;
								} else {
									
									if (cateCode == null || cateCode == undefined){
										cateCode = "";
										cateName = "";
									}
									
									strCateCdFull = cateCode + "@/" + strCateCdFull
									strCateNmFull = cateName + "@/" + strCateNmFull
								}
							}
						}
						
						eval("CurrentView.productCategoryName.partNum_" + good.info.catentryId + ".cateCdFull='" + strCateCdFull + "'");
						eval("CurrentView.productCategoryName.partNum_" + good.info.catentryId + ".cateNmFull='" + strCateNmFull + "'");
						
						eval("CurrentView.productCategoryName.partNum_" + good.info.catentryId + ".cateCdEnd='" + cateCdEnd + "'");
						eval("CurrentView.productCategoryName.partNum_" + good.info.catentryId + ".cateNmEnd='" + cateNmEnd + "'");
						
						for (var i = 1; i <= 5; i++){
							var cd = eval("good.info.mparam.cate" + i + "Code");
							var nm = eval("good.info.mparam.cate" + i + "Nm");
							eval("CurrentView.productCategoryName.partNum_" + good.info.catentryId + ".cate" + i + "Code='" + cd + "'");
							eval("CurrentView.productCategoryName.partNum_" + good.info.catentryId + ".cate" + i + "Nm='" + nm + "'");
						}
					} catch (e) {
						// TODO: handle exception
						eval("CurrentView.productCategoryName.partNum_" + good.info.catentryId + ".success = false");
					}
				}
				/*** 상품 카테고리 정리 종료 ***/
				
				//=====================================================
				// 이벤트 팝업을 클릭하고 진입 한경우 쿠폰을 자동으로 발급 받게 한다
				// add by seo4872   2015/11/23
				//=====================================================
				if(CurrentView.inIsShowPopUp == false){
					CurrentView.event.doDownNsCoupon( CurrentView.inCocd );
				}
				
			},
			
			/**
			 * 기본 상품정보를 출력한다. 
			 * 상품의 특성에 따라 화면에 보여지는 액션 버튼(바로구매, 장바구니, 컬렉션, NS정기배달, 방송알리미)들이 달라진다. 
			 * 
			 * dispTypeCd : 전시타입
			 *  10 : 일반 - 단품 없음
				15 : 일반 - 단품 있음
				20 : Pack 상품
				25 : Choice 생상품 ( 무형 )
				30 : 정기배달
				35 : 무형 - 여행
				40 : 무형 - 보험
				45 : 무형 - 렌탈
				50 : 무형 - 기프트쇼
				55 : 무형 - 모바일상품권
				56 : 무형 - 장례
				57 : 2차 컨택상품
				58 : 무형 - 광고
				59 :
				60 : 실물상품권
			 * 
			 * packPartNumbers : 팩상품 아이디 리스트
			 */
			setBaseInfo : function( packPartNumbers ) {
				if( mainCtrl.VIEW_TYPE == "other" ) {
					$("#sns_kakaotalk").hide();
				}

				var chcChildYn = CurrentView.chcChildYn;
				var dispTypeCd = CurrentView.dispTypeCd;
				var noSaleCatalogYn = CurrentView.noSaleCatalogYn;
				
				if(noSaleCatalogYn == "Y"){
					$("#btnFtNSMallRightOrder").removeClass("none");
				} else if ( chcChildYn != "Y" ) {
					if ( dispTypeCd == "50" ) {  //기프트쇼 - 바로주문만 가능.
					} else 	if( dispTypeCd =='45' || dispTypeCd=='57' || dispTypeCd=='59') { //2차 컨텍상품이면.  35-여행
						$("#divBillingTable").hide(); //상품총 금액 비활성화.
						$("#sumArea_num").hide();
					} else if(CurrentView.dispTypeCd == '35' || CurrentView.dispTypeCd == '40' || CurrentView.dispTypeCd == '56' || CurrentView.dispTypeCd == '58' || CurrentView.dispTypeCd == '59'){ //2차컨텍 상품일경우.
						$("#divBillingTable").hide(); //상품총 금액 비활성화.
					} else {
						$("#btnRightOrder").show(); //바로구매
						
						if( CurrentView.TV_PROPs.isTVProduct == false ) {
							// empty
						} else {
							// empty
						}
					}
				}
				
				//상담상품은 비회원 주문 불가
				
				if ( !Ns.Util.isNull(packPartNumbers) ) {
					CurrentView.isPackage = true;
				}
				
				if ( chcChildYn == "Y" ) {
					$("#divBillingTable").hide(); //상품총 금액 비활성화. 
				}
				
				//초이스 상품일 때
				if( dispTypeCd == "25"){
					$("#divOptionArea").hide();
					$("#divOrderQuantityArea").hide();
					$("#divBillingTable").hide();
					$("#divNextActionButtonArea").hide();
				}
				
				$("#btnFtArea").show();
			},
			

			/**
			 * 상품명 출력. 
			 * 
			 * brandName : 브랜드명
			 * productName : 상품명
			 * vendorId : 제휴 백화점 ID
			 * alliMallGoodsCd : 백화점 상품코드
			 * headCopy : 헤드카피
			 */
			setProductName : function( brandCd, brandName, productName, vendorId, alliMallGoodsCd, headCopy, partNumber ) {
				var productNo = (  !Ns.Util.isNull(CurrentView.multiCd) ) ? CurrentView.multiCd : partNumber;
				
				var htmlTxtLive = productName;
				if ( productNo != null && productNo != "" ) {
					htmlTxtLive += "(상품번호 : " + productNo + ")";
				}
				
				CurrentView.productName = productName;
				$("#headTitle").html( htmlTxtLive );
			},
			
			//총 금액을 계산한다. 
			setTotalProductPrice : function(objInput) {
				var strTotalPrice = 0;
				CurrentView.nTotalPrice = 0;
				if ( CurrentView.styleMngYn == "Y" ) {
					var selCatentryList = $("#selectedOptArea div.selectedOpt");
					for ( var i=0; i<selCatentryList.length; i++) {
						var input = selCatentryList.eq(i).find("input");
						var price = Number( selCatentryList.eq(i).attr("price") ); 

						var quantity = 0;
						
						if (input.length == 0){
							if (selCatentryList.eq(i).find("#lental").length > 0){
								quantity = 1; 
							}
								
						} else {
							quantity = Number( input.val() )
						}
						
						CurrentView.nTotalPrice += ( price * quantity );
					}
					
					if ( CurrentView.nTotalPrice == 0 ) { //옵션상품으로 옵션 선택이 없는 최초일때 0원이며 판매가를 총판매금액으로 설정. 
						if ( CurrentView.salePrice!=0 && CurrentView.offerPrice!=CurrentView.salePrice ) {
							CurrentView.nTotalPrice = CurrentView.salePrice;
							CurrentView.nTotalPrice = 0;
						} else {
							if ($("div[name=selectedOptFt]").length > 0){
								CurrentView.nTotalPrice = CurrentView.offerPrice;
							}
						} 
					}
				} else {
					var quantity = 0;
					
					if (undefined != objInput){
						quantity = Number( objInput.val() );
					} else {
						 quantity = Number( $("#inputQuantity").val() );
						 quantity = Number( $("#inputFtQuantity").val() );
					}
					
					if ( quantity == 0 )  quantity = 1;
					
					CurrentView.nTotalPrice = CurrentView.salePrice * quantity
				}
				
				strTotalPrice = Ns.Util.insertCommas(CurrentView.nTotalPrice);
				
				if ( CurrentView.priodDlvrYn == "Y" && CurrentView.payTypeCd == '10' ) { 
					$("#txtTotalPrice").html( strTotalPrice + '<span class="unit">원 *' + CurrentView.dlvrNumber + '회' );
					$("#sumArea_price").html(strTotalPrice);
				} else { 
					$("#txtTotalPrice").html( strTotalPrice + '<span class="unit">원' );
					
					
					if ($("#optionSingle").css("display") == "block"){
						$("#sumArea_price").html(strTotalPrice);
					} else if ($("div[name=selectedOptFt]").length > 0){
						
						if ($("div[name=selectedOptFt]").eq(0).find("#lental").length > 0){
							$("#sumArea_price").html(Ns.Util.insertCommas(CurrentView.offerPrice));
						} else {
							$("#sumArea_price").html(strTotalPrice);
						}
						
						
					} else  if ($("div[name=selectedOptFt]").length == 0){
						$("#sumArea_price").html(strTotalPrice);
					}
				}
				
				if (CurrentView.inFlag){
					CurrentView.inTotalPrice = CurrentView.nTotalPrice;
				}
			},
			
			/**
			 * 상품전시 타입에 따라 판매가 타이틀 및 판매가격을 출력한다. 
			 * 
			 * dispTypeCd : 상품전시타입
			 * costTypeCd : 원가유형코드
			 * okCashUndispYn : 
			 * offerPrice : 판매가.
			 * salePrice : 알뜰할인가
			 * applyPrice : 적용가. = 반짝세일
			 * saleRate : 할인율
			 * appSaleRate : 적용가(반짝세일)할인율
			 * cpcValue
			 * cpcAmt : 즉시할인쿠폰 할인액 (정률도 금액으로 환산함)
			 * cpcDcWay
			 * priceofferprice : 렌탈료. 
			 * couponListCount : 할인 쿠폰 개수. 
			 * arsAmt : ars 할인액 (정률도 금액으로 환산함)
			 * CurrentView.chcChildYn
			 * dlvrInfo : 정기배달 정보. 
			 * dlvrNumber : 정기배달 회수
			 */
			
			setOfferPriceInfo : function( okCashUndispYn, offerPrice, salePrice, applyPrice, saleRate, appSaleRate, cpcValue, cpcAmt, cpcDcWay, priceofferprice, arsAmt, couponListCount, dlvrInfo ) {
				var dispTypeCd = CurrentView.dispTypeCd;
				
				if ( dispTypeCd =='45' || dispTypeCd=='57' ) {
					CurrentView.offerPrice = mmRntalPrc;
					CurrentView.SERVICE_PRODs.offerPrice = priceofferprice;
				}
			},
			
			/**
			 * 할인 쿠폰을 출력한다.
			 * 즉시할인쿠폰 할인액이 존재하거나, 쿠폰 목록이 존재하거나, 또는 알뜰할인가 가격이 1만원이상이고 OK캐쉬백 노출 제외 여부가 N이고, tvLiveCd가 empty일 경우
			 * 할인 쿠폰 정보를 화면에 출력한다. 
			 * 서비스 상품의 경우, 출력하지 않는다. 
			 * 
			 *  dispTypeCd : 전시타입.
			 *  couponList : 쿠폰목록
			 *  couponSubList : 제휴사 쿠폰 목록 
			 *  cpcValue : 즉시할인쿠폰 할인액
			 *  offerPrice : 판매가
			 *  salePrice : 알뜰할인가. 
			 *  okCashUndispYn : 
			 *  tvLiveCd : 생방송 상품 코드 
			 *  
			 * @couponType : OK캐쉬백 노출 제외 여부
			 * 		10 : 일반쿠폰
					20 : 플러스쿠폰1
					30 : 플러스쿠폰2
					40 : 플러스쿠폰3
					99 : 플래시세일쿠폰
			 */
			setCouponInfo : function(  couponList, couponSubList, cpcValue, offerPrice, salePrice, okCashUndispYn ) {
				var getCouponName = function( subList ) {
					if ( subList == undefined || subList == null ) return "";
					
					var cocd = Const.getCocd();
					var commCdNm = "";
					
					for( var k=0; k<subList.length; k++) {
						var items = subList[k];
						
						if ( cocd == items.commCdVal ) {
							commCdNm = items.commCdNm + "쿠폰";
							break;
						}
					}
					
					return commCdNm;
				};
				
				var dispTypeCd = CurrentView.dispTypeCd;
				
				if( cpcValue > 0 || couponList != null || (  salePrice >= 10000 && okCashUndispYn=='N' && CurrentView.TV_PROPs.isTVProduct ==false) ) {
					if ( dispTypeCd =='35'|| dispTypeCd=='45' || dispTypeCd=='57')  {
						return false;
					}
					
					var isCoupon = false;
					
					var htmlTxt = '<div class="items sale_couponArea">';
					if ( couponList != null ) {
						for ( var k=0; k<couponList.length; k++ ) { 
							var items = couponList[k];
							var cpName = "";
							var endTime = "";
							var rate = "";
							
							if( items.plusCouponEndTime != "" ) {
								var tmp = items.plusCouponEndTime;
								endTime = "~" + tmp.substring(0,4) + "." + tmp.substring(4,6)  + "." + tmp.substring(6,8)  + " " +  tmp.substring(8,10)  + ":" +  tmp.substring(10,12);
							}
							
							if ( items.plusCouponWay=='2' ) {
								rate = '<strong>' + items.plusCoupon + "%</strong> 할인 ";
							} else if ( items.plusCouponWay=='1') {
								rate = '<strong>' + Ns.Util.insertCommas( items.plusCoupon ) + "원</strong> 할인 ";
							}
							
							if ( items.couponType=='10' ) {
								// empty
							} else if ( items.couponType=='20' || items.couponType=='30' ) { //플래시쿠폰할인
								// empty
							} else if ( items.couponType=='99' ) { //플래시쿠폰할인
								
								CurrentView.isFlashSale = "Y";
								CurrentView.hdFlashOfferIdfr = items.offerItemCd;
								mainCtrl.FLASH_SALE_offerItemCd = items.offerItemCd;	// 상품상세(CurrentView) 화면에서 슈퍼핫딜(플래시세일) 쿠폰 코드 세팅 (주문서에서 사용)
								
								var timeLimit = Ns.Date.getPeriodDate( items.plusCouponEndTime, "htmlFormat" );
								CurrentView.REMAINED_TIME = items.plusCouponEndTime;
								
								// todo... 해피딜상품 장바구니 담기 관련 hide처리 삭제 필요
								CurrentView.ui.setFlashSaleLimitTime();
							}
							
							CurrentView.hdCpIDFR.push( { cpIdfr : items.plusCouponCpIDFR, beforePrice : items.couponBeforePrice } );
							
						} // end for loof
					}
					
				} // end if
			},
			
			setFlashSaleLimitTime : function( ) {
				var intervalId = setInterval(CurrentView.ui.setLimitTime, 1000*60);
				CurrentView.intervalIdList.push(intervalId);
				navi.arrInteval.push(intervalId);
			},

	        setLimitTime : function() {
				tran.callWCSJsonTran('DetailProductViewReal', { partNumber: CurrentView.THIS_PARAMs.partNumber }, function( data ) {
					if ( !data.isSuccessful ) return false;
					
					var info = data.msg.goods[0].info; //상품정보
					
					for ( var k=0; k<info.couponList.length; k++ ) { 
						var items = info.couponList[k];
						if ( items.couponType=='99' ) { 
							var timeLimit = Ns.Date.getPeriodDate( items.plusCouponEndTime, "json" );
							
							if ( timeLimit.day==0 && timeLimit.hour==0 && timeLimit.minute==0 && timeLimit.second==0  ) {
								mainCtrl.checkTimerObject();
								CurrentView.ui.checkSoldOut( 0, 0 );
								return false;
							}
							
							$("#txtFsaleCount").html( Ns.Util.insertCommas( items.flashOrderCnt ) );
							
							break;
						}
					}
				}, null, null, false );
	        },
			
			
	        /**
			 * 사은품 정보를 출력한다. 
			 * 
			 * giftBnftList : 사은품 목록. 
			 */
			setGiftInfo : function( giftBnftList ) {
				if ( giftBnftList == null || giftBnftList.length == 0 ) return false;
				
				var giftlistValues=[];
				for (var k = 0; k < giftBnftList.length; k++) {
					var items = giftBnftList[k];
					
					var isData = false;
					var offerIdfr = items.offerIdfr + "_" + items.bnftSeq;
					
					for (var i=0; i<giftlistValues.length; i++ ) {
						var setOfferIdfr = giftlistValues[i].offerIdfr;
						if (setOfferIdfr == offerIdfr ) {
							isData = true;
							break;
						}
					}
					
					if ( !isData ) giftlistValues.push( {offerIdfr : offerIdfr});
				}
				
				var htmlTxt = '';
				var htmlGiftTxt = '';
				
				CurrentView.giftItemCount = giftlistValues.length; //사은품 개수. 

				for (var k = 0; k < giftlistValues.length; k++) {
					var srcOfferIdfr = giftlistValues[k].offerIdfr;
					var choiceCnt = 0;
					var partNumbers = [];
					var catentryIds = [];
					var offerIdfrs = [];
					
					for (var j = 0; j < giftBnftList.length; j++) {
						var items = giftBnftList[j];
						
						var offerIdfr = items.offerIdfr + "_" + items.bnftSeq;
						if ( srcOfferIdfr == offerIdfr ) {
							partNumbers.push( items.partNumber);
							catentryIds.push( items.catentryId);
							offerIdfrs.push( offerIdfr);
							choiceCnt = Number( items.choiceCnt );
						}
					} // end giftBnftList for loop
					
					var title = '사은품';
					if (giftlistValues.length > 1){
						title = '사은품' + (k+1) + " 선택";
					}
					
					if ( choiceCnt > 0 && partNumbers.length > 0 ){
						if (choiceCnt != partNumbers.length){
							title = title + "(택" + choiceCnt + ")";
						}
					}
						
					
					CurrentView.giftChoiceCnt += choiceCnt; //선택해야 할 전체 기프트 개수. 

					var selHtml = CurrentView.ui.getOptionHtmlTxt( partNumbers, offerIdfrs, choiceCnt, k );
					
					htmlTxt += Ns.Util.stringFormat('\
						<div class="items">\
							<div class="wrap horizontal">\
								<p class="dhead">{0}</p>\
								<div class="field">\
									{1}\
								</div>\
							</div>\
						</div><hr/>', title, selHtml );
					
					htmlGiftTxt += Ns.Util.stringFormat('\
						<h2 class="giftTitle">{0}</h2>\
						{1}', title, selHtml );
				} // end giftlistValues for loop 
				
				if( htmlTxt != "" ) {
					CurrentView.isGift = true;
				}
				
				if( htmlGiftTxt != "" ) {
					CurrentView.isGift = true;
					$("#divGiftOptionArea").html(htmlGiftTxt);
					$("#divGiftOptionArea").show();
					$("#optionTitle").show();
				}
			},
			
			/**
			 * 사은품 옵션 HTML을 생성한다.
			 * @param partNumbers : 사은품의 상품코드 배열
			 * @param offerIdfrs : offerIdfr_bnftSeq
 			 * @param choiceCnt : 선택되어야 하는 사은품 개수
			 * @param giftIndex : offerIdfrs별 사은품 노출 순서
			 */
			getOptionHtmlTxt : function( partNumbers, offerIdfrs, choiceCnt, giftIndex ) {
				var giftStyleNoAttributeList = [];
				var giftstyleDefiningAttributeList = [];
				var isExistsAttr = false;
				
				for (var k = 0; k < partNumbers.length; k++) {
					var catalogEntryDetails = ENTITLED_ITEMS.getItem( partNumbers[k] );
					var offerIdfr = offerIdfrs[k];
					
					var entitledItems = catalogEntryDetails.SKUs;
					var name  = catalogEntryDetails.name;
					var partNumber = catalogEntryDetails.partNumber;
					var styleMngYn = catalogEntryDetails.styleMngYn;
					var unitRegiTypeCd = catalogEntryDetails.unitRegiTypeCd;
					var essnOfferYn = catalogEntryDetails.essnOfferYn;
					var bnftVal = catalogEntryDetails.bnftVal;
					
					var valList = [];
					
					for (var i = 0; i < entitledItems.length; i++) {
						var SKUs = entitledItems[i];
						valList.push( { valueId : SKUs.uniqueID, value:SKUs.name, overPrice : SKUs.calPrmo }) ;
					}
					
					if( catalogEntryDetails.styleMngYn == "N") {
						giftStyleNoAttributeList.push( { partNumber:catalogEntryDetails.partNumber, offerIdfr: offerIdfr, attr:valList[0] });
					}
					
					giftstyleDefiningAttributeList.push( { name : name, partNumber: partNumber, offerIdfr: offerIdfr, styleMngYn: styleMngYn, 
															   essnOfferYn: essnOfferYn, unitRegiTypeCd : unitRegiTypeCd, bnftVal : bnftVal, attr : valList } );
					isExistsAttr = true;
				}
				
				var giftStyleMngYn = "Y";
				var giftAttrCnt = giftstyleDefiningAttributeList.length;
				
				if( !isExistsAttr) giftStyleMngYn = "N";
				if( giftStyleMngYn != "Y") giftAttrCnt =1;
				
				var selHtml = "";
				
				var giftHtml = "";
				var giftNormalHtml = "";
				if (CurrentView.giftItemCount == 1){
					giftNormalHtml = "<h2 class=\"giftTitle\">사은품</h2>";
				}
				
				var giftSelectHtml = "";
				
				for (var k = 0; k < giftstyleDefiningAttributeList.length; k++) {
					var giftAttribute = giftstyleDefiningAttributeList[k];
					
					var attributeName = giftAttribute.name;
					var attr = giftAttribute.attr;
					var attributePartNumber = giftAttribute.partNumber;
					var mStyleMngYn = giftAttribute.styleMngYn;
					var offerIdfr = giftAttribute.offerIdfr;
					var essnOfferYn = giftAttribute.essnOfferYn;
					var bnftVal = giftAttribute.bnftVal;
					
					if ( essnOfferYn == "1") attributeName = attributeName + " (필수)";
					
					var key = offerIdfr + "_" + attributePartNumber + "_" + k;
					
					selHtml += '<input type="hidden" name="txtItemGiftAttrCnt_'+offerIdfr+'"  id="txtItemGiftAttrCnt_'+key+'" value="'+giftAttrCnt+'">';
					selHtml += '<input type="hidden" name="txtGiftItemRemainCnt_'+offerIdfr+'"  id="txtGiftItemRemainCnt_'+key+'" value="0">';
					selHtml += '<input type="hidden" name="txtEssnOfferYn_'+offerIdfr+'"  id="txtEssnOfferYn_'+key+'" value="'+essnOfferYn+'">';
					selHtml += '<input type="hidden" name="txtBnftVal_'+offerIdfr+'"  id="txtBnftVal_'+key+'" value="'+bnftVal+'">';
					selHtml += '<input type="hidden" name="txtGiftOfferId_'+offerIdfr+'"  id="txtGiftOfferId_'+key+'" value="'+offerIdfr+'">';
					selHtml += '<input type="hidden" name="txtPartNumber_'+offerIdfr+'"  id="txtPartNumber_'+key+'" value="'+attributePartNumber+'">';
					selHtml += '<input type="hidden" name="txtChoiceCnt_'+offerIdfr+'"  id="txtChoiceCnt_'+key+'" value="'+choiceCnt+'">';
					
					giftHtml += '<input type="hidden" name="txtItemGiftAttrCnt_'+offerIdfr+'"  id="txtItemGiftAttrCnt_'+key+'" value="'+giftAttrCnt+'">';
					giftHtml += '<input type="hidden" name="txtGiftItemRemainCnt_'+offerIdfr+'"  id="txtGiftItemRemainCnt_'+key+'" value="0">';
					giftHtml += '<input type="hidden" name="txtEssnOfferYn_'+offerIdfr+'"  id="txtEssnOfferYn_'+key+'" value="'+essnOfferYn+'">';
					giftHtml += '<input type="hidden" name="txtBnftVal_'+offerIdfr+'"  id="txtBnftVal_'+key+'" value="'+bnftVal+'">';
					giftHtml += '<input type="hidden" name="txtGiftOfferId_'+offerIdfr+'"  id="txtGiftOfferId_'+key+'" value="'+offerIdfr+'">';
					giftHtml += '<input type="hidden" name="txtPartNumber_'+offerIdfr+'"  id="txtPartNumber_'+key+'" value="'+attributePartNumber+'">';
					giftHtml += '<input type="hidden" name="txtChoiceCnt_'+offerIdfr+'"  id="txtChoiceCnt_'+key+'" value="'+choiceCnt+'">';
					
					// 사은품 옵션이 여러개이면
					if( mStyleMngYn == "Y") {
						selHtml += ' <div class="rows content-fixed" style="padding-bottom:4px;">';
						selHtml += '<select title="사은품 선택" class="form theme-a x-small" name="selGiftList_'+giftIndex+'" id="selGiftList_' + key + '" onchange="CurrentView.event.onchange_selGiftList(' + giftIndex + ', \''+offerIdfr+ "\'," + attributePartNumber + "," + choiceCnt + "," + giftAttrCnt + ","+ k +');">';
						selHtml += '<option value="0">' + attributeName + '</option>';
						for ( var i=0; i<attr.length; i++ ) {
							selHtml += '<option value="'+ attr[i].valueId+'">' + attr[i].value + '</option>';
						}
						selHtml += '</select>';
						selHtml += '</div>';
						
						giftHtml += '<div class="slt_box">';
						giftHtml += 	'<button type="button" class="name gift" name="selGiftList_'+giftIndex+'"  id="selGiftList_' + key + '" value="0" onclick="CurrentView.event.onclick_selGiftListBtn(this);">사은품' + (k+1) + '<span>' + attributeName + ' 선택</span></button>';
						giftHtml += 	'<div class="opt_scroll">';
						giftHtml += 		'<ul class="optlst">';
						giftHtml += 			'<li value="0" onclick="CurrentView.event.onclick_selGiftList(this, ' + giftIndex + ', \''+offerIdfr+ "\'," + attributePartNumber + "," + choiceCnt + "," + giftAttrCnt + ","+ k +');"><span class="opt">' + attributeName + ' 선택</span></li>';
						for ( var i=0; i<attr.length; i++ ) {
							giftHtml += 			'<li value="'+ attr[i].valueId+'" onclick="CurrentView.event.onclick_selGiftList(this, ' + giftIndex + ', \''+offerIdfr+ "\'," + attributePartNumber + "," + choiceCnt + "," + giftAttrCnt + ","+ k +');"><span class="opt">' + attr[i].value + '</span></li>';	
						}
						giftHtml += 		'</ul>';
						giftHtml += 	'</div>';
						giftHtml += '</div>';
					// 사은품 옵션이 한개이면
					} else {
						if ( giftAttrCnt > 1 ) {
							selHtml += ' <div class="rows content-fixed" style="padding-bottom:4px;">';
							selHtml += '<select title="사은품 선택" class="form theme-a x-small" name="selGiftList_'+giftIndex+'"  id="selGiftList_' + key + '" onchange="M_G2600000M.event.onchange_selGiftList(' + giftIndex + ', \''+offerIdfr+ "\'," + attributePartNumber + "," + choiceCnt + "," + giftAttrCnt + ","+ k +');">';
							selHtml += '<option value="0">' + attributeName + ' 선택</option>';
							selHtml += '<option value="'+ attr[0].valueId+'">' + attr[0].value + '</option>';
							selHtml += '</select>';
							selHtml += '</div>';
							
							giftHtml += '<div class="slt_box">';
							giftHtml += 	'<button type="button" class="name gift" name="selGiftList_'+giftIndex+'"  id="selGiftList_' + key + '" value="0" onclick="CurrentView.event.onclick_selGiftListBtn(this);">사은품' + (k+1) + '<span>' + attributeName + ' 선택</span></button>';
							giftHtml += 	'<div class="opt_scroll">';
							giftHtml += 		'<ul class="optlst">';
							giftHtml += 			'<li value="0" onclick="CurrentView.event.onclick_selGiftList(this, ' + giftIndex + ', \''+offerIdfr+ "\'," + attributePartNumber + "," + choiceCnt + "," + giftAttrCnt + ","+ k +');"><span class="opt">' + attributeName + ' 선택</span></li>';							
							giftHtml += 			'<li value="'+ attr[0].valueId+'" onclick="CurrentView.event.onclick_selGiftList(this, ' + giftIndex + ', \''+offerIdfr+ "\'," + attributePartNumber + "," + choiceCnt + "," + giftAttrCnt + ","+ k +');"><span class="opt">' + attr[0].value + '</span></li>';
							giftHtml += 		'</ul>';
							giftHtml += 	'</div>';
							giftHtml += '</div>';
						} else {
							selHtml += '<input type="hidden" name="giftAttrValue_'+giftIndex+'" id="giftAttrValue_'+key+'" value="'+attr[0].valueId+'">';
							selHtml += '<p>'+attributeName+'</p>';
							
							giftHtml += '<input type="hidden" name="giftAttrValue_'+giftIndex+'" id="giftAttrValue_'+key+'" value="'+attr[0].valueId+'">';
							giftHtml += '<div class="giftBox">';
							giftHtml += 	"<p class=\"giftlst\">" + attributeName + "</p>";
							giftHtml += '</div>';
						}
					}
				}
				
				return giftHtml;
			},
			
			//패키지 상품. 
			setPackageInfo : function(  packPartNumbers, optionList ) {
				if ( packPartNumbers == null || packPartNumbers == "" ) return false;
				var partNumbers = packPartNumbers.split(",");
				
				var packageList = [];
				for (var k=0; k<partNumbers.length; k++ ) {
					var optionItem = ENTITLED_ITEMS.getItem( partNumbers[k] );
					if( optionItem != null ) packageList.push( optionItem );
				}
				
				var packStyleNoAttributeList = [];
				var packStyleDefiningAttributeList = [];
				var isExistsAttr = false;
				
				for( var k=0; k<packageList.length; k++) {
					var catalogEntryDetails = packageList[k];
					
					var valList = [];
					var entitledItems = catalogEntryDetails.SKUs;
					
					for ( var i=0; i<entitledItems.length; i++) {
						var SKUs = entitledItems[i];
						valList.push( { valueId : SKUs.uniqueID, value:SKUs.name, overPrice : SKUs.calPrmo }) ;
					}
					
					if( catalogEntryDetails.styleMngYn == "N") {
						packStyleNoAttributeList.push( { partNumber:catalogEntryDetails.partNumber, attr:valList[0] });
					}
					
					packStyleDefiningAttributeList.push( { name : catalogEntryDetails.name, partNumber:catalogEntryDetails.partNumber, styleMngYn:catalogEntryDetails.styleMngYn, unitRegiTypeCd:catalogEntryDetails.unitRegiTypeCd, attr : valList } );
					isExistsAttr = true;
				}
				
				var packStyleMngYn = "Y";
				CurrentView.packAttrCnt = packStyleDefiningAttributeList.length;
				
				if( !isExistsAttr) packStyleMngYn = "N";
				if( packStyleMngYn != "Y") CurrentView.packAttrCnt =1;
				
				var cnt = 1;
				var htmlTxt = "";
				
				for( var i=0; i<packStyleDefiningAttributeList.length; i++) {
					var attribute = packStyleDefiningAttributeList[i];
					
					var partNumber = attribute.partNumber;
					var name = attribute.name;
					var styleMngYn = attribute.styleMngYn;
					var attrList = attribute.attr;
					
					htmlTxt += '<div class="items">';
					htmlTxt += '<div class="wrap horizontal">';
					htmlTxt += '<p class="dhead">패키지상품 '+ cnt;
					htmlTxt += '<div class="field">';
					htmlTxt += '<div class="rows content-fixed">';
					htmlTxt += '<input type="hidden" name="hdItemAttrAmt"  id="hdItemAttrAmt'+partNumber+'" value="0">';
					htmlTxt += '<input type="hidden" name="hdItemAttrRemainCnt"  id="hdItemAttrRemainCnt'+partNumber+'" value="0">';
					
					if( styleMngYn == "Y") {
						htmlTxt += '<select title="패키지상품 선택" class="form theme-a x-small" name="selPackList" id="selPackList'+partNumber+'" onchange="CurrentView.event.onchange_selPackList(\''+partNumber+'\');">';
						htmlTxt += '<option value="">'+name+' 선택</option>';
						for( var k=0; k<attrList.length;k++) {
							var id = cnt + "_" + partNumber + "_" + attrList[k].valueId;
							htmlTxt += '<option value="'+id+'">'+attrList[k].value+' 선택</option>';
						}
						htmlTxt += '</select>';
					} else {
						var id = cnt + "_" + partNumber + "_" + attrList[0].valueId;
						htmlTxt += '<input type="hidden" name="hdAttrIdentifier"  id="hdAttrIdentifier'+partNumber+'" value="'+id+'" >';
						htmlTxt += '<p>'+name+'</p>';
					}
					
					htmlTxt += '</div>';
					htmlTxt += '</div>';
					htmlTxt += '</div>';
					htmlTxt += '</div>';
					
					cnt++;
				}
				
				htmlTxt += '<hr/>';
				$("#divOptionArea").after( htmlTxt );
				
				// 최초 패키지상품 재고 가져오기(패키지상품의 최저 재고)
				var catentryIds = "";
				if( packStyleNoAttributeList.length > 0 ) {
					for ( var k=0; k<packStyleNoAttributeList.length; k++ ) {
						catentryIds += packStyleNoAttributeList[k].partNumber + "," + packStyleNoAttributeList[k].attr.valueId + "|";
					}
					
					if( catentryIds != "" ) catentryIds = catentryIds.substring(0, catentryIds.length-1 );
					CurrentView.data.getRemainedCatEntry( "bundle", null, catentryIds, function( data ) {
						for(var i=0; i<data.jsonArry.length;i++) {
							var items = data.jsonArry[i];
							
							$("#hdItemAttrAmt" + items.partNumber).val( items.rtnPrice );
							$("#hdItemAttrRemainCnt" + items.partNumber ).val( items.rtnData );
						}
					}, 0 );
				}
			},
			
			/**
			 * 해당 상품의 옵션을 설정한다.
			 *
			 * optionList :옵션목록
			 */
			setOption : function() {
				var isExistsAttr = false;

				var optionList = ENTITLED_ITEMS.getItem( CurrentView.THIS_PARAMs.partNumber );
				if ( optionList == null ) {
					CurrentView.isSoldOut = true;
					return false; 
				}
				
				var entitledItems = optionList.SKUs;
				var styleMngYn = optionList.styleMngYn;
				var unitRegiTypeCd = optionList.unitRegiTypeCd;
				var attributes = optionList.attributes;
				var catentryList = [];
				
				if ( entitledItems == null || entitledItems.length==0 ) {
					CurrentView.isSoldOut = true;
					return false; 
				}
				
				CurrentView.unitRegiTypeCd = unitRegiTypeCd;
				if( styleMngYn == 'Y' && unitRegiTypeCd == 'OPT'  ) {
					var isBuyableAttr = [];
					for ( var k=0; k<entitledItems.length;k++) {
						var attribute = entitledItems[k];
						isBuyableAttr.push( { value : attribute.name, valueId: attribute.uniqueID, overPrice : attribute.calPrmo, fieldTxt : attribute.field } );
						catentryList.push( attribute.uniqueID );
					}
					
					CurrentView.definingAttributeList.push( { attr : isBuyableAttr } );
					isExistsAttr = true;
				} else {
					for ( var k=0; k<attributes.length;k++) {
						var attribute = attributes[k];
						
						if (attribute.usage != 'Defining')  continue;
						
						var isBuyableAttr = [];
						for ( var i=0; i<attribute.values.length; i++ ) {
							var allowedValue = attribute.values[i];
							var isBuyable = false;
							
							for ( var mm=0; mm<entitledItems.length;mm++) {
								var sku = entitledItems[mm];
									
									for ( var dd=0; dd<sku.attributes.length; dd++ ) {
										var skuAttributes = sku.attributes[dd];
										
										if ( attribute.name == skuAttributes.name ) {
											for ( var ss=0; ss<skuAttributes.values.length; ss++ ) {
												var skuAttributeValues = skuAttributes.values[ss];
												if ( skuAttributeValues.uniqueID == allowedValue.uniqueID || skuAttributeValues.identifier == allowedValue.identifier ) {
													isBuyable = true;
												}
											} // end skuAttributeValues for loop 
										}
									} //end sku.attributes for loop
									
									if ( isBuyable ) {
										catentryList.push( sku.uniqueID );
									}
							} // end entitledItems for loop
							
							if( isBuyable ) {
								isBuyableAttr.push( { value : allowedValue.value, valueId : allowedValue.uniqueID, overPrice : allowedValue.calPrmo, fieldTxt : allowedValue.field } );
							}

						} // end attribute.values for loop
						
						if( isBuyableAttr.length> 0 ) {
							isExistsAttr = true;
							CurrentView.definingAttributeList.push( { name: attribute.name, nameId: attribute.uniqueID, attr : isBuyableAttr, overPrice : attribute.calPrmo, fieldTxt : attribute.field } );
						}
					} // end attributes for loop
					
				}
				
				var useItemCnt = true;
				CurrentView.definingAttributeList = CurrentView.definingAttributeList.removeDup( "JSON" );

				if ( !isExistsAttr ) CurrentView.styleMngYn = "N";
				
				if ( CurrentView.dispTypeCd=='45'  || CurrentView.dispTypeCd == '57') {
					useItemCnt = false;
					CurrentView.useAddAttr = "N";
				}
				
				CurrentView.attrCnt = CurrentView.definingAttributeList.length;
				if( CurrentView.styleMngYn != "Y" ) {
					CurrentView.attrCnt = 1;
					CurrentView.useAddAttr = "N";
				}
				
				catentryList = catentryList.removeDup();
				
				if ( CurrentView.styleMngYn == "Y") {
					//일반상품의 가격이 0원일 경우 뒤로가기
					if( CurrentView.salePrice == "0" && (CurrentView.dispTypeCd == "10" || CurrentView.dispTypeCd == "15" ||
						CurrentView.dispTypeCd == "20" || CurrentView.dispTypeCd == "30") ){
						/*
						 * 네이티브 alert노출 후 처리
						 * 
						 * msg	- String - alert에 출력될 메시지
						 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
						 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
						 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
						 */
						try{
							if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
								var text = encodeURIComponent(CurrentView.ui.soldOutMsg);
		                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
	                        }
							else {
								ETVPluginBridge.callAlert(CurrentView.ui.soldOutMsg , null ,null);   // alert 후 처리
							}
							$("#btnAfterBottom").trigger("click");
						} catch (e) {
							// TODO: handle exception
							Ns.Popup.alert(CurrentView.ui.soldOutMsg, function(){
								mainCtrl.onBackButtonPressed();
							});
						}
						
						return false;
					}
					
					if ( CurrentView.dispTypeCd !='25' && CurrentView.dispTypeCd !='35' && CurrentView.dispTypeCd !='45' && CurrentView.dispTypeCd !='57' &&  CurrentView.dispTypeCd !='59' ) {
						// empty
					}
					CurrentView.ui.setDrawingStyleOptions();
				} else {
					var sku = optionList.SKUs[0];
					if (sku!=null) {
						var catentryId = sku.uniqueID;
						$("#divOrderQuantityArea").attr( "catentryId",  catentryId );
						$("#optionSingle").attr( "catentryId",  catentryId );
						if( !CurrentView.isPackage ) {
							CurrentView.data.getRemainedCatEntry( "product", CurrentView.THIS_PARAMs.partNumber, catentryId, CurrentView.ui.setRemainedCatEntryCount_First ); 
						}
					}
				}
				
				if ( useItemCnt ) {
					if ( CurrentView.dispTypeCd !='25' && CurrentView.dispTypeCd !='35' && CurrentView.dispTypeCd !='45' && CurrentView.dispTypeCd!='57' && CurrentView.dispTypeCd!='59' ) {
						$("#optionSingle_title").html(CurrentView.productName);
						$("#optionSingle").show(); //상품추가 버튼 활성화.
						$("#sumArea_num").hide();
					}
				} else {
					$("#divOrderQuantityArea").hide();
					$("#optionSingle").hide();
				}
				
				if ( CurrentView.styleMngYn=="Y" && CurrentView.useAddAttr=="Y" ) {
					$("#divOrderQuantityArea").hide();
					$("#optionSingle").hide();
					$("#sumArea_num").show();
				}
				
			},
			
			//최초 조회시...
			setRemainedCatEntryCount_First : function( data ) {
				if ( !data.isSuccessful || data.jsonData.rtnData == "0" ) {
					CurrentView.isSoldOut = true;
					return false;
				}
				
				var rtnData = data.jsonData.rtnData;
				var rtnPrice =  data.jsonData.rtnPrice;
				var catentryId = data.itemNumber;
				
				if ( rtnData == "999999") {
					$("#spanProductCnt").hide();
				} else {
					$("#txtProductCnt").html( Ns.Util.insertCommas( rtnData ) );
					$("#spanProductCnt").show();
				}
				
				$("#inputQuantity").data("data", {"rtnData" : rtnData, "catentryId":catentryId})	// 남은 재고 수량
				$("#inputFtQuantity").data("data", {"rtnData" : rtnData, "catentryId":catentryId})	// 남은 재고 수량
				
				if ( CurrentView.styleMngYn=="Y" ) {
					$("#btnAddProduct").attr("prod-count", rtnData );
					$("#btnAddProduct").attr("prod-price", rtnPrice );
					$("#btnAddProduct").attr("prod-catentryId", catentryId );
					
					var selCatentryList = $("#selectedOptArea div.selectedOpt");
					if( selCatentryList.length == 0 ) { //최초 추가한 옵션이 없을 때 추가..
						$("#btnAddProduct").click();
					}
					
					if ( CurrentView.dispTypeCd =='35' || CurrentView.dispTypeCd =='45' || CurrentView.dispTypeCd =='57' ) {
						$("#btnAddProduct").click();
					}
				} else {
					CurrentView.productCnt = Number( rtnData ); //남은 수량.
					
					if ( CurrentView.offerPrice == 0 ) { //최초 판매가가 0으로 조회되었을 경우. 
						CurrentView.offerPrice = rtnPrice; 
						if ( CurrentView.salePrice == 0 ) CurrentView.salePrice = rtnPrice;
						
						rtnPrice = Ns.Util.insertCommas( rtnPrice );

						//최근본 상품 재설정을 위해 삭제
						var product = JSON.parse(Ns.LocalStorage.get("RecentlyViewedProducts"));
						delete product[(product.length-1)];
						Ns.LocalStorage.set("RecentlyViewedProducts", JSON.stringify(product));

						CurrentView.productInfo.offerPrice = rtnPrice;
						mainCtrl.setRecentlyViewedProducts(CurrentView.productInfo);
						
						//일반상품의 가격이 0원일 경우 뒤로가기
						if(CurrentView.dispTypeCd == "10" || CurrentView.dispTypeCd == "15" ||
							CurrentView.dispTypeCd == "20" || CurrentView.dispTypeCd == "30"){
							
							/*
							 * 네이티브 alert노출 후 처리
							 * 
							 * msg	- String - alert에 출력될 메시지
							 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
							 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
							 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
							 */
							try{
								if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
									var text = encodeURIComponent(CurrentView.ui.soldOutMsg);
			                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
		                        }
								else {
									ETVPluginBridge.callAlert(CurrentView.ui.soldOutMsg , null ,null);   // alert 후 처리
								}
								$("#btnAfterBottom").trigger("click");
							} catch (e) {
								// TODO: handle exception
								Ns.Popup.alert(CurrentView.ui.soldOutMsg, function(){
									mainCtrl.onBackButtonPressed();
								});
							}
							
							return false;
						}
					}
					
					$("#divOrderQuantityArea").attr( "price",  rtnPrice );
					$("#optionSingle").attr( "price",  rtnPrice );
					
					if ( CurrentView.dispTypeCd =='35' || CurrentView.dispTypeCd =='45' || CurrentView.dispTypeCd =='57' || CurrentView.dispTypeCd =='59' ) {
						
						var strPnm = CurrentView.productName;
						try{
							strPnm = CurrentView.productInfo.optionList[0].SKUs[0].name;
						}catch (e) {
							//
						}
						
						var html = "";
						html = Ns.Util.stringFormat('\
								<div class="opt_set full" style="display : block;" id="{0}" name="selectedOptFt" price="{1}" remained="{2}">\
									<div class="selectedOpt" price="{1}" remained="{2}">\
										<p class="title mb-1" id="lental">{3}</p>\
									</div>\
								</div>', catentryId[0], rtnPrice, rtnData, strPnm);
							
						

						html = $(html);
						html.find("input[name=optionCnt]").data("data", {"rtnData": rtnData, "catentryId":catentryId[0]});
						$("#selectedOptArea").html( html ).show();
						$("#sumArea_price").html(CurrentView.offerPrice);
						
						$("#openBtnArea").find(".inert").each(function(i){
							if ($(this).hasClass != "none"){
								// empty
							}
						})
					}
					
					
					var isSoldOut = CurrentView.ui.checkSoldOut( Number(rtnData), 0 ); 
					if( isSoldOut ) {
						CurrentView.isSoldOut = true;
						return false;
					} else {
						CurrentView.ui.setTotalProductPrice();
					}
				}
			},
			
			setRemainedCatEntryCount : function( data ) {
				
				
				if ( !data.isSuccessful ) {
					if ( CurrentView.styleMngYn=="Y" ) {
						// empty
					} else {
						CurrentView.ui.checkSoldOut( 0, 0 ); 
					}
					
					return false;
				}
				
				
				var rtnData = data.jsonData.rtnData;
				var rtnPrice =  data.jsonData.rtnPrice;
				var catentryId = data.itemNumber;
				
				if ( rtnData == "999999") {
					// empty
				} else {
					
					if ( rtnData == "0" ) {
						if ( CurrentView.styleMngYn=="Y" ) {
							// empty
						}
						
						var objAlertParam = new Object();
						objAlertParam.msg = "매진되었습니다.<br/>빠른시간내에 상품을 준비하겠습니다.";
						objAlertParam.aletType = "nAlert";
						objAlertParam.position = "bottom";
						Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
						return false;
					}
				}
				
				if ( CurrentView.styleMngYn=="Y" ) {
					$("#btnAddProduct").attr("prod-count", rtnData );
					$("#btnAddProduct").attr("prod-price", rtnPrice );
					$("#btnAddProduct").attr("prod-catentryId", catentryId );
					
					var selCatentryList = $("#selectedOptArea div.selectedOpt");
					
					$("#btnAddProduct").click();
					
				} else {
					if ( CurrentView.offerPrice == 0 ) { //최초 판매가가 0으로 조회되었을 경우. 
						CurrentView.offerPrice = rtnPrice; 
						if ( CurrentView.salePrice == 0 ) CurrentView.salePrice = rtnPrice;
						
						rtnPrice = Ns.Util.insertCommas( rtnPrice );
					}
					
					$("#divOrderQuantityArea").attr( "price",  rtnPrice );
					$("#optionSingle").attr( "price",  rtnPrice );
					var isSoldOut = CurrentView.ui.checkSoldOut( Number(rtnData), 0 ); 
					if( !isSoldOut ) CurrentView.ui.setTotalProductPrice();
				}
				
			},
			
			setDrawingStyleOptions : function() {
				var selCount = 1;
				var htmlTxt = "";
				var optionTxt = "";
				var strHtmlTxt = "";
				var strOptionTxt = "";
				
				var nCountSelect = CurrentView.definingAttributeList.length;
				var nCountOption = 0;
				
				for ( var k=0; k<CurrentView.definingAttributeList.length; k++ ) {
					optionTxt = "";
					strOptionTxt = "";
					
					var attribute = CurrentView.definingAttributeList[k];
					
					var nLiCount = 0;
					
					var attributeName = "옵션";
					if( CurrentView.unitRegiTypeCd == "OPT" ) {
						//change Attribute 안함.  모든 sel 속성으로 채움. 
						optionTxt += '<option value="'+selCount+'">선택</option>';
						
						var attrValList = attribute.attr;
						var bShowOverPrice = false;
						
						for ( var mm=0; mm<attrValList.length; mm++){
							var attr = attrValList[mm];
							if (null != attr.overPrice && undefined != attr.overPrice && attr.overPrice != "" && Number(attr.overPrice,10) != 0){
								bShowOverPrice = true;
								break;
							}
						}
						
						for ( var mm=0; mm<attrValList.length; mm++) {
							var attr = attrValList[mm];
							
							var id = selCount + "_" + attr.valueId + "_" + attr.value;
							optionTxt += '<option value="'+id+'">' + attr.value + '</option>';
							
							var strOverPrice = "";
							if (null != attr.overPrice && undefined != attr.overPrice && attr.overPrice != "" && Number(attr.overPrice,10) != 0){
								strOverPrice = "<span class=\"prc\">" + Ns.Util.insertCommas(CurrentView.salePrice + attr.overPrice) + "<span class=\"won\">원</span></span>";
							} else {
								strOverPrice = "<span class=\"prc\">" + Ns.Util.insertCommas(CurrentView.salePrice) + "<span class=\"won\">원</span></span>";
							}
							
							strOptionTxt += "<li value=\"" + id + "\">";
							if (attr.fieldTxt == "0"){
								strOptionTxt += 	"<div class=\"opt\" fieldTxt=\"" + attr.fieldTxt + "\">" + attr.value + "(품절)</div>";
							} else {
								strOptionTxt += 	"<div class=\"opt\" fieldTxt=\"" + attr.fieldTxt + "\">" + attr.value + "</div>";
							}
							
							if (bShowOverPrice == true){
								strOptionTxt += strOverPrice;
							}
							strOptionTxt += "</li>";
							nLiCount ++;
						}
						
					} else {
						//onchangeRemainCnt 및 change Attribute...
						attributeName = attribute.name;
						optionTxt += '<option value="'+selCount+'">' + attributeName + ' 선택</option>';
						
						if ( selCount == 1) {
							var attrValList = attribute.attr;
							var bShowOverPrice = false;
							
							for ( var mm=0; mm<attrValList.length; mm++){
								var attr = attrValList[mm];
								if (null != attr.overPrice && undefined != attr.overPrice && attr.overPrice != "" && Number(attr.overPrice,10) != 0){
									bShowOverPrice = true;
									break;
								}
							}
							
							for ( var mm=0; mm<attrValList.length; mm++) {
								var attr = attrValList[mm];
								
								var id = selCount + "_" + attribute.nameId + "_" + attr.valueId + "_" + attr.value;
								optionTxt += '<option value="'+id+'">' + attr.value + '</option>';
								
								var strOverPrice = "";
								if (null != attr.overPrice && undefined != attr.overPrice && attr.overPrice != "" && Number(attr.overPrice,10) != 0){
									strOverPrice = "<span class=\"prc\">" + Ns.Util.insertCommas(CurrentView.salePrice + attr.overPrice) + "<span class=\"won\">원</span></span>";
								} else {
									strOverPrice = "<span class=\"prc\">" + Ns.Util.insertCommas(CurrentView.salePrice) + "<span class=\"won\">원</span></span>";
								}
								
								strOptionTxt += "<li value=\"" + id + "\">";
								strOptionTxt += 	"<div class=\"opt\">" + attr.value + "</div>";
								
								if (bShowOverPrice == true){
									strOptionTxt += strOverPrice;
								}
								strOptionTxt += "</li>";
								nLiCount++;
							}
						}
					}
					
					htmlTxt += Ns.Util.stringFormat('\
						<div class="items" id="divOptionDrawArea" style="display:none;">\
							<div class="wrap horizontal">\
								<p class="dhead">{0}</p>\
								<div class="field">\
									<div class="rows content-fixed">\
										<select name="attrValue" title=ulOptLst"옵션 선택" class="form theme-a x-small" id="selOption{1}">{2}</select>\
									</div>\
								</div>\
							</div>\
						</div>', attributeName, selCount, optionTxt );
					
					var opt_scroll_class = "";
					if (nLiCount < 6){
						opt_scroll_class = "full";
					}
					
					var strOptOutName = "";
					if (CurrentView.definingAttributeList.length > 1){
						strOptOutName = selCount;
					}
					
					var strOptOutClass = "";
					if (selCount == 1){
						strOptOutClass = "open";
					}
					
					
					strHtmlTxt += Ns.Util.stringFormat('\
						<div class="slt_box {4}" name="attrFtValue" id="selFtOption{0}">\
							<button type="button" class="name">옵션{3}<span>선택해주세요.</span></button>\
							<div class="opt_scroll">\
								<ul class="optlst {2}" id="ulOptLst">\
									{1}\
								</ul>\
							</div>\
						</div>', selCount, strOptionTxt, opt_scroll_class, strOptOutName, strOptOutClass );
					
					selCount++;
					
					
				} //end for loop - definingAttributeList.length
				
				if(CurrentView.dispTypeCd != "25" && CurrentView.dispTypeCd != "59"){
					$("#divOptionArea").after( htmlTxt );
					$("#divFtSelectArea").html( strHtmlTxt );
					
					if (selCount > 1){
						var nListHeight = Number(Ns.Util.replaceAll($(".slt_wrp").css("height"), "px", ""), 10);
						nListHeight = nListHeight - Number(Ns.Util.replaceAll($("#divFtSelectLayerArea").css("padding-top"), "px", ""), 10);
						
						for (var i = 1; selCount > i; i++){
							if(i == 1){
								nListHeight = nListHeight - Number(Ns.Util.replaceAll($("#selFtOption" + i).find("button").css("height"), "px", ""), 10)
							} else {
								nListHeight = nListHeight - Number(Ns.Util.replaceAll($("#selFtOption" + i).css("margin-top"), "px", ""), 10)
								nListHeight = nListHeight - Number(Ns.Util.replaceAll($("#selFtOption" + i).find("button").css("height"), "px", ""), 10)
								
								$("#selFtOption" + i).find("div.opt_scroll").css("height", nListHeight + 10);
							}
						}
					}
				}
				
				CurrentView.event.setOptionSelEvent( selCount );
			},
			

			/**
			 * 제품 매진 여부.. 
			 * productCnt : 재고수량
			 * maxItemCountOnOnce : 1회당최대주문가능수량
			 * isOption : 옵션 관리 여부. 
			 */
			checkSoldOut : function( productCnt, maxItemCountOnOnce ) {
				if( productCnt > 0 ) return false;
				
				$("#btnRightOrder").hide();
				$("#divOrderQuantityArea").hide();
				$("#btnAddItemsArea").hide();
				$("#divBillingTable").hide();
				
				return true;
			},
			
			//선택한 상품의 상품 개수를 1씩 감소시킨다.
			reduceQuantity : function( catentryId ) {
				var input = $("#" + catentryId).find("input");
				var remained = $("#" + catentryId).attr( "remained" );
				var price = Number($("#" + catentryId).attr( "price" ));
				
				var quantity = Number(input.val());
				if ( quantity==1  ) return;
				
				quantity--;
				input.val( quantity );
				CurrentView.ui.setSelectedOptionPrice( catentryId, quantity, price, remained );
			},
			
			//선택한 상품의 상품 개수를 1씩 증가시킨다. 
			addQuantity : function( catentryId ) {
				var input = $("#" + catentryId).find("input");
				var remained = Number($("#" + catentryId).attr( "remained" ) );
				var price = Number($("#" + catentryId).attr( "price" ));
				var nMaxCount = CurrentView.maxItemCountOnOnce >= 100 ? 99 : CurrentView.maxItemCountOnOnce;
				
				var quantity = Number(input.val());
				if ( quantity == remained  ) {
					var objAlertParam = new Object();
					objAlertParam.msg = "남은 수량만큼 주문해주세요.";
					objAlertParam.aletType = "nAlert";
					objAlertParam.position = "bottom";
					Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
					return;
				}
				quantity++;

				//선택한 모든 옵션별 상품 개수 체크
				var totalQuantity = 0;
				var selCatentryList = $("#selectedOptArea div.selectedOpt");
				for ( var i=0; i<selCatentryList.length; i++) {
					totalQuantity += Number( selCatentryList.eq(i).find("input").val() );
				}

				if ( quantity > nMaxCount || totalQuantity >= nMaxCount) {
					var objAlertParam = new Object();
					objAlertParam.msg = "1회 구매할 수 있는 수량은 " + nMaxCount + "개 까지 입니다.";
					objAlertParam.aletType = "nAlert";
					objAlertParam.position = "bottom";
					Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
					quantity--;
				}
				
				input.val( quantity );
				CurrentView.ui.setSelectedOptionPrice( catentryId, quantity, price, remained );
			},
			
			//선택한 옵션을 삭제한다. 
			removeSelProduct : function( catentryId ) {
				
				//마지막 하나가 남았을 때 지우고 총금액을 계산하면 지우는 것과 현재 객체의 값을 구하는 것 차이에 시간차가 발생하여 총금액 오류가 발생하여 어거지로 밀어넘
				$("#" + catentryId).attr("price", "0");
				$("#" + catentryId).attr("remained", "0");
				$("#" + catentryId).trigger("refresh");
				
				$("#" + catentryId ).animate({
					left:"-200px", 
					opacity: "0.1"
				}, 
				function(){
					var chkTime = setTimeout(function(){ 
						
						if ($("#" + catentryId).css("opacity").substring(0, 3) == "0.1"){
							var nCnt = $("#sumArea_num").data("data").cnt - 1;
							$("#sumArea_num").data("data", {cnt : nCnt});
							$("#sumArea_num").html(nCnt + "개 선택됨");
							
							$("#" + catentryId).remove();
							
							//전체 상품금액을 표시한다. 
							CurrentView.ui.setTotalProductPrice();
							
							if ($("#selectedOptArea").find("div[name=selectedOptFt]").length < 3){
								$("#selectedOptArea").addClass("full");
							}
							
							if ($("div[name=selectedOptFt]").length == 0){
								$("#openBtnArea").find(".active").each(function(){
									if ($(this).hasClass("none") != true){
										// empty
									}
								});
							}
							
							clearTimeout(chkTime);
						}
					}, 100);
					
				});
				
				
			},
			
			//선택한 옵션 상품영역에 가격을 표시한다.
			setSelectedOptionPrice : function( catentryId, quantity, price, remained ) {
				var priceTxt = Ns.Util.insertCommas( price * quantity );
				var selOptionPrice = $("#" + catentryId).find("b[name=selOptionPrice]");
				selOptionPrice.html( priceTxt );
				
				//전체 상품금액을 표시한다. 
				CurrentView.ui.setTotalProductPrice();
			}
			
		}, //end ui functions 
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			
			//바로주문, 장바구니, 컬렉션, 정기배달. 
			onclick_divNextActionButtonArea : function(strId) {
				
				var invoke = {};
				var isLogon = mainCtrl.checkLogonStatus();
				
				var id = $(this).attr('id');
				
				if (undefined != strId){
					if (strId == "btnFtInRightOrder"){	// 하단 버튼 주문
						id = "btnRightOrder";
					}
				}
				
				if ( Number($("#inputFtQuantity").val(), 10) >= 100){
					var objAlertParam = new Object();
					objAlertParam.msg = "1회 최대 구매 가능 수량은 99개 까지입니다.";
					objAlertParam.aletType = "nAlert";
					objAlertParam.position = "bottom";
					Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
					return;
				}
				
				// 30 : 정기배달
				// 50 : 기프티쇼
				if ( id == "btnRightOrder" ) { //바로주문.
					var bisOnlyUser = false;
					
					if (CurrentView.dispTypeCd == "30" && USERINFO.logonType() == "simple"){
						
						/*
						 * 네이티브 alert노출 후 처리
						 * 
						 * msg	- String - alert에 출력될 메시지
						 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
						 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
						 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
						 */
						try{
							if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
								var text = encodeURIComponent("간편회원 로그인으로 주문이 불가한 상품입니다.");
		                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
	                        }
							else {
								ETVPluginBridge.callAlert("간편회원 로그인으로 주문이 불가한 상품입니다." , null ,null);   // alert 후 처리
							}
						} catch (e) {
							// TODO: handle exception
							Ns.Popup.alert("간편회원 로그인으로 주문이 불가한 상품입니다.");
						}
						
						return;
					}
					
					// 정기배달, 쇼킹핫딜(플래시세일)은 비회원 주문 불가
					if (CurrentView.dispTypeCd == "30" || CurrentView.dispTypeCd == "50" || CurrentView.isFlashSale == "Y"){
						bisOnlyUser = true;
					} 
					
					// 팩상품 select box가 있을 경우 모두 선택되어야 한다.
					if (CurrentView.dispTypeCd == "20" && $("select[name=selPackList]").length > 0){
						var bSltCheck = false;
						
						$("select[name=selPackList]").each(function(i) {
							if ( $(this).val() == "") {
								bSltCheck = true;
								return false;
							}
						});
						
						var bNextFlag = true;
						
						$("input[name=hdItemAttrRemainCnt]").each(function(){
							if (Number($(this).val(), 10) > Number($("#inputQuantity").val(), 10)){
								bNextFlag = false;
								return;
							}
						})
						
						if (bNextFlag == false){
							/*
							 * 네이티브 alert노출 후 처리
							 * 
							 * msg	- String - alert에 출력될 메시지
							 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
							 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
							 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
							 */
							try{
								if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
		                        	var text = encodeURIComponent("재고 수량이 부족니다.\u2028빠른 시간내에 상품을 준비하겠습니다.");
		                          	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
		                        }
								else {
									ETVPluginBridge.callAlert("재고 수량이 부족니다.\n빠른 시간내에 상품을 준비하겠습니다." , null ,null);   // alert 후 처리
								}
							} catch (e) {
								// TODO: handle exception
								Ns.Popup.alert("재고 수량이 부족니다.<br />빠른 시간내에 상품을 준비하겠습니다.");
							}
							
							return;
						}
						
					}
					
					CurrentView.data.executeRightOrder( bisOnlyUser );
				} else {
					return false;
				}
			},
			
			//selCount : 옵션 셀렉트박스 개수. 
			//추가된 상품이 없을 경우에만. 
			setOptionSelEvent : function( selCount ) {
				for( var i=1; i<selCount+1; i++ ) {
					$("#selOption" + i).off().on("change", CurrentView.event.onchange_selOption );
					
					$("#selFtOption" + i).find("button").off().on("click", CurrentView.event.onClick_selButton );
					$("#selFtOption" + i).find("li").off().on("click", CurrentView.event.onchange_selOption );
				}
			},
			
			onClick_selButton : function(){
				var nSelIndex = Number(Ns.Util.replaceAll($(this).parent().attr("id"), "selFtOption", ""), 10);
				if (nSelIndex == 1){
					if ($("#selFtOption" + nSelIndex).hasClass("open") == true){
						$("#selFtOption" + nSelIndex).removeClass("open");
					} else {
						if ($("#selFtOption" + nSelIndex).hasClass("sel") == false){
							$("#selFtOption" + nSelIndex).addClass("open");
						}
					}
				} else {
					if ($("#selFtOption" + nSelIndex).hasClass("open") == false && $("#selFtOption" + nSelIndex).hasClass("sel") == false){
						return;
					}
					
					$("#selFtOption" + (nSelIndex-1)).find("button").html("옵션" + (nSelIndex-1) + "<span>선택해주세요.</span>");
					$("#selFtOption" + nSelIndex).removeClass("open");
					$("#selFtOption" + (nSelIndex-1)).addClass("open");
					$("#selFtOption" + (nSelIndex-1)).removeClass("sel");
				}
			},
			
			onchange_selOption : function( ) {
				if ($(this).find("div").attr("fieldtxt") == "0"){
					var objAlertParam = new Object();
					objAlertParam.msg = "매진되었습니다.<br/>빠른시간내에 상품을 준비하겠습니다.";
					objAlertParam.aletType = "nAlert";
					objAlertParam.position = "bottom";
					Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
					return false;
				}
				
				var nSelectedCount = 0;
				$("input[name=optionCnt]").each(function(){
					nSelectedCount += Number($(this).val());
				});
				
				if (nSelectedCount >= 99){
					var objAlertParam = new Object();
					objAlertParam.msg = "1회 구매할 수 있는 수량은 99개 까지입니다.";
					objAlertParam.aletType = "nAlert";
					objAlertParam.position = "bottom";
					Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
					return false;
				}
				
				var nSelIndex = Number(Ns.Util.replaceAll($(this).parent().parent().parent().attr("id"), "selFtOption", ""), 10);
				$(this).parent().parent().parent().attr("value", $(this).attr("value"));
				$(this).parent().parent().parent().attr("valueText", $(this).find("div").text());
				
				var removeSelectBox = function( idx ) {
					for ( var k=CurrentView.attrCnt; k>idx; k--) {
						var selObj = $("#selFtOption" + k);
						selObj.find("button").html("옵션" + k + "<span></span>");
						selObj.find("li").remove();
						selObj.attr("value", "");
					}
				};
				
				var selValue = $(this).attr("value").split("_") ; 
				var idx = Number( selValue[0] );
				
				if ( idx < CurrentView.attrCnt  ) removeSelectBox( idx ); //하위 셀렉트 박스를 지운다. 
				
				if (  idx < CurrentView.attrCnt  ) {
					if(  selValue.length ==1 ) {
						if ( CurrentView.dispTypeCd =='35' || CurrentView.dispTypeCd =='45' || CurrentView.dispTypeCd =='57' ) {
							$("#divSelectedProdctOptionArea").html("");
						}
						
						return false; //첫번째 sel을 선택했을 경우. 
					}

					var nextId =  CurrentView.definingAttributeList[ idx ].nameId; //다음칸.
					var nextAttr = ENTITLED_ITEMS.getNextAttributeItems(CurrentView.THIS_PARAMs.partNumber, nextId );
					
					nextAttr = nextAttr.removeDup("JSON");
					
					var htmlTxt = '';
					var bShowOverPrice = false;
											
					for ( var k=0;k<nextAttr.length;k++){
						var items = nextAttr[k];
						if (null != items.overPrice && undefined != items.overPrice && items.overPrice != "" && Number(items.overPrice,10) != 0){
							bShowOverPrice = true;
							break;
						}
					}
					
					for ( var k=0;k<nextAttr.length;k++) {
						var items = nextAttr[k];
						var optValue = (idx+1) + "_" + nextId + "_" + items.valueId + "_" + items.value;
						
						var strOverPrice = "";
						if (null != items.overPrice && undefined != items.overPrice && items.overPrice != "" && Number(items.overPrice,10) != 0){
							strOverPrice = "<span class=\"prc\">" + Ns.Util.insertCommas(CurrentView.salePrice + items.overPrice) + "<span class=\"won\">원</span></span>";
						} else {
							strOverPrice = "<span class=\"prc\">" + Ns.Util.insertCommas(CurrentView.salePrice) + "<span class=\"won\">원</span></span>";
						}
						
						htmlTxt += "<li value=\"" + optValue + "\">";
						
						if (items.fieldTxt == "0"){
							htmlTxt += 	"<div class=\"opt\" fieldTxt=\"" + items.fieldTxt + "\">" + items.value + "(품절)</div>";
						} else {
							htmlTxt += 	"<div class=\"opt\" fieldTxt=\"" + items.fieldTxt + "\">" + items.value + "</div>";
						}
						
						if (bShowOverPrice == true){
							htmlTxt += strOverPrice;
						}
						htmlTxt += "</li>";
					}
					
					var selIndex = idx+1;
					
					$( "#selFtOption" + idx ).find("button").html("옵션" + idx + "<span>" + $(this).find("div").text() + "</span>");
					$( "#selFtOption" + idx ).removeClass("open");
					$( "#selFtOption" + idx ).addClass("sel");
					$( "#selFtOption" + selIndex ).find("ul").append(htmlTxt);
					
					var $selFtOption_li = $("#selFtOption" + selIndex).find("li");
					var optlstHeight = (Number(Ns.Util.replaceAll($selFtOption_li.css("height"), "px", ""), 10)
							+ Number(Ns.Util.replaceAll($selFtOption_li.css("padding-top"), "px", ""), 10)
							+ Number(Ns.Util.replaceAll($selFtOption_li.css("padding-bottom"), "px", ""), 10)
							+ 1) * $selFtOption_li.length;
					if (Number(Ns.Util.replaceAll($("#selFtOption" + selIndex).find("div.opt_scroll").css("height"), "px", "")) > optlstHeight){
						$("#selFtOption" + selIndex).find("ul.optlst").css("height", $("#selFtOption" + selIndex).find("div.opt_scroll").css("height"));
					} else {
						$("#selFtOption" + selIndex).find("ul.optlst").css("height", optlstHeight + "px");
					}
					
					$( "#selFtOption" + selIndex ).addClass("open");
					
					CurrentView.event.setOptionSelEvent( selIndex );
					
				} else { //가장 마지막에 있는 select
					
					if(  selValue.length ==1 ) {
						if ( CurrentView.dispTypeCd =='35' || CurrentView.dispTypeCd =='45' || CurrentView.dispTypeCd =='57' ) {
							$("#divSelectedProdctOptionArea").html("");
						}
						
						return false; //첫번째 sel을 선택했을 경우. 
					}
					
					//1. 해당 catentryId를 구한다. 
					//2. 수량을 조회한다.
					//3. 판매수량이 있으면.. sel을 선택한다. 수량 추가 가능. 
					var catentryId =  null;
					if( CurrentView.unitRegiTypeCd == "OPT" ) { 
						catentryId = selValue[1];
					} else {
						catentryId = ENTITLED_ITEMS.getCatentryId(CurrentView.THIS_PARAMs.partNumber);
					}
					
					var arrSelectedOptFt = $("#selectedOptArea").find("div[name=selectedOptFt]");
					
					if ( CurrentView.dispTypeCd =='35' || CurrentView.dispTypeCd =='45' || CurrentView.dispTypeCd =='57' ) {
						$(arrSelectedOptFt[0]).remove();
					} else {
						for (var i = 0; arrSelectedOptFt.length > i; i++){
							if (catentryId == $(arrSelectedOptFt[i]).attr("id")){
								var objAlertParam = new Object();
								objAlertParam.msg = "이미 추가된 상품입니다.";
								objAlertParam.aletType = "nAlert";
								objAlertParam.position = "bottom";
								Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
								
								$(this).parent().parent().parent().attr("value", "");
								$(this).parent().parent().parent().attr("valueText", "");
								return ;
							}
						}
					}
					
					
					if( catentryId != undefined && catentryId != null && catentryId !="") {
						CurrentView.data.getRemainedCatEntry( "product", CurrentView.THIS_PARAMs.partNumber, catentryId, CurrentView.ui.setRemainedCatEntryCount );
					}
					
					$("#selectedOptArea").show();
				}
			},
			
			onclick_selGiftListBtn : function(objThis){
				if ($(objThis).parent().hasClass("open") == true){
					$(objThis).parent().removeClass("open");
				} else if ($(objThis).parent().hasClass("open") == false || $(objThis).parent().hasClass("sel") == true){
					$(objThis).parent().addClass("open");
				}
			},
			
			//사은품 선택 박스의 값이 변경될 경우. 
			onclick_selGiftList : function(objThis, giftIndex, offerIdfr, partNumber, choiceCnt, giftAttrCnt ,selectIndex) {
				var attrVal = $(objThis).attr("value");
				var $button = $(objThis).parent().parent().parent().find("button");
				$button.attr("value", attrVal);
				$button.find("span").html($(objThis).find("span").text());
				
				var key = offerIdfr + "_" + partNumber + "_" + selectIndex;

				if( attrVal == "0" ) {
					$("#txtGiftItemRemainCnt_" + key).val( 0 );
					$button.find("span").html($(objThis).find("span").text());
					$button.parent().removeClass("open").removeClass("sel");
					return;
				}
				
				var selectedCount = 0;
				var selGiftList =  $('button[name="selGiftList_'+giftIndex+'"]');
				
				selGiftList.each(function() {
					if ( $(this).attr("value") != "0") selectedCount++;
				});
				
				$('input[name=giftAttrValue_'+giftIndex+']').each(function() {
					if ( $(this).attr("value") != "") selectedCount++;
		   		});
				
				if ( selectedCount > choiceCnt ) {
					
					var objAlertParam = new Object();
					objAlertParam.msg = "사은품은 "+choiceCnt +"개 선택해 주세요.";
					objAlertParam.aletType = "nAlert";
					objAlertParam.position = "bottom";
					Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
					
					$("#selGiftList_" + key).attr("value", "0");
					$("#selGiftList_" + key).find("span").html($("#selGiftList_" + key).siblings().find("li:first").find("span").text());
					
					return false;
				}
				
				
				CurrentView.data.getRemainedCatEntry( "gift", partNumber, attrVal, function( data ) {
					$button.parent().addClass("sel");
					$button.parent().removeClass("open");
					$("#txtGiftItemRemainCnt_" + key).val( data.jsonData.rtnData );
					
				}, giftAttrCnt );

				return false;
			}, 
			
			//사은품 선택 박스의 값이 변경될 경우. 
			onchange_selGiftList : function( giftIndex, offerIdfr, partNumber, choiceCnt, giftAttrCnt ,selectIndex) {
				var key = offerIdfr + "_" + partNumber + "_" + selectIndex;

				// default 값이 선택된 경우
				if( $("#selGiftList_" + key).val() == "0" ) {
					$("#txtGiftItemRemainCnt_" + key).val( 0 );
					return;
				}
				
				var selectedCount = 0;
				var selGiftList =  $('select[name="selGiftList_'+giftIndex+'"]');
				
				selGiftList.each(function() {
					if ( $(this).val() != "0") selectedCount++;
				});
				
				$('input[name=giftAttrValue_'+giftIndex+']').each(function() {
					if ( $(this).val() != "") selectedCount++;
		   		});
				
				if ( selectedCount > choiceCnt ) {
					
					var objAlertParam = new Object();
					objAlertParam.msg = "사은품은 "+choiceCnt +"개 선택해 주세요.";
					objAlertParam.aletType = "nAlert";
					objAlertParam.position = "bottom";
					Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
					
					$("#selGiftList_" + key).val( "0" );
					
					return false;
				}
				
				var attrVal = $("#selGiftList_" + key).val();
				CurrentView.data.getRemainedCatEntry( "gift", partNumber, attrVal, function( data ) {
					$("#txtGiftItemRemainCnt_" + key).val( data.jsonData.rtnData ); 
				}, giftAttrCnt );

				return false;
			}, 
			
			//팩상품 옵션을 선택했을 경우. 
			onchange_selPackList : function( partNumber ) {
				var tmp = $("#selPackList" + partNumber).val();
				if( tmp == "" ) {
					$("#hdItemAttrAmt" + partNumber).val( 0 );
					$("#hdItemAttrRemainCnt" + partNumber).val( 0 );
					return false;
				}
				
				var partNumber = tmp[1];
				var itemId = tmp[2];
				
				CurrentView.data.getRemainedCatEntry( "bundle", partNumber, itemId, function( data ) {
					$("#hdItemAttrRemainCnt" + partNumber).val( data.jsonData.rtnData ); 
				}, 1 );
				
			},
			
			//상품추가 버튼 클릭 
			onclick_btnAddProduct : function() {
				
				//check select value
				
				var selText = "";
				var nMaxCount = CurrentView.maxItemCountOnOnce;
				var nOptCount = CurrentView.definingAttributeList.length;
				
				for ( var k=1; k<CurrentView.definingAttributeList.length+1; k++ ) {
					var items = CurrentView.definingAttributeList[k-1];
					
					var selVal = $("#selFtOption" + k).attr("value").split("_");
					if( selVal.length==1 ) {
						var name = items.name;
						if ( name == undefined ) name = "옵션";
						/*
						 * 네이티브 alert노출 후 처리
						 * 
						 * msg	- String - alert에 출력될 메시지
						 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
						 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
						 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
						 */
						try{
							if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
	                        	var text = encodeURIComponent(name +"을 선택하세요.");
	                          	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
	                        }
							else {
								ETVPluginBridge.callAlert(name +"을 선택하세요." , null ,null);   // alert 후 처리
							}
						} catch (e) {
							// TODO: handle exception
							Ns.Popup.alert( name +"을 선택하세요." );
						}
						
						return false;
					}
					
					if (nOptCount == 1){
						selText =  $("#selFtOption" + k).attr("valueText") + selText;
					} else {
						if (nOptCount == k){
							selText =  "(" + $("#selFtOption" + k).attr("valueText") + ")" + selText;
						} else {
							selText =  $("#selFtOption" + k).attr("valueText") + selText;
						}
					}
				}
				
				var html = '';
				
				var prodCnt = $("#btnAddProduct").attr( "prod-count" );
				var catentryId = $("#btnAddProduct").attr( "prod-catentryId" );
				var price = $("#btnAddProduct").attr( "prod-price" );

				//case 1. 이전에 추가한 catentryId가 있는지 점검한다. 선택한 옵션이면 패스.. 
				var isSelected = false;
				var quantity = 0;
				
				if ( prodCnt == "0") {
					/*
					 * 네이티브 alert노출 후 처리
					 * 
					 * msg	- String - alert에 출력될 메시지
					 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 */
					try{
						if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
							var text = encodeURIComponent(CurrentView.ui.soldOutMsg);
	                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
                        }
						else {
							ETVPluginBridge.callAlert(CurrentView.ui.soldOutMsg , null ,null);   // alert 후 처리
						}
					} catch (e) {
						// TODO: handle exception
						Ns.Popup.alert( CurrentView.ui.soldOutMsg );
					}
										
					return false;
				}
				
				var priceTxt  =  Ns.Util.insertCommas( price );
				
				if ( CurrentView.dispTypeCd =='35' || CurrentView.dispTypeCd =='45' || CurrentView.dispTypeCd =='57' ) {	//렌탈 상품일 경우
					var strPrice = CurrentView.offerPrice;
					if (Number(price,10) != 0){
						strPrice = price;
					}
					
					html = Ns.Util.stringFormat('\
					<div class="opt_set full" style="display : none;" id="{0}" name="selectedOptFt" price="{1}" remained="{2}">\
						<div class="selectedOpt"price="{1}" remained="{2}">\
							<p class="title mb-1" id="lental">{3}</p>\
						</div>\
					</div>', catentryId, strPrice, prodCnt, selText, priceTxt, catentryId, catentryId, catentryId );
				
				} else {
					html = Ns.Util.stringFormat('\
							<div class="selectedOpt" id="{0}" name="selectedOptFt" price="{1}" remained="{2}" display:none;>\
								<p class="title">{3}</p>\
								<div class="number">\
									<div class="num_set">\
										<p class="price_info_qty">\
											<input type="tel" id="" name="optionCnt" readonly="readonly" value="1" title="수량 입력" onkeyup="CurrentView.event.keyup_inputFtQuantity(this)" onblur="javascript:if(this.value.length == 0){this.value = 1};CurrentView.event.keyup_inputFtQuantity(this);" />\
											<button type="button" class="qty_minus" onclick="CurrentView.ui.reduceQuantity(\'{5}\');">-1</button>\
											<button type="button" class="qty_plus" onclick="CurrentView.ui.addQuantity(\'{6}\');">+1</button>\
										</p>\
									</div>\
									<div class="prc"><b name="selOptionPrice">{4}</b><span class="won">원</span><button type="button" class="del" onClick="CurrentView.ui.removeSelProduct(\'{7}\');">옵션삭제</button></div>\
								</div>\
							</div>', catentryId, price, prodCnt, selText, priceTxt, catentryId, catentryId, catentryId );
				}
				
				html = $(html);
				html.find("input[name=optionCnt]").data("data", {"rtnData": prodCnt, "catentryId":catentryId});
				
				if ( CurrentView.dispTypeCd =='35' || CurrentView.dispTypeCd =='45' || CurrentView.dispTypeCd =='57' ) {
					$("#selectedOptArea").html( html );
					
					if ($("#selectedOptArea").find("div[name=selectedOptFt]").length > 2){
						$("#selectedOptArea").removeClass("full");
					}
					
					$( "#" + catentryId ).css("left", "-200px");
					$( "#" + catentryId ).css("opacity", "0.1");
					$( "#" + catentryId ).show();
					selectedOptArea.scrollTop = selectedOptArea.scrollHeight - selectedOptArea.offsetHeight;
					
					$( "#" + catentryId ).animate(
						{left:"0px", opacity: "1"}
					);
				} else {
					$("#selectedOptArea").append( html );
					
					if ($("#selectedOptArea").find("div[name=selectedOptFt]").length > 2){
						$("#selectedOptArea").removeClass("full");
					}
					
					$( "#" + catentryId ).css("left", "-200px");
					$( "#" + catentryId ).css("opacity", "0.1");
					$( "#" + catentryId ).show();
					selectedOptArea.scrollTop = selectedOptArea.scrollHeight - selectedOptArea.offsetHeight;
					
					$( "#" + catentryId ).animate(
						{left:"0px", opacity: "1"}
					);
					
					$("#sumArea_num").show();
					$("#sumArea_num").data("data", {cnt : $("div[name=selectedOptFt]").length});
					$("#sumArea_num").html($("div[name=selectedOptFt]").length + "개 선택됨");
					
					$("div[name=attrFtValue]").each(function(i){
						$(this).removeClass("sel");
						$(this).removeClass("open");
						
						if (i == 0){
							// empty
						}
						
						$(this).removeAttr("value");
						$(this).removeAttr("valuetext");
						$(this).find("button > span").html("선택해주세요.");
					});
				}
				
				
				// 버튼 활성화
				if ($("div[name=selectedOptFt]").length > 0){
					$("#openBtnArea").find(".inert").each(function(){
						if ($(this).hasClass != "none"){
							// empty
						}
					});
				}
				
				//전체 상품금액을 표시한다. 
				CurrentView.ui.setTotalProductPrice();
			},
			
			//단품관리 하지 않을 때 수량 감소시키기.
			onclick_btnReduceOption : function() {
				var inputObj = $("#inputQuantity");
				var quantity = Number( inputObj.val());
				if ( quantity==1  ) return;
				
				quantity--;
				inputObj.val( quantity );
				CurrentView.ui.setTotalProductPrice();
			},
			
			
			//단품관리 하지 않을 때 수량 증가시키기.
			onclick_btnAddOption : function() {
				var inputObj = $("#inputQuantity");
				var quantity = Number( inputObj.val());
				var nMaxCount = CurrentView.maxItemCountOnOnce >= 100 ? 99 : CurrentView.maxItemCountOnOnce;
				
				quantity++;
				
				if ( quantity > CurrentView.productCnt ) {
					var objAlertParam = new Object();
					objAlertParam.msg = "남은 수량만큼 구매하세요.";
					objAlertParam.aletType = "nAlert";
					objAlertParam.position = "bottom";
					Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
					quantity--;
				}

				if ( quantity > nMaxCount ) {
					var objAlertParam = new Object();
					objAlertParam.msg = "1회 구매할 수 있는 수량은 " + nMaxCount + "개 까지입니다.";
					objAlertParam.aletType = "nAlert";
					objAlertParam.position = "bottom";
					Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
					quantity--;
				}
				
				if ( quantity >= 100 ) {
					var objAlertParam = new Object();
					objAlertParam.aletType = "nAlert";
					objAlertParam.position = "bottom";
					Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출

					quantity--;
				}
				
				inputObj.val( quantity );
				CurrentView.ui.setTotalProductPrice();
			},
			
			
			//단품관리 하지 않을 때 수량 감소시키기.
			onclick_btnFtReduceOption : function() {
				var inputObj = $($(this).parent().find("input")[0]);
				var quantity = Number( inputObj.val());
				if ( quantity==1  ) return;
				
				quantity--;
				inputObj.val( quantity );
				CurrentView.ui.setTotalProductPrice(inputObj);
			},
			
			//단품관리 하지 않을 때 수량 증가시키기.
			onclick_btnFtAddOption : function() {
				var inputObj = $($(this).parent().find("input")[0]);
				var quantity = Number( inputObj.val());
				var nMaxCount = CurrentView.maxItemCountOnOnce >= 100 ? 99 : CurrentView.maxItemCountOnOnce;
				
				quantity++;
				
				if ( quantity > CurrentView.productCnt ) {
					var objAlertParam = new Object();
					objAlertParam.msg = "남은 수량만큼 구매하세요.";
					objAlertParam.aletType = "nAlert";
					objAlertParam.position = "bottom";
					Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
					quantity--;
				}

				if ( quantity > nMaxCount ) {
					var objAlertParam = new Object();
					objAlertParam.msg = "1회 구매할 수 있는 수량은 " + nMaxCount + "개 까지입니다.";
					objAlertParam.aletType = "nAlert";
					objAlertParam.position = "bottom";
					Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
					quantity--;
				}
				
				if ( quantity >= 100 ) {
					var objAlertParam = new Object();
					objAlertParam.msg = "1회 최대 구매 가능 수량은 99개 까지입니다.";
					objAlertParam.aletType = "nAlert";
					objAlertParam.position = "bottom";
					Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
					quantity--;
				}
				
				inputObj.val( quantity );
				CurrentView.ui.setTotalProductPrice(inputObj);
			},
			
			/**
			 * 키업 이벤트 처리
			 */
			keyup_inputQuantity : function(objThis) {
				var totalQuantity = 0;	// 총 합산 주문 수량
				var totalQuantityNan = 0;	// 기존 입력된 주문 수량
				
				var nOnlyMaxCount = 0;	// 단품 최대 주문 가능 수량
				var nMaxCount = CurrentView.maxItemCountOnOnce >= 100 ? 99 : CurrentView.maxItemCountOnOnce;	// 최대 주문 가능 수량
				
				var strText = objThis.value;	// 주문 수량
				var nText = 0;	// 단품 주문 수량
				var pattern = /^([0-9]{1,})$/;	// 정규식 패턴
				var bOnlyNumber = pattern.test(strText);
				
				// 숫자여부 판단 및 처리
				if (!bOnlyNumber){
					strText = strText.replace(/[^0-9]/gi,"");	// 숫자만 나오도록 치환
					objThis.value = strText;	// 치환된 값 적재
				}
				
				if (strText == "" || strText == 0){
					nText = 1;
				} else {
					nText = Number(strText);
				}
				
				// 전체 옵션 갯수에 따른 처리
				var selCatentryList = $("#selectedOptArea div.selectedOpt");
				if(selCatentryList.length > 1){
					$("input[name=optionCnt]").each(function(){
						totalQuantity += Number( $(this).val() );
						if ( $(this).data("data").catentryId != $(objThis).data("data").catentryId){
							totalQuantityNan += Number( $(this).val() );
						}
					});
				} else {
					totalQuantity = nText;
				}
				
				// 현 입력필의 단품 최대 입력 가능 수량
				nOnlyMaxCount = Number($(objThis).data("data").rtnData, 10);
				
				// 주문 수량이 단품 최대 주문 수량을 초과 하는가
				// 총합산 주문 수량이 최대 주문 수량을 초과 하는가
				if (nOnlyMaxCount < nText || nMaxCount < totalQuantity){
					if(selCatentryList.length > 1){	// 여러 옵션 선택 시
						var nCalcTotelCount = nMaxCount - totalQuantityNan
						var nCalcOnlyConnt = nOnlyMaxCount - totalQuantityNan
						
						if (nCalcTotelCount > nOnlyMaxCount){
							if (nMaxCount < nCalcOnlyConnt + totalQuantityNan){
								var objAlertParam = new Object();
								objAlertParam.msg = "1회 구매할 수 있는 잔여수량은 " + nOnlyMaxCount + "개 까지입니다.";
								objAlertParam.aletType = "nAlert";
								objAlertParam.position = "bottom";
								Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
								objThis.value = nCalcOnlyConnt								
							} else {
								if (nCalcTotelCount > nOnlyMaxCount){
									var objAlertParam = new Object();
									objAlertParam.msg = "1회 구매할 수 있는 잔여수량은 " + nOnlyMaxCount + "개 까지입니다.";
									objAlertParam.aletType = "nAlert";
									objAlertParam.position = "bottom";
									Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
									objThis.value = nOnlyMaxCount
									
								} else {
									var objAlertParam = new Object();
									objAlertParam.msg = "1회 구매할 수 있는 최대수량은 " + nMaxCount + "개 까지입니다.";
									objAlertParam.aletType = "nAlert";
									objAlertParam.position = "bottom";
									Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
									objThis.value = nCalcTotelCount
								}
							}
						} else {
							var objAlertParam = new Object();
							objAlertParam.msg = "1회 구매할 수 있는 최대수량은 " + nMaxCount + "개 까지입니다.";
							objAlertParam.aletType = "nAlert";
							objAlertParam.position = "bottom";
							Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
							objThis.value = nCalcTotelCount
						}
						
					} else {	// 단품
						// 최대 값이 더 작은것에 따른 
						if (nOnlyMaxCount < nMaxCount){
							objThis.value = nOnlyMaxCount - totalQuantityNan;
							var objAlertParam = new Object();
							objAlertParam.msg = "1회 구매할 수 있는 최대수량은 " + nOnlyMaxCount + "개 까지입니다.";
							objAlertParam.aletType = "nAlert";
							objAlertParam.position = "bottom";
							Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
						} else {
							objThis.value = nMaxCount - totalQuantityNan;
							var objAlertParam = new Object();
							objAlertParam.msg = "1회 구매할 수 있는 잔여수량은 " + nMaxCount + "개 까지입니다.";
							objAlertParam.aletType = "nAlert";
							objAlertParam.position = "bottom";
							Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
						}
					}
				}
				
				var catentryId = $(objThis).data("data").catentryId;
				var input = $("#" + catentryId).find("input");
				var remained = Number($("#" + catentryId).attr( "remained" ) );
				var price = Number($("#" + catentryId).attr( "price" ));
				
				CurrentView.ui.setSelectedOptionPrice( catentryId, objThis.value, price, remained );
				CurrentView.ui.setTotalProductPrice();
			},
			
			/**
			 * 키업 이벤트 처리
			 */
			keyup_inputFtQuantity : function(objThis) {
				var totalQuantity = 0;	// 총 합산 주문 수량
				var totalQuantityNan = 0;	// 기존 입력된 주문 수량
				
				var nOnlyMaxCount = 0;	// 단품 최대 주문 가능 수량
				var nMaxCount = CurrentView.maxItemCountOnOnce >= 100 ? 99 : CurrentView.maxItemCountOnOnce;	// 최대 주문 가능 수량
				
				var strText = objThis.value;	// 주문 수량
				var nText = 0;	// 단품 주문 수량
				var pattern = /^([0-9]{1,})$/;	// 정규식 패턴
				var bOnlyNumber = pattern.test(strText);
				
				// 숫자여부 판단 및 처리
				if (!bOnlyNumber){
					strText = strText.replace(/[^0-9]/gi,"");	// 숫자만 나오도록 치환
					objThis.value = strText;	// 치환된 값 적재
				}
				
				if (strText != "" && strText == 0){
					nText = 1
					$(objThis).val(nText);
				} else {
					nText = Number(strText);
				}
				
				// 전체 옵션 갯수에 따른 처리
				var selCatentryList = $("#selectedOptArea div.selectedOpt");
				if(selCatentryList.length > 1){
					$("input[name=optionCnt]").each(function(){
						totalQuantity += Number( $(this).val() );
						if ( $(this).data("data").catentryId != $(objThis).data("data").catentryId){
							totalQuantityNan += Number( $(this).val() );
						}
					});
				} else {
					totalQuantity = nText;
				}
				
				// 현 입력필의 단품 최대 입력 가능 수량
				nOnlyMaxCount = Number($(objThis).data("data").rtnData, 10);
				
				// 주문 수량이 단품 최대 주문 수량을 초과 하는가
				// 총합산 주문 수량이 최대 주문 수량을 초과 하는가
				if (nOnlyMaxCount < nText || nMaxCount < totalQuantity){
					if(selCatentryList.length > 1){	// 여러 옵션 선택 시
						var nCalcTotelCount = nMaxCount - totalQuantityNan
						var nCalcOnlyConnt = nOnlyMaxCount - totalQuantityNan
						
						if (nCalcTotelCount > nOnlyMaxCount){
							if (nMaxCount < nCalcOnlyConnt + totalQuantityNan){
								var objAlertParam = new Object();
								objAlertParam.msg = "1회 구매할 수 있는 잔여수량은 " + nOnlyMaxCount + "개 까지입니다.";
								objAlertParam.aletType = "nAlert";
								objAlertParam.position = "bottom";
								Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
								objThis.value = nCalcOnlyConnt								
							} else {
								if (nCalcTotelCount > nOnlyMaxCount){
									var objAlertParam = new Object();
									objAlertParam.msg = "1회 구매할 수 있는 잔여수량은 " + nOnlyMaxCount + "개 까지입니다.";
									objAlertParam.aletType = "nAlert";
									objAlertParam.position = "bottom";
									Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
									objThis.value = nOnlyMaxCount
									
								} else {
									var objAlertParam = new Object();
									objAlertParam.msg = "1회 구매할 수 있는 최대수량은 " + nMaxCount + "개 까지입니다.";
									objAlertParam.aletType = "nAlert";
									objAlertParam.position = "bottom";
									Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
									objThis.value = nCalcTotelCount
								}
							}
						} else {
							var objAlertParam = new Object();
							objAlertParam.msg = "1회 구매할 수 있는 최대수량은 " + nMaxCount + "개 까지입니다.";
							objAlertParam.aletType = "nAlert";
							objAlertParam.position = "bottom";
							Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
							objThis.value = nCalcTotelCount
						}
						
					} else {	// 단품
						// 최대 값이 더 작은것에 따른 
						if (nOnlyMaxCount < nMaxCount){
							objThis.value = nOnlyMaxCount - totalQuantityNan;
							var objAlertParam = new Object();
							objAlertParam.msg = "1회 구매할 수 있는 최대수량은 " + nOnlyMaxCount + "개 까지입니다.";
							objAlertParam.aletType = "nAlert";
							objAlertParam.position = "bottom";
							Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
						} else {
							objThis.value = nMaxCount - totalQuantityNan;
							var objAlertParam = new Object();
							objAlertParam.msg = "1회 구매할 수 있는 잔여수량은 " + nMaxCount + "개 까지입니다.";
							objAlertParam.aletType = "nAlert";
							objAlertParam.position = "bottom";
							Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
						}
					}
				}
						
				var catentryId = $(objThis).data("data").catentryId;
				var input = $("#" + catentryId).find("input");
				var remained = Number($("#" + catentryId).attr( "remained" ) );
				var price = Number($("#" + catentryId).attr( "price" ));
				
				CurrentView.ui.setSelectedOptionPrice( catentryId, objThis.value, price, remained );
						
				CurrentView.ui.setTotalProductPrice();

			},
			
			//로그온 상태를 체크한 후에 해당 버튼 이밴트를 처리할 것인지 로그인 페이지로 이동할 것인지 결정한다. 
			/*
			 * tranId : 실행할 transaction ID
			 * params : transaction의 parameters
			 * pageId : 이동할 페이지 ID
			 * isOnlyUser : 비회원 주문이 가능한가 여부, true는 로그인 유저만 가능하고, false 비회원주문이 가능하다.
			 * coupons : 바로주문 시 자동 쿠폰 다운로드를 위한 ajax parameters
			 */
			checkLoginStatus : function( tranId, params, pageId, isOnlyUser, coupons ) {
				var isLogon = mainCtrl.checkLogonStatus();
				
				var objNextParam = new Object();
				// wiselog 적재를 위해
				objNextParam = $.extend(objNextParam, CurrentView.logDatas);
				Ns.Util.viewConsoleLog("jjko test22 isLogon = " + isLogon);
				if( !isLogon /*&& mainCtrl.NOMEMBER_ORDER==false*/ ) {
					objNextParam.tranId = tranId;
					objNextParam.invoke = params;
					objNextParam.pageId = pageId;
					objNextParam.isOnlyUser = isOnlyUser;
					
					if ( !Ns.Util.isNull( coupons ) ) objNextParam.coupons = coupons;
					
					/*
					 * 네이티브 confirm노출 후 처리
					 * 
					 * msg   - String - confirm에 출력될 메시지
					 * param2   - String   - 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 *             - function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param3   - String   - function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 * param4   - String   - 취소 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
					 *             - function이 있을 경우 생방송 보기를 종료후 fuction 실행
					 * param8   - String   - function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
					 */
					try{
						var objETVPluginBridgeParam = new Object();
						objETVPluginBridgeParam.param1 = objNextParam;
						Ns.Util.viewConsoleLog("jjko webtest test33 = " + mainCtrl.VIEW_TYPE);
						 if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
							 var text = encodeURIComponent("배송/결제 단계는\u2028기본(세로)화면에서 진행됩니다.\u2028\u2028배송/결제 페이지로 이동하시겠습니까?");
							 	Ns.Util.viewConsoleLog("jjko webtest objETVPluginBridgeParam :" + objETVPluginBridgeParam);
							 	var param = JSON.stringify(objETVPluginBridgeParam);
							 	Ns.Util.viewConsoleLog("jjko webtest login param : " + param);
							 	param = encodeURIComponent(param);
							 	
							 	Ns.Util.viewConsoleLog("jjko webtest login encode param : " + param);
							 	
								setTimeout(function(){document.location.href="tvviewcallconfirm://"+ text + "//mainCtrl.gotoLogin//" + param;},250);
							}
						 else {
							 ETVPluginBridge.callConfirm("배송/결제 단계는\n기본(세로)화면에서 진행됩니다.\n\n배송/결제 페이지로 이동하시겠습니까?" , "mainCtrl.gotoLogin" , JSON.stringify(objETVPluginBridgeParam), null, null);
						 }
					} catch (e) {
						// TODO: handle exception
						Ns.Util.viewConsoleLog("jjko webtest e : "  + e.exception);
					}
					
					return false;
				} else { 
					if (isOnlyUser == true && (USERINFO.logonType() == '' || USERINFO.logonType() == LOGON_TYPE.nonmember)){
						/*
						 * 네이티브 alert노출 후 처리
						 * 
						 * msg	- String - alert에 출력될 메시지
						 * param2	- String	- alert의 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
						 * 				- function이 있을 경우 생방송 보기를 종료후 fuction 실행
						 * param3	- String	- function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
						 */
						try{
							if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
								var text = encodeURIComponent("로그인이 필요한 상품입니다.");
		                      	setTimeout(function(){document.location.href="tvviewcallalert://"+ text;},250);
	                        }
							else {
								ETVPluginBridge.callAlert("로그인이 필요한 상품입니다." , null ,null);   // alert 후 처리
							}
						} catch (e) {
							// TODO: handle exception
							Ns.Popup.alert("로그인이 필요한 상품입니다.");
						}
						
						return;
					}
					
					if ( tranId == "AjaxNSOrderPayNow4Worklight" ) {  //바로 주문 또는 NS정기배달.
						if ( !Ns.Util.isNull( coupons ) ) { //쿠폰이 있을 경우 자동 다운로드 후 바로주문.
							CurrentView.data.execCouponAutoSave();
						}
						
						// 20150325 정헌태 추가 - vdn_cd (모바일 주문 접수 응대 번호) 데이터 다음 API 호출 시 추가
						if (mainCtrl.isOsApp()){	// App
							params.vdn_cd = "54101";
						} else {	// Web
							params.vdn_cd = "54102";
						}
						
						tran.callWCSJsonTran( tranId, params, function( data ) {
							var orderId = data.orderId;
							
							if( orderId == null || orderId == "" ) {
								Ns.Popup.alert( Messages.unexpected_error );
								var param = new Object;
								param.p_espotid = tranId;
								param.ErrorCode = "UE";
								tran.callPageLogging("LoggingPage", param);
							} else { // 주문서정보 페이지로 이동
								objNextParam.orderId = orderId;

								// 바로주문 클릭으로 진행 하는 경우
								if (undefined != data.directOrderYN){
									objNextParam.invoke = new Object();
									objNextParam.invoke.directOrderYN = data.directOrderYN[0];
									objNextParam.invoke.preParam = params;
									objNextParam.productCategoryName = CurrentView.productCategoryName;	// 바로주문시 카테고리네임 추가
								}
								
								var temp = {
									userId : USERINFO.userId(),
									orderId : orderId,
									co_cd : Const.getCocd()
								};
								
								tran.callWCSJsonTran('NSOrderPaymentMobile', temp, function( data ){
									Ns.Util.viewConsoleLog("jjko data = " + JSON.stringify(data));
									if( data.isSuccessful != false ){
										/*
										 * 네이티브 confirm노출 후 처리
										 * 
										 * msg   - String - confirm에 출력될 메시지
										 * param2   - String   - 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
										 *             - function이 있을 경우 생방송 보기를 종료후 fuction 실행
										 * param3   - String   - function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
										 * param4   - String   - 취소 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료)
										 *             - function이 있을 경우 생방송 보기를 종료후 fuction 실행
										 * param8   - String   - function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
										 */
										try{
											var objETVPluginBridgeParam = new Object();
											objETVPluginBridgeParam.param1 = pageId;
											objETVPluginBridgeParam.param2 = objNextParam;
											 if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
													var text = encodeURIComponent("배송/결제 단계는\u2028기본(세로)화면에서 진행됩니다.\u2028\u2028배송/결제 페이지로 이동하시겠습니까?");
												 	var param = JSON.stringify(objETVPluginBridgeParam);
												 	Ns.Util.viewConsoleLog("jjko webtest navigate param : " + param);
												 	param = encodeURIComponent(param);
												 	
												 	Ns.Util.viewConsoleLog("jjko webtest navigate encode param : " + param);
													setTimeout(function(){document.location.href="tvviewcallconfirm://"+ text + "//mainCtrl.navigate//" + param;},250);
												}
											 else {
												 ETVPluginBridge.callConfirm("배송/결제 단계는\n기본(세로)화면에서 진행됩니다.\n\n배송/결제 페이지로 이동하시겠습니까?" , "mainCtrl.navigate" , JSON.stringify(objETVPluginBridgeParam), null, null);
											 }
										} catch (e) {
											mainCtrl.navigate( pageId, objNextParam );
											// TODO: handle exception
										}
									}else{
										CurrentView.tranCount++;
										CurrentView.event.checkLoginStatus( tranId, params, pageId, isOnlyUser, coupons );
									}
								});
							}
						});
						
					} else { //상담신청. 
						// empty
					}
				}
			},
			
			//로그온 상태를 체크한 후에 해당 버튼 이밴트를 처리할 것인지 로그인 페이지로 이동할 것인지 결정한다. 
			/*
			 * tranId : 실행할 transaction ID
			 * params : transaction의 parameters
			 * pageId : 이동할 페이지 ID
			 * isOnlyUser : 비회원 주문이 가능한가 여부, true는 로그인 유저만 가능하고, false 비회원주문이 가능하다.
			 */
			//=====================================================
			// 이벤트 팝업 클릭 이벤트를 받는다 
			// add by seo4872   2015/11/23
			//=====================================================
			doDownNsCoupon : function(couponid) {
				
				//팝업을 hide시킨다 
				$('#popupBtnEventClose').trigger('click');
				
				var coupon = couponid ;
				
				if ( Ns.Util.isNull(coupon) || coupon.length==0 ) return false;
				
				var invokeParams = {
						mediaCd : "MOBIL",
						flag : "02",       //  적립 쿠폰 일경우는 02
						eventIdfr : coupon, //쿠폰 번호  (쿠폰api 사용) 
						
						co_cd : coupon,     //쿠폰 번호 
						partNumber : CurrentView.inPartNumber, // 상품코드
						isShowPopUp : false  // 통제쿠폰을 보여줄지 여부 
				};
					
				// 로그인 여부 
				if (!mainCtrl.checkLogonStatus()) {
					
					var nextParams = {
							tranId : "",
							invoke : invokeParams,
							pageId : "CurrentView",
							isOnlyUser : true ,//로그인 사용자만 가능.
					}; 
						
				   mainCtrl.gotoLogin( nextParams );
					return false;
				}
		
				var userId = mainCtrl.getUserInfo("userId");
				invokeParams.userId = userId;
				
				tran.callWCSJsonTran( "NSTimesPrmtEventCmd", invokeParams, CurrentView.data.resultCallback );
			},
			
		} //end event functions
};

var ENTITLED_ITEMS = {
	items : new Array(),
	
	add : function(obj)	{
		this.items[this.items.length] = obj;
	}, 
	
	getItem : function(partNumber){
		for(var ii=0; ii < this.items.length; ii++){
			if (this.items[ii].partNumber == partNumber){
				return this.items[ii];
			}
		}
		
		return null;
	},

	getNextAttributeItems : function( partNumber, nextId ) {
		
		var itemlist = this.getItem(partNumber);
		var attributeList = [];
	    
	    for ( var ix=0; ix<itemlist.SKUs.length; ix++ ) {
	       var sku = itemlist.SKUs[ix];
	       
	       var nextValueId = null;
	       var nextValue = null;
	       var nextOverPrice = 0;
	       var nextFieldTxt = "0";
	       var equalCount = 0;
	       
	       for (  var k=0; k<sku.attributes.length; k++ ) {
	          var attribute = sku.attributes[k];
	          
	          var valueId		= attribute.values[0].uniqueID;
	          var value 		= attribute.values[0].value;
	          var fieldTxt		= attribute.values[0].field
	          var overPrice = sku.calPrmo;
	          var nameId 	= attribute.uniqueID;
	          var selCount 	= 0;
	          
	          $("div[name=attrFtValue]").each( function() {
	        	  var selVal = $(this).attr("value").split('_');
	        	  
	        	  if ( selVal.length> 1 ) {
	        		  selCount++;
	        		  
	        		  if( selVal[1]==nameId && selVal[2]==valueId ) {
	        			  equalCount++;
	        		  } else {
	        			  
	        			  if ( nextId == nameId ) {
	        				  nextValueId = valueId;
	        				  nextValue = value;
	        				  nextOverPrice = overPrice;
	        				  nextFieldTxt = fieldTxt;
	        			  }
	        		  }
	        	  }
	          });
	          
	          
	          $("select[name=attrValue]").each( function() {
	             var selVal  = $(this).val().split('_');
	             
	             if ( selVal.length> 1 ) {
	                selCount++;

	                if( selVal[1]==nameId && selVal[2]==valueId ) {
	                   equalCount++;
	                } else {

	                   if ( nextId == nameId ) {
	                      nextValueId = valueId;
	                      nextValue = value;
	                      nextOverPrice = overPrice;
	                      nextFieldTxt = fieldTxt;
	                   }
	                }
	             }
	          });
	          
	          if ( selCount == equalCount ) {
	        	  if( nextValueId != null ) { 
	        		  attributeList.push( { nameId:nextId, valueId:nextValueId, value:nextValue, overPrice:nextOverPrice, fieldTxt : nextFieldTxt } );
	        	  }
	          }
	      } //end attributes loop
	      
	   } //end SKUs loop

	   return attributeList;
	},
	
	
	getCatentryId : function( partNumber ) {
		var itemlist = this.getItem(partNumber);
		var catentryId = "";
	    
	    for ( var ix=0; ix<itemlist.SKUs.length; ix++ ) {
	       var sku = itemlist.SKUs[ix];
	       
	       var _catentryId  = null;
	       var equalCount = 0;
	       
	       for (  var k=0; k<sku.attributes.length; k++ ) {
	          var attribute = sku.attributes[k];
	          
	          var valueId		= attribute.values[0].uniqueID;
	          var nameId 	= attribute.uniqueID;
	          _catentryId  	= attribute.catentryId; 
	          var selCount 	= 0;
	          
	          
	          $("div[name=attrFtValue]").each( function() {
	             var selVal  = $(this).attr("value").split('_');
	             
	             if ( selVal.length> 1 ) {
	                selCount++;

	                if( selVal[1]==nameId && selVal[2]==valueId ) {
	                   equalCount++;
	                } 
	             }
	         });

			if ( selCount == equalCount ) {
				return _catentryId;
			 } 
	      } //end attributes loop
	      
	   } //end SKUs loop
	   
	   return catentryId;
	},
	
	sortJSON : function(jsonObject, prop, asc) {
		jsonObject = jsonObject.sort(function(a, b) {
	        if (asc) return ( a[prop] > b[prop]) ? 1 : ((a[prop] < b[prop]) ? -1 : 0);
	        else return (b[prop] > a[prop]) ? 1 : ((b[prop] < a[prop]) ? -1 : 0);
	    });
		
		return jsonObject;
	},
	
	objListSort : function(objList){
		var items = objList;
	    var list = items.sort(function(a, b) {
	        var listItem1 = a.attrValSequence;
	        var listItem2 = b.attrValSequence;
	        
	        if(listItem1 > listItem2) return -1;
	        if(listItem2 > listItem1) return 1;
	        return 0;
	    });
		return list;
	}, 
};
