
/* JavaScript content from js/goods/M_G2130000M.js in folder common */

/* 
 *	상품목록
 *  ID : M_G2130000M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		p_espotid : null,
		p_bannerid : null,
		catalogId : null,
		categoryId : null,
		categoryNm : null,			
		searchType : 'search',
		
		pushFullEvent : true,
		totalCount : 0,
		pageSize 	: 10,
		pageIdx : 1,
		currentPage : 1,
//		sortCriteria : 'new',
		
		invokeParams : null,
		brandCode : null,
		kitchenCode 	: null,
		sbCode : null,
		
		tranId : 'NSSearchCategoryWrapper',

		init : function( params ) {			
			this.initializeComponent( params );
			this.onLoad();
		},
		
		initializeComponent : function( params ) {
			Ns.UI.startPushFullEvent( this.data.getProductListInfo ); // push full event 설정. 
			
			this.data.initInvokeReqPrams(params); //parameters 설정. 
			
			$("#itemClass li a").unbind().bind( "click", this.event.onclick_itemClass );
			$("#btnChangeView").unbind().bind( "click", this.event.onclick_btnChangeView );
			
			// AIQUA
			mainCtrl.userEventToAIQUA('category_viewed', {category_name : Ns.Util.htmlDecode(params.categoryNm)});
		},
		
		onLoad : function() {
//			for(var i=0; i < CurrentView.currentPage; i++)
				$("#txtSubHeaderTitle1").hide();
				$("#txtSubHeaderTitle2").hide();
				$("#contents").addClass("detailON");
				$("#subCategory").addClass("detailON");
				mainCtrl.hideGNB();
				this.data.getHeaderName();
		},
		
		data : {
			//헤더 설정. - 카테고리 명이 없으면 조회하여 헤더 설정
			getHeaderName : function(){
				if( !Ns.Util.isNull( CurrentView.categoryNm ) ){
					mainCtrl.setHeaderTitle( false, CurrentView.categoryNm );
					CurrentView.data.getProductListInfo();
					//jihee : 제휴사 adbrix 실적 정보 전달
					//if(mainCtrl.VIEW_TYPE == "android") {
						var invoke = {};
						invoke.category = "add_category";
						invoke.action = CurrentView.categoryNm;
						if(typeof targeting == 'undefined'){
							mainCtrl.callTargetingScript();
						}
						setTimeout(function(){
							targeting.sendLogging(invoke);			
						}, 5500);
					//}
					
				} else {
					var invoke = {
						catalogId : CurrentView.catalogId,
						categoryId : CurrentView.categoryId,
						gubun : 30
					};
					
					tran.callWCSJsonTran( 'RetrieveCat2ListReal', invoke, function(data){
						if ( !data.isSuccessful ) {
							var name = data.msg.root.categoryNm;
							if ( !Ns.Util.isNull(name) ) {
								CurrentView.categoryNm = name;
								mainCtrl.setHeaderTitle( false, name );
							}
						}
						
						CurrentView.data.getProductListInfo();
					});
				}
			},
			
			initInvokeReqPrams : function(params){
				if ( !Ns.Util.isNull(params.catalogId) ) CurrentView.catalogId = params.catalogId;
				if ( !Ns.Util.isNull(params.currentPage) ) CurrentView.currentPage = params.currentPage;
//				if ( !Ns.Util.isNull(params.sortCriteria) ) CurrentView.sortCriteria = params.sortCriteria;
				if ( !Ns.Util.isNull(params.p_espotid) ) CurrentView.p_espotid = params.p_espotid;
				if ( !Ns.Util.isNull(params.p_bannerid) ) CurrentView.p_bannerid = params.p_bannerid;
				CurrentView.categoryId = params.categoryId || null;
				CurrentView.categoryNm = params.categoryNm || null;
				
				if( CurrentView.currentPage != 1 ){
					CurrentView.pageSize = CurrentView.currentPage * CurrentView.pageSize;
				}
				
				//전문관 영역 상품검색인 경우
				if( CurrentView.catalogId != Const.getDefaultCatalogId() && !Ns.Util.isNull( CurrentView.catalogId ) ){					
					CurrentView.tranId = "NSSearchSpecialWrapper";

					if( !Ns.Util.isNull(params.kitchenCode) ){
						CurrentView.kitchenCode = params.kitchenCode || null;
						CurrentView.searchType = "kitchentheme";
					}
					CurrentView.sbCode = params.sbCode || null;
					CurrentView.brandCode = params.brandCode	|| null;
				}
			},
			
			getProductListInfo : function(){
				var invoke = {
					//busChnId	 : Const.getBusChannelId(),
					//channelCode : Const.getBusChannelId(),
					searchType : CurrentView.searchType,
					pageSize : CurrentView.pageSize,
					currentPage : CurrentView.pageIdx,
					sortCriteria : CurrentView.sortCriteria,
					categoryId : CurrentView.categoryId
				};

				if ( !Ns.Util.isNull(CurrentView.catalogId) ) invoke.catalogId = CurrentView.catalogId;
				if ( !Ns.Util.isNull( CurrentView.brandName )) invoke.brandName = CurrentView.brandName;
				if ( !Ns.Util.isNull( CurrentView.kitchenCode )) invoke.kitchenCode = CurrentView.kitchenCode;
				if ( !Ns.Util.isNull( CurrentView.sbCode )) invoke.sbCode = CurrentView.sbCode;
				if ( !Ns.Util.isNull( CurrentView.brandCode )) {
					//브랜드코드가 있을 경우 카테고리 ID는 empty...
					invoke.brandCode = CurrentView.brandCode;
					invoke.categoryId = "";
				}
				
				if ( CurrentView.pageSize > 10){
					CurrentView.pageIdx = CurrentView.pageSize / 10; 
					CurrentView.pageSize = 10;
				}
				
				CurrentView.invokeParams = invoke;
				tran.callWCSJsonTran( CurrentView.tranId, invoke, CurrentView.ui.setProductListPage );
//				if( CurrentView.pageIdx != CurrentView.currentPage )
//					CurrentView.pageIdx ++;
			},
			
			/**
			 * kimjh : hsmoa
			 * */
			hsmoaList : function(array) {
				var invoke = {}
				invoke.from_hsmoa = false;
				invoke.action = array;
				invoke.category = 'list';
				
				if(typeof targeting == 'undefined'){
					mainCtrl.callTargetingScript();
				}
				setTimeout(function(){
					targeting.sendHsmoa(invoke);
				}, 5500);
			}

		}, // end data functions.
		
		
		ui : {		
			setProductListPage : function( data ) {
				if ( !data.isSuccessful ) {
					if ( CurrentView.pageIdx == 1 ) {
						var msg = Ns.Util.isNull( CurrentView.categoryNm ) ? "상품이 없습니다." : CurrentView.categoryNm + '에 속한 상품이 없습니다.';
						var htmlTxt = mainCtrl.getNoResultDataHtml( msg );
						
						$('#txtSortName').text( Ns.Util.getSortCriteriaName("new") );
						$("#productList").html( htmlTxt );
					}
					return false;
				}
				$(".item-panel").show();
				var productList  = data.msg.root.ProductList; 								
				var sortType	 = data.msg.root.SortType;
				CurrentView.totalCount = data.msg.root.TotalCount;

				if ( !Ns.Util.isNull(sortType) ) {
					CurrentView.sortCriteria = sortType;
					$('#txtSortName').text( Ns.Util.getSortCriteriaName(sortType) );
				}else{
					CurrentView.sortCriteria = sortType;
					$('#txtSortName').text( Ns.Util.getSortCriteriaName(sortType) );
				}
				
				if( Ns.Util.isNull( productList ) && productList.length == 0 ) {
					if ( CurrentView.pageIdx == 1 ) {
						var msg = Ns.Util.isNull( CurrentView.categoryNm ) ? "상품이 없습니다." : CurrentView.categoryNm + '에 속한 상품이 없습니다.';
						var htmlTxt = mainCtrl.getNoResultDataHtml( msg );
						$("#productList").html( htmlTxt );
					}
					
					return false;
				}
				
				CurrentView.pushFullEvent = false;
				mainCtrl.setPageHistoryUpdate( CurrentView.invokeParams );

				var resHtml = Ns.UI.productList(productList, CurrentView.catalogId, CurrentView.categoryId, CurrentView.p_espotid, CurrentView.p_bannerid) ; 
				$("#productList").append(resHtml);
				Ns.UI.productListAreaEventInit("#productList", CurrentView.sbCode);
				
				//kimjh : 홈쇼핑모아 
				if (!mainCtrl.isOsApp()) {
					var array = new Array();
					for ( var i = 0 ; productList.length > i && 3 > i ; i++) {
						var id = productList[i].partNumber + "";
						array.push(id);
					}
					
					CurrentView.data.hsmoaList(array);
				}
			},
		
		}, //end ui functions.
		 
		
		event : {
			//상품 목록 디스플레이 형태(리스트형, 이미지형) 선택
			onclick_btnChangeView : function(){
				if ( $("#btnChangeView").hasClass("simple")) {
					$("#btnChangeView").removeClass("simple").addClass("detail");
					$("#productList").removeClass("detail").addClass("simple");
					/*$("#productList .display_type_list").hide();
					$("#productList .display_type_img").show();*/
				} else {
					$("#btnChangeView").removeClass("detail").addClass("simple");
					$("#productList").removeClass("simple").addClass("detail");
					/*$("#productList .display_type_img").hide();
					$("#productList .display_type_list").show();*/
				}
			},
			
			//조회 방법 선택. 
			onclick_itemClass : function() {
				var type = $(this).attr("sort-code");
				$("#itemClass").removeClass( "active" );
				$(".item-sort a").removeClass( "active" );
				
				if( CurrentView.sortCriteria == type ) return;
				
				CurrentView.pushFullEvent = true;
				CurrentView.sortCriteria = type;
				CurrentView.pageIdx = 1;
				CurrentView.totalCount = 0;
				
				$("#productList").html("");
				$("#txtSortName").html( $(this).text() );
				
				CurrentView.data.getProductListInfo(); //상품목록 조회..
			}			
		} // end event functions. 
};