
/* JavaScript content from js/goods/M_G2611001M.js in folder common */
/* 
 *	상품상세-원본보기
 *  ID : M_G2611001M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
	viewport : null,
	
	init : function( params ) {
		this.initializeComponent();
		this.onLoad(params);
	},
	
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	//이벤트 binding 등...
	initializeComponent : function() {	
		$("#viewport").remove();
		$("#header").hide();
		$("#util").hide();
		$("#footer").hide();
	},
	
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {
		CurrentView.data.setViewport();
		CurrentView.data.getOriginSize(params);
	},
	
	data : {
		setViewport : function(){
			var meta = document.createElement("meta");
			meta.setAttribute('name','viewport');
			meta.setAttribute('id','viewport');
			meta.setAttribute('content','width=device-width, initial-scale=1, maximum-scale=4, user-scalable=yes, target-densitydpi=device-dpi');
			$("head").append(meta);
		},
		
		getOriginSize : function( invoke ){
			tran.callWCSJsonTran( 'NSItemDetailGoodsGuide' , invoke, CurrentView.ui.setOriginSize );
		}
	},
	
	ui : {
		setOriginSize : function( data ){
//			$("#viewport").attr('content','width=device-width, initial-scale=1, maximum-scale=4, user-scalable=yes, target-densitydpi=device-dpi');
			var info = Ns.Util.htmlDecode(data.jsonData.goodsGuideDataList[0].specsInputVal);
			var header = Ns.Util.stringFormat('\
				<div>\
					<div class="origin-header">\
						<h2><a>원본보기</a></h2>\
						<a class="btn ico preview" href="javascript:CurrentView.event.btnBack()"><span></span></a>\
					</div>\
				</div>');

			$('#zoomwrapper').html( header+info );
			$('#zoomwrapper').css( "height", '100%' );
			
			//이미지와 테이블에 높이가 지정되서 올 경우 삭제
			$("#zoomwrapper table").removeAttr('height');
			$("#zoomwrapper img").removeAttr('height');
			
//			var iframe = $('<iframe frameborder="0" id="theIframe" name="theIframe" marginwidth="0" marginheight="0" />').appendTo('#detailContents').on('load',function(){
//			});
//			
//			iframe.contents().find('body').html( header+info );
//			
//			var height = iframe.contents().find('body').height();
//			iframe.css('height', iframe.contents().find('body').height() );
//			iframe.css('width', $('#zoomwrapper').width() );
//			
//			$('#zoomwrapper').css( "height", '100%' );
			
//			var meta = document.createElement("meta");
//			meta.setAttribute('name','viewport');
//			meta.setAttribute('id','viewport');
//			meta.setAttribute('content','width=device-width, initial-scale=1, maximum-scale=2, user-scalable=yes');
//			iframe.contents().find('head').append(meta);
		
		}
	},
	
	event : {
		btnBack : function(){
			mainCtrl.onBackButtonPressed();
		}
	}
};