
/* JavaScript content from js/goods/M_G2615400L.js in folder common */
/* 
 *	상품상세-미리계산기..
 *  ID : M_G2615400L
 *  
 *  20150324 정헌태 수정 - 적립금과 예치금의 값이 바뀌어 나와서 문의 결과 인터페이스 설계서가 잘못됬다고 통보 받아 수정(지금와서..ㅡㅡ;)
 *  						적립금 : mileage_balance에서 accumoney_balance으로 수정
 *  						예치금 : accumoney_balance에서 mileage_balance으로 수정
*/



//page 컨트롤 클래스
CurrentPopup = {
	resultPrc : 0,

	CALC : {
		busChnId : null,
		itemPrice : 0,
		salePrice : 0,
		calc_partNumber : null,
		calc_pcatentryId : null,
		calc_catentryId : null,
		multiCd : null,
		accumoney_balance : 0,	// 적립금
		mileage_balance : 0,	// 예치금
		giftcard_balance : 0,
		annudccp_balance : 0,
		salePriceTot : 0,
		calcu_qty :1,
		calcu_cnveyNum : 1,
		dcTot : 0,
		jojoDc : 0,
		arsDc : 0,
		lsdDc : 0,
		lsdDcYn : "N",
		tmDc : 0,
		cpcDc : 0,
		minCntrbPfrate : 0,
		mdPf : null,
		cp0 : null,
		card0 : null,
		prom : null,
		calc_limitSalePrice : 0,
		calc_Norm : null,
		calc_annuDcCpVal : 1,
		calc_annuDcCpValOrg : 1,
		cal_uType : "R",
		cal_dcPrc : [],
		
		isFlashSale : "N",
		couponList : null,
		arrCpObj : [
        	{id:"id_sel_cp0", title:"할인쿠폰 선택", plusSprCd:"10"}
        	,{id:"id_sel_cp1", title:"더할인쿠폰 선택", plusSprCd:"20"}
        	,{id:"id_sel_cp2", title:"알뜰쿠폰 선택", plusSprCd:"30"}
        	,{id:"id_sel_cp3", title:"더알뜰쿠폰 선택", plusSprCd:"40"}
        	,{id:"id_sel_cp4", title:"해피딜쿠폰 선택", plusSprCd:"05"}
        ]
	},
		
	init : function( params ) {
		this.initializeComponent( params );
		this.onLoad( params );
	},
		
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	//이벤트 binding 등...
	initializeComponent : function( params ) {
		this.ui.setDefaultParams( params );
		
		$( "#id_txt_accumoney_balance" ).keyup( this.event.keyup_balance );
		$( "#id_txt_mileage_balance" ).keyup( this.event.keyup_balance );
		$( "#id_txt_giftcard_balance" ).keyup( this.event.keyup_balance );
		
		$( "#id_txt_accumoney_balance" ).focusout( this.event.focusout_balance );
		$( "#id_txt_mileage_balance" ).focusout( this.event.focusout_balance );
		$( "#id_txt_giftcard_balance" ).focusout( this.event.focusout_balance );
		
		$( "#id_sel_cp0" ).change( this.event.change_cp );
		$( "#id_sel_cp1" ).change( this.event.change_cp );
		$( "#id_sel_cp2" ).change( this.event.change_cp );
		$( "#id_sel_cp3" ).change( this.event.change_cp );
		$( "#id_sel_cp4" ).change( this.event.change_cp );
		$( "#sel_card_31" ).change( this.event.change_cp );
		$( "#sel_card_33" ).change( this.event.change_cp );
		
		$( "#id_chk_lsp" ).click( this.event.onclick_id_chk_lsp );
		
		$("#btnOK").unbind().bind("click", this.event.onclick_btnOK );
		
	},
		
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function( params ) {
		this.etc.fnCalcSetClear();

		this.data.getMemberRemainAmt();
		this.etc.fnGetJsonData();
	},

	//데이터 관련 함수를 정의한다. 
	data : {
		
		// 적립금정보
		getMemberRemainAmt : function() {
			CurrentPopup.CALC.accumoney_balance = 0;
			CurrentPopup.CALC.mileage_balance = 0;
			CurrentPopup.CALC.giftcard_balance = 0;
			CurrentPopup.CALC.annudccp_balance = 0;
			
			var invoke = {};
			invoke.cmdType= '2'; //호출유형
			invoke.busChnId  = "INT";
			
			tran.callWCSJsonTran( 'NSItemDetailRemainAmtAjax', invoke, CurrentPopup.ui.setRemainAmt );
		}
		
	}, //end data
		
	//ui 관련 함수를 정의한다.
	ui : {
		setDefaultParams : function( params ) {	
			CurrentPopup.CALC.costTypeCd= params.costTypeCd;
			CurrentPopup.CALC.busChnId = params.busChnId;
			CurrentPopup.CALC.itemPrice = params.offerPrice;
			CurrentPopup.CALC.salePrice = params.salePrice;
			CurrentPopup.CALC.calc_partNumber = params.partNumber;
			CurrentPopup.CALC.calc_pcatentryId = params.catentryId;
			CurrentPopup.CALC.calc_catentryId = params.catentryId;
			CurrentPopup.CALC.isFlashSale = params.isFlashSale;
			CurrentPopup.CALC.couponList = params.couponList;
			CurrentPopup.CALC.multiCd =  ( params.multiCd == undefined ) ? "" : params.multiCd;
		},
		
		// 적립금정보 설정
		setRemainAmt : function(data){
			if ( data != null ) {
				if ( data.rtnData.ACCUMONEY_BALANCE != undefined && data.rtnData.ACCUMONEY_BALANCE != "" )
					CurrentPopup.CALC.accumoney_balance = CurrentPopup.etc.num(data.rtnData.ACCUMONEY_BALANCE);
				if ( data.rtnData.MILEAGE_BALANCE != undefined && data.rtnData.MILEAGE_BALANCE != "" )
					CurrentPopup.CALC.mileage_balance = CurrentPopup.etc.num(data.rtnData.MILEAGE_BALANCE);
				if ( data.rtnData.GIFTCARD_BALANCE != undefined && data.rtnData.GIFTCARD_BALANCE != "" )
					CurrentPopup.CALC.giftcard_balance = CurrentPopup.etc.num(data.rtnData.GIFTCARD_BALANCE);
				if ( data.rtnData.ANNUDCCP_BALANCE != undefined && data.rtnData.ANNUDCCP_BALANCE != "" )
					CurrentPopup.CALC.annudccp_balance = CurrentPopup.etc.num(data.rtnData.ANNUDCCP_BALANCE);
			}

			$("#id_lb_accumoney_balance").text( Ns.Util.insertCommas( CurrentPopup.CALC.accumoney_balance));	// 적립금 출력
			$("#id_lb_mileage_balance").text( Ns.Util.insertCommas( CurrentPopup.CALC.mileage_balance ));	// 예치금 출력
			$("#id_lb_giftcard_balance").text( Ns.Util.insertCommas( CurrentPopup.CALC.giftcard_balance));	// 상품권 출력
			$("#id_lb_annudccp_balance").text( Ns.Util.insertCommas( CurrentPopup.CALC.annudccp_balance));
		}
		
	}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
	event : {
		onclick_btnOK : function() {
			//Ns.Popup.hidePopup();
			navi.naviBack();
		},
		
		focusout_balance : function() {
			var nval = $(this).val().replace(/[^0-9]/gi,"");

			if ( nval != "" && nval != "0") {
				nval = Math.floor(CurrentPopup.etc.num(nval) / 10) * 10; // 10미만 절사
				$(this).val( Ns.Util.insertCommas(nval) );
			} else {
				$(this).val( "" );
			}
			
			CurrentPopup.etc.fnPreItemPriceCal();
			
		},

		keyup_balance : function(e) {
			var id = $(this).attr("id");

 			// 숫자만 입력
			$(this).val( $(this).val().replace(/[^0-9]/gi,"") );
 			var nval = CurrentPopup.etc.num( $(this).val() );
 			
 			// 최대 점수 초과시 초기화
 			if ( id == "id_txt_accumoney_balance" ) {
	   			if ( CurrentPopup.CALC.accumoney_balance < nval )  $(this).val(CurrentPopup.CALC.accumoney_balance);
	   		} else if ( id == "id_txt_mileage_balance" ) {
	   			if ( CurrentPopup.CALC.mileage_balance < nval ) $(this).val(CurrentPopup.CALC.mileage_balance);
   			} else if ( id == "id_txt_giftcard_balance" ) {
	   			if ( CurrentPopup.CALC.giftcard_balance < nval ) $(this).val(CurrentPopup.CALC.giftcard_balance);
	   		}
			
   			var chkPrc = CurrentPopup.etc.fnChkSelectAble(2);
   			if ( chkPrc < 0 ) { // 최대 사용가능 금액구함
   				$(this).val("0");
   				
   				if ( chkPrc == -1 ) {
					var arrDc = CurrentPopup.etc.fnPreItemPriceCal();
					if ( arrDc.resultPrc > 0 ) {
			   			$(this).val(arrDc.resultPrc).select();
		   			}
	   			}
	   		}
	   		
	   		CurrentPopup.etc.fnPreItemPriceCal();
	   		$(this).val(Ns.Util.insertCommas($(this).val()));
	   		
		}, // end function keyup_balance
			
			
		change_cp : function() {
	    	var cpId = $(this).attr("id");
	    		
	    	var amt0 = 0;
			var amt1 = 0;
			var cardDc = [0, 0];
			var arrDc = [0, 0];
			
			if ( cpId == "id_sel_cp0" ) {
				$("#id_sel_cp1").val("");
				$("#id_sel_cp2").val("");
				$("#id_sel_cp3").val("");
			} else if ( cpId == "id_sel_cp1" ) {	
				$("#id_sel_cp2").val("");
				$("#id_sel_cp3").val("");
			} else if ( cpId == "id_sel_cp2" ) {
				$("#id_sel_cp3").val("");
			}
			
			if ( cpId != "" ) {
		    	// 일반쿠폰과 플러스1은 md매익율 초과는 선택금지
		    	if ( cpId == "id_sel_cp0" || cpId == "id_sel_cp1" ) {
		    		if ( cpId == "id_sel_cp0" ) {
		    			arrDc = CurrentPopup.etc.fnGetCpAmt(cpId, CurrentPopup.CALC.salePriceTot);
		    			
		    			if ( arrDc[1] == 1 ) {
		    				Ns.Popup.alert("할인 금액을 초과하여 선택이 불가능합니다.");
			    			return false;
			    		} else if ( arrDc[1] == 2 ) {
			    			Ns.Popup.alert("할인 수량을 초과하여 선택이 불가능합니다.");
			    			return false;
			    		}
		    			
		    			amt0 = arrDc[0];
		    			arrDc = CurrentPopup.etc.fnGetCpAmt(  $("#id_sel_cp1").val(), CurrentPopup.CALC.salePriceTot - amt0 );
		    			amt1 = arrDc[0];
		    		} else if ( cpId == "id_sel_cp1" ) {
		    			arrDc = CurrentPopup.etc.fnGetCpAmt( $("#id_sel_cp0").val(), CurrentPopup.CALC.salePriceTot);
		    			amt0 = arrDc[0];
		    			arrDc = CurrentPopup.etc.fnGetCpAmt(cpId, CurrentPopup.CALC.salePriceTot - amt0);
		    			
		    			if ( arrDc[1] == 1 ) {
		    				Ns.Popup.alert("할인 금액을 초과하여 선택이 불가능합니다.");
			    			return false;
			    		}
			    		else if ( arrDc[1] == 2 ) {
			    			Ns.Popup.alert("할인 수량을 초과하여 선택이 불가능합니다.");
			    			return false;
			    		}
		    			
		    			amt1 = arrDc[0];
		    		}

		    		if ( CurrentPopup.etc.fnCalcuPf( CurrentPopup.CALC.salePriceTot, amt0 + amt1 ) ) {
		    			$(this).val("");
		    			Ns.Popup.alert("해당 쿠폰은 선택이 불가능합니다.");
		    			return false;
		    		}
		    	} else if ( cpId == "sel_card_31" || cpId == "sel_card_33" ) { // 카드행사일경우 추가 한정조건 확인
		    		if ( (cpId == "sel_card_31" && $("#sel_card_33").val() != "")  || (cpId == "sel_card_33" && $("#sel_card_31").val() != "") )  {
		    			$(this).val("");
		    			Ns.Popup.alert("카드 즉시할인과 카드 청구할인은 중복선택이 불가능합니다.");
						return false;
			    	}
		    		
		    		var arrDC = CurrentPopup.etc.fnPreItemPriceCal();
		    		amt0 = arrDC.resultPrc;
		    		cardDc = CurrentPopup.etc.fnGetCardAmt( CurrentPopup.CALC.card0, cpId, amt0 );
		    		if ( cardDc[1] == 1 ) {
		    			Ns.Popup.alert("할인 금액을 초과하여 선택이 불가능합니다.");
		    			return false;
		    		} else if ( cardDc[1] == 2 ) {
		    			Ns.Popup.alert("할인 수량을 초과하여 선택이 불가능합니다.");
		    			return false;
		    		}
		    		
		    		if ( CurrentPopup.etc.fnChkSelectAble(1) < 0 ) {
		    			$(this).val("");
						return false;
					}
		    		
		    	}  //if ( cpId == "id_sel_cp0" || cpId == "id_sel_cp1" ) {

		    }  // if ( cpId!="" )
			
			CurrentPopup.etc.fnPreItemPriceCal();
		},

		//무이자 일시불 할인 체크박스
		onclick_id_chk_lsp : function() {
			var id = $(this).attr("id");

//			if ( $(this).is(":checked") ) {
//				if ( id == "id_chk_annudccp" ) {
//					if ( CurrentPopup.etc.fnChkSelectAble (1) < 0 ) {
//						$(this).removeAttr("checked");
//						return false;
//					}
//				}
//			}
			
			CurrentPopup.etc.fnPreItemPriceCal();
		}

	}, // end event
		
	etc : {
		//동시선택 불가 조건 확인
		fnChkSelectAble : function(idx, amt ){
			if ( amt == null ) amt = 0;
			
//			if (  $("#id_sel_cp3").val() != ""  && $("#id_chk_annudccp").is(":checked") ) {
//				Ns.Popup.alert("연간할인권과 더알뜰쿠폰은 중복선택이 불가능합니다.");
//				return -2;
//			}

			var dc = CurrentPopup.etc.fnPreItemPriceCal();
	   		if ( dc.resultPrc-amt < 0 ) {
	   			Ns.Popup.alert("최대 할인 가능 금액을 초과하였습니다.");
	   			return -1;
	   		}
	   		
			return 1;
		},
		
		// MD 매익율 계산
		fnCalcuPf : function(rPrice, cpAmt){
			if ( CurrentPopup.CALC.calc_limitSalePrice > -1 && rPrice - cpAmt < CurrentPopup.CALC.calc_limitSalePrice ) {
				return true; // 초과
			} else {
				return false;
			}
		},

		/* 판매금액 재계산	*/
		fnCalcuPriceDc : function(idx){
			// 할인 순서( 조조, 일시, 한정, 매가 는 금액할인이다 )
			// 판매가 - 원가유형별적용가 - 매가할인 - ARS 
			// 일반쿠폰 - 플러스 하나 - 플러스 둘 - 플러스 셋
			// 연간할인권 - 무이자일시불  - 적립금 - OK캐쉬백 - 예치금 - 상품권 
			// 제휴카드 - 청구할인 				
			// 매가할인, 일반쿠폰, 플러스1쿠폰은 이익율 적용됨
			
			var qty = CurrentPopup.CALC.calcu_qty;
			var totalPrice = CurrentPopup.CALC.itemPrice * qty;
			var resultPrc = totalPrice; // 할인가
			var dc = 0;
			var arrDc = [];
			var id = "";
			
			CurrentPopup.CALC.cal_dcPrc = [];
			
			// 알뜰할인가
			CurrentPopup.CALC.jojoDc *= qty;
			CurrentPopup.CALC.lsdDc *= qty;
			CurrentPopup.CALC.tmDc *= qty;
			
			// 금액할인
			CurrentPopup.CALC.dcTot = 0;
			CurrentPopup.CALC.dcTot = CurrentPopup.etc.num(CurrentPopup.CALC.calc_Norm.dcAmt);
			resultPrc -= CurrentPopup.CALC.dcTot;
			
			// 매가할인
			CurrentPopup.CALC.cpcDc = 0;
			if ( CurrentPopup.CALC.prom != null && CurrentPopup.CALC.prom.promValCpcWay != undefined) {
				if ( CurrentPopup.CALC.prom.promValCpcWay == "RTO" ) {
					// 율인경우는 수량곱한 금액이후 계산함
					CurrentPopup.CALC.cpcDc = CurrentPopup.etc.fnAmtRound( resultPrc * (CurrentPopup.etc.num(CurrentPopup.CALC.prom.promValCpc) / 100) );
				} else {
					CurrentPopup.CALC.cpcDc = CurrentPopup.etc.num(CurrentPopup.CALC.prom.promValCpc) * qty;
				}
			}

			CurrentPopup.CALC.cpcDc = CurrentPopup.etc.fnAmtRound(CurrentPopup.CALC.cpcDc);
			
			// 이익율 적용
			if ( !CurrentPopup.etc.fnCalcuPf( resultPrc, CurrentPopup.CALC.cpcDc ) ) { 
				resultPrc -= CurrentPopup.CALC.cpcDc;
			} else {
				CurrentPopup.CALC.cpcDc = 0;
			}
			
			// ARS 할인	 
			// 무조건 금액으로만 들어온다	
			CurrentPopup.CALC.arsDc = 0;
			if ( CurrentPopup.CALC.prom != null ) {
				CurrentPopup.CALC.arsDc = CurrentPopup.etc.num(CurrentPopup.CALC.prom.arsVal) * qty;
			}
			CurrentPopup.CALC.arsDc = CurrentPopup.etc.fnAmtRound(CurrentPopup.CALC.arsDc);
			resultPrc -= CurrentPopup.CALC.arsDc;
			
			// 쿠폰 매익율 계산전 합계
			CurrentPopup.CALC.salePriceTot = resultPrc;
			
			//방송중동일할인
			dc = CurrentPopup.CALC.jojoDc + CurrentPopup.CALC.arsDc;
			CurrentPopup.CALC.cal_dcPrc.push( { id:"id_lb_tv", price: dc } ); 
			
			//반짝할인
			//dc = CurrentPopup.CALC.tmDc + CurrentPopup.CALC.lsdDc;
			//dc = CurrentPopup.etc.num( CurrentPopup.CALC.calc_Norm.dcAmt ) - CurrentPopup.CALC.jojoDc;
			//$("#id_lb_tm").text( Ns.Util.insertCommas(dc) );
			
			//가격할인
			CurrentPopup.CALC.cal_dcPrc.push( { id:"id_lb_prc", price: CurrentPopup.CALC.cpcDc } ); 
			
			// 쿠폰할인
			for (var i = 0; i < CurrentPopup.CALC.arrCpObj.length; i++) {
				id = "#" + CurrentPopup.CALC.arrCpObj[i].id;
				arrDc = CurrentPopup.etc.fnGetCpAmt( $(id).val(), resultPrc);
				resultPrc -= arrDc[0];
				
				CurrentPopup.CALC.cal_dcPrc.push( { id: CurrentPopup.CALC.arrCpObj[i].id + "_lb", price: arrDc[0] } ); 
			}

			// 연간할인권
			dc = 0;
//			if ( $("#id_chk_annudccp").is(":checked") ) {
//				dc = CurrentPopup.etc.fnAmtRound( itemPrice * CurrentPopup.CALC.calc_annuDcCpVal );
//			}
//			CurrentPopup.CALC.cal_dcPrc.push( { id:"id_txt_annudccp_balance", price: dc } ); 
			resultPrc -= dc;
			
			// 무이자
			dc = 0;
			if ( $("#id_chk_lsp").is(":checked") ) {
				// TV 상품일 경우 정률로 계산한다.
				if (CurrentPopup.CALC.busChnId == "TV"){
					dc = CurrentPopup.etc.num(CurrentPopup.CALC.prom.promValLspRate);
				} else {
					dc = CurrentPopup.etc.fnAmtRound( resultPrc * (CurrentPopup.etc.num(CurrentPopup.CALC.prom.promValLspRate) / 100));
				} 
			}
			CurrentPopup.CALC.cal_dcPrc.push( { id:"id_lb_lsp", price: dc } );
			resultPrc -= dc;

			// 적립금
			dc = CurrentPopup.etc.num($("#id_txt_accumoney_balance").val().replace(/[^0-9]/gi,""));
			if ( dc > 9 ) {
				resultPrc -= dc;
				CurrentPopup.CALC.cal_dcPrc.push( { id:"id_txt_accumoney_balance", price: dc} );
			}
			
			// 예치금
			dc = CurrentPopup.etc.num($("#id_txt_mileage_balance").val().replace(/[^0-9]/gi,""));
			if ( dc > 9 ) {
				resultPrc -= dc;
				CurrentPopup.CALC.cal_dcPrc.push( { id:"id_txt_mileage_balance", price: dc } );
			}
			
			dc = CurrentPopup.etc.num($("#id_txt_giftcard_balance").val().replace(/[^0-9]/gi,""));
			if ( dc > 9 ) {
				resultPrc -= dc;
				CurrentPopup.CALC.cal_dcPrc.push( { id:"id_txt_giftcard_balance", price: dc} );
			}
			
			if ( idx < 9 ) {
				dc = CurrentPopup.etc.fnGetCardAmt( CurrentPopup.CALC.card0, $("#sel_card_31").val(), resultPrc);
				resultPrc -= dc[0];
				CurrentPopup.CALC.cal_dcPrc.push( { id:"txt_card_31", price: dc[0]} );

				dc = CurrentPopup.etc.fnGetCardAmt( CurrentPopup.CALC.card0, $("#sel_card_33").val(), resultPrc);
				CurrentPopup.CALC.cal_dcPrc.push( { id:"txt_card_33", price: resultPrc - dc[0]} );
				
				if ( dc[0] >= 0) {
					$("#id_strong_card_33").show();
				} else {
					$("#id_strong_card_33").hide();
				}
			}
			
			return resultPrc;
		},
		
		fnPreItemPriceCal : function(){
			return CurrentPopup.etc.fnDispTotAmt( CurrentPopup.etc.fnCalcuPriceDc(0) );
		},
		
		//최종금액 표시
		fnDispTotAmt : function(resultPrc ) {
			var totalPrice = CurrentPopup.CALC.itemPrice * CurrentPopup.CALC.calcu_qty * CurrentPopup.CALC.calcu_cnveyNum;
			var dcPrice = 0;
			var dc = null;
			
			// 합계
			resultPrc = CurrentPopup.etc.fnAmtRound ( resultPrc  );
			resultPrc = totalPrice;
			
			Ns.Util.viewConsoleLog( "1.    resultPrc: " + resultPrc + ", totalPrice: " + totalPrice);
			
			$("#id_lb_item_price").html( Ns.Util.insertCommas(totalPrice) );
//			$("#id_lb_annuDcVal").html( Ns.Util.insertCommas( CurrentPopup.CALC.calc_annuDcCpValOrg ) );
			
			for (var i=0; i<CurrentPopup.CALC.cal_dcPrc.length; i++) {
				var items = CurrentPopup.CALC.cal_dcPrc[i];
				var itemId = items.id;

				if ( itemId == "txt_card_33" ) {
					dc = CurrentPopup.etc.fnGetCardAmt( CurrentPopup.CALC.card0, $("#sel_card_33").val(), resultPrc);
					items.price = resultPrc - dc[0];
					
					$( "#"+itemId ).html( Ns.Util.insertCommas( items.price ) );
					
					continue;
				}  else if ( itemId == "txt_card_31" ) {
					dc = CurrentPopup.etc.fnGetCardAmt( CurrentPopup.CALC.card0, $("#sel_card_31").val(), resultPrc);
					items.price = dc[0];
				}
				
				dcPrice = CurrentPopup.etc.num( items.price );
				Ns.Util.viewConsoleLog( "2.    dcPrice: " + dcPrice + ", items.price: " + items.price);
				
				if (itemId == "id_sel_cp3_lb" || 
					itemId == "id_txt_annudccp_balance"  || itemId == "id_txt_mileage_balance" || itemId == "id_txt_accumoney_balance" || itemId == "id_txt_giftcard_balance" ||  
					itemId == "txt_card_31" || itemId == "txt_card_33" ) {
					dcPrice *= 1;
				}  else {
					dcPrice *= CurrentPopup.CALC.calcu_cnveyNum;
				}
				
				if ( itemId == "id_txt_mileage_balance" || itemId == "id_txt_accumoney_balance" || itemId == "id_txt_giftcard_balance"  ) {
					$("#"+itemId ).val( Ns.Util.insertCommas( dcPrice ) );
				} else 
					$("#"+itemId ).html( Ns.Util.insertCommas( dcPrice ) );
				
				resultPrc -= dcPrice;
			} // end for loop
			
			dcPrice = totalPrice - resultPrc;
			var retval =  { totalPrice: totalPrice, dcPrice: dcPrice, resultPrc: resultPrc };
			
			if ( dcPrice > totalPrice ) {
				dcPrice = totalPrice;
				resultPrc = 0;
			}
			
			$("#emTotalOfferPrice").html( Ns.Util.insertCommas(totalPrice) );
			
			var dcPriceHtmlTxt = '';
			if ( dcPrice == 0 )
				dcPriceHtmlTxt = '0 원';
			else 
				dcPriceHtmlTxt = '-' + Ns.Util.insertCommas(dcPrice) + ' 원';
			
			Ns.Util.viewConsoleLog( "dcPrice: " + dcPrice + ", resultPrc: " + resultPrc);
			$("#emTotalOfferPrice").html(Ns.Util.insertCommas(totalPrice));
			$("#id_dcPrice").html( dcPriceHtmlTxt );
			$("#txtSumPrice").html(Ns.Util.insertCommas(resultPrc));
			
			return  retval;
		},
		
		
		//데이타 없으면 disable 처리
		fnObjDisable : function()  {
			var isBl = true;

			if ( CurrentPopup.etc.num($("#id_lb_tv").text()) < 1 ) {
				$("#id_dt_tv").hide();
			} else {
				$("#id_dt_tv").show();
			}

			isBl = true;
			if ( CurrentPopup.etc.num($("#id_lb_tm").text()) < 1 ) {
				$("#id_li_tm").hide();
			} else {
				$("#id_li_tm").show();
				isBl = false;
			}
			if ( CurrentPopup.etc.num($("#id_lb_prc").text()) < 1 ) {
				$("#id_li_prc").hide();
			} else {
				$("#id_li_prc").show();
				isBl = false;
			}
			if ( CurrentPopup.CALC.prom != null && CurrentPopup.CALC.prom.promValLsp != undefined 
					&& CurrentPopup.CALC.prom.promValLsp == "Y" && CurrentPopup.etc.num(CurrentPopup.CALC.prom.promValLspRate) > 0) {
				$("#id_li_lsp").show();
				isBl = false;
			} else {
				$("#id_li_lsp").hide();
			}
			if ( isBl ) {
				$("#id_dt_tm").hide();
				$("#id_dd_tm").hide();
			}
			
			isBl = true;
			
			$.each( $("select[id*='id_sel_cp']"), function() {
				var id = $(this).attr("id");
				
				if ( $( "#" + id + " option" ).size() < 2 ) {
					$("#" +  id + "_li").hide();
				} else {
					$("#" + id + "_li").show();
					isBl = false;
				}
			});
			

			/*
			 * 연간 할인권 삭제
			if ( CurrentPopup.CALC.annudccp_balance < 1 || CurrentPopup.CALC.calc_annuDcCpVal <= 0 
				|| ( CurrentPopup.CALC.calc_annuDcCpVal < 1 && CurrentPopup.CALC.annudccp_balance < CurrentPopup.etc.fnAmtRound(CurrentPopup.CALC.itemPrice * CurrentPopup.CALC.calc_annuDcCpVal) )) {
				$("#id_li_annudccp_balance").hide();
			} else {
				$("#id_li_annudccp_balance").show();
				isBl = false;
			}
			*/
			if ( isBl ) {
				$("#id_dt_coupon").hide();
				$("#id_dd_coupon").hide();
			}

			isBl = true;
			if ( CurrentPopup.CALC.accumoney_balance < 1 ) {
				$("#id_li_accumoney_balance").hide();
			} else {
				$("#id_li_accumoney_balance").show();
				isBl = false;
			}
			
			if ( CurrentPopup.CALC.mileage_balance < 1 ) {
				$("#id_li_mileage_balance").hide();
			} else {
				$("#id_li_mileage_balance").show();
				isBl = false;
			}
			
			if ( CurrentPopup.CALC.giftcard_balance < 1 ) {
				$("#id_li_giftcard_balance").hide();
			} else {
				$("#id_li_giftcard_balance").show();
				isBl = false;
			}
			
			if ( isBl ) {
				$("#id_dt_point").hide();
				$("#id_dd_point").hide();
			}	
		
			if ( $("#sel_card_31 option").size() < 2 ) {
				$("#h1_card_31").hide();
				$("#ul_card_31").hide();
			} else {
				$("#h1_card_31").show();
				$("#ul_card_31").show();
			}
			
			if ( $("#sel_card_33 option").size() < 2 ) {
				$("#section_card_33").hide();
			} else {
				$("#section_card_33").show();
			}	
			
		},
		
		// 소수점 버림고 10미만 절사
		fnAmtRound : function(prc) {
			return Math.ceil( Math.floor ( prc ) / 10 ) * 10;
		},
		
		
		// 쿠폰 금액 계산
		fnGetCpAmt : function(cpid, prc, qty) {
			var dc = [0, 0];
			var amt0 = 0;
			qty = CurrentPopup.CALC.calcu_qty;

			if (  Ns.Util.isNull(cpid) ) {
				return dc;
			}

			$.each( CurrentPopup.CALC.cp0, function(key, items) {
				if ( items.cpIdfr == cpid ) {
					if ( items.cpApplySpr == "2" && CurrentPopup.etc.num(items.bnftVal) > 0 ) { // 율 
						dc[0] = CurrentPopup.etc.num(items.bnftVal) / 100 * prc; 
					} else if (CurrentPopup.etc.num(items.bnftVal) > 0) {
						dc[0] = CurrentPopup.etc.num(items.bnftVal) * CurrentPopup.etc.num(qty);
					}

					if ( dc[0] < 0 ) dc[0] = 0;

					dc[0] = CurrentPopup.etc.fnAmtRound(dc[0]);
					amt0 = prc;
					
					// 최대할인 초과시
					if ( CurrentPopup.etc.num(items.maxBnftLimit) > 0 && CurrentPopup.etc.num(items.maxBnftLimit) < dc[0] ) {
						dc[0] = CurrentPopup.etc.num(items.maxBnftLimit);
					}
					
					// 금액할인제한 시작값
					if ( items.amtRstApplyYn == "1" ) {
						if ( CurrentPopup.etc.num(items.amtStartVal) > amt0 ) { // 제한값 미만일때
							dc = [0, 1];
							return false;
						}
						
						if ( CurrentPopup.etc.num(items.amtEndVal) > 0  && CurrentPopup.etc.num(items.amtEndVal) < amt0 ) { // 제한값 초과일때
							dc = [0, 1];
							return false ;
						}
					} 
					/*
					// 수량할인제한 시작값
					if ( items.qtyRstApplyYn == "1" ) {
						if ( CurrentPopup.etc.num(items.qtyStartVal) > qty ) { // 제한값 미만일때
							dc = [0, 2];
							return false;
						}
					}
					*/
				} // end each 
			});

			return dc;
		},
		
		// 카드 금액 계산
		fnGetCardAmt : function(dataArr, offerid, prc) {
			var dc = [0, 0];
			var amt0 = 0;
			
			if ( Ns.Util.isNull( offerid ) ) return dc;
			if ( Ns.Util.isNull( dataArr ) || dataArr.length==0 ) return dc;
			
			$.each(dataArr, function(key, items) {
				var itemsOfferId = ""+items.offerIdfr+items.bnftSeq+items.offerBrch;
				if ( itemsOfferId == offerid ) {
					if ( items.applySpr == "2" && CurrentPopup.etc.num(items.bnftVal) > 0 )   {
						dc[0] =  ( CurrentPopup.etc.num(items.bnftVal) / 100 * prc ); 
					}  else if (CurrentPopup.etc.num(items.bnftVal) > 0) {
						dc[0] = CurrentPopup.etc.num(items.bnftVal);
					}
					
					if ( dc[0] < 0 ) dc[0] = 0;
					dc[0] = CurrentPopup.etc.fnAmtRound( dc[0] );
					amt0 = prc - dc[0];
					
					// 최대할인 초과시
					if ( CurrentPopup.etc.num(items.maxBnftLimit) > 0 && CurrentPopup.etc.num(items.maxBnftLimit) < dc[0] ) {
						dc[0] = CurrentPopup.etc.num(items.maxBnftLimit);
					}
					
					// 금액할인제한 시작값
					if ( items.amtRstApplyYn == "1" ) {
						
						if ( CurrentPopup.etc.num(items.amtStartVal) > amt0 ) { // 제한값 미만일때
							dc = [0, 1];
							return false;
						}

						if ( CurrentPopup.etc.num(items.amtEndVal) > 0 && CurrentPopup.etc.num(items.amtEndVal) < amt0 ) { // 제한값 초과일때
							dc = [0, 1];
							return false ;
						}
					}

					// 수량할인제한 시작값
					if ( items.qtyRstApplyYn == "1" ) {
						// 제한값 미만일때
						if ( CurrentPopup.etc.num(items.qtyStartVal) > 1 ) {
							dc = [0, 2];
							return false;
						}
					}
					
					return false;
				}
			});

			return dc;
		},
		
		// 할인가능 행사 조회
		fnGetJsonData : function(){
			if ( CurrentPopup.CALC.cp0 != null ) {
				CurrentPopup.CALC.cp0.length = 0;
			}
			
			CurrentPopup.CALC.jojoDc = 0;
			CurrentPopup.CALC.lsdDc = 0;
			CurrentPopup.CALC.tmDc = 0;
			if ( CurrentPopup.CALC.card0 != null ) {
				CurrentPopup.CALC.card0.length = 0;
			}
			if ( CurrentPopup.CALC.prom != null ) {
				CurrentPopup.CALC.prom.length = 0;
			}
			
			if ( CurrentPopup.CALC.calc_pcatentryId == null ) {
				return false;
			}
			
			//할인가능 행사 조회
			//CurrentPopup.data.getCalculateData();
			var invoke = {};
			
			invoke.cmdType = '101'; //호출유형
			invoke.busChnId  = CurrentPopup.CALC.busChnId;
			invoke.cocd = Const.getCocd();
			invoke.deviceChnId = 'MOBIL';
			invoke.pcatentryId = CurrentPopup.CALC.calc_pcatentryId;
			invoke.catentryId = CurrentPopup.CALC.calc_pcatentryId;
			invoke.multiCd = ( CurrentPopup.CALC.multiCd == undefined ) ? "" : CurrentPopup.CALC.multiCd;
			invoke.isProductYn = "N"; 
			invoke.costTypeCd= '10';//CurrentPopup.CALC.costTypeCd; // '10'; //원가유형 - 정률정상으로 
			
			tran.callWCSJsonTran( 'NSItemDetailCalculateCmd', invoke, function(data) {
				
				// 매익율
				CurrentPopup.CALC.mdPf = data.jsonData_mdPf[0];
				if ( CurrentPopup.CALC.mdPf != null ) {
					CurrentPopup.CALC.minCntrbPfrate = CurrentPopup.etc.num( CurrentPopup.CALC.mdPf.minCntrbPfrate );
					// 선결재 정기배달이면 횟수를 수량으로함
					if ( CurrentPopup.CALC.mdPf.payTypeCd == "10" ) {
						CurrentPopup.CALC.calcu_cnveyNum = CurrentPopup.etc.num( CurrentPopup.CALC.mdPf.cnveyNum );
					}
				}

				CurrentPopup.CALC.cp0 = data.jsonData_plus0;

				if ( data.jsonData_NORM != null ) {
					CurrentPopup.CALC.calc_limitSalePrice = CurrentPopup.etc.num( data.jsonData_NORM.limitSalePrice );
				}

				CurrentPopup.CALC.calc_Norm = data.jsonData_NORM;
				CurrentPopup.CALC.itemPrice = CurrentPopup.etc.num( CurrentPopup.CALC.calc_Norm.typePrice );
				if ( CurrentPopup.CALC.calc_Norm.typeCd.indexOf("30") > -1 ) {
					CurrentPopup.CALC.lsdDcYn = "Y"; 
				}
				
				// 연간할인율
				if ( data.jsonData_annuDcCp != null && data.jsonData_annuDcCp.length > 0 ) {
					if ( data.jsonData_annuDcCp[0].annudccpUseNonrate != null ) {
						CurrentPopup.CALC.calc_annuDcCpValOrg = CurrentPopup.etc.num(data.jsonData_annuDcCp[0].annudccpUseNonrate);
						CurrentPopup.CALC.calc_annuDcCpVal = CurrentPopup.CALC.calc_annuDcCpValOrg / 100;
					}
				}
				
				if ( data.jsonData_JOJO != null ) 
					CurrentPopup.CALC.jojoDc = CurrentPopup.etc.num( data.jsonData_JOJO.dcAmt );
				if ( data.jsonData_LSD != null )
					CurrentPopup.CALC.lsdDc = CurrentPopup.etc.num( data.jsonData_LSD.dcAmt );
				if ( data.jsonData_TMDC != null )
					CurrentPopup.CALC.tmDc = CurrentPopup.etc.num( data.jsonData_TMDC.dcAmt );
				
				
				CurrentPopup.CALC.card0 = data.jsonData_cardEvnt;
				if ( data.jsonData_promEvnt != null && data.jsonData_promEvnt.length > 0 ) {
					CurrentPopup.CALC.prom = data.jsonData_promEvnt[0];
					
					// 20150423 정헌태 수정 - 쇼핑북 동일 혜택으로 문구 변경 되도록 추가
					if (CurrentPopup.CALC.busChnId == "SB" && undefined != CurrentPopup.CALC.prom.arsVal && null != CurrentPopup.CALC.prom.arsVal){
						if (CurrentPopup.CALC.prom.arsVal != "" || CurrentPopup.CALC.prom.arsVal != "0"){
							$("#id_dt_tv_title").html("쇼핑북 동일혜택");
						}
					}
				}
				
				/////////////////////////////////
				$("#id_lb_item_price").text( Ns.Util.insertCommas(CurrentPopup.CALC.itemPrice));
//				$("#id_lb_annuDcVal").text( Ns.Util.insertCommas(CurrentPopup.CALC.calc_annuDcCpValOrg)); //연간할인권 사용가능금액 %
				
				if ( CurrentPopup.CALC.calcu_cnveyNum > 1 ) {
					$("#id_prc_title").html("정기배달가");
				} else {
					$("#id_prc_title").html("판매가");
				}
				
				// 일시불할인 없으면 프로모션 일시불 표시
				if ( CurrentPopup.CALC.lsdDc < 1 && CurrentPopup.CALC.lsdDcYn == "N" ) {
					$('#id_li_lsp').show();
				}  else {
					CurrentPopup.CALC.prom.promValLspRate = 0;
					$('#id_li_lsp').hide();
				}
				
				CurrentPopup.etc.fnPreItemPriceCal(); //totalPrice -> fnSetCpList에서 totalPrice를 이용하여 일반, 쿠폰1은  이익율 초과시 여부 조사. totalPrice 0이면 모두 이익율 초과가 됨. 그래서. 위아래로 fnPreItemPriceCal 함수 호출.
				
				CurrentPopup.etc.fnSetCpList();
				CurrentPopup.etc.fnSetCardList();
				
				CurrentPopup.etc.fnObjDisable();
				CurrentPopup.etc.fnPreItemPriceCal();
				
				$(".prepayArea").show();
			} );
			
		},
		
		num : function( val ) {
			if ( Ns.Util.isNull( val ) ) 
				return 0;
			else 
				return Number(val);
		},
		
		//쿠폰 순번찾기
		fnFindCpIdxById : function(cpid){
			var arr = CurrentPopup.CALC.cp0;
			var rtnVal = -1;

			if ( arr != null ) {
				$.each(arr, function(index, items) {
					if ( items.cpIdfr == cpid ) {
						rtnVal = index;
						return false;
					}
				});
			}

			return rtnVal;

		},
		
		// 쿠폰 콤보 설정
		fnSetCpList : function() {
			//플래시세일..
			if ( CurrentPopup.CALC.isFlashSale == "Y" ) {
				if( CurrentPopup.CALC.couponList != null && CurrentPopup.CALC.couponList != "" ) {
					for( var i=0; i<CurrentPopup.CALC.couponList.length; i++) {
						var items = CurrentPopup.CALC.couponList[i];
						if(  items.couponType == "99" ) {
							var falshCp = {
								cpIdfr : items.plusCouponCpIDFR,
								plusSprCd : "99",
								cpNm : items.cpNm,
								bnftVal: CurrentPopup.etc.num( items.plusCoupon ),
								cpApplySpr : items.plusCouponWay
							};
							
							//플레시 세일일 경우 다른 쿠폰 적용 안됨.
							CurrentPopup.CALC.cp0 = [];
							CurrentPopup.CALC.cp0.push( falshCp );
							break;
						} // end if couponType==99
					} // end for loop
				} // end if
			}
			
			
			if ( CurrentPopup.CALC.cp0 == null || CurrentPopup.CALC.cp0.length==0 )  return false;
			
			for ( var k=0; k<CurrentPopup.CALC.cp0.length; k++) {
				var items = CurrentPopup.CALC.cp0[k];
				
				var cpAmt = CurrentPopup.etc.fnGetCpAmt(items.cpIdfr, CurrentPopup.CALC.salePriceTot );
				var pf = CurrentPopup.etc.fnCalcuPf( CurrentPopup.CALC.salePriceTot, cpAmt );
				
				// 할인쿠폰, 더할인쿠폰일 경우
				if (items.plusSprCd == "10" || items.plusSprCd == "20"){
					var strMinCntrbPfrate = CurrentPopup.CALC.mdPf.minCntrbPfrate;	// MD 이익률(문자열)
					if (undefined == strMinCntrbPfrate || null == strMinCntrbPfrate || "" == strMinCntrbPfrate){
						// 정상처리 
					} else {
						var nPrice = Number(CurrentPopup.CALC.calc_Norm.price);	// 매가
						var nDcPrice = Number(items.bnftVal);	// 할인금액
						
						if (items.cpApplySpr == "2"){
							nDcPrice = nPrice / 100 * nDcPrice;
						}
						
						var nBuyPrice = Number(CurrentPopup.CALC.calc_Norm.buyPrice);	// 원가 VAT 별도금액 // 부과세액
						var nMinCntrbPfrate = Number(CurrentPopup.CALC.mdPf.minCntrbPfrate);	// MD 이익률
						
						// (매가 - 할인금액 - 원가 VAT 별도금액 - 부과세액) / 매가  >= MD 이익률
						if ((nPrice - nDcPrice - nBuyPrice) / nPrice >= nMinCntrbPfrate / 100){
							// 정상처리
						} else {
							continue;	// 화면 미표시
						}
					}
				}
				
				// 일반, 쿠폰1은  이익율 초과시 미표시
				if ( (items.plusSprCd == "10" || items.plusSprCd == "20")  && pf ) continue;
				if ( CurrentPopup.CALC.cal_uType == "G" && items.plusSprCd == "40" ) continue;
				if ( items.cpType == "20" ) continue;
				
				cpName = items.cpNm;
				var cpVal = "";
				
				// if ( cpName.length > 10 ) {
				// 	cpName = cpName.substr(0, 10) + "...";
				// }
				 
				// if ( items.cpApplySpr == "1" ) {
				// 	items.bnftVal = CurrentPopup.etc.fnAmtRound(items.bnftVal);
				// 	cpVal += "[" + Ns.Util.insertCommas(items.bnftVal) + "원]";
				// }	else if ( items.cpApplySpr == "2" ) {
				// 	cpVal += " [" + items.bnftVal + "%]";
				// }
				
				cpName += cpVal;
				
				if ( items.plusSprCd == "10") id = "id_sel_cp0";
				else if ( items.plusSprCd == "20") id = "id_sel_cp1";
				else if ( items.plusSprCd == "30") id = "id_sel_cp2";
				else if ( items.plusSprCd == "40") id = "id_sel_cp3";
				else if ( items.plusSprCd == "99") id = "id_sel_cp4";
				
				$("#"+id).append("<option value='"+items.cpIdfr+"'>"+ cpName + "["+ items.cpIdfr + "]</option>");
			}
			
		},
		
		// 카드사 콤보 설정
		fnSetCardList : function() {
			if ( CurrentPopup.CALC.card0 == null || CurrentPopup.CALC.card0.length == 0 )  return false;
			
			$("select[id*='sel_card_']").each( function () {
				var id = $(this).attr("id");
				$.each( CurrentPopup.CALC.card0, function(key, items) {
					var isTrue = false;
					var itemNm = "";

					if ( id == "sel_card_31" && items.offerBrch == "31" && CurrentPopup.CALC.mdPf != null && CurrentPopup.CALC.mdPf.cardchrgdcexcptyn != "Y" ) {
						isTrue = true;
					} else if ( id == "sel_card_33" && items.offerBrch == "33" ) {
						isTrue = true;
					}
					
					if ( isTrue ) {
						itemNm = items.commCdInstc;
						if ( items.applySpr == "1" ) {
							itemNm += " [" + Ns.Util.insertCommas( CurrentPopup.etc.fnAmtRound(items.bnftVal)) + "원]";
						} else if ( items.applySpr == "2" ) {
							itemNm += " [" + items.bnftVal + "%]";
						}

						$("#"+id).append("<option value='"+""+items.offerIdfr+items.bnftSeq+items.offerBrch+"'>"+itemNm+"</option>");
					}
				});
			});
		},
		
		// 초기화 단품 코드
		fnCalcSetClear : function() {
			var titleVal = "선택하세요.";
			$("select[id*='id_sel_cp']").each( function( ){
				var id = $(this).attr("id");
				
				for (var i = 0; i < CurrentPopup.CALC.arrCpObj.length; i++) {
					if ( CurrentPopup.CALC.arrCpObj[i].id == id ) {
						titleVal = CurrentPopup.CALC.arrCpObj[i].title;
						break;
					}
				}
			
				$(this).html( "<option value=''>" + titleVal + "</option>" );
			});
			
			$("select[id*='sel_card_']").each( function () {
				$(this).html( "<option value=''>선택하세요</option>" );
			});
			
			$("#id_sel_cp0").val("");
			$("#id_sel_cp1").val("");
			$("#id_sel_cp2").val("");
			$("#id_sel_cp3").val("");
			$("#id_sel_cp4").val("");
			
			$("#id_chk_lsp").removeAttr("checked"); //일시불할인.
			//$("#id_chk_annudccp").removeAttr("checked");
			
			$("#id_txt_accumoney_balance").val("");
			$("#id_txt_mileage_balance").val("");
			$("#id_txt_giftcard_balance").val("");
			$("#id_txt_annudccp_balance").val("");
			
			$("#sel_card_31").val("");
			$("#sel_card_33").val("");

			if ( CurrentPopup.CALC.cal_uType != "G" )	{
				$('#id_dt_point').show();
				$('#id_dd_point').show();
			} else {
				$('#id_dt_point').hide();
				$('#id_dd_point').hide();
			}
			
		}
		
	} // end etc
};