
/* JavaScript content from js/guide/M_F1150000M.js in folder common */

/* 
 *	페이지 ID : M_F1150000M
 *  1. NSmall 이용약관
 *  
 *  
*/

CurrentView = {
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		initializeComponent : function() {
			$("#ulGuideTabArea li a").unbind().bind( "click", this.event.onclick_ulGuideTabArea );
		},
		
		onLoad : function(params) {
			this.data.getUserGuide();
		},
		
		data : {
			getUserGuide : function() {
				var invokeParams = {};
				tran.callWCSJsonTran( 'MallUserGuideContentReal', invokeParams, CurrentView.ui.setUserGuide );
			}
		},
		
		//이벤트 관련 함수 정의
		event : {
			onclick_ulGuideTabArea : function() {
				var id = $(this).attr('id');
				
				$("#sectionMallGuideInfo").hide();
				$("#sectionSbookGuideInfo").hide();
				$("#sectionMobileGuideInfo").hide();
				
				if( id == "MALL" ) {
					$("#sectionMallGuideInfo").show();
				} else if( id == "SBOOK" ) {
					$("#sectionSbookGuideInfo").show();
				} else if( id == "MOBILE" ) {
					$("#sectionMobileGuideInfo").show();
				}
				
				$("ul li.active").removeClass("active");
				$(this).parent().addClass("active");
			}
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			setUserGuide : function( data ) {
				var mallUserGuide = data.msg.root.MallUserGuide;
				var shopNBookGuide = data.msg.root.ShopNBookGuide;
				var mobileGuide  = data.msg.root.MobileAgree;

				if ( mallUserGuide != null && mallUserGuide != "" ) {
					$('#divMallGuideInfo').html(Ns.Util.htmlDecode(mallUserGuide));
					//$("#sectionMallGuideInfo").html( guideTxt );
				}
				
				if ( shopNBookGuide != null && shopNBookGuide != "" ) {
					$('#divSbookGuideInfo').html(Ns.Util.htmlDecode(shopNBookGuide));
					//$("#sectionSbookGuideInfo").html( guideTxt );
				}
				
				if ( mobileGuide != null && mobileGuide != "" ) {
					$('#divMobileGuideInfo').html(Ns.Util.htmlDecode(mobileGuide));
					//$("#sectionMobileGuideInfo").html( guideTxt );
				}
			}
		}
		//end ui function...
};