
/* JavaScript content from js/guide/M_F1190000M.js in folder common */
/* 
 *	페이지 ID : M_F1190000M
 *  1. 이용 설정
 *  
 *  
 */

CurrentView = {
		
		clickFlag : '',
		
		init : function(params) {
			this.initializeComponent();
			this.onLoad(params);
		},

		initializeComponent : function() {
			$('#checkArea a').unbind().bind('click', CurrentView.event.onclick_chkPushAgree);
			$('#btnUpdateApp').on('click', CurrentView.event.checkNewestUpdate);
			$('#btnChangeState').on('click', CurrentView.event.onclick_btnChangeState );
			$('#version').html(	"버전정보 v" + WL.Client.getAppProperty(WL.AppProperty.APP_VERSION));
			$("#msgSettingArea p a").unbind().bind( "click", this.event.onclick_msgSettingArea ); // 이메일/SMS/TM 수신 관리
		},

		onLoad : function(params) {
			// 모바일
			if (mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "ios") {
				$('#pushSettingArea').show();		// 푸시(마케팅) 수신설정
				$('#sectionAppInfo').show();		// 앱 버전정보
				CurrentView.data.getPushMktFlag();
			}
			// 로그인이 되어 있으면
			if (mainCtrl.checkLogonStatus()) {
				$('#msgSettingArea').show();
			}
			CurrentView.ui.setLogonState();
			
			var invoke = {};
			invoke.espotInfo="MOB_UNDER_BANNER|Content";
			tran.callWCSJsonTran('NSEspotCommon', invoke, function(data){
				var tempObject = {};
				tempObject.TopBannerID = "#btnUnderBanner";
				
				mainCtrl.UnderGNBBanner(data.msg.root._MOB_UNDER_BANNER, tempObject);
			});
		},

		data : {
			
			/**
			 * getPushMktFlag : PMS 푸시(마케팅) 수신동의 여부를 받아와서 로컬스토리지에 저장
			 * */
			getPushMktFlag : function() {
				var version = WL.Client.getAppProperty("APP_VERSION").replace(/\./gi,"");
				if ((mainCtrl.VIEW_TYPE == "ios" && parseInt(version) >= 2919) || (mainCtrl.VIEW_TYPE == "android" && parseInt(version) >= 2920)) {
					// 성공 시 콜백함수
					var succCb = function(data) {
						// 로그인 여부 확인
						var isLogon = mainCtrl.checkLogonStatus();
						if (data == 'Y') {
							(isLogon) ? Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_YN, 'Y') : Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN, 'Y');
							// AIQUA
							//mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, 'Y');
							
							if(isLogon) {
								mainCtrl.userProfileToAIQUA(USERINFO.custNum(), null, null, null, null, null, null, 'Y', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
							} else {
								mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, 'Y', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
							}
						} else {
							(isLogon) ? Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_YN, 'N') : Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN, 'N');
							// AIQUA
							//mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, 'N');
							if(isLogon) {
								mainCtrl.userProfileToAIQUA(USERINFO.custNum(), null, null, null, null, null, null, 'N', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
							} else {
								mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, 'N', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));

							}
						}
						CurrentView.ui.setPushState(isLogon);
					};
					// 네이티브 함수 호출
					Ns.Native.getPushMktFlag(succCb);
				} else {
					var isLogon = mainCtrl.checkLogonStatus();
					CurrentView.ui.setPushState(isLogon);
				}
			},
			
			/**
			 * 2016-08-04 정승진 : PMS 푸시(마케팅) 수신동의 팝업처리
			 * */
			setPushMsgConfig : function() {
				var succCb = function(data) {
					if (typeof (data) == 'string') {
						data = Ns.Util.serializeToObject(data);
					}
					// 에러 발생시 다시 한번 조회여부를 물어본다.
					if (data.code != '000') {
						CurrentView.event.setPushConfigFail(CurrentView.clickFlag);
						Ns.Popup.confirm("푸시 서버와의 연결에 실패하였습니다. 재시도 하시겠습니까?", function() {
							navi.setMovePointer(-1);
							// success
							CurrentView.data.setPushMsgConfig();
						}, null, "재시도", "취소");
						return false;
					}
					CurrentView.event.setPushConfigSucc(data.flag);
				};
				var failCb = function(data) {
					Ns.Popup.confirm("푸시 서버와의 연결에 실패하였습니다. 재시도 하시겠습니까?", function() {
						navi.setMovePointer(-1);
						// success
						CurrentView.data.setPushMsgConfig();
					}, null, "재시도", "취소");
					CurrentView.event.setPushConfigFail(CurrentView.clickFlag);
				};
				Ns.Native.setPushMsgConfig(succCb, failCb, CurrentView.clickFlag);
			}
		},

		// 이벤트 관련 함수 정의
		event : {
			/**
			 * 2016-08-04 정승진 : 푸시(마케팅) 수신동의 클릭 이벤트
			 * */
			onclick_chkPushAgree : function() {
				var clickId = this.id;
				if (clickId == 'chkPushAgree') {
					if (CurrentView.clickFlag == 'Y')
						return false;
					CurrentView.clickFlag = 'Y';
				} else if (clickId == 'chkPushDisagree') {
					if (CurrentView.clickFlag == 'N')
						return false;
					CurrentView.clickFlag = 'N';
				}
				// PMS 푸시(마케팅) 설정 요청
				CurrentView.data.setPushMsgConfig();
			},
			/**
			 * 2016-08-04 정승진 : PMS 푸쉬 수신동의 성공
			 * */
			setPushConfigSucc : function(resultFlag) {
				// 로그인 여부 확인
				var isLogon = mainCtrl.checkLogonStatus();
				var dateStr = "<br>(NS홈쇼핑, " + Ns.Date.getNowDate(".") + ")";
				if (resultFlag == 'Y') {
					$("#chkPushDisagree").removeClass("active");
					$("#chkPushAgree").addClass("active");
					(isLogon) ? Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_YN, 'Y') : Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN, 'Y');
					// AIQUA
					if(isLogon) {
						mainCtrl.userProfileToAIQUA(USERINFO.custNum(), null, null, null, null, null, null, 'Y', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
					} else {
						mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, 'Y', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
					}					

					Ns.Popup.alert("고객님의 광고성 정보 푸시 수신여부가 <br>[동의] 처리 되었습니다." + dateStr);
				} else {
					$("#chkPushAgree").removeClass("active");
					$("#chkPushDisagree").addClass("active");
					(isLogon) ? Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_YN, 'N') : Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN, 'N');
					// AIQUA
					if(isLogon) {
						mainCtrl.userProfileToAIQUA(USERINFO.custNum(), null, null, null, null, null, null, 'N', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
					} else {
						mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, 'N', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
					}
					Ns.Popup.alert("고객님의 광고성 정보 푸시 수신여부가 <br>[동의안함] 처리 되었습니다." + dateStr);
				}
			},
			/**
			 * 2016-08-04 정승진 : PMS 푸쉬 수신동의 실패
			 * */
			setPushConfigFail : function(clickFlag) {
				// 이전상태로 롤백
				if (clickFlag == 'Y') {
					$("#chkPushAgree").removeClass("active");
					$("#chkPushDisagree").addClass("active");
				} else {
					$("#chkPushDisagree").removeClass("active");
					$("#chkPushAgree").addClass("active");
				}
			},
			// 로그인, 로그아웃 버튼 이벤트
			onclick_btnChangeState : function() {
				var isLogon = mainCtrl.checkLogonStatus();
				if (isLogon) {
					// 로그아웃
					mainCtrl.setLogout();
				} else {
					// 로그인
					mainCtrl.navigate('M_M1111100M');
				}
			},

			checkNewestUpdate : function() {
				mainCtrl.gotoAppMarket( true );
			},
			
			/*'이메일/SMS/TM 수신' 관리 페이지 이동*/
			onclick_msgSettingArea : function() {
				var pageId = "";
				var id = $(this).attr('id');
				var objParam = new Object();
				
				 if( id == "btnMsgSetting" ) {
					pageId = "M_U1171600M";	//회원 정보 관리
					//objParam.type = "personal";
				}				
				mainCtrl.navigate( pageId, objParam );
			}
		},
		// end event function

		// ui interaction 관련 함수 정의
		ui : {
			setLogonState : function() {
				var isLogon = mainCtrl.checkLogonStatus();
				// 로그인 체크
				if (isLogon) {
					$('#txtCurrentLogonState').text('로그인');
					if( USERINFO.logonType() == "simple"){
						$('#txtLogonAccount').text(USERINFO.userName());
					}else{
						$('#txtLogonAccount').text(USERINFO.logonId());
					}
					$('#btnChangeState').html('<span>로그아웃</span>');
				} else {
					$('#txtCurrentLogonState').text('로그아웃');
					$('#txtLogonAccount').text('');
					$('#btnChangeState').html('<span>로그인</span>');
				}
			},
			/**
			 * 2016-08-04 정승진 : 푸시(마케팅) 수신동의 상태 UI
			 * */
			setPushState : function(isLogon) {
				// 모바일일 경우
				if (mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "ios") {
					// 로그인여부에 따라 로컬스토리지에 저장된 값을 변수에 담는다.
					var pushState = (isLogon) ? Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_YN) : Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN);
					// 저장된 값이 없을경우 디폴트값 설정
					if (pushState == null || pushState == '')
						pushState = "Y";
					// 수신동의 값에 따라 UI 처리
					if (pushState == "Y") {
						$("#chkPushDisagree").removeClass("active");
						$("#chkPushAgree").addClass("active");
					} else {
						$("#chkPushAgree").removeClass("active");
						$("#chkPushDisagree").addClass("active");
					}
				}
			}
		}
//		end ui function...
};