
/* JavaScript content from js/layout/eSpotTmpl/broad/broadboxslide.js in folder common */
/**
 * 		기획서표기명	- 1) TV 슬롯
 * 		개발/논리명	- 전체 방송영역
 */

	pageLayoutEspot.broadboxslide = {
		
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		REMAINING_TIME : [],
		//NSTalk  관련 --- 
		ROLLING_IDX : 0,
		ROLLING_MAX : 0, 
		//-----------------
		
		viewSequence : ["shop", "tv", "ting"],
		tabName		: { shop : "TV Shop+" , tv : "TV LIVE" , ting : "띵라이브"},
		mainPrdInfo : { shop : "" , tv : "" , ting : ""}, 
		talkInfo 	: { shop : "" , tv : "" , ting : ""},
		talkFlag	: true,
		
		isPlay : false,
		
		// espot이 그려지고  레이아웃 공통에서 호출 하는 최초 실행 함수
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
			
			$("#" + this.targetId + " .nstalk_chat_contents").off().on("click", pageLayoutEspot.broadboxslide.event.onclick_nstalk_chat_contents);
			$("#" + this.targetId + " .live_btn_wrap").find(".tab_btn").each(function(idx){
				var key = pageLayoutEspot.broadboxslide.viewSequence[idx];
				$(this).find("span").text(pageLayoutEspot.broadboxslide.tabName[key]);
			});
			
			pageLayoutEspot.broadboxslide.talkFlag = true;
		},
		
		onLoad : function(){
			this.ui.initSwiper();
			this.data.callNoCachedData("TV");
			this.data.callNoCachedData("SHOPPLUS||VODINFO");
			//this.data.callNoCachedData("VODINFO");
		},
		
		//데이터 관련 함수 정의
		data : {
			
			//유형 상품 체크
			checkTangiblePrd : function(dispCd){
				var tangiblePrd = ["10",  "15", "20","25", "30", "60"];
				var retrunFlag = false;
				
				if(tangiblePrd.valueIndex(dispCd) != -1){
					retrunFlag = true;
				}
				return retrunFlag;
			},
			
			//무형상품 체크..?
			checkIntangiblePrd : function(dispCd){
				var intangiblePrd = ["35", "40", "45", "56", "58"];
				var returnFlag = false;
				
				if(intangiblePrd.valueIndex(dispCd) != -1){
					returnFlag = true;
				}
				
				return returnFlag;
				
			},
			
			callNoCachedData : function (gubun){
				var targetEspotId 	= pageLayoutEspot.broadboxslide.espotFullName
				,	categoryId 		= pageLayoutEspot.broadboxslide.categoryId
				,	gubun			= gubun || "";

				var callbackFunc 	= function(data) {
					if(data.msg && data.msg[0]["_"+pageLayoutEspot.broadboxslide.espotFullName]){
						data = data.msg[0]["_"+pageLayoutEspot.broadboxslide.espotFullName]
					} else {
						$("#" + pageLayoutEspot.broadboxslide.targetId).hide();
						return false;
					}
					
					pageLayoutEspot.broadboxslide.ui.espotDraw(data);
				}
				pageLayoutComm.callNSmobileNoCacheData( targetEspotId, categoryId , callbackFunc, { gubun : gubun });
			}
		},
		
		// ui 관련 함수 정의
		ui : {
			setTimer : function( ) {
				mainCtrl.checkTimerObject();
				mainCtrl.m_timer = setInterval(pageLayoutEspot.broadboxslide.ui.onTimer, 1000);
			},
			
			onTimer : function(){
				var activeIndex = pageLayoutEspot.broadboxslide.liveSwiper.activeIndex;
				if( pageLayoutEspot.broadboxslide.REMAINING_TIME.length == 0 
					|| !pageLayoutEspot.broadboxslide.REMAINING_TIME[activeIndex]) {
					pageLayoutEspot.broadboxslide.ui.hideMainPrdArea(activeIndex);
					return false;
				}
				
				var	timeLimit 	= Ns.Date.getPeriodDate( pageLayoutEspot.broadboxslide.REMAINING_TIME[activeIndex], "json" )
				,	day			= Math.sign(timeLimit.day)
				,	hour 		= timeLimit.hour
				,	min 		= timeLimit.minute
				,	second 		= timeLimit.second
				,   $targetTimer = $("#" + pageLayoutEspot.broadboxslide.targetId + " .time_wrap span").eq(activeIndex);
					
				if(pageLayoutEspot.broadboxslide.REMAINING_TIME[activeIndex] == "0"){
					$targetTimer.hide();
				} else if ( day == -1 || (hour == 23 && min == 59 && second == 59) ) {
					pageLayoutEspot.broadboxslide.REMAINING_TIME = [];
					mainCtrl.checkTimerObject();
					pageLayoutEspot.broadboxslide.data.callNoCachedData(); //새로운 방송 조회
				} else {
					$targetTimer.show();
					$targetTimer.html( hour + ':'+ min +':'+ second );
				}
			},
			
			set_NsTalkRolling_Ajax : function(){
				
				var idx = pageLayoutEspot.broadboxslide.liveSwiper.activeIndex
				,	key = pageLayoutEspot.broadboxslide.viewSequence[idx]
				,	$targetId	= $("#"  + pageLayoutEspot.broadboxslide.targetId);
				var url;
				
				if(!pageLayoutEspot.broadboxslide.talkInfo[key]){
					$targetId.find(".nstalk_chat_contents").hide();
					$targetId.find(".chat_current_number").html(0);
					return false;
				}
				
				switch (key){
				    case "tv" : 
				    		url = "http://" + Const.NSTALK_NSMALL_PATH + "/api/messages";
				        break;
				    case "ting" :
				    		url = "http://" + Const.SHOPPLAY_TALK_PATH + "/api/messages";
				        break;
				    default : 
			    		return false; 
				}
				
				mainCtrl.nstalk_goodId 		= pageLayoutEspot.broadboxslide.talkInfo[key].goodId;
				mainCtrl.nstalk_startdtm 	= pageLayoutEspot.broadboxslide.talkInfo[key].startdtm;
				mainCtrl.nstalk_enddtm 		= pageLayoutEspot.broadboxslide.talkInfo[key].enddtm;
				
				var data1 = {
						code 		: mainCtrl.nstalk_goodId
						, count 	: 5
						, start_date: mainCtrl.nstalk_startdtm
						, end_date 	: mainCtrl.nstalk_enddtm
				};
				
				$.ajax({
						url         	: url,
						data        	: data1,
						crossDomain		: true,
						type        	: 'POST',
						dataType   		: 'json',
						success     	: function(data){
							if (data.code == "0"){
								//== 화면셋팅 - sypark
								pageLayoutEspot.broadboxslide.ui.set_NsTalkApiObject(data);
							}else{
								$targetId.find(".nstalk_chat_contents").hide();
								$targetId.find(".chat_current_number").html(0);
							}
						},
						error: function() {
							//17.08.23 ajax 실패 처리 hide 처리-- sypark
							$targetId.find(".nstalk_chat_contents").hide();
							$targetId.find(".chat_current_number").html(0);
						}
				});
				
			},
			
			set_NsTalkRolling : function(){
				mainCtrl.checkNsTalkTimerObject();
				mainCtrl.nsTalk_timer = setInterval(pageLayoutEspot.broadboxslide.ui.set_NsTalkRolling_Ajax, 10000); //10초 간격으로 호출
				navi.arrInteval.push(mainCtrl.nsTalk_timer); //pageNavigate.js에 clearAllIntervalList 에 넣어 준다.
				navi.arrInteval.push(setInterval(pageLayoutEspot.broadboxslide.ui.setRollingTalkMsg, 2000));  //애니메이션 실행
			},
			
			/**
			 * NStalk API 조회후 받아온 obj 셋팅 - sypark
			 */
			set_NsTalkApiObject : function(data) {
				var infoBankObj = data
				,	innerHtml 	= ""
				,	$targetId	= $("#"  + pageLayoutEspot.broadboxslide.targetId);

				//== api에서 받아온 obj 체크
				if ( infoBankObj != null && infoBankObj.count != 0 && infoBankObj.talk_enable == true ) {
					$targetId.find(".nstalk_chat_contents").show();
					var messageList = infoBankObj.messages;
					for( var i = 0; i < messageList.length; i++ ) {
						innerHtml += "<li>";
						innerHtml += "	<a>";
						innerHtml += messageList[i].msg;
						innerHtml += "	</a>";
						innerHtml += "</li>";
					}
					pageLayoutEspot.broadboxslide.ROLLING_MAX = infoBankObj.messages.length;
					$targetId.find(".chat_current_number").html(infoBankObj.count);
					$targetId.find(".chat_rolling_list").html(innerHtml);
				} else {
					$targetId.find(".nstalk_chat_contents").hide();
					$targetId.find(".chat_current_number").html(0);
				}
			},
			
			/*
			 * NS talk 롤링 처리 
			 * */
			setRollingTalkMsg : function () {
				var $targetId	= $("#"  + pageLayoutEspot.broadboxslide.targetId);
				
				$targetId.find('.rt_talk ul').removeClass('ani');//animation 효과삭제
				if(pageLayoutEspot.broadboxslide.ROLLING_IDX < (pageLayoutEspot.broadboxslide.ROLLING_MAX - 1)){
					$targetId.find('.rt_talk ul').animate({
						marginTop:"-=40px"
					});
					if ( pageLayoutEspot.broadboxslide.ROLLING_MAX != 1) {
						pageLayoutEspot.broadboxslide.ROLLING_IDX++;
					}
				}else{
					$targetId.find('.rt_talk ul').css('marginTop','0px');
					$targetId.find('.rt_talk ul').addClass('ani');//animation 효과추가 
					pageLayoutEspot.broadboxslide.ROLLING_IDX = 0;
				}
			},
			
			espotDraw : function(params){
				var  targetId		 = "#" + pageLayoutEspot.broadboxslide.targetId;

				if(!params || params.length < 0){
					$(targetId).hide();
					return false;
				}
				
				var tvInfo		  
				,	shopInfo	 
				,	tingLiveInfo;
				
				for(var i = 0 ; params.length > i ; i++){
					switch (Object.keys(params[i])[0] ){
					case  "_SHOPPLUS" :
						shopInfo = params[i]._SHOPPLUS[0].TotalOrgan;
						pageLayoutEspot.broadboxslide.ui.setShopPlusArea(shopInfo);
						break;
					case  "_TV" :
						tvInfo = params[i]._TV[0].OnAirInfo;
						var nstalkYn = "N"
						if(params[i]._TV[1]) { 
							nstalkYn = params[i]._TV[1].nstalkYn	
						}
						pageLayoutEspot.broadboxslide.ui.setTVArea(tvInfo , nstalkYn);
						break;
					case  "_VODINFO" :
						tingLiveInfo = params[i]._VODINFO[0];
						pageLayoutEspot.broadboxslide.ui.setTingLiveArea(tingLiveInfo);
						break;
					}
				}
				
				pageLayoutEspot.broadboxslide.ui.setTimer();
				
				if(pageLayoutEspot.broadboxslide.talkFlag){
					pageLayoutEspot.broadboxslide.talkFlag = false;
					pageLayoutEspot.broadboxslide.ui.set_NsTalkRolling_Ajax();  //1. 처음 한번 실행 (초기 조회)
					pageLayoutEspot.broadboxslide.ui.set_NsTalkRolling();       //2. 10초 마다 실행 (두번째부터 실행)
				}
				
			},
			
			initSwiper : function(){
				var $targetId = $("#" + pageLayoutEspot.broadboxslide.targetId);

				$.videoSwiper = function() {
					var $liveWrap = $targetId.find('.live_btn_wrap');
					var $tabBtn = $liveWrap.find('.tab_btn');
					
					$tabBtn.on('click', function() {
						var idx = $(this).index()
						,	key = pageLayoutEspot.broadboxslide.viewSequence[idx]
						,	tabId = "";
						
						$(this)
							.addClass('current')
							.siblings()
							.removeClass('current');
						
						pageLayoutEspot.broadboxslide.liveSwiper.slideTo(idx);
					  
						switch (key){
							case "tv" : 
								tabId = "NSLIVE";
								break;
							case "ting" :
								tabId = "띵라이브";
								break;
							case "shop" :
								tabId = "NSSHOP+"
							default : 
						}
						pageLayoutEspot.broadboxslide.event.taggingGA(tabId, "");
	
						$targetId.find(".main_tabs")
						.eq(idx)
						.css({'display': 'block'})
						.siblings('.main_tabs')
						.css({'display': 'none'});
				    });

				    var playing 		= 0
				    ,	playCheckstate 	= false
				    ,	liveplayer  	= $targetId.find('.liveplayer > .swiper-wrapper .swiper-slide')
				    ,	dim 			= $targetId.find(' .liveplayer .dim')
				    ,	liveBtn 		= $targetId.find('.live_btn_wrapper')
				    ,	playBtn 		= liveplayer.find('.mov_btn')
				    ,	video	 		= liveplayer.find('video')
				    ,	closeBtn		= liveplayer.find('.pauseclose_btn')
				    ,	fullsc_btn 		= liveplayer.find('.fullsc_btn')
				    ,	changePlayBtn 	= liveplayer.find('.pause_btn')
				    ,	viewitem_btn 	= liveplayer.find('.viewitem_btn')
				    ,	playCheckLayer	= $targetId.find('.play_checklayer_wrap')
				    ,	msgBtn	 		= playCheckLayer.find('.live_tv-btn-submit')
				    ,	msgCancleBtn	= playCheckLayer.find('.live_tv-btn-cancle');
				    
				    var videoEvent;
			    	if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드
			    		videoEvent = "click";
			    	} else {
			    		videoEvent = "click touchstart";
			    	}
			    	
			    	msgBtn.click(function() {
			    		var activeIndex = pageLayoutEspot.broadboxslide.liveSwiper.activeIndex;
			    		playCheckstate = true;
			    		videoPlay(activeIndex);
			    	});
			      
			    	msgCancleBtn.click(function() {
			    		var activeIndex = pageLayoutEspot.broadboxslide.liveSwiper.activeIndex;
			    		resetReturn(activeIndex);
			    	});
				    
				    liveplayer.each(function(count) {
				    	playBtn.eq(count).click(function() {
				    		msgArea(count);
				    	});
				    	
				    	video.eq(count).on(videoEvent,function() {
				    		liveplayer.eq(count).find('.pause_layer').fadeIn();
				    		setTimeout(function() {
				    			liveplayer.eq(count).find('.pause_layer').fadeOut();
				    		}, 2000);
				    	});
	
				    	closeBtn.eq(count).click(function() {
				    		resetReturn(count);
				    	});
				    	
				    	dim.eq(count).click(function() {
				    		viewitem(count);
				    	});
				    	
				    	fullsc_btn.eq(count).click(function() {
				    		fullScVideo(count);
				    	});
				    	
				    	viewitem_btn.eq(count).click(function() {
				    		viewitem(count);
				    	});
	
				    	changePlayBtn.eq(count).click(function() {
				        //video 플레이 true 코드변경;
				    		if (playing === 1) {
				    			$(this).find('img').attr('src', './images/common/play_btn02.png');
				    			video.eq(count)[0].pause();
				    			playing = 0;
				    		} else if (playing === 0) {
				    			$(this).find('img').attr('src', './images/common/pause_btn.png');
				    			video.eq(count)[0].play();
				    			playing = 1;
				    		}
				    	});
				    });
	
				    function msgArea(count) {
				    	var key 		= pageLayoutEspot.broadboxslide.viewSequence[count];
				    	var goodsName 	= ""; 
				    	if(pageLayoutEspot.broadboxslide.mainPrdInfo[key]){
				    		goodsName = pageLayoutEspot.broadboxslide.mainPrdInfo[key].itncatentrynm;
				    	}
				    	pageLayoutEspot.broadboxslide.event.taggingGA("방송보기", goodsName);
				    	
				    	pageLayoutEspot.broadboxslide.liveSwiper.detachEvents();
			    		
				    	liveBtn.removeClass('active');
			    		liveplayer.eq(count).find('.wrap_video_info').removeClass('active');
			    		liveplayer.eq(count).find('.dim').removeClass('active');
				    	
				    	if(key == "ting" || playCheckstate){
				    		videoPlay(count);
				    		liveplayer.eq(count).find('.wrap_video').addClass('active');
				    		liveplayer.eq(count).find('.prd_thumb').removeClass('active');
				    	} else {
				    		playCheckLayer.addClass('active');
				    	}
				    }
	
				    function videoPlay(count) {
				    	liveplayer.eq(count).find('.wrap_video').addClass('active');
				        liveplayer.eq(count).find('.pause_layer').removeClass('active');
				        liveplayer.eq(count).find('.prd_thumb').removeClass('active');
				        playCheckLayer.removeClass('active');
				    	playing = 1;
				    	mainCtrl.bVideoplay = true;
				    	pageLayoutEspot.broadboxslide.isPlay = true;
				    	pageLayoutComm.isPlayEspot = "broadboxslide";
				    	video.eq(count)[0].load();
				    	video.eq(count)[0].play();
				    }
				    
				    function fullScVideo(count){
				    	pageLayoutEspot.broadboxslide.event.onclick_fullScVideo(count);
				    }
				    
				    function viewitem(count){
				    	pageLayoutEspot.broadboxslide.event.onclick_gotoProductDisplay(count);
				    }
	
				    function resetReturn(count) {
				    	pageLayoutEspot.broadboxslide.liveSwiper.attachEvents();
				    	liveBtn.addClass('active');
				    	playCheckLayer.removeClass('active');
				    	liveplayer.eq(count).find('.wrap_video').removeClass('active');
				    	liveplayer.eq(count).find('.pause_layer').removeClass('active');
				    	liveplayer.eq(count).find('.wrap_video_info').addClass('active');
				    	liveplayer.eq(count).find('.prd_thumb').addClass('active');
				        liveplayer.eq(count).find('.dim').addClass('active');
				    	liveplayer.eq(count).find('.pause_btn img').attr('src', './images/common/pause_btn.png');
				    	playing = 0;
				    	mainCtrl.bVideoplay = false;
				    	pageLayoutEspot.broadboxslide.isPlay = false;
				    	video.eq(count)[0].pause();
				    }
	
				    pageLayoutEspot.broadboxslide.liveSwiper = new Swiper($targetId.find('.liveplayer'), {
				    	initialSlide: 1,
				    	spaceBetween: 10,
				    	effect: 'fade',
				    	on: {
				    		slideChange: function() {
				    			var activeIndex = this.activeIndex;
				    			$tabBtn
				    				.eq(activeIndex)
				    				.addClass('current')
				    				.siblings()
				    				.removeClass('current');
				          
					          $(".main_tabs")
						      	.eq(activeIndex)
					            .css({'display': 'block'})
					            .siblings('.main_tabs')
					            .css({'display': 'none'});
				    		}
				    	}
				    });
				    
				    pageLayoutEspot.broadboxslide.liveSwiper.on("slideChange", pageLayoutEspot.broadboxslide.ui.set_NsTalkRolling_Ajax)
				};
	
			    $.videoSwiper();
			},

			hideMainPrdArea : function(seq){
				var $target = $("#" + pageLayoutEspot.broadboxslide.targetId);
				$target.find(".mov_btn").eq(seq).hide();
				$target.find(".time_wrap span").eq(seq).hide();
				$target.find(".prd_info").eq(seq).hide();
			},
			
			showMainPrdArea : function(seq){
				var $target = $("#" + pageLayoutEspot.broadboxslide.targetId);
				$target.find(".mov_btn").eq(seq).show();
				$target.find(".time_wrap span").eq(seq).show();
				$target.find(".prd_info").eq(seq).show();
			},
			
			//방송영역 상품 정보 
			setMainPrdInfo : function(objTotalOrganF ,videoUrl ,seq){
				var $target		 = $("#" + pageLayoutEspot.broadboxslide.targetId)
				,	$targetVideo = $target.find("video");
		
				// 방송상품 상품명 세팅
				var productName = "";
				if (objTotalOrganF.brandName != "" && objTotalOrganF.brandName != "미정의"){
					productName += "[objTotalOrganF.brandName] ";
				} 
				$target.find(".prd_info p").eq(seq).html(objTotalOrganF.goodsName);
				
				var img = objTotalOrganF.priorityImg || Ns.Util.getImageUrl( objTotalOrganF.partNumber, "X6"); 

				//상품번호가 undefined로 들어오는 경우 이미지 호출할때 이미지 오류 관련 방어로직
				if(img.indexOf("undefined") >= 0){
					img = "http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg";
				}
				
				//방송 썸네일
				$target.find(".prd_thumb img")
				.eq(seq)
				.attr("src", img)
				.on("error", function(){
					$(this).attr("src","./images/common/noimg_wide_default.png");
				});
				
				// video 영역 셋팅
				if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드
					$targetVideo.eq(seq).attr("webkit-playsinline","");
				} else {
					$targetVideo.eq(seq).attr("playsinline","");
					
				}
				$target.find("video source").eq(seq).attr("src",videoUrl);
				$targetVideo.eq(seq).css({"object-fit":"fill" , "height" : $(".live_play_wrapper").outerHeight() } )
				
				$target.find(".time_wrap span").eq(seq).show();
				$target.find("button.mov_btn").eq(seq).show();
				
				//상품 가격 노출
				if( pageLayoutEspot.broadboxslide.data.checkIntangiblePrd(objTotalOrganF.dispTypeCd) && objTotalOrganF.busChnId == 'TV') {
					$target.find(".prd_info span").eq(seq).html("상담접수상품");
				} else if ( objTotalOrganF.dispTypeCd=='57' || objTotalOrganF.dispTypeCd =='45' ) {
					$target.find(".prd_info span").eq(seq).html( "<strong>" + Ns.Util.insertCommas( objTotalOrganF.mmRntalPrc ) + "</strong> 원");
				} else if(objTotalOrganF.priceofferprice){
					$target.find(".prd_info span").eq(seq).html( "<strong>" + Ns.Util.insertCommas( objTotalOrganF.priceofferprice ) + "</strong> 원");
				}	
			},
			
			setMainTabBtn : function(btnInfo, seq){
				var $target = $("#" + pageLayoutEspot.broadboxslide.targetId);

				$target.find("[name=mainTabBtn]").eq(seq).text(btnInfo.btnName)
				.off().on("click",function(){
					pageLayoutEspot.broadboxslide.event.taggingGA("편성표","");
					mainCtrl.navigate(btnInfo.pageId,{});
				});
			},
			
			// 샵플러스 방송 영역
			setShopPlusArea : function(shopInfo){
				var seq = pageLayoutEspot.broadboxslide.viewSequence.valueIndex("shop");
				var onAirInfo = shopInfo;
				$("#" + pageLayoutEspot.broadboxslide.targetId).find(".swiper-slide").eq(seq).addClass("nsShopPlus");
				
				pageLayoutEspot.broadboxslide.ui.setMainTabBtn({btnName : "Shop+ 편성표", pageId : "M_G2232120M"} , seq);
				
				if( !onAirInfo || onAirInfo.length == 0 ) {
					pageLayoutEspot.broadboxslide.ui.hideMainPrdArea(seq);
					pageLayoutEspot.broadboxslide.REMAINING_TIME[seq] = "0";
					return false;
				}
				var objTotalOrganF  = onAirInfo[0]
				,	relatedPrdtList = onAirInfo.splice(1);
				
				pageLayoutEspot.broadboxslide.mainPrdInfo.shop = objTotalOrganF;
				
				pageLayoutEspot.broadboxslide.ui.showMainPrdArea(seq);
				pageLayoutEspot.broadboxslide.REMAINING_TIME[seq] = objTotalOrganF.time.split( "~" )[1];
				pageLayoutEspot.broadboxslide.ui.setMainPrdInfo(objTotalOrganF, Const.LIVE.url.shopPlus, seq);
				pageLayoutEspot.broadboxslide.ui.drawProdArea(objTotalOrganF, relatedPrdtList, seq);
			},
			
			// TV쇼핑 방송영역
			setTVArea : function(tvInfo, nstalkYn){
				var seq = pageLayoutEspot.broadboxslide.viewSequence.valueIndex("tv");
				$("#" + pageLayoutEspot.broadboxslide.targetId).find(".swiper-slide").eq(seq).addClass("tvLive");
				
				var onAirInfo = tvInfo.TotalOrgan;
				pageLayoutEspot.broadboxslide.ui.setMainTabBtn({btnName : "TV편성표", pageId : "M_G2222120M"} , seq);
				
				if( !onAirInfo || onAirInfo.length == 0 ) {
					pageLayoutEspot.broadboxslide.ui.hideMainPrdArea(seq);
					pageLayoutEspot.broadboxslide.REMAINING_TIME[seq] = "0";
					return false;
				}
				var objTotalOrganF = onAirInfo[0];
				
				if(nstalkYn === "Y"){
					pageLayoutEspot.broadboxslide.talkInfo.tv = {
							goodId 		: objTotalOrganF.partNumber
							,startdtm 	: objTotalOrganF.startDttm
							,enddtm 	: objTotalOrganF.endDttm
					};
				} else {
					pageLayoutEspot.broadboxslide.talkInfo.tv = "";
				}
				
				pageLayoutEspot.broadboxslide.mainPrdInfo.tv = objTotalOrganF;
				
				pageLayoutEspot.broadboxslide.ui.showMainPrdArea(seq);
				pageLayoutEspot.broadboxslide.REMAINING_TIME[seq] = objTotalOrganF.endDttm;
				pageLayoutEspot.broadboxslide.ui.setMainPrdInfo(objTotalOrganF, Const.LIVE.url.etc, seq);
				pageLayoutEspot.broadboxslide.ui.drawProdArea(objTotalOrganF, tvInfo.RelatedPrdtList, seq);
				
			}, 
			
			// 띵라이브 방송 영역
			setTingLiveArea : function(tingLiveInfo){
				var seq = pageLayoutEspot.broadboxslide.viewSequence.valueIndex("ting");
				var $targetId = $("#" + pageLayoutEspot.broadboxslide.targetId);
				
				$targetId.find(".swiper-slide").eq(seq).addClass("ddingLive");
				var onAirInfo = tingLiveInfo;
				
				if( !onAirInfo || onAirInfo.length == 0 ) {
					pageLayoutEspot.broadboxslide.ui.hideMainPrdArea(seq);
					pageLayoutEspot.broadboxslide.REMAINING_TIME[seq] = "0";
					return false;
				}

				var objTotalOrganF  = null
				,	btnInfo = {}
				, 	mainPrdInfo		
				, 	relatedPrdtList
				,	videoUrl;
				
				try {
					
					if(tingLiveInfo.viewGubun == "VODLIVE" ){
						var data = onAirInfo._VODLIVE[0];
						var	vodLiveStartDttm	= data.vodLiveStartDttm			//라이브동영상 시작일시분초 (ex.20190228163000) startDttm
						,	vodLiveEndDttm		= data.vodLiveEndDttm			//라이브동영상 종료일시분초
						,	vodLiveGoodsNm		= data.vodLiveGoodsNm			//라이브편성명
						,	vodLiveImg			= data.vodLiveImg				//라이브 이미지
						,	vodNstalkYn			= data.vodNstalkYn				//NSTALK 사용 여부 Y/N
						,	vodPlayGubun		= data.vodPlayGubun				//PLAY_GUBUN : 'VIDEO':예고, 'LIVE':라이브
						,	vodVideoUrl			= data.vodVideoUrl				//예고동영상 URL
						,	vodLiveId			= data.vodLiveId;				//라이브 편성 ID
						
						if(vodPlayGubun == "LIVE"){
							pageLayoutEspot.broadboxslide.REMAINING_TIME[seq] = vodLiveEndDttm;
							videoUrl = Const.LIVE.url.shopPlay;
							$targetId.find(".tab_btn").eq(seq).addClass("onair");
						} else {
							pageLayoutEspot.broadboxslide.REMAINING_TIME[seq] = vodLiveStartDttm;
							videoUrl = vodVideoUrl;
							$targetId.find(".tab_btn").eq(seq).removeClass("onair");
						}
						
						if(vodNstalkYn == "Y"){
							pageLayoutEspot.broadboxslide.talkInfo.ting = {
									goodId 		: vodLiveId
									,startdtm 	: vodLiveStartDttm
									,enddtm 	: vodLiveEndDttm
							};
						} else {
							pageLayoutEspot.broadboxslide.talkInfo.ting = "";
						}
						
						btnInfo = {btnName : "NSTalk", pageId : "M_G3100000M"};
						mainPrdInfo = {priorityImg : vodLiveImg, goodsName : vodLiveGoodsNm};
						objTotalOrganF  = data._vod_main_product[0].productDetail;
						relatedPrdtList = data._vod_main_product.splice(1).concat(data._vod_relation_product);
						
					} else {
						//VOD
						pageLayoutEspot.broadboxslide.REMAINING_TIME[seq] = "0";
						btnInfo = {btnName : "띵라이브 전체보기", pageId : PAGE_CONFIG.mslotNickNameInfo.TINGLIVE};
						
						var vodData = JSON.parse(JSON.stringify(onAirInfo._VOD.root));
						var imgUrl = vodData._vod_banner[0].imgUrl ? "http:" + vodData._vod_banner[0].imgUrl : "";
						
						mainPrdInfo = {priorityImg : imgUrl , goodsName : vodData._vod_banner[0].vodName};
						videoUrl = vodData._vod_banner[0].vodPath;
						if(vodData._vod_main_product[0] && vodData._vod_main_product[0].productDetail){
							objTotalOrganF	= vodData._vod_main_product[0].productDetail;
						}
						relatedPrdtList = vodData._vod_main_product.splice(1).concat(vodData._vod_relation_product);
					}
					
					pageLayoutEspot.broadboxslide.mainPrdInfo.ting = objTotalOrganF;
					pageLayoutEspot.broadboxslide.ui.showMainPrdArea(seq);
					pageLayoutEspot.broadboxslide.ui.setMainPrdInfo(mainPrdInfo, videoUrl, seq);
					pageLayoutEspot.broadboxslide.ui.setMainTabBtn(btnInfo , seq);
					pageLayoutEspot.broadboxslide.ui.drawProdArea(objTotalOrganF, relatedPrdtList, seq);
					
				} catch(e){
					console.error("tingLive error >> " , e)
					pageLayoutEspot.broadboxslide.ui.hideMainPrdArea(seq);
				}
			},

			// 연관 상품 리스트
			drawProdArea : function(mainItem , relatedPrdtList , seq){
				var $target 		= $("#" + pageLayoutEspot.broadboxslide.targetId)
				,	relPrdlength	= relatedPrdtList.length + 1
				,	prdHtml			= ""
				,	taggingNm		= ""
				,	totItemLength 	= ((!mainItem || Object.keys(mainItem).length === 0 ) ? 0 : 1)  + relatedPrdtList.length;
				
				if( totItemLength === 0 ){
					return false;
				} else if( totItemLength === 1){
					taggingNm = "상품상세";
				} else {
					taggingNm = "바로주문_상세보기";
				}
				
				for ( var i = 0; i < relPrdlength; i++ ) {
					
					var info;
					if (i == 0) {
						info = mainItem;
					} else if (relatedPrdtList[i-1]){
						if(relatedPrdtList[i-1].commonData){
							info = relatedPrdtList[i-1].commonData;
						} else if(relatedPrdtList[i-1].productDetail){
							info = relatedPrdtList[i-1].productDetail;
						} else {
							info = relatedPrdtList[i-1];
						}
					}
					
					if(!info || Object.keys(info).length <= 1){
						continue;
					}
				
					// 상품 이미지
					var noImageUrl = Const.NO_IMAGE_URL + 'noimage_H.jpg';
					var imageUrl = Ns.Util.getImageUrl( info.partNumber, "H" );
					
					// 상품명
					var productName = Ns.UI.getProductName( info.brandCd, info.brand_kor_nm, info.itncatentrynm );
					
					//판매가
					var offerPrice;
					if ( info.dispTypeCd=='57' || info.dispTypeCd =='45' ) {
						offerPrice = Ns.Util.insertCommas( info.mmRntalPrc );
					} else {
						offerPrice = Ns.Util.insertCommas( info.priceofferprice );
					}		
	
					// 연관상품 별 주문하기 버튼 셋팅
					var func		= "mainCtrl.gotoProductDisplay"
					,	taggingFunc	= "pageLayoutEspot.broadboxslide.event.taggingGA";
					var orderNm = "주문하기";
					
					// 상품별 주문하기 버튼
					if ( info.dispTypeCd && !pageLayoutEspot.broadboxslide.data.checkTangiblePrd(info.dispTypeCd) ){
						// 무형상품일 경우
						orderNm = "상담하기";
					}
					
					if(info.orderYn == "N"){
						// 주문 불가 상품일 경우
						orderNm = "일시품절";
					}
					
					// 무이자
					var exIfi = ['',''];
					if(info.ifiValue != 0 && info.ifiValue != null){
						exIfi[0] = "<span class=\"head\">무이자 </span>";
						exIfi[1] = info.ifiValue;
	            	}
					
					// multiCd
					var tmp_multiCd = null;
					if(info.multiCd != ""){
						tmp_multiCd = info.multiCd;
					}
	            	
					// 옵션대표가 flag
					var optRepYn;
					if(info.prcWaveDisp && info.prcWaveDisp == "~"){
						optRepYn = "원~";
					} else {
						optRepYn = "원";
					}
					
					// 연관상품 영역 셋팅
					prdHtml += Ns.Util.stringFormat('\
			            	<li class="items">\
								<div class="thumbnail"><a href="javascript:{12}(\'{13}\',\'{14}\');{4}({0},{1},\'{2}\');"><img src="{3}" onerror="this.src=\'{9}\';" alt="상품 이미지"></a></div>\
								<dl class="info_item">\
									<dt class="title"><a href="javascript:{12}(\'{13}\',\'{14}\');{4}({0},{1},\'{2}\');">{5}</a></dt>\
									<dd class="more">\
										<div class="tag item-feature interest-free">{6}<span class="mon">&nbsp;{7}</span></div>\
										<div class="price">{8}<span class="won">{10}</span></div>\
									</dd>\
			            			<dd class="modal_button"><a href="javascript:{12}(\'{13}\',\'{14}\');{4}({0},{1},\'{2}\');">{11}</a></dd>\
								</dl>\
							</li>',
							info.partNumber, //0
							tmp_multiCd,//1
							info.busChnId,//2
							imageUrl,//3
							func,//4
							productName,// 5           
							exIfi[0],//6
							exIfi[1],//7
							offerPrice,//8
							noImageUrl,//9
							optRepYn,//10
			            	orderNm,//11
			            	taggingFunc,//12
			            	taggingNm,//13
			            	info.itncatentrynm//14
			            	);
				}
			
				$target.find(".toggle_cont").eq(seq).html(prdHtml);
				$target.find(".main_order").eq(seq).off().on("click", function(e){
					var key	= pageLayoutEspot.broadboxslide.viewSequence[seq];
					var goodsName 	= "";
					var $itemLI = $target.find(".toggle_cont").eq(seq).find("li");
					
					if($itemLI.length === 1){
						$itemLI.eq(0).find("a").get(0).click();
					} else {
						if(pageLayoutEspot.broadboxslide.mainPrdInfo[key]){
							goodsName = pageLayoutEspot.broadboxslide.mainPrdInfo[key].itncatentrynm;
							pageLayoutEspot.broadboxslide.event.taggingGA("바로주문", goodsName);
						}
						e.preventDefault();
						$(this)
						.closest('.tabs')
						.siblings('.toggle_cont')
						.slideToggle();
					}
				});
			},
		},
		
		// 이벤트 관련 함수 정의
		event : {
			click_cancle : function() {
				var activeIndex = pageLayoutEspot.broadboxslide.liveSwiper.activeIndex;
		    	var $targetId = $("#" + pageLayoutEspot.broadboxslide.targetId)
		    	 ,	liveplayer  = $targetId.find('.liveplayer > .swiper-wrapper .swiper-slide')
		    	 ,	closeBtn	= liveplayer.find('.pauseclose_btn').eq(activeIndex);
		    	closeBtn.trigger("click");
		    },
			
			playToggle : function(isPlay){
				var activeIndex 	= pageLayoutEspot.broadboxslide.liveSwiper.activeIndex;
				var $target			= $("#" + pageLayoutEspot.broadboxslide.targetId)
				,	$targetVideo 	= $target.find("video")
				,	liveplayer  	= $target.find('.liveplayer > .swiper-wrapper .swiper-slide .mov_btn').eq(activeIndex);
				
				if(mainCtrl.VIEW_TYPE == 'ios'){
					$targetVideo.eq(activeIndex)[0].load();
				}
				
				if(isPlay){
					setTimeout(function(){
						liveplayer.trigger("click");
					},1000);
				} 
			},
			
			onclick_fullScVideo : function(idx){
				var key 		= pageLayoutEspot.broadboxslide.viewSequence[idx]
				,	$target		= $("#" + pageLayoutEspot.broadboxslide.targetId)
				,	liveplayer  = $target.find('.liveplayer > .swiper-wrapper .swiper-slide')
				,	closeBtn	= liveplayer.find('.pauseclose_btn');

				switch (key){
				    case "tv" : 
						var isPlay	= !($target.find("video").eq(idx)[0].paused);
						closeBtn.eq(idx).trigger("click");
				    	Ns.Native.nsShopTvHomeShoppingViewDirect( "LIVE", "http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8", null, isPlay);
				        break;
				    case "shop" :
				    	closeBtn.eq(idx).trigger("click");
				    	Ns.Native.openShopplusFullVOD('', '', '');
				        break;
				    case "ting" :
				    	closeBtn.eq(idx).trigger("click");
				    	Ns.Native.openShopplusFullVOD('shopPlay', $target.find("video").eq(idx)[0].currentSrc, '');
				        break;
				    default : 
				}
				
			},
			
			onclick_gotoProductDisplay : function(idx){
				var key 	= pageLayoutEspot.broadboxslide.viewSequence[idx]
				,	prdInfo = pageLayoutEspot.broadboxslide.mainPrdInfo[key];
				
				if(prdInfo && prdInfo.partNumber){
					pageLayoutEspot.broadboxslide.event.taggingGA("상품상세", prdInfo.itncatentrynm);
					mainCtrl.gotoProductDisplay(prdInfo.partNumber, prdInfo.multiCd, prdInfo.busChnId);
				}
			},
			
			onclick_nstalk_chat_contents : function() {
				
				var idx 	= pageLayoutEspot.broadboxslide.liveSwiper.activeIndex
				,	key 	= pageLayoutEspot.broadboxslide.viewSequence[idx]
				,	pageId  = ""
				,	$targetId = $("#" + pageLayoutEspot.broadboxslide.targetId);
				
				
				
				switch (key){
				    case "tv" : 
				    		pageId = "M_G3000000M";
				        break;
				    case "ting" :
				    		pageId = "M_G3100000M";
				        break;
				    default : 
				    	$targetId.find(".nstalk_chat_contents").hide();
				    	$targetId.find(".chat_rolling_list").html('0');
			    		return false; 
				}
				
				if (!mainCtrl.checkLogonStatus()) {
					Ns.Popup.alert("로그인 후 이용해 주세요.", function() {
						mainCtrl.gotoLogin( {pageId: pageId, isOnlyUser:true} );
					});
					return;
				} else { //== 페이지 이동 처리 == 
					//휴대폰 번호 여부 체크 
					if( Ns.Util.isNull( USERINFO.hpNo() ) ) { //휴대폰 번호 없으면 true
						var msg = "휴대폰번호 정보가 없습니다.<br/>마이페이지 > 개인화정보 > 회원정보관리에서 등록해주시기 바랍니다.<br/><br/>마이페이지로 이동하시겠습니까?";
						
						var okFuc = function() {
							mainCtrl.navigate("M_U1171501M");
							return false;
						};
						
						Ns.Popup.confirm( msg, okFuc, null, "확인", "취소", null, null, null);
					} else { //휴대폰 번호 있으면 false
						mainCtrl.navigate( pageId );
					}
				}
			},
			
			taggingGA : function(tagLable, tagInfo){
				var idx 	= pageLayoutEspot.broadboxslide.liveSwiper.activeIndex
				,	key 	= pageLayoutEspot.broadboxslide.viewSequence[idx];
				pageLayoutComm.taggingGA(pageLayoutEspot.broadboxslide.espotFullName, [tagLable, tagInfo] , key);
			}
		}
	};
