
/* JavaScript content from js/layout/eSpotTmpl/cntnt/cntntslide15w.js in folder common */
/**
 * 		기획서표기명	- 16)슬라이더 6
 *  	개발/논리명	- 배너 슬라이드 1.5단
 */

	pageLayoutEspot.cntntslide15w = {
		
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		// espot이 그려지고  레이아웃 공통에서 호출 하는 최초 실행 함수
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;

			$("#" + pageLayoutEspot.cntntslide15w.targetId + " #cntntslide15wItems").attr("id", pageLayoutEspot.cntntslide15w.targetId + "Items");
		},
		
		onLoad : function(params){
			this.ui.espotDraw(params);
		},
		
		//데이터 관련 함수 정의
		data : {
			
		},
		
		// ui 관련 함수 정의
		ui : {
			espotDraw : function(params){

				var slotNm 			= params.slotNm
				, 	espotNm 		= params.espotNm
				,	categoryId 		= params.categoryId
				,	espotData 		= params.espotData
				,	espotFullName   = params.espotFullName;
				
				if(pageLayoutEspot.cntntslide15w.categoryId != params.categoryId){
					pageLayoutEspot.cntntslide15w.targetId = slotNm + "_" + categoryId + "_" + espotNm;
				}
				
				var targetId = pageLayoutEspot.cntntslide15w.targetId;
				
				
				var objDrawData			= JSON.parse(JSON.stringify(espotData))	// object 복사
				,	objDrawDataLength	= objDrawData.length
				,	$frag = $(document.createDocumentFragment());
				
				// 상품 리스트 노출 여부
				if ($("#" + targetId + "Items > .items").length <= 0 && ( !espotData || espotData.length == 0 ) ){
					$("#" + targetId).hide();	// 영역 숨김 처리
					return false;
				}
				
				for (var i = 0; objDrawDataLength > i; i++){
					
					var itemsHtml 		= ""
						// 영역별 마크업 생성
						,	imgUrl 		= HUB_INIT.protocol + objDrawData[i].imgUrl
						,	clickTarget = objDrawData[i].clickTarget
						,	contentsId  = objDrawData[i].contentsId
						,	clickCode   = objDrawData[i].clickCode
						,	espotId     = espotFullName
						,	mdUrl       = objDrawData[i].mdUrl;
					
					if(clickTarget){ 
						itemsHtml += Ns.Util.stringFormat('\
								<div class="swiper-slide">\
									<a href="javascript:pageLayoutComm.taggingGA(\'{4}\',\'{5}\');\
														Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');\">\
								 		<div class="thumb_img">\
											<img src="{0}" onerror="this.src=\'./images/common/noimg_wide_default.png\'" alt="배너이미지"/>\
										</div>\
									</a>\
								</div>',
								imgUrl, clickTarget, contentsId, clickCode, espotId, mdUrl,  null, null, null);
					} else {
						itemsHtml += Ns.Util.stringFormat('\<div class="swiper-slide"><div class="thumb_img"><img src="{0}" alt="배너이미지"  /></div></div>', imgUrl);
					}
				
					$frag.append(itemsHtml);
				}
				
				$("#" + targetId + "Items .dummy").remove();
				$("#" + targetId + "Items").append($frag);
				
				/* swiper */
				new Swiper("#" + targetId + " .opt_wide_cut", {
					slidesPerView: 'auto',
					scrollbar: {
						el: "#" + targetId + ' .swiper-scrollbar'
					}
				});
			},
			
			
		},
		
		// 이벤트 관련 함수 정의
		event : {
			
		}
	};