
/* JavaScript content from js/layout/eSpotTmpl/prd/prdrcmduser.js in folder common */
/**
 *		기획서표기명	- 15) 고객 추천상품
 *		개발/논리명	- 고객 추천상품
 */

	pageLayoutEspot.prdrcmduser = {
		
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		// espot이 그려지고  레이아웃 공통에서 호출 하는 최초 실행 함수
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;

			$("#" + pageLayoutEspot.prdrcmduser.targetId + " #prdrcmduserItems").attr("id", pageLayoutEspot.prdrcmduser.targetId + "Items");
			$("#" + pageLayoutEspot.prdrcmduser.targetId).off().on("click", ".items", pageLayoutEspot[this.espotNm].event.onclcik_shopping_info);
		},
		
		onLoad : function(){
			this.data.callNoCachedData();
		},
		
		//데이터 관련 함수 정의
		data : {
			callNoCachedData : function (){
				var targetEspotId 	= pageLayoutEspot.prdrcmduser.espotFullName
				,	categoryId 		= pageLayoutEspot.prdrcmduser.categoryId
				,	extendParams	= { rbPcid : Ns.Cookie.getCookie('RB_PCID') || "" , userId :  USERINFO.custNum() || ""};

				var callbackFunc 	= function(data) {
					if(data.msg && data.msg[0]["_"+pageLayoutEspot.prdrcmduser.espotFullName]){
						data = data.msg[0]["_"+pageLayoutEspot.prdrcmduser.espotFullName]
					} else {
						$("#" + pageLayoutEspot.prdrcmduser.targetId).hide();
					}
					
					pageLayoutEspot.prdrcmduser.ui.espotDraw(data);
				}
				pageLayoutComm.callNSmobileNoCacheData( targetEspotId, categoryId ,callbackFunc, extendParams);
			}
		},
		
		// ui 관련 함수 정의
		ui : {
			espotDraw : function(params){

				var	categoryId 		= pageLayoutEspot.prdrcmduser.categoryId
				,	espotData 		= params
				,	espotFullName   = pageLayoutEspot.prdrcmduser.espotFullName
				,	targetId 		= pageLayoutEspot.prdrcmduser.targetId;
				
				// 상품 리스트 노출 여부
				if ($("#" + targetId + "Items > .items").length <= 0 && ( !espotData || espotData.length == 0 ) ){
					$("#" + targetId).hide();	// 영역 숨김 처리
					return false;
				}
				
				pageLayoutEspot.prdrcmduser.ui.setTitle();
				
				var objDrawData			= JSON.parse(JSON.stringify(espotData))	// object 복사
				,	objDrawDataLength	= objDrawData.length
				,	$frag = $(document.createDocumentFragment());
				
				for (var i = 0; objDrawDataLength > i; i++){
					var itemsHtml 		= ""
						// 영역별 마크업 생성
						, imgUrl 		= Ns.Util.getImageUrl( objDrawData[i].partnumber, "O" )
						, priceHtml 	= pageLayoutEspot.prdrcmduser.ui.makePriceHtml( 
																				 objDrawData[i].dcPrice
																				, objDrawData[i].prcWaveDisp);
					
						itemsHtml += Ns.Util.stringFormat('\
							<div class="swiper-slide items">\
								<a href="javascript:;">\
									<div class="thumb_img">\
										<img src="{0}" onerror="this.src=\'./images/common/noimg_square_medium.png\'" alt="{3}_상품이미지"/>\
									</div>\
									<div class="info_wrap">\
										<p class="name">{1}</p>\
										<div class="purchase">\
											{2}\
										</div>\
									</div>\
								</a>\
							</div>'
						, imgUrl //0 이미지 
						, objDrawData[i].itncatentrynm //1 상품명
						, priceHtml //2 가격영역
						, objDrawData[i].partnumber // 3 상품코드
						);
					
						
					$frag.append(itemsHtml);
					$frag.children().eq(i).data({
						partnumber 		: objDrawData[i].partnumber
						, itncatentrynm : objDrawData[i].itncatentrynm
						, espotFullName	: espotFullName
						, categoryId 	: categoryId
						, multiCd		: objDrawData[i].multiCd
						, rccode		: objDrawData[i].rccode
					});
					
					//상품 로그 노출
					if(pageLayoutComm.PROD_LOG_FLAG){
						var logParams = {
							itncatentrynm : objDrawData[i].itncatentrynm,
							seq 		  : objDrawData[i].seq,
							partnumber 	  : objDrawData[i].partnumber,
							rcmdId		  : (objDrawData[i].rcmdId || "")
						}
						pageLayoutComm.showProdLog(logParams);
					}
					
				}
				
				$("#" + targetId + "Items").append($frag);
				
				new Swiper("#" + targetId + " .swiper-container", {
					slidesPerView: 'auto',
					scrollbar: {
						el: "#" + targetId + ' .swiper-scrollbar'
					}
				});
			},
			
			//상품가격 영역
			makePriceHtml : function(dcPrice, prcWaveDisp ){
				var returnHtml = "";

				returnHtml += Ns.Util.stringFormat('\
					<div class="purchase">\
						<span class="price"><strong>{0}</strong>원{1}</span>\
					</div>', Ns.Util.insertCommas(dcPrice), prcWaveDisp )
				return returnHtml;
			},
			
			setTitle : function(){
				var title = "오늘의 추천 상품"
				,	userNm = USERINFO.userName();
				if(userNm){
					title = userNm + "님의 <strong> 추천상품</strong>";
				} 
				
				$("#" + pageLayoutEspot.prdrcmduser.targetId + " .hero_copy").html(title)
				
			}
		},
		
		// 이벤트 관련 함수 정의
		event : {
			onclcik_shopping_info : function() {
				var $data = $(this).data();
				//ga360
				pageLayoutComm.taggingGA($data.espotFullName, $data.itncatentrynm);
				mainCtrl.gotoProductDisplay($data.partnumber, $data.multiCd, 'MOBIL', $data.espotFullName ,'','', $data.categoryId,'', $data.rccode);
			}
		}
	};
