
/* JavaScript content from js/layout/eSpotTmpl/prd/prdslide.js in folder common */
/**
 *  그리드(격자 , 2단)형 상품 리스트 espot
 */

	// 레이아웃 페이지내에 Espot 객체 정의	
	// CurrentView.espot명으로 객체 정의
	pageLayoutEspot.prdslide = {
			
			// espot이 적용 될 슬롯 명	
			slotNm		: "",
			
			// 해당 espot 명
			espotNm		: "",
			
			// 해당 espot 카테고리 ID
			categoryId	: "",
			
			// 해당 espot data
			espotData 	: {},
			
			// API에서 받은 해당 espot 의 풀네임
			espotFullName : "",
			
			//해당 espot이 그려질 객체 ID
			targetId : "",
			
			noImageUrlWide : Const.NO_IMAGE_URL + "noimage_X6.jpg",
			
		init : function( params ) {
			
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;

			// 상품리스트 영역에 고유 ID 부여
			$("#" + pageLayoutEspot.prdslide.targetId).find("#prdslideItems").attr("id", pageLayoutEspot.prdslide.targetId + "Items");
		},
		
		onLoad : function(params){
			this.ui.espotDraw(params);
		},
		
		data : {
			
		},
		
		ui : {
			espotDraw : function(params){
				
				if(pageLayoutEspot.prdslide.slotNm != params.slotNm){
					pageLayoutEspot.prdslide.initializeComponent(params);
					return false;
				}
				
				
				var targetId = $("#" + pageLayoutEspot.prdslide.targetId); 

				try{
					var bestItems = params.espotData;
					
					/*
					 * 상품 productDetail데이터 정보 존재하지 않을 경우에 그 데이터 빼고 출력 가능하게 재배열
					 * 20160603 hawoong12
					 */
					var nCount = bestItems.length;
					
				
					if( bestItems == undefined || bestItems.length == 0 ) {
						targetId.hide();
		
						return false;
					}
					
					for(var k = 0; k < nCount; k++){
						
						// Detail Setting
						var info = bestItems[k];
						var imageUrl = HUB_INIT.protocol + info.espotImgUrl;
						
						//판매가
						var offerPrice = Ns.Util.insertCommas( info.price );
						
						var exIfi = ['',''];
						if(info.promIfiVal != 0 && info.promIfiVal != null){
							exIfi[0] = "<div class=\"head\">무이자</div>";
							exIfi[1] = info.promIfiVal;
		            	}
						
						var tmp_multiCd = null;
						if(info.multiCd != ""){
							tmp_multiCd = info.multiCd;
						}
						
						var func = "mainCtrl.gotoProductDisplay";
						
						//Wapers 2017.09.25 옵션대표가 flag
						var optRepYn = "";
						if(undefined != info.prcWaveDisp){
							optRepYn = info.prcWaveDisp;
						} else {
							// empty for purpose
						}
						
						//Wapers 2017.09.25 옵션대표가 적용 - 오늘의 TV HOT
						var prcHtml = Ns.Util.stringFormat('\
						<li class="swiper-slide">\
							<div class="inner_slide">\
								<div class="thumbnail">\
									<a href="javascript:{14}(\'{12}\',\'{1}\'); {8}({5},{6},\'{7}\',\'{12}\',null,null,null,null,\'{13}\');"><img src="{9}" onerror="this.src=\'{10}\';" alt="{5}_상품이미지"></a>\
								</div>\
								<div class="info_more">\
									<dl>\
										<dt>\
											<a href="javascript:{14}(\'{1}\'); {8}({5},{6},\'{7}\',\'{12}\',null,null,null,null,\'{13}\');">{1}</a>\
										</dt>\
										<dd class="tag item-feature interest-free etv">\
											<span class="price">{2}</span><span class="won">{11}</span>\
											{3}<span class="mon">&nbsp;{4}</span>\
										</dd>\
									</dl>\
								</div>\
							</div>\
						</li>',
						(k+1), info.itncatentrynm, offerPrice, exIfi[0], exIfi[1],
						info.partnumber, tmp_multiCd, info.busChnId, func,
						imageUrl, pageLayoutEspot.prdslide.noImageUrlWide,
						optRepYn == "~" ? "원~" : "원",
						params.espotFullName, info.rccode, "pageLayoutComm.taggingGA");
						
						$("#" + pageLayoutEspot.prdslide.targetId + "Items").append(prcHtml);
					}
					$("#"+pageLayoutEspot.prdslide.targetId).show();
					
					pageLayoutEspot.prdslide.ui.setBestItemsBanner(nCount);
				}
				catch(e){
					pageLayoutEspot.prdslide.util.regErrlog('setBestItems', e);
					$("#" + pageLayoutEspot.prdslide.targetId).hide();
					return false;
				}
			
			},
			
			setBestItemsBanner : function(nCount){
				new Swiper('#' + pageLayoutEspot.prdslide.targetId + ' .rolling_bn', {
					pagination : {
						el : "#" + pageLayoutEspot.prdslide.targetId + " .swiper-pagination",
						type : 'fraction'
					},
					loopedSlides: nCount,
					loop: true,
					centeredSlides: true,
					slidesPerView: 'auto',					
				});					
			}	
		
		},
		
		//
		event : {
		
		},
		
		util : {
			regErrlog : function(funcNm, e){
				console.error("(( Caught exception at \"" + funcNm + "\" -> " + e + " ))");
			},
		}
	};