
/* JavaScript content from js/layout/eSpotTmpl/prd/prdslide15w.js in folder common */
/**
 * 	기획서표기명	- 6)슬라이더 2
 *  개발/논리명	- 상품 슬라이드형 1.5 단
 * 
 */

	pageLayoutEspot.prdslide15w = {
		
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		// espot이 그려지고  레이아웃 공통에서 호출 하는 최초 실행 함수
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;

			$("#" + pageLayoutEspot.prdslide15w.targetId + " #prdslide15wItems").attr("id", pageLayoutEspot.prdslide15w.targetId + "Items");
			$("#" + pageLayoutEspot.prdslide15w.targetId).off().on("click", ".items", pageLayoutEspot[this.espotNm].event.onclcik_shopping_info);
		},
		
		onLoad : function(params){
			this.ui.espotDraw(params);
		},
		
		//데이터 관련 함수 정의
		data : {
			
		},
		
		// ui 관련 함수 정의
		ui : {
			espotDraw : function(params){

				var slotNm 			= params.slotNm
				, 	espotNm 		= params.espotNm
				,	categoryId 		= params.categoryId
				,	espotData 		= params.espotData
				,	espotFullName   = params.espotFullName
				,	espotCssList	= params.espotCssList;
				
				if(pageLayoutEspot.prdslide15w.categoryId != params.categoryId){
					pageLayoutEspot.prdslide15w.targetId = slotNm + "_" + categoryId + "_" + espotNm;
				}
				
				var targetId = pageLayoutEspot.prdslide15w.targetId;
				
				
				var objDrawData			= JSON.parse(JSON.stringify(espotData))	// object 복사
				,	objDrawDataLength	= objDrawData.length
				,	$frag = $(document.createDocumentFragment());
				
				// 상품 리스트 노출 여부
				if ($("#" + targetId + "Items > .items").length <= 0 && ( !espotData || espotData.length == 0 ) ){
					$("#" + targetId).hide();	// 영역 숨김 처리
					return false;
				}
				
				
				for (var i = 0; objDrawDataLength > i; i++){
					
					var itemsHtml 		= ""
						// 영역별 마크업 생성
						, imgUrl 		= HUB_INIT.protocol + objDrawData[i].espotImgUrl
						, priceHtml 	= pageLayoutEspot.prdslide15w.ui.makePriceHtml(  objDrawData[i].dcRate
																				, objDrawData[i].dcPrice
																				, objDrawData[i].price
																				, objDrawData[i].prcWaveDisp)
						, ordQtyHtml	= pageLayoutEspot.prdslide15w.ui.makeOrdQtyHtml(espotCssList, objDrawData[i].orderQty);
					
						itemsHtml += Ns.Util.stringFormat('\
							 <div class="swiper-slide items">\
								<a href="javascript:;">\
									<div class="thumb_img">\
										<img src="{0}" onerror="this.src=\'./images/common/noimg_wide_default.png\'" alt="{4}_상품이미지"/>\
									</div>\
									<div class="info_wrap">\
										<p class="name">{1}</p>\
										<div class="purchase">\
											{2}\
											{3}\
										</div>\
									</div>\
								</a>\
							</div>'
							, imgUrl		//0 상품 이미지
							, objDrawData[i].itncatentrynm //1 상품명
							, priceHtml 	//2 가격 영역
							, ordQtyHtml 	//3 구매수량
							, objDrawData[i].partnumber // 4상품코드
						);
						   
					$frag.append(itemsHtml);
					$frag.children().eq(i).data({
						partnumber 		: objDrawData[i].partnumber
						, itncatentrynm : objDrawData[i].itncatentrynm
						, espotFullName	: espotFullName
						, categoryId 	: categoryId
						, multiCd		: objDrawData[i].multiCd
						, rccode		: objDrawData[i].rccode
					});
					
					//상품 로그 노출
					if(pageLayoutComm.PROD_LOG_FLAG){
						var logParams = {
							itncatentrynm : objDrawData[i].itncatentrynm,
							seq 		  : objDrawData[i].seq,
							partnumber 	  : objDrawData[i].partnumber,
							rcmdId		  : (objDrawData[i].rcmdId || "")
						}
						pageLayoutComm.showProdLog(logParams);
					}
					
				}
					
				$("#" + targetId + "Items .dummy").remove();
				$("#" + targetId + "Items").append($frag);
				
				/* swiper */
				new Swiper("#" + targetId + " .opt_wideprice_cut", {
					slidesPerView: 'auto',
					scrollbar: {
						el: "#" + targetId + ' .swiper-scrollbar'
					}
				});
			
			},
			
			//상품가격 영역
			makePriceHtml : function(dcRate, dcPrice, price, prcWaveDisp ){
				var returnHtml = "";
				
				if(dcRate > 0){
					returnHtml += Ns.Util.stringFormat('\
							<span class="sale"><strong>{0}</strong>%</span>\
							<span class="price"><strong>{1}</strong>원{2}</span>'
							, dcRate
							, Ns.Util.insertCommas(dcPrice)
							, prcWaveDisp
						)
				} else {
					returnHtml += Ns.Util.stringFormat('\
							<span class="price"><strong>{0}</strong>원{1}</span>' 
							,  Ns.Util.insertCommas(dcPrice) ,prcWaveDisp
						)
				}
				
				return returnHtml;
			},
			
			// 판매수량
			makeOrdQtyHtml : function(espotCssList, orderQty ){
				
				var returnHtml = "";
				if(espotCssList.ordQtyHide != "Y" && orderQty > 0 ){
					returnHtml += Ns.Util.stringFormat('\<span class="quant">{0}개 구매중</span>',Ns.Util.insertCommas(orderQty));
				}
				
				return returnHtml;
			},
		},
		
		// 이벤트 관련 함수 정의
		event : {
			onclcik_shopping_info : function() {
				var $data = $(this).data();
				//ga360
				pageLayoutComm.taggingGA($data.espotFullName, $data.itncatentrynm);
				mainCtrl.gotoProductDisplay($data.partnumber, $data.multiCd, 'MOBIL', $data.espotFullName ,'','', $data.categoryId,'', $data.rccode);
			}
		}
	};