
/* JavaScript content from js/main/M_G1100000M.js in folder common */
/**
 * 		페이지 ID : M_G1100000M
 * 		메인 페이지(홈)
 */

M_G1100000M = {
		nsLogging : new _ns_log(),
		//탭선택 플래그 //true면 생방송, false면 VOD
		selectedOnAIRTab : true,
		
		REMAINING_TIME : null,
		VOD_REMAINING_TIME : null,
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		VIDEO_WIDTH : 0,
		VIDEO_HEIGHT : 0,
		VIDEO_Before : 0,
		VIDEO_After : 0,
		intervalId : 0,
		isPlay     : true,
		
		pageIdx : 0,
		pushFullEvent : false, 
		
		bHotissueList : false,
		bBestList : false,
		
		//NSTalk  관련 --- 
		ROLLING_IDX : 0,
		ROLLING_MAX : 0, 
		//-----------------
		
		obj_MOB_MAIN_CATESEQ : null,
		nMOB_MAIN_CATESEQcount : 0,
		
		//생방송 데이터
		liveData : null,
		TotalOrgan : null,
		
		//vod 데이터 유무 플래그
		vodTabFlag : true,
		
		init : function( params ) {
			if(PAGE_CONFIG.mslotNickNameInfo && PAGE_CONFIG.mslotNickNameInfo["HOME"]){
				var pageId = PAGE_CONFIG.mslotNickNameInfo["HOME"];
				mainCtrl.navigate(pageId, {});
			} else {
				$("#homeDiv").show();
				this.initializeComponent( params );
				// 모바일 웹 최상단 앱 다운로드 바 init
				HUB_INIT.initAttractAppDownLoad();
				M_G1100000M.onLoad();
			}
		},
		
		initializeComponent : function(params) {
			var mWidth = $('#mainItem').outerWidth();
			var divided = mWidth / 16;
			M_G1100000M.VIDEO_WIDTH = mWidth;
			M_G1100000M.VIDEO_HEIGHT  = divided * 8;
			
			var pageHeaderH = $('#pageHeader').outerHeight();
			var menuH = $('#banner_area').outerHeight();
			var mainItemH = $('#mainItem').outerHeight();
			M_G1100000M.VIDEO_Before = pageHeaderH + menuH + mainItemH;
			
			//생방송 또는 VOD 탭 선택(기본은 생방송탭)
			M_G1100000M.selectedOnAIRTab = true;
			$("#liveOnbWrap div ul li a").unbind().bind( "click", this.event.onclick_liveOnbWrap);
			
			//2018-02-19 ssong 스크롤시 재생 멈춤
			$(window).off("scroll.stopVideo").on("scroll.stopVideo", this.event.onscroll_stopVideo);
			
			// 폰트 크기 설정 이벤트
			Ns.UI.fontControl(); 
			
			// 장바구니 카운트 조회
			mainCtrl.getCartCount();
		},
		
		onLoad : function() {
			if(mainCtrl.MainData == false ){
				
				CurrentView.liveData = null;
				CurrentView.vodTabFlag = true;
				M_G1100000M.data.callNSMobHomeViewLive(); //생방송 동영상 정보
				
				M_G1100000M.data.callNSMobHomeView(); // espot 정보 초기화
			}
			
			//e-mail 톨포인트 이벤트 처리 170822 hawoong
			if(mainCtrl.tolNoInvoke.eventIdfr == null || mainCtrl.tolNoInvoke.eventIdfr == undefined){
				// 푸시 수신동의 팝업
				if (mainCtrl.isOsApp() && !mainCtrl.checkLogonStatus()){
					M_G1100000M.ui.pushAgreeCheck();
				// 모바일 이벤트 팝업
				}else{
					
					// 팝업 제어 - 메인페이지가 호출될 때 홈버튼 클릭 시 또는 nsmobilehub통해서 들어왔을 때는 팝업을 띄운다.
					if(Ns.Util.isNull(sessionStorage.getItem("MAIN_EVENT_POPUP_DISPLAY")) 
							|| sessionStorage.getItem("MAIN_EVENT_POPUP_DISPLAY") == "Y"){
						M_G1100000M.ui.showMainEventPopup();
					}
					/*if(HUB_INIT.isMainEventPopupDisplay == true){				
						M_G1100000M.ui.showMainEventPopup();
					}*/
				}
			}
			
			//추후 삭제 btnTVLiveQuestion 제거 
			//== 17.08.04 ns talk 클릭 이벤트 ======
			$("#btnNSTalkQuestion").off().on("click", function(){
				//NsTalk 페이지 이동 function
				M_G1100000M.event.onclick_btnGotoNsTalk();
			});
			//=====================================
		},
		
		//데이터 관련 함수 정의
		data : {
			
			// espot 정보 호출
			callNSMobHomeView : function(data) {
				
					var invokeParams = {};
					invokeParams.typeFlag = "espot"; // typeFlag가 없으면 TV상품정보 조회			
					invokeParams.espotInfo = "MOB_MAIN_TOPBANNER|Content$" +
							"MOB_MAIN_HAPPYTIT|Content$" +
							"MOB_MAIN_HAPPYTOP|Content$" +
							"MOB_MAIN_HAPPYIMG|Content$" +
							"MOB_MAIN_HAPPYPRDT|Product$" +
							"MOB_MAIN_MENUINFO|Menu$" +
							"MOB_MAIN_PRDTLIST|Product$" +
							"MOB_MAIN_CATESEQ|Menu";
									
					tran.callWCSJsonTran( 'NSMobHomeView', invokeParams, function(data){
						M_G1100000M.data.tempcallNSmobhomeview(data);
					});
				
			},
			
			tempcallNSmobhomeview : function(data){
				
				if(null != data && data != "" && undefined != data){
					// 해피딜 타이틀 처리
					if (null != data.msg._MOB_MAIN_HAPPYTIT && undefined != data.msg._MOB_MAIN_HAPPYTIT && data.msg._MOB_MAIN_HAPPYTIT.length > 0){
						M_G1100000M.ui.set_MOB_MAIN_HAPPYTIT(data.msg._MOB_MAIN_HAPPYTIT);
					} else {
						$("#happyTit").hide();
					}
					
					
					// 탑베너 처리
					if (null != data.msg._MOB_MAIN_TOPBANNER && undefined != data.msg._MOB_MAIN_TOPBANNER){
						M_G1100000M.ui.set_MOB_MAIN_TOPBANNER(data.msg._MOB_MAIN_TOPBANNER);
					} else {
						$("#MOB_MAIN_TOPBANNERarea").hide();
					}
					
					// 해피딜 영역
					if (null != data.msg._MOB_MAIN_HAPPYIMG && undefined != data.msg._MOB_MAIN_HAPPYIMG &&
							null != data.msg._MOB_MAIN_HAPPYTOP && undefined != data.msg._MOB_MAIN_HAPPYTOP &&
							null != data.msg._MOB_MAIN_HAPPYPRDT && undefined != data.msg._MOB_MAIN_HAPPYPRDT){
						M_G1100000M.ui.set_MOB_MAIN_HAPPYarea(data.msg._MOB_MAIN_HAPPYTOP, data.msg._MOB_MAIN_HAPPYIMG, data.msg._MOB_MAIN_HAPPYPRDT);
					} else {
						$("#MOB_MAIN_HAPPYarea").hide();
					}
					
					// 주력메뉴 처리
					if (null != data.msg._MOB_MAIN_MENUINFO && undefined != data.msg._MOB_MAIN_MENUINFO){
						M_G1100000M.ui.set_MOB_MAIN_MENUINFOarea(data.msg._MOB_MAIN_MENUINFO);
					} else {
						$("#MOB_MAIN_MENUINFOarea").hide();
					}
					
					// 주력상품리스트 처리
					if (null != data.msg._MOB_MAIN_PRDTLIST && undefined != data.msg._MOB_MAIN_PRDTLIST){
						M_G1100000M.ui.set_MOB_MAIN_PRDTLISTarea(data.msg._MOB_MAIN_PRDTLIST);
					} else {
						$("#MOB_MAIN_PRDTLISTarea").hide();
					}
					
					// 매장 data 처리
					if (null != data.msg._MOB_MAIN_CATESEQ && undefined != data.msg._MOB_MAIN_CATESEQ){
						M_G1100000M.ui.set_MOB_MAIN_CATESEQarea(data.msg._MOB_MAIN_CATESEQ);
					} else {
						// 
					}
				}
				
				mainCtrl.MainData = false;
				//170725 성능이슈로 인한 제휴 스트립트 및 리캡차 js 메인 페이지로 이동 hawoong
				if(typeof wcs == 'undefined'){
					mainCtrl.externalCallScript();
				}

				//main 성능은 앱 실행시 만 측정 
				if(nsLogging._ns_mainSpeedChk && CurrentView.liveData){
					nsLogging.a('LIVE').l();
					nsLogging._ns_mainSpeedChk = false;
				}
			
				// 성능 저하를 막기 위해 홈 로드 후에 호출이 필요한 공통 함수를을 실행
				M_G1100000M.data.callAfterHomeLoad();				
			},
			
			/**
			 * 푸쉬풀 이벤트 처리 펑션
			 */
			callNSMobHomeViewTemp : function() {
				if (null != M_G1100000M.obj_MOB_MAIN_CATESEQ && undefined != M_G1100000M.obj_MOB_MAIN_CATESEQ && M_G1100000M.obj_MOB_MAIN_CATESEQ.length != 0){
					if (M_G1100000M.obj_MOB_MAIN_CATESEQ.length > M_G1100000M.nMOB_MAIN_CATESEQcount){
						var objData = M_G1100000M.obj_MOB_MAIN_CATESEQ[M_G1100000M.nMOB_MAIN_CATESEQcount];
						var invokeParams = new Object();
						
						invokeParams.catalogIdparent = objData.catgroupId;
						invokeParams.type1 = objData.type1;
						invokeParams.type2 = objData.type2;
						invokeParams.type3 = objData.type3;
						invokeParams.type4 = objData.type4;
						invokeParams.type5 = objData.type5;
						invokeParams.type6 = objData.type6;
						
						tran.callWCSJsonTran( 'NSMobHomeViewTemp', invokeParams, function(data){
							var objData = M_G1100000M.obj_MOB_MAIN_CATESEQ[M_G1100000M.nMOB_MAIN_CATESEQcount];
							M_G1100000M.nMOB_MAIN_CATESEQcount++;
							
							if (objData.catgroupId == "671054"){	// 건강밥상
								objData.storeName = "HEALTHTABLE";
							} else if (objData.catgroupId == "670554"){	// 패션쇼룸
								objData.storeName = "FASIONSHOWROOM"; 
							} else if (objData.catgroupId == "671055"){	// 헬씨리빙
								objData.storeName = "HEALTHLIVING";
							}
							
							// 0 매장 상단 타이틀 출력 - 2017.01.18
							if (objData.type1 == "Y" || objData.type2 == "Y" || objData.type3 == "Y" || objData.type4 == "Y" || objData.type5 == "Y" || objData.type6 == "Y"){
								var objStoreData = eval("data.msg._" + "MOB_HOME_" + objData.storeName + "_TITLE");
								M_G1100000M.ui.set_storeTitle(objStoreData, objData.catgroupId);
							}							
							
							// 1 상단 베너 영역
							if (objData.type1 == "Y"){
								var objStoreData = eval("data.msg._" + objData.catgroupId + "_TOP_BANNER");
								M_G1100000M.ui.set_storeTopBannerArea(objStoreData, objData.catgroupId);
							}
							
							// 2 매장 베너
							if (objData.type2 == "Y"){
								var objStoreData_REPPRDTTOP = eval("data.msg._" + objData.catgroupId + "_MOB_REPPRDTTOP");
								var objStoreData_REPPRDTIMG = eval("data.msg._" + objData.catgroupId + "_MOB_REPPRDTIMG");
								var objStoreData_REPPRDTLIST = eval("data.msg._" + objData.catgroupId + "_MOB_REPPRDTLIST");
								M_G1100000M.ui.set_storeBannerArea(objStoreData_REPPRDTTOP, objStoreData_REPPRDTIMG, objStoreData_REPPRDTLIST, objData.catgroupId);
							}
							
							// 3 매장 메뉴
							if (objData.type3 == "Y"){
								var objStoreData = eval("data.msg._" + objData.catgroupId + "_MOB_MENUINFO");
								M_G1100000M.ui.set_store4menuArea(objStoreData, objData.catgroupId);
							}
							
							// 4 매장 썸네일
							if (objData.type4 == "Y"){
								var objStoreData = eval("data.msg._" + objData.catgroupId + "_MOB_THUMINFO");
								M_G1100000M.ui.set_storeThumbnailArea(objStoreData, objData.catgroupId);
							}
							
							// 5 매장 탭 베너
							if (objData.type5 == "Y"){
								var objStoreData = data.msg.AREA_GROUP;
							}
							
							// 7 매장 상품 리스트
							if (objData.type6 == "Y"){
								var objStoreData = eval("data.msg._" + objData.catgroupId + "_MOB_PRDTLIST");
								M_G1100000M.ui.set_storePrdeListarea(objStoreData, objData.catgroupId);
							}
							
							M_G1100000M.pushFullEvent = false;
							
						});
					} else {
						M_G1100000M.data.callHotissueAndBestList();
					}					
				} else {
					M_G1100000M.data.callHotissueAndBestList();
				}
			},
			
			/**
			 * 위클릭 핫이슈, 금주의 베스트 조회 처리
			 */
			callHotissueAndBestList : function(){
				if (M_G1100000M.bHotissueList == false){
					var strHotissueHtml = ""
					strHotissueHtml += "<section class=\"issue_list\" id=\"hotissueArea\" style=\"display:none;\">";
					strHotissueHtml += "	<div class=\"theme_info_wrap\">";
					strHotissueHtml += "		<h4 class=\"theme_name\" id=\"hotissueTitle\"><em>위클리 핫이슈</em><a href=\"javascript:;\"><img src=\"./images/main/ico_more_arrow.png\"  alt=\"기획전 바로가기\" /></a></h4>";
					strHotissueHtml += "	</div>";
					strHotissueHtml += "	<ul id=\"hotissueList\"></ul>";
					strHotissueHtml += "	<ul id=\"hotissueList_temp\" style=\"display:none;\">";
					strHotissueHtml += "		<li>";
					strHotissueHtml += "			<div class=\"issue_img\">";
					strHotissueHtml += "				<a href=\"javascript:;\" name=\"hotissueListA\"></a>";
					strHotissueHtml += "			</div>";
					strHotissueHtml += "		</li>";
					strHotissueHtml += "	</ul>";
					strHotissueHtml += "</section>";
					
					/**
					 * 2016-11-04 정승진 : 패밀리앱 배너 추가
					 * */
/*
					strHotissueHtml += "<div class=\"banFamily_main\">";
					strHotissueHtml += "<a href=\"javascript:;\" id=\"btnBanner\"><img src=\"http://image.nsmall.com/ec_comimages/nsupload/espot/images/mobile/18_HUB_Common/common/ban_foodApp_L.jpg\" alt=\"건강한밥상 모바일앱\"></a>";
					strHotissueHtml += "</div>";
*/					
					$("#homeDiv").append(strHotissueHtml);
					
					// 위클릭 핫이슈 타이틀 클릭시 이벤트 처리
					$("#hotissueTitle").find("a").off().on("click", function(){
						mainCtrl.navigate( "M_G1100030M"); // 기획전 페이지 이동
					});
					
					/**
					 * 2016-11-04 정승진 : 패밀리앱 배너 클릭시 이벤트 처리 
					 * 
					$("#btnBanner").unbind().bind("click", function() {
						// 모바일 앱
						if (mainCtrl.isOsApp()) {
							if (mainCtrl.VIEW_TYPE == "ios") {
								Ns.Native.launcherView("nsmobilefood://", null, "https://itunes.apple.com/kr/app/nsgeonganghanbabsang/id1098615993?l=en&mt=8");
							} else {
								Ns.Native.launcherView("com.nsmobilefood", null);
							}
						}
					});
					*/
					var invoke = {};
					invoke.espotInfo = "MOB_MAIN_HOTEXHIBITION|Content";	// dhlee 2017.01.17  위클리핫이슈 파라미터 수정 
					invoke.pageId = 1;
					invoke.pageSize = 5;
					
					// 기획전 리스트 조회
					tran.callWCSJsonTran( 'NSEspotCommon', invoke, function(data){
						M_G1100000M.bHotissueList = true;
						
						var contents = data.msg.root._MOB_MAIN_HOTEXHIBITION;	// dhlee 2017.01.17  위클리핫이슈 파라미터 수정
						if (null == contents || undefined == contents || contents == ""){
							$("#hotissueArea").remove();
							M_G1100000M.data.callNSMobHomeViewTemp();
						} else {
							if (contents.length == 0){
								$("#hotissueArea").remove();
								M_G1100000M.data.callNSMobHomeViewTemp();
							}
							
							var objDrawData = JSON.parse(JSON.stringify(contents));	// object 복사
							var arrDrawData = new Array();
							
							for (var i = 0; objDrawData.length > i; i++){
								if ( Ns.Util.isNull(objDrawData[i].clickTarget) ){
									continue;
								}
								
								objDrawData[i].hotissueListA = "<img src=\"http:" + objDrawData[i].imgUrl + "\" onerror=\"this.src='" + (Const.NO_IMAGE_URL + "noimage_P.jpg") + "'\" alt=\"\" />";
								arrDrawData[arrDrawData.length] = objDrawData[i];
							}
							
							Ns.UI.drawList(arrDrawData, "hotissueList");	// 화면 그리기
							
							// 화면 보이기 및 클릭 이벤트 처리
							$("#hotissueArea").show().find("a[name='hotissueListA']").off().on("click", function(){
								var objThisData = $(this).data("data");
								var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objThisData.mdUrl).split("?")[1]).catalogId;
								Ns.UI.espotClickEvent(objThisData.clickTarget, objThisData.contentsId, objThisData.clickCode, objThisData.espotId, objThisData.mdUrl, null, null, catalogId);
							});
						}
					} );
				} else if (M_G1100000M.bBestList == false){
					M_G1100000M.bBestList = true;
				}
			},
			
			// TV상품 생방송 정보 호출
			callNSMobHomeViewLive : function(){
				$("#ulRelatedPrdtList").hide();
				$("#ulRelatedPrdtList").empty();
				
				var invokeParams = {};
				tran.callWCSJsonTran( 'NSMobHomeView', invokeParams, function(data){
					if (null != data.msg.TotalOrgan && undefined != data.msg.TotalOrgan && data.msg.TotalOrgan.length != 0){//생방송 데이터 있으면
						//일단 생방송 데이터만 그린다.
						CurrentView.liveData = data;
						
						M_G1100000M.selectedOnAIRTab = true;
						
						if(CurrentView.vodTabFlag){
							$("#liveOnbWrap").show();
							$("#ONAIRarea, #ONAIRTABSarea").show();
							$("#ONShopLive, #ONShopLiveTABSarea").hide();
						}else{
							$("#liveOnbWrap").hide();
							$("#ONAIRarea, #ONAIRTABSarea").show();
							$("#ONShopLive, #ONShopLiveTABSarea").hide();
						}
						M_G1100000M.ui.setONAIRarea(data.msg.TotalOrgan, data.msg.RelatedPrdtSize);
					}else{//생방송 데이터 없으면
						//VOD 데이터는 있는지 확인한다.
						CurrentView.liveData = null;
						M_G1100000M.data.callNSMobHomeViewVOD();
					}
				});

			},
			
			/**
			 * callNSMobHomeView_etvPrdt : 상품더보기 클릭 시 연관상품 데이터 호출
			 */
			callNSMobHomeView_etvPrdt : function(){
				var invokeParams = {};
				invokeParams.typeFlag = "etvPrdt";
				
				tran.callWCSJsonTran( 'NSMobHomeView', invokeParams, function(data){
					if (null != data.msg.RelatedPrdtList && undefined != data.msg.RelatedPrdtList && data.msg.RelatedPrdtList.length != 0) {
						M_G1100000M.ui.setRelPrdt(data.msg.RelatedPrdtSize, data.msg.RelatedPrdtList);
					} else { // 연관상품 데이터 없으면
						$("#ulRelatedPrdtList").hide();
					}
				});
			},
			
			// VOD상품방송 정보 호출
			callNSMobHomeViewVOD : function(){
				$("#ulRelatedPrdtList").hide();
				
				var invokeParams = {};
				invokeParams.typeFlag = "shopplus";
				
				tran.callWCSJsonTran( 'NSMobHomeView', invokeParams, function(data){
					if (null != CurrentView.liveData){//생방송데이터 있으면
						if (null != data.msg.ShopplusTotalOrgan && undefined != data.msg.ShopplusTotalOrgan && data.msg.ShopplusTotalOrgan.length != 0){ //VOD데이터 있으면
							CurrentView.vodTabFlag = true;
							//탭표시, TV,VOD 둘다 노출
							if(M_G1100000M.selectedOnAIRTab){//TV탭 선택
								M_G1100000M.selectedOnAIRTab = true;
								$("#liveOnbWrap").show();
								$("#ONAIRarea, #ONAIRTABSarea").show();
								$("#ONShopLive, #ONShopLiveTABSarea").hide();
								M_G1100000M.ui.setONAIRarea(data.msg.TotalOrgan, data.msg.RelatedPrdtSize);
							}else{//VOD탭선택
								M_G1100000M.selectedOnAIRTab = false;
								$("#liveOnbWrap").show();
								M_G1100000M.ui.setVODarea(data.msg.ShopplusTotalOrgan, data.msg.ShopplusTotalOrgan.length, data.msg.ShopplusTotalOrgan);
							
							}
						}else{//탭제거, TV만 노출
							CurrentView.vodTabFlag = false;
							M_G1100000M.selectedOnAIRTab = true;
							$("#liveOnbWrap").hide();
							$("#ONAIRarea, #ONAIRTABSarea").show();
							$("#ONShopLive, #ONShopLiveTABSarea").hide();
							M_G1100000M.ui.setONAIRarea(data.msg.TotalOrgan, data.msg.RelatedPrdtSize);
						
							if(nsLogging._ns_mainSpeedChk){
								nsLogging.a('HIDE').l();
								nsLogging._ns_mainSpeedChk = false;
							}	
						}
		 
						//main 성능은 앱 실행시 만 측정  - 생방송 데이터가 있다고 하더라도 이전에 이미 호출하여 1회 더 호출 한것이기 때문에 VOD로 표시
						if(nsLogging._ns_mainSpeedChk){
							nsLogging.a('VOD').l();
							nsLogging._ns_mainSpeedChk = false;
						}						
					}else{//생방송데이터 없으면
						if (null != data.msg.ShopplusTotalOrgan && undefined != data.msg.ShopplusTotalOrgan && data.msg.ShopplusTotalOrgan.length != 0){ //탭제거, VOD만 노출
							M_G1100000M.selectedOnAIRTab = false;
							$("#liveOnbWrap").hide();
							$("#ONAIRarea, #ONAIRTABSarea").hide();
							$("#ONShopLive, #ONShopLiveTABSarea").show();
							M_G1100000M.ui.setVODarea(data.msg.ShopplusTotalOrgan, data.msg.ShopplusTotalOrgan.length, data.msg.ShopplusTotalOrgan);
						}else{//탭 제거, 동영상 영역제거
							M_G1100000M.selectedOnAIRTab = true;
							$("#liveOnbWrap").hide();
							$("#ONAIRarea, #ONAIRTABSarea").hide();
							$("#ONShopLive, #ONShopLiveTABSarea").hide();
							
							if(nsLogging._ns_mainSpeedChk){
								nsLogging.a('HIDE').l();
								nsLogging._ns_mainSpeedChk = false;
							}	
						}
						
						//main 성능은 앱 실행시 만 측정  
						if(nsLogging._ns_mainSpeedChk){
							nsLogging.a('VOD').l();
							nsLogging._ns_mainSpeedChk = false;
						}				
					}
				});
			},
			
			//현재 방송중인 아이템을 가져온다. 
			getCurrentLiveItem : function( data ) {
				try{
					var idx = -1;
					var msecPerMinute = 1000 * 60;
					var msecPerHour = msecPerMinute * 60;
					var currentTime = Ns.Date.getDateParse( Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss' ) );
		
					for( var i=0; i<data.length; i++ ) {
		
						var etime = Ns.Date.getDateParse02( data[i].endDttm );
		
						idx = i;
		
						var interval = ( etime.getTime() - currentTime.getTime() );
						var hours = Math.floor( interval / msecPerHour );
		
						interval = interval - (hours * msecPerHour );
						var minutes = Math.floor(interval / msecPerMinute );
						
						try{
							//Ns.Native.transText(data[0].goodsName);
						} catch (e) {
							// TODO: handle exception
						}
		
						interval = interval - (minutes * msecPerMinute );
						var seconds = Math.floor(interval / 1000 );
						var today = new Date();
		
						M_G1100000M.REMAINING_TIME = new Date( today.getFullYear(), today.getMonth(), today.getDay(), hours,  minutes,  seconds );
						break; //현재 방송 중인 아이템
					}
				}
				catch(e){
					M_G1100000M.event.regErrlog('getCurrentLiveItem', e);
					idx = -1;
				}

				return idx;
			},
			
			/**
			 * 2017-07-27 신혜수 : 성능개선을 위해 모바일 홈 로드가 완료된 후 호출될 함수를 포함
			 * */
			callAfterHomeLoad : function() {
				if(mainCtrl.VIEW_TYPE == "android"){					
					//adbrix lazy-load 
					HUB_INIT.initIgawCommon();
				}
				
				//jihee : 제휴사 adbrix 실적 정보 전달
				//if(mainCtrl.VIEW_TYPE == "android") {
				var invoke = {};
				invoke.category = "add_viewhome";
				invoke.action = "add_viewhome";
				Ns.Native.sendAdbrix( invoke );
				
				var invoke2 = {};
				invoke2.category = "firstTimeExperience";
				invoke2.action = "view_home";
				Ns.Native.sendAdbrix( invoke2 );
				
				var invoke3 = {};
				invoke3.category = "Retention";
				invoke3.action = "view_home";
				Ns.Native.sendAdbrix( invoke3 );
				
				if(typeof targeting == 'undefined'){
					mainCtrl.callTargetingScript();
				}
				setTimeout(function(){
					targeting.sendLogging(invoke);
				}, 5500);
				
			}
			
		},
		//end data function...
		
		//ui interaction 관련 함수 정의 
		ui : {
			/**
			 * 해피딜 타이틀
			 */
			set_MOB_MAIN_HAPPYTIT : function(data){
				$("#happyTit img").attr("src", "http:" + data[0].imgUrl);
				
				/* 해피딜 전체보기 버튼 클릭 이벤트 리스너 */
				$("#happyTit").unbind().bind( "click", function() {
					
					var eventAction = "매장이동";
					var eventLabel = "해피딜";
					
					var event_obj = {
						eventCate : 'MOBILE_메인',
						eventAction : eventAction,
						eventLabel : eventLabel
					};
					var subparam = {
						t1 : 'GNB',
						t2 : '홈'
					};
					GA.sendEventData(event_obj,subparam);
					
					mainCtrl.navigate("M_G5710001M");
				});
				$("#happyTit").show();
			},
			
			/*
			 * NS talk 롤링 처리 
			 * */
			setRollingTalkMsg : function () {
				$('.rt_talk ul').removeClass('ani');//animation 효과삭제
				if(M_G1100000M.ROLLING_IDX < (M_G1100000M.ROLLING_MAX - 1)){
					$('.rt_talk ul').animate({
						marginTop:"-=40px"
					});
					if ( M_G1100000M.ROLLING_MAX != 1) {
						M_G1100000M.ROLLING_IDX++;
					}
				}else{
					$('.rt_talk ul').css('marginTop','0px');
					$('.rt_talk ul').addClass('ani');//animation 효과추가 
					M_G1100000M.ROLLING_IDX = 0;
				}
			},
			
			/**
			 * NsTalk 10초 간견으로-ymma
			 */
			set_NsTalkRolling : function( ) {
				mainCtrl.checkNsTalkTimerObject();
				mainCtrl.nsTalk_timer = setInterval(M_G1100000M.ui.set_NsTalkRolling_Ajax, 10000); //10초 간격으로 호출
				navi.arrInteval.push(mainCtrl.nsTalk_timer); //pageNavigate.js의 clearAllIntervalList 에 넣어 준다.
				navi.arrInteval.push(setInterval(M_G1100000M.ui.setRollingTalkMsg, 2000)); //애니메이션 실행
			},
			/**
			 * NsTalk 롤링 인포뱅크 호출-ymma
			 * { 
				“code” : “0” or “1” 
				“errors” : [{“msg” : “에러메시지” }],
				“messages” : [
								{
									“msg” : “질문내용1”
									. “type” : “1”
								},
								{
									“msg” : “답변내용1”
									“type” : “2”
								},{
									“msg” : “이벤트 당첨”
									, “type” : “3”
								},
								{
									“msg” : “공지사항”
									, “type” : “4”
								}
							],
				“count” : 4
				}
			 */
			set_NsTalkRolling_Ajax : function(){
			
				$.ajax({
					defaultHeaders: { 'Content-Type': 'application/json' },
			        url         		: "http://" + Const.NSTALK_NSMALL_PATH + "/api/messages",
			        data        		: {
								        	code : mainCtrl.nstalk_goodId
								        	, count : 5
								        	, start_date : mainCtrl.nstalk_startdtm
								        	, end_date : mainCtrl.nstalk_enddtm
			        					},
			        crossDomain	: true,
			        type        		: 'POST',
			        dataType   		: 'json',
			        success     		: function(data){
						if (data.code == "0"){
							//== 화면셋팅 - sypark
							M_G1100000M.ui.set_NsTalkApiObject(data);
						}else{
							// empty
						}
			        },
					error: function(data) {
						//17.08.23 ajax 실패 처리 hide 처리-- sypark
						$("#btnNSTalkQuestion").hide();
						$("#talkMsgCnt").html('0');
						$("#rollingMsg").html('ajax통신 실패..');
					}
			    });
			}, 
			
			/**
			 * NStalk API 조회후 받아온 obj 셋팅 - sypark
			 */
			set_NsTalkApiObject : function(data) {
				var infoBankObj = data;
				var innerHtml ="";
				//== api에서 받아온 obj 체크 
				if ( infoBankObj != null && infoBankObj.count != 0 && infoBankObj.talk_enable == true ) {
					$("#btnNSTalkQuestion").show();
					var messageList = infoBankObj.messages;
					for( var i = 0; i < messageList.length; i++ ) {
						innerHtml += "<li>";
						innerHtml += "	<a>";
						innerHtml += messageList[i].msg;
						innerHtml += "	</a>";
						innerHtml += "</li>";
					}
					M_G1100000M.ROLLING_MAX = infoBankObj.messages.length;
					$("#talkMsgCnt").html(infoBankObj.count);
					$("#rollingMsg").html(innerHtml);
				} else {
					$("#btnNSTalkQuestion").hide();
					$("#talkMsgCnt").html('0');
				}
				
			},
			
			
			/**
			 * TOP배너
			 */
			set_MOB_MAIN_TOPBANNER : function(data){
				if (data.length == 0){
					$("#MOB_MAIN_TOPBANNERarea").hide();
					return;
				}
				
				var objCutData = JSON.parse(JSON.stringify(data));
				var nCount = objCutData.length;
				var strHtml = "";
	
				for (var i = 0; i < nCount; i++){
					var GAData = "1";
					GAData = GAData +  "||상단배너||" + objCutData[i].clickCode;
					var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objCutData[i].mdUrl).split("?")[1]).catalogId;
					strHtml += Ns.Util.stringFormat('\
							<li class="swiper-slide"><a href="javascript:Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\',\'{9}\',\'{10}\',\'{11}\',\'{12}\');"><img src="http:{0}" alt="배너"></a></li>',
							objCutData[i].imgUrl, objCutData[i].clickTarget, objCutData[i].contentsId, objCutData[i].clickCode, objCutData[i].espotId, objCutData[i].mdUrl,  null, null, catalogId, null, null, null, null,GAData  );
				}
				
				var $ulMOB_MAIN_TOPBANNERarea = $("#ulMOB_MAIN_TOPBANNERarea");
				$ulMOB_MAIN_TOPBANNERarea.html(strHtml); // 화면에 출력
				
				if (data.length == 1){
					// 별도 처리 없음
				} else {
					$ulMOB_MAIN_TOPBANNERarea.attr("imgCount", nCount);
					$ulMOB_MAIN_TOPBANNERarea.attr("imgLoadCount", "0");
					
					$ulMOB_MAIN_TOPBANNERarea.find("img").load(function(){
						var nTotalCount= Number($("#ulMOB_MAIN_TOPBANNERarea").attr("imgCount"), 10);
						var nLoadCount= Number($("#ulMOB_MAIN_TOPBANNERarea").attr("imgLoadCount"), 10) +1;
						
						if (nTotalCount == nLoadCount){
							/*var topBannerSwiper = new Swiper('#divMOB_MAIN_TOPBANNERarea', {
								slidesPerView: 1,
								paginationClickable: true,
								spaceBetween: 30,
								loop: true,
								centeredSlides: true, 
								autoplay: 3000, 
								autoplayDisableOnInteraction: false, 
							});*/
							var topBannerSwiper = new Swiper('#divMOB_MAIN_TOPBANNERarea', {
								slidesPerView: 1,								
								/*pagination: {
									el: '.swiper-pagination',
							        clickable: true
							    },*/
								spaceBetween: 30,
								loop: true,
								centeredSlides: true,
								autoplay : {
							    	delay : 3000,
							    	disableOnInteraction : false
							    },								
							});							
						} else {
							$("#ulMOB_MAIN_TOPBANNERarea").attr("imgLoadCount", nLoadCount);
						}
					});
				}
			},

			/**
			 * TV 방송중상품
			 */
			setONAIRarea : function(TotalOrgan, RelatedPrdtSize){
				
				if (TotalOrgan.length == 0){
					$("#ONAIRarea, #ONAIRTABSarea").hide();
					$("#btnNSTalkQuestion").hide(); //17.08.04 nsTalk 롤링 메시지 숨기기 - sypark
					return;
				}
				
				var idx = M_G1100000M.data.getCurrentLiveItem( TotalOrgan );
				if ( idx < 0 ) {
					$("#ONAIRarea, #ONAIRTABSarea").hide();
					$("#btnNSTalkQuestion").hide(); //17.08.04 nsTalk 롤링 메시지 숨기기 - sypark
					return false;
				}
				
				var objTotalOrganF = TotalOrgan[0];

				//nstalk 롤링 호출 시작 -ymma
				mainCtrl.nstalk_goodId = objTotalOrganF.partNumber;
				mainCtrl.nstalk_startdtm = objTotalOrganF.startDttm;
				mainCtrl.nstalk_enddtm = objTotalOrganF.endDttm;
				
				M_G1100000M.ui.set_NsTalkRolling_Ajax(); //1. 처음 한번 실행 (초기 조회)
				M_G1100000M.ui.set_NsTalkRolling();       //2. 10초 마다 실행 (두번째부터 실행)
				//nstalk 롤링 호출 끝 -ymma
				
				// 방송상품 이미지 세팅
				// 와이드형(X6) 세팅 에러시 H형 세팅 또 에러시 에러이미지 세팅
				$("#livePrcImg").attr("imgType", "X6")
				$("#livePrcImg").attr("src", Ns.Util.getImageUrl( objTotalOrganF.partNumber, "X6" ));
				$('#livePrcImg').off().on('error', function(){
					if ($(this).attr("imgType") == "X6"){
						$(this).addClass("thumbanil_small");
						$(this).attr("imgType", "H");
						$(this).attr("src", Ns.Util.getImageUrl( objTotalOrganF.partNumber, "H" ));
					} else if ($(this).attr("imgType") == "H"){
						$(this).removeClass("thumbanil_small");
						$(this).attr("imgType", "NO");
						$(this).attr("src", "http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg");
					}			
				});
				
				// 방송상품 이미지 클릭 이벤트 
				$("#liveGoProduct").off().on("click", function(){
					
					var eventAction = "ONAIR_NSLIVE";
					var eventLabel = "상품상세_"+$("#liveProductName").text();
					
					var event_obj = {
						eventCate : 'MOBILE_메인',
						eventAction : eventAction,
						eventLabel : eventLabel
					};
					var subparam = {
						t1 : 'GNB',
						t2 : '홈'
					};
					GA.sendEventData(event_obj,subparam);
					
					mainCtrl.gotoProductDisplay(objTotalOrganF.partNumber);
				})
				
				// 플레이 버튼 클릭 이벤트
				$("#btnShowLive").off().on("click", function(){
					var eventAction = "ONAIR_NSLIVE";
					var eventLabel = "방송보기_"+$("#liveProductName").text();
					
					var event_obj = {
						eventCate : 'MOBILE_메인',
						eventAction : eventAction,
						eventLabel : eventLabel
					};
					var subparam = {
						t1 : 'GNB',
						t2 : '홈'
					};
					GA.sendEventData(event_obj,subparam);
					
					M_G1100000M.event.onclick_btnShowLive();
				})
				
				// 방송상품 상품명 세팅
				var productName = "";
				if (objTotalOrganF.brandName != "" && objTotalOrganF.brandName != "미정의"){
					productName += "[objTotalOrganF.brandName] "
				} 
				$("#liveProductName").html(objTotalOrganF.goodsName);
				
				if((objTotalOrganF.dispTypeCd == "35" || objTotalOrganF.dispTypeCd == "40" || objTotalOrganF.dispTypeCd == "45" || objTotalOrganF.dispTypeCd == "56" || objTotalOrganF.dispTypeCd == "58") && objTotalOrganF.busChnId == 'TV') {
					$("#OptionRepresentative").text("");
					$("#liveOfferPrice").html("상담접수상품");
				} else if ( objTotalOrganF.dispTypeCd=='57' || objTotalOrganF.dispTypeCd =='45' ) {
					$("#liveOfferPrice").html(Ns.Util.insertCommas( objTotalOrganF.mmRntalPrc ));
				} else {
					$("#liveOfferPrice").html(Ns.Util.insertCommas( objTotalOrganF.priceofferprice ));
				}	
				
				//방송 남은 시간 설정.
				M_G1100000M.ui.setETVLiveTime();
				
				M_G1100000M.PARTNUMBER = objTotalOrganF.partNumber;
				M_G1100000M.MULTICD = objTotalOrganF.multiCd;
				M_G1100000M.BUSCHNID = objTotalOrganF.busChnId;
				M_G1100000M.TotalOrgan = objTotalOrganF;
				
				// tv편성표 클릭 이벤트
				$("#btnTVSchedule").off().on("click", function(){
					var invokeParams = new Object();
					invokeParamspartNumber = objTotalOrganF.partNumber;
					invokeParams.catalogId = Const.getMarketingCatalogId('tv');
					
					var eventAction = "ONAIR_NSLIVE";
					var eventLabel = "TV편성표";
					
					var event_obj = {
						eventCate : 'MOBILE_메인',
						eventAction : eventAction,
						eventLabel : eventLabel
					};
					var subparam = {
						t1 : 'GNB',
						t2 : '홈'
					};
					GA.sendEventData(event_obj,subparam);
					
					
					mainCtrl.navigate( 'M_G2222120M', invokeParams);
				});
				
				//17.08.04 ns talk 클릭 이벤트 - sypark
				$("#btnNSTalkQuestion").off().on("click", function(){
					//NsTalk 페이지 이동 function
					M_G1100000M.event.onclick_btnGotoNsTalk();
				});
				
				
				// 상품명 및 바로주문 버튼 클릭 이벤트
				if(objTotalOrganF.orderYn == "Y" || objTotalOrganF.orderYn == "T_EN" || objTotalOrganF.orderYn == "D_EN"){
					// 1. 현재 판매 가능한 상품일 경우
					// 연관상품이 없을 경우, 상품명 및 바로주문 버튼 클릭 시 상품 상세로 이동
					$("#liveProductName, #btnOrderNow").off().on("click", function(){
						
						var eventAction = "ONAIR_NSLIVE";
						var eventLabel = "바로주문_"+$("#liveProductName").text();
						
						var event_obj = {
							eventCate : 'MOBILE_메인',
							eventAction : eventAction,
							eventLabel : eventLabel
						};
						var subparam = {
							t1 : 'GNB',
							t2 : '홈'
						};
						GA.sendEventData(event_obj,subparam);
						
						mainCtrl.gotoProductDisplay(objTotalOrganF.partNumber);
					});
				} else {
					// 2. 현재 판매 불가능한 상품일 경우
					// 연관상품이 없을 경우, 상품명 및 바로주문 버튼 클릭 시 얼럿 노출
					$("#liveProductName, #btnOrderNow").off().on("click", function(){
						Ns.Popup.alert("일시품절된 상품입니다.");
					});
				}
				// 연관상품이 있을 경우, 바로주문 버튼 클릭 시 연관상품 영역 노출
				if (RelatedPrdtSize > 0) {
					$("#btnOrderNow").off().on("click", function(){
						if($("#ulRelatedPrdtList").children().length < 1){
							// 연관상품 데이터 호출
							M_G1100000M.data.callNSMobHomeView_etvPrdt();
						} else {
							// 연관상품 영역 노출
							$("#ulRelatedPrdtList").slideToggle("normal");
						}
					});
				}
				
			},
			
			/**
			 * setRelPrdt : 상품더보기 버튼 클릭 시 노출되는 etv 연관 상품 데이터 셋팅
			 * @param RelatedPrdtSize : 연관상품 개수
			 * @param RelatedPrdtList : 연관상품 정보
			 */
			setRelPrdt : function(RelatedPrdtSize, RelatedPrdtList) {
				var tempRelatedPrdtList = [];
				
				for (var i = 0; RelatedPrdtList.length + 1 > i ; i++){
					var info = "";
					if (i == 0) {
						info = M_G1100000M.TotalOrgan;
					} else {
						info = RelatedPrdtList[i-1].commonData;
					}
					tempRelatedPrdtList[i] = info;
					
					// 상품이미지
					var noImageUrl = Const.NO_IMAGE_URL + 'noimage_H.jpg';
					var imageUrl = Ns.Util.getImageUrl( info.partNumber, "H" );
					tempRelatedPrdtList[i].aRelatedPrdtList = "<img src=\"" + imageUrl + "\" alt=\"상품 이미지\" onerror=\"this.src='" + noImageUrl + "'\" />";
					
					// 상품명
					var productName = Ns.UI.getProductName( info.brandCd, info.brand_kor_nm, info.itncatentrynm, info.headCopy );
					tempRelatedPrdtList[i].dtRelatedPrdtList = productName;
					
					// 무이자
					tempRelatedPrdtList[i].IfiRelatedPrdtList = "<span class=\"head\">무이자 </span><span class=\"mon\">&nbsp;4</span>";
					if(info.ifiValue != 0 && info.ifiValue != null){
						tempRelatedPrdtList[i].IfiRelatedPrdtList = "<span class=\"head\">무이자 </span><span class=\"mon\">&nbsp;" + info.ifiValue + "</span>";
	            	} else {
	            		tempRelatedPrdtList[i].IfiRelatedPrdtList = "";
	            	}
					
					// 판매금액
					var offerPrice = "";
					if ( info.dispTypeCd=='57' || info.dispTypeCd =='45' ) {
						offerPrice = Ns.Util.insertCommas( info.mmRntalPrc );
					} else {
						offerPrice = Ns.Util.insertCommas( info.priceofferprice );
					}			
					tempRelatedPrdtList[i].priceRelatedPrdtList = offerPrice + "<span class=\"won\">원</span>";
					
					// 상품별 주문하기 버튼
					var btnName = "주문하기";
					if ( !CurrentView.event.checkRealProduct(info.dispTypeCd) ){
						// 무형상품일 경우
						btnName = "상담하기";
					}
					if(info.orderYn == "N"){
						// 주문 불가 상품일 경우
						btnName = "일시품절";
					}
					tempRelatedPrdtList[i].btnRelatedPrd = btnName;
				}
				
				Ns.UI.drawList(tempRelatedPrdtList, "ulRelatedPrdtList");	// 화면 그리기
				
				// 클릭 이벤트 처리
				$("li[name='liRelatedPrdtList']").off().on("click", function(){
					var objThisData = $(this).data("data");
					
					var eventAction = "ONAIR_NSLIVE";
					var eventLabel = "바로주문_상세보기_"+objThisData.itncatentrynm;
					
					var event_obj = {
						eventCate : 'MOBILE_메인',
						eventAction : eventAction,
						eventLabel : eventLabel
					};
					var subparam = {
						t1 : 'GNB',
						t2 : '홈'
					};
					GA.sendEventData(event_obj,subparam);
					
					if(objThisData.orderYn == "Y" || objThisData.orderYn == "T_EN" || objThisData.orderYn == "D_EN"){
						mainCtrl.gotoProductDisplay(objThisData.partNumber);
					} else {
						if(objThisData.orderYn == "N"){
							Ns.Popup.alert("일시품절된 상품입니다.");
						}
					}
				});
				// 연관상품 영역 노출
				$("#ulRelatedPrdtList").slideToggle("normal");
			},
			
			/**
			 * setVODarea : Shop+ VOD 영역 셋팅
			 * @param TotalOrgan : 현재 방송 상품
			 * @param RelatedPrdtSize : 연관(멀티코드) 상품 개수
			 * @param RelatedPrdtList : 연관(멀티코드) 상품 리스트
			 */
			setVODarea : function(TotalOrgan, RelatedPrdtSize, RelatedPrdtList){
				var objTotalOrganF = TotalOrgan[0];
				
				// 방송상품 이미지
				$("#vodLivePrcImg").attr("src", Ns.Util.getImageUrl( objTotalOrganF.partNumber, "X6" ));
				
				// 방송상품 이미지 클릭 이벤트 
				$("#vodLiveGoProduct").off().on("click", function(){
					var eventAction = "";
					var eventLabel = "";
					
					eventAction = "ONAIR_NSShop+";
					eventLabel = "상품상세_"+$("#vodLiveProductName").text();
					
					var event_obj = {
						eventCate : 'MOBILE_메인',
						eventAction : eventAction,
						eventLabel : eventLabel
					};
					var subparam = {
						t1 : 'GNB',
						t2 : '홈'
					};
					GA.sendEventData(event_obj,subparam);
					mainCtrl.gotoProductDisplay(objTotalOrganF.partNumber);
				})
				
				$('#vodLivePrcImg').off().on('error', function(){
					$(this).attr("src", "http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg");
				});
				
				// 재생 버튼 클릭 이벤트
				$("#vodBtnShowLive").off().on("click", function(){
					
					var eventAction = "ONAIR_NSShop+";
					var eventLabel = "방송보기_"+$("#vodLiveProductName").text();
					
					var event_obj = {
						eventCate : 'MOBILE_메인',
						eventAction : eventAction,
						eventLabel : eventLabel
					};
					var subparam = {
						t1 : 'GNB',
						t2 : '홈'
					};
					GA.sendEventData(event_obj,subparam);
					
					M_G1100000M.event.onclick_btnPlayVOD();
				})
				
				// 방송상품 상품명 세팅
				$("#vodLiveProductName").html(objTotalOrganF.goodsName);
				
				// 방송상품 판매가 세팅
				if ( objTotalOrganF.dispTypeCd=='57' || objTotalOrganF.dispTypeCd =='45' ) {
					$("#vodLiveOfferPrice").html(Ns.Util.insertCommas( objTotalOrganF.mmRntalPrc ));
				} else {
					$("#vodLiveOfferPrice").html(Ns.Util.insertCommas( objTotalOrganF.salePrice ));
				}

				// 방송끝나는 시간 저장
				var endTime = objTotalOrganF.time.split( "~" );
				M_G1100000M.VOD_REMAINING_TIME = endTime[1];
				// 방송 남은 시간 설정
				M_G1100000M.ui.setVODRemainTime();
				
				// 동영상 재생 중 상품 바로 주문을 위한 상품정보 셋팅
				M_G1100000M.PARTNUMBER = objTotalOrganF.partNumber;
				M_G1100000M.MULTICD = objTotalOrganF.multiCd;
				M_G1100000M.BUSCHNID = objTotalOrganF.busChnId;
				
				// 편성표 클릭 이벤트
				$("#vodBtnTVSchedule").off().on("click", function(){
					var invokeParams = new Object();
					invokeParams.partNumber = objTotalOrganF.partNumber;
					invokeParams.catalogId = Const.getMarketingCatalogId('tv');
					
					var eventAction = "ONAIR_NSSHOP+";
					var eventLabel = "SHOP+편성표";
					
					var event_obj = {
						eventCate : 'MOBILE_메인',
						eventAction : eventAction,
						eventLabel : eventLabel
					};
					var subparam = {
						t1 : 'GNB',
						t2 : '홈'
					};
					GA.sendEventData(event_obj,subparam);
					
					mainCtrl.navigate( 'M_G2232120M', invokeParams);
				});

				// 바로주문 버튼 세팅
				if(objTotalOrganF.orderYn == "Y" || objTotalOrganF.orderYn == "T_EN" || objTotalOrganF.orderYn == "D_EN"){
					// 1. 현재 판매 가능한 상품일 경우
					// 연관상품이 없을 경우, 상품명 및 바로주문 버튼 클릭 시 상품 상세로 이동
					$("#vodLiveProductName, #vodBtnOrderNow").off().on("click", function(){
						
						var eventAction = "ONAIR_NSSHOP+";
						var eventLabel = "바로주문_"+$("#vodLiveProductName").text();
						
						var event_obj = {
							eventCate : 'MOBILE_메인',
							eventAction : eventAction,
							eventLabel : eventLabel
						};
						var subparam = {
							t1 : 'GNB',
							t2 : '홈'
						};
						GA.sendEventData(event_obj,subparam);
						
						mainCtrl.gotoProductDisplay(objTotalOrganF.partNumber);
					});
				} else {
					// 2. 현재 판매 불가능한 상품일 경우
					// 연관상품이 없을 경우, 상품명 및 바로주문 버튼 클릭 시 얼럿 노출
					$("#vodLiveProductName, #vodBtnOrderNow").off().on("click", function(){
						Ns.Popup.alert("일시품절된 상품입니다.");
					});
				}
				// 연관상품이 있을 경우, 바로주문 버튼 클릭 시 연관상품 영역 노출
				if (RelatedPrdtSize > 1){
					$("#vodBtnOrderNow").off().on("click", function(){
						$("#vodUlRelatedPrdtList").slideToggle("normal");
					});
				}
				
				// 상품더보기 세팅
				if (RelatedPrdtSize > 1){
					for (var i = 0; RelatedPrdtList.length > i; i++){
						var info = RelatedPrdtList[i];

						// 상품이미지
						var noImageUrl = Const.NO_IMAGE_URL + 'noimage_H.jpg';
						var imageUrl = Ns.Util.getImageUrl( info.partNumber, "H" );
						RelatedPrdtList[i].aRelatedPrdtList = "<img src=\"" + imageUrl + "\" alt=\"상품 이미지\" onerror=\"this.src='" + noImageUrl + "'\" />";
						
						// 상품명
						var productName = Ns.UI.getProductName( info.brandCd, info.brand_kor_nm, info.itncatentrynm, info.headCopy );
						RelatedPrdtList[i].dtRelatedPrdtList = productName;
						
						// 무이자
						RelatedPrdtList[i].IfiRelatedPrdtList = "<span class=\"head\">무이자 </span><span class=\"mon\">&nbsp;4</span>";
						if(info.ifiValue != 0 && info.ifiValue != null){
							RelatedPrdtList[i].IfiRelatedPrdtList = "<span class=\"head\">무이자 </span><span class=\"mon\">&nbsp;" + info.ifiValue + "</span>";
		            	} else {
		            		RelatedPrdtList[i].IfiRelatedPrdtList = "";
		            	}
						
						// 판매금액
						var offerPrice = "";
						if ( info.dispTypeCd=='57' || info.dispTypeCd =='45' ) {
							offerPrice = Ns.Util.insertCommas( info.mmRntalPrc );
						} else {
							offerPrice = Ns.Util.insertCommas( info.priceofferprice );
						}			
						RelatedPrdtList[i].priceRelatedPrdtList = offerPrice + "<span class=\"won\">원</span>"; 
						
						// 상품별 주문하기 버튼
						var btnName = "주문하기";
						if ( !CurrentView.event.checkRealProduct(info.dispTypeCd) ){
							// 무형상품일 경우
							btnName = "상담하기";
						}
						if(info.orderYn == "N"){
							// 주문 불가 상품일 경우
							btnName = "일시품절";
						}
						RelatedPrdtList[i].btnRelatedPrd = btnName;
					}
					
					Ns.UI.drawList(RelatedPrdtList, "vodUlRelatedPrdtList");	// 화면 그리기
					
					// 클릭 이벤트 처리
					$("li[name='liRelatedPrdtList']").off().on("click", function(){
						var objThisData = $(this).data("data");
						
						var eventAction = "ONAIR_NSSHOP+";
						var eventLabel = "바로주문_상세보기_"+objThisData.itncatentrynm;
						
						var event_obj = {
							eventCate : 'MOBILE_메인',
							eventAction : eventAction,
							eventLabel : eventLabel
						};
						var subparam = {
							t1 : 'GNB',
							t2 : '홈'
						};
						GA.sendEventData(event_obj,subparam);
						
						
						if(objThisData.commonData.orderYn == "Y" || objThisData.commonData.orderYn == "T_EN" || objThisData.commonData.orderYn == "D_EN"){
							mainCtrl.gotoProductDisplay(objThisData.commonData.partNumber);
						}else{
							if(objThisData.commonData.orderYn == "N"){
								Ns.Popup.alert("일시품절된 상품입니다.");
							}
						}
					});
				}
			},
			
			/**
			 * setVODRemainTime : Shop+ 방송 남은 시간을 표기해 줄 1초 간격 Timer를 설정한다.
			 */
			setVODRemainTime : function( ) {
				mainCtrl.checkTimerObject();
				mainCtrl.m_timer = setInterval(M_G1100000M.ui.sVODOnTimer, 1000);
			},
			
			/**
			 * sVODOnTimer : Shop+ 방송 남은 시간을 화면에 그려준다.
			 */
			sVODOnTimer : function() {
				if( M_G1100000M.VOD_REMAINING_TIME == null ) {
					mainCtrl.checkTimerObject(); //destory timer
					return false;
				}

				var timeLimit = Ns.Date.getPeriodDate( M_G1100000M.VOD_REMAINING_TIME, "json" );
				var hour = timeLimit.hour;
				var min = timeLimit.minute;
				var second = timeLimit.second;
				
				if ( timeLimit.hour == 23 && timeLimit.minute == 59 && timeLimit.second == 59 ) {
					M_G1100000M.VOD_REMAINING_TIME = null;
					$("#vodLiveTimer").html( "" );
					mainCtrl.checkTimerObject(); //destory timer					
					M_G1100000M.data.callNSMobHomeViewVOD(); //새로운 방송 조회
				} else {
					$("#vodLiveTimer").html( hour + ':'+ min +':'+ second );
				}
			},
			
			/**
			 * 해피딜 베너
			 */
			set_MOB_MAIN_HAPPYarea : function(objTop, objImg, objPrdt){
				var bOneAreaNo = false;
				if (objTop.length == 0 && objImg.length == 0){
					$("#HAPPYtop").hide();
					$("#HAPPYprdPaging").hide();
					bOneAreaNo = true;
				} else {
					if (objImg.length != 0 && $.trim(objImg[0].espotTitleText) != ""){
						// 로고 이미지
						if (objImg[0].espotTitleImgPath != ""){
							$("#HAPPYtopLogo").html("<img src=\"http:" + objImg[0].espotTitleImgPath + "\" alt=\"로고이미지\" />");
						} else {
							$("#HAPPYtopTxt").addClass("ml20");
							$("#HAPPYtopLogo").remove();
						}
						
						// 텍스트 
						var arr = objImg[0].espotTitleText.split("&lt;br/&gt;");
						var strTopTxt1 = arr[0];
						var strTopTxt2 = arr[1];
						
						if (undefined != strTopTxt1){
							$("#HAPPYtopTxt1").html(strTopTxt1);
						}
						if (undefined != strTopTxt1){
							$("#HAPPYtopTxt2a").html(strTopTxt2).data("data", objImg);
							
							// 클릭 이벤트 처리
							$("#HAPPYtopTxt2a").off().on("click", function(){
								var objData = $(this).data("data")[0];
								var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objData.mdUrl).split("?")[1]).catalogId;
								Ns.UI.espotClickEvent(objData.clickTarget, objData.contentsId, objData.clickCode, objData.espotId, objData.mdUrl,  null, null, catalogId);
							});
						}
						
					} else {
						// 상단 이미지
						if (objTop.length != 0 && undefined != objTop[0].imgUrl && objTop[0].imgUrl != ""){
							$("#HAPPYprdPaging").remove();
							$("#HAPPYtop").removeClass("theme_detail").addClass("theme_link");
							$("#HAPPYtop").html("<a href=\"javascript:;\" id=\"HAPPYtopImg\"><img src=\"http:" + objTop[0].imgUrl + "\" alt=\"" + objTop[0].marketingText + "\" /></a><p class=\"paging\" id=\"HAPPYprdPaging\">0/0</p>");
							
							// 클릭 이벤트 처리
							$("#HAPPYtopImg").data("data", objTop).off().on("click", function(){
								var objData = $(this).data("data")[0];
								var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objData.mdUrl).split("?")[1]).catalogId;
								Ns.UI.espotClickEvent(objData.clickTarget, objData.contentsId, objData.clickCode, objData.espotId, objData.mdUrl,  null, null, catalogId);
							});
						} else {
							$("#HAPPYtop").hide();
							$("#HAPPYprdPaging").hide();
							bOneAreaNo = true;
						}
					}
				}
				
				// 배경
				if (objImg.length != 0 && undefined != objImg[0].imgUrl && objImg[0].imgUrl != ""){
					$("#MOB_MAIN_HAPPYarea").css("background-image", "url('http:" + objImg[0].imgUrl + "')");
				} else {
					$("#MOB_MAIN_HAPPYarea").css("background-color", "#b2b2b2");
				}
				
				if (objPrdt.length != 0){
					var prcHtml = "";
					
					if ($("#HAPPYtop").hasClass("theme_detail") == true){
						$("#HAPPYtop").addClass("pt7");
					}
					
					for (var i = 0; objPrdt.length > i; i++){
						var prdInfo = objPrdt[i]; 
						var imageUrl = prdInfo.bannerImgUrl;//Ns.Util.getImageUrl( prdInfo.partnumber, "X6" );
						
						var noImageUrl = Const.NO_IMAGE_URL + "noimage_X6.jpg";
						var happydeal = "";	// 해피딜 표시
						var percent = ""; //할인율 표시
						var bHappy = false;
						var dcPrc = Ns.Util.insertCommas(prdInfo.dcPrc);	// 할인(노출)가격
						var salePrc = "";	// 할인전 가격
						var sell_info = "&nbsp;";	// 구매수량 문구
						var dlvrPrice = "";
						// 옵션대표가 출력 처리
						var prcWaveDisp = "";
						if( prdInfo.prcWaveDisp != undefined){
							prcWaveDisp = prdInfo.prcWaveDisp;
						}
						
						// 무료배송
						if (Number(prdInfo.dlvrPrice, 10) <= 0){
							dlvrPrice = "<div class=\"benefit\"><dfn class=\"label\">혜택</dfn><em class=\"free\">무료배송</em></div>";
						}
						
						// 해피딜가 할인율 출력 처리
						if( Number(prdInfo.dcPrc) >= Number(prdInfo.salePrc) ){
							happydeal = "<dd class=\"happydeal\">해피딜가</dd>";
							bHappy = true;
						} else if (Number(prdInfo.dcRate, 10) > 0){
							percent = "<dd class=\"percent\">" + prdInfo.dcRate + "<em>%</em></dd>";
						}
						
						// 할인전 금액 출력 처리
						if (bHappy == false){
							salePrc = "";
						}
						
						// 옵션대표가 출력 처리
						if( prcWaveDisp != "" ){
							OptionRepresentative = "원 ~";
						} else{
							OptionRepresentative = "원";
						}
						
						// 누적 및 기간내 구매수량 표시
						if(prdInfo.orderQty > 0){
							sell_info = "" + Ns.Util.insertCommas(prdInfo.orderQty) + "개 구매&nbsp;";
						}
						
						prcHtml += Ns.Util.stringFormat('\
							<li class="swiper-slide" onclick="mainCtrl.gotoProductDisplay({8}, \'\', \'MOBIL\');">\
								<div class="inner_slide">\
									<div class="thumbnail"><a href="javascript:;"><img src="http:{0}" onerror="this.src=\'{1}\';"alt="" /></a>{9}</div>\
									<div class="info_more">\
										<dl>\
											<dt><a href="javascript:;">{2}</a></dt>\
											{3}\
											{5}\
											<dd class="price"><span class="blind" role="text">현재 판매가</span>{4}<span class="won">{10}</span></dd>\
											<dd class="sell_info">{7}</dd>\
										</dl>\
									</div>\
								</div>\
							</li>'
								, imageUrl	// 0 상품 이미지
								, noImageUrl	// 1 상품 이미지 에러용 이미지
								, prdInfo.itncatentrynm	// 2 상품명
								, happydeal	// 3 해피딜가 문구 html
								, dcPrc	// 4 최종할인가
								, percent	// 5 할인율 문구 html
								, salePrc	// 6 할인전 금액
								, sell_info	// 7 구매수량 문구
								, prdInfo.partnumber	// 8
								, dlvrPrice	// 9 무이자
								, OptionRepresentative // 10 옵션대표가
						);
					}
					var $HAPPYprdUl = $("#HAPPYprdUl");
					$HAPPYprdUl.html(prcHtml);
					
					$HAPPYprdUl.attr("imgCount", objPrdt.length);
					$HAPPYprdUl.attr("imgLoadCount", "0");
					
					$HAPPYprdUl.find("img").load(function(nnCount){
						var nTotalCount= Number($("#HAPPYprdUl").attr("imgCount"), 10);
						var nLoadCount= Number($("#HAPPYprdUl").attr("imgLoadCount"), 10) +1;
						
						if (nTotalCount == nLoadCount){
							/*var happySwiper = new Swiper('#HAPPYprdDiv', {
								slidesPerView: "auto",
								paginationClickable: true,
								spaceBetween: 30,
								loop: objPrdt.length == 1 ? false : true,
								centeredSlides: true, 
								autoplay: 3000, 
								autoplayDisableOnInteraction: false,
								onInit: function(objSwiper){
									var nTotalCount = $("#HAPPYprdUl").find("li:not(.swiper-slide-duplicate)").length;
									var Index = objSwiper.activeLoopIndex +1;
									$("#HAPPYprdPaging").html(Index + "/" + nTotalCount);
								},
								onSlideChangeEnd: function(objSwiper) {
									var nTotalCount = $("#HAPPYprdUl").find("li:not(.swiper-slide-duplicate)").length;
									var Index = objSwiper.activeLoopIndex +1;
									$("#HAPPYprdPaging").html(Index + "/" + nTotalCount);
								},
							});*/
							
							var happySwiper = new Swiper('#HAPPYprdDiv', {
								slidesPerView: "auto",
								pagination: {
									el: '#HAPPYprdDivPagination',
									type : 'fraction',
							        clickable: true
							    },						    
								spaceBetween: 30,
								//loop: objPrdt.length == 1 ? false : true,
								centeredSlides: true,
								loop : objPrdt.length == 1 ? false : true,
							    autoplay : {
							    	delay : 3000,
							    	disableOnInteraction : false
							    },								
								/*onInit: function(objSwiper){
									var nTotalCount = $("#HAPPYprdUl").find("li:not(.swiper-slide-duplicate)").length;
									var Index = objSwiper.activeLoopIndex +1;
									$("#HAPPYprdPaging").html(Index + "/" + nTotalCount);
								},
								onSlideChangeEnd: function(objSwiper) {
									var nTotalCount = $("#HAPPYprdUl").find("li:not(.swiper-slide-duplicate)").length;
									var Index = objSwiper.activeLoopIndex +1;
									$("#HAPPYprdPaging").html(Index + "/" + nTotalCount);
								},*/
							});
							
						} else {
							$("#HAPPYprdUl").attr("imgLoadCount", nLoadCount);
						}
					});
					
				} else {
					$("#HAPPYprdDiv").hide();
					$("#HAPPYprdPaging").hide();
					
					if (bOneAreaNo == true){
						$("#MOB_MAIN_HAPPYarea").hide();
					}
				}
			},
			
			/**
			 * 주력메뉴
			 */
			set_MOB_MAIN_MENUINFOarea : function(data){
				if (data.length < 4){	// 갯수가 4개 미만일 경우 영역 숨김
					$("#MOB_MAIN_MENUINFOarea").hide();
					return;
				}
				
				var nMaxMenu = 0;	// 최대 출력 갯수
				if (data.length == 4){
					nMaxMenu = 4;
				} else {
					nMaxMenu = parseInt(data.length/4, 10) * 4;
				}
				
				if (nMaxMenu == 4){	// 갯수가 4개 일경우 펼치기 버튼 숨김
					$("#divMOB_MAIN_MENUINFO").hide();
				}
				
				var strMOB_MAIN_MENUINFO1html = "";
				var strMOB_MAIN_MENUINFO2html = "";
				
				for (var i = 0; i < data.length; i++){
					var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(data[i].mdUrl).split("?")[1]).catalogId;
					
					if (i <= 3){
						strMOB_MAIN_MENUINFO1html += Ns.Util.stringFormat('\
								<li><a href="javascript:Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');">\
								<img src="http:{0}" alt="" /><span class="hidden"></span></a></li>',
								data[i].imgPath, data[i].clickTarget, data[i].contentsId, data[i].clickCode, data[i].espotId, data[i].mdUrl,  null, null, catalogId );
					} else {
						strMOB_MAIN_MENUINFO2html += Ns.Util.stringFormat('\
								<li><a href="javascript:Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');">\
								<img src="http:{0}" alt="" /><span class="hidden"></span></a></li>',
								data[i].imgPath, data[i].clickTarget, data[i].contentsId, data[i].clickCode, data[i].espotId, data[i].mdUrl,  null, null, catalogId );
					}
					
					// 4개가 세팅되면 먼저 출력
					if (i == 3){	
						$("#ulMOB_MAIN_MENUINFO1").html(strMOB_MAIN_MENUINFO1html);
					}
					
					// 최대 출력 갯수와 같으면 for문 나감
					if (nMaxMenu-1 == i){
						break;
					}
				}
				
				if (strMOB_MAIN_MENUINFO2html != ""){
					$("#ulMOB_MAIN_MENUINFO2").html(strMOB_MAIN_MENUINFO2html);
				}
				
				
				// 전체보기 클릭 이벤트
				$("#btnMOB_MAIN_MENUINFO").off().on("click", function(){
					$("#ulMOB_MAIN_MENUINFO2").slideToggle("normal");
					
					if ($(this).hasClass("active") == true){
						$(this).removeClass("active");
					} else {
						$(this).addClass("active");
					}
				});
			},
			
			/**
			 * 주요상품 리스트 - 2017.01.18 기획전 추가 
			 */
			set_MOB_MAIN_PRDTLISTarea : function (repPrdtList){
				var liStoreProductHTML = ""; 				
				var $liStoreProduct = $("#MOB_MAIN_PRDTLISTarea");
				
				/* 데이터가 없을 경우 */
				if (undefined == repPrdtList || repPrdtList.length == 0){
					$liStoreProduct.hide();
					return;
				}
				
				var objDrawData = JSON.parse(JSON.stringify(repPrdtList));	// object 복사
				
				// data 커스텀
				for (var i = 0; objDrawData.length > i; i++){
					if (i == 0){
						M_G1100000M.totalCount = Number(objDrawData[i].totalCnt);
					}
					/* 기획전 */
					if(objDrawData[i].planYn != "N"){ //상품이 아니면(기획전, 고지형)
						liStoreProductHTML += '<dl class="specialBanner" name="specialBanner">';
						if(objDrawData[i].prom_Info != "notify"){ //기획전
							var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objDrawData[i].bannerImgUrl).split("?")[1]).catalogId;
							if(mainCtrl.VIEW_TYPE == "ios"){
								liStoreProductHTML += Ns.Util.stringFormat("<dt><a href=\"javascript:;\" onclick=\"Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');\" >" +
										"<img src=\"http:"	+ objDrawData[i].bannerImgUrl + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"기획전\" />" +
												"</a></dt>", 
												objDrawData[i].bannerImgUrl,
					 							objDrawData[i].clickTarget,
					 							objDrawData[i].contentId,
					 							objDrawData[i].clickCode,
					 							objDrawData[i].espotId,
					 							objDrawData[i].prom_Info,
					 							null,
					 							null,
					 							catalogId);
							} else {
								liStoreProductHTML += Ns.Util.stringFormat("<dt><a href=\"javascript:;\" onclick=\"Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');\" >" +
										"<img class=\"lazy\" data-original=\"http:"	+ objDrawData[i].bannerImgUrl + "\" src=\"./images/marketing/list_no_img.png\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"기획전\" />" +
												"</a></dt>", 
												objDrawData[i].bannerImgUrl,
					 							objDrawData[i].clickTarget,
					 							objDrawData[i].contentId,
					 							objDrawData[i].clickCode,
					 							objDrawData[i].espotId,
					 							objDrawData[i].prom_Info,
					 							null,
					 							null,
					 							catalogId);
							}
						}else{ //고지형
							if(mainCtrl.VIEW_TYPE == "ios"){
								liStoreProductHTML += "<dt><img src=\"http:"	+ objDrawData[i].bannerImgUrl + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"기획전\" /></dt>"
							} else {
								liStoreProductHTML += "<dt><img class=\"lazy\" data-original=\"http:"	+ objDrawData[i].bannerImgUrl + "\" src=\"./images/marketing/list_no_img.png\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"기획전\" /></dt>"
							}
						}
						
						if( objDrawData[i].espotContentText1 != null || objDrawData[i].espotContentText2 != null ){
							liStoreProductHTML +=	"<dd class='tit'>";
							if( objDrawData[i].espotContentText1 != null ){
								liStoreProductHTML += objDrawData[i].espotContentText1;
							}   
							if( objDrawData[i].espotContentText2 != null ){
								liStoreProductHTML += "<span>" + objDrawData[i].espotContentText2.replace("amp;","") + "</span>";
							}
							liStoreProductHTML += "</dd>";
						}

						liStoreProductHTML += '</dl>';
					/* 상품 */
					}else{
						objDrawDataDetail = objDrawData[i];
						// 옵션대표가 출력 처리
						var prcWaveDisp = "";
						if( objDrawDataDetail.prcWaveDisp != undefined){
							prcWaveDisp = objDrawDataDetail.prcWaveDisp;
						}
						var GAData = "1";
						GAData = GAData + "||상품목록||" + objDrawDataDetail.itncatentrynm;
						
						var func = Ns.Util.stringFormat('mainCtrl.gotoProductDisplay({0},{1},\'{2}\'); mainCtrl.sendToGA360(\'{3}\');', objDrawDataDetail.partnumber, null, "MOBIL",GAData);
						
						liStoreProductHTML += '<section class="shop_contents" name="shop_contents_' + i + '\">';
						liStoreProductHTML += "<div class=\"shop_item\">";
						liStoreProductHTML += "	<div class=\"shop_area\" name=\"MOB_CONCEPT_PRDTLISTclickArea\">";
						liStoreProductHTML += "		<div class=\"product_thumb\">";
						if(mainCtrl.VIEW_TYPE == "ios"){
							liStoreProductHTML += "			<a href=\"javascript:" + func + "\" name=\"bannerImgUrl_c\"><img src=\"http:" + objDrawData[i].bannerImgUrl + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"" + objDrawDataDetail.itncatentrynm + " 상품 이미지\"/></a>";
						} else {
							liStoreProductHTML += "			<a href=\"javascript:" + func + "\" name=\"bannerImgUrl_c\"><img class=\"lazy\" data-original=\"http:" + objDrawData[i].bannerImgUrl + "\" src=\"./images/marketing/list_no_img.png\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"" + objDrawDataDetail.itncatentrynm + " 상품 이미지\"/></a>";
						}
						// 무료배송
						if (Number(objDrawDataDetail.dlvrPrice, 10) == 0){
							liStoreProductHTML += "			<div class=\"sell_vol\" name=\"dlvrPrice_c\"><p class=\"benefit\"><dfn class=\"label\">혜택</dfn><em class=\"free\">무료배송</em></p></div>"
						}
						liStoreProductHTML += "		</div>"
						liStoreProductHTML += "		<a href=\"javascript:" + func + "\">";
						liStoreProductHTML += "			<dl class=\"product_info\">";
						// 상품명
						if (objDrawDataDetail.brandKorNm != "미정의" && objDrawDataDetail.brandKorNm != ""){
							liStoreProductHTML += "			<dt name=\"itncatentrynm_c\">" + "[" + objDrawDataDetail.brandKorNm + "] " + objDrawDataDetail.itncatentrynm + "</dt>";
						} else {
							liStoreProductHTML += "			<dt name=\"itncatentrynm_c\">" + objDrawDataDetail.itncatentrynm + "</dt>";
						}
						liStoreProductHTML += "				<span name=\"priceInfo_c\">";
						// 할인율
						var bHappy = false;
						if( Number(objDrawDataDetail.dcPrc) >= Number(objDrawDataDetail.salePrc) ){
							liStoreProductHTML += "<dd class=\"happydeal\">해피딜가</dd>";
							bHappy = true;
						} else if (!(Number(objDrawDataDetail.dcRate, 10) > 0)){
							liStoreProductHTML += "				<dd class=\"percent\">" + objDrawDataDetail.dcRate + "<em>%</em></dd>";
						}
						// 옵션대표가 출력 처리
						if( prcWaveDisp != ""){
							liStoreProductHTML += "					<dd class=\"price\">" + Ns.Util.insertCommas(objDrawDataDetail.dcPrc) + "<span class=\"won\">원 ~</span></dd>";
						}else{
							liStoreProductHTML += "					<dd class=\"price\">" + Ns.Util.insertCommas(objDrawDataDetail.dcPrc) + "<span class=\"won\">원</span></dd>";
						}
						// 할인전 금액 출력 처리
						if (bHappy == false){
							if( prcWaveDisp != ""){
								liStoreProductHTML += "					<dd class=\"past_price\"><span class=\"blind\" role=\"text\">할인 전 판매가</span>" + Ns.Util.insertCommas(objDrawDataDetail.salePrc) + "원 ~</dd>";
							}else{
								liStoreProductHTML += "					<dd class=\"past_price\"><span class=\"blind\" role=\"text\">할인 전 판매가</span>" + Ns.Util.insertCommas(objDrawDataDetail.salePrc) + "원</dd>";
							}
						}
						liStoreProductHTML += "				</span>";
						liStoreProductHTML += "				<dd class=\"sell\" name=\"sell_info_c\">";		
						
						
						// 만족도 및 총구매수량 및 최근30일 구매수량
						var sell_info = "";
						if (objDrawDataDetail.orderQty != undefined && objDrawDataDetail.orderQty != 0){
							sell_info += "<span class=\"bf\">";
							sell_info += "" + Ns.Util.insertCommas(objDrawDataDetail.orderQty) + "개 구매&nbsp;";
							sell_info += "</span>";
						}
						
						liStoreProductHTML += sell_info;
						liStoreProductHTML += "				</dd>";
						liStoreProductHTML += "			</dl>";
						liStoreProductHTML += "		</a>";
						liStoreProductHTML += "	</div>";
						liStoreProductHTML += "</div>";
						liStoreProductHTML += '</section>';
					}					
					
				}
				$liStoreProduct.html(liStoreProductHTML);									
				$("#MOB_MAIN_PRDTLISTarea").show();		
				mainCtrl.setLazyLoading();	
			},
			
			
			/**
			 *  매장 data 처리
			 */
			set_MOB_MAIN_CATESEQarea : function(objCATESEQ){
				if (objCATESEQ.length == 0){
					Ns.UI.startPushFullEvent( M_G1100000M.data.callNSMobHomeViewTemp, "normal");
					return;
				}
				
				var strDefaultHtml = "";
				for (var i = 0; objCATESEQ.length > i; i++){
					
					if (objCATESEQ[i].catgroupId == "671054"){	// 건강밥상
							objCATESEQ[i].storeName = "Food";
						} else if (objCATESEQ[i].catgroupId == "670554"){	// 패션쇼룸
							objCATESEQ[i].storeName = "Fashion";
						} else if (objCATESEQ[i].catgroupId == "671055"){	// 헬씨리빙
							objCATESEQ[i].storeName = "Living";
					}
					
					// 0 매장 타이틀 이미지 및 전체보기 링크 삽입
					strDefaultHtml += "<div id=\"" + objCATESEQ[i].catgroupId + "\" class=\"concepShop_Tit concep\" style=\"display:none;\" role=\"button\">";
					strDefaultHtml += "		<img src=\"\" alt=\"" + objCATESEQ[i].storeName + "\" class=\"tit" + objCATESEQ[i].storeName + "\"/>";
					strDefaultHtml += "		<span><a href=\"javascript:;\">전체보기 ></a></span>";
					strDefaultHtml += "</div>";					
					
					// 1 상단 베너 영역
					if (objCATESEQ[i].type1 == "Y"){
						strDefaultHtml += "<section class=\"theme_flicking\" id=\"storeTopBannerArea_" + objCATESEQ[i].catgroupId + "\" style=\"display:none;\">";
						strDefaultHtml += "	<div class=\"swiper-container theme_banner\" id=\"storeTopBannerSwiperDiv_" + objCATESEQ[i].catgroupId + "\">";
						strDefaultHtml += "		<div class=\"swiper-wrapper\" id=\"storeTopBannerSwiperWrapper_" + objCATESEQ[i].catgroupId + "\">";
						strDefaultHtml += "		</div>";
						strDefaultHtml += "		<em id=\"pagenate_" + objCATESEQ[i].catgroupId + "\" class=\"pagenate\" style=\"z-index:1;\"></em>";
						strDefaultHtml += "	</div>";
						strDefaultHtml += "</section>";
					}
					
					// 2 매장 베너
					if (objCATESEQ[i].type2 == "Y"){
						strDefaultHtml += "<section class=\"swipe_bannerArea theme_list_wrap\" id=\"storeBannerArea_" + objCATESEQ[i].catgroupId + "\"  style=\"display:none;\">";
						strDefaultHtml += "	<div class=\"theme_detail\" id=\"storeBannerTop_" + objCATESEQ[i].catgroupId + "\">";
						strDefaultHtml += "		<div class=\"theme_logo\" id=\"storeBannerTopLogo_" + objCATESEQ[i].catgroupId + "\"></div>";
						strDefaultHtml += "		<div class=\"link_txt\" id=\"storeBannerTopTxt_" + objCATESEQ[i].catgroupId + "\">";
						strDefaultHtml += "			<p class=\"tit\" id=\"storeBannerTopTxt1_" + objCATESEQ[i].catgroupId + "\">&nbsp;</p>";
						strDefaultHtml += "			<p class=\"txt\" id=\"storeBannerTopTxt2_" + objCATESEQ[i].catgroupId + "\"><a href=\"javascript:;\" id=\"storeBannerTopTxt2a_" + objCATESEQ[i].catgroupId + "\">&nbsp;</a></p>";
						strDefaultHtml += "		</div>";
						strDefaultHtml += "		<div class=\"paging\" id=\"storeBannerPrdPaging_" + objCATESEQ[i].catgroupId + "\">0/0</div>";
						strDefaultHtml += "	</div>";
						
						strDefaultHtml += "	<div class=\"swiper-container theme_slide_wrap\" id=\"storeBannerPrdDiv_" + objCATESEQ[i].catgroupId + "\">";
						strDefaultHtml += "		<ul class=\"swiper-wrapper\" id=\"storeBannerPrdUl_" + objCATESEQ[i].catgroupId + "\">";
						strDefaultHtml += "		</ul>";
						strDefaultHtml += "	</div>";
						strDefaultHtml += "</section>";
					}
					
					// 3 매장 메뉴
					if (objCATESEQ[i].type3 == "Y"){
						strDefaultHtml += "<section class=\"theme_barMenu\" id=\"store4menuArea_" + objCATESEQ[i].catgroupId + "\" style=\"display:none;\">";
						strDefaultHtml += "	<ul>";
						strDefaultHtml += "		<li><a href=\"javascript:;\" id=\"store4menuA1_" + objCATESEQ[i].catgroupId + "\" name=\"store4menuA_" + objCATESEQ[i].catgroupId + "\"><img src=\"\" alt=\"\" /></a></li>";
						strDefaultHtml += "		<li><a href=\"javascript:;\" id=\"store4menuA2_" + objCATESEQ[i].catgroupId + "\" name=\"store4menuA_" + objCATESEQ[i].catgroupId + "\"><img src=\"\" alt=\"\" /></a></li>";
						strDefaultHtml += "		<li><a href=\"javascript:;\" id=\"store4menuA3_" + objCATESEQ[i].catgroupId + "\" name=\"store4menuA_" + objCATESEQ[i].catgroupId + "\"><img src=\"\" alt=\"\" /></a></li>";
						strDefaultHtml += "		<li><a href=\"javascript:;\" id=\"store4menuA4_" + objCATESEQ[i].catgroupId + "\" name=\"store4menuA_" + objCATESEQ[i].catgroupId + "\"><img src=\"\" alt=\"\" /></a></li>";
						strDefaultHtml += "	</ul>";
						strDefaultHtml += "</section>";
					}
										
					// 4 매장 썸네일
					if (objCATESEQ[i].type4 == "Y"){
						strDefaultHtml += "<div class=\"thumbnail_list_wrap\" id=\"storeThumbnailArea_" + objCATESEQ[i].catgroupId + "\" style=\"display:none;\">";
						strDefaultHtml += "	<div class=\"theme_info_wrap\">";
						strDefaultHtml += "		<h4 class=\"theme_name\" id=\"storeThumbnailTitle_" + objCATESEQ[i].catgroupId + "\"></h4>";
						strDefaultHtml += "	</div>";
						strDefaultHtml += "	<div class=\"thumbnail_bnr_list\">";
						strDefaultHtml += "		<ul id=\"storeThumbnailUl_" + objCATESEQ[i].catgroupId + "\">";
						strDefaultHtml += "		</ul>";
						strDefaultHtml += "	</div>";
						strDefaultHtml += "</div>";
					}
															
					// 5 매장 탭 베너
					if (objCATESEQ[i].type5 == "Y"){
						strDefaultHtml += "<section class=\"theme_tabprod\" id=\"storeTabBannerArea_" + objCATESEQ[i].catgroupId + "\" style=\"display:none;\">";
						strDefaultHtml += "	<ul class=\"tabs theme-j\" id=\"storeTabBannerTabUl_" + objCATESEQ[i].catgroupId + "\">";
						strDefaultHtml += "		<li class=\"active\" id=\"storeTabBannerTabLi1_" + objCATESEQ[i].catgroupId + "\"><a href=\"javascript:;\" id=\"storeTabBannerTabA1_" + objCATESEQ[i].catgroupId + "\"><span></span></a></li>";
						strDefaultHtml += "		<li id=\"storeTabBannerTabLi2_" + objCATESEQ[i].catgroupId + "\"><a href=\"javascript:;\" id=\"storeTabBannerTabA2_" + objCATESEQ[i].catgroupId + "\"><span></span></a></li>";
						strDefaultHtml += "		<li id=\"storeTabBannerTabLi3_" + objCATESEQ[i].catgroupId + "\"><a href=\"javascript:;\" id=\"storeTabBannerTabA3_" + objCATESEQ[i].catgroupId + "\"><span></span></a></li>";
						strDefaultHtml += "		<li id=\"storeTabBannerTabLi4_" + objCATESEQ[i].catgroupId + "\"><a href=\"javascript:;\" id=\"storeTabBannerTabA4_" + objCATESEQ[i].catgroupId + "\"><span></span></a></li>";
						strDefaultHtml += "	</ul>";
						strDefaultHtml += "	<ul class=\"theme_tablist\">";
						strDefaultHtml += "		<li>";
						strDefaultHtml += "			<div class=\"tab_img\" id=\"storeTabBannerBannerDiv_" + objCATESEQ[i].catgroupId + "\">";
						strDefaultHtml += "				<a href=\"javascript:;\" id=\"storeTabBannerBannerA1_" + objCATESEQ[i].catgroupId + "\"><img src=\"\" alt=\"\" onerror=\"this.src='./images/marketing/list_no_img.png';\" /></a>";
						strDefaultHtml += "				<a href=\"javascript:;\" id=\"storeTabBannerBannerA2_" + objCATESEQ[i].catgroupId + "\" style=\"display:none;\"><img src=\"\" alt=\"\" onerror=\"this.src='./images/marketing/list_no_img.png';\" /></a>";
						strDefaultHtml += "				<a href=\"javascript:;\" id=\"storeTabBannerBannerA3_" + objCATESEQ[i].catgroupId + "\" style=\"display:none;\"><img src=\"\" alt=\"\" onerror=\"this.src='./images/marketing/list_no_img.png';\" /></a>";
						strDefaultHtml += "				<a href=\"javascript:;\" id=\"storeTabBannerBannerA4_" + objCATESEQ[i].catgroupId + "\" style=\"display:none;\"><img src=\"\" alt=\"\" onerror=\"this.src='./images/marketing/list_no_img.png';\" /></a>";
						strDefaultHtml += "			</div>";
						strDefaultHtml += "		</li>";
						strDefaultHtml += "	</ul>";
						strDefaultHtml += "</section>";						
					}
					
					// 6 매장 상품 리스트 그리드형 - 2017.01.18
					if (objCATESEQ[i].type5 == "Y"){
						strDefaultHtml += "<div id=\"concepShop_grid_" + objCATESEQ[i].catgroupId + "\" class=\"concepShop\" style=\"display:none;\">";
						strDefaultHtml += "		<ul id=\"productListArea_" + objCATESEQ[i].catgroupId + "\" class=\"item-display theme-a double\" style=\"display:block;\">";
						strDefaultHtml += "		</ul>";
						strDefaultHtml += "</div>";
					}
					
					// 7 매장 상품 및 기획전 리스트 - 2017.01.18 
					if (objCATESEQ[i].type6 == "Y"){
						strDefaultHtml += "<div id=\"storePrdeList_" + objCATESEQ[i].catgroupId + "\" style=\"display:none;\"></div>"
					}					
				}
				
				M_G1100000M.obj_MOB_MAIN_CATESEQ = objCATESEQ;	
				$("#homeDiv").append(strDefaultHtml);
				Ns.UI.startPushFullEvent( M_G1100000M.data.callNSMobHomeViewTemp, "normal");
				
				/* 매장별 전체보기 버튼 클릭 이벤트 리스너 */
				$("#homeDiv .concep").unbind().bind( "click", function() {

					var id = $(this).attr('id');
					var pageId = "storeComm" + id;
					var invoke = {
						catalogIdparent: id
					};
					
					
					var eventAction = "매장이동";
					var eventLabel = "";
					var subparam = {
						t1 : 'GNB',
						t2 : '홈'
					};
					
					
					// 페이지를 이동
					if (!Ns.Util.isNull(pageId))	

						//운영상 오류로 임시로 하드코딩
						if(pageId == "storeComm671054"){//N푸드
							pageId = "1360561";
							eventLabel = "N푸드";
						}else if(pageId == "storeComm671055"){//헬씨리빙
							pageId = "1375555";
							eventLabel = "헬씨리빙";
						}else if(pageId == "storeComm670554"){//패션쇼룸
							pageId = "1380557";
							eventLabel = "패션쇼룸";
						}
						var event_obj = {
							eventCate : 'MOBILE_메인',
							eventAction : eventAction,
							eventLabel : eventLabel
						};
						
						GA.sendEventData(event_obj,subparam);
						
						mainCtrl.navigate(pageId,invoke);					
				});
				
			},			
			
			/**
			 * 매장 0 매장 상단 타이틀 출력
			 */
			set_storeTitle : function (objStoreData, catgroupId){
				if ( objStoreData != undefined && objStoreData.length != 0){
					$("#" + catgroupId + " img").attr("src", "http:"+ objStoreData[0].imgUrl);
					$("#" + catgroupId).show();
				}				
			},			
			
			/**
			 * 매장 1 상단 베너 출력
			 */
			set_storeTopBannerArea : function (objTopBanner, catgroupId){
				if (undefined != objTopBanner && objTopBanner.length > 0){
					
					if (catgroupId == "726554"){	// 이벤트매장(건강한설)
						$("#pagenate_" + catgroupId).addClass("holiday");
					} else if (catgroupId == "671054"){	// 건강밥상
						$("#pagenate_" + catgroupId).addClass("healthy");
					} else if (catgroupId == "670554"){	// 패션쇼룸
						$("#pagenate_" + catgroupId).addClass("showroom");
					} else if (catgroupId == "671055"){	// 잘산day
						$("#pagenate_" + catgroupId).addClass("goodlife");
					}
					
					var strHtml = "";
					for (var i = 0; objTopBanner.length > i; i++){
						var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objTopBanner[i].mdUrl).split("?")[1]).catalogId;
						strHtml += Ns.Util.stringFormat('\
								<img src="http:{0}" class="swiper-slide" alt="" onclick="Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');" onerror="this.src=\'./images/marketing/list_no_img.png\';" catgroupId="{9}" />',
								objTopBanner[i].imgUrl, objTopBanner[i].clickTarget, objTopBanner[i].contentsId, objTopBanner[i].clickCode, objTopBanner[i].espotId, objTopBanner[i].mdUrl,  null, null, catalogId, catgroupId );
					}
					
					var $storeTopBannerSwiperWrapper_ = $("#storeTopBannerSwiperWrapper_" + catgroupId);
					$storeTopBannerSwiperWrapper_.html(strHtml);
					$("#storeTopBannerArea_" + catgroupId).show();
					
					if (objTopBanner.length == 1){
						// 별도 처리 없음
					} else {
						$storeTopBannerSwiperWrapper_.attr("imgCount", objTopBanner.length);
						$storeTopBannerSwiperWrapper_.attr("imgLoadCount", "0");
						
						$storeTopBannerSwiperWrapper_.find("img").load(function(nnCount){
							var catgroupId = $(this).attr("catgroupId");
							var nTotalCount= Number($("#storeTopBannerSwiperWrapper_" + catgroupId).attr("imgCount"), 10);
							var nLoadCount= Number($("#storeTopBannerSwiperWrapper_" + catgroupId).attr("imgLoadCount"), 10) +1;
							
							if (nTotalCount == nLoadCount){
								var strSwiperHtml = "";
								/*strSwiperHtml += "var storeSwiper_" + catgroupId + " = new Swiper('#storeTopBannerSwiperDiv_" + catgroupId +  "', {";
								strSwiperHtml += "slidesPerView: 1,";
								strSwiperHtml += "paginationClickable: true,";
								strSwiperHtml += "spaceBetween: 30,";
								strSwiperHtml += "loop: true,";
								strSwiperHtml += "centeredSlides: true,"; 
								strSwiperHtml += "autoplay: 3000,";
								strSwiperHtml += "autoplayDisableOnInteraction: false,";
								strSwiperHtml += "pagination: '#pagenate_" + catgroupId +  "',"; 
								strSwiperHtml += "paginationClickable: true,";
								strSwiperHtml += "calculateHeight: true,";
								strSwiperHtml += "})";*/
								
								strSwiperHtml += "var storeSwiper_" + catgroupId + " = new Swiper('#storeTopBannerSwiperDiv_" + catgroupId +  "', {";
								strSwiperHtml += "slidesPerView: 1,";
								strSwiperHtml += "pagination : {";
								strSwiperHtml += "		el : '#pagenate_" + catgroupId +  "',";								
								strSwiperHtml += "		clickable: true,";
								strSwiperHtml += "},"								
								strSwiperHtml += "spaceBetween: 30,";
								strSwiperHtml += "loop: true,";
								strSwiperHtml += "centeredSlides: true,";
								strSwiperHtml += "autoplay : {";
								strSwiperHtml += "		delay : 3000,";
								strSwiperHtml += "		disableOnInteraction : false,";
								strSwiperHtml += "},";						
								strSwiperHtml += "calculateHeight: true,";
								strSwiperHtml += "})";
								
								eval(strSwiperHtml);
							} else {
								$("#storeTopBannerSwiperWrapper_" + catgroupId).attr("imgLoadCount", nLoadCount);
							}
						});
					}
				}
			},
			
			/**
			 * 매장 2 매장 베너 출력
			 */
			set_storeBannerArea : function (objTop, objImg, objPrdt, catgroupId){
				var bOneAreaNo = false;
				if (objTop.length == 0 && objImg.length == 0){
					$("#storeBannerTop_" + catgroupId).hide();
					$("#storeBannerPrdPaging_" + catgroupId).hide();
					bOneAreaNo = true;
				} else {
					if (objImg.length != 0 && $.trim(objImg[0].espotTitleText) != ""){
						// 로고 이미지
						if (objImg[0].espotTitleImgPath != ""){
							$("#storeBannerTopLogo_" + catgroupId).html("<img src=\"http:" + objImg[0].espotTitleImgPath + "\" alt=\"로고이미지\" />");
						} else {
							$("#storeBannerTopTxt_" + catgroupId).addClass("ml20");
							$("#storeBannerTopLogo_" + catgroupId).remove();
						}
						
						// 텍스트 
						var arr = objImg[0].espotTitleText.split("&lt;br/&gt;");
						var strTopTxt1 = arr[0];
						var strTopTxt2 = arr[1];
						
						if (undefined != strTopTxt1){
							$("#storeBannerTopTxt1_" + catgroupId).html(strTopTxt1);
						}
						if (undefined != strTopTxt1){
							$("#storeBannerTopTxt2a_" + catgroupId).html(strTopTxt2).data("data", objImg);
							
							// 클릭 이벤트 처리
							$("#storeBannerTopTxt2a_" + catgroupId).off().on("click", function(){
								var objData = $(this).data("data")[0];
								var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objData.mdUrl).split("?")[1]).catalogId;
								Ns.UI.espotClickEvent(objData.clickTarget, objData.contentsId, objData.clickCode, objData.espotId, objData.mdUrl,  null, null, catalogId);
							});
						}
						
					} else {
						// 상단 이미지
						if (objTop.length != 0 && undefined != objTop[0].imgUrl && objTop[0].imgUrl != ""){
							$("#storeBannerPrdPaging_" + catgroupId).remove();
							$("#storeBannerTop_" + catgroupId).removeClass("theme_detail").addClass("theme_link");
							$("#storeBannerTop_" + catgroupId).html("<a href=\"javascript:;\" id=\"storeBannerTopImg_" + catgroupId + "\"><img src=\"http:" + objTop[0].imgUrl + "\" alt=\"" + objTop[0].marketingText + "\" /></a><p class=\"paging\" id=\"storeBannerPrdPaging_" + catgroupId + "\">0/0</p>");
							
							// 클릭 이벤트 처리
							$("#storeBannerTopImg_" + catgroupId).data("data", objTop).off().on("click", function(){
								var objData = $(this).data("data")[0];
								var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objData.mdUrl).split("?")[1]).catalogId;
								Ns.UI.espotClickEvent(objData.clickTarget, objData.contentsId, objData.clickCode, objData.espotId, objData.mdUrl,  null, null, catalogId);
							});
						} else {
							$("#storeBannerTop_" + catgroupId).hide();
							$("#storeBannerPrdPaging_" + catgroupId).hide();
							bOneAreaNo = true;
						}
					}
					
					// 배경
					if (objImg.length != 0 && undefined != objImg[0].imgUrl && objImg[0].imgUrl != ""){
						$("#storeBannerArea_" + catgroupId).css("background-image", "url('http:" + objImg[0].imgUrl + "')");
					} else {
						var strColor = "";
						if (catgroupId == "726554"){	// 이벤트매장(건강한설)
							strColor = "#efc95c";
						} else if (catgroupId == "671054"){	// 건강밥상
							strColor = "#b2d16b";
						} else if (catgroupId == "670554"){	// 패션쇼룸
							strColor = "#ef9fab";
						} else if (catgroupId == "671055"){	// 잘산day
							strColor = "#5fcfcb";
						}
						
						$("#storeBannerArea_" + catgroupId).css("background-color", strColor);
					}
					
					if (bOneAreaNo == false){
						$("#storeBannerArea_" + catgroupId).show();
					}
					
					if (objPrdt.length != 0){
						var prcHtml = "";
						
						if ($("#storeBannerTop_" + catgroupId).hasClass("theme_detail") == true){
							$("#storeBannerTop_" + catgroupId).addClass("pt7");
						}
						
						for (var i = 0; objPrdt.length > i; i++){
							var prdInfo = objPrdt[i];
							var objPrdtDetail = prdInfo.productDetail;
							var imageUrl = prdInfo.imgUrl;
							var noImageUrl = Const.NO_IMAGE_URL + "noimage_X6.jpg";
							var happydeal = "";	// 해피딜 표시
							var percent = ""; //할인율 표시
							var bHappy = false;
							var dcPrc = Ns.Util.insertCommas(objPrdtDetail.pricedcprice);	// 할인(노출)가격
							var salePrc = "";	// 할인전 가격
							var sell_info = "&nbsp;";	// 구매수량 문구
							var dlvrPrice = "";
							
							// 옵션대표가 출력 처리
							var prcWaveDisp = "";
							if( objPrdtDetail.prcWaveDisp != undefined){
								prcWaveDisp = objPrdtDetail.prcWaveDisp;
							}
							// 옵션대표가 출력 처리
							if( prcWaveDisp != "" ){
								OptionRepresentative = "원 ~";
							} else{
								OptionRepresentative = "원";
							}
							
							// 무료배송
							if (Number(objPrdtDetail.dlvrPrice, 10) <= 0){
								dlvrPrice = "<div class=\"benefit\"><dfn class=\"label\">혜택</dfn><em class=\"free\">무료배송</em></div>";
							}
							
							// 할인율
							if (Number(objPrdtDetail.saleRate, 10) > 0){
								percent = "<dd class=\"percent\">" + objPrdtDetail.saleRate + "<em>%</em></dd>";
							}
							
							// 할인전 금액 출력 처리
							if (bHappy == false){
								salePrc = "";
							}
							
							// 만족도 및 총구매수량 및 최근30일 구매수량
							if (objPrdtDetail.orderQty != undefined && objPrdtDetail.orderQty != 0){
								sell_info = "" + Ns.Util.insertCommas(objPrdtDetail.orderQty) + "개 구매&nbsp;";
							}
							
							prcHtml += Ns.Util.stringFormat('\
								<li class="swiper-slide" onclick="mainCtrl.gotoProductDisplay({8}, \'\', \'MOBIL\');">\
									<div class="inner_slide">\
										<div class="thumbnail"><a href="javascript:;"><img src="http:{0}" onerror="this.src=\'{1}\';"alt="" catgroupId="{10}" /></a>{9}</div>\
										<div class="info_more">\
											<dl>\
												<dt><a href="javascript:;">{2}</a></dt>\
												{3}\
												{5}\
												<dd class="price">{4}<span class="won">{11}</span></dd>\
												<dd class="sell_info">{7}</dd>\
											</dl>\
										</div>\
									</div>\
								</li>'
									, imageUrl	// 0 상품 이미지
									, noImageUrl	// 1 상품 이미지 에러용 이미지
									, objPrdtDetail.itncatentrynm	// 2 상품명
									, happydeal	// 3 해피딜가 문구 html
									, dcPrc	// 4 최종할인가
									, percent	// 5 할인율 문구 html
									, salePrc	// 6 할인전 금액
									, sell_info	// 7 구매수량 문구
									, objPrdtDetail.partnumber	// 8
									, dlvrPrice	// 9 무료배송
									, catgroupId	// 10
									, OptionRepresentative //옵션대표가 출력 처리 11
							);
						}
						
						var $storeBannerPrdUl_ = $("#storeBannerPrdUl_" + catgroupId);
						$storeBannerPrdUl_.html(prcHtml);
						
						$("#storeBannerArea_" + catgroupId).show();
						
						$storeBannerPrdUl_.attr("imgCount", objPrdt.length);
						$storeBannerPrdUl_.attr("imgLoadCount", "0");
						
						$storeBannerPrdUl_.find("img").load(function(nnCount){
							var catgroupId = $(this).attr("catgroupId");
							var nTotalCount= Number($("#storeBannerPrdUl_" + catgroupId).attr("imgCount"), 10);
							var nLoadCount= Number($("#storeBannerPrdUl_" + catgroupId).attr("imgLoadCount"), 10) +1;
							
							if (nTotalCount == nLoadCount){
								/*var strSwiperHtml = "var storeBannerSwiper_" + catgroupId + " = new Swiper('#storeBannerPrdDiv_" + catgroupId +  "', {";
								strSwiperHtml += "slidesPerView: 'auto',";
								strSwiperHtml += "paginationClickable: true,";
								strSwiperHtml += "spaceBetween: 30,";
								strSwiperHtml += "loop: " + (objPrdt.length == 1 ? false : true) + ",";
								strSwiperHtml += "centeredSlides: true, ";
								strSwiperHtml += "autoplay: 3000, ";
								strSwiperHtml += "autoplayDisableOnInteraction: false,";
								strSwiperHtml += "onInit: function(objSwiper){";
								strSwiperHtml += "M_G1100000M.ui.storeBannerPrdPaging_change(objSwiper);";
								strSwiperHtml += "},";
								strSwiperHtml += "onSlideChangeEnd: function(objSwiper) {";
								strSwiperHtml += "M_G1100000M.ui.storeBannerPrdPaging_change(objSwiper);";
								strSwiperHtml += "},";
								strSwiperHtml += "})";*/
								var strSwiperHtml = "var storeBannerSwiper_" + catgroupId + " = new Swiper('#storeBannerPrdDiv_" + catgroupId +  "', {";
								strSwiperHtml += "slidesPerView: 'auto',";								
								strSwiperHtml += "pagination : {";																
								strSwiperHtml += "		clickable: true,";
								strSwiperHtml += "},"									
								strSwiperHtml += "spaceBetween: 30,";
								strSwiperHtml += "loop: " + (objPrdt.length == 1 ? false : true) + ",";
								strSwiperHtml += "centeredSlides: true, ";
								strSwiperHtml += "autoplay : {";
								strSwiperHtml += "		delay : 3000,";
								strSwiperHtml += "		disableOnInteraction : false,";
								strSwiperHtml += "},";
								strSwiperHtml += "on : {";
								strSwiperHtml += "}";
									
								
								/*strSwiperHtml += "onInit: function(objSwiper){";
								strSwiperHtml += "M_G1100000M.ui.storeBannerPrdPaging_change(objSwiper);";
								strSwiperHtml += "},";
								strSwiperHtml += "onSlideChangeEnd: function(objSwiper) {";
								strSwiperHtml += "M_G1100000M.ui.storeBannerPrdPaging_change(objSwiper);";
								strSwiperHtml += "},";*/
								
								strSwiperHtml += "})";
								
								eval(strSwiperHtml);
							} else {
								$("#storeBannerPrdUl_" + catgroupId).attr("imgLoadCount", nLoadCount);
							}
						});
					} else {
						$("#storeBannerPrdDiv_" + catgroupId).hide();
						$("#storeBannerPrdPaging_" + catgroupId).hide();
						
						if (bOneAreaNo == true){
							$("#storeBannerArea_" + catgroupId).hide();
						}
					}
				}
			},
			
			/**
			 * 매장 2 매장 베너 출력 swiper onInit 및 onSlideChangeEnd 처리
			 */
			storeBannerPrdPaging_change : function(objSwiper){
				var cId = Ns.Util.replaceAll(objSwiper.wrapperEl.id, 'storeBannerPrdUl_', '')
				var nTotalCount = $('#' + objSwiper.wrapperEl.id).find('li:not(.swiper-slide-duplicate)').length;
				var Index = objSwiper.activeLoopIndex +1;
				$('#storeBannerPrdPaging_' + cId).html(Index + '/' + nTotalCount);
			},
			
			/**
			 * 매장 3 매장 메뉴 출력
			 */
			set_store4menuArea : function (objData, catgroupId){
				if (objData.length >= 4){
					for (var i = 0; 4 > i; i++){	// 무조건 4개만 출력
						var $store4menuA = $("#store4menuA" + (i+1) + "_" + catgroupId);
						$store4menuA.find("img").attr("src", "http:" + objData[i].imgUrl).attr("alt", objData[i].marketingText + " 바로가기");
						$store4menuA.data("data", objData[i]);
					}
					
					$("#store4menuArea_" + catgroupId).show();
					
					// 클릭 이벤트 처리
					$("a[name='store4menuA_" + catgroupId + "']").off().on("click", function(){
						var objThisData = $(this).data("data");
						var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objThisData.mdUrl).split("?")[1]).catalogId;
						Ns.UI.espotClickEvent(objThisData.clickTarget, objThisData.contentsId, objThisData.clickCode, objThisData.espotId, objThisData.mdUrl, null, null, catalogId);
					});
				}
			},
			
			/**
			 * 매장 4 매장 썸네일 출력
			 */
			set_storeThumbnailArea : function (objData, catgroupId){
				if (undefined != objData && objData.length >= 3){
					objData.catgroupId = catgroupId;
					$("#storeThumbnailTitle_" + catgroupId).html("<em>" + objData[0].marketingText + "</em><a href=\"javascript:;\"><img src=\"./images/main/ico_more_arrow.png\" alt=\"" + objData[0].marketingText + " 바로가기\" /></a>").data("data", objData);
										
					var nCount = 0;
					if (objData.length >= 5){
						nCount = 5;
					} else {
						nCount = 3;
					}
					
					var strHtml = "";
					for(var i = 1; nCount > i; i++){
						strHtml += "<li>";
						strHtml += "	<div class=\"thumbnail-item\">";
						strHtml += "		<a href=\"javascript:;\" nIndex=\"" + i + "\" catgroupId=\"" + catgroupId + "\"><img src=\"http:" + objData[i].imgUrl + "\" alt=\"" + objData[i].marketingText + " 바로가기\" /></a>";
						strHtml += "	</div>";
						strHtml += "</li>";
					}
					
					$("#storeThumbnailUl_" + catgroupId).html(strHtml);
					$("#storeThumbnailArea_" + catgroupId).show();
					
					// 타이틀 영역 클릭시 이벤트 처리
					$("#storeThumbnailTitle_" + catgroupId).find("a").off().on("click", function(){
						var objThisData = $(this).parent().data("data")[0];
						var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objThisData.mdUrl).split("?")[1]).catalogId;
						Ns.UI.espotClickEvent(objThisData.clickTarget, objThisData.contentsId, objThisData.clickCode, objThisData.espotId, objThisData.mdUrl, null, null, catalogId);
					});
					
					// 썸네일 영역 클릭시 이벤트 처리
					$("#storeThumbnailUl_" + catgroupId).find("a").off().on("click", function(){
						var objThisData = $("#storeThumbnailTitle_" + $(this).attr("catgroupId")).data("data")[$(this).attr("nIndex")]
						var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objThisData.mdUrl).split("?")[1]).catalogId;
						Ns.UI.espotClickEvent(objThisData.clickTarget, objThisData.contentsId, objThisData.clickCode, objThisData.espotId, objThisData.mdUrl, null, null, catalogId);
					});
				}
			},
			
			/**
			 * 매장 5 매장 탭 베너 출력
			 */
			set_storeTabBannerArea : function (objData, catgroupId){
				if (undefined != objData && objData.length >= 4){
					if (catgroupId == "726554"){	// 이벤트매장(건강한설)
						$("#storeTabBannerTabUl_" + catgroupId).find("li").find("a").addClass("holiday");
					} else if (catgroupId == "671054"){	// 건강밥상
						$("#storeTabBannerTabUl_" + catgroupId).find("li").find("a").addClass("healthy");
					} else if (catgroupId == "670554"){	// 패션쇼룸
						$("#storeTabBannerTabUl_" + catgroupId).find("li").find("a").addClass("showroom");
					} else if (catgroupId == "671055"){	// 잘산day
						$("#storeTabBannerTabUl_" + catgroupId).find("li").find("a").addClass("goodlife");
					}
					
					for (var i = 0; 4 > i; i++){
						var objTabData = objData[i][0];
						if (undefined == objTabData){
							return;
						}
						
						$("#storeTabBannerTabA" + (i+1) + "_" + catgroupId).find("span").html(objTabData.catgroupNm);
						$("#storeTabBannerBannerA" + (i+1) + "_" + catgroupId).data("data", objTabData).find("img").attr("src", "http:" + objTabData.imgUrl);
					}
					
					$("#storeTabBannerArea_" + catgroupId).show();
					
					// 매장 배너 상품 리스트 출력(그리드형) - 2017.01.18
					var bannerCatgroupId1 = $("#storeTabBannerBannerA1_" + catgroupId).data("data").catgroupId;
					M_G1100000M.ui.set_storeTabBannerPrdArea(objData, catgroupId, bannerCatgroupId1);  
					
					// 탭 클릭 이벤트 처리 - 2017.01.18 배너 별 상품 추가
					$("#storeTabBannerTabUl_" + catgroupId).find("li").off().on("click", function (){
						var strTabIndex = Ns.Util.replaceAll(this.id, "storeTabBannerTabLi", "");
						strTabIndex = Ns.Util.replaceAll(strTabIndex, "_" + catgroupId, "");
						var strCatgroupId = Ns.Util.replaceAll($(this).parent().attr("id"), "storeTabBannerTabUl_", "");
						
						$("#storeTabBannerTabUl_" + catgroupId).find("li").removeClass("active");
						$(this).addClass("active");
						
						$("#storeTabBannerBannerDiv_" + catgroupId).find("a").hide();
						$("#storeTabBannerBannerA" + strTabIndex + "_" + catgroupId).show();
						
						var bannerCatgroupId2 = $("#storeTabBannerBannerA" + strTabIndex + "_" + catgroupId).data("data").catgroupId;
						M_G1100000M.ui.set_storeTabBannerPrdArea(objData, catgroupId, bannerCatgroupId2);  
					});
					
					// 베너 이미지 클릭 이벤트 처리
					$("#storeTabBannerBannerDiv_" + catgroupId).find("a").off().on("click",function (){
						var objThisData = $(this).data("data");
						var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objThisData.mdUrl).split("?")[1]).catalogId;
						Ns.UI.espotClickEvent(objThisData.clickTarget, objThisData.contentsId, objThisData.clickCode, objThisData.espotId, objThisData.mdUrl, null, null, catalogId);
					});
					
				}
			},
			
			/**
			 * 매장 6 상품리스트 출력 그리드형 - 2017.01.18
			 */			
			set_storeTabBannerPrdArea : function (objPrdtList, catgroupId, bannerCatgroupId){
				$("#storeTabBannerArea_" + catgroupId).removeClass("theme_tabprod_grid").addClass("theme_tabprod");
				var objDrawData = new Array();	// object 복사
				
				// 배너에 해당되는 상품 목록이 있는 경우 체크
				for(var i = 0; i < objPrdtList.length; i++){
					if(objPrdtList[i].constructor == Object){
						$.each(objPrdtList[i], function(key, value){
							if(key.indexOf(bannerCatgroupId) != -1) {
								objDrawData = JSON.parse(JSON.stringify(objPrdtList[i][key]));	// object 복사			
							}
						});
					}
				}
				objPrdtList = objDrawData;
				
				if (objPrdtList != undefined && objPrdtList.length > 0){
					$("#storeTabBannerArea_" + catgroupId).removeClass("theme_tabprod").addClass("theme_tabprod_grid");
					var catgroupId = catgroupId;								
					var objDrawData = JSON.parse(JSON.stringify(objPrdtList));	// object 복사					
					var arrCustData = new Array();	// 화면 출력 data
					
					for (var i = 0; objDrawData.length > i; i++){
						var objPrdtDetail = objDrawData[i].commonData;
						// objPrdtDetail가 없을 경우
						if (undefined == objPrdtDetail){
							continue;
						}
						
						// 옵션대표가 출력 처리
						var prcWaveDisp = "";
						if( objDrawData.prcWaveDisp != undefined){
							prcWaveDisp = objDrawData.prcWaveDisp;
						}
						
						var partNumber = objPrdtDetail.partNumber;
						var busChnId = objPrdtDetail.busChnId;
						var imageUrl = Ns.Util.getImageUrl(partNumber, 'O' , objPrdtDetail.adultItemFlag);
						var noImageUrl = Const.NO_IMAGE_URL + 'noimage_O.jpg';
						var catentryNm = objPrdtDetail.itncatentrynm;
						var salePrice = Ns.Util.insertCommas(objPrdtDetail.pricedcprice);
						var tmp_multiCd = null;
						if(objPrdtDetail.multiCd != "") tmp_multiCd = objPrdtDetail.multiCd;
						
						var func = Ns.Util.stringFormat('mainCtrl.gotoProductDisplay({0},{1},\'{2}\')', partNumber, tmp_multiCd, busChnId);

						objDrawData[i].prdItems = ''
							+ '<div class="thumbnail"><a href="javascript:' + func + ';"><img src="' + imageUrl + '" onerror="this.src=\'' + noImageUrl + '\'" alt=""/></a></div>' + '\r\n'
							+ '		<div class="field">' + '\r\n';

						//옵션대표가
						if( prcWaveDisp != ""){
							objDrawData[i].prdItems += ''
								+ '		<p class="title"><a href="javascript:' + func + ';"><strong>' + catentryNm + '</strong></a></p>' + '\r\n'
								+ '		<div class="data-info">' + '\r\n'
								+ '			<p class="price">' + '\r\n'
								+ ' 			<span class="price-selling"><ins class="text"><strong>' + salePrice + '</strong><span class="unit">원 ~</span></ins></span>' + '\r\n'
								+ '			</p>' + '\r\n'
								+ '		</div>' + '\r\n'
								+ '</div>' + '\r\n';
						}else{
							objDrawData[i].prdItems += ''
								+ '		<p class="title"><a href="javascript:' + func + ';"><strong>' + catentryNm + '</strong></a></p>' + '\r\n'
								+ '		<div class="data-info">' + '\r\n'
								+ '			<p class="price">' + '\r\n'
								+ ' 			<span class="price-selling"><ins class="text"><strong>' + salePrice + '</strong><span class="unit">원</span></ins></span>' + '\r\n'
								+ '			</p>' + '\r\n'
								+ '		</div>' + '\r\n'
								+ '</div>' + '\r\n';
						}

						arrCustData[arrCustData.length] = objDrawData[i];
						
						/* 최대 6개 상품만 노출 */						
						if(i > 4) {
							break;
						} else if (objDrawData.length == 3 && i == 1){
							break;
						} else if (objDrawData.length == 5 && i == 3){
							break;
						}
					}					

					if (arrCustData.length == 0){
						$("#concepShop_grid_" + catgroupId).hide();
					} else {
						Ns.UI.drawList(arrCustData, "productListArea_" + catgroupId, "productListArea_temp", true);	// 화면그리기
						$("#concepShop_grid_" + catgroupId).show();
					}
				}else{
					$("#concepShop_grid_" + catgroupId).hide();
				}
			},
			
				
			/**
			 * 매장 7 상품리스트 출력 - 2017.01.18 
			 */
			set_storePrdeListarea : function (repPrdtList, catgroupId){
				var liStoreProductHTML = ""; 				
				var $liStoreProduct = $("#storePrdeList_" + catgroupId);
				
				/* 데이터가 없을 경우 */
				if (undefined == repPrdtList || repPrdtList.length == 0){
					$liStoreProduct.hide();
					return;
				}
				
				var objDrawData = JSON.parse(JSON.stringify(repPrdtList));	// object 복사
				
				// data 커스텀
				for (var i = 0; objDrawData.length > i; i++){
					if (i == 0){
						M_G1100000M.totalCount = Number(objDrawData[i].totalCnt);
					}
					/* 기획전 */
					if(objDrawData[i].planYn != "N"){ //상품이 아니면(기획전, 고지형)
						liStoreProductHTML += '<dl class="specialBanner" name="specialBanner">';
						if(objDrawData[i].mdUrl != "notify"){ //기획전
							var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objDrawData[i].mdUrl).split("?")[1]).catalogId;							
							if(mainCtrl.VIEW_TYPE == "ios"){
								liStoreProductHTML += Ns.Util.stringFormat("<dt><a href=\"javascript:;\" onclick=\"Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');\" >" +
										"<img src=\"http:"	+ objDrawData[i].imgUrl + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"기획전\" />" +
												"</a></dt>", 
												objDrawData[i].imgUrl,
					 							objDrawData[i].clickTarget,
					 							objDrawData[i].contentsId,
					 							objDrawData[i].clickCode,
					 							objDrawData[i].espotId,
					 							objDrawData[i].mdUrl,
					 							null,
					 							null,
					 							catalogId);
							} else {							
								liStoreProductHTML += Ns.Util.stringFormat("<dt><a href=\"javascript:;\" onclick=\"Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');\" >" +
										"<img class=\"lazy\" data-original=\"http:"	+ objDrawData[i].imgUrl + "\" src=\"./images/marketing/list_no_img.png\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"기획전\" />" +
												"</a></dt>", 
												objDrawData[i].imgUrl,
					 							objDrawData[i].clickTarget,
					 							objDrawData[i].contentsId,
					 							objDrawData[i].clickCode,
					 							objDrawData[i].espotId,
					 							objDrawData[i].mdUrl,
					 							null,
					 							null,
					 							catalogId);
				 			}
						}else{ //고지형
							if(mainCtrl.VIEW_TYPE == "ios"){
								liStoreProductHTML += "<dt><img src=\"http:"	+ objDrawData[i].imgUrl + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"기획전\" /></dt>"
							} else {
								liStoreProductHTML += "<dt><img class=\"lazy\" data-original=\"http:"	+ objDrawData[i].imgUrl + "\" src=\"./images/marketing/list_no_img.png\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"기획전\" /></dt>"
							}
						}
						
						if( objDrawData[i].espotContentText1 != null || objDrawData[i].espotContentText2 != null ){
							liStoreProductHTML +=	"<dd class='tit'>";
							if( objDrawData[i].espotContentText1 != null ){
								liStoreProductHTML += objDrawData[i].espotContentText1;
							}   
							if( objDrawData[i].espotContentText2 != null ){
								liStoreProductHTML += "<span>" + objDrawData[i].espotContentText2.replace("amp;","") + "</span>";
							}
							liStoreProductHTML += "</dd>";
						}

						liStoreProductHTML += '</dl>';
					/* 상품 */
					}else{
						if(objDrawData[i].productDetail != undefined){ // 재고 0일 경우 미노출
							objDrawDataDetail = objDrawData[i].productDetail;
							// 옵션대표가 출력 처리
							var prcWaveDisp = "";
							if( objDrawDataDetail.prcWaveDisp != undefined){
								prcWaveDisp = objDrawDataDetail.prcWaveDisp;
							}
							
							var GAData = "1";
							GAData = GAData + "||상품목록||" + objDrawDataDetail.itncatentrynm;
							
							var func = Ns.Util.stringFormat('mainCtrl.gotoProductDisplay({0},{1},\'{2}\'); mainCtrl.sendToGA360(\'{3}\');', objDrawDataDetail.partnumber, null, "MOBIL",GAData);
							
							liStoreProductHTML += '<section class="shop_contents" name="shop_contents_' + i + '\">';
							liStoreProductHTML += "<div class=\"shop_item\">";
							liStoreProductHTML += "	<div class=\"shop_area\" name=\"MOB_CONCEPT_PRDTLISTclickArea\">";
							liStoreProductHTML += "		<div class=\"product_thumb\">";
							if(mainCtrl.VIEW_TYPE == "ios"){
								liStoreProductHTML += "			<a href=\"javascript:" + func + "\" name=\"bannerImgUrl_c\"><img src=\"http:" + objDrawData[i].imgUrl + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"" + objDrawDataDetail.itncatentrynm + " 상품 이미지\"/></a>";
							} else {
								liStoreProductHTML += "			<a href=\"javascript:" + func + "\" name=\"bannerImgUrl_c\"><img class=\"lazy\" data-original=\"http:" + objDrawData[i].imgUrl + "\" src=\"./images/marketing/list_no_img.png\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"" + objDrawDataDetail.itncatentrynm + " 상품 이미지\"/></a>";
							}
							// 무료배송
							if (Number(objDrawDataDetail.dlvrPrice, 10) == 0){
								liStoreProductHTML += "			<div class=\"sell_vol\" name=\"dlvrPrice_c\"><p class=\"benefit\"><dfn class=\"label\">혜택</dfn><em class=\"free\">무료배송</em></p></div>"
							}
							liStoreProductHTML += "		</div>"
							liStoreProductHTML += "		<a href=\"javascript:" + func + "\">";
							liStoreProductHTML += "			<dl class=\"product_info\">";
							// 상품명
							if (objDrawDataDetail.brandKorNm != "미정의" && objDrawDataDetail.brandKorNm != ""){
								liStoreProductHTML += "			<dt name=\"itncatentrynm_c\">" + "[" + objDrawDataDetail.brandKorNm + "] " + objDrawDataDetail.itncatentrynm + "</dt>";
							} else {
								liStoreProductHTML += "			<dt name=\"itncatentrynm_c\">" + objDrawDataDetail.itncatentrynm + "</dt>";
							}
							liStoreProductHTML += "				<span name=\"priceInfo_c\">";
							// 할인율
							if (!(Number(objDrawDataDetail.saleRate, 10) <= 0)){
								liStoreProductHTML += "<dd class=\"percent\">" + objDrawDataDetail.saleRate + "<em>%</em></dd>";
							}
							// 옵션대표가 출력 처리							
							if( prcWaveDisp != ""){
								liStoreProductHTML += "					<dd class=\"price\">" + Ns.Util.insertCommas(objDrawDataDetail.pricedcprice) + "<span class=\"won\">원 ~</span></dd>";
							}else{
								liStoreProductHTML += "					<dd class=\"price\">" + Ns.Util.insertCommas(objDrawDataDetail.pricedcprice) + "<span class=\"won\">원</span></dd>";
							}							// 할인전 금액
							if (!(Number(objDrawDataDetail.saleRate, 10) <= 0)){
								liStoreProductHTML += "<dd class=\"past_price\"><span class=\"blind\" role=\"text\">할인 전 판매가</span>" + Ns.Util.insertCommas(objDrawDataDetail.priceofferprice) + "원</dd>";
							}
							liStoreProductHTML += "				</span>";
							liStoreProductHTML += "				<dd class=\"sell\" name=\"sell_info_c\">";		
							
							
							// 만족도 및 총구매수량 및 최근30일 구매수량
							var sell_info = "";
							if (objDrawDataDetail.orderQty != undefined && objDrawDataDetail.orderQty != 0){
								// 만족도 적재
								if (objDrawDataDetail.score != 0){
									sell_info += "<span class=\"bf\">만족도 " + objDrawDataDetail.score + "%</span>";
								}
								
								sell_info += "<span class=\"bf\">";
								sell_info += "" + Ns.Util.insertCommas(objDrawDataDetail.orderQty) + "개 구매&nbsp;";
								sell_info += "</span>";
							}
							
							liStoreProductHTML += sell_info;
							liStoreProductHTML += "				</dd>";
							liStoreProductHTML += "			</dl>";
							liStoreProductHTML += "		</a>";
							liStoreProductHTML += "	</div>";
							liStoreProductHTML += "</div>";
							liStoreProductHTML += '</section>';
						}					
					}
					
				}
				$liStoreProduct.html(liStoreProductHTML);										
				$("#storePrdeList_" + catgroupId).show();		
				mainCtrl.setLazyLoading();
			},
			
			setETVLiveTime : function( ) {
				mainCtrl.checkTimerObject();
				mainCtrl.m_timer = setInterval(M_G1100000M.ui.sOnTimer, 1000);
			},
			
			sOnTimer : function() {
				var addZero = function(number){
					return parseInt(number, 10) < 10 ? "0" + number : number;
				};
				M_G1100000M.REMAINING_TIME.setSeconds( M_G1100000M.REMAINING_TIME.getSeconds() - 1 );

				var hour = addZero( M_G1100000M.REMAINING_TIME.getHours() );
				var min = addZero( M_G1100000M.REMAINING_TIME.getMinutes() );
				var second = addZero( M_G1100000M.REMAINING_TIME.getSeconds() );

				if ( hour == 23 && min == 59 && second == 59 ) {
					M_G1100000M.REMAINING_TIME = null;
					$("#liveTimer").html( '' );
					mainCtrl.checkTimerObject(); // destroy timer
					M_G1100000M.data.callNSMobHomeViewLive(); //새로운 방송 조회
				} else {
					$("#liveTimer").html( hour + ':'+ min +':'+ second );
				}
			},
			
			/**
			 * 2016-08-11 정승진 : 푸시(마케팅) 수신동의 팝업
			 * */
			pushAgreeCheck : function() {
				var popupState = Ns.LocalStorage.get(STORAGE_KEY.PUSH_POPUP_YN);
				if (popupState == '' || popupState == 'N') {
					var params ={};
					Ns.Popup.showLayer('M_G1131000M', params);
				} else {
					
					// 팝업 제어 - 메인페이지가 호출될 때 홈버튼 클릭 시 또는 nsmobilehub통해서 들어왔을 때는 팝업을 띄운다.
					if(Ns.Util.isNull(sessionStorage.getItem("MAIN_EVENT_POPUP_DISPLAY")) 
							|| sessionStorage.getItem("MAIN_EVENT_POPUP_DISPLAY") == "Y"){
						M_G1100000M.ui.showMainEventPopup();
					}
					
					/*if(HUB_INIT.isMainEventPopupDisplay == true){				
						M_G1100000M.ui.showMainEventPopup();
					}*/
				}
			},
			
			/** (모바일) 이벤트 팝업 */
			showMainEventPopup : function() {
				var endDate = Ns.LocalStorage.get(STORAGE_KEY.EVENT_POPUP_MAIN);
				if (!Ns.Date.getBdDay(endDate))
					mainCtrl.eventPopup({type:STORAGE_KEY.EVENT_POPUP_MAIN});
			},
			
			/**
			 * 2016-09-06 정승진 : 메인화면 새로고침
			 * */
			pageRefresh : function() {
				mainCtrl.navigate(PAGE.main, null);
			}
			
		},
		//end ui function...
		
		//이벤트 관련 함수 정의
		event : {
			
			//생방송 또는 VOD 탭 선택
			onclick_liveOnbWrap : function(data) {
				var id = $(this).attr('id');
				//ga360
				var eventLabel = "";
				
				if(id == "tabONAIRarea") {
					M_G1100000M.selectedOnAIRTab = true;
					$("#tabONAIRarea").addClass('active');
					$("#tabONShopLive").removeClass('active');
					$("#ONAIRarea, #ONAIRTABSarea").show();
					$("#ONShopLive, #ONShopLiveTABSarea").hide();
					M_G1100000M.event.click_cancle();
					eventLabel = "NSLIVE";
				}else{
					M_G1100000M.selectedOnAIRTab = false;
					$("#tabONShopLive").addClass('active');
					$("#tabONAIRarea").removeClass('active');
					$("#ONShopLive, #ONShopLiveTABSarea").show();
					$("#ONAIRarea, #ONAIRTABSarea").hide();
					M_G1100000M.event.click_cancle();
					eventLabel = "NSShop+";
				}
				var event_obj = {
					eventCate : 'MOBILE_메인',
					eventAction : '방송탭이동',
					eventLabel : eventLabel
				};
				var subparam = {
					t1 : 'GNB',
					t2 : '홈'
				};
				GA.sendEventData(event_obj,subparam);
				
			},
			
			//유형상품 체크
			checkRealProduct : function( disp ){
				if(disp == "10" || disp == "15" ||
						disp == "20" || disp == "25" ||
						disp == "30" || disp == "60"){
					return true;
				}else{
					return false;
				}
			},
			
			onclick_btnShowLive : function(data) { // 생방송보기
				M_G1100000M.selectedOnAIRTab = true;
				
				var msg = "3G/LTE 환경에서 이용시 요금제에 따라<br />데이터 요금이 부가될 수 있습니다.<br/>시청하시겠습니까?";
				
				var okFuc = function() {
					//navi.setMovePointer(-1);
					M_G1100000M.event.video_play();
					return false;
				};
				var cancelFuc = function() {
					//navi.setMovePointer(-1);
					return false;
				};
				
				//2018-02-14 ssong confrim 변경
				var targetId = "mainItem";
				Ns.Popup.confirmLayer( msg, okFuc, cancelFuc, "예", "아니오", targetId);
			},
			
			/**
			 * onclick_btnPlayVOD : VOD 재생 버튼 클릭 이벤트
			 */
			onclick_btnPlayVOD : function(data) {
				M_G1100000M.selectedOnAIRTab = false;
				
				var msg = "3G/LTE 환경에서 이용시 요금제에 따라<br />데이터 요금이 부가될 수 있습니다.<br />시청하시겠습니까?";
				
				var okFuc = function() {
					M_G1100000M.event.video_play();
					return false;
				};
				var cancelFuc = function() {
					return false;
				};
				
				//2018-02 ssong confrim 변경
				var targetId = "vodMainItem";
				Ns.Popup.confirmLayer( msg, okFuc, cancelFuc, "예", "아니오", targetId);
			},
			
			video_play : function() {
				var html = '';
				html += '<div class="pause_layer" style="display: none;">';
				html += '<p class="pauseclose_btn"><img onclick="M_G1100000M.event.click_cancle();" src="./images/common/pauseclose_btn.png" alt="동영상 닫기"></p>';
				html += '   <ul>';
				html += '    <li class="fullsc_btn"><img onclick="M_G1100000M.event.click_fullView(this);" src="./images/common/fullscreen_btn.png" alt="전체화면"></li>';
				if(M_G1100000M.selectedOnAIRTab){
					html += '    <li class="pause_btn"><img id="pnp_btn" onclick="M_G1100000M.event.click_VideoToggle();" src="./images/common/pause_btn.png" alt="일시정지"></li>';
				}else{
					html += '    <li class="pause_btn"><img id="vod_pnp_btn" onclick="M_G1100000M.event.click_VideoToggle();" src="./images/common/pause_btn.png" alt="일시정지"></li>';	
				}
				html += '    <li class="viewitem_btn"><img onclick="M_G1100000M.event.onclick_btnGotoProductDisplay();" src="./images/common/go_btn.png" alt="상품보기"></li>';
				html += '   </ul>';
				html += '  </div>';

				if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드
//					html += '	<video id="vid" onclick="M_G1100000M.event.click_VideoToggle(this);" autoplay  poster="./images/video/sample-51.png" preload="true" webkit-playsinline style="transform: scaleY(0.84375);-webkit-transform: scaleY(0.84375);width:100%;">';
					if(M_G1100000M.selectedOnAIRTab){
						html += '	<video id="vid" onclick="M_G1100000M.event.click_fade()" autoplay  poster="./images/back.png" preload="true" webkit-playsinline style="transform: scaleX(1.35);-webkit-transform: scaleX(1.35);width:100%;" aria-label="상품보기">';
					}else{
						html += '	<video id="vvid" onclick="M_G1100000M.event.click_fade()" autoplay  poster="./images/back.png" preload="true" webkit-playsinline style="transform: scaleX(1.35);-webkit-transform: scaleX(1.35);width:100%;" aria-label="상품보기">';	
					}
				}else{//아이폰
					// dhlee 2017.04.10 이미지 경로 수정
//					html += '	<video id="vid" onclick="M_G1100000M.event.click_fade()" autoplay style="width:100%;object-fit:fill" poster="./images/video/sample-51.png" preload="true" webkit-playsinline>';
					if(M_G1100000M.selectedOnAIRTab){
						html += '	<video id="vid" onclick="M_G1100000M.event.click_fade()" autoplay style="width:100%;object-fit:fill" poster="./images/back.png" preload="true" playsinline aria-label="상품보기">';
					}else{
						html += '	<video id="vvid" onclick="M_G1100000M.event.click_fade()" autoplay style="width:100%;object-fit:fill" poster="./images/back.png" preload="true" playsinline aria-label="상품보기">';
					}
				}
				if(M_G1100000M.selectedOnAIRTab){
					//운영
					html += '		<source src="http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8" type="video/mp4" >';
				}else{
					//운영
					html += '		<source src="http://shoppstream.nsmall.com:1935/IPHONE/mobile.m3u8" type="video/mp4" >';
				}
//				개발
//				html += '		<source src="http://shoppstream.nsmall.com/IPHONE/mobile.m3u8" type="video/mp4" >';		
//				html += '		<source src="http://221.140.53.53/IPHONE/mobile.m3u8" type="video/mp4" >';		
//				html += '		<source src="http://192.168.13.87/IPHONE/mobile.m3u8" type="video/mp4" >';		
				html += '		Your browser does not support the video tag.';					
				html += '	</video>';
				
				if(M_G1100000M.selectedOnAIRTab){
					$('#mainItem').html(html);
						
					$('#mainItem').css('background-image', '');
					$('#mainItem').css('padding', '0px');
	
					$('#vid').css('height', M_G1100000M.VIDEO_HEIGHT );
					if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드	
					}
					else{
						$('#vid').css('height', M_G1100000M.VIDEO_HEIGHT );
					}
	
					document.getElementById('vid').play();
				}else{
					$('#vodMainItem').html(html);
					
					$('#vodMainItem').css('background-image', '');
					$('#vodMainItem').css('padding', '0px');
	
					$('#vvid').css('height', M_G1100000M.VIDEO_HEIGHT );
					if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드
					}
					else{
						$('#vvid').css('height', M_G1100000M.VIDEO_HEIGHT );
					}
	
					document.getElementById('vvid').play();
				}
				
				mainCtrl.bVideoplay = true;
			},
			
			click_cancle : function(){
				
				if($("#liveOnbWrap").is(':visible') == true ){//탭이 존재
					if(M_G1100000M.selectedOnAIRTab){//생방송 탭선택
						if(mainCtrl.bVideoplay == true){
							if($("#vvid").length>0){
								document.getElementById('vvid').pause();
							}else if($("#vid").length>0){
								document.getElementById('vid').pause();
							}
						}
						mainCtrl.bVideoplay = false;
						var html = '';
						html += '<p class="onair"><span class="broad_timer" id="liveTimer"></span></p>';
						html += '<p class="mov_btn" id="btnShowLive"><img src="./images/common/play_btn.png" alt=""></p>';
						html += '<div class="etv_title"><dl><dt><a href="javascript:;" id="liveProductName"></a></dt>';
						html += '<dd class="tag item-feature interest-free"><span class="price" id="liveOfferPrice">0</span><span class="won" id = "OptionRepresentative">원</span></dd></dl></div>';	
						html += '<a href="javascript:;" class="go_item" id="liveGoProduct">상품상세로 바로가기</a>';
						html += '<div>';
						html += '	<img id="livePrcImg" rep="0" src="http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg" alt="상품 이미지">';
						html += '</div>';
						
						$('#mainItem').html(html);
					}else{//vod 탭선택
						if(mainCtrl.bVideoplay == true){
							if($("#vid").length>0){
								document.getElementById('vid').pause();
							}else if($("#vvid").length>0){
								document.getElementById('vvid').pause();
							}
						}
						mainCtrl.bVideoplay = false;
						var html = '';
						html += '<p class="onair"><span class="broad_timer" id="vodLiveTimer"></span></p>';
						html += '<p class="mov_btn" id="vodBtnShowLive"><img src="./images/common/play_btn.png" alt=""></p>';
						html += '<div class="etv_title"><dl><dt><a href="javascript:;" id="vodLiveProductName"></a></dt>';
						html += '<dd class="tag item-feature interest-free"><span class="price" id="vodLiveOfferPrice">0</span><span class="won" id = "vodOptionRepresentative">원</span></dd></dl></div>';	
						html += '<a href="javascript:;" class="go_item" id="vodLiveGoProduct">상품상세로 바로가기</a>';
						html += '<div>';
						html += '	<img id="vodLivePrcImg" rep="0" src="http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg" alt="상품 이미지">';
						html += '</div>';
						
						$('#vodMainItem').html(html);
					}
				}else{//탭 존재안함
					if(M_G1100000M.selectedOnAIRTab){//생방송 재생 중
						if(mainCtrl.bVideoplay == true){
							document.getElementById('vid').pause();
						}
						mainCtrl.bVideoplay = false;
						var html = '';
						html += '<p class="onair"><span class="broad_timer" id="liveTimer"></span></p>';
						html += '<p class="mov_btn" id="btnShowLive"><img src="./images/common/play_btn.png" alt=""></p>';
						html += '<div class="etv_title"><dl><dt><a href="javascript:;" id="liveProductName"></a></dt>';
						html += '<dd class="tag item-feature interest-free"><span class="price" id="liveOfferPrice">0</span><span class="won" id = "OptionRepresentative">원</span></dd></dl></div>';	
						html += '<a href="javascript:;" class="go_item" id="liveGoProduct">상품상세로 바로가기</a>';
						html += '<div>';
						html += '	<img id="livePrcImg" rep="0" src="http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg" alt="상품 이미지">';
						html += '</div>';
						
						$('#mainItem').html(html);
					}else{//vod 재생 중
						if(mainCtrl.bVideoplay == true){
							document.getElementById('vvid').pause();
						}
						mainCtrl.bVideoplay = false;
						var html = '';
						html += '<p class="onair"><span class="broad_timer" id="vodLiveTimer"></span></p>';
						html += '<p class="mov_btn" id="vodBtnShowLive"><img src="./images/common/play_btn.png" alt=""></p>';
						html += '<div class="etv_title"><dl><dt><a href="javascript:;" id="vodLiveProductName"></a></dt>';
						html += '<dd class="tag item-feature interest-free"><span class="price" id="vodLiveOfferPrice">0</span><span class="won" id = "vodOptionRepresentative">원</span></dd></dl></div>';	
						html += '<a href="javascript:;" class="go_item" id="vodLiveGoProduct">상품상세로 바로가기</a>';
						html += '<div>';
						html += '	<img id="vodLivePrcImg" rep="0" src="http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg" alt="상품 이미지">';
						html += '</div>';
						
						$('#vodMainItem').html(html);
					}
				}
				
				if(M_G1100000M.selectedOnAIRTab){//생방송 탭선택
					M_G1100000M.data.callNSMobHomeViewLive();//생방송 동영상 정보
				}else{
					M_G1100000M.data.callNSMobHomeViewVOD();//VOD 동영상 정보
				}
			},
			
			click_fade : function(){
				$('.video').fadeIn();
				$('.pause_layer').fadeIn();
				setTimeout( function(){
					//일시정지일 때는 항상 버튼 레이어 노출
					// jjko 20170620 류수연씨 요청으로 일시 정지 일 때도 fadeOut
					$('.video').fadeOut();
					$('.pause_layer').fadeOut();
				}
				,2000 );
			},
			/**
			 * 2016-09-02 정승진 : 안드로이드 영상재생 콜백함수
			 * */
			playToggle : function(isplay) {
				if( mainCtrl.VIEW_TYPE == 'ios' ){
					if(M_G1100000M.selectedOnAIRTab){
						document.getElementById('vid').load();
	                    Ns.Util.viewConsoleLog("jjko webtest 영상 11 : " + document.getElementById('vid').volume);
	                    document.getElementById('vid').play();
	                    
	                    if(!isplay)
	                    {
	                        document.getElementById('vid').volume = 0;
	                        document.getElementById('vid').muted = true;
	                    }
	                    
	                    setTimeout( function(){
	                               Ns.Util.viewConsoleLog("jjko webtest 영상 11 : " + isplay);
	                               document.getElementById('vid').volume = 1;
	                               document.getElementById('vid').muted = false;
	                               M_G1100000M.isPlay = isplay;
	                               M_G1100000M.event.click_VideoToggleBtn();
	                               }
	                               ,  1000 );
					}else{
						document.getElementById('vvid').load();
	                    Ns.Util.viewConsoleLog("jjko webtest 영상 11 : " + document.getElementById('vvid').volume);
	                    document.getElementById('vvid').play();
	                    
	                    if(!isplay)
	                    {
	                        document.getElementById('vvid').volume = 0;
	                        document.getElementById('vvid').muted = true;
	                    }
	                    
	                    setTimeout( function(){
	                               Ns.Util.viewConsoleLog("jjko webtest 영상 11 : " + isplay);
	                               document.getElementById('vvid').volume = 1;
	                               document.getElementById('vvid').muted = false;
	                               M_G1100000M.isPlay = isplay;
	                               M_G1100000M.event.click_VideoToggleBtn();
	                               }
	                               ,  1000 );
					}
                }
                else {
                    M_G1100000M.isPlay = isplay;
                    M_G1100000M.event.click_VideoToggleBtn();
                }
			},
			click_VideoToggle : function(){
				if(M_G1100000M.selectedOnAIRTab){
					M_G1100000M.isPlay = document.getElementById('vid').paused;
				}else{
					M_G1100000M.isPlay = document.getElementById('vvid').paused;
				}
				mainCtrl.bVideoplay = false;
				M_G1100000M.event.click_VideoToggleBtn();
			},
			click_VideoToggleBtn : function(){
				if(!M_G1100000M.isPlay){
					if(M_G1100000M.selectedOnAIRTab){
						$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
						$("#pnp_btn").attr("alt", "재생");
						document.getElementById('vid').pause();
					}else{
						$("#vod_pnp_btn").attr("src", "./images/common/play_btn02.png");
						$("#vod_pnp_btn").attr("alt", "재생");
						document.getElementById('vvid').pause();
					}
					mainCtrl.bVideoplay = false;
				}
				else{
					if(M_G1100000M.selectedOnAIRTab){
						$("#pnp_btn").attr("src", "./images/common/pause_btn.png");
						$("#pnp_btn").attr("alt", "일시정지");
						document.getElementById('vid').play();
					}else{
						$("#vod_pnp_btn").attr("src", "./images/common/pause_btn.png");
						$("#vod_pnp_btn").attr("alt", "일시정지");
						document.getElementById('vvid').play();
					}
					mainCtrl.bVideoplay = true;
					//재생할 경우 버튼 레이어 제거
					$('.video').fadeOut(); 
					$('.pause_layer').fadeOut();
				}
			},
			click_fullView : function(obj){
				var item = $(obj).siblings().last();
				if(M_G1100000M.isPlay){ //플레이중
					if(M_G1100000M.selectedOnAIRTab){
						$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
						$("#pnp_btn").attr("alt", "재생");
						document.getElementById('vid').pause();
					}else{
						$("#vod_pnp_btn").attr("src", "./images/common/play_btn02.png");
						$("#vod_pnp_btn").attr("alt", "재생");
						document.getElementById('vvid').pause();
					}
					mainCtrl.bVideoplay = false;
				}
				
				if(M_G1100000M.selectedOnAIRTab){
					//운영
					Ns.Native.nsShopTvHomeShoppingViewDirect( "LIVE", "http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8", null, M_G1100000M.isPlay);
				}else{
					//운영
					Ns.Native.openShopplusFullVOD('LIVE', '', '');
				}
			},
			
			regErrlog : function(funcNm, e){
				Ns.Util.viewConsoleLog("(( Caught exception at \"" + funcNm + "\" -> " + e + " ))");
			},
			
			// 상품상세 바로가기
			onclick_btnGotoProductDisplay : function() {
				mainCtrl.gotoProductDisplay(M_G1100000M.PARTNUMBER, M_G1100000M.MULTICD, M_G1100000M.BUSCHNID);
			},
			
			//NS Talk 이동 
			/**
			 * 2017-08-01 sypark : NSTalk 화면 이동
			 * */
			onclick_btnGotoNsTalk : function() {
				/*
				 * 회원구분 불가 17.07.28일 버전 : 로그인 화면으로 이동처리
				 * 1. 로그인한 경우(정회원) > 
					NStalk 기본화면(#1.2)으로 랜딩
					1-1. 로그인한 경우(정회원/휴대폰번호X)
					#3.2페이지의 *2팝업 노출
					2. 로그인한 경우(간편회원) >
					#3.2페이지의 *1팝업 노출
					3. 비로그인인 경우 >
					로그인 화면으로 랜딩
				 * */
				//CASE 비로그인 처리 
				if (!mainCtrl.checkLogonStatus()) {
					Ns.Popup.alert("로그인 후 이용해 주세요.", function() {
						mainCtrl.gotoLogin();
					});
					return;
				} else { //== 페이지 이동 처리 == 
					//휴대폰 번호 여부 체크 
					if( Ns.Util.isNull( USERINFO.hpNo() ) ) { //휴대폰 번호 없으면 true
						var msg = "휴대폰번호 정보가 없습니다.<br/>마이페이지 > 개인화정보 > 회원정보관리에서 등록해주시기 바랍니다.<br/><br/>마이페이지로 이동하시겠습니까?";
						
						var okFuc = function() {
							mainCtrl.navigate("M_U1171501M");
							return false;
						};
						
						Ns.Popup.confirm( msg, okFuc, null, "확인", "취소", null, null, null);
					} else { //휴대폰 번호 있으면 false
						mainCtrl.navigate("M_G3000000M");
					}
				}
			},
			
			/*
			 * 2018-02-19 ssong
			 * 스크롤시 동영상 재생 멈춤
			 */
			onscroll_stopVideo : function(){
				var chkId = M_G1100000M.selectedOnAIRTab ? "ONAIRTABSarea" : "ONShopLiveTABSarea";
				
				var scr_now = $(window).scrollTop() + $('#pageHeader').outerHeight();
				
				if(scr_now > $("#" + chkId).offset().top){
					if(mainCtrl.bVideoplay == true){
						if($("#vvid").length>0){
							$("#vod_pnp_btn").attr("src", "./images/common/play_btn02.png");
							$("#vod_pnp_btn").attr("alt", "재생");
							document.getElementById('vvid').pause();
						}
						if($("#vid").length>0){
							$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
							$("#pnp_btn").attr("alt", "재생");
							document.getElementById('vid').pause();
						}
					}
					mainCtrl.bVideoplay = false;
				}
			},
			
		}
		//end event function
};

CurrentView = M_G1100000M;