
/* JavaScript content from js/main/M_G1100030M.js in folder common */

/* 
 *	페이지 ID : M_G1100030M 
 *  1. 모바일 기획전 전체보기
 *  
 *  
*/

CurrentView = {
		tabId : "MOBILE",
		pageSize : 10,	// 조회 수량
		pageIdx : 1,	// 페이징 인덱스
		totalCount : 0,	// 총 수량
		pushFullEvent : true,	// 페이징 관련
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		initializeComponent : function() {
		
		},
		
		onLoad : function(params) {
			this.data.getAllEventMobile();
			Ns.UI.startPushFullEvent( CurrentView.data.getAllEventMobile );	// 페이징 설정
		},
		
		data : {
			getAllEventMobile : function() {
				var invoke = {};
				invoke.espotInfo = "MOB_MAIN_EXHIBITION|Content";
				invoke.pageId = CurrentView.pageIdx;
				invoke.pageSize = CurrentView.pageSize;
				
				tran.callWCSJsonTran( 'NSEspotCommon', invoke, CurrentView.ui.setAllEventMobile );
			},
		},
		
		//이벤트 관련 함수 정의
		event : {
			onclick_ulTabArea : function() {
				var id = $(this).attr("id");
				
				if( id == CurrentView.tabId ) return false;
				CurrentView.tabId = id;
			},

		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			setAllEventMobile : function( data ) {
				var contents = data.msg.root._MOB_MAIN_EXHIBITION;
				var msg = "쇼핑기획전이 없습니다.";
				var eventList = $("#ulAllEventArea");
				var htmlTxt = "";
				
				if( contents == null || contents == "" ) {
					if (CurrentView.pageIdx == 1){
						htmlTxt = mainCtrl.getNoResultDataHtml( msg );
						eventList.html( htmlTxt );
					}
					
					return false;
				}
				
				for( var k=0; k<contents.length; k++ ) {
					var items = contents[k];
					
					if (k == 0 && CurrentView.totalCount == 0){
						CurrentView.totalCount = items.espotContentSize;
					}
					
					if ( Ns.Util.isNull(items.clickTarget) ){
						continue;
					}
					
					var protocol = "http:";
					var imgUrl = protocol + items.imgUrl;
					var replaceUrl = Const.NO_IMAGE_URL + "noimage_P.jpg";
					
					$.preLoadImages( imgUrl, replaceUrl );
					
					var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(items.mdUrl).split("?")[1]).catalogId;
					htmlTxt += Ns.Util.stringFormat('\
						<li><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{7}\',\'{8}\',\'{9}\');"><img src="{5}" onerror="this.onerror=null;this.src=\'{6}\'" alt="기획전이미지"></a></li>',
						items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl,  imgUrl, replaceUrl, null, null, catalogId );
				}
				
				if (Number(CurrentView.totalCount) > Number(CurrentView.pageIdx) * Number(CurrentView.pageSize)){
					CurrentView.pushFullEvent = false;
				}
				
				eventList.append( htmlTxt );
				
				if(typeof wcs == 'undefined'){
					setTimeout(function(){
						Fn_WcsNaver(1);
					}, 5000);
				}else{
					Fn_WcsNaver(1);
				}
				
			}
		}
		//end ui function...
};

	
