
/* JavaScript content from js/main/M_G1100100M.js in folder common */

/* 
 *	페이지 ID : M_G1100100M 
 *  1. 타임쿠폰 혜택
 *  
 *  
*/

CurrentView = {
	DAY : 0,
	NIGHT : 1,

	m_inputParams     : null,
	m_outputDatas     : null,
	
	CURRENT_COUPON_CNT : [],	// 쿠폰 다운로드 가능횟수
	CURRENT_COUPON_IDFR : [],
	
	init : function( params ) {
		this.initializeComponent();
		this.onLoad(params);
	},
	
	initializeComponent : function() {
		CurrentView.data.setImageChange();	// 이미지 세팅 및 화면 뷰잉
		
		$("#ulTabArea li a").unbind().bind( "click", this.event.onclick_ulTabArea );	// 2019.02.27 사용하지 않음
		$("#btnReceiptCouponDay").unbind().bind( "click", this.event.onclick_btnReceiptCouponDay ); // 쿠폰받기(낮)
		$("#btnMovePagePush").unbind().bind("click", this.event.onclick_btnMovePage);		// 비밀특가 구경하기 페이지로 이동
		$("#btnReceiptCouponNight").unbind().bind( "click", this.event.onclick_btnReceiptCouponNight ); // 쿠폰받기(밤)		
	},
	
	onLoad : function(params) {
		CurrentView.m_inputParams = params || {};
		
		this.data.getReceiptTimeCoupon();
	},
	
	data : {
		// 이미지 변경
		setImageChange : function(){			
			$("#img01_1").attr("src", "http://image.nsmall.com/ec_comimages/nsupload/espot/images/banner/event/2019/time_event/(m)d0223_event_time_01.jpg");									   
			$("#img02_1").attr("src", "http://image.nsmall.com/ec_comimages/nsupload/espot/images/banner/event/2019/time_event/(m)d0223_event_time_02.jpg");
			$("#img03_1").attr("src", "http://image.nsmall.com/ec_comimages/nsupload/espot/images/banner/event/2019/time_event/(m)d0823_event_time_03.jpg");
			$("#img04_1").attr("src", "http://image.nsmall.com/ec_comimages/nsupload/espot/images/banner/event/2019/time_event/(m)d0223_event_time_04.jpg");
			$("#img05_1").attr("src", "http://image.nsmall.com/ec_comimages/nsupload/espot/images/banner/event/2019/time_event/(m)d0223_event_time_05.jpg");
			$("#img06_1").attr("src", "http://image.nsmall.com/ec_comimages/nsupload/espot/images/banner/event/2019/time_event/(m)d0823_event_time_06.jpg");
			$("#img07_1").attr("src", "http://image.nsmall.com/ec_comimages/nsupload/espot/images/banner/event/2019/time_event/(m)d0823_event_time_07.jpg");
			$("#img08_1").attr("src", "http://image.nsmall.com/ec_comimages/nsupload/espot/images/banner/event/2019/time_event/(m)d0823_event_time_08.jpg");
			$("#img09_1").attr("src", "http://image.nsmall.com/ec_comimages/nsupload/espot/images/banner/event/2019/time_event/img_time_coupon09.jpg");
			
			$("#divBody1").show();
		},
		
		// 타임쿠폰 조회
		getReceiptTimeCoupon : function() {
			var invokeParam = CurrentView.m_inputParams;
			invokeParam.userId = USERINFO.userId();
			invokeParam.inde = 'mobile';	// mobile:쿠폰가능갯수, ajax1:쿠폰다운로드
			tran.callWCSJsonTran('NSTimesTimeCouponAjax', invokeParam, this.responseReceiptTimeSoupon);
		},
		
		// 타임쿠폰 조회 callback
		responseReceiptTimeSoupon : function(data) {
			if( data.msg == null ) {
				Ns.Popup.alert( Messages.procedure_error );
				return false;
			}
			
			var historyObj = {};
			historyObj.pageParams = CurrentView.m_inputParams;
			//현재 이벤트 페이지는 따로 offerId가 존재 하지 않으므로 페이지 ID로 판단(단독페이지 이벤트이기 때문에)
			historyObj.offerIdfr = mainCtrl.getCurrentPageId();
			//페이지 config에 설정된 title 명을 넣어주자 하드코딩X
			historyObj.offerNm = PAGE_CONFIG[mainCtrl.getCurrentPageId()].title;
			historyObj.eventPageId = mainCtrl.getCurrentPageId();
			historyObj.hisGubun = "E";
			mainCtrl.setRecentlyViewedProducts(historyObj);
			
			CurrentView.m_outputDatas = data;
			
			/*$("#AMRemindCoupon").html("남은수량 :  <strong>"+ data.msg[CurrentView.DAY].CNT +"</strong> 장");
			$("#PMRemindCoupon").html("남은수량 :  <strong>"+ data.msg[CurrentView.NIGHT].CNT +"</strong> 장");
			
			$("#AMRemindCoupon1").html("남은수량 :  <strong>"+ data.msg[CurrentView.DAY].CNT +"</strong> 장");
			$("#PMRemindCoupon1").html("남은수량 :  <strong>"+ data.msg[CurrentView.NIGHT].CNT +"</strong> 장");
			*/
			
			// 쿠폰 다운로드 가능 여부 체크
			for (var i = 0; i < data.msg.length; i++) {
				CurrentView.CURRENT_COUPON_CNT[i] = Number(data.msg[i].CNT);
				CurrentView.CURRENT_COUPON_IDFR[i] = data.msg[i].CP_IDFR;
			}
		},
		
		// 쿠폰받기
		getDownloadTimeCoupon : function( time ) {
			var invokeParam = {};
			invokeParam.userId = USERINFO.userId();
			invokeParam.inde = 'ajax1';	// mobile:쿠폰가능갯수, ajax1:쿠폰다운로드
			invokeParam.offerid = CurrentView.CURRENT_COUPON_IDFR[time];

			tran.callWCSJsonTran('NSTimesTimeCouponAjax', invokeParam, function(data){
				Ns.Popup.alert( data.rtnMsg, function(){
					navi.setMovePointer(-1)
					CurrentView.data.getReceiptTimeCoupon();
				});
			});
			
		}
	},
	
	//ui interaction 관련 함수 정의 
	ui : {
	
	},
	//end ui function...

	//이벤트 관련 함수 정의
	event : {
		onclick_ulTabArea : function() {
			var id = $(this).attr("id");
			var pageId = "";
			
			if( id == 'ALLEVENT' ) { // 전체이벤트
				pageId = "M_G1100020M";
			} else if( id == 'ATTENDANCE' ) { // 출석이벤트
				pageId = "M_G1100500M";
			} else if( id == 'FIRST' ) { // 첫만남혜택
				pageId = "M_G1100200M";
			} else if( id == 'MOBILE' ) { // 모바일혜택
				pageId = "M_G1100300M";
			}
			
			mainCtrl.navigate( pageId, null );
		},
		
		onclick_btnMovePage : function(){
			
			// 비밀특가 구경하기 페이지로 이동
			var params = {};
			//var url = Const.MOBILE_NSMALL_PATH;
			var pageId = "M_F1190000M";
			
			mainCtrl.navigate( pageId, params);
			
		},
	
		// 쿠폰받기(낮)
		onclick_btnReceiptCouponDay : function() {
			//개발에서는 쿠폰 발행으로 수정 by seo4872
			if(Const.IS_SERVER_STATE=="REAL"){ 
				// App Only
				if (mainCtrl.VIEW_TYPE != 'android' && mainCtrl.VIEW_TYPE != 'ios' ) {
					Ns.Popup.alert( "모바일 App에서만 다운로드 가능합니다." );
					return false;
				}
			}
			
			// 로그인
			if (!mainCtrl.checkLogonStatus()) {
				mainCtrl.gotoLogin();
				return false;
			}
			
			// 푸쉬 수신동의 체크
			if (mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "ios") {
				// 로그인 여부 확인
				var isLogon = mainCtrl.checkLogonStatus();
				// 로그인여부에 따라 로컬스토리지에 저장된 값을 변수에 담는다.
				var pushState = (isLogon) ? Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_YN) : Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN);
				// 저장된 값이 없을경우 디폴트값 설정
					
				if (pushState != null && pushState == 'N'){
					Ns.Popup.alertC("쇼핑알림(PUSH) 수신동의 고객만 참여 가능합니다.", function() {
						mainCtrl.navigate('M_F1190000M');
						return false;
					}, "설정하기");
					return false;
				}
			}
			
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_이벤트상세',
					eventAction : '배너쿠폰다운로드',
					eventLabel : (navi.getPageId() in PAGE_CONFIG) ? PAGE_CONFIG[navi.getPageId()].title : "undefined" + "_" +  CurrentView.CURRENT_COUPON_IDFR[0]
			};
			var subparam = {
					t1 : '이벤트',
					t2 : "이벤트상세",
					t3 : "타임쿠폰"
			};
		
			GA.sendEventData(event_obj,subparam);

			
			if (CurrentView.CURRENT_COUPON_CNT[CurrentView.DAY] > 0) {
				CurrentView.data.getDownloadTimeCoupon(CurrentView.DAY);
			} else {
				Ns.Popup.alert( "남은 수량이 없습니다." );
			}
		},
		
		// 쿠폰받기(밤)
		onclick_btnReceiptCouponNight : function() {
			if(Const.IS_SERVER_STATE=="REAL"){ 
				// App Only
				if (mainCtrl.VIEW_TYPE != 'android' && mainCtrl.VIEW_TYPE != 'ios') {
					Ns.Popup.alert( "모바일 App에서만 다운로드 가능합니다." );
					return false;
				}
			}
			
			// 로그인
			if (!mainCtrl.checkLogonStatus()) {
				mainCtrl.gotoLogin();
				return false;
			}
			
			// 푸쉬 수신동의 체크
			if (mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "ios") {
				// 로그인 여부 확인
				var isLogon = mainCtrl.checkLogonStatus();
				// 로그인여부에 따라 로컬스토리지에 저장된 값을 변수에 담는다.
				var pushState = (isLogon) ? Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_YN) : Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN);
				// 저장된 값이 없을경우 디폴트값 설정
					
				if (pushState != null && pushState == 'N'){
					Ns.Popup.alertC("쇼핑알림(PUSH) 수신동의 고객만 참여 가능합니다.", function() {
						mainCtrl.navigate('M_F1190000M');
						return false;
					}, "설정하기");
					return false;
				}
			}
			
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_이벤트상세',
					eventAction : '배너쿠폰다운로드',
					eventLabel : (navi.getPageId() in PAGE_CONFIG) ? PAGE_CONFIG[navi.getPageId()].title : "undefined" + "_" +  CurrentView.CURRENT_COUPON_IDFR[0]
			};
			var subparam = {
					t1 : '이벤트',
					t2 : "이벤트상세",
					t3 : "타임쿠폰"
			};
		
			GA.sendEventData(event_obj,subparam);
			
			if (CurrentView.CURRENT_COUPON_CNT[CurrentView.NIGHT] > 0) {
				CurrentView.data.getDownloadTimeCoupon(CurrentView.NIGHT);
			} else {
				Ns.Popup.alert( "남은 수량이 없습니다." );
			}
		}
	}
	//end event function
};