
/* JavaScript content from js/main/M_G1120000M.js in folder common */

/* 
 *	페이지 ID : M_G1120000M 
 *  1. 전체 서비스
 *  
*/

CurrentView = {
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		initializeComponent : function() {
			$("#ulCategoryMall li a").unbind().bind( "click",  this.event.gotoPage );
			$("#ulSpecialMall li a").unbind().bind( "click",  this.event.gotoPage );
			$("#ulMemberService li a").unbind().bind( "click",  this.event.gotoPage );
		},
		
		onLoad : function(params) {
			
		},
		
		data : {
			
		},
		
		//이벤트 관련 함수 정의
		event : {
			gotoPage : function() {
				var id = $(this).attr('id');
				var invokeParams = {};
				
				switch( id ){
					case "M_G1100000M" :
						mainCtrl.gotoMain();
						return false;
					break;
					case "M_G2111000M" :
						invokeParams.catalogId = Const.getDefaultCatalogId();
						invokeParams.categoryId = TOP_CAT_IDs.FnB;
					break;
					case "M_G2112000M" :
						id = "M_G2111000M";
						invokeParams.catalogId = Const.getDefaultCatalogId();
						invokeParams.categoryId = TOP_CAT_IDs.HnL;
					break;
					case "M_G2113000M" :
						id = "M_G2111000M";
						invokeParams.catalogId = Const.getDefaultCatalogId();
						invokeParams.categoryId = TOP_CAT_IDs.FnH;
					break;
					case "M_G2131300M" :
						invokeParams.catalogId = Const.getDefaultCatalogId();
					break;
					case "M_G5710001M" :
						invokeParams.catalogId = Const.getMarketingCatalogId("happydeal");
					break;
					case "M_G2310000M" :
						invokeParams.catalogId = Const.getSpecialMallId('sbook');
					break;
				};
				mainCtrl.navigate( id, invokeParams );
			}
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
		
		}
		//end ui function...
};