
/* JavaScript content from js/marketing/M_G2150000M.js in folder common */

/* 
 *	페이지 ID : M_G2150000M.
 *  1. NS 정기배달 main
 *  
 *  
*/

CurrentView = {
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		initializeComponent : function() {
			$("#btnShowNotice").unbind().bind( "click", this.event.onclick_btnShowNotice );
		},
		
		onLoad : function(params) {
			this.data.getNSSubscribe();
		},
		
		data : {
			getNSSubscribe : function() {
				var invoke = {
					espotInfo : "89302_PACKAGE_PRODUCTS|Product"
				};
				tran.callWCSJsonTran( "NSEspotCommon", invoke, CurrentView.ui.setNSSubscribe, null, function() {}, true  );
			}
		},
		
		//이벤트 관련 함수 정의
		event : {
			onclick_btnShowNotice : function() {
				mainCtrl.navigate( "M_G2150001M", null );
			}
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			setNSSubscribe : function( data ) {
				var packageProducts = data.msg.root._89302_PACKAGE_PRODUCTS;
				if ( packageProducts == undefined || packageProducts.length == 0 ) return false;
				
				var productList = new Array();
				for ( var k=0; k<packageProducts.length; k++ ) {
					if ( packageProducts[k].productDetail == null ) continue;
					productList.push( packageProducts[k].productDetail );
				}
				
				if ( productList.length == 0 ) return false;
				
				var htmlTxt = Ns.UI.premiumProductList( productList );
				$( "#ulNSSubcribeList" ).html( htmlTxt );
				Ns.UI.productListAreaEventInit( "#ulNSSubcribeList" );
			}
			
		}
		//end ui function...
};

	
