
/* JavaScript content from js/marketing/M_G5612000M.js in folder common */

/* 
 *	페이지 ID : M_G5612000M 
 *  1.홍보문구입력
 *  
 *  
*/

CurrentView = {
		coBuyId : null,  //공동구매 상품 key
		
		sharedUrl : Ns.Util.getCurrentPathName('/nsmobilehub.html?ProductDisplay'),
		sharedParams : "",
		title : "",
		imageUrl : "", 
		
		init : function( params ) {
			CurrentView.coBuyId = params.coBuyId;

			this.initializeComponent();
			this.onLoad(params);
		},
		
		initializeComponent : function() {
			$("#btnFacebook").unbind().bind( "click", this.event.onclick_btnFacebook );
			$("#btnTwitter").unbind().bind( "click", this.event.onclick_btnTwitter );
			$("#btnCatalk").unbind().bind( "click", this.event.onclick_btnCatalk );
		},
		
		onLoad : function(params) {
			this.data.groupPurchasePromoteInfo();
		},
		
		data : {
			groupPurchasePromoteInfo : function() {
				var param = {};
				param.coBuyId  = CurrentView.coBuyId;
				tran.callWCSJsonTran('GroupPurchaseGoodsReal', param, CurrentView.data.resultGroupPurchasePromote);
			},
			
			resultGroupPurchasePromote : function( data ) {
				var html = "";
				
				var items = data.msg.goods;

				var imageLink = Ns.Util.getImageUrl(String(items.partNumber), "P");
				var noImageUrl = Const.NO_IMAGE_URL +  'noimage_P.jpg';
				var brandName = items.brandKorNm;
				var goodsName = items.productName;
				goodsName = (brandName && brandName != '미정의' ? "[" + brandName + "]" : "") + goodsName;
				
				CurrentView.sharedParams = "?partNumber=" +  items.partNumber + "&via=NSMALL";
				CurrentView.title = items.productName;
				CurrentView.imageUrl = imageLink;
				
				html +=	Ns.Util.stringFormat('\
					<li class="items">\
						<div class="wrap">\
							<div class="thumbnail">\
								<a href="javascript:CurrentView.event.onclick_btnGroupGoodDetails(\'{0}\');"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지" /></a>\
							</div>\
							<div class="field">\
								<p class="title"><a href="javascript:CurrentView.event.onclick_btnGroupGoodDetails(\'{3}\');"><strong>{4}</strong></a></p>\
							</div>\
							<textarea id="textPromote" cols="" rows="" title="OO 작성" placeholder="빠른 목표 달성을 위해 적극적인 홍보를 해보세요." class="form theme-a" onkeyup="Ns.Util.checkByteLength(this,60);"></textarea>\
						</div>\
					</li>', items.partNumber, imageLink, noImageUrl, items.partNumber, goodsName);		
				
				$("#ulPurchasePromote").html(html);
			},			
		},

		//ui interaction 관련 함수 정의 
		ui : {
		
		},
		//end ui function...
		
		//이벤트 관련 함수 정의
		event : {
			// 해당 상품의 상세보기 화면으로 이동
			onclick_btnGroupGoodDetails : function( partNumber ) {
				var param = {};
				param.partNumber = partNumber;

				mainCtrl.navigate( "M_G2600000M", param ); 				
			},
			
			// 페이스북
			onclick_btnFacebook : function() {
				var textValue = $( "#textPromote" ).val();
				textValue = textValue != '' ? " - " + textValue : "";
				var url = CurrentView.sharedUrl + CurrentView.sharedParams;
				
				$("meta[property='og:title']").attr("content", CurrentView.title );
				$("meta[property='og:url']").attr("content", url );
				$("meta[property='og:image']").attr("content", CurrentView.imageUrl );
				
			    var fullUrl = "http://www.facebook.com/sharer.php?u="+ encodeURIComponent(url) +"&t="+ encodeURIComponent( "[NS홈쇼핑]" + CurrentView.title.substring(0,40) + textValue);
			    WL.App.openURL( fullUrl, "facebook" );
			},
			
			// 트위터
			onclick_btnTwitter : function() {
				var textValue = $( "#textPromote" ).val();
				textValue = textValue != '' ? " - " + textValue : "";				
				var url = CurrentView.sharedUrl + CurrentView.sharedParams;
			    var fullUrl = "https://twitter.com/intent/tweet?url="+ encodeURIComponent(url)+"&text="+ encodeURIComponent( "[NS홈쇼핑]" + CurrentView.title.substring(0,40) + textValue); 
			    WL.App.openURL( fullUrl, "twitter" );
			},
			
			// 카카오톡
			onclick_btnCatalk : function() {
				var url = CurrentView.sharedUrl + CurrentView.sharedParams;
				kakao.link("talk").send({
					msg : CurrentPopup.title,
				    url : url,
				    appver : "2.0",
				    appname : "NS쇼핑몰",
			        appid : "com.nsmobilehub",
				    type : "link",
				    //urlinfo : JSON.stringify({title:" 글제목 ", desc:" 글본문요약글 ", imageurl:[" 이미지 경로 "], type:"article"})
				});				
			},	
		}
		//end event function		
};

	
