
/* JavaScript content from js/marketing/M_G5720000M.js in folder common */

/* 
 *	페이지 ID : M_G5720000M
 *  1. 쇼킹 핫딜 -트렌드관 상품 목록. 
 *  
 *  
*/

CurrentView = {
		REMAINED_TIMEs : [],
		REMAINED_TIMEs_VIP : [],
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		initializeComponent : function() {
			//$("#ulDealTabArea li a").unbind().bind( "click", this.event.onclick_ulDealTabArea );
			//this.event.setTouchSlider();
		},
		
		onLoad : function(params) {
			this.data.getFlashSaleFoodMobile( params );
		},
		
		data : {
			getFlashSaleFoodMobile : function( params ) {
				var invoke = {
					catalogId : Const.getMobileCatalogId(),
					categoryId : params.categoryId,
					busChnId : Const.getBusChannelId()
				};
				
				tran.callWCSJsonTran( 'NSFlashSaleViewMobileReal', invoke, CurrentView.ui.setFlashSaleFoodMobile );
			} 
		},
		
		//이벤트 관련 함수 정의
		event : {
			onclick_ulDealTabArea : function() {
				mainCtrl.navigate( "M_G5710001M", { tabId :  $(this).attr("id") } );
			},
			
			setTouchSlider : function() {
				$(".tab_silde_menu").touchSlider({
					roll : false,
					view : 3,
					btn_prev : $(".tab_silde_menu").next().find(".btn_prev"),
					btn_next : $(".tab_silde_menu").next().find(".btn_next")
				});
			},
			
			//상품상세 페이지로 이동. 
			onclick_GotoProductDetail : function( espotId, partNumber ) {
				var invokeParams ={};
				invokeParams.espotId = espotId;
				invokeParams.partNumber = partNumber;
				
				mainCtrl.gotoProductDetail( invokeParams );
			},
			
			onclick_RegiCollection : function( catentryId, productName ) {
				var isLogon = mainCtrl.checkLogonStatus();
				if( !isLogon ) {
					mainCtrl.gotoLogin();
					return;
				}
				
				var invokeParams ={};
				invokeParams.catentryId = catentryId;
				invokeParams.productName = productName;
				
				Ns.Popup.showPopup('M_G261C000L', invokeParams);
			},
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			setFlashSaleFoodMobile : function( data ) {
	        	var htmlTxt = "";
	        	var isTrue = false;
	        	var productList = data.msg.productList;
	        	var vipFlashSaleList = data.msg.vipFlashSaleList;
	        	
	        	if( productList == undefined || productList.length == 0 ) {
	        		htmlTxt = mainCtrl.getNoResultDataHtml( "트렌드관 상품이 존재하지 않습니다" );
        			$("#ulFoodProductListArea").html( htmlTxt );
	        	} else {
	        		htmlTxt = CurrentView.ui.getFlashSaleMobileHtmlTxt( productList, false );
	        		$("#ulFoodProductListArea").html( htmlTxt );
	        		isTrue = true;
	        	}
	        	
	        	if( vipFlashSaleList == undefined || vipFlashSaleList.length == 0 ) {
	        		$("#ulVIProductList").html( "" );
	        		$("#sectionVIPZone").hide();
	        	} else {
	        		if ( USERINFO.isVip() != "N" ) {
	        			htmlTxt = CurrentView.ui.getFlashSaleMobileHtmlTxt( vipFlashSaleList, true );
	        			$("#ulVIProductList").html( htmlTxt);
		        		$("#sectionVIPZone").show();
		        		isTrue = true;
	        		}
	        	}
	        	
	        	if( isTrue ) CurrentView.ui.setFlashSaleLimitTime();
			},
			
			getFlashSaleMobileHtmlTxt : function( data, isVIP ) {
	        	var htmlTxt = "";
	        	for ( var i=0; i<data.length; i++ ) {
	        		var info = data[i];
	        		
		        	var imageUrl = Ns.Util.getImageUrl( info.PARTNUMBER, "P" );
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_O.jpg';
					var productName = info.ITNCATENTRYNM; 
					var partNumber = info.PARTNUMBER;
					
					var rateTag = "";
					
					var rate = Number( info.DC_RATE );
					if ( rate !=0 ) rateTag = '<span class="tag item-event discount"><strong>'+rate+'</strong><span class="unit">%</span></span>';
					
					var salePriceTag = "";
					var salePrice = Ns.Util.insertCommas( info.DC_PRC );
					if( salePrice != null ) salePriceTag = '<span class="price-selling"><strong class="head">알뜰할인가</strong> <ins class="text"><strong>'+salePrice+'</strong><span class="unit">원</span></ins></span>';
					
					var offerPriceTag = "";
					var offerPrice = Ns.Util.insertCommas( info.SALE_PRC );
					if( salePrice != null )
						offerPriceTag = '<span class="price-default"><strong class="head">판매가</strong> <del class="text"><strong>'+offerPrice+'</strong><span class="unit">원</span></del></span>';
					else
						offerPriceTag = '<span class="price-default"><strong class="head">판매가</strong> <ins class="text"><strong>'+offerPrice+'</strong><span class="unit">원</span></del></span>';
					
					var flashSaleInfo = CurrentView.ui.getRemainedTime( info.END_TIME, info.SALE_QUANTITY, isVIP );
					
					htmlTxt += Ns.Util.stringFormat('\
		        		<li class="items">\
		    				<div class="wrap">\
		    					<div class="thumbnail">\
		    						<a href="javascript:CurrentView.event.onclick_GotoProductDetail(\'{0}\', \'{1}\');"><img src="{2}" onerror="this.onerror=null;this.src=\'{3}\'" alt="상품 이미지"></a>\
									{4}\
		    					</div>\
		    					<div class="field">\
									<p class="title"><a href="javascript:CurrentView.event.onclick_GotoProductDetail(\'{7}\', \'{8}\');"><strong>{9}</strong></a></p>\
		    						<div class="data-info">\
		    							<p class="price">\
											{10}\
											{11}\
		    							</p>\
		    						</div>\
		    					</div>\
		    				</div>\
							{12}\
		    			</li>', 
	    				null, partNumber, imageUrl, noImageUrl,
	    				rateTag,
						info.catentryId, productName,
						null, partNumber, productName,
						offerPriceTag, salePriceTag,
						flashSaleInfo );
	        	} // end for loop 
	        	
	        	return htmlTxt;
	        },
	        
	        getRemainedTime : function( endTime, saleQuantity, isVIP ) {
	        	var msec = 1000;
	        	var msecPerMinute = msec * 60;
				var msecPerHour = msecPerMinute * 60;
				var msecPerDay = msecPerHour * 24;
				var currentTime = Ns.Date.getDateParse( Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss' ) );
				
				var ddays = 0;
				var hours = 0;
				var minutes = 0;
				
				var remaindET = Ns.Date.getDateParse( endTime );
				var interval = ( remaindET.getTime() - currentTime.getTime() ); 
				var remainingTime = interval;
				
				ddays = Math.floor(interval / msecPerDay );

				interval = interval - (ddays * msecPerDay );
				hours = Math.floor(interval / msecPerHour );
				
				interval = interval - (hours * msecPerHour );
				minutes = Math.floor(interval / msecPerMinute );
				
				interval = interval - (minutes * msecPerMinute );

				var htmlTxt = '<div class="option-order2">';
				htmlTxt = '<p class="d_date"  id="dDayArea">D- <span>' +  CurrentView.ui.addZero(ddays) + '</span>일 <span>'+  CurrentView.ui.addZero(hours) +'</span>:<span>'+  CurrentView.ui.addZero(minutes) +'</span></p>';
				if( ddays <= 3 )  {
					htmlTxt += '<span class="text" id="divSoldOutTagArea"><span class="em rate-j"><strong>매진임박<strong></span></span>';
				}
				htmlTxt += '<span class="count em rate-d">현재 <strong class="em rate-g">'+Ns.Util.insertCommas( saleQuantity )+'</strong>개 판매중</span>';
				htmlTxt += '</div>';
				
				if ( isVIP )
					CurrentView.REMAINED_TIMEs_VIP.push ( remainingTime );
				else
					CurrentView.REMAINED_TIMEs.push ( remainingTime );
				
				return htmlTxt;
	        },
	        
			setFlashSaleLimitTime : function( ) {
				mainCtrl.checkTimerObject();
				mainCtrl.m_timer = setInterval(CurrentView.ui.ontimer, 1000*60);
			},
			
			addZero : function(number){
	            return parseInt(number, 10) < 10 ? "0" + number : number;
	        },
	        
	        ontimer : function() {
	        	
	            var setRemainedTime = function( type, objName ) {
	            	var remainedTimes = null;
	            	if ( type == "VIP") {
	            		remainedTimes = CurrentView.REMAINED_TIMEs_VIP;
	            	} else {
	            		remainedTimes = CurrentView.REMAINED_TIMEs;
	            	}
	            	
	            	for ( var k=0; k<remainedTimes.length;k++) {
			        	var msec = 1000;
			        	var msecPerMinute = msec * 60;
						var msecPerHour = msecPerMinute * 60;
						var msecPerDay = msecPerHour * 24;

						var ddays = 0;
						var hours = 0;
						var minutes = 0;
						
						var interval = Number( remainedTimes[k] ) - (1000*60); 
						var remainingTime = interval;

						ddays = Math.floor(interval / msecPerDay );

						interval = interval - (ddays * msecPerDay );
						hours = Math.floor(interval / msecPerHour );
						
						interval = interval - (hours * msecPerHour );
						minutes = Math.floor(interval / msecPerMinute );
						
						interval = interval - (minutes * msecPerMinute );
						
			            if ( ddays == 0 && hours == 0 && minutes == 0 ) {
			    			$( objName ).eq(k).find( "div#divSoldOutTagArea" ).html( '' );
			    			$( objName ).eq(k).find( "div#divSoldOutTagArea" ).hide();;
			            } else {
			            	if( ddays <= 3 ) {
			            		$( objName ).eq(k).find( "div#divSoldOutTagArea" ).html( '<span class="em rate-j"><strong>매진임박<strong></span>' );
			            	} else {
			            		$( objName ).eq(k).find( "div#divSoldOutTagArea" ).html( '' );
			            		$( objName ).eq(k).find( "div#divSoldOutTagArea" ).hide();;
			            	}
			            	
			            	var htmlTxt =  'D- <span>' + CurrentView.ui.addZero(ddays) + '</span>일 <span>'+ CurrentView.ui.addZero(hours) +'</span>:<span>'+ CurrentView.ui.addZero(minutes) +'</span>' ;
			            	$( objName ).eq(k).find( "p#dDayArea" ).html( htmlTxt );
			            }
			            
			            if ( type == "VIP") {
		            		CurrentView.REMAINED_TIMEs_VIP = remainingTime;
		            	} else {
		            		CurrentView.REMAINED_TIMEs = remainingTime;
		            	}
			        } //end for loop
	            };
	            
	            setRemainedTime( "VIP", "ul#ulVIProductList li" );
	            setRemainedTime( "", "ul#ulBestProductListArea li" );
	        },
		}
		//end ui function...
};

	
