
/* JavaScript content from js/marketing/M_G5800000M.js in folder common */
/**
 * 		페이지 ID : M_G5800000M
 * 		2017.01.11 NsHoliday 페이지 개편으로 인해 storeComm에서 분리
 */

CurrentView = {
		inCatalogIdparent : "726554",	// NsHoliday 매장코드
		inCatgroupId : "",		// 서브메뉴 코드
		inList : "",			// 중간메뉴 선택 index
		bSubMenuShow : false,	// 서브메뉴 출력 여부
		bListMenuShow : false,	// 중간메뉴 출력 여부
		topBannerSwiper : null,	// 배너 swiper 변수
		arrNoDataPrint : [false, false, false, false, false, false, false, false],	// data 없는 html 출력 체크 변수	
		/*  0 : 서브메뉴
			1 : 탑 배너
			2 : 프로모션배너
			3 : 기획전 타이틀
			4 : 기획전 배너
			5 : 메뉴리스트
			6 : 인기상품 타이틀
			7 : 인기상품 목록 */
		
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		initializeComponent : function( params ){
			
			// 서브메뉴 세팅
			if (undefined != params.catgroupId){
				CurrentView.inCatgroupId = params.catgroupId;
			}
			
			// 중간메뉴 세팅
			if (undefined != params.list){
				CurrentView.inList = params.list;
			}
		},
		
		onLoad : function(){
			if (CurrentView.inCatgroupId == ""){
				CurrentView.data.getNSThemeTempViewMobileReal("menu");
			} else {
				CurrentView.data.getNSThemeTempViewMobileReal("updata");
			}			
		},
		
		//데이터 관련 함수 정의
		data : {
			/**
			 * Holiday 서브메뉴 및 배너, 배너에 속한 상품을 조회한다.
			 */
			getNSThemeTempViewMobileReal : function(strType){
				var objParam = new Object();
				objParam.catalogIdparent = CurrentView.inCatalogIdparent;	// 매장 id
				objParam.catgroupId = CurrentView.inCatgroupId;	// 서브메뉴 id (입력값이 없을 경우 메뉴만 조회됨)
				objParam.in_flag = strType;	// 콜백 참고용				
				tran.callWCSJsonTran( 'NSMobHolidayView', objParam, CurrentView.ui.setUi_NSThemeTempViewMobileReal, null, function() {}, true  );
			},	
			
			/**
			 * Holiday 매장에 사용될 Espot 데이터를 조회한다. 
			 */
			getHolidayEspot : function(){				
				var invoke = new Object;				
				invoke.catalogIdparent = CurrentView.inCatalogIdparent;
				invoke.catgroupId = CurrentView.inCatgroupId;
				invoke.list = CurrentView.inList;
				invoke.platform = 'MO';
				tran.callWCSJsonTran( 'NSMobHolidayView', invoke, CurrentView.ui.setUi_HolidayEspot ); //API명 수정 필요
			},
			
			/**
			 * Holiday 매장에 사용될 리스트 메뉴 및 해당 상품 데이터를 조회한다. 
			 */
			getHolidayEspotListTitle : function(){				
				var invoke = new Object;
				invoke.catgroupId = CurrentView.inCatgroupId;
				if (CurrentView.inList == ""){
					invoke.list = "1"
				} else {
					invoke.list = CurrentView.inList;
				}
				tran.callWCSJsonTran( 'NSMobHolidayViewTemp', invoke, CurrentView.ui.setUi_HolidayEspotListTitle ); //API명 수정 필요
			}			
		},
		//end data function...
		
		//ui interaction 관련 함수 정의 
		ui : {
			/**
			 * NSThemeTemplistReal API 통신 후 callback function
			 * 통신을 통해 받아온 data로 화면 출력등 처리
			 */
			setUi_NSThemeTempViewMobileReal : function (objCBdata){
				
				if (undefined == objCBdata.in_flag){
					$("#healthyCategory").hide();
					CurrentView.arrNoDataPrint[0] = true;
					CurrentView.ui.setNoDataPrint();
					return;
				}
				
				var strInflag = objCBdata.in_flag[0];
					
				if (CurrentView.bSubMenuShow == false){	// 메뉴 출력 여부
					CurrentView.ui.setMenu(objCBdata.msg.root.themeTempCateList);	// 메뉴 출력 펑션 호출
				}
				
				if (strInflag == "menu"){	// 메뉴 조회시
					if ( undefined == objCBdata.msg.root.themeTempCateList[0]){
						$("#healthyCategory").hide();
						CurrentView.arrNoDataPrint[0] = true;
						CurrentView.ui.setNoDataPrint();
						return;
					}
					
					CurrentView.inCatgroupId = objCBdata.msg.root.themeTempCateList[0].catgroupId;	// 메뉴 첫번째것을 세팅
					CurrentView.data.getNSThemeTempViewMobileReal("updata");	// 배너및 배너하위 상품 조회를 위해 통신 펑션 호출
					return;
				} else if (strInflag == "updata"){
					CurrentView.ui.setUi_NSThemeTempViewMobileReal_banner(objCBdata);
				}
				CurrentView.data.getHolidayEspotListTitle();
				CurrentView.data.getHolidayEspot();				
			},
			
			/**
			 * 상단 배너 및 배너에 속한 상품 출력 처리
			 */
			setUi_NSThemeTempViewMobileReal_banner : function (objCBdata){
				var arrTOP_BANNER = eval("JSON.parse(JSON.stringify(objCBdata.msg.root._" + CurrentView.inCatgroupId + "_TOP_BANNER))");
				var strBannerHtml = "";
				/*if(CurrentView.inCatgroupId == "727555"){  // TEST
					arrTOP_BANNER = arrTOP_BANNER.slice(0,1);
				}*/
				
				/* 탑배너 입력 1개 일때는 도트 미노출 */
				if(arrTOP_BANNER.length < 2){
					$("#pagenate").hide();
				}				
				
				/* 상단 배너 연관 상품 출력 관련 처리 */
				for (var i = 0; i < arrTOP_BANNER.length; i++){
					var index = i + 1;
					var arrProduct = null;
					
					try{
						arrProduct = eval("JSON.parse(JSON.stringify(objCBdata.msg.root._" + CurrentView.inCatgroupId + "_TOP_PRODUCT" + index + "))");
					} catch (e){
						arrProduct = undefined;
					}
					
					// 동적으로 해당 배너 상품 html화면에 출력
					var strTOP_PRODUCThtml = ""
						strTOP_PRODUCThtml += "<div id=\"TOP_PRODUCT" + index + "\" name=\"TOP_PRODUCT\" class=\"healthy_contents\" style=\"display:none;\">";
						strTOP_PRODUCThtml += "	<ul id=\"TOP_PRODUCT" + index + "ul\"></ul>                                                                 ";
						strTOP_PRODUCThtml += "</div>                                                                                           ";
//						strTOP_PRODUCThtml += "<div id=\"TOP_PRODUCT" + index + "_temp\" class=\"healthy_contents\" style=\"display:none;\">                ";
						strTOP_PRODUCThtml += "	<ul id=\"TOP_PRODUCT" + index + "ul_temp\">                                                                 ";
						strTOP_PRODUCThtml += "		<li>                                                                                        ";
						strTOP_PRODUCThtml += "			<a href=\"javascript:;\" name=\"btn_TOP_PRODUCT\">                                      ";
						strTOP_PRODUCThtml += "				<div name=\"c_imgTag\"></div>                                                       ";
						strTOP_PRODUCThtml += "				<dl>                                                                                ";
						strTOP_PRODUCThtml += "					<dt name=\"c_productNm\"></dt>                                                  ";
						strTOP_PRODUCThtml += "					<dd name=\"c_price\" class=\"price\"></dd>                                      ";
						strTOP_PRODUCThtml += "					<dd name=\"c_orderQty\" class=\"buyInfo\"></dd>	";
						strTOP_PRODUCThtml += "				</dl>                                                                               ";
						strTOP_PRODUCThtml += "			</a>                                                                                    ";
						strTOP_PRODUCThtml += "		</li>                                                                                       ";
						strTOP_PRODUCThtml += "	</ul>                                                                                           ";
//						strTOP_PRODUCThtml += "</div>                                                                                           ";
					$("#top_banner_product_area").append(strTOP_PRODUCThtml);
					
					if (null == arrProduct || undefined == arrProduct){
						continue;
					}
					
					var arrDrawData = new Array();
					
					for (var j = 0; j < arrProduct.length; j++){
						var obj = arrProduct[j];
						var objDetail = obj.productDetail;
						
						if (undefined == objDetail){
							continue;
						}
						
						if (objDetail.brandKorNm == "" || objDetail.brandKorNm == "미정의"){
							obj.c_productNm =  objDetail.itncatentrynm;
						} else {
							obj.c_productNm =  "[" + objDetail.brandKorNm + "] " + objDetail.itncatentrynm;
						}
						
						obj.c_imgTag = "<img src=\"" + Ns.Util.getImageUrl( obj.productId, "I" ) + "\" onerror=\"this.src='http://image.nsmall.com/ec_comimages/itemimg/noimage_I.jpg';\" alt=\"상품이미지\">";
						
						//Wapers 2017.09.25 옵션대표가 flag
						var optRepYn1 = "";
						if(undefined != objDetail.prcWaveDisp){
							optRepYn = objDetail.prcWaveDisp;
						} else {
							// empty for purpose
						}
						
						//Wapers 2017.09.25 옵션대표가 적용 - 체크포인트
						obj.c_price = Ns.Util.insertCommas(objDetail.pricedcprice) + "<span>원"+ optRepYn1 +"</span>";
						
						if (null != objDetail.orderQty && undefined != objDetail.orderQty && objDetail.orderQty > 0){
							obj.c_orderQty = "<span class=\"quantity\">" + Ns.Util.insertCommas(objDetail.orderQty) + "</span>개 구매중"
						}
						
						arrDrawData[arrDrawData.length] = obj;
						
						if (arrDrawData.length == 4){
							break;
						}
					}
					
					Ns.UI.drawList(arrDrawData, "TOP_PRODUCT" + index+ "ul", "");	// 화면 그리기
				}
				
				// 상단 배너 연관 상품 클릭 이벤트 처리
				$("#top_banner_product_area").find("a[name=btn_TOP_PRODUCT]").off().on("click", function (){
					CurrentView.event.setNaviParam();	// navi param 적재 펑션
					
					mainCtrl.gotoProductDisplay($(this).parent().data("data").productDetail.partnumber, '', 'MOBIL');
					return false;
				});
				
								
				/* 상단 배너 출력 관련 처리 */
				if (arrTOP_BANNER.length == 0){
					$("#topBanner").hide();					
					CurrentView.arrNoDataPrint[1] = true;
					CurrentView.ui.setNoDataPrint();
				} else {
					for (var i = 0; i < arrTOP_BANNER.length; i++){
						var obj = arrTOP_BANNER[i];
						
						var strOnClickHtml = "";
						//와이드 배너 링크 안걸려있을 때 알럿창 뜨지 않게 20160622 hawoong
						if("" != obj.clickCode){
							strOnClickHtml += "Ns.UI.espotClickEvent(";
							strOnClickHtml += "'" + obj.clickTarget + "', ";
							strOnClickHtml += "'" + obj.contentsId + "', ";
							strOnClickHtml += "'" + obj.clickCode + "', ";
							strOnClickHtml += "'" + obj.espotId + "', ";
							strOnClickHtml += "'" + obj.mdUrl + "', ";
							strOnClickHtml += null + ", ";
							strOnClickHtml += null + ", ";
							strOnClickHtml += "'" + Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(obj.mdUrl).split("?")[1]).catalogId + "'";
							strOnClickHtml += ");";
						}
						strBannerHtml += "<img src=\"http:" + obj.imgUrl + "\" alt=\"" + obj.marketingText + "\" class=\"swiper-slide swiper-no-swiping\" style=\"\" onclick=\"CurrentView.event.setNaviParam();" + strOnClickHtml + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" />";
					}
					
					if (null == CurrentView.topBannerSwiper){
						$("#topBannerWrapper").html(strBannerHtml);
					}
					
					$("#topBanner").show();
					
					CurrentView.ui.setSwiper("banner", arrTOP_BANNER);	// 배너 swiper 처리 펑션 호출					
				}
			},
			
			/**
			 * Holiday 리스트 메뉴에 속한 상품 data 출력
			 */
			setHolidayListMenuItem : function (data){
				$("#wide_prod").hide();	// 하단 중간 메뉴 상품 숨김(와이드)
				$("#thumbnail_prod").hide();	// 하단 중간 메뉴 상품 숨김(썸네일)
						
				var arrListData = data.msg.LIST;
				var arrClistData = new Array();
				var strViewType = data.msg.bannerType;
				
				for (var i = 0; i < arrListData.length; i++){
					var objList = arrListData[i];
					if (undefined != objList.productDetail){
						// 해당 상품 data 복사
						arrClistData[arrClistData.length] = JSON.parse(JSON.stringify(objList.productDetail));
						
						var nLengIndex = arrClistData.length -1;	// 적재된 datad의 마지막 index
						
						// 이미지 경로
						if (strViewType == "catalogEntryIdList"){	// 썸네일형
							arrClistData[nLengIndex].c_imgUrl_thumbnail = "<img src=\"" + Ns.Util.getImageUrl( arrClistData[nLengIndex].partnumber, "H" ) + "\" onerror=\"this.src='http://image.nsmall.com/ec_comimages/itemimg/noimage_H.jpg';\" alt=\"상품 이미지\" />";	// 이미지 url
							arrClistData[nLengIndex].c_moreIcon_thumbnail = "";
						} else if (strViewType == "collateralIdList"){	// 와이드형
							arrClistData[nLengIndex].c_imgUrl_wide = "<img src=\"" + "http:" + objList.imgUrl + "\" onerror=\"this.src='http://image.nsmall.com/ec_comimages/itemimg/noimage_H.jpg';\" alt=\"상품 이미지\" />";	// 이미지 url
							
						}
						
						// 상품명
						if (arrClistData[nLengIndex].brandKorNm == "" || arrClistData[nLengIndex].brandKorNm == "미정의"){
							arrClistData[nLengIndex].c_prodNm =  arrClistData[nLengIndex].itncatentrynm;	// 상품명
						} else {
							arrClistData[nLengIndex].c_prodNm = "[" + arrClistData[nLengIndex].brandKorNm + "] " + arrClistData[nLengIndex].itncatentrynm;	// 상품명
						}

						//Wapers 2017.09.25 옵션대표가 flag
						var optRepYn2 = "";
						if(undefined != arrClistData[nLengIndex].prcWaveDisp){
							optRepYn2 = arrClistData[nLengIndex].prcWaveDisp ;							
						} else {
							// empty for purpose
						}

						// 판매가
						arrClistData[nLengIndex].c_pricedcprice = Ns.Util.insertCommas(arrClistData[nLengIndex].pricedcprice) + "<span class=\"info_price_won\">원"+optRepYn2+"</span>";	// 할인 판매가
						arrClistData[nLengIndex].c_pricedcprice_wide = Ns.Util.insertCommas(arrClistData[nLengIndex].pricedcprice) + "<span class=\"info_price_won\">원"+optRepYn2+"</span>";	// 할인 판매가
						
						// 만족도 및 총구매수량 및 최근30일 구매수량
						if (arrClistData[nLengIndex].orderQty != undefined && arrClistData[nLengIndex].orderQty != 0){
							if (arrClistData[nLengIndex].score != 0 || arrClistData[nLengIndex].orderQty != 0){
								arrClistData[nLengIndex].c_satisfaction_wide = "<ul style=\"padding-top:6px;\">";
								arrClistData[nLengIndex].c_moreIcon_thumbnail += "<p class=\"sellTxt\">";
								var bScore = false;
								
								// 만족도 적재
								if (arrClistData[nLengIndex].score != 0){
									bScore = true;
									arrClistData[nLengIndex].c_satisfaction_wide += "<li>만족도 <span class=\"satis\">" + arrClistData[nLengIndex].score + "</span>%</li>";
									arrClistData[nLengIndex].c_moreIcon_thumbnail += "만족도 <span class=\"satis\">" + arrClistData[nLengIndex].score + "</span>%";
								}
								
								// 총구매수량 및 최근 30일 구매수량 적재
								if (arrClistData[nLengIndex].orderQty != 0){
									if (bScore == true){
										arrClistData[nLengIndex].c_moreIcon_thumbnail += "<span class=\"linebar\"></span>";
									}
									
									//priceFlag : A -  누적이 기간내 판매수량보다 많을 경우, D - 누적과 기간내 판매수량이 같을 경우
									/*if (arrClistData[nLengIndex].priceFlag == "A"){
										// 총 구매수량
										arrClistData[nLengIndex].c_satisfaction_wide += "<li>누적&nbsp;<span class=\"quantity\">" + Ns.Util.insertCommas(arrClistData[nLengIndex].orderQty) + "</span>개 구매중&nbsp;";
										arrClistData[nLengIndex].c_moreIcon_thumbnail += "누적&nbsp;<span class=\"quantity\">" + Ns.Util.insertCommas(arrClistData[nLengIndex].orderQty) + "</span>개 구매중&nbsp;";
										
										// 최근 30일 구매수량
										if (arrClistData[nLengIndex].latestOrderQty > 0){
											arrClistData[nLengIndex].c_satisfaction_wide += "(최근 30일 " + Ns.Util.insertCommas(arrClistData[nLengIndex].latestOrderQty) + "개)";
											arrClistData[nLengIndex].c_moreIcon_thumbnail += "(최근 30일 " + Ns.Util.insertCommas(arrClistData[nLengIndex].latestOrderQty) + "개)";
										}
									} else if (arrClistData[nLengIndex].priceFlag == "D"){
										arrClistData[nLengIndex].c_satisfaction_wide += "<li>";
										// 최근 30일 구매수량
										if (arrClistData[nLengIndex].latestOrderQty > 0){
											arrClistData[nLengIndex].c_satisfaction_wide += "최근 30일 " + Ns.Util.insertCommas(arrClistData[nLengIndex].latestOrderQty) + "개 구매중";
											arrClistData[nLengIndex].c_moreIcon_thumbnail += "최근 30일 " + Ns.Util.insertCommas(arrClistData[nLengIndex].latestOrderQty) + "개 구매중";
										}
									}*/
									arrClistData[nLengIndex].c_satisfaction_wide += "<li><span class=\"quantity\">" + Ns.Util.insertCommas(arrClistData[nLengIndex].orderQty) + "</span>개 구매&nbsp;";
									arrClistData[nLengIndex].c_moreIcon_thumbnail += "<span class=\"quantity\">" + Ns.Util.insertCommas(arrClistData[nLengIndex].orderQty) + "</span>개 구매&nbsp;";
									
									
									arrClistData[nLengIndex].c_satisfaction_wide += "</li>";
								}
								
								arrClistData[nLengIndex].c_satisfaction_wide += "</ul>";
								arrClistData[nLengIndex].c_moreIcon_thumbnail += "</p>";
							}
						}
						
						// 무료배송
						if (Number(arrClistData[nLengIndex].dlvrPrice, 10) == 0){
							arrClistData[nLengIndex].c_dlvrPrice_wide = "<p class=\"benefit\"><dfn class=\"label\">혜택</dfn><em class=\"free\">무료배송</em></p>";
							arrClistData[nLengIndex].c_moreIcon_thumbnail += "<span class=\"tag item-feature delivery-free\"><span class=\"head\">무료배송</span></span>&nbsp;";
						}
						
						// 할인율
						if (Number(arrClistData[nLengIndex].saleRate, 10) == 0){
							arrClistData[nLengIndex].c_saleRate = "";
						} else {
							arrClistData[nLengIndex].c_saleRate = arrClistData[nLengIndex].saleRate + "&#37;&darr;";
							arrClistData[nLengIndex].c_moreIcon_thumbnail += "<span class=\"tag item-feature discount-sale\"><span class=\"head\">할인</span></span>&nbsp;";
						}
						
						// 할인전 금액
						if (arrClistData[nLengIndex].c_saleRate == ""){
							arrClistData[nLengIndex].c_priceofferprice = "";
							arrClistData[nLengIndex].c_priceofferprice_wide = "";
						} else {
							
							//Wapers 2017.09.25 옵션대표가 flag
							var optRepYn3 = "";
							if(undefined != arrClistData[nLengIndex].prcWaveDisp){
								optRepYn3 = arrClistData[nLengIndex].prcWaveDisp ;
							} else {
								// empty for purpose
							}						
							
							//Wapers 2017.09.25 옵션대표가 적용
							arrClistData[nLengIndex].c_priceofferprice = "<strong>" + Ns.Util.insertCommas(arrClistData[nLengIndex].priceofferprice) + "</strong>원"+optRepYn3;
							arrClistData[nLengIndex].c_priceofferprice_wide = Ns.Util.insertCommas(arrClistData[nLengIndex].priceofferprice) + "원"+optRepYn3;
						}
						
						// 무이자 할부
						if (Number(arrClistData[nLengIndex].ifiValue, 10) > 0){
							arrClistData[nLengIndex].c_moreIcon_thumbnail += "<span class=\"tag item-feature interest-free\"><span class=\"head\">무이자</span> " + arrClistData[nLengIndex].ifiValue + "</span>";
						}
					}
				}
				
				if (arrClistData.length == 0){
					$("#wide_prod").hide();	// 하단 중간 메뉴 상품 숨김(와이드)
					$("#thumbnail_prod").hide();	// 하단 중간 메뉴 상품 숨김(썸네일)					
					CurrentView.arrNoDataPrint[7] = true;
					CurrentView.ui.setNoDataPrint();
				} else {
					if (strViewType == "catalogEntryIdList"){	// 썸네일형
						Ns.UI.drawList(arrClistData, "thumbnail_prod_ul", "");	// 화면 그리기
						$("#thumbnail_prod").show();	// 썸네일 형식 상품 영역 보여주기
						
						// 썸네일형 상품 클릭 이벤트 처리
						$("a[name=c_imgUrl_thumbnail], a[name=btnWidePrdNm_thumbnail]").off().on("click", function(){
							CurrentView.event.setNaviParam();	// navi param 적재 펑셩
							mainCtrl.gotoProductDisplay($(this).parents("li").data("data").partnumber, '', 'MOBIL');
						});
					} else if (strViewType == "collateralIdList"){	// 와이드형
						Ns.UI.drawList(arrClistData, "wide_prod", "");	// 화면 그리기
						$("#wide_prod").show();	// 와이드 형식 상품 영역 보여주기
						
						// 와이드형 상품 클릭 이벤트 처리
						$("a[name=c_imgUrl_wide], a[name=btnWidePrdNm_wide]").off().on("click", function(){
							CurrentView.event.setNaviParam();	// navi param 적재 펑셩
							mainCtrl.gotoProductDisplay($(this).parents("section").data("data").partnumber, '', 'MOBIL');
						});
					}
				}
			},
			
			/**
			 * Holiday 매장 Espot 영역 추가
			 */
			setUi_HolidayEspot : function (data){				
				// Holiday 프로모션 배너 영역
				CurrentView.ui.setPromotionBanner(data);
				
				// Holiday 기획전 타이틀 영역
				CurrentView.ui.setExhibitionTitle(data);
				
				// Holiday 기획전 배너 영역
				CurrentView.ui.setExhibitionBanner(data);
			
				// Holiday 인기상품 타이틀 영역
				CurrentView.ui.setHitTitle(data);
			}, 
			
			/**
			 * Holiday 매장 Espot 영역 추가
			 */
			setUi_HolidayEspotListTitle : function (data){
				if (CurrentView.bListMenuShow == false){ // 첫화면일 경우
					// Holiday 리스트 메뉴 영역 
					CurrentView.ui.setHolidayListTitle(data);
				}		
				
				// Holiday 리스트 메뉴에 속한 상품 data 출력
				CurrentView.ui.setHolidayListMenuItem(data);
				
			}, 
			
			/**
			 * Holiday 프로모션 배너 영역
			 */
			setPromotionBanner : function (data){
				try{
					var arrPromotionBanner = eval("JSON.parse(JSON.stringify(data.msg.root._" + CurrentView.inCatgroupId + "_MO_HOLIDAY_PROMOTION))"); // 프로모션배너

					if( arrPromotionBanner == undefined || arrPromotionBanner.length == 0 || ( arrPromotionBanner.length == 1 && (arrPromotionBanner[0].imgUrl == ""))) {
						$("#holiday_banner_area").hide();
						CurrentView.arrNoDataPrint[2] = true;
						CurrentView.ui.setNoDataPrint();
						return false;
					}
					
					/* 프로모션배너 그리기 */
					var nCount = arrPromotionBanner.length;
					var strHtml = "";					
					for (var i = 0; i < nCount; i++){
						var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(arrPromotionBanner[i].mdUrl).split("?")[1]).catalogId;
						strHtml += Ns.Util.stringFormat('\
								<li class="swiper-slide"><a href="javascript:Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');"><img src="http:{0}" alt=""></a></li>',
								arrPromotionBanner[i].imgUrl, arrPromotionBanner[i].clickTarget, arrPromotionBanner[i].contentsId, arrPromotionBanner[i].clickCode, arrPromotionBanner[i].espotId, arrPromotionBanner[i].mdUrl,  null, null, catalogId );
					}
					$("#ulHolidayBannerArea").html(strHtml);
					
					/* 프로모션 배너 Swipe 기능 추가 */
					if(nCount == 1){	// 배너가 하나만 있을경우 별도 처리 하지 않음
						
					} else {	// 배너가 두개 이상인 경우 Swiper 처리
						var holidayBannerSwiper = new Swiper('#divHolidayBannerArea', {
							slidesPerView: 1,
							paginationClickable: true,
							spaceBetween: 30,
							loop: true,
							centeredSlides: true, 
							autoplay: 3000, 
							autoplayDisableOnInteraction: false, 
						});
					}									
					$("#holiday_banner_area").show();
				}
				catch(e){
					$("#holiday_banner_area").hide();
					CurrentView.arrNoDataPrint[2] = true;
					CurrentView.ui.setNoDataPrint();
					return false;
				}
			}, 
			
			/**
			 * Holiday 기획전 타이틀 영역
			 */
			setExhibitionTitle : function(data){
				try{
					var tExhibitionTitle = eval("JSON.parse(JSON.stringify(data.msg.root.exhibit_title_text))"); // 기획전타이틀 
					$("#exTit").text(tExhibitionTitle);
					if( tExhibitionTitle == null || tExhibitionTitle == "" || tExhibitionTitle == undefined ) {
						$("#holiday_title").hide();
						CurrentView.arrNoDataPrint[3] = true;
						CurrentView.ui.setNoDataPrint();
						return false;
					}
					$("#holiday_title").show();
				}
				catch(e){
					$("#holiday_title").hide();
					CurrentView.arrNoDataPrint[3] = true;
					CurrentView.ui.setNoDataPrint();
					return false;
				}
			},			
			
			/**
			 * Holiday 기획전 배너 영역
			 */
			setExhibitionBanner : function(data){
				
				var arrExhibitBanner = eval("JSON.parse(JSON.stringify(data.msg.root._" + CurrentView.inCatgroupId + "_MO_HOLIDAY_EXHIBIT))"); // 기획전배너
				var $eventList = $("#ulHolidayExhibition");
				var strHtml = "";
				
				if( arrExhibitBanner == undefined || arrExhibitBanner.length == 0 ) {
					$("#holiday_exhibition").hide();
					CurrentView.arrNoDataPrint[4] = true;
					CurrentView.ui.setNoDataPrint();
					return false;
				}
			
				for( var k=0; k<arrExhibitBanner.length; k++ ) {
					var items = arrExhibitBanner[k];
					
					if ( Ns.Util.isNull(items.clickTarget) ){
						continue;
					}
					
					var protocol = "http:";
					var imgUrl = protocol + items.imgUrl;
					var replaceUrl = Const.NO_IMAGE_URL + "noimage_P.jpg";
					
					$.preLoadImages( imgUrl, replaceUrl );
					
					var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(items.mdUrl).split("?")[1]).catalogId;
					strHtml += Ns.Util.stringFormat('\
						<li><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{7}\',\'{8}\',\'{9}\');"><img src="{5}" onerror="this.onerror=null;this.src=\'{6}\'" alt="기획전이미지"></a></li>',
						items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl,  imgUrl, replaceUrl, null, null, catalogId );
				}
								
				$eventList.html( strHtml );		
				$("#holiday_exhibition").show();
			},
			
			/**
			 * Holiday 리스트 메뉴 영역 
			 */
			setHolidayListTitle : function(data){
				var arrMenuList = data.msg.LIST_TITLE;	// MenuList				
				var strMenuLengType = data.msg.list_Type;	// 화면에 표시될 메뉴 Type, ex) 4x1
				var arrMenuColandRow = new Array();
				//arrMenuList = arrMenuList.slice(0,5); //TEST
				/*if(CurrentView.inCatgroupId == "727557"){  //TEST
					strMenuLengType = "2x2"
				}*/

				if(strMenuLengType.indexOf('×') == -1)
					arrMenuColandRow = strMenuLengType.split('x'); // 영문자 x일경우
				else {
					arrMenuColandRow = strMenuLengType.split('×'); // 한자 기호 ×일 경우
				}

				var strMenuCol = arrMenuColandRow[0]; 
				var strMenuRow = arrMenuColandRow[1];
				
				
				/* Menu가 없거나 1개일 경우 MenuList를 숨기고 종료*/
				if (arrMenuList.length <  2 || strMenuLengType == null || strMenuLengType == undefined || strMenuLengType == "" || strMenuRow == undefined){
					$("#holiday_menuList").hide();
					CurrentView.arrNoDataPrint[5] = true;
					CurrentView.ui.setNoDataPrint();
					return false;
				}
				
				/* column 수에 따라 CSS class 변경 */
				$("#holiday_menuList").removeClass();
				if(strMenuCol == 2){					
					$("#holiday_menuList").addClass("menu list1");
				}else if(strMenuCol == 3){
					$("#holiday_menuList").addClass("menu list2");
				}else if(strMenuCol == 4){
					$("#holiday_menuList").addClass("menu list3");
				}
				
				/* strMenuLengType(ex.4x1)에 따라 HTML에 li추가 */
				var strHtml = "";
				strHtml += '<li class="on"><a href="javascript:;" id="holidayListMenu1"><div></div></a></li>';
				for (var i = 0; i < (strMenuCol * strMenuRow) -1; i++){
					strHtml += '<li><a href="javascript:;" id="holidayListMenu' + (i+2) + '"><div></div></a></li>';
				}
				$("#holiday_menuList").html(strHtml);
				/* 각 셀에 알맞은 메뉴명과 data 셋팅 */
				for (var i = 0; i < strMenuRow * strMenuCol ; i++){

					var $listMenu_txt = $("#holidayListMenu" + (i+1));					
					var strMarketingText = arrMenuList[i].marketingText;
					strMarketingText = Ns.Util.replaceAll(strMarketingText, "&lt;", "<");
					strMarketingText = Ns.Util.replaceAll(strMarketingText, "&gt;", ">");
					
					// 텍스트 출력
					$listMenu_txt.find("div").html(strMarketingText);
					
					// 각 중간메뉴 data 세팅 
					$listMenu_txt.data("data", arrMenuList[i]);
					if(arrMenuList.length == (i+1)){
						break;
					}
				}
				
				// 중간메뉴 클릭시 이벤트 처리
				$("#holiday_menuList").find("a").off().on("click", function (){
					var strClickIndex = "";
					
					$("#wide_prod").hide();	// 중간메뉴 하위 상품(와이드) 숨김
					$("#thumbnail_prod").hide();	// 중간메뉴 하위 상품(썸네일) 숨김
					
					$("#holiday_menuList").find("li").removeClass("on");	// 중간메뉴 선택 class 삭제
					
					$(this).parent().addClass("on");
					strClickIndex = Ns.Util.replaceAll($(this).attr("id"), "holidayListMenu", "");
										
					CurrentView.inList = strClickIndex;
					// 로그 전송
					tran.callPageLogging( "M_G5800000M", {catalogIdparent : CurrentView.inCatalogIdparent, catgroupId : CurrentView.inCatgroupId, list : strClickIndex} ); //로그 url&파라미터 남기기
					CurrentView.data.getHolidayEspotListTitle();
					
				});

				$("#holiday_hitMenu").show();
				$("#holiday_menuList").show();
				CurrentView.bListMenuShow = true;
			},			
			
			/**
			 * Holiday 인기상품 타이틀 영역
			 */
			setHitTitle : function(data){
				try{
					var tHitTitle = eval("JSON.parse(JSON.stringify(data.msg.root.best_product_title))"); // 인기상품타이틀 
					$("#hitTit").text(tHitTitle);
					
					if( tHitTitle == null || tHitTitle == "" || tHitTitle == undefined ) {
						if(CurrentView.arrNoDataPrint[5] == true) {
							$("#holiday_hitMenu").hide();
						}
						$("#hitTitle").hide();
						CurrentView.arrNoDataPrint[6] = true;
						CurrentView.ui.setNoDataPrint();
						return false;
					}
					
					if(CurrentView.arrNoDataPrint[5] == true) {
						$("#holiday_hitMenu").show();
						$("#hitTitle").show();
					}
				}
				catch(e){
					if(CurrentView.arrNoDataPrint[5] == true) {
						$("#holiday_hitMenu").hide();
					}
					$("#hitTitle").hide();
					CurrentView.arrNoDataPrint[6] = true;
					CurrentView.ui.setNoDataPrint();
					return false;
				}
			},
			
			/**
			 * 서브메뉴를 화면에 출력한다.
			 */
			setMenu : function (arrMenu){
				Ns.UI.drawList(arrMenu, "subMenuList", "");	// 화면 그리기
				
				if (arrMenu.length <= 1){	// 메뉴 갯수가 1개 이하인 경우
					$("#healthyCategory").hide();	// 메뉴 숨김
				} else {
					CurrentView.ui.setSwiper("menu", arrMenu);	// swiper 세팅
				}
				
				CurrentView.bSubMenuShow = true;	// 메뉴 출력 여부 세팅
			},
			
			/**
			 * swiper 설정 및 세팅
			 */
			setSwiper : function (strFlag, Menu){
				
				var nMenuLeng = Menu.length;
				if (strFlag == "menu"){	// 서브메뉴 세팅
					if (nMenuLeng > 1){	// 메뉴수가 1개 이상일 경우
						var nSlidesPerView = 4;
						//메뉴수가 4보다 클 경우 4.5개 노출 hawoong12
						if (nMenuLeng > 4){
							nSlidesPerView = 4.5;
						}
						
						// swiper 세팅
						var menuSwiper =  new Swiper('#healthyCategory', {
							initialSlide: 0, 
							speed: 100,
							slidesPerView: 'auto',
							slideActiveClass: '',
							loop : false,
							slidesPerView  : nSlidesPerView
						});
						
						var $btnCatgroupNm = $("li[name=btnCatgroupNm]");	// 서브메뉴 각 버튼 영역
						
						if (CurrentView.inCatgroupId == ""){	// 기 선택된 서브메뉴가 없을 경우
							$btnCatgroupNm.removeClass("on");	// 선택 클래스 초기화
							$btnCatgroupNm.eq(0).addClass("on");	// 첫번째 서브메뉴 선택
						} else {	// 기 선택되 서브메뉴가 있을 경우 
							$("li[name=btnCatgroupNm]").each(function(){
								if ($(this).data("data").catgroupId == CurrentView.inCatgroupId){	// 같은 메뉴가 있을경우
									$btnCatgroupNm.removeClass("on");	// 선택 클래스 초기화
									$(this).addClass("on");	// 해당 서브메뉴 선택
								}
							});
						}
						
						// 서브메뉴 클릭시 이벤트 처리
						$btnCatgroupNm.off().on("click", function(){
							CurrentView.arrNoDataPrint = [false, false, false, false, false, false, false, false];
							$("#noDataPrint").remove();	// 상품없음 html 삭제
							
							$("#wide_prod").hide();	// 하단 중간 메뉴 상품 숨김(와이드)
							$("#thumbnail_prod").hide();	// 하단 중간 메뉴 상품 숨김(썸네일)
							$("#holiday_exhibition").hide();
							$("#holiday_hitMenu").hide();
							$("#holiday_menuList").hide();							
							$("#hitTitle").hide();
							
							$("div[name=TOP_PRODUCT]").hide();	// 상단 배너영역 숨김
							$("div[name=TOP_PRODUCT]").remove();	// 상단 배너영역 숨김
							
							$("li[name=btnCatgroupNm]").removeClass("on");	// 선택표시 class 삭제
							$(this).addClass("on");	// 해당 서브메뉴 선택표시 class 삽입
							
							CurrentView.inList = "";	// 하단 중간 메뉴 
							CurrentView.bListMenuShow = false;	// 중간메뉴 출력여부 초기화
							CurrentView.inCatgroupId = $(this).data("data").catgroupId;	// 서브메뉴 선택 값 적재
							
							// swiper 초기화
							if (CurrentView.topBannerSwiper != null){
								CurrentView.topBannerSwiper.destroy(true, true);
								CurrentView.topBannerSwiper = null;
							}
							//5번째 이상 선택하면 서브메뉴 이동
							var index = $("li[name=btnCatgroupNm]").index(this);
							if(3 < index){
								var strtemp = document.getElementById('subMenuList').style.width;
								var splittemep = strtemp.split('p');
								var numtemp = Number(splittemep[0]);
								var numsubmenuCount = $("li[name=btnCatgroupNm]").length;
								var width = numtemp/numsubmenuCount;
								var NumCurrentwidthsize = $("#healthyCategory").width();
								$("#subMenuList").css("transform","translate3d("+ -1*(NumCurrentwidthsize-(width*index))+"px,0px,0px)");
							}
							// 로그 전송
							tran.callPageLogging( "M_G5800000M", {catalogIdparent : CurrentView.inCatalogIdparent , catgroupId : CurrentView.inCatgroupId , list : 1} ); //로그 url&파라미터 남기기
							CurrentView.data.getNSThemeTempViewMobileReal("updata");	// 통신 펑션 콜

							return false;
						});
						
						$("#subMenuList").show();	// 서브메뉴 영역 보이기
					} else {	// 메뉴가 1개일경우 숨김
						$("#subMenuList").hide();
					}
					
				} else if (strFlag == "banner"){	// 상단 배너
					var bLoop = true;	// 반복여부
					var bAuto = 3000;	// 반복시간
					
					if (1 >= nMenuLeng){	// 수량이 1개 이하일 경우 세팅
						bLoop = false;
						bAuto = 0;
					}
					
					/* 탑배너 Swiper 생성 */
					CurrentView.topBannerSwiper = new Swiper('#topBanner', {
						slidesPerView: 1,
						paginationClickable: true,
						spaceBetween: 30,
						loop: bLoop,
						centeredSlides: true, 
						autoplay: bAuto, 
						autoplayDisableOnInteraction: false,
						pagination: '.pagenate', 
						paginationClickable: true,
						calculateHeight: true,
						onInit : function(swiper){	// swiper 최초 시작시
							$("#pagenate").css({"position" : "absolute", "left" : "0px"});	// 간헐적으로 아이폰에서 페이징도트가 위치를 못잡는 경우가 생겨서 강제로 세팅
							CurrentView.topBannerSwiper.swipeTo(0);	// 첫번째 선택
							var $TOP_PRODUCT = $("#TOP_PRODUCT" + (swiper.activeLoopIndex+1));
							$("#top_banner_product_area").find("div[name=TOP_PRODUCT]").hide();	//	모든 배너상품 숨김
							if ($TOP_PRODUCT.find("li").length != 0){
								$TOP_PRODUCT.show();	// 해당 배너상품 노출
							}
						},
						onSlideChangeStart: function(swiper){	// 배너 변경시
							var $TOP_PRODUCT = $("#TOP_PRODUCT" + (swiper.activeLoopIndex+1));
							$("#top_banner_product_area").find("div[name=TOP_PRODUCT]").hide();	//	모든 배너상품 숨김
							if ($TOP_PRODUCT.find("li").length != 0){
								$TOP_PRODUCT.show();	// 해당 배너상품 노출
							}
						},
					});				
					
					if (2 <= nMenuLeng){
						/* 탑배너 입력 1개 일때는 도트 노출 */
						$("#pagenate").show();
					} else {
						/* 탑배너 입력 1개 일때는 플리킹 불가처리 */
						CurrentView.topBannerSwiper.params.noSwiping = true
					}
				}
				
			},
			
			/**
			 * data가 없을경우 화면 출력
			 */
			setNoDataPrint : function (){
				if (CurrentView.arrNoDataPrint[0] == true || (CurrentView.arrNoDataPrint[1] == true && CurrentView.arrNoDataPrint[2] == true && CurrentView.arrNoDataPrint[3] == true && CurrentView.arrNoDataPrint[4] == true && CurrentView.arrNoDataPrint[5] == true && CurrentView.arrNoDataPrint[6] == true && CurrentView.arrNoDataPrint[7] == true)){
					if ( $("#noDataPrint").length == 0){
						$("#storeCommContent").append("<div id=\"noDataPrint\">" + mainCtrl.getNoResultDataHtml( "조회된 상품이 없습니다." ) + "</div>");
					}
				}
			}
		},
		//end ui function...
		
		//이벤트 관련 함수 정의
		event : {
			/**
			 * navi에 param 적재 - 뒤로가기등 처리를 위해
			 */
			setNaviParam : function(){
				var objNaviParam = new Object();
				objNaviParam.catalogIdparent = CurrentView.inCatalogIdparent;
				objNaviParam.catgroupId = CurrentView.inCatgroupId;
				objNaviParam.list = CurrentView.inList;
				navi.setPageParam( objNaviParam );	// navi param 적재
			},
		}
		//end event function
};