
/* JavaScript content from js/member/M_M1121100P.js in folder common */
/* 
 *	아이디 찾기
 *  ID : M_M1121100P
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
		  $("#btnAuthHP").unbind().bind( "click", this.event.onclick_btnAuthHP );
		  $("#btnAuthEMail").unbind().bind( "click", this.event.onclick_btnAuthEMail );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			/* GNB영역 숨김 */
			mainCtrl.hideGNB();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
		  //휴대폰 인증 버튼 클릭. 
		  onclick_btnAuthHP : function() {
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_아이디찾기',
					eventAction : '인증방법',
					eventLabel : "휴대폰인증"
			};
			var subparam = {
					t1 : '로그인',
					t2 : "아이디찾기"
			};
		
			GA.sendEventData(event_obj,subparam);
			
		    mainCtrl.navigate( "M_M1121101P" );
		  },
		  
		  //이메일 인증 버튼 클릭
		  onclick_btnAuthEMail : function() {
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_아이디찾기',
					eventAction : '인증방법',
					eventLabel : "이메일인증"
			};
			var subparam = {
					t1 : '로그인',
					t2 : "아이디찾기"
			};
		
			GA.sendEventData(event_obj,subparam);
		    mainCtrl.navigate( "M_M1121102P" );
		  }
		}
};