
/* JavaScript content from js/member/M_M1122100P.js in folder common */
/* 
 *	아이디 찾기-아이디 찾기 결과
 *  ID : M_M1122100P
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		
				
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function( ) {					
			$("#btnLogin").on( "click" , function(){ mainCtrl.navigate("M_M1111100M"); });
			$("#btnPwdSearch").on( "click" , function(){ mainCtrl.navigate("M_M1131100P"); });
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			/* GNB영역 숨김 */
			mainCtrl.hideGNB();
			
//			$("#searchLogonId").text( params.logonId );
			CurrentView.ui.setLogonIdList( params );
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			setLogonIdList : function( data ){
				if ( Ns.Util.isNull(data) ){
					return false;
				}
				// 닉네임 출력
				var userName = data.name;

				var IDList = data.search_Id;
				var htmlTxt = "";
				
				if ( IDList.indexOf("|") > -1 ){
					IDList = IDList.split("|");
					for(var i=0; i<IDList.length; i++){
						htmlTxt += '<span class="em rate-g">' + IDList[i] +'</span>';
					}
				} else {
					htmlTxt += '<span class="em rate-g">' + IDList +'</span>';
				}
				
				$("#logonIdList").html( htmlTxt );
				$("#userName").text(userName);
			}
		},
		
		//이벤트 관련 함수를 정의한다.
		event : {
		}
};