
/* JavaScript content from js/member/M_M1131100P.js in folder common */

/* 
 *	비밀번호 찾기-비밀번호 찾기
 *  ID : M_M1131100P
 *  
 */

//page 컨트롤 클래스
CurrentView = {

	reqParams : {
		lastName : '', // 이름
		param  	 : '', // 로그온 아이디		
		mode 	 : 'F'
	},

	init : function(params) {
		this.initializeComponent();
		this.onLoad(params);
	},

	// html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	// 이벤트 binding 등...
	initializeComponent : function(params) {
		
		$("#btnLogonIdCert").on("click", CurrentView.event.onclick_btnLogonIdCert);
	},

	// html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {
		/* GNB영역 숨김 */
		mainCtrl.hideGNB();
	},

	// 데이터 관련 함수를 정의한다.
	data : {
		checkInputValue : function() {
			var logonId = $("#inputLogonId").val();

			if (logonId == "") {
				Ns.Popup.alert("아이디를 입력하세요.");
				return false;
			}
			
			CurrentView.reqParams.lastName = "";
			CurrentView.reqParams.param = $.trim(logonId);

			return true;
		}
	},

	// ui 관련 함수를 정의한다.
	ui : {

	},

	// 이벤트 관련 함수를 정의한다.
	event : {
		onclick_btnLogonIdCert : function(){
			if (!CurrentView.data.checkInputValue()){
				return false;
			}
			CurrentView.event.checkMemberJoin('F');
		},
		
		checkMemberJoin : function(type) {
			CurrentView.reqParams.type = type;
			var pageId = "M_M1131110P";
			
			tran.callWCSJsonTran('NSPWCheckMoblieCmdReal', CurrentView.reqParams, function(data){
				var processMsg = data.msg.root.Checkresult.processMsg;
				var text		= data.msg.root.Checkresult.text;
				if(processMsg == 'E'){
					Ns.Popup.showPopup("M_M1131110L");
				}else{
					var params = {
						logonId : CurrentView.reqParams.param,
						name    : CurrentView.reqParams.lastName,
						type	: CurrentView.reqParams.type
					};
					mainCtrl.navigate(pageId, params);
				}
			});
		},
		
		onkeyup_inputLogonId : function(obj) {
			if (obj.value.length >= obj.maxLength) {
				obj.value = obj.value.slice(0, obj.maxLength-1);
				obj.blur();
				Ns.Popup.alert('50자를 초과 할 수 없습니다.');
			}
		}
	}
};