
/* JavaScript content from js/member/M_M1250000M.js in folder common */
/* 
 *  페이지 ID : M_M1250000M.
 *  
 *  네이버 계정연결 팝업 (2016-10-27 정승진)
*/
CurrentPopup = {
	THIS_PARAMs : null,	
	// init
	init : function(params) {
		this.initializeComponent(params);
		this.onLoad(params);
	},
	
	// html 페이지 로딩 후 초기화해야 할 적업들을 정의
	initializeComponent : function(params) {
		this.THIS_PARAMs = params;
		$('#btnClose').on('click', CurrentPopup.event.LayerPopupClose);
		$('#btnExistingConnection').on('click', CurrentPopup.event.onclick_btnExistingConnection);
		$('#btnNewConnection').on('click', CurrentPopup.event.onclick_btnNewConnection);
		
		this.data.userIdChk();
	},
	
	// 화면 로딩중일 때 처리할 작업을 정의
	onLoad : function(params) {
		
	},
	
	// 데이터 관련 함수를 정의한다. 
	data : {

		/*
		 *  네이버 이메일과 NSMALL 에서 사용중인 아이디의 비교
		 */
		userIdChk : function(){
				var params = {
					"cmdType" : "checkEntEmailInfo",
					"logonid" : CurrentPopup.THIS_PARAMs.Email 
				};
				// 기가입 아이디 리스트
				var idArr = [];
				
				// 중에 휴면계정이 아닌 아이디 리스트
				var resultArr = [];

				tran.callWCSJsonTran('NsMobileMemberSignupCmd', params, function(data){
					if(data.msg && data.msg.loginInfo){
						idArr = data.msg.loginInfo.split("$");
					}
					
					$.each(idArr, function(idx,val){
						/*
						 *  아이디 
						 *  휴면 여부 Y/N
						 *  휴면 계정은 노출 제외
						 */
						var id 			= val.split("|")[0];  
						var diapauseYN	= val.split("|")[1];
						
						if(diapauseYN == "N"){
							resultArr.push(Ns.Util.formatIDWithAsterisk(id));
						}
					});
					
					if(resultArr.length > 0){
						var html = "";
						$.each(resultArr , function(idx,val){
							html += '<h2 class="dupId">' + val + '</h2>';
						});
						
						$("#dupId").prepend(html);
						$("#dupId").show();
					}
				});
			
		}
	},
	
	// 이벤트 관련 함수를 정의한다.
	event : {
		/**
		 * 닫기 버튼 클릭
		 * */
		LayerPopupClose : function() {
			$("#contents .content-primary").show();
			$("#M_M1250000M").remove();
			navi.setMovePointer(-1);
		},
		/**
		 * 기존 아이디 연결 버튼 클릭
		 * */
		onclick_btnExistingConnection : function() {
			var params = {
					resAction : CurrentPopup.THIS_PARAMs
				};
			params.IsMember = "old";
			mainCtrl.navigate( "M_M1271000M" ,params);
			navi.setMovePointer(-1);
		},
		/**
		 * 신규 회원가입 버튼 클릭
		 * */
		onclick_btnNewConnection : function() {
			var params = {
					resAction : CurrentPopup.THIS_PARAMs
				};
			params.IsMember = "new";
			mainCtrl.navigate( "M_M1271000M" ,params);
			navi.setMovePointer(-1);
		}
	},
	
	// ui 관련 함수 정의
	ui : {
		
	}
	
};