
/* JavaScript content from js/member/M_M1280000P.js in folder common */
/* 
 *  페이지 ID : M_M1280000M
 *  
*/
CurrentPopup = {
	THIS_PARAMs : null,	
	// init
	init : function(params) {
		this.initializeComponent(params);
		this.onLoad(params);
	},
	
	// html 페이지 로딩 후 초기화해야 할 적업들을 정의
	initializeComponent : function(params) {
		this.THIS_PARAMs = params;
		$('#popclose').on('click', CurrentPopup.event.LayerPopupClose);
		$('#btnExistingConnection').on('click', CurrentPopup.event.onclick_btnExistingConnection);
		$('#btnNewConnection').on('click', CurrentPopup.event.onclick_btnNewConnection);
	},
	
	// 화면 로딩중일 때 처리할 작업을 정의
	onLoad : function(params) {
		$("#M_M1290000P").remove();
		$("#scriptM_M1290000P").remove();
	},
	
	// 데이터 관련 함수를 정의한다. 
	data : {
		
	},
	
	// 이벤트 관련 함수를 정의한다.
	event : {
		/**
		 * 닫기 버튼 클릭
		 * */
		LayerPopupClose : function() {
			console.log("LayerPopupClose::");
			$("#contents .content-primary").show();
			$("#M_M1280000P").remove();
			$("#scriptM_M1280000P").remove();
			navi.setMovePointer(-1);
		},
		/**
		 * 기존 아이디 연결 버튼 클릭
		 * */
		onclick_btnExistingConnection : function() {
			var params = {
					resAction : CurrentPopup.THIS_PARAMs
				};
			params.IsMember = "old";
			CurrentPopup.event.LayerPopupClose();
			mainCtrl.navigate( "M_M1271000M" ,params);
			navi.setMovePointer(-1);
		},
		/**
		 * 신규 회원가입 버튼 클릭
		 * */
		onclick_btnNewConnection : function() {
			var params = {
					resAction : CurrentPopup.THIS_PARAMs
				};
			params.IsMember = "new";
			CurrentPopup.event.LayerPopupClose();
			mainCtrl.navigate( "M_M1271000M" ,params);
			navi.setMovePointer(-1);
		}
	},
	
	// ui 관련 함수 정의
	ui : {
		
	}
	
};