
/* JavaScript content from js/member/M_M1300000F.js in folder common */
/**
 * 		페이지 ID : M_M1300000F
 * 		페이스북 로그인 실행
 * 		(http 모바일웹에서 https로 호출하기 위함)
 */

var CurrentView = {

		fbMemberInfo : null,
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad( params );
		},
		
		//이벤트 binding 등...
		initializeComponent : function() {
			
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function( params ) {
			// facebook 스크립트를 받아온 후 init 함수를 실행한다.
			$.getScript("https://connect.facebook.net/ko_KR/all.js#xfbml=1", function(){
				CurrentView.data.initFacebookInfo();
			});
			 
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			/**
			 * 페이스북 API 초기화
			 */
			initFacebookInfo : function(){
				// init
				FB.init({
					appId   : Const.getFacebookAppKey(), 	// App ID
					status  : true,    // check login status
					cookie  : false,   // enable cookies to allow the server to access the session
					xfbml   : true,    // parse XFBML
					oauth   : true
				});
				 
				// 이미 로그인되어 있으면 로그아웃 시킴
				FB.getLoginStatus(function(response) {
					if (response.status == 'connected') {
						FB.logout();
					}
				});
				
				// 로그인함수 호출
				CurrentView.data.mobilewebFBlogin();
			  },
			  
			  /**
			   * 페이스북 로그인, 모바일 웹
			   */
			  mobilewebFBlogin : function() {
				  var data = {};
				  data.func = "hideLoadingImg";
				  window.parent.postMessage(data, "http://" + Const.MOBILE_NSMALL_PATH);
				  
				  FB.login(function(response) {
					  if (response.authResponse) {
						  FB.api('/me', 'GET', {fields: "id,name,email,gender,birthday"}, function(data) {
							  // 정보를 가져오고 로그아웃 시킴
							  FB.logout();
							  // 사용자 이메일 정보가 없을 경우
							  if (data.email == null || data.email == "" || data.email == undefined) {
								  Ns.Popup.alert("페이스북 정보를 가지고 올 수 없습니다.\n페이스북 설정에서 기본 이메일을 입력해 주세요.");
								  // 사용자 이메일 정보가 있을 경우
							  } else {
								  var fbEmail 		= data.email == undefined ? "" : data.email;
								  var fbName 		= data.name == undefined ? "" : data.name;
								  var fbGender 		= data.gender == undefined ? "" : data.gender;
								  var fbBirthday 	= data.birthday == undefined ? "" : data.birthday;
								  // 사용자 정보가 존재하는 경우
								  CurrentView.fbMemberInfo = {
										  fbEmail 		: fbEmail,
										  fbName 		: fbName,
										  fbGender 		: fbGender,
										  fbBirthday 	: fbBirthday								
								  };
								  // 부모창의 함수 호출
								  data.func = "simpleMemberJoinCheck";
								  data.fbEmail = fbEmail;
								  window.parent.postMessage(data, "http://" + Const.MOBILE_NSMALL_PATH);
							  }
						  });
					  }
				  }, {scope: 'email', return_scopes: true});
			  }
			  
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			
		}
};