
/* JavaScript content from js/messages.js in folder common */
/*
* Licensed Materials - Property of IBM
* 5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*/

Messages = { 
	// Add here your messages for the default language. 
	// Generate a similar file with a language suffix containing the translated messages
	// key1 : message1,
	// key2 : message2
	
	// Uncomment if you use the Authenticator example.  
	// usernameLabel : "Username:",
	// passwordLabel : "Password:",
	// invalidUsernamePassword : 'Invalid username or password.' 
		
	isEnd : '종료하시겠습니까?',
	appName	: 'NS홈쇼핑',
	was_error : "서비스가 지연되고 있습니다.\n잠시 후 다시 시도하시기 바랍니다.",
//	unresponse_host : "비행기탑승 모드이거나 (3G,LTE)데이터 네트워크 접속이 불가한 상태입니다. Wi-Fi를 연결해 접속하시거나, (3G,LTE) 네트워크 설정 상태를 확인하신 후 다시 실행해주시기 바랍니다.",
	unresponse_host : "서버로부터 응답이 없습니다.\n통신상태를 확인 하신 후 다시 시도해 주십시오.",
    request_timeout : "서버로부터 응답이 없습니다.\n통신상태를 확인 하신 후 다시 시도해 주십시오.",
    procedure_error : "데이터를 불러오는 중 문제가 발생했습니다.\n잠시 후 다시 시도해 주십시오.",
    unsupported_version : "지원하지 않는 버전입니다.\n어플리케이션 업데이트 후 사용하십시오.",
    transaction_fail : "서비스가 지연되고 있습니다.\n잠시 후 다시 시도하여 주십시오.",
    transaction_error : "서버와 통신이 원활하지 못합니다.\n잠시 후 다시 시도해 주십시오.",
    unexpected_error : "예기치 않은 문제가 발생했습니다.잠시 후 다시 시도해 주십시오.",
    login_required : "로그인이 필요한 메뉴입니다.",
    directUpdate : "업데이트를 사용할 수 있습니다."
};

//overrided worklight client messages 
//function overrideWorkLightMessages() {
//	
//	WL.ClientMessages.accessDenied = '접근을 허용할 수 없습니다.';
//	WL.ClientMessages.authenticationFailure = '인증 실패';
//	WL.ClientMessages.authFailure = '응용 프로그램에서 요청을 처리하는 동안 오류가 발생했습니다.';
//	WL.ClientMessages.applicationDenied = '어플리케이션 업데이트 후 사용하십시오.';
//	WL.ClientMessages.close = '닫기';
//	WL.ClientMessages.copyToClipboard = '클립보드에 복사';
//	WL.ClientMessages.details = "상세";
//	WL.ClientMessages.directUpdateNotificationTitle = '업데이트 알림';
//	WL.ClientMessages.directUpdateNotificationMessage = '업데이트를 사용할 수 있습니다. (파일크기 {0} MB)';
//	WL.ClientMessages.directUpdateErrorTitle = '업데이트를 실패했습니다.';
//	WL.ClientMessages.directUpdateErrorMessageNotEnoughStorage = '업데이트를 사용할 수 있지만 디바이스에서 사용할 수 있는 공간이 충분하지 않습니다. (필요 공간: {0} MB, 사용 가능 공간: {1} MB).';
//	WL.ClientMessages.directUpdateErrorMessageFailedDownloadingZipFile = '업데이트 파일을 다운로드하지 못했습니다.';
//	WL.ClientMessages.directUpdateErrorMessageFailedProcessingZipFile = '업데이트를 실패했습니다.';
//	WL.ClientMessages.deviceAuthenticationFail = '연결 오류';
//	WL.ClientMessages.downloadAppWebResourcesConnectionToServerUnavailable = '서버에 연결할 수 없습니다. 어플리케이션  리소스를 다운로드 할 수 없습니다.';
//	WL.ClientMessages.exit = '종료';
//	WL.ClientMessages.exitApplication = '어플리케이션 종료';
//	WL.ClientMessages.error = '오류';
//	WL.ClientMessages.getNewVersion = '새로운 버전을 가져옵니다.';
//	WL.ClientMessages.loading = '잠시만 기다려주세요.';
//	WL.ClientMessages.noInternet = '서비스 연결을 사용할 수 없습니다.';
//	WL.ClientMessages.notificationTitle = '푸시 알림';
//	WL.ClientMessages.notificationUpdateFailure = '푸시 알림을 등록하지 못했습니다. 푸시 알림을 받을 수 없습니다.';
//	WL.ClientMessages.notAvailable = '사용할 수 없음';
//	WL.ClientMessages.ok = '확인';
//	WL.ClientMessages.requestTimeout = "서버로부터 응답이 없습니다. 통신상태를 점검하신 후 다시 시도하시기 바랍니다.";
//	WL.ClientMessages.responseNotRecognized = "서버로부터 응답이 없습니다. 통신상태를 점검하신 후 다시 시도하시기 바랍니다.";
//	WL.ClientMessages.settings = '설정';
//	WL.ClientMessages.serverError = "서비스에 불편을 드려 죄송합니다. 잠시 후  다시 시도하여 주십시오.";
//	WL.ClientMessages.unexpectedError = "서비스에 불편을 드려 죄송합니다. 잠시 후  다시 시도하여 주십시오.";
//	WL.ClientMessages.unresponsiveHost = "서버로부터 응답이 없습니다. 통신상태를 점검하신 후 다시 시도하시기 바랍니다.";
//	WL.ClientMessages.update = '업데이트';
//	WL.ClientMessages.upgradeGadget = '현재 어플리케이션 버전은  {0}입니다. 새로운 버전  {1}을 사용할 수 있습니다. 다운로드 및 설치를 진행하려면 확인을 클릭하십시오.';
//	WL.ClientMessages.wlclientInitFailure = '어플리케이션을 초기화하지 못했습니다.';
//}

var overrideMessages = {
	accessDenied : '접근을 허용할 수 없습니다.',
	authenticationFailure : '인증 실패',
	authFailure : '응용 프로그램에서 요청을 처리하는 동안 오류가 발생했습니다.',
	applicationDenied : 'NS홈쇼핑',//'어플리케이션 업데이트 후 사용하십시오.',
	close : '닫기',
	copyToClipboard : '클립보드에 복사',
	details : "상세",
	directUpdateNotificationTitle : 'NS홈쇼핑',
	directUpdateNotificationMessage : '업데이트를 사용할 수 있습니다.\n(파일크기 {0} MB)',
	directUpdateErrorTitle : '업데이트를 실패했습니다.',
	directUpdateErrorMessageNotEnoughStorage : '업데이트를 사용할 수 있지만 디바이스에서 사용할 수 있는 공간이 충분하지 않습니다. (필요 공간: {0} MB, 사용 가능 공간: {1} MB).',
	directUpdateErrorMessageFailedDownloadingZipFile : '업데이트 파일을 다운로드하지 못했습니다.',
	directUpdateErrorMessageFailedProcessingZipFile : '업데이트를 실패했습니다.',
	deviceAuthenticationFail : '연결 오류',
	downloadAppWebResourcesConnectionToServerUnavailable : '서버에 연결할 수 없습니다. 어플리케이션  리소스를 다운로드 할 수 없습니다.',
	exit : '종료',
	exitApplication : '어플리케이션 종료',
	error : '오류',
	getNewVersion : '새로운 버전을 가져옵니다.',
	handleTimeOut : '서버로부터 응답이 없습니다. 통신상태를 확인하신 후 다시 시도해 주십시오.',
	loading : '잠시만 기다려주세요.',
	noInternet : '서비스 연결을 사용할 수 없습니다.',
	notificationTitle : 'NS홈쇼핑',
	notificationUpdateFailure : '푸시 알림을 등록하지 못했습니다. 푸시 알림을 받을 수 없습니다.',
	notAvailable : '사용할 수 없음',
	ok : '확인',
	requestTimeout : "서버 접속이 잠시 지연되고 있습니다.잠시 후 다시 시도해 주십시오.",
	responseNotRecognized : "서버에 접속 할수 없습니다.통신상태를 확인 하신 후 다시 시도해 주시기 바랍니다",
	settings : '설정',
	serverError : "서버로부터 응답이 없습니다.통신상태를 확인 하신 후 다시 시도해 주십시오.",
	unexpectedError : "예기치 않은 문제가 발생했습니다. 잠시 후 다시 시도해 주시기 바랍니다.",
	unresponsiveHost : "서버에 연결할 수 없습니다.통신상태를 확인 하신 후 다시 시도해 주십시오.",
	update : '업데이트',
	upgradeGadget : '현재 어플리케이션 버전은  {0}입니다. 새로운 버전  {1}을 사용할 수 있습니다. 다운로드 및 설치를 진행하려면 확인을 클릭하십시오.',
	wlclientInitFailure : 'NS홈쇼핑',
};

WL.ClientMessages = {};
WL.ClientMessages = overrideMessages;