
/* JavaScript content from js/mypage/M_U1171501M.js in folder common */


/* 
 *	회원정보변경 - 비밀번호 확인
 *  ID : M_U1171501M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		strType : "",
		init : function( params ) {
			$("#topCart").css("display", "block");
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#checkPassword").unbind().bind("click", CurrentView.event.onclick_checkPassword);
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			
			if (null != params && undefined != params){
				if (null != params.type && undefined != params.type){
					CurrentView.strType = params.type;
				}
			}
			
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_checkPassword : function(){
				
				var pass = {};
				var txtPass = $("#pass");
				pass.logonpassword = txtPass.val();
				
				if(txtPass.val() == "" || txtPass.val() == null){
					Ns.Popup.alert( "비밀번호를 입력해 주세요" ,function(){
						navi.setMovePointer(-1);
						txtPass.val("").focus();
						return false;});
				}
				
				
				//비밀번호 확인후 성공시 변경페이지로 이동
				tran.callWCSJsonTran('NSPasswordIdentifyAjaxCmd',pass,function(data){
					var result = data.passwordIdentify;

					CurrentView.event.onclick_checkPassword_next(result);
					
				});
				
				
			},
			
			/**
			 * linkgate.jsp에서 호출
			 */
			onclick_checkPassword_next : function(result){
				mainCtrl.hideLoadingImg();
				$("#iframe_link").remove();	// iframe 삭제
				
				if(result === "Y" || result === "y"){
					//쿠키 등록
					Ns.Cookie.setCookie("securityVerification","Y");
					
				    if (CurrentView.strType == "shippingAddress"){
						mainCtrl.navigate('M_U1171100M');
					} else if (CurrentView.strType == "personal"){
						mainCtrl.navigate('M_U1171500M');
					} else {
						mainCtrl.navigate('M_U1171500M');
					}
					
				}else{
					Ns.Popup.alert( "입력하신 비밀번호가 일치하지 않습니다." ,function(){
						navi.setMovePointer(-1);
						txtPass.val("").focus(); 
					});
				}
			}
		}
};