
/* JavaScript content from js/mypage/M_U1173000M.js in folder common */

/* 
 *	페이지 ID : M_U1173000M
 *  채팅상담/내역
 *
 */

//page 컨트롤 클래스
CurrentView = {
		tabIndex : 0,  		//Tab Index  ("". 전체. 1. 일반상품 / 2. 상품권 / 3. NS정기배달 / 4. 서비스상품)
		monthly : 1,	 	//month Tab index 1 ,3, 6
		pageidx : 1,		//page no
		rowpage : 5, 		//paging size.
		status	: "",
		
		invokeParams : null,
		pageDataset : [],
		orgOrders : new Object(),
		orderId : "",
		customerId : "",
		itemorderstatus : "",
		userId : "",	// dhlee
		win    : "",
		preorderId : "",
		precatentryName : "",
		preimageUrl : "",
		
		init : function( params ) {	
			CurrentView.itemorderstatus 	= params.status;
			CurrentView.preorderId      	= params.ordersId;
			CurrentView.precatentryName     = params.catentryName;
			CurrentView.preimageUrl     	= params.imageUrl;
			CurrentView.orderSeq     		= params.orderSeq;
			
			// 로그인 여부 확인
			if (!mainCtrl.checkLogonStatus()) {
				mainCtrl.gotoLogin();
				return;
			}
			// 조회 할 때 필요한 UI 셋팅
			CurrentView.ui.setUiPage(params);
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#divPagingArea").hide();
			
			$("#ulDeliveryState li").unbind().bind( "click", this.event.onclick_ulOrderState );	//상단 주문상태 state
			$("#ulOrderState li").unbind().bind( "click", this.event.onclick_ulOrderState );		//취소,교환,반품,대기 
			$("#ulTabArea li a").unbind().bind( "click", this.event.onclick_ulTabArea );    //전체상품.일반상품.상품권.NS정기배달.서비스상품 Tab
			$("#ulTabTerms li a").unbind().bind( "click", this.event.onclick_ulTabTerms ); //1, 3, 6개월 탭. 
			
			$("#Lcat").unbind().bind("change" , this.event.onchange_chtting ); //채팅알림창
			$("#Scat").unbind().bind("change" , this.event.onchange_button ); //채팅알림창2
			$("#ulTabMenuArea li a").unbind().bind( "click", this.event.onclick_ulMemberArea ); //상단탭
			
			$("#btnLogin").unbind().bind( "click", this.event.onclick_consulting ); //상단탭
			
			CurrentView.data.getFooterInquirySelectMobile();
			
			if ( USERINFO.userId() != "" ) { //Login 상태. 
				if ( USERINFO.logonType() == LOGON_TYPE.normal  ) { //일반회원.
					$("#liNSDeliveryProducts").show();
				} else {
					$("#liNSDeliveryProducts").hide();
				}
			}
			
			if( CurrentView.preorderId != undefined){
				$("#Consultation").show();
			}

			 $("#chkprodY").change(function(){
			        if($("#chkprodY").is(":checked")){
			        	$("#chkprodN").prop("checked",false);
			        	$("#chatList").show();
						CurrentView.data.getMyOrderList();
			        }
			 });
			 
			 $("#chkprodN").change(function(){
			        if($("#chkprodN").is(":checked")){
			        	$("#chkprodY").prop("checked",false);
			        	$("#chatList").hide();
			        }
			 });
			
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			CurrentView.data.getinfo( );
			
			window.removeEventListener("message", CurrentView.data.funcPostMsg, false);
			window.addEventListener("message", CurrentView.data.funcPostMsg, false);
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getinfo : function(){
				var invokeParams = {
						cmdType	    : "getCustNum",
						usersId : USERINFO.userId(), //고객아이디  
						accptPathCd : Const.getAcceptPath()
				};
				
				tran.callWCSJsonTran( "InquiryCmdAjax" , invokeParams, function (data){
					CurrentView.customerId = data.custNum;
					userId = data.userId;
				});	
			},
			
			getFooterInquirySelectMobile : function() {
				var invoke = {
					cmd_gubun : "QC2",
					ordStatCd : CurrentView.itemorderstatus,
					largeCate_id : $("#Lcat option:selected").val()
				};

				tran.callWCSJsonTran( "FooterInquirySelectMobileReal", invoke, CurrentView.ui.setFooterInquirySelectMobile );
			},
			
			getMyOrderList : function( pageidx ) {
				CurrentView.event.onclick_ulOrderState();
				
				$("#divOrderListArea").html( "" );

				var params = {};
				if ( pageidx == null || pageidx == "" || pageidx == 0 || pageidx == undefined ) {
					pageidx = CurrentView.pageidx;
				}
				CurrentView.pageidx = pageidx;  // 현재 페이지 전역에 저장
				
				params.pageidx = pageidx;
				params.rowpage = CurrentView.rowpage;
				
				params.pagelmt  = 10;
				var tidx = CurrentView.tabIndex;
				params.tidx 		= tidx; 
        
				//조회기간(1. 1주일 / 2. 15일 / 3. 1개월 / 4. 3개월 / 5. 6개월)
				var monthly = CurrentView.monthly;
				if ( monthly == 1 ) 	{ //1개월.
					params.tmtyp = 3;
				} else  if ( monthly == 3 ) 	{ //3개월.
					params.tmtyp = 4;
				} else  if ( monthly == 6 ) 	{ //6개월.
					params.tmtyp = 5;
				}
				params.midx = 2; //Menu Index (1. Default / 2. 주문배송조회 / 3. 주문취소변경 / 4. 교환반품) 
				params.userId = USERINFO.userId();
				params.ordsid = ""; //상세조회할 대 값 설정.
				params.odt1 = Ns.Date.calcDate('', 0,-monthly, 0, 0,'yyyy.MM.dd');
				params.odt2 = Ns.Date.calcDate('', 0, 0, 0, 0, 'yyyy.MM.dd');
				params.channel = "mobile";
				params.status = CurrentView.status;
				params.lcs_cd = $("#Lcat option:selected").val(),
				params.mcs_cd = $("#Scat option:selected").val(),
				CurrentView.invokeParams = params;
				
				tran.callWCSJsonTran( "NSMypageCmd" , params, CurrentView.data.resultOrderInfo );
			},
			
			resultOrderInfo : function( data ) {

				var orders = data.msg.root.orders;
				
				CurrentView.orgOrders = JSON.parse(JSON.stringify(orders));
				
				/**
				 * 2016-12-06 정승진 : 카카오 알림톡 랜딩 추가
				 * */
				if (!Ns.Util.isNull(CurrentView.orderId))
					CurrentView.data.randingOrderDetail(CurrentView.orgOrders);
				
				if ( orders == null || orders.length == 0 ) {
				  	var html = mainCtrl.getNoResultDataHtml("주문 내역이 없습니다.");
  					$("#divOrderListArea").html( html );
  					return false;
				}
				
				// 주문정보 조회결과 저장
				CurrentView.pageDataset = data.msg.root.orders;
				
				var html = CurrentView.ui.makeHtmlOrders( orders );
				$("#divOrderListArea").html( html );
				
				var totalCount   = data.msg.root.totalcnt;	
				if (CurrentView.rowpage < totalCount) {
					CurrentView.ui.setPaging( totalCount ); //paging 설정.
				}
				CurrentView.event.btnWidthChk();
			},
			
			// 배송조회
			getDeliveryStatus : function( param, callback ) {
				var invokeParams = {
					"tasknm" : "alejandro",
					"var" : JSON.stringify(
							{
								"cnm" : "com.ns.commerce.nsmypage.helper.NSMypageCommJDBCHelper",
								"mnm" : "getShipInfo",
								"args" : param
							}
					)
				};
				tran.callWCSJsonTran('NSMypageCommCmd', invokeParams, callback );
			},
			
			/**
			 * 2016-12-06 정승진 : 카카오 알림톡으로 접속시 페이지 랜딩처리 (기존:주문내역/배송조회 / 변경:주문상세내역)
			 * */
			randingOrderDetail : function(data) {
				// 로그인여부 확인
				if (!mainCtrl.checkLogonStatus()) {
					mainCtrl.gotoLogin();
					return;
				}
				// 랜딩할 오더번호가 존재할 경우
				for (var i = 0; data.length > i; i++) {
					var orderItemId = data[i].ordersId;
					if (orderItemId == CurrentView.orderId) {
						CurrentView.event.onclick_detailOrderItem(orderItemId);
						return;
					}
				}
				CurrentView.orderId = "";
			},
			
			// 스펙트라 콜백 func
			funcPostMsg : function(e){

			    var vData;

				try {
					vData = JSON.parse(e.data);
				} catch (e) {
					return;
				}

			    if(vData.func_name && typeof(window.CurrentView.event[vData.func_name]) === 'function')
			    {
			    	window.CurrentView.event[vData.func_name](vData.param);
			    }
			    
			},
			
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			setFooterInquirySelectMobile : function( data ) {
				var bigGroup = data.msg.root[0].bigGroup;
				var mediumGroup = data.msg.root[0].mediumGroup;
				var optTxt = '';
				

				if (bigGroup != null && bigGroup != "") {
					optTxt = '<option value="">상담유형을 선택하세요</option>';
	
					for (var i = 0; i < bigGroup.length; i++) {
						var items = bigGroup[i];
						optTxt += '<option value="' + items.id + '">' + items.name + '</option>';
					}
					$("#Lcat").html(optTxt);
				}
				
				if( mediumGroup!=null && mediumGroup != "") {
					optTxt = '<option value="">세부유형을 선택하세요</option>';
					
					for( var i=0; i<mediumGroup.length; i++) {
						var items = mediumGroup[i];
						optTxt += '<option value="'+ items.id +'">'+items.name+'</option>';
					}
					
					$("#Scat").html( optTxt );
				}

			},
			
			setUiPage : function( params ) {
				
				/**
				 * 2016-12-06 정승진 : 파라미터(주문번호) 추가
				 * */
				CurrentView.orderId = !Ns.Util.isNull(params.orderId) ? params.orderId : "";
				
				if (params.tabIndex == 0 || params.tabIndex == "N") {
					CurrentView.tabIndex = 0;
				} else if (params.tabIndex) {
					CurrentView.tabIndex = params.tabIndex;
				}
				if (params.pageidx) {
					CurrentView.pageidx = params.pageidx;
				}
				if (params.monthly) {
					CurrentView.monthly = params.monthly;
				}
				var tabIndexId = "";
				if( params.tabIndex == 0 ) {
					tabIndexId = "tabAllProducts"; //전체상품
				} else if( params.tabIndex == 1 ) {
					tabIndexId = "tabNormalProducts"; //일반상품
				} else if( params.tabIndex == 2 ) {
					tabIndexId = "tabGiftCardProducts"; //상품권
				} else if( params.tabIndex == 3 ) {
					tabIndexId = "tabNSDeliveryProducts"; //NS정기배달
				} else if( params.tabIndex == 4 ) {
					tabIndexId = "tabServiceProducts"; //서비스
				} else {
					tabIndexId = "tabAllProducts"; //전체상품
				}
				CurrentView.ui.setTitleTabClass(tabIndexId);
														
				//조회기간(1. 1주일 / 2. 15일 / 3. 1개월 / 4. 3개월 / 5. 6개월)
				var monthlyId = "";
				if ( params.monthly == 1 ) 	{ //1개월.
					monthlyId = "tabOneMonths";
				} else  if ( params.monthly == 3 ) 	{ //3개월.
					monthlyId = "tabThreeMonths";
				} else  if ( params.monthly == 6 ) 	{ //6개월.
					monthlyId = "tabSixMonths";
				} else {
					monthlyId = "tabOneMonths";
				}
				CurrentView.ui.setMonthTabClass(monthlyId);
			},
			
			//기간 Tab을 클릭했을 때 탭의 클래스 변경. 
			setTitleTabClass : function( tabId ) {
				var ulTabArea = $("#ulTabArea li");
				ulTabArea.removeClass("active");
				$("#" + tabId).parent().addClass("active");
			},
			
			//기간 Tab을 클릭했을 때 탭의 클래스 변경. 
			setMonthTabClass : function( tabId ) {
				var ulTabTerms = $("#ulTabTerms li");
				ulTabTerms.removeClass("active");
				$("#" + tabId).parent().addClass("active");
			},
			
			//총 페이지 사이즈 값을 기준으로 페이징을 설정한다. 
			setPaging : function( totalPageSize ) {
				var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageidx, CurrentView.rowpage, "CurrentView.data.getMyOrderList");
				$("#divPagingArea").html(pageNavi);
				$("#divPagingArea").show();
			},
			
			//조회 결과값을 가지고 주문/배송 html을 생성한다. 
			makeHtmlOrders : function( orders ) {
				var html = "";
				
				for( var i=0; i<orders.length; i++ ) {
					var ordersId = orders[i].ordersId;
					// 20160321 정헌태 수정 - 요청으로 바라보는 필드 고정
					var ordersDate	   = "";
					if ( ordersDate == "" || ordersDate == null ) {
						ordersDate = orders[i].timeplaced.replace(/[\.-]/g, ".");
					}
					
					var totalPrice	   = Ns.Util.insertCommas( orders[i].totalpayment );
					var catsHtml = CurrentView.ui.makeHtmlCats( ordersId, orders[i].cats, orders[i], i );
					var orderActBtn    = CurrentView.ui.makeHtmlOrderAction( orders[i].cats, ordersId, orders[i], orders[i].lastupdateall, orders[i].latestOperationId, orders[i].hasCantTraceCardYn, orders[i].timeplaced );
					var strMedia = orders[i].media;
					
					if ( catsHtml != "" ) {
						html +=	Ns.Util.stringFormat('\
							<div class="order-list">\
								<p class="order-meta">\
									<span class="order-number"><span class="head">주문번호</span> <a href="javascript:CurrentView.event.onclick_detailOrderItem(\'{0}\');"><strong class="text">{0}</strong></a></span>\
									<span class="order-date"><span class="head">주문날짜/매체구분</span> <strong class="text" style="font-size : 12px; letter-spacing : 0px;">{1}({5})</strong></span>\
								</p>\
								<ul class="item-display theme-a medium detail">{2}</ul>\
								<div class="billing-table">\
									<table class="data-table theme-a content-justify">\
										<caption>결제정보 표</caption>\
										<colgroup>\
	  										<col style="width: 80px;" /><col />\
										</colgroup>\
									</table>\
									{4}\
								</div>\
							</div>',	ordersId, ordersDate, catsHtml, totalPrice, orderActBtn, strMedia );
					}	
				}
				return html;
			},
			
			//주문 총액.. 
			makeHtmlOrderPrice : function( ordersId, price ) {
				var ordersSum ="";
				  
				for ( var i=0; i<price.length; i++ ) {
					ordersSum = price[i].ordersSum;
				}
				
				return ordersSum;
		  	},
		  	
			//order items.. 
			makeHtmlCats : function( ordersId, items, orders, ordersIndex) {
				var html ="";
				
				for ( var i=0; i<items.length; i++ ) {

					var imageLink = Ns.Util.getImageUrl(String(items[i].goodsCd),"H");
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_H.jpg';
					var brandName = Ns.Util.htmlDecode(items[i].brandName);
					var goodsName = items[i].catentryName;
					goodsName = (!Ns.Util.isNull(brandName) && brandName != '미정의' ? "[" + brandName + "]" : "") + (goodsName || '');
					
					var optionsHtml = "";
					var options = CurrentView.ui.getOrdersAttributes( items[i].attrs );
					
					//NS정기배달 필요한 값 - ex) 30일 간격, 총 8회 배송
					var intrv = items[i].intrv;
					var cnveyNum = items[i].cnveyNum;
					
					if ( options != "" ) {
						optionsHtml += '<strong class="head">주문옵션</strong>';
						optionsHtml += '<span class="text">';
						optionsHtml += options;
						optionsHtml += '</span>';
					}
					
					if ( intrv != null && cnveyNum != null ) {						
						optionsHtml += Ns.Util.stringFormat('\
								<div class="option-delivery">\
									<strong class="head">배송주기</strong>\
									<span class="text">\
										<span class="option">간격 : {0}일</span>\
										<span class="option">배송 : {1}회</span>\
									</span>\
								</div>',
								intrv,
								cnveyNum
						);
					}

					var orderStatus = {
						statusName : items[i].statusName,
						price : items[i].price,
						quantity : items[i].quantity,
						totalPrice : items[i].totalproduct,
						status : items[i].status,
					};
					
					var statusHtml = CurrentView.ui.getOrderStatusHtml( orderStatus, items[i], orders, ordersIndex, i);
					
					html += Ns.Util.stringFormat('\
						<li class="items">\
			    		    <div class="wrap">\
			    			    <div class="thumbnail">\
			    					<a href="javascript:CurrentView.event.onclick_detailOrderItem(\'{0}\');"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지" /></a>\
			    				</div>\
			    				<div class="field">\
			    					<p class="title"><a href="javascript:CurrentView.event.onclick_detailOrderItem(\'{3}\');"><strong>{4}</strong></a></p>\
			    					<p class="option-item">\
										{5}\
			    					</p>\
			    				</div>\
			    			</div>\
		    				{6}\
		    			</li>',	ordersId, imageLink, noImageUrl, ordersId, goodsName, optionsHtml, statusHtml );
				}
				
				return html;
		  	},

	  		getOrdersAttributes : function( attrs) {
	    		var attrvalDesc = "";
	    		if ( attrs == null ) return "";
	    
	    		for ( var k=0; k<attrs.length; k++ ) 	{
	    			attrvalDesc += Ns.Util.stringFormat('<br /><span class="option">{0} : {1}</span>', attrs[k].attrDesc, attrs[k].attrvalDesc);
	    		}
	    
	    		return attrvalDesc;
	    	},
		    	
	    	makeHtmlOrderAction : function( cats, ordersId, orders, lastupdateall, latestOperationId, hasCantTraceCardYn, timeplaced ) {
	    		var html = "";
	    		
	    		for ( var k=0; k<cats.length; k++ ) 	{
	    			html = CurrentView.ui.makeHtmlOrderBtnAction( cats, ordersId, orders, cats[k].btnctrls, lastupdateall, latestOperationId, hasCantTraceCardYn, timeplaced );
			    }
	    		
	    		var bOnlyPaymentcode200 = false;
	    		var bFalse100300400 = false; 
	    		for (var i = 0; orders.payms.length > i; i++){
	    			if (orders.payms[i].paymentcode == "200"){
	    				bOnlyPaymentcode200 = true;;
	    			}
	    			
	    			if (orders.payms[i].paymentcode == "100" || orders.payms[i].paymentcode == "300" || orders.payms[i].paymentcode == "400"){
	    				bFalse100300400 = true;
	    			}
	    		}
	    		
	    		if (html != ""){
	    			html = "<ul>" + html + "</ul>";
	    		}
	    		
	    		return html;
	    	},
	    	
	    	/**
	    	 * page : 주문내역/배송조회 
	    	 * 내용  : 버튼 생성
	    	 */	    	
	    	makeHtmlOrderBtnAction : function( cats, ordersId, orders, ordersBtns, lastupdateall, latestOperationId, hasCantTraceCardYn, timeplaced ) {
	    		var html = "";
	    		
	    		return html;
	    	},
	    	
	    	/**
	    	 * page : 주문내역/배송조회 
	    	 * 내용  : 주문 단계 표시 HTML 생성.. 
	    	 */
	    	getOrderStatusHtml : function( data, item, orders, ordersIndex, catsIndex ) {
	    		var resHtml = "";
	    		var className = "";
	    		
	    		if ( data == null || data == '' ) return "";
	    		
	    		data.price = Ns.Util.insertCommas( data.price );
	    		data.totalPrice = Ns.Util.insertCommas( data.totalPrice );
	    		
	    		if ( data.statusName == "주문접수" || data.statusName == "결제대기") className = "head step-a";
	    		else if ( data.statusName == "결제완료" || data.statusName == "신청완료" ) className = "head step-b";
	    		else if ( data.statusName == "주문전달" ) className = "head step-c";
	    		else if ( data.statusName == "상품준비중" ) className = "head step-d";
	    		else if ( data.statusName == "배송중" ) className = "head step-e";
	    		else if ( data.statusName == "배송완료" ) className = "head step-f";
	    		else if ( data.statusName == "주문취소" || data.statusName == "취소완료" || data.statusName == "반품완료" || data.statusName == "교환신청" ) className = "head step-g";
	    		else className = "head step-g";
	        
		        if ( data.quantity == 0 ) {
		        	data.totalPrice = 0;
		        }
		        
		        var strBtnArea = "";
		        var bREFUNDorEXCHANGE = false;
		        
	    		resHtml  = '<div class="more-data order-tracking">';
	    		resHtml += '<strong class="' + className + '">' + data.statusName + '</strong>';
	    		resHtml += '<span class="text">' + data.price + '<span class="unit">원</span> X ' + data.quantity + '<span class="unit">개</span></span>';
	    		resHtml += '<span class="text em rate-g"><strong>' + data.totalPrice + '</strong><span class="unit">원</span></span>';
	    		resHtml += '<div class="btm_btn">';
	    		resHtml += '<div class="btm_btn"><a class="btn theme-a rate-a x-small ui-link" href="javascript:CurrentView.event.onclick_Consultation(\'' + item.ordersId + '\',\'' + item.catentryName + '\',\'' + item.imageUrl +  '\',\'' + orders.cats[0].orderSeq + '\');"><span>상담신청</span></a></div>';
	    		resHtml += '</div>';
	    		resHtml += '</div>';
	    		return resHtml;
	    	}
		}, // end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//채팅시간 알림창
			onchange_chtting : function() {
				var strInventoryMsg = "채팅상담 가능시간은 09:00~18:00 입니다.";

				if( CurrentView.preorderId == undefined){
					$("#chatList").hide();
					$("#SelectItem").hide();
					$("#Consultation").hide();
				}
				
				//일부 사용자 bypass
				if(USERINFO.userId() == "208861292" || USERINFO.userId() ==  "102273697" || USERINFO.userId() == "12648425" || USERINFO.userId() == "159619649" || USERINFO.userId() == "101131676" || USERINFO.userId() == "103004738" || USERINFO.userId() == "101092675"){
					CurrentView.data.getFooterInquirySelectMobile();
				}else{
					if (Number(Ns.Date.getNowTime(), 10) < 90000 || Number(Ns.Date.getNowTime(), 10) > 180000){
						Ns.Popup.confirm(strInventoryMsg,
								function (){	// 취소
									var param = {};
									param.tabIndex = 0;
									param.monthly = "";
									param.pageidx = "";
									window.removeEventListener("message", CurrentView.data.funcPostMsg, false);
									mainCtrl.navigate( "M_U1173000M", param );
						},
								function (){	// 확인
									var param = {};
									param.tabIndex = 0;
									param.monthly = "";
									param.pageidx = "";
									window.removeEventListener("message", CurrentView.data.funcPostMsg, false);
									mainCtrl.navigate( "M_U1173000M", param );
								}, 
						"취소",
						"확인"
						);
					}else{
						CurrentView.data.getFooterInquirySelectMobile();
					}
				}
				
			},
			
			//상담하기 버튼 보이게 하기
			onchange_button : function() {
				var Lcat = $("#Lcat option:selected").val();
				var Scat = $("#Scat option:selected").val();
				
				if(Lcat == 731 && Scat == 732){
					$("#SelectItem").show();
					$("#Consultation").show();
					
				}else if(Lcat == 731 && Scat == 734){
					$("#SelectItem").show();
					$("#Consultation").show();
					
				}else if(CurrentView.preorderId != undefined){
					
				}else{
					$("#SelectItem").hide();
					$("#Consultation").hide();
					$("#chatList").show();
					CurrentView.data.getMyOrderList();
				}
			},
			
			objectToQueryString : function(params) {
				var data = [];
				if (typeof (params) == "object") {
					for (var att in params) {
						data.push( att + "=" + encodeURIComponent(params[att]) );
					}
				}
				return data.join('&');
			},
			
			//상담신청 버튼 클릭하기
			onclick_Consultation : function(ordersId,catentryName,imageUrl,orderSeq) {
				var Lcat = $("#Lcat option:selected").val();
				var Scat = $("#Scat option:selected").val();
				
				//직접 상담 신청인 경우 값 넣어주기.
				if(ordersId == undefined){
					ordersId = "";
				}
				
				if(catentryName == undefined){
					catentryName = "기타상담";
				}
				
				if(imageUrl == undefined){
					imageUrl = "";
				}
				
				if(orderSeq == undefined){
					orderSeq = "";
				}
				
				var params = {
						customerId 		: CurrentView.customerId, 	//고객아이디  
						customerName  	: USERINFO.userName(),		//고객이름
						orderNo 		: ordersId,	    			//주문번호
						productName 	: catentryName,				//상품명
						csCode 			: Lcat+"_"+Scat,		 	//CS상담분류코드 - 대분류_중분류(구분자 _ 사용)
						productImages 	: imageUrl, 				//상품 썸네일 이미지 경로
						marginTop 		: "40", 		 			//상단 height
						marginBottom 	: "", 						//하단 height
						orderNumber 	: orderSeq, 				//주문순번
						appType 		: Const.getAcceptPath(), 	//Push I/F 발송에 필요한 Key값들
						ssl  			: location.protocol.indexOf("https"),
						type 			: "TALKPAGE",
						requestUrl 		: Const.IS_SERVER_STATE, 	//운영 & 개발 구분
						deviceId   		: USERINFO.userId(), 		//플랫폼고객번호
				};

				var parameters = CurrentView.event.objectToQueryString(params);
				
				var url = "";
				
				if(location.protocol.indexOf("https") == -1){
					url = "http://talk.nsmall.com/app/jsp/talk/talkCheck.jsp?"+parameters;
				}else{
					url = "https://talk.nsmall.com/app/jsp/talk/talkCheck.jsp?"+parameters;
				}

				if (Const.getAcceptPath() == "501" || Const.getAcceptPath() == "503") {
					CurrentView.win = undefined;
	                 url = "https://talk.nsmall.com/app/jsp/talk/talkCheck.jsp?"+parameters; //앱인 경우 https로만 보내기
	    		     // Enomix Native Function 호출.
	                 Ns.Native.enomixChatOpen(url, CurrentView.customerId);
				} else {
					CurrentView.win = window.open( url, "_hub", "location=no,zoom=no,hardwareback=no,clearsessioncache=no,clearcache=yes" );

        		    if(!CurrentView.win){
    					Ns.Popup.alert("단말기 설정에서 팝업 차단을 풀어주세요.");
    					return false;
    				}
				}
			},
			
			// 로그인 확인
			loginCheck : function(data){
				if(CurrentView.customerId == data.customer_id){
		    		loginYN = true;

		    		CurrentView.win.postMessage(loginYN , "*");

 				}else if(CurrentView.customerId != data.customer_id){
 					mainCtrl.gotoMain();
 				}
			},
			
			// 상담이력 리로딩
			pageMove : function(){
				if(CurrentView.win && CurrentView.win != undefined && CurrentView.win.close != undefined) {
					CurrentView.win.close();
				}
				var params = {
						customerName : USERINFO.userName(),
						customerId   : CurrentView.customerId
				};
				window.removeEventListener("message", CurrentView.data.funcPostMsg, false);
				mainCtrl.navigate( "M_U1173003M" ,params);

			},
			
			//상담탭 이동하기
			onclick_ulMemberArea : function() {
				var params = {
						customerId   : CurrentView.customerId,
						userId : userId // dhlee
				};

				var id = $(this).attr('id');
				var invokeParams = CurrentView.THIS_PARAMs || null;
				if( id == "tabChatconsultation" ){
					return false; //채팅상담
				}else if( id == "tabCounselinghistory" ){
					window.removeEventListener("message", CurrentView.data.funcPostMsg, false);
					mainCtrl.navigate( "M_U1173003M" ,params); //상담내역
				}else{
					return false;
				}
			},
			
			//상담 신청하기
			onclick_consulting : function() {
				var chkprodY = $("#chkprodY").is(":checked");
				var chkprodN = $("#chkprodN").is(":checked");
				var checkvalue = CurrentView.preorderId;
				var Lcat     = $("#Lcat option:selected").val();
				var Scat     = $("#Scat option:selected").val();
				
				if( chkprodY == true && checkvalue == undefined){
					Ns.Popup.alert( "주문내역의 상담신청 버튼을 눌러주세요." );
					return false;
				}
				
				if( chkprodN == true && checkvalue == undefined){
					CurrentView.event.onclick_Consultation();
				}
				
				if( chkprodY == false && chkprodN == false && checkvalue == undefined){
					Ns.Popup.alert( "상품 선택 체크를 해주세요." );
					return false;
				}	
				
				if( chkprodY == false && chkprodN == false && checkvalue == undefined){
					Ns.Popup.alert( "상품 선택 체크를 해주세요." );
					return false;
				}	
				
				if( Lcat == "" || Scat == ""){
					Ns.Popup.alert( "세부유형을 선택 해주세요." );
					return false;
				}	
				
				if( checkvalue != undefined){
					CurrentView.event.onclick_Consultation(CurrentView.preorderId, CurrentView.precatentryName , CurrentView.preimageUrl ,CurrentView.orderSeq);
				}
			},
			
			//전체상품.일반상품.상품권.NS정기배달.서비스상품 Tab 클릭. 
			onclick_ulTabArea : function() {
				// 페이징 부분 초기화
				$("#divPagingArea").hide();
				
				var tidx = 0;
				var id = $(this).attr('id');
				
				if( id == "tabAllProducts" ) tidx = 0; //전체상품
				else if( id == "tabNormalProducts" ) tidx = 1; //일반상품
				else if( id == "tabGiftCardProducts" ) tidx = 2; //상품권
				else if( id == "tabNSDeliveryProducts" ) tidx = 3; //NS정기배달
				else if( id == "tabServiceProducts" ) tidx = 4; //서비스 
				else return false;
				
				CurrentView.status = "";
				CurrentView.monthly = 1;
				CurrentView.pageidx = 1;
				CurrentView.ui.setMonthTabClass("tabOneMonths");
								
				CurrentView.tabIndex = tidx;
				mainCtrl.setCurrentPageParams( { 'tabIndex' : tidx, 'monthly' : CurrentView.monthly, 'pageidx' : CurrentView.pageidx } );
				
				CurrentView.ui.setTitleTabClass(id);
				CurrentView.data.getMyOrderList( 1 );
			},
			
			//1개월, 3개월, 6개월을 기준으로 해당 기간의 주문내역 및 배송 정보를 조회한다. 
			onclick_ulTabTerms : function() {
				// 페이징 부분 초기화
				$("#divPagingArea").hide();
				
				var id = $(this).attr('id');
				var monthly = 1;
				
				if( id == "tabOneMonths" ) monthly = 1; 
				else if( id == "tabThreeMonths" ) monthly = 3;
				else if( id == "tabSixMonths" ) monthly = 6;
				else return false;
				
				CurrentView.monthly = monthly;
				mainCtrl.setCurrentPageParams( { 'tabIndex' : CurrentView.tabIndex, 'monthly' : CurrentView.monthly, 'pageidx' : CurrentView.pageidx } );
				CurrentView.ui.setMonthTabClass(id);
				CurrentView.data.getMyOrderList( 1 );
			},
			
			// 배송조회
			onclick_deliveryStatus : function( ordersId, orderitemsId, addressId, catentryId, status ) {
				CurrentView.data.getDeliveryStatus({
					'ordersId' : ordersId,
					'orderitemsId' : orderitemsId,
					'addressId' : addressId,
					'catentryId' : catentryId,
					'status' : status
				}, function(data) {
					if (data && data.list && data.list.url) {
						// 배송조회 팝업 호출
						Ns.Popup.showPopup('M_U1122700P', { url : data.list.url });
					} else {
						Ns.Popup.alert( "배송정보가 존재하지 않습니다." );
					}
				});
			},
			
			cancelOrderOrdersId : "",
			cancelOrderMemberId : "",
			
			//교환/반품/취소 페이지로 이동. 
			onclick_cancelOrder : function(  ordersId, buttonAction, lastupdateall, latestOperationId,  hasCantTraceCardYn, timeplaced, memberId) {
				buttonAction = buttonAction.toUpperCase();
				// todo... 임시 처리 - 교환,반품은 무조건 막는다.
				if (buttonAction == "REFUND" || buttonAction == "EXCHANGE" ){
					Ns.Popup.alert( "본 상품의 교환/반품은 상담원을 통해서 신청해 주시기 바랍니다." );
					return;
				}
				
				hasCantTraceCardYn = hasCantTraceCardYn.toUpperCase();
				if (hasCantTraceCardYn == "Y"){
					Ns.Popup.alert( "본 상품의 취소/반품은 상담원을 통해서 신청해 주시기 바랍니다." );
					return;
				}
				
				CurrentView.event.cancelOrderOrdersId = ordersId;
				CurrentView.event.cancelOrderMemberId = memberId;
				
				// 선택된 주문정보 상세
				var pageData = {};
				for (var i = 0; i < CurrentView.pageDataset.length; i++) {
					if (ordersId == CurrentView.pageDataset[i].ordersId) {
						pageData = CurrentView.pageDataset[i];
						break;
					}
				}
				
				var param = {
					ordersId : ordersId,
					action : buttonAction,
					pageData : pageData,
					tabIndex : CurrentView.tabIndex,
					monthly : CurrentView.monthly,
					pageidx : CurrentView.pageidx
				};
				
				var invokeParams = {
					"tasknm" : "alejandro",
					"var" : JSON.stringify({
						"cnm":"com.ns.commerce.nsmypage.util.NSAlejandroAdapter",
						"mnm" : "checkOrderStatus",
						"args":	{ "ordersId":ordersId },   
					})
				};
				
				// 상담원 처리 유무 체크 통신
				tran.callWCSJsonTran( "NSMypageCommCmd" , invokeParams, function (data){
					if (data.list.lockedOrderYn == "Y"){	// 상담사 Lock 여부 (DB Transaction)
						Ns.Popup.alert( "선택하신 주문은 상담원이 처리중입니다.", function(){ 
							navi.setMovePointer(-1);
							navi.delNextAll();
							
							var param = {};
							param.tabIndex = 0;	
							param.monthly = "";
							param.pageidx = "";				
							mainCtrl.navigate('M_U1121100M', param);
						});
						return;
					} else if (String(data.list.lastupdateall) != String(lastupdateall) 
							|| String(data.list.latestOperationId) != String(latestOperationId)){	//  주문 수정일자 & 임시 처리 순번 체크 (DB Transaction)
						Ns.Popup.alert( "주문상태가 변경 되었습니다.<br />1:1 문의 또는 고객센터(1800-0770)로 문의주시기 바랍니다.", function(){ 
							navi.setMovePointer(-1);
							navi.delNextAll();
							
							var param = {};
							param.tabIndex = 0;	
							param.monthly = "";
							param.pageidx = "";				
							mainCtrl.navigate('M_U1121100M', param);
						} );
						
						return;
					} else if (param.action == "CANCEL"){
						if (undefined != data.list.canYn && data.list.canYn == "N"){
							Ns.Popup.alert( "주문취소가 불가능한 상태입니다.<br />1:1 문의 또는 고객센터(1688-0770)로 문의주시기 바랍니다." , function(){ 
								navi.setMovePointer(-1);
								navi.delNextAll();
								
								var param = {};
								param.tabIndex = 0;	
								param.monthly = "";
								param.pageidx = "";				
								mainCtrl.navigate('M_U1121100M', param);
							});
							return;
						}
					}
					
					var invokeParams = {
						"tasknm" : "alejandro",
						"var" : JSON.stringify({
							"cnm" : "com.ns.commerce.nsmypage.util.NSAlejandroAdapter",
							"mnm" : "chkRcOrderDtlStats",
							"args":	{ "ordersId":CurrentView.event.cancelOrderOrdersId,
							     	  "memberId": CurrentView.event.cancelOrderMemberId }   
						})
					};
					
					// RC DB와 주문 상세가 다른 경우 체크 통신
					tran.callWCSJsonTran( "NSMypageCommCmd" , invokeParams, function (data){
						if (data.list.respCd != "S"){	// RC DB와 주문 상세가 다른 경우 (실시간 I/F)
							Ns.Popup.alert( "주문상태가 변경 되었습니다.<br />1:1 문의 또는 고객센터(1800-0770)로 문의주시기 바랍니다.", function(){ 
								navi.setMovePointer(-1);
								navi.delNextAll();
								
								var param = {};
								param.tabIndex = 0;	
								param.monthly = "";
								param.pageidx = "";				
								mainCtrl.navigate('M_U1121100M', param);
							} );
							
							return;
						}
						
						mainCtrl.navigate("M_U1122600L", param );
					});
				});
			},
			
			// 수취확인
			onclick_deliveryConfirm : function(ordersId, orderitemsId, addressId, catentryId, status, commentWriteYn){
				Ns.Popup.confirm("상품을 실제로 수령하신 경우 수취확인을 통해 배송완료 상태로 직접 접수하실 수 있습니다.<br /><br />배송완료로 변경된 후에는 수정되지 않습니다. 이상품을 <strong>수취확인 하시겠습니까?</strong)", function(){
					var keys = new Object();
					keys.ordersId = ordersId;
					keys.addressId = addressId;
					keys.catentryId = catentryId;
					keys.status = status;
					
					var invokeParams = {
						"tasknm" : "alejandro",
						"var" : JSON.stringify(
							{
								"cnm" : "com.ns.commerce.nsmypage.helper.NSMypageCommJDBCHelper",
								"mnm" : "setConfirmReceipt",
								"args" : keys
							}
						)
					};
					
					tran.callWCSJsonTran('NSMypageCommCmd', invokeParams, function(data){
						if (!data.list){
							Ns.Popup.alert( "수취확인이 실패하였습니다." );
						} else if (data.list.respCd != "S"){
							Ns.Popup.alert( "수취확인이 실패하였습니다." );
						} else {
							Ns.Popup.confirm("상품평을 바로 작성하시겠습니까?", 
								function(){
									CurrentView.event.onclick_productCommentWrite(commentWriteYn);
								},
								function(){
									$("#txtSubHeaderTitle").trigger("click");
								}
							);
						}
					});
				}, null, "수취확인", "취소", null, true);
			},
			
			// 상품평 쓰기
			onclick_productCommentWrite : function(commentWriteYn){
				if (commentWriteYn == "Y"){
					mainCtrl.navigate( "M_U1161100M");
				} else {
					Ns.Popup.alert( "상품평 작성 기한이 지났습니다." );
				}
			},
			
			// 상품평 보기
			onclick_productCommentRead : function(commentWriteYn){
				mainCtrl.navigate( "M_U1161200M" );
			},
			
			//상세 주문 페이지로 이동한다. 
			onclick_detailOrderItem : function( ordersId ) {
				var param = {};
				param.ordersId = ordersId;
				param.tabIndex = CurrentView.tabIndex;
				param.monthly = CurrentView.monthly;
				param.pageidx = CurrentView.pageidx;
				
				mainCtrl.setCurrentPageParams( CurrentView.invokeParams );
				mainCtrl.navigate( "M_U1121600M", param );	
				return false;
			},
			
			// 배송지 변경
			onclick_addressChange : function(ordersIndex, catsIndex){
				var nCount = 0;
				for (var i = 0; CurrentView.orgOrders[ordersIndex].cats.length > i; i++){
					if (CurrentView.orgOrders[ordersIndex].cats[catsIndex].addressId == CurrentView.orgOrders[ordersIndex].cats[i].addressId){
						nCount++;
					}
				}
				
				var objParam = new Object();
				objParam.objOrder = CurrentView.orgOrders[ordersIndex];
				objParam.objCats = CurrentView.orgOrders[ordersIndex].cats[catsIndex];
				objParam.ordersId = CurrentView.orgOrders[ordersIndex].ordersId
				objParam.ordersDate = CurrentView.orgOrders[ordersIndex].timeplaced.replace(/[\.-]/g, ".");
				
				if (nCount > 1){
					Ns.Popup.confirm("해당 배송지에 포함된 전체 " + nCount + "건의 상품 배송지가 변경됩니다. 배송지를 변경하시겠습니까?", function(){
						mainCtrl.navigate("M_U1121001M", objParam );
					}, null, "", "", null, true);
				} else {
					mainCtrl.navigate("M_U1121001M", objParam );
				}
			},
			
			// 결제수단변경(무통장입금->카드결제)
			onclick_paymentChangeCard : function(ordersId, storeentId, timeplaced){
				var objParam = new Object();
				objParam.ordersId = ordersId;
				objParam.storeId = storeentId;
				objParam.timeplaced = timeplaced;
				objParam.reFn = "CurrentView.event.callback_paymentChangeCard";
				
				Ns.Popup.showPopup("M_U1121002P", objParam)
			},
			
			callback_paymentChangeCard : function(data){
				if ($("#certScript").length != 0){
					mainCtrl.hideCertView();
				}
				
				mainCtrl.navigate("M_U1121100M", {"tabIndex":0,"monthly":"","pageidx":""});
			},
			
			onclick_ulOrderState : function(){
				// 페이징 부분 초기화
				$("#divPagingArea").hide();
				
				var tidx = 0;
				var id = $(this).attr('id');

				CurrentView.pageidx = 1;

				CurrentView.tabIndex = tidx;
				mainCtrl.setCurrentPageParams( { 'tabIndex' : tidx, 'monthly' : CurrentView.monthly, 'pageidx' : CurrentView.pageidx } );

			},
			
			btnWidthChk : function(){
				setTimeout(function(){
					var window_size = $(window).width();
					if(window_size < 400){
						var btnChk = $('.icon_wrap input');
						if(!Ns.Util.isNull(btnChk)){
							btnChk.parent().css({
								'width':'93px',
								'position':'absolute',
								'right':0,
								'top':'9px'
								});
							btnChk.parents('.billing-table .data-table td').css('padding-right', '98px');
						} else {
							$('.icon_wrap').css('width','');
						}
					} else {
						$('.icon_wrap').css('width','');
					}
				},1500);
			}
		} // end event 
};  