
/* JavaScript content from js/mypage/M_U1174000L.js in folder common */

/* JavaScript content from js/mypage/M_U1174000L.js in folder common */

/* 
 *	홈쇼핑 방송 알리미 - 방송 알리미 설정
 *  ID : M_U1174000L
 *  
*/

//popup 컨트롤 클래스
CurrentPopup = {
		callbackFunc : null, //callback function..
		targetObj    : null, //layer div..	
		
		infrId 		 : null,
		mobileNum 	 : null,
		rcvPeriod 	 : null,
		rcvCnt		 : null,
		
		init : function( target, params ) {
			this.callbackFunc = params.callback;
			
			this.infrId = params.infrId;
			this.mobileNum = params.mobileNum;
			this.rcvPeriod = params.rcvPeriod;
			this.rcvCnt = params.rcvCnt;
			
			this.targetObj = target;

			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnCancel").unbind().bind( "click", this.event.onclick_btnCancel ); //취소
			$("#btnConfirm").unbind().bind( "click", this.event.onclick_btnConfirm ); //확인
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			if( !Ns.Util.isNull(CurrentPopup.mobileNum) )
				$('#hpNo').val(CurrentPopup.mobileNum);
			
			if ( CurrentPopup.rcvPeriod == "1개월") {
				$('input:radio[id="1Monthy"]').attr("checked",true);
			} else if ( CurrentPopup.rcvPeriod == "2개월") {
				$('input:radio[id="2Monthy"]').attr("checked",true);
			} else if ( CurrentPopup.rcvPeriod == "3개월") {
				$('input:radio[id="3Monthy"]').attr("checked",true);
			} else {
				$('input:radio[id="1Monthy"]').attr("checked",true);
			}

			if ( CurrentPopup.rcvCnt == "방송시마다") {
				$('input:radio[id="chkAlways"]').attr("checked",true);
			} else if ( CurrentPopup.rcvCnt == "한번만") {
				$('input:radio[id="chkOnce"]').attr("checked",true);				
			} else {
				$('input:radio[id="chkAlways"]').attr("checked",true);
			}
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			checkEssentialInputValue : function() {
				var message = "수신기간을 선택하여 주십시요.";
				var message1 = "수신횟수를 선택하여 주십시요.";

				var isPeriod = $(':radio[name="rdPeriod"]:checked').val();
				var isCnt	 = $(':radio[name="rdCnt"]:checked').val();

				if ( isPeriod == '' ) {
					Ns.Popup.alert( message );
					return false;
				}
				
				if ( isCnt == '' ) {
					Ns.Popup.alert( message1 );
					return false;
				}
				
				return true;
			},
			
			//방송 알리미 설정
			confirmShowAlarm : function() {
				var isTrue = CurrentPopup.data.checkEssentialInputValue();
				if( !isTrue ) return false;
				
				var isPeriod = $(':radio[name="rdPeriod"]:checked').val();
				var isCnt	 = $(':radio[name="rdCnt"]:checked').val();
				var mobileNum = $('#hpNo').val();
				var callback = function() {
					// 부모창에 데이터 전송
					CurrentPopup.callbackFunc(params);
					Ns.Popup.close( CurrentPopup.targetObj );
				};

				var params 	  = {};
				params.userId = USERINFO.userId();
				params.infrId = CurrentPopup.infrId;
				params.phone1 = Ns.Util.getPhoneNumber(mobileNum, "1");
				params.phone2 = Ns.Util.getPhoneNumber(mobileNum, "2");
				params.phone3 = Ns.Util.getPhoneNumber(mobileNum, "3");
				params.recvDurClssfCd = isPeriod;
				params.recvNumClssfCd = isCnt;
				
				tran.callWCSJsonTran( 'ModifyAlarmReal', params
				, function( data ) {
					if (data.msg.root.resultKey == '1') {
						Ns.Popup.alert( "방송 알리미 설정에 성공 하였습니다." );
						callback();
					} else {
						Ns.Popup.alert( "방송 알리미 설정에 실패 하였습니다.<br />다시 한번 확인해 주세요.");
					}
				}, null, function() {
					Ns.Popup.alert( "방송 알리미 설정에 실패 하였습니다.<br />다시 한번 확인해 주세요." );
				});
			}
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
		}, // end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//취소 버튼
			onclick_btnCancel : function() {
				//CurrentPopup.callbackFunc(null);
				Ns.Popup.close( CurrentPopup.targetObj );
			},
			
			//확인버튼 클릭 이벤트
			onclick_btnConfirm : function() {
				CurrentPopup.data.confirmShowAlarm();
			}				
		} //end event
};