
/* JavaScript content from js/mypage/M_U1211001M.js in folder common */

/* 
 *	그룹사 임직원 연동
 *  ID : M_U1211001M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#goGroupMall").off().on("click", CurrentView.event.onclick_btn_goGroupMall);
			$("#alertOk").off().on("click", CurrentView.event.onclick_btn_CurrentView);
			
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			$("#footer").attr("disp","true");
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {},
		
		//ui 관련 함수를 정의한다.
		ui : {},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_btn_goGroupMall : function(){
				var callback = function(data){
					if(data){
						mainCtrl.navigate(PAGE.groupMall[Const.IS_SERVER_STATE],{});	
					} else {
						$("#authFail").show();
					}
				};
				//임직원 체크
				mainCtrl.chkStaff(callback);
			},
			
			onclick_btn_CurrentView : function(){
				$("#authFail").hide();
			}
			
		},
}; 