
/* JavaScript content from js/order/M_B1160000L.js in folder common */

/* 
 *	장바구니-배송주기/배송요일/배송시간 수정
 *  ID : M_B1160000L
 */

//popup 컨트롤 클래스
CurrentPopup = {
		callbackFunc : null, //callback function..
		targetObj : null, //layer div..

		init : function( target, params ) {
			this.callbackFunc = params.callback;
			this.targetObj = target;
			
			this.initializeComponent();
			this.onLoad(target, params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnCancel").unbind().bind( "click", this.event.onclick_btnCancel ); //취소
			$("#btnOk").unbind().bind( "click", this.event.onclick_btnOk ); //확인
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(target, params) {
			this.data.setData(params);
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//취소 버튼
			onclick_btnCancel : function() {
				CurrentPopup.callbackFunc(null);
				Ns.Popup.close( CurrentPopup.targetObj );
			},
			
			//확인 버튼
			onclick_btnOk : function() {
				
				var param = {
				};
				CurrentPopup.callbackFunc(param);
				Ns.Popup.close( CurrentPopup.targetObj );
			}
		} // end event
};