
/* JavaScript content from js/popup/event_popup.js in folder common */

/**
 *   event Popup페이지
 * 
 **/

CurrentCommonPopup = {		
		seq : 0, //event no.
		popTitle : '', //title.
		popupLength : 0,
		target : null,
		canCb : null,
		
		init : function( target, params ){			
			this.onLoad( target, params );
		},
		
		onLoad : function( target, params ){
			CurrentCommonPopup.target = target;
			
	
			var msg = params.msg;
			var okCb = params.okCb; 
			var canCb = params.canCb || null; 
			
			var okTxt = params.okTxt || null; 
			var canTxt = params.canTxt || null; 
			
			CurrentCommonPopup.canCb = canCb;
			
			
			if(okTxt != null){
				target.find("a#btnEventToday span").html(okTxt);
			}
			if(canTxt != null){
				target.find("a#popupBtnEventClose span").html(canTxt);
			}

			// 로그인여부에 따라 로컬스토리지에 저장된 값을 변수에 담는다.
			var pushState = Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_YN);
			// 저장된 값이 없을경우 디폴트값 설정

			var htmlTxt ="";
			
			var isLogon = mainCtrl.checkLogonStatus();
			
			var checkflag = "";
			var msgMaxCnt = 0;
			if(msg != null && msg.length > 0){
				msgMaxCnt = msg.length;
				
				for(var q=0; q<msg.length; q++){
					if(msg[q].popAreaLv1 == "01"){
						if(msg.length >= 3){
							msgMaxCnt = 3;		// Main 팝업일 경우 최대 3개까지만 팝업을 띄운다.							
						}else{
							msgMaxCnt = msg.length;
						}
						break;
					}else{
						msgMaxCnt = msg.length;
						break;
					}	
				}
								
				for(var i=0; i<msg.length; i++){					
					if( msg[i].popTitle.indexOf('PUSH') != -1){
						checkflag = "Y";
						break;
					}
				}				
			}
			
			if( pushState == "N" && isLogon == true && msgMaxCnt > 1 && checkflag == "Y"){
				for(var j=0; j<msgMaxCnt; j++){
					CurrentCommonPopup.popupLength++;
					if(pushState == "N" && msg[j].popTitle.indexOf('PUSH') != -1 && isLogon == true){
						htmlTxt += "<div class='swiper-slide'>";
						htmlTxt += Ns.Util.htmlDecode(msg[j].popCont);
						htmlTxt += "</div>";
						
						//khkim82 20180514 weblog 호출 추가 
						CurrentCommonPopup.seq = msg[j].seq;  
						CurrentCommonPopup.popTitle = msg[j].popTitle;  	
						//break;	//cocd 이벤트 팝업중 최초 한개만 출력
					}
				}
			}else{
				for(var k=0; k<msgMaxCnt; k++){
					CurrentCommonPopup.popupLength++;
					if(msgMaxCnt > 1 && msg[k].coCd == Const.getCocd() && msg[k].popTitle.indexOf('PUSH') == -1){
							htmlTxt += "<div class='swiper-slide'>";
							//cocd데이터가 2개 일때 해당 cocd의 이벤트 팝업만 출력
							htmlTxt += Ns.Util.htmlDecode(msg[k].popCont); 
							htmlTxt += "</div>";
							
							//khkim82 20180514 weblog 호출 추가 
							CurrentCommonPopup.seq = msg[k].seq;  
							CurrentCommonPopup.popTitle = msg[k].popTitle;  
							//break;	//cocd 이벤트 팝업중 최초 한개만 출력
					}else if(msgMaxCnt == 1){
							//cocd 데이터가 하나이면 그냥 뿌려주기
							htmlTxt += "<div class='swiper-slide'>";
							htmlTxt += Ns.Util.htmlDecode(msg[k].popCont);
							htmlTxt += "</div>";
							
							//khkim82 20180514 weblog 호출 추가 
							CurrentCommonPopup.seq = msg[k].seq; 
							CurrentCommonPopup.popTitle = msg[k].popTitle;  
						}
					}
			}			
			target.find("div#eventPopupContents").append(htmlTxt);
			target.find("#eventPopupContents img").attr("alt","이벤트팝업");
			target.find("#eventPopupContents a").on('click', CurrentCommonPopup.event.onclick_eventLog);		
			target.find("div#eventPopupContents a").attr("target", "_self");
			target.find("div#eventPopupContents").on('click', "a" ,CurrentCommonPopup.event.onclick_eventPopup);
						
			target.find("a#btnEventToday").on("click", function(){				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_팝업',
						eventAction : '팝업',
						eventLabel : '오늘하루닫기'
				};
				var subparam = {
						t1 : 'GNB',
						t2 : "팝업"
				};
			
				GA.sendEventData(event_obj,subparam);
				
				Ns.Popup.close( target );
				$('#dimmedAll').removeClass('active');
				
				if (okCb != null && okCb != undefined && typeof(okCb) == 'function') {
					okCb();
				}
			});
			
			/*target.find("a#btnEventClose").on("click", function(){
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_팝업',
						eventAction : '팝업',
						eventLabel : '닫기'
				};
				var subparam = {
						t1 : '메인',
						t2 : "팝업"
				};
			
				GA.sendEventData(event_obj,subparam);

				//  hckim 팝업 닫기 후 메인 호출 시 팝업 띄우지 않음				
				HUB_INIT.isMainEventPopupDisplay = false;				
				
				Ns.Popup.close( target );
				$('#dimmedAll').removeClass('active bg3');				
				
				if (canCb != null && canCb != undefined && typeof(canCb) == 'function') {
					canCb();
				}
			});*/
			target.find("a#popupBtnEventClose").on("click", CurrentCommonPopup.event.onclick_eventPopup);
			
			setTimeout(function(){
				var width = target.width();
				var contentsWidth = target.find('img').width();
				if(contentsWidth >= width){
					target.find('img').css("width","100%");
				}
			},300);
			
			$('body').stop().animate({'scrollTop':0},50);	// 스크롤 맨위로 이동
			
			// MAIN(홈)일 경우 이벤트 팝업 fixed
			if(params.msg[0].popAreaLv1 == '01'){				
				$('.section_intro_popup').css({'position':'fixed', 'top':'0px'});				
			}
			
			if(CurrentCommonPopup.popupLength > 1){
				 /* swiper */
				   var  eventPopupSwiper = new Swiper('.intro_layer_wrap', {
				      slidesPerView: 1,
				      loop : true,
				      pagination: {
				        el: '#eventPopupSwipePagination',
				        clickable: true
				      },
				      navigation: {
				            nextEl: '#eventPopupNextBtn',
				            prevEl: '#eventPopupPrevBtn'
				      },				      
				    });
			}else{
				$("#eventPopupNextBtn").hide(); 
				$("#eventPopupPrevBtn").hide(); 
			}			
		},
		
		event :{
			onclick_eventLink : function(){				
				var url = $(this).attr('href');
				$(this).attr('href',"javascript:;");
				
				url = url.replace("http://"+Const.MOBILE_NSMALL_PATH+"/","");
				
				$('#popupBtnEventClose').trigger('click');
				HUB_INIT.checkInflowOutsideChannel(url);
			},
			onclick_eventLog : function(){
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_팝업',
						eventAction : '팝업',
						eventLabel : CurrentCommonPopup.popTitle
				};
				var subparam = {
						t1 : 'GNB',
						t2 : "팝업"
				};
			
				GA.sendEventData(event_obj,subparam);
								
				//khkim82 20180514 weblog 호출 추가 
				var param = new Object;
				param.seq = CurrentCommonPopup.seq;	
				param.popTitle = CurrentCommonPopup.popTitle; 
				tran.callPageLogging("event_popup", param);
			},
			onclick_eventPopup : function(){
				var target = CurrentCommonPopup.target;
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_팝업',
						eventAction : '팝업',
						eventLabel : '닫기'
				};
				var subparam = {
						t1 : 'GNB',
						t2 : "팝업"
				};
			
				GA.sendEventData(event_obj,subparam);

				//  hckim 팝업 닫기 후 메인 호출 시 팝업 띄우지 않음				
				//HUB_INIT.isMainEventPopupDisplay = false;
				sessionStorage.setItem("MAIN_EVENT_POPUP_DISPLAY", "N");

				if(!Ns.Util.isNull(CurrentCommonPopup.canCb) && typeof(CurrentCommonPopup.canCb) == 'function'){				
					CurrentCommonPopup.canCb();
				}
								
				Ns.Popup.close( target );
				$('#dimmedAll').removeClass('active bg3');				
				
			}
		}
		
	};

