
/* JavaScript content from js/popup/notice_app_auth_popup.js in folder common */
/* 
 *  페이지 ID : notice_app_auth_popup
 *  
 *  앱 권한 고지 팝업
*/
CurrentPopup = {
		
	// init
	init : function(params) {
		this.initializeComponent(params);
		this.onLoad(params);
	},
	
	// html 페이지 로딩 후 초기화해야 할 적업들을 정의
	initializeComponent : function(params) {
		$("#btnConfirm").on('click', CurrentPopup.event.LayerPopupClose);
		
		//2018.08.10 kimjh AOS M버전 이상 권한 획득 추가
		var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
		if(mainCtrl.VIEW_TYPE == "android" && version >= 2927){
			Ns.Native.checkPermissionState(function(data){$("#spanAuthText").html("선택적");}, function(data){},"check");
		}
		else if(mainCtrl.VIEW_TYPE == "ios"){
			$("#spanAuthText").html("선택적")
		}
	},
	
	// 화면 로딩중일 때 처리할 작업을 정의
	onLoad : function(params) {
		
	},
	
	// 데이터 관련 함수를 정의한다. 
	data : {
		
	},
	
	// 이벤트 관련 함수를 정의한다.
	event : {
		/**
		 * 닫기 버튼 클릭
		 * */
		LayerPopupClose : function() {
			var alias = Ns.LocalStorage.get("deeplinkURL");
			
			$("#contents .content-primary").show();
			$("#notice_app_auth_popup").remove();
			$("#script_notice_app_auth_popup").remove();
			$('#dimmedAll').removeClass('active');
			$('#dimmedAll').removeClass('bg2');
			
			//딥링크 랜딩시 앱권한동의화면 제공 후 페이지 이동 안되는 현상 방어로직
			if(alias != ""){
				if(alias.indexOf("#")>-1){
					alias = alias.substring(1);
				}else if(alias.indexOf("?")>-1){
					alias = alias.substring(1);
				}
				
				var pageId = alias;
				if(pageId.indexOf("&")>-1){
					pageId = pageId.substring(0,pageId.indexOf("&"));
					pageId = (pageId  in PAGE_CONFIG) ? PAGE_CONFIG[pageId].title : "undefined"
				}
				if(pageId == "홈" || pageId == "NS홈쇼핑"){
					navi.setMovePointer(-1);
				}else{
					HUB_INIT.checkInflowOutsideChannel(alias);
				}
			}else{
				navi.setMovePointer(-1);
			}
			
		}
		
	},
	
	// ui 관련 함수 정의
	ui : {
		
	}
	
};