
/* JavaScript content from js/push/M_H1111100M.js in folder common */

/* 
 *	푸시 알림 - 알림 목록 -푸시 상세
 *  ID : M_H1111100M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		
	init : function( params ) {
		this.initializeComponent();
		this.onLoad(params);
	},
	
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.0
	//이벤트 binding 등...
	initializeComponent : function() {
		$("#ulNoticeTabArea li a").unbind().bind( "click", this.event.onclick_ulNoticeTabArea );
	},
	
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {
		this.ui.makePushDetailArea(params);
		$('#footer').removeAttr('style');
		
	},
	
	//데이터 관련 함수를 정의한다. 
	data : {
		
	},
	
	//ui 관련 함수를 정의한다.
	ui : {
		makePushDetailArea : function(data){
			var resHtml = [];
			var i=0;
			
			var title = data.title;
			var message = data.message;
			var deepLink = data.deepLink;
			var regDate = data.qgTimestamp.substring(0, 10);
			var img = data.bigImageUrl;
			
			var image = '<img src=' + '"' + img + '"' + 'width=300px' + '>';
						
			resHtml[i++] =  '<li id="list">';
            resHtml[i++] = 	 '<div class="wrap">';
            resHtml[i++] = 		 '<a href="' + deepLink + '">';
            resHtml[i++] = 			 '<span class="field">';
            if( mainCtrl.VIEW_TYPE == "android" ) {
            	resHtml[i++] = 				 '<span class="date"><span class="head">등록일</span> <span class="text">' + regDate + '</span></span><br/>';
            }
            resHtml[i++] = 				 '<span class="title">';
            resHtml[i++] = 					 '<strong>' + title + '</strong>';
            resHtml[i++] = 				 '</span>';
            resHtml[i++] = 				 '<span class="title">';
            resHtml[i++] = 					 '<strong>' + message + '</strong>';
            resHtml[i++] = 				 '</span>';
            resHtml[i++] = 			 '</span>';
            resHtml[i++] = 		 '</a>';
            resHtml[i++] = 	 '</div>';
            resHtml[i++] = 	 '<div class="src">';
			resHtml[i++] = 		'<a href="' + deepLink + '">';
			resHtml[i++] = 		 '<p style="text-align:center; padding-bottom:20px; font-weight:bold">';
			resHtml[i++] = 		  image;
			resHtml[i++] =       '</p>';
			resHtml[i++] =      '</a>';
			resHtml[i++] = 	 '</div>';
			resHtml[i++] =  '</li>';
			
			$('#pushDetailArea').html(resHtml.join(''));
			$(".src a").on("click",CurrentView.event.onclick_pushMsg);
			$(".wrap a").on("click",CurrentView.event.onclick_pushMsg);
		}
	},
	 
	//이벤트 관련 함수를 정의한다.
	event : {
		onclick_ulNoticeTabArea : function() {
			var id = $(this).attr('id');
			var pageId = "";
			
			if( id == "tabNotice" )
				pageId = "M_H1113000M";
			else if( id == "tabAnnouncement" )
				pageId = "M_H1112000M";
			else if( id == "tabPush" ) 
				pageId = "M_H1111000M";
			else 
				return false;

			mainCtrl.navigate( pageId, null );
		},

		onclick_pushMsg : function(){
			var url = $(this).attr('href');
			$(this).removeAttr('href');
			
			url = url.replace("nsmall://sendurl?page=" , "");
			HUB_INIT.checkInflowOutsideChannel(url);
		}
	}
};