
/* JavaScript content from js/search/M_S1110000M.js in folder common */

/* 
 *	검색결과 페이지.
 *  ID : M_S1110000M
 *  
*/

/* 음성검색 마이크 버튼 추가 */
var $voiceSerachLayer = $('.voice_serach_wrapper');
var $voiceLayerWrapper = $voiceSerachLayer.find('.voice_layer_wrapper');
var $infoText = $voiceLayerWrapper.find('.info_text');

//음성검색시작: current / 인식중: recognizing / 재검색: again
var classes = 'current recognizing again';


//page 컨트롤 클래스
CurrentView = {
		productLogging : new _ns_log(),	// 로그 적재
		categoryId : '',
		mallList   : '',
		
		pushFullEvent : true,
        mallIndex : 0,
		totalCount : 0,
		mallTotalCount : 0,
		currentPage : 1,
		pageIdx : 1,
		pageSize	: 30,

		searchTerm	: "",
		promotionText	: "",
		cateText	: "",
		cateLName	: "",
		mallName   : "",
		researchYn	: "N",		//재검색 여부
		priceStart  : "",
		priceEnd    : "",
		sortCriteria: "weight",	//기본 sort 가중치
		freeDeliverYn: "",		//무료 배송 여부
		interestFreeYn: "",		//무이자 여부
		saveYn : "",			//적립 여부
		
		filterType:"0",			//모바일 검색 개편 - 검색 필터링 (0 : 전체, 1 : TV 쇼핑 , 2 : 해피딜, 3 : TV Shop+, 4 : 백화점) 
		
		isSelectMallNm : false, // 매장 조건 선택여부
		isSelectOrd : false, 	// 조회순서 조건 선택여부
		
		preCateObj : null,
		
		DEFAULT_PRICESTART	: "0",
		DEFAULT_PRICEEND	: "100000000",
		
		define_MallInfo : null,
		currentMallCnt : 0,
		currentCnt : 0,
		isThereNext : true,
		
		exhibitionSwiper : null,
		
		checkClick : false,
		cateInfoHtml : "",
		priceInfoHtml : "",
		bnfInfoHtml : "",
		isShowCateList : true,		//카테고리정보 셋 여부
		isShowWeight : false,		//가중치 정보 노출 유무(운영반영시에는 노출할 필요가 없으므로 false로 변경처리)
		//bestItemsData : null,
		//firstBestItems : true,
		//existBestItems : false,
		
		init : function( params ) {
			//검색 필터 정보 셋팅
			this.ui.setSubheaderTitle();
			
			
			
			CurrentView.define_MallInfo = [
			                               ["해피딜(리뉴얼)","0","78501"],
			                               ["TV홈쇼핑","0","18151"],
						                   ["NSMALL","0",""],
						                   ["쇼핑북","0","18651"]
			                              ];
			
			if ( !Ns.Util.isNull( params.searchTerm ) ) {
				CurrentView.searchTerm = params.searchTerm;
				$('#txtSearch').val(params.searchTerm);
			}
			
			if ( !Ns.Util.isNull( params.promotionText ) ) CurrentView.promotionText = params.promotionText;
			
			if ( !Ns.Util.isNull( params.mallName ) )
            {
				CurrentView.mallName = params.mallName;
            }

			if ( !Ns.Util.isNull( params.cateLName ) )
			{
				var cateNameArr = params.cateLName.replace(/\|/g, "").replace(/&amp;/g,"&").split("$");				
				//3depth 정보가 없는경우 상위 카테고리 정보로 대체한다.
				if(cateNameArr[2] == null || cateNameArr[2] == ""){
					CurrentView.cateText 	= cateNameArr[1];	
				}else{
					CurrentView.cateText 	= cateNameArr[2];					
				}
			}
            
			if ( !Ns.Util.isNull( params.researchYn ) ) CurrentView.researchYn = params.researchYn;
			
			if ( !Ns.Util.isNull( params.priceStart ) ) {
				CurrentView.priceStart = params.priceStart;
				$("#txtPriceStart").val(Ns.Util.insertCommas(params.priceStart));
			}
			if ( !Ns.Util.isNull( params.priceEnd ) ) {
				CurrentView.priceEnd = params.priceEnd;
				$("#txtPriceEnd").val(Ns.Util.insertCommas(params.priceEnd));
			}
			
			if ( !Ns.Util.isNull( params.currentPage ) ) CurrentView.currentPage = params.currentPage;
			if ( !Ns.Util.isNull( params.pageIdx ) ) CurrentView.pageIdx = params.pageIdx;
			if ( !Ns.Util.isNull( params.pageSize ) ) CurrentView.pageSize = params.pageSize;
			if ( !Ns.Util.isNull( params.sortCriteria ) ){
				CurrentView.sortCriteria = params.sortCriteria;
				$('#itemClass li > a').each(function() {
					if(params.sortCriteria == $(this).attr("sort-code")){
						$('#txtSortName').text(Ns.Util.getSortCriteriaName(params.sortCriteria));
						$("#itemClass li").removeClass("on");
						$(this).parent().addClass("on");
					}
				});
			}
			
			if ( !Ns.Util.isNull( params.freeDeliverYn ) && params.freeDeliverYn == 'Y') {
				CurrentView.freeDeliverYn = params.freeDeliverYn;
				$("#benefitChk0").prop("checked",true);
			}
			if ( !Ns.Util.isNull( params.interestFreeYn ) && params.interestFreeYn == 'Y') {
				CurrentView.interestFreeYn = params.interestFreeYn;
				$("#benefitChk1").prop("checked",true);
			}
			if ( !Ns.Util.isNull( params.saveYn ) && params.saveYn == 'Y') {
				CurrentView.saveYn = params.saveYn;	
				$("#benefitChk2").prop("checked",true);
			}
			
			if ( !Ns.Util.isNull( params.filterType )) {
				CurrentView.filterType = params.filterType;
				$('input:checkbox[id="filterType"]').each(function() {
					if(params.filterType == $(this).val()){
						$(this).prop('checked', true);
					}else{
						$(this).prop('checked', false);
					}
				});
			}
			this.initializeComponent();
			this.onLoad();
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			Ns.UI.startPushFullEvent( this.data.getProductListInfo ,'search'); // push full event 설정. 
			
			$("#sectionBestItemsArea").hide(); // 해피딜 출력 영역
			$("#noSearchDescriptArea").hide(); // 검색결과 없을 경우 출력 영역
			$("section[id=sectionProductList]").hide(); // 검색결과 출력 영역
			
			$("#divBreadcrumb").removeClass("active");
			$("#divBreadcrumb").html('<a href="javascript:;">전체</a>');
			$("#filterWrap").css("top", "80px");
			
			$("#itemClass li a").unbind().bind("click", this.event.onclick_itemClass);			
			$("#btnChangeView").unbind().bind("click", this.event.onclick_btnChangeView);
			$("#btnFilterMore").unbind().bind("click", this.event.onclick_btnFilterMore);
			$("#btnClose").unbind().bind("click", this.event.onclick_btnClose);				//상세 레이아웃 닫기 버튼 
			$("#btnInit").unbind().bind("click", this.event.onclick_btnInit);				//상세 레이아웃 초기화 버튼 
			$("#cateFilter").unbind().bind("click", this.event.onclick_cateFilter);			//상세 레이아웃 카테고리 탭 버튼
			$("#otherFilter").unbind().bind("click", this.event.onclick_otherFilter);		//상세 레이아웃 상세조건 탭 버튼
			$("#btnPreSearch").unbind().bind("click", this.event.onclick_btnPreSearch);		//상세 레이아웃 상세조건의 탭 내의 검색 버튼
			$("#txtPriceStart").unbind().bind("keypress", this.event.onkeypress_txtPrice);
			$("#txtPriceEnd").unbind().bind("keypress", this.event.onkeypress_txtPrice);
			$("#txtPriceStart").bind("focus", this.event.onfocus_txtPrice);
			$("#txtPriceEnd").bind("focus", this.event.onfocus_txtPrice);
			$("#txtPriceStart").bind("blur", this.event.onblur_txtPrice);
			$("#txtPriceEnd").bind("blur", this.event.onblur_txtPrice);
			
			//음성인식 추가 2018-04-13 J.S.KIM 시작
			$('#btnVoiceRes').unbind().bind('click', this.event.onclick_btnVoice);
			$('#btnVoiceClose').unbind().bind('click', this.event.onclick_btnVoiceClose);
			$('#btnVoiceReSearch').unbind().bind('click', this.event.onclick_btnVoiceReSearch);
			//음성인식 추가 2018-04-13 J.S.KIM 종료
			
			
			//해피딜 베스트 전체보기 클릭시 매장으로 이동
			$("#goHeaappyDealMain").bind("click", function(){
				mainCtrl.navigate("M_G5710001M", mainCtrl.getCurrentPageParams());
			});
			
			//2018-07-20 ssong 찜하기
			$('.content-primary').off().on("click",'input[name="wish_check"]', this.event.onclick_wish_check);
			
			//검색 필터 checkbox 제어 이벤트 (1건 선택)
			$('input[id="filterType"]').bind('click',function() {
				//클릭 이벤트 발생한 요소가 체크 상태인 경우
		        if ($(this).prop('checked')) {
		        	if($("#txtSearch_tmp").val() == ''){
						Ns.Popup.alert("검색어를 입력해 주세요.");
						$(this).prop('checked', false);
						return;
					}
		        	
		        	//노출 영역 초기화
		        	$("#noSearchDescriptArea").hide();
		        	$(".planing").hide();
					$(".rel_word").hide();
					$(".rel_prod").hide();
					$("[id=sectionProductList]").hide();
					$("#productListArea, #productListArea1, #productListArea2, #searchFailListArea, #happydealBestListArea, #planItems , #recomItems").empty();
					
					//페이지 초기화
					CurrentView.pageIdx = 1;
		        	
		        	//체크박스 그룹의 요소 전체를 체크 해제후 클릭한 요소 체크 상태지정
		            $('input[id="filterType"]').prop('checked', false);
		            $(this).prop('checked', true);
		            CurrentView.filterType = $(this).val();
					CurrentView.isSelectOrd = true;
					CurrentView.researchYn = "Y";				
					CurrentView.isShowCateList = true;
					//통합 검색 조회
					CurrentView.data.getTotalSearchInfo();
		        }else{
		        	$(this).prop('checked', true);
		        }
				
			});
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function() {
			//통합 검색 조회
			this.data.getTotalSearchInfo();
			//스크롤 생성
			this.ui.createiScroll();
			
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getBestItems : function(){
				try{
					if ( !Ns.Util.isNull( CurrentView.searchTerm ) ){
						CurrentView.searchTerm = CurrentView.util.toHTML(CurrentView.searchTerm);
					}
					
					var invoke = { 
						searchType	: "search",
						searchTerm	: CurrentView.searchTerm,
						researchYn	: CurrentView.researchYn,
						currentPage : 1,
						pageSize	: 15,
						sortCriteria: "best",
						mallName : CurrentView.define_MallInfo[0][0],
					};
	
					tran.callWCSJsonTran( 'NSSearchMobileWrapper', invoke, CurrentView.ui.setBestItems );
				}
				catch(e){
					Ns.Util.viewConsoleLog("(( Caught exception at \"" + 'getBestItems' + "\" -> " + e + " ))");
				}
			},
			
			getCateList : function(){
				try{
					if ( !Ns.Util.isNull( CurrentView.searchTerm ) ){
						CurrentView.searchTerm = CurrentView.util.toHTML(CurrentView.searchTerm);
					}
					
					var invoke = { 
							searchType	: "search",
							searchTerm	: CurrentView.searchTerm,
							researchYn	: CurrentView.researchYn,
							currentPage : CurrentView.pageIdx,
							pageSize	: CurrentView.pageSize,
							sortCriteria: "topPrice"
					};
	
					tran.callWCSJsonTran( 'NSSearchMobileWrapper', invoke, CurrentView.data.setCateList );
				}
				catch(e){
					Ns.Util.viewConsoleLog("(( Caught exception at \"" + 'getCateList' + "\" -> " + e + " ))");
				}
			},
			
			setCateList : function( data ){
				try{
					if ( Ns.Util.isNull(data.msg.root.MallList) || Ns.Util.isNull(data.msg.root.CateList) 
							|| data.msg.root.CateList.length == 0  || Ns.Util.isNull(data.msg.root.CateList[0])) {
						return false;
					}
					else{
						var cateList = CurrentView.data.parseCateListData(data.msg.root.CateList);
						var mallList = data.msg.root.MallList;
						CurrentView.DEFAULT_PRICEEND = data.msg.root.ProductList[0].pricedcprice;
						CurrentView.priceStart = data.msg.root.priceStart;
						CurrentView.priceEnd = data.msg.root.priceEnd;
						
						$("#txtPriceStart").val(Ns.Util.insertCommas(CurrentView.priceStart));
						$("#txtPriceEnd").val(Ns.Util.insertCommas(CurrentView.priceEnd));
						
						CurrentView.mallList = CurrentView.data.reformMallListData(mallList, cateList);
						CurrentView.ui.makeTabMallListArea( CurrentView.mallList );

					}
				}
				catch(e){
					Ns.Util.viewConsoleLog("(( Caught exception at \"" + 'setCateList' + "\" -> " + e + " ))");
					$("section[id=sectionProductList]").hide();
				}
			},
			
			getTotalSearchInfo : function(){
				try{
					mainCtrl.showLoadingImg();
					if ( !Ns.Util.isNull( CurrentView.searchTerm ) ){
						CurrentView.searchTerm = CurrentView.util.toHTML(CurrentView.searchTerm);
					}
					
					var invoke = { 
						searchType	: "search",
						appType     : "MOBILE",
						filterType : CurrentView.filterType,
						searchTerm	: CurrentView.searchTerm,
						researchYn	: CurrentView.researchYn,
						currentPage : CurrentView.pageIdx,
						pageSize	: CurrentView.pageSize,
						sortCriteria: CurrentView.sortCriteria,
						priceStart: CurrentView.priceStart,
						priceEnd: CurrentView.priceEnd
					};
					
					if ( !Ns.Util.isNull( CurrentView.cateLName ) ) {
						invoke.cateLName = CurrentView.cateLName;	
					}
					
					if ( !Ns.Util.isNull( CurrentView.mallName ) ) {
						invoke.mallName = CurrentView.mallName;	
					}
					if ( !Ns.Util.isNull( CurrentView.priceStart ) ) {
						if(CurrentView.priceStart != CurrentView.DEFAULT_PRICESTART ||
								CurrentView.priceEnd != CurrentView.DEFAULT_PRICEEND) {
							invoke.priceStart = CurrentView.priceStart;
						}
					}
					if ( !Ns.Util.isNull( CurrentView.priceEnd ) ) {
						if(CurrentView.priceStart != CurrentView.DEFAULT_PRICESTART ||
								CurrentView.priceEnd != CurrentView.DEFAULT_PRICEEND) {
							invoke.priceEnd = CurrentView.priceEnd;
						}
					}
					if ( !Ns.Util.isNull( CurrentView.freeDeliverYn ) ) invoke.freeDeliverYn = CurrentView.freeDeliverYn;
					if ( !Ns.Util.isNull( CurrentView.interestFreeYn ) ) invoke.interestFreeYn = CurrentView.interestFreeYn;
					if ( !Ns.Util.isNull( CurrentView.saveYn ) ) invoke.saveYn = CurrentView.saveYn;
					
					invoke.preSearchTerm = CurrentView.searchTerm;



					mainCtrl.setPageHistoryUpdate( invoke );
					tran.callWCSJsonTran( 'NSSearchMobileWrapper', invoke, function(data){
						//바로가기 정보 체크
						if(!Ns.Util.isNull(data.msg.root.RedirectUrl)){
							var likUrl = data.msg.root.RedirectUrl.replace(/&amp;/g,"&"); 
							likUrl = likUrl.replace(/&amp;/g,"&");
							
							//history back했을 경우 검색어 초기화
							var searchParams =  {searchTerm : "",preSearchTerm:""}
							for (var i = 0; i < navi.objNaviData.pageIds.length; i++) {
								if (navi.objNaviData.pageIds[i] == "M_S1110000M"){
									navi.objNaviData.pageParams[i].searchTerm="";
									navi.objNaviData.pageParams[i].preSearchTerm="";
								}
							}
							//내부 URL인 경우
							if (likUrl.indexOf('.nsmall.com/') > -1){
								HUB_INIT.checkInflowOutsideChannel( likUrl );
							}else{
								
								//khkim82 20180502 link페이지로 내려올 경우 수정
								if(mainCtrl.VIEW_TYPE == "android"){
									Ns.Native.webView(1, likUrl);
								}else if(mainCtrl.VIEW_TYPE == "ios"){
									Ns.Native.linkView(2, likUrl);
								}else{								
									window.open(likUrl, '엔에스쇼핑');								
								}
							
								//상세 검색 화면 초기화
								CurrentView.ui.initDetailCondition();
								$("#totalCount").html('1');
								$("p[id=schWord]").text("\'"+CurrentView.searchTerm+"\'");
								if(!(mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "ios")){
									$("p[id=schWord2]").text("새창이 안보일 경우 '팝업차단'을 해제해 주세요."); 
								} 
								
								
								$("#linkSearchDescriptArea").show();
								$(".planing").hide();
								$(".ftr_area").hide();
								
								//상품상세 정보 set
								CurrentView.ui.setDetailCondition();
	
								//검색 실패 상품 정보 조회
								$("#searchFailListArea ,#failTitle").hide();
			
								//해피딜 베스트10 정보 조회
								$("#happyDealTitle").hide();
								$("#happydealBestListArea").hide();
							
								mainCtrl.hideLoadingImg();
							}						
							return false;
						}
						//상세 검색 레이아웃 매장 및 카테고리 정보 셋팅
						if(CurrentView.isShowCateList){
							
							CurrentView.data.setCateList(data);
						}
						//filterType disabled 처리
						CurrentView.ui.hasFilterDisable(data);
							
						//검색 결과가 없을 경우
						if(Ns.Util.isNull(data.msg.root.ProductList)){
							
							//상세 검색 화면 초기화
							if(CurrentView.researchYn == 'N'){
								CurrentView.ui.initDetailCondition();
							}
							
							$("#totalCount").html(data.msg.root.TotalCount);
							$("p[id=schWord]").text("\'"+CurrentView.searchTerm+"\'");
							$("#noSearchDescriptArea").show();
							$(".planing").hide();
							$(".ftr_area").hide();
							
							// 서비스 모니터링 로그 저장(검색결과가없을경우)
							CurrentView.productLogging
								.a("SearchResult")				// 구분자
								.a(CurrentView.searchTerm) 		// 검색어
								.a(data.msg.root.TotalCount)	// 결과건수
								.l();
							
							//상품상세 정보 set
							CurrentView.ui.setDetailCondition();
							
							
							//검색 실패 상품 정보 조회
							if(!Ns.Util.isNull(data.msg.root.SearchFailList)){
								CurrentView.ui.makeSearchFailListArea(data.msg.root.SearchFailList);
							}else{
								$("#searchFailListArea ,#failTitle").hide();
							}
							//해피딜 베스트10 정보 조회
							if(!Ns.Util.isNull(data.msg.root.HappyDealBestList)){
								CurrentView.ui.makeHappyDealBestListArea(data.msg.root.HappyDealBestList);
							}else{
								$("#happyDealTitle").hide();
								$("#happydealBestListArea").hide();
							}
						}else{
							$("#totalCount").html(Ns.Util.insertCommas(data.msg.root.TotalCount));
							CurrentView.totalCount = data.msg.root.TotalCount;
							
							// 서비스 모니터링 로그 저장(검색결과가있을경우)
							CurrentView.productLogging
								.a("SearchResult")				// 구분자
								.a(CurrentView.searchTerm) 		// 검색어
								.a(CurrentView.totalCount)		// 결과건수
								.l();
							
							//검색 결과 상품 정보 셋팅
							CurrentView.ui.makeProductListArea(data);
						}
						
						CurrentView.checkClick = true;
						
						if(!mainCtrl.isOsApp()){		//kimjh : 홈쇼핑모아 정보 전달
							var query = $("#searchItems input#txtSearch_tmp").val();
							CurrentView.data.hsmoaQuery(query);
						}
						mainCtrl.hideLoadingImg();
					});
				}
				catch(e){
					mainCtrl.hideLoadingImg();
					Ns.Util.viewConsoleLog("(( Caught exception at \"" + 'getTotalSearchInfo' + "\" -> " + e + " ))");
				}
			},
			
			
			/**
			 *  cateName : "NSMALL$|FASHION & BEAUTY$|패션잡화"
			 *  을 변환하여 상위 mallName과 카테고리 네임을 얻음
			 **/
			parseCateListData : function( cateList ){
				var resArr = new Array(); 
				for(var k=0; k<cateList.length; k++){
					var resObj 	   = {}; 
					var cateLCount = cateList[k].cateLCount;
					var cateLName  = cateList[k].cateLName;
					
					var cateNameArr = cateLName.replace(/\|/g, "").replace(/&amp;/g,"&").split("$");				
					resObj.fullCateName = cateLName;
					resObj.mallName 	= cateNameArr[0];
					resObj.topCateName 	= cateNameArr[1];
					
					//3depth 정보가 없는경우 상위 카테고리 정보로 대체한다.
					if(cateNameArr[2] == null || cateNameArr[2] == ""){
						resObj.cateName 	= cateNameArr[1];	
					}else{
						resObj.cateName 	= cateNameArr[2];					
					}
					resObj.cateCnt 		= cateLCount; 
					
					resArr[k] = resObj; 
				}
				//Ns.Util.viewConsoleLog("[resArr]-----------" + JSON.stringify(resArr));
				return resArr; 
			},
			
			/**
			 * mallList와 cateList데이터를 결합
			 * [
			 * 	{
			 * 		mallName : "",
			 * 		mallCnt  : "", 
			 * 		cateList : [
			 * 			{
			 * 				cateName:"",
			 * 				cateCnt : ""
			 * 			}
			 * 		];
			 * 	}
			 * ]
			 * **/
			reformMallListData : function( mallList, cateList ){
				var resArr = new Array();
				try{
					for(var i=0; i<mallList.length; i++){
						var mallObj = {};
							mallObj.mallName = mallList[i].mallName; 
							mallObj.mallCnt  = mallList[i].mallCount; 
							mallObj.cateList = [];
							for(j=0; j < CurrentView.define_MallInfo.length; j++){
								
								if(mallList[i].mallName == CurrentView.define_MallInfo[j][0]) CurrentView.define_MallInfo[j][1] = mallList[i].mallCount;
							}
						for(var k=0; k<cateList.length; k++){
							if(mallList[i].mallName == cateList[k].mallName){
								 var cateObj = {}; 
								 cateObj.cateName  = cateList[k].cateName; 
								 cateObj.cateCnt 	   = cateList[k].cateCnt; 	
								 cateObj.fullCateName = cateList[k].fullCateName; 
								 mallObj.cateList.push(cateObj); 
							}else{
								continue;
							}
						}
						
						resArr[i] = mallObj; 
					}
					
				}
				catch(e){
					Ns.Util.viewConsoleLog("(( Caught exception at \"" + 'reformMallListData' + "\" -> " + e + " ))");
				}
				
				return resArr;
			},
			
			/**
			 * 조건에 따라 매장명 Setting
			 */
			setCurrentMallName : function(){
				if(!CurrentView.isSelectMallNm && !CurrentView.isSelectOrd){
					for(var i = 0; i < CurrentView.define_MallInfo.length; i++){
						if(CurrentView.define_MallInfo[i][1] != "0"){
							CurrentView.mallName = CurrentView.define_MallInfo[i][0];
							break;
						}
					}
                    
                    if (Ns.Util.isNull(CurrentView.mallName) || CurrentView.mallName == "" )
                    {
                        CurrentView.mallIndex = 4;
                    }
                    else {
                        for(var i = 0; i < CurrentView.define_MallInfo.length; i++)
                        {
                            if (CurrentView.mallName == CurrentView.define_MallInfo[i][0])
                            {
                                CurrentView.mallIndex = i;
                                break;
                            }
                        }
                    }
                    
				}
			},
			
			//scroll 검색용 
			getProductListInfo : function(){
				//상품 검색 결과가 없으면 비검색 (검색실패인경우 페이지 처리가 없음.)
				if($("#noSearchDescriptArea").css("display") == "block"){
					return;
				}
				
				var invoke = {};
				//CurrentView.researchYn ='N';
				
				if ( !Ns.Util.isNull( CurrentView.cateLName ) ) {
					invoke.cateLName = CurrentView.cateLName;
					//CurrentView.researchYn ='Y';
				}
				if ( !Ns.Util.isNull( CurrentView.mallName )) {
					invoke.mallName = CurrentView.mallName;
					if(CurrentView.isSelectMallNm) CurrentView.researchYn ='Y';
				}
				if ( !Ns.Util.isNull( CurrentView.priceStart )) {
					if(CurrentView.priceStart != CurrentView.DEFAULT_PRICESTART ||
							CurrentView.priceEnd != CurrentView.DEFAULT_PRICEEND) {
						invoke.priceStart = CurrentView.priceStart;
						//CurrentView.researchYn ='Y';
					}
				}
				if ( !Ns.Util.isNull( CurrentView.priceEnd )) {
					if(CurrentView.priceStart != CurrentView.DEFAULT_PRICESTART ||
							CurrentView.priceEnd != CurrentView.DEFAULT_PRICEEND){
						invoke.priceEnd = CurrentView.priceEnd;
						//CurrentView.researchYn ='Y';
					}
				}
				if ( !Ns.Util.isNull( CurrentView.freeDeliverYn ) ) {
					invoke.freeDeliverYn = CurrentView.freeDeliverYn;
					//CurrentView.researchYn ='Y';
				}
				if ( !Ns.Util.isNull( CurrentView.interestFreeYn ) ) {
					invoke.interestFreeYn = CurrentView.interestFreeYn;
					//CurrentView.researchYn ='Y';
				}
				if ( !Ns.Util.isNull( CurrentView.saveYn ) ) {
					invoke.saveYn = CurrentView.saveYn;
					//CurrentView.researchYn ='Y';
				}
				
				if(CurrentView.researchYn == 'Y'){
					invoke.preSearchTerm = CurrentView.searchTerm;
				}
				
				//노출할 상품 영역 (1page:productListArea , 2page:productListArea1 , 3page:productListArea2 ...이하 동일)
				var dispAreaNumber = "";
								
				invoke.appType = "MOBILE";
				invoke.searchType = "search";
				invoke.filterType = CurrentView.filterType;
				invoke.searchTerm = CurrentView.searchTerm;
				invoke.researchYn = CurrentView.researchYn;
				invoke.currentPage = CurrentView.pageIdx;
				invoke.pageSize = CurrentView.pageSize;
				invoke.sortCriteria = CurrentView.sortCriteria;


				mainCtrl.setPageHistoryUpdate( invoke );
				
				tran.callWCSJsonTran( 'NSSearchMobileWrapper', invoke,  function(data){
					
					
					if ( !data.isSuccessful || data.msg.root == undefined ) return false;

                    // 20170705 jjko 검색 유무 아래 메서드 안에서 판단.
					CurrentView.ui.makeProductListArea( data );

				});
			},
			
			/**
			 * kimjh : 홈쇼핑모아 정보 전달
			 * */
			hsmoaQuery : function(search) {
				var invoke = {}
				invoke.co_cd = Const.getCocd();
				invoke.action = search;
				invoke.category = 'query';
				
				if(typeof targeting == 'undefined'){
					mainCtrl.callTargetingScript();
				}
				setTimeout(function(){
					targeting.sendHsmoa(invoke);
				}, 5500);
			},
			
			hsmoaList : function(array) {
				var invoke = {}
				invoke.from_hsmoa = false;
				invoke.action = array;
				invoke.category = 'list';
				
				if(typeof targeting == 'undefined'){
					mainCtrl.callTargetingScript();
				}
				setTimeout(function(){
					targeting.sendHsmoa(invoke);
				}, 5500);
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			createiScroll : function(){
				if ( oScroll != null ) oScroll=null;
				
				setTimeout(function(){
					oScroll = new iScroll('cate-filter', {
						checkDOMChanges: true,
						useTransform: false,
						hideScrollbar:true,
						hScroll : false,
						onBeforeScrollStart: function (e) {
							var target = e.target;
							while (target.nodeType != 1) target = target.parentNode;
						    if (target.tagName != 'SELECT' && target.tagName != 'INPUT' && target.tagName != 'TEXTAREA')
						    e.preventDefault();
						}
					});
				}, 99);
			},
			setBestItems : function(data){
				try{
					if(CurrentView.bestItemsData == null) CurrentView.bestItemsData = data;
					var bestItems = data.msg.root.ProductList;
					var nCount = bestItems.length;
					
					if( bestItems == undefined || bestItems.length == 0 ) {
						$("#sectionBestItemsArea").hide();
						return false;
					}
					
					for(var i = 0; i < nCount; i++){
						if(i > 14) break;
						
						var partNumber = bestItems[i].partNumber;
						var busChnId = bestItems[i].busChnId;
						var noImageUrl = Const.NO_IMAGE_URL + 'noimage_X6.jpg';
						var catentryNm = bestItems[i].itncatentrynm;
						var oriPrice = Ns.Util.insertCommas(bestItems[i].priceofferprice);
						var salePrice = Ns.Util.insertCommas(bestItems[i].pricedcprice);
						var saleRate = bestItems[i].saleRate;
						var deliveryPrice = bestItems[i].dlvrPrice;
						var interestFeeMonth = bestItems[i].ifiValue;
						var tmp_multiCd = null;
						if(bestItems[i].multiCd != "") tmp_multiCd = bestItems[i].multiCd;
						var adultItemFlag = bestItems[i].adultItemFlag; //2016-08-31 Ssong 성인 플래그 추가
						
						var func = Ns.Util.stringFormat('CurrentView.event.onclick_gotoProductDisplay({0},{1},\'{2}\')', partNumber, tmp_multiCd, busChnId);
						var freeDlvrYn = (deliveryPrice == 0)? '<div class="benefit"><dfn class="label">혜택</dfn><em class="free">무료배송</em></div>' : "";
						var percentYn = (saleRate == 0)? '<dd class="happydeal">해피딜가</dd>' : '<dd class="percent">' + saleRate + '%<em>↓</em></dd>';
						
						var prcHtml = Ns.Util.stringFormat('\
							<li class="swiper-slide" idx="{0}">\
								<div class="inner_slide">\
									<div class="thumbnail">\
										<a href="javascript:{1};"><img id="img{9}" src="{2}" onerror="CurrentView.event.onerror_noImage(this,\'{3}\');" style="width: 100%;" alt=""></a>\
										{4}\
									</div>\
									<div class="info_more">\
										<dl>\
											<dt><a href="javascript:{5};">{6}</a></dt>\
											{7}\
											<dd class="price">{8}<span class="won">원</span></dd>\
										</dl>\
									</div>\
								</div>\
							</li>',
							(i+1), func, noImageUrl, noImageUrl, freeDlvrYn, func, catentryNm, percentYn, salePrice, partNumber);
						
						$("#bestItems").append(prcHtml);
					}
					
					$('#sectionBestItemsArea .paging').html('1/' + nCount);
					$("#sectionBestItemsArea").show();
					
					if(CurrentView.firstBestItems){
						setTimeout(function(){
							CurrentView.ui.setBestItemsBanner(nCount);
							CurrentView.firstBestItems = false;
						}, 500);
					}
					else
						CurrentView.ui.setBestItemsBanner(nCount);
					
					for(var i = 0; i < nCount; i++){
						if(i > 14) break;
						
						var partNumber = bestItems[i].partNumber;
						var imageUrl = Ns.Util.getImageUrl(partNumber, 'O',adultItemFlag); // 2016-08-31 Ssong 성인플래그 추가bestItems[i].bannerImg;
						if(imageUrl != '' && imageUrl != null){
							$("#img"+partNumber).css("width","auto");
							$("#img"+partNumber).attr("src",imageUrl);
						}
					}
				}
				catch(e){
					Ns.Util.viewConsoleLog("(( Caught exception at \"" + 'setBestItems' + "\" -> " + e + " ))");
					$("#sectionBestItemsArea").hide();
				}
			},
			
			setBestItemsBanner : function(nCount){
				var exhibitionSwiper = null;
				var pagination = '#sectionBestItemsArea .paging';
				
				if(nCount == 1){
					exhibitionSwiper = new Swiper('#sectionBestItemsArea .rolling_bn', {
						paginationClickable: true,
						loop: false,
						centeredSlides: true,
						slidesPerView: 'auto',
						onInit: function(){
							var slide = exhibitionSwiper.getSlide(exhibitionSwiper.activeIndex);
							var currentIdx = $(slide).attr("idx");
							var totalIdx = $(exhibitionSwiper.getFirstSlide()).attr("idx");
							
							$(pagination).html(currentIdx + '/' + totalIdx);
						},
						onSlideChangeEnd: function() {
							var slide = exhibitionSwiper.getSlide(exhibitionSwiper.activeIndex);
							var currentIdx = $(slide).attr("idx");
							var totalIdx = $(exhibitionSwiper.getFirstSlide()).attr("idx");
							
							$(pagination).html(currentIdx + '/' + totalIdx);
						},
					});
				}
				else{
					exhibitionSwiper = new Swiper('#sectionBestItemsArea .rolling_bn', {
						paginationClickable: true,
						loop: true,
						centeredSlides: true,
						slidesPerView: 'auto',
						autoplay: 3000,
						autoplayDisableOnInteraction: false, 
						onInit: function(){
							var slide = exhibitionSwiper.getSlide(exhibitionSwiper.activeIndex);
							var currentIdx = $(slide).attr("idx");
							var totalIdx = $(exhibitionSwiper.getFirstSlide()).attr("idx");
							
							$(pagination).html(currentIdx + '/' + totalIdx);
						},
						onSlideChangeEnd: function() {
							var slide = exhibitionSwiper.getSlide(exhibitionSwiper.activeIndex);
							var currentIdx = $(slide).attr("idx");
							var totalIdx = $(exhibitionSwiper.getFirstSlide()).attr("idx");
							
							$(pagination).html(currentIdx + '/' + totalIdx);
						},
					});
				}
				CurrentView.exhibitionSwiper = exhibitionSwiper;
				CurrentView.existBestItems = true;
				
			},
			
			makeTabMallListArea : function( mallList ){
				var resHtml = "";
				
				for(var k = 0; k < mallList.length; k++){
					var mallName = mallList[k].mallName;
					var mallCnt = Ns.Util.insertCommas(mallList[k].mallCnt);
					var cateList = mallList[k].cateList;
					
					//검색 결과 오류로 제거
					//if(mallName == "프리미엄 장보기") mallName = "프리미엄<br>장보기";
					
					resHtml += '<li idx="' + k + '">' + '\r\n'
							+  '	<a href="javascript:;" onclick="CurrentView.event.onclick_MallList('+k+',\'' + mallName + '\');">' + mallName + '<span class="cnt"></span></a>' + '\r\n'
							+  '	<ul>' + '\r\n';
					for(var j=0; j < cateList.length; j++){
						var cateName = cateList[j].cateName;
						var fullCateName = cateList[j].fullCateName;
						var cateCnt = Ns.Util.insertCommas(cateList[j].cateCnt);
						
						resHtml += '<li onclick="CurrentView.event.onclick_tabCategory(this,\'' + fullCateName + '\',\'' + cateName + '\');"><a href="javascript:;">' + cateName + '<span class="cnt"></span></a></li>' + '\r\n';
					}
					resHtml += '	</ul>' + '\r\n'
							+  '</li>' + '\r\n';
				}
				$("#ulCateFilter").html(resHtml);
			},
			
			makeProductListArea : function( data ){
				var productList = data.msg.root.ProductList;
				var weightList = data.msg.root.weightList;
				
				try{//hawoong12 
					setTimeout(function(){
						if(Ns.Util.isNull(productList) || productList.length == 0 ){
							if ( CurrentView.pageIdx == 1 ) {
								$("section[id=sectionProductList]").hide();
								$("span[id=schWord]").text("\'"+CurrentView.searchTerm+"\'");
								$("p[id=schWord]").text("\'"+CurrentView.searchTerm+"\'");
								$("#noSearchDescriptArea").show();
								$(".rel_word").hide();
							}
							return false;
						}
						else{
							$("#noSearchDescriptArea").hide();
							
							CurrentView.pushFullEvent = false;
							
							CurrentView.currentMallCnt = productList.length;
							CurrentView.currentCnt = productList.length;
							
							var resHtml = "";
							
							var objDrawData = JSON.parse(JSON.stringify(productList));
							
							var arrDispArea = new Array();
							var arrDispArea1 = new Array();
							var arrDispArea2 = new Array();
							
							//jihee : 제휴사 adbrix 정보 전달을 위한 선언
							var product = new Object();
							var array = new Array();
							var hs_array = new Array();		//kimjh : 홈쇼핑모아 정보전달
							
							for (var i = 0; objDrawData.length > i; i++){
								var partNumber = objDrawData[i].partNumber;
								var busChnId = objDrawData[i].busChnId;
								var catalogId = objDrawData[i].catalogId;
								var imageUrl = Ns.Util.getImageUrl(partNumber, 'O' , objDrawData[i].adultItemFlag);
								var noImageUrl = Const.NO_IMAGE_URL + 'noimage_O.jpg';
								var catentryNm = objDrawData[i].itncatentrynm;
								var oriPrice = Ns.Util.insertCommas(objDrawData[i].priceofferprice);
								var salePrice = Ns.Util.insertCommas(objDrawData[i].pricedcprice);
								//검색결과 내에 렌탈상품 가격표기 개선
								var mmRntalPrc = Ns.Util.insertCommas(objDrawData[i].mmRntalPrc);
								
								//할인율
								var saleRate = objDrawData[i].saleRate;
								
								//상품평 count	
								var joinCnt = 0;
								if(objDrawData[i].join_cnt >= 10000){
									joinCnt = "만+";
								}else if(objDrawData[i].join_cnt >= 1000){
									joinCnt = "천+";
								}else{
									joinCnt = objDrawData[i].join_cnt;
								}
								//상품평 평균 score
								var score = objDrawData[i].score;
								
								//무료배송여부
								//var freeDlvrYn = (objDrawData[i].deliveryPrice == 0)? '<div class="benefit"><dfn class="label">혜택</dfn><em class="free">무료배송</em></div>' : "";
								//적립여부
								//var saveYn = (objDrawData[i].padValue == 0)? '<div class="benefit"><dfn class="label">혜택</dfn><em class="free">적립금</em></div>' : "";
								
								var deliveryPrice = objDrawData[i].dlvrPrice;
								
								//무이자 할부여부
								var interestFeeMonth = objDrawData[i].ifiValue;
								
								//가중치 정보 노출여부
								var weightInfo = "";
								if(CurrentView.isShowWeight && weightList != undefined && weightList.length > 0){
									weightInfo = weightList[i];
								}else{
									weightInfo = "";
								}
								
								var tmp_multiCd = null;

								if(objDrawData[i].multiCd != "") tmp_multiCd = objDrawData[i].multiCd;

								//상품 상세 페이지 이동
								var func = Ns.Util.stringFormat('CurrentView.event.onclick_gotoProductDisplay({0},{1},\'{2}\')', partNumber, tmp_multiCd, busChnId);
								
								
								//상품 이미지 정보
								objDrawData[i].prdItems = ''
									+ '<div class="thumbnail"><a href="javascript:' + func + ';"><img src="' + imageUrl + '" onerror="this.src=\'' + noImageUrl + '\'" alt=""/></a>';
								//방송 스케줄 정보 - brdctYn인 경우에만 노출
								if(Ns.Util.isEqual(objDrawData[i].brdctYn,'Y')){
									objDrawData[i].prdItems += '<p class="bcast">방송중 구매가능 <span class="time">';
									if(!Ns.Util.isNull(objDrawData[i].brdctSttDtm) && !Ns.Util.isNull(objDrawData[i].brdctEndDtm)){
										objDrawData[i].prdItems += objDrawData[i].brdctSttDtm+'~'+objDrawData[i].brdctEndDtm;
									}
									objDrawData[i].prdItems += '</span></p>';
								}
								
								objDrawData[i].prdItems += '</div>' + '\r\n';
								objDrawData[i].prdItems += '<div class="field">' + '\r\n';
								
								//매체(tv쇼핑,tv샵플러스,쇼핑북) 엠블럼
								objDrawData[i].prdItems += '<div class="more-info" name="divMoreInfo1">';
								if(Ns.Util.isEqual(objDrawData[i].isTvShopping,'Y')){
									objDrawData[i].prdItems += '<span class="tag item-feature tvshopping"><label class="head">TV쇼핑</label></span>' + '\r\n';
								}else if(Ns.Util.isEqual(objDrawData[i].isTvShopPlus,'Y')){
									objDrawData[i].prdItems += '<span class="tag item-feature shopplus"><label class="head">shop+</label></span>' + '\r\n';
								}else if(Ns.Util.isEqual(objDrawData[i].isShoppingBook,'Y')){
									objDrawData[i].prdItems += '<span class="tag item-feature shoppingbook"><label class="head">쇼핑북</label></span>' + '\r\n';
								}
								if(Ns.Util.isEqual(objDrawData[i].isHappyDeal,'Y')){
									objDrawData[i].prdItems += '<span class="tag item-feature happydeal"><label class="head">해피딜</label></span>' + '\r\n';
								}
								if(Ns.Util.isEqual(objDrawData[i].isDepartment,'Y')){
									objDrawData[i].prdItems += '<span class="tag item-feature dpm_store"><label class="head">백화점</label></span>' + '\r\n';
								}
								objDrawData[i].prdItems += '</div>' + '\r\n';
								// 옵션대표가 출력 처리
								var prcWaveDisp = "";
								if( objDrawData[i].prcWaveDisp != undefined){
									prcWaveDisp = objDrawData[i].prcWaveDisp;
								}
									
								//검색결과 내에 렌탈상품 가격표기 개선
								if( (objDrawData[i].dispTypeCd == "45" && objDrawData[i].busChnId != 'TV') || objDrawData[i].dispTypeCd == "57" ){
									objDrawData[i].prdItems += ''
										+ '		<p class="title"><a href="javascript:' + func + ';"><strong>' + catentryNm + '</strong></a></p>' + '\r\n'
										+ '		<div class="data-info">' + '\r\n'
										+ '			<p class="price">' + '\r\n'
										+ ((saleRate != '0')? '<span class="price-percent">' + saleRate + '%<em></em></span>' + '\r\n' : '')
										+ ((saleRate != '0')? '<span class="price-default"><strong class="head">판매가</strong><del class="text"><strong>' + oriPrice + '</strong><span class="unit">원</span></del></span>' + '\r\n' : '')
										+ ' 			<span class="price-selling"><strong class="head">알뜰할인가</strong><ins class="text"><strong>' + mmRntalPrc + '</strong><span class="unit">원/월</span>  '+weightInfo+'</ins></span>' + '\r\n'
										+ '			</p>' + '\r\n'
										+ '		</div>' + '\r\n'
									//2018-07-20 ssong 찜
									objDrawData[i].prdItems += CurrentView.ui.setWishItem(objDrawData[i].wishProduct,
											objDrawData[i].catentryId,
											objDrawData[i].catName,
											objDrawData[i].itncatentrynm,
											Ns.Util.getImageUrl(partNumber, 'O'),
											oriPrice,
											objDrawData[i].busChnId);
									objDrawData[i].prdItems += '</div>' + '\r\n';
									//상품평 정보 체크
									objDrawData[i].prdItems += '<div class="cost">';
									if(objDrawData[i].join_cnt != 0){
										objDrawData[i].prdItems += '<div class="bg_score">' + '\r\n'
											+ '	<span class="text"><span class="value" style="width:'+score+'%"class="counter" >'+score+'</span>'
											+ '	</span>'
											+ '</div>' + '\r\n'
											+ '<div class="num">'+joinCnt+'</div>';
									}
								//2017.12.14 TV 무형상품 상담예약 개선	
								} else if((objDrawData[i].dispTypeCd == "35" || objDrawData[i].dispTypeCd == "40" || objDrawData[i].dispTypeCd == "45" || objDrawData[i].dispTypeCd == "56" || objDrawData[i].dispTypeCd == "58") && objDrawData[i].busChnId == 'TV') {
									objDrawData[i].prdItems += ''
										+ '		<p class="title"><a href="javascript:' + func + ';"><strong>' + catentryNm + '</strong></a></p>' + '\r\n'
										+ '		<div class="data-info">' + '\r\n'
										+ '			<p class="price">' + '\r\n'
										+ ((saleRate != '0')? '<span class="price-percent">' + saleRate + '%<em></em></span>' + '\r\n' : '')
										+ ((saleRate != '0')? '<span class="price-default"><strong class="head">판매가</strong><del class="text"><strong>' + oriPrice + '</strong><span class="unit">원</span></del></span>' + '\r\n' : '')
										+ ' 			<span class="price-selling"><strong class="head">알뜰할인가</strong><ins class="text"><strong>' + '상담접수상품' + '</strong></span>' + '\r\n'
										+ '			</p>' + '\r\n'
										+ '		</div>' + '\r\n'
									//2018-07-20 ssong 찜
									objDrawData[i].prdItems += CurrentView.ui.setWishItem(objDrawData[i].wishProduct,
											objDrawData[i].catentryId,
											objDrawData[i].catName,
											objDrawData[i].itncatentrynm,
											Ns.Util.getImageUrl(partNumber, 'O'),
											oriPrice,
											objDrawData[i].busChnId);
									objDrawData[i].prdItems += '</div>' + '\r\n';
									//상품평 정보 체크
									objDrawData[i].prdItems += '<div class="cost">';
									if(objDrawData[i].join_cnt != 0){
										objDrawData[i].prdItems += '<div class="bg_score">' + '\r\n'
											+ '	<span class="text"><span class="value" style="width:'+score+'%"class="counter" >'+score+'</span>'
											+ '	</span>'
											+ '</div>' + '\r\n'
											+ '<div class="num">'+joinCnt+'</div>';
									}
								} else {
									// 옵션대표가 출력 처리
									var parts = "";
									if( prcWaveDisp != "" ){
										parts = '<span class="price-selling"><strong class="head">알뜰할인가</strong><ins class="text"><strong>' + salePrice + '</strong><span class="unit">원 ~</span>  '+weightInfo+'</ins></span>'  +'\r\n'
									}else{
										parts =  '<span class="price-selling"><strong class="head">알뜰할인가</strong><ins class="text"><strong>' + salePrice + '</strong><span class="unit">원</span>  '+weightInfo+'</ins></span>'  +'\r\n'
									}
									objDrawData[i].prdItems += ''
										+ '		<p class="title"><a href="javascript:' + func + ';"><strong>' + catentryNm + '</strong></a></p>' + '\r\n'
										+ '		<div class="data-info">' + '\r\n'
										+ '			<p class="price">' + '\r\n'
										+ ((saleRate != '0')? '<span class="price-percent">' + saleRate + '%<em></em></span>' + '\r\n' : '')
										+ ((saleRate != '0')? '<span class="price-default"><strong class="head">판매가</strong><del class="text"><strong>' + oriPrice + '</strong><span class="unit">원</span></del></span>' + '\r\n' : '')
										+ parts
										+ '			</p>' + '\r\n'
										+ '		</div>' + '\r\n'
									//2018-07-20 ssong 찜
									objDrawData[i].prdItems += CurrentView.ui.setWishItem(objDrawData[i].wishProduct,
											objDrawData[i].catentryId,
											objDrawData[i].catName,
											objDrawData[i].itncatentrynm,
											Ns.Util.getImageUrl(partNumber, 'O'),
											oriPrice,
											objDrawData[i].busChnId);
									objDrawData[i].prdItems += '</div>' + '\r\n';
									//상품평 정보 체크
									objDrawData[i].prdItems += '<div class="cost">';
									if(objDrawData[i].join_cnt != 0){
										objDrawData[i].prdItems += '<div class="bg_score">' + '\r\n'
											+ '	<span class="text"><span class="value" style="width:'+score+'%"class="counter" >'+score+'</span>'
											+ '	</span>'
											+ '</div>' + '\r\n'
											+ '<div class="num">'+joinCnt+'</div>';
									}
								}
								
								//적립,무료배송
								if(objDrawData[i].padValue != 0){
									objDrawData[i].prdItems += '<div class="rgt" name="divMoreInfo2" style="display:none;">' + '\r\n'
									+ '<span>적립금</span>'
									+ '</div>' + '\r\n';
								}else if(objDrawData[i].dlvrPrice == 0){
									objDrawData[i].prdItems += '<div class="rgt" name="divMoreInfo2" style="display:none;">' + '\r\n'
									+ '<span>무료배송</span>'
									+ '</div>' + '\r\n';
								}
								
								//상품 노출 영역 처리 (1page한에서 최상단 6건,10건 처리)
								if(i >= 0 && i <= 5 && CurrentView.pageIdx == 1){
									arrDispArea.push(objDrawData[i]);
								}else if(i > 5 && i < 16 && CurrentView.pageIdx == 1){
									arrDispArea1.push(objDrawData[i]);
								}else{
									arrDispArea2.push(objDrawData[i]);
								}
								
								//jihee : 제휴사 adbrix 정보 전달
								//if(mainCtrl.VIEW_TYPE == "android") {
									if(i < 5) {
										product.name = catentryNm;
										product.id = partNumber;
										product.price = oriPrice;
										product.search = $("input#txtSearch").val();										
										array.push(product);
										product = {};
									}
								//}
								
								if(i < 3) {		//kimjh : 홈쇼핑모아 정보 전달
									hs_array.push(partNumber)
								}
							}
							
							if(arrDispArea.length > 0){
								Ns.UI.drawList(arrDispArea, "productListArea", "", false );
							}
							if(arrDispArea1.length > 0){
								Ns.UI.drawList(arrDispArea1, "productListArea1", "", false );
							}
							if(arrDispArea2.length > 0){
								Ns.UI.drawList(arrDispArea2, "productListArea2", "", false );
							}
							
							//전시형
							if ( $("#searchFailListArea").hasClass("double")) {
								$('.results-items').siblings('.rel_word').removeClass('pdt10');
								$(".cost").show();
								$(".bcast").show();
								$("div[name=divMoreInfo1]").show();
								$("div[name=divMoreInfo2]").show();
							}
							//썸네일형(상품형)
							else if ( $("#searchFailListArea").hasClass("single")) {
								$('.results-items').siblings('.rel_word').addClass('pdt10');
								$(".cost").hide();
								$(".bcast").hide();
								$(".num").hide();
								//엠블럼
								$("div[name=divMoreInfo1]").show();
								$("div[name=divMoreInfo2]").show();
							}
							//목록형(리스트형)
							else {
								$('.results-items').siblings('.rel_word').addClass('pdt10');
								$(".cost").hide();
								$(".bcast").hide();
								$("div[name=divMoreInfo1]").show();
								$("div[name=divMoreInfo2]").hide();
							}
							
							$("section[id=sectionProductList]").show();
							
							//jihee : 제휴사 adbrix 정보 전달
							//if(mainCtrl.VIEW_TYPE == "android") {
								var adbrixData = JSON.stringify(array);
								var invoke = {};
								invoke.category = "add_search";
								invoke.action = adbrixData;
								
								invoke.searchTerm = CurrentView.searchTerm;
								if(typeof targeting == 'undefined'){
									mainCtrl.callTargetingScript();
								}
								
								var invoke2 = {};
								invoke2.category = "firstTimeExperience";
								invoke2.action = "search";
								Ns.Native.sendAdbrix( invoke2 );
								
								var invoke3 = {};
								invoke3.category = "Retention";
								invoke3.action = "search";
								Ns.Native.sendAdbrix( invoke3 );
								
								setTimeout(function(){
									targeting.sendLogging(invoke);
								}, 5500);
							//}
							
							var event_obj = {
									eventCate : 'MOBILE_검색',
									eventAction : '통합검색',
									eventLabel : ''
							};
							var subparam = {
									t1 : 'GNB',
									t2 : "검색",
									searchWord : $("#searchItems input#txtSearch_tmp").val()
							};
						
							GA.sendEventData(event_obj,subparam);
								
								
								
							if(!mainCtrl.isOsApp()){		//kimjh : 홈쇼핑모아 정보 전달
								CurrentView.data.hsmoaList(hs_array);
							}
							
							//연관 기획전 정보 셋팅
							CurrentView.ui.makePlanListArea(data);						
							
							//연관 검색어 정보 셋팅
							CurrentView.ui.makeRelateSearchWordArea(data);
							
							/* beshow 상품검색연동 함수 */
							if($("#searchHeader").data('beshow') === 'tag'){
								CurrentView.event.onclick_beshow();
							}
							
						}
					},0);
				}
				catch(e){
					Ns.Util.viewConsoleLog("(( Caught exception at \"" + 'makeProductListArea' + "\" -> " + e + " ))");
					$("#sectionBestItemsArea").hide();
					$("section[id=sectionProductList]").hide();
					$("#noSearchDescriptArea").show();
				}
			},
			
			makeSearchFailListArea : function( data ){
				try{
					setTimeout(function(){
						if(Ns.Util.isNull(data) || data.length == 0 ){
							$("#searchFailListArea ,#failTitle").hide();
							$("#noSearchDescriptArea").show();
							return false;
						}
						else{
							$("span[id=schWord]").text("\'"+CurrentView.searchTerm+"\'");
							$("#failTitle").show();
							$("#noSearchDescriptArea").show();
							
							CurrentView.pushFullEvent = false;
							
							CurrentView.currentMallCnt += data.length;
							CurrentView.currentCnt += data.length;
							
							var resHtml = "";
							
							var objDrawData = JSON.parse(JSON.stringify(data));
							for (var i = 0; objDrawData.length > i; i++){
								var partNumber = objDrawData[i].partNumber;
								var busChnId = objDrawData[i].busChnId;
								var catalogId = objDrawData[i].catalogId;
								var imageUrl = Ns.Util.getImageUrl(partNumber, 'O' , objDrawData[i].adultItemFlag);
								var noImageUrl = Const.NO_IMAGE_URL + 'noimage_O.jpg';
								var catentryNm = objDrawData[i].itncatentrynm;
								var oriPrice = Ns.Util.insertCommas(objDrawData[i].priceofferprice);
								var salePrice = Ns.Util.insertCommas(objDrawData[i].pricedcprice);
								//검색결과 내에 렌탈상품 가격표기 개선
								var mmRntalPrc = Ns.Util.insertCommas(objDrawData[i].mmRntalPrc);
								
								//활인율
								var saleRate = objDrawData[i].saleRate;
								
								//상품평 count	
								var joinCnt = 0;
								if(objDrawData[i].join_cnt >= 10000){
									joinCnt = "만+";
								}else if(objDrawData[i].join_cnt >= 1000){
									joinCnt = "천+";
								}else{
									joinCnt = objDrawData[i].join_cnt;
								}
								//상품평 평균 score
								var score = objDrawData[i].score;
								
								//무이자 할부여부
								var interestFeeMonth = objDrawData[i].ifiValue;
								
								var tmp_multiCd = null;
								if(objDrawData[i].multiCd != "") tmp_multiCd = objDrawData[i].multiCd;

								//상품 상세 페이지 이동
								var func = Ns.Util.stringFormat('CurrentView.event.onclick_gotoProductDisplay({0},{1},\'{2}\')', partNumber, tmp_multiCd, busChnId);
								
								
								//상품 이미지 정보
								objDrawData[i].prdItems = ''
									+ '<div class="thumbnail"><a href="javascript:' + func + ';"><img src="' + imageUrl + '" onerror="this.src=\'' + noImageUrl + '\'" alt=""/></a>';
								//방송 스케줄 정보 - brdctYn인 경우에만 노출
								if(Ns.Util.isEqual(objDrawData[i].brdctYn,'Y')){
									objDrawData[i].prdItems += '<p class="bcast">방송중 구매가능 <span class="time">';
									if(!Ns.Util.isNull(objDrawData[i].brdctSttDtm) && !Ns.Util.isNull(objDrawData[i].brdctEndDtm)){
										objDrawData[i].prdItems += objDrawData[i].brdctSttDtm+'~'+objDrawData[i].brdctEndDtm;
									}
									objDrawData[i].prdItems += '</span></p>';
								}
								
								objDrawData[i].prdItems += '</div>' + '\r\n';
								objDrawData[i].prdItems += '<div class="field">' + '\r\n';
								
								//매체(tv쇼핑,tv샵플러스,쇼핑북) 엠블럼
								objDrawData[i].prdItems += '<div class="more-info" name="divMoreInfo1">';
								if(Ns.Util.isEqual(objDrawData[i].isTvShopping,'Y')){
									objDrawData[i].prdItems += '<span class="tag item-feature tvshopping"><label class="head">TV쇼핑</label></span>' + '\r\n';
								}else if(Ns.Util.isEqual(objDrawData[i].isTvShopPlus,'Y')){
									objDrawData[i].prdItems += '<span class="tag item-feature shopplus"><label class="head">shop+</label></span>' + '\r\n';
								}else if(Ns.Util.isEqual(objDrawData[i].isShoppingBook,'Y')){
									objDrawData[i].prdItems += '<span class="tag item-feature shoppingbook"><label class="head">쇼핑북</label></span>' + '\r\n';
								}
								if(Ns.Util.isEqual(objDrawData[i].isHappyDeal,'Y')){
									objDrawData[i].prdItems += '<span class="tag item-feature happydeal"><label class="head">해피딜</label></span>' + '\r\n';
								}
								if(Ns.Util.isEqual(objDrawData[i].isDepartment,'Y')){
									objDrawData[i].prdItems += '<span class="tag item-feature dpm_store"><label class="head">백화점</label></span>' + '\r\n';
								}
								objDrawData[i].prdItems += '</div>' + '\r\n';
								
								//검색결과 내에 렌탈상품 가격표기 개선
								if( (objDrawData[i].dispTypeCd == "45" && objDrawData[i].busChnId != 'TV') || objDrawData[i].dispTypeCd == "57"){
									objDrawData[i].prdItems += ''
										+ '		<p class="title"><a href="javascript:' + func + ';"><strong>' + catentryNm + '</strong></a></p>' + '\r\n'
										+ '		<div class="data-info">' + '\r\n'
										+ '			<p class="price">' + '\r\n'
										+ ((saleRate != '0')? '<span class="price-percent">' + saleRate + '%<em></em></span>' + '\r\n' : '')
										+ ((saleRate != '0')? '<span class="price-default"><strong class="head">판매가</strong><del class="text"><strong>' + oriPrice + '</strong><span class="unit">원</span></del></span>' + '\r\n' : '')
										+ ' 			<span class="price-selling"><strong class="head">알뜰할인가</strong><ins class="text"><strong>' + mmRntalPrc + '</strong><span class="unit">원/월</span></ins></span>' + '\r\n'
										+ '			</p>' + '\r\n'
										+ '		</div>' + '\r\n'
										+ '</div>' + '\r\n';
									//상품평 정보 체크
									objDrawData[i].prdItems += '<div class="cost">';
									if(objDrawData[i].join_cnt != 0){
										objDrawData[i].prdItems += '<div class="bg_score">' + '\r\n'
											+ '	<span class="text"><span class="value" style="width:'+score+'%"class="counter" >'+score+'</span>'
											+ '	</span>'
											+ '</div>' + '\r\n'
											+ '<div class="num">'+joinCnt+'</div>';
									}
								//2017.12.14 TV 무형상품 상담예약 개선	
								} else if((objDrawData[i].dispTypeCd == "35" || objDrawData[i].dispTypeCd == "40" || objDrawData[i].dispTypeCd == "45" || objDrawData[i].dispTypeCd == "56" || objDrawData[i].dispTypeCd == "58") && objDrawData[i].busChnId == 'TV') {
									objDrawData[i].prdItems += ''
										+ '		<p class="title"><a href="javascript:' + func + ';"><strong>' + catentryNm + '</strong></a></p>' + '\r\n'
										+ '		<div class="data-info">' + '\r\n'
										+ '			<p class="price">' + '\r\n'
										+ ((saleRate != '0')? '<span class="price-percent">' + saleRate + '%<em></em></span>' + '\r\n' : '')
										+ ((saleRate != '0')? '<span class="price-default"><strong class="head">판매가</strong><del class="text"><strong>' + oriPrice + '</strong><span class="unit">원</span></del></span>' + '\r\n' : '')
										+ ' 			<span class="price-selling"><strong class="head">알뜰할인가</strong><ins class="text"><strong>' + '상담접수상품' + '</strong></span>' + '\r\n'
										+ '			</p>' + '\r\n'
										+ '		</div>' + '\r\n'
										+ '</div>' + '\r\n';
									//상품평 정보 체크
									objDrawData[i].prdItems += '<div class="cost">';
									if(objDrawData[i].join_cnt != 0){
										objDrawData[i].prdItems += '<div class="bg_score">' + '\r\n'
											+ '	<span class="text"><span class="value" style="width:'+score+'%"class="counter" >'+score+'</span>'
											+ '	</span>'
											+ '</div>' + '\r\n'
											+ '<div class="num">'+joinCnt+'</div>';
									}
								} else {
									objDrawData[i].prdItems += ''
										+ '		<p class="title"><a href="javascript:' + func + ';"><strong>' + catentryNm + '</strong></a></p>' + '\r\n'
										+ '		<div class="data-info">' + '\r\n'
										+ '			<p class="price">' + '\r\n'
										+ ((saleRate != '0')? '<span class="price-percent">' + saleRate + '%<em></em></span>' + '\r\n' : '')
										+ ((saleRate != '0')? '<span class="price-default"><strong class="head">판매가</strong><del class="text"><strong>' + oriPrice + '</strong><span class="unit">원</span></del></span>' + '\r\n' : '')
										+ ' 			<span class="price-selling"><strong class="head">알뜰할인가</strong><ins class="text"><strong>' + salePrice + '</strong><span class="unit">원</span></ins></span>' + '\r\n'
										+ '			</p>' + '\r\n'
										+ '		</div>' + '\r\n'
										+ '</div>' + '\r\n';
									//상품평 정보 체크
									objDrawData[i].prdItems += '<div class="cost">';
									if(objDrawData[i].join_cnt != 0){
										objDrawData[i].prdItems += '<div class="bg_score">' + '\r\n'
											+ '	<span class="text"><span class="value" style="width:'+score+'%"class="counter" >'+score+'</span>'
											+ '	</span>'
											+ '</div>' + '\r\n'
											+ '<div class="num">'+joinCnt+'</div>';
									}
								}
								
								//적립,무료배송
								if(objDrawData[i].padValue != 0){
									objDrawData[i].prdItems += '<div class="rgt" name="divMoreInfo2" style="display:none;">' + '\r\n'
									+ '<span>적립금</span>'
									+ '</div>' + '\r\n';
								}else if(objDrawData[i].dlvrPrice == 0){
									objDrawData[i].prdItems += '<div class="rgt" name="divMoreInfo2" style="display:none;">' + '\r\n'
									+ '<span>무료배송</span>'
									+ '</div>' + '\r\n';
								}
							}
							
							Ns.UI.drawList(objDrawData, "searchFailListArea", "", false );
							
							//전시형
							if ( $("#searchFailListArea").hasClass("double")) {
								$('.results-items').siblings('.rel_word').removeClass('pdt10');
								$(".cost").show();
								$(".bcast").show();
								$("div[name=divMoreInfo1]").show();
								$("div[name=divMoreInfo2]").show();
							}
							//썸네일형(상품형)
							else if ( $("#searchFailListArea").hasClass("single")) {
								$('.results-items').siblings('.rel_word').addClass('pdt10');
								$(".cost").hide();
								$(".bcast").hide();
								$(".num").hide();
								//엠블럼
								$("div[name=divMoreInfo1]").show();
								$("div[name=divMoreInfo2]").show();
							}
							//목록형(리스트형)
							else {
								$('.results-items').siblings('.rel_word').addClass('pdt10');
								$(".cost").hide();
								$(".bcast").hide();
								$("div[name=divMoreInfo1]").show();
								$("div[name=divMoreInfo2]").hide();
							}
							$("#searchFailListArea").show();
						}
					},0);
				}
				catch(e){
					$("#searchFailListArea").hide();
					$("#noSearchDescriptArea").show();
				}
			},
			makeHappyDealBestListArea : function( data ){
				try{
					setTimeout(function(){
						if(Ns.Util.isNull(data) || data.length == 0 ){
							return false;
						}
						else{
							CurrentView.pushFullEvent = false;
							
							var resHtml = "";
							//전체 영역 갯수
							var areaCnt = 3;
							
							var objDrawData = JSON.parse(JSON.stringify(data));
							
							for (var i = 0; objDrawData.length > i; i++){
								var partNumber = objDrawData[i].partNumber;
								var busChnId = objDrawData[i].busChnId;
								var catalogId = objDrawData[i].catalogId;
								var imageUrl = Ns.Util.getImageUrl(partNumber, 'O' , objDrawData[i].adultItemFlag);
								
								var noImageUrl = Const.NO_IMAGE_URL + 'noimage_O.jpg';
								var catentryNm = objDrawData[i].itncatentrynm;
								var oriPrice = Ns.Util.insertCommas(objDrawData[i].priceofferprice);
								var salePrice = Ns.Util.insertCommas(objDrawData[i].pricedcprice);
								//검색결과 내에 렌탈상품 가격표기 개선
								var mmRntalPrc = Ns.Util.insertCommas(objDrawData[i].mmRntalPrc);
								
								//활인율
								var saleRate = objDrawData[i].saleRate;
								
								//상품평 count	
								var joinCnt = 0;
								if(objDrawData[i].join_cnt >= 10000){
									joinCnt = "만+";
								}else if(objDrawData[i].join_cnt >= 1000){
									joinCnt = "천+";
								}else{
									joinCnt = objDrawData[i].join_cnt;
								}
								//상품평 평균 score
								var score = objDrawData[i].score;
								
								//뮤료배송여부
								//var freeDlvrYn = (objDrawData[i].deliveryPrice == 0)? '<div class="benefit"><dfn class="label">혜택</dfn><em class="free">무료배송</em></div>' : "";
								//적립여부
								//var saveYn = (objDrawData[i].padValue == 0)? '<div class="benefit"><dfn class="label">혜택</dfn><em class="free">적립금</em></div>' : "";
								//var deliveryPrice = objDrawData[i].dlvrPrice;
								
								//무이자 할부여부
								var interestFeeMonth = objDrawData[i].ifiValue;
								
								//상품 상세 페이지 이동
								var func = Ns.Util.stringFormat('mainCtrl.gotoProductDisplay({0},\'\',\'MOBIL\',{1})', partNumber,null);
								
								var tmp_multiCd = null;
								
								if(objDrawData[i].multiCd != "") tmp_multiCd = objDrawData[i].multiCd;
								
								var rankNum = i+1;
								objDrawData[i].prdItems = '<span class="rank">'+rankNum+'</span>'
								
								//상품 이미지 정보
								objDrawData[i].prdItems += '<div class="thumbnail"><a href="javascript:' + func + ';"><img src="' + imageUrl + '" onerror="this.src=\'' + noImageUrl + '\'" alt=""/></a></div>';
								
								//방송 스케줄 정보 - brdctYn인 경우에만 노출
								if(Ns.Util.isEqual(objDrawData[i].brdctYn,'Y')){
									objDrawData[i].prdItems += '<p class="bcast">방송중 구매가능 <span class="time">';
									if(!Ns.Util.isNull(objDrawData[i].brdctSttDtm) && !Ns.Util.isNull(objDrawData[i].brdctEndDtm)){
										objDrawData[i].prdItems += objDrawData[i].brdctSttDtm+'~'+objDrawData[i].brdctEndDtm;
									}
									objDrawData[i].prdItems += '</span></p>';
								}
								objDrawData[i].prdItems += '</div>' + '\r\n';
								objDrawData[i].prdItems += '<div class="field">' + '\r\n';
								
								//매체(tv쇼핑,tv샵플러스,쇼핑북) 엠블럼
								objDrawData[i].prdItems += '<div class="more-info" name="divMoreInfo1">';
								if(Ns.Util.isEqual(objDrawData[i].isTvShopping,'Y')){
									objDrawData[i].prdItems += '<span class="tag item-feature tvshopping"><label class="head">TV쇼핑</label></span>' + '\r\n';
								}else if(Ns.Util.isEqual(objDrawData[i].isTvShopPlus,'Y')){
									objDrawData[i].prdItems += '<span class="tag item-feature shopplus"><label class="head">shop+</label></span>' + '\r\n';
								}else if(Ns.Util.isEqual(objDrawData[i].isShoppingBook,'Y')){
									objDrawData[i].prdItems += '<span class="tag item-feature shoppingbook"><label class="head">쇼핑북</label></span>' + '\r\n';
								}
								if(Ns.Util.isEqual(objDrawData[i].isHappyDeal,'Y')){
									objDrawData[i].prdItems += '<span class="tag item-feature happydeal"><label class="head">해피딜</label></span>' + '\r\n';
								}
								if(Ns.Util.isEqual(objDrawData[i].isDepartment,'Y')){
									objDrawData[i].prdItems += '<span class="tag item-feature dpm_store"><label class="head">백화점</label></span>' + '\r\n';
								}
								objDrawData[i].prdItems += '</div>' + '\r\n';
								
								//검색결과 내에 렌탈상품 가격표기 개선
								if( (objDrawData[i].dispTypeCd == "45" && objDrawData[i].busChnId != 'TV') || objDrawData[i].dispTypeCd == "57"){
									objDrawData[i].prdItems += ''
										+ '		<p class="title"><a href="javascript:' + func + ';"><strong>' + catentryNm + '</strong></a></p>' + '\r\n'
										+ '		<div class="data-info">' + '\r\n'
										+ '			<p class="price">' + '\r\n'
										+ ((saleRate != '0')? '<span class="price-percent">' + saleRate + '%<em></em></span>' + '\r\n' : '')
										+ ((saleRate != '0')? '<span class="price-default"><strong class="head">판매가</strong><del class="text"><strong>' + oriPrice + '</strong><span class="unit">원</span></del></span>' + '\r\n' : '')
										+ ' 			<span class="price-selling"><strong class="head">알뜰할인가</strong><ins class="text"><strong>' + mmRntalPrc + '</strong><span class="unit">원/월</span></ins></span>' + '\r\n'
										+ '			</p>' + '\r\n'
										+ '		</div>' + '\r\n'
										+ '</div>' + '\r\n';
									//상품평 정보 체크
									objDrawData[i].prdItems += '<div class="cost">';
									if(objDrawData[i].join_cnt != 0){
										objDrawData[i].prdItems += '<div class="bg_score">' + '\r\n'
											+ '	<span class="text"><span class="value" style="width:'+score+'%"class="counter" >'+score+'</span>'
											+ '	</span>'
											+ '</div>' + '\r\n'
											+ '<div class="num">'+joinCnt+'</div>';
									}
								//2017.12.14 TV 무형상품 상담예약 개선	
								} else if((objDrawData[i].dispTypeCd == "35" || objDrawData[i].dispTypeCd == "40" || objDrawData[i].dispTypeCd == "45" || objDrawData[i].dispTypeCd == "56" || objDrawData[i].dispTypeCd == "58") && objDrawData[i].busChnId == 'TV') {
									objDrawData[i].prdItems += ''
										+ '		<p class="title"><a href="javascript:' + func + ';"><strong>' + catentryNm + '</strong></a></p>' + '\r\n'
										+ '		<div class="data-info">' + '\r\n'
										+ '			<p class="price">' + '\r\n'
										+ ((saleRate != '0')? '<span class="price-percent">' + saleRate + '%<em></em></span>' + '\r\n' : '')
										+ ((saleRate != '0')? '<span class="price-default"><strong class="head">판매가</strong><del class="text"><strong>' + oriPrice + '</strong><span class="unit">원</span></del></span>' + '\r\n' : '')
										+ ' 			<span class="price-selling"><strong class="head">알뜰할인가</strong><ins class="text"><strong>' + '상담접수상품' + '</strong></span>' + '\r\n'
										+ '			</p>' + '\r\n'
										+ '		</div>' + '\r\n'
										+ '</div>' + '\r\n';
									//상품평 정보 체크
									objDrawData[i].prdItems += '<div class="cost">';
									if(objDrawData[i].join_cnt != 0){
										objDrawData[i].prdItems += '<div class="bg_score">' + '\r\n'
											+ '	<span class="text"><span class="value" style="width:'+score+'%"class="counter" >'+score+'</span>'
											+ '	</span>'
											+ '</div>' + '\r\n'
											+ '<div class="num">'+joinCnt+'</div>';
									}
								} else {
									objDrawData[i].prdItems += ''
										+ '		<p class="title"><a href="javascript:' + func + ';"><strong>' + catentryNm + '</strong></a></p>' + '\r\n'
										+ '		<div class="data-info">' + '\r\n'
										+ '			<p class="price">' + '\r\n'
										+ ((saleRate != '0')? '<span class="price-percent">' + saleRate + '%<em></em></span>' + '\r\n' : '')
										+ ((saleRate != '0')? '<span class="price-default"><strong class="head">판매가</strong><del class="text"><strong>' + oriPrice + '</strong><span class="unit">원</span></del></span>' + '\r\n' : '')
										+ ' 			<span class="price-selling"><strong class="head">알뜰할인가</strong><ins class="text"><strong>' + salePrice + '</strong><span class="unit">원</span></ins></span>' + '\r\n'
										+ '			</p>' + '\r\n'
										+ '		</div>' + '\r\n'
										+ '</div>' + '\r\n';
									//상품평 정보 체크
									objDrawData[i].prdItems += '<div class="cost">';
									if(objDrawData[i].join_cnt != 0){
										objDrawData[i].prdItems += '<div class="bg_score">' + '\r\n'
											+ '	<span class="text"><span class="value" style="width:'+score+'%"class="counter" >'+score+'</span>'
											+ '	</span>'
											+ '</div>' + '\r\n'
											+ '<div class="num">'+joinCnt+'</div>';
									}
								}
								
								//적립,무료배송
								if(objDrawData[i].padValue != 0){
									objDrawData[i].prdItems += '<div class="rgt" name="divMoreInfo2" style="display:none;">' + '\r\n'
									+ '<span>적립금</span>'
									+ '</div>' + '\r\n';
								}else if(objDrawData[i].dlvrPrice == 0){
									objDrawData[i].prdItems += '<div class="rgt" name="divMoreInfo2" style="display:none;">' + '\r\n'
									+ '<span>무료배송</span>'
									+ '</div>' + '\r\n';
								}
								
								objDrawData[i].prdItems += '</div>' + '\r\n';
							}
							
							Ns.UI.drawList(objDrawData, "happydealBestListArea", "", false );
							
							//전시형
							if ( $("#searchFailListArea").hasClass("double")) {
								$('.results-items').siblings('.rel_word').removeClass('pdt10');
								$(".cost").show();
								$(".bcast").show();
								$("div[name=divMoreInfo1]").show();
								$("div[name=divMoreInfo2]").show();
							}
							//썸네일형(상품형)
							else if ( $("#searchFailListArea").hasClass("single")) {
								$('.results-items').siblings('.rel_word').addClass('pdt10');
								$(".cost").hide();
								$(".bcast").hide();
								$(".num").hide();
								//엠블럼
								$("div[name=divMoreInfo1]").show();
								$("div[name=divMoreInfo2]").show();
							}
							//목록형(리스트형)
							else {
								$('.results-items').siblings('.rel_word').addClass('pdt10');
								$(".cost").hide();
								$(".bcast").hide();
								$("div[name=divMoreInfo1]").show();
								$("div[name=divMoreInfo2]").hide();
							}
							
							$(".rel_prod").show();
							$("#happyDealTitle").show();
							$("#happydealBestListArea").show();
							
						}
					},0);
				}
				catch(e){
					Ns.Util.viewConsoleLog("(( Caught exception at \"" + 'makeHappyDealBestListArea' + "\" -> " + e + " ))");
					$(".rel_prod").hide();
					$("#happyDealTitle").hide();
					$("#happydealBestListArea").hide();
				}
			},
			makePlanListArea : function(data){
				//try{
					
					var planItems = data.msg.root.PlanList;
					//var planItems = planList;
					
					if(planItems != undefined){
						
						var nCount = planItems.length;
						
						if(nCount == 0 ) {
							$(".planing").hide();
							return false;
						}
						
						for(var i = 0; i < nCount; i++){
							
							var partNumber = planItems[i].partNumber;
							//var busChnId = planItems[i].busChnId;
							
							var protocol = "http:";
							var imgUrl = protocol + planItems[i].imgUrl;
							var noImageUrl = Const.NO_IMAGE_URL + "noimage_X6.jpg";
							//$.preLoadImages( imgUrl, noImageUrl );
							
							var tmp_multiCd = null;
							
							//javascript:Ns.UI.espotClickEvent('Product','506652','16189996','155958','ProductDisplay?productId=16189996&catalogId=97001&storeId=13001','null','null','97001');
							var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(planItems[i].mdUrl).split("?")[1]).catalogId;
							
							var func = Ns.Util.stringFormat('Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\');',
									"Category", planItems[i].contentsId, planItems[i].planId, null, planItems[i].mdUrl, null, null, catalogId );
							
							var prcHtml = Ns.Util.stringFormat('\
									<li class="swiper-slide" idx="{0}">\
									<a href="javascript:{1};">\
									<img src="{2}" onerror="CurrentView.event.onerror_noImage(this,\'{3}\');" style="width: 100%;" alt=""></a>\
									</li>',(i+1), func, imgUrl, noImageUrl);
							$("#planItems").append(prcHtml);
						}
						
						if(planItems.length == 1){
							$(".btn_next").hide();
							$(".btn_prev").hide();
						}else{
							var swiper = new Swiper('.bnr_slider', {
								paginationClickable: true,
								loop: true,
								centeredSlides: true,
								slidesPerView: 'auto',
								autoplayDisableOnInteraction: false, 
								nextButton: '.btn_next',
								prevButton: '.btn_prev',
								slidesPerView: 1,
							});
							
							$(".btn_next").on("click", function(e){
								e.preventDefault();
								swiper.swipeNext();
							})
							$(".btn_prev").on("click", function(e){
								e.preventDefault();
								swiper.swipePrev();
							})
						}
						
						//연관 기획전 영역 노출
						$(".planing").show();
					}
					

				//}
				//catch(e){
				//	Ns.Util.viewConsoleLog("(( Caught exception at \"" + 'makePlanListArea' + "\" -> " + e + " ))");
				//	$(".planing").hide();
				//}
			},
			makeRelateSearchWordArea : function(data){
				var resultList = data.msg.root.RecomList; 
				var wordHtml  = ""; 
				if(resultList != undefined && resultList.length > 0){
					wordHtml += '<h2><span class="sch_word">'+CurrentView.searchTerm+'</span> 연관 검색어</h2>';
					wordHtml += '<ul class="rel_word_list">';
					for(var i=0; i < resultList.length; i++){
						wordHtml += '<li><a href="javascript:;" onclick="CurrentView.event.onclick_wordListArea(\'' + resultList[i] + '\')"><span class="word">' + resultList[i] + '</span></a></li>';
						if(i == 8){
							break;
						}
					}
					wordHtml +='</ul>';
					$(".rel_word").show();
					$("#recomItems").html( wordHtml );
					$("#recomItems").show();
				}else{
					//연관 검색어
					$(".rel_word").hide();
					$("#recomItems").html( '' );
					return;
				}
			},
			setSubheaderTitle : function(){
				var headerHtml = "";
				var clickEventTag = "";
				var voiceSearchTag  = "";
				
				//페이지 로드시 검색페이지 이벤트 unbind 
				$("#txtSearch").off().on("click", mainCtrl.showSearchView);
				$("#btnSearch").off().on("click", mainCtrl.showSearchView);
				
				headerHtml = Ns.Util.stringFormat('\
						<div class="cate_sort_wrap">\
						<div class="cate_select">\
							<p class="cate_total"><span class="label">전체상품</span><strong id="totalCount"></strong>개</p>\
						</div>\
						<div class="cate_select">\
						<button type="button" class="ns_recommend" id="weightQuestion"><span>NS추천 팝업</span></button>\
							<span id="searchTmpSelect" class="tmp-select ui-base-toggle">\
								<a href="#itemClass" class="current" id="txtSortName">NS추천</a>\
								<span class="btn-opt">\
									<i></i>\
								</span>\
								<ul id="itemClass">\
									<li class="on"><a href="javascript:;" sort-code="weight">NS추천</a></li>\
									<li><a href="javascript:;" sort-code="new">신상품</a></li>\
									<li><a href="javascript:;" sort-code="best">최다판매</a></li>\
									<li><a href="javascript:;" sort-code="lowPrice">최저가</a></li>\
									<li><a href="javascript:;" sort-code="topPrice">최고가</a></li>\
								</ul>\
							</span>\
							<a href="javascript:;" class="ui-link btn filter_more" id="btnFilterMore"><span>조건검색</span></a>\
							<button type="button" id="btnChangeView" class="btn single"><span>썸네일형</span></button>\
						</div>\
					</div>\
						');
				
				$("#searchHeader").html(headerHtml);
				
				//검색입력폼 오픈  (IOS App에서 scroll 진행시 onclick 이벤트가 적용되지 않아서 분기처리 함.
//				if ( mainCtrl.VIEW_TYPE == "ios") {
//					var elW = document.getElementById('txtSearch_tmp');
//					elW.onfocus = function() {
//						CurrentView.event.showSearchView();
//					}
//				};
				
				//혜택정보 초기화
				$("#benefitChk0").prop("checked",false);
				$("#benefitChk1").prop("checked",false);
				$("#benefitChk2").prop("checked",false);
				
				//검색 필터 이벤트 처리 - KIM
				$("#itemClass li a").unbind().bind("click", CurrentView.event.onclick_itemClass);
				$("#btnChangeView").unbind().bind("click", CurrentView.event.onclick_btnChangeView);		//상품 Display변경
				$("#btnFilterMore").unbind().bind("click", CurrentView.event.onclick_btnFilterMore);		//조건검색
                $("#weightQuestion").unbind().bind("click", CurrentView.event.onclick_WeightQuestion_Info_Popup); //2018-08-09 서석준 추천 설명 추가
			},
			//필터타입 disabled 처리
			hasFilterDisable : function(data){
				
				$('input:checkbox[id="filterType"]').each(function() {
					
					//초기화
					$(this).closest("label").show();
					
					if(!Ns.Util.isNull(data.msg.root.hasTvShopping) && Ns.Util.isEqual(data.msg.root.hasTvShopping,'N')){
						if(Ns.Util.isEqual($(this).val(),'1')){
							$(this).closest("label").hide();
						}
					}
					if(!Ns.Util.isNull(data.msg.root.hasHappyDeal) && Ns.Util.isEqual(data.msg.root.hasHappyDeal,'N')){
						if(Ns.Util.isEqual($(this).val(),'2')){
							$(this).closest("label").hide();
						}
					}
					if(!Ns.Util.isNull(data.msg.root.hasTvShopPlus) && Ns.Util.isEqual(data.msg.root.hasTvShopPlus,'N')){
						if(Ns.Util.isEqual($(this).val(),'3')){
							$(this).closest("label").hide();
						}
					}
					if(!Ns.Util.isNull(data.msg.root.hasDepartment) && Ns.Util.isEqual(data.msg.root.hasDepartment,'N')){
						if(Ns.Util.isEqual($(this).val(),'4')){
							$(this).closest("label").hide();
						}
					}
				});
				$(".ftr_area").show();						//필터영역
			},
			//상세 상세 정보
			setDetailCondition : function(){
				var filterName = "";
				
				//선택조건 TEXT 처리
				switch (CurrentView.filterType) {
					case '1':
						filterName = "TV쇼핑";
						break;
					case '2':
						filterName = "해피딜"; 
						break;
					case '3':
						filterName = "NS Shop+";
						break;
					case '4':
						filterName = "백화점";
						break;
					default:
						break;
				}
				var filterHtml = "";
				if(filterName != ""){
					filterHtml = "<div class='cond'><div class='tit'>&nbsp;선택조건&nbsp;:&nbsp;</div><div class='dt'>"+filterName+"</div></div>"; 	
				}
				
				//카테고리정보
				var tempCateHtml = "";
				if(CurrentView.mallName != ""){
					var mallName = CurrentView.mallName;
					tempCateHtml = '<div class="cond"><div class="tit">&nbsp;카테고리&nbsp;:&nbsp;</div><div class="dt"><span class="csf">전체&nbsp;<i>&gt;</i>&nbsp;</span>';
					
					if(CurrentView.cateText != ""){
						tempCateHtml +='<span class="csf"> ' + mallName + '&nbsp;<i>&gt;</i>&nbsp;</span><span class="csf">' + CurrentView.cateText + '</span></div></div>';
					}else{
						tempCateHtml +='<span class="csf"> ' + mallName + '</span></div></div>';
					}
				}
				CurrentView.cateInfoHtml = tempCateHtml;
				
				//가격정보 html 세팅 (검색결과 없을 경우)
				var priceInfoText = "";	
				if(CurrentView.priceStart != ""){
					priceInfoText = '<span class="st">'+$("#txtPriceStart").val()+'원</span><span class="in"> ~ </span>';
				}
				if(CurrentView.priceEnd != ""){
					priceInfoText += '<span class="ed">'+$("#txtPriceEnd").val()+'원</span>';
				}
				if(priceInfoText != ""){
					CurrentView.priceInfoHtml ='<div class="price"><div class="tit">&nbsp;가격조건&nbsp;:&nbsp;</div><div class="dt">'+priceInfoText+'</div></div>';
				}
				
				//혜택정보 html 세팅 (검색결과 없을 경우)
				var arrBnfInfo = new Array(); 
				CurrentView.bnfInfoHtml="";
				
				if($("#benefitChk0").prop('checked')){
					arrBnfInfo.push('<span class="ty">&nbsp;무료배송&nbsp;</span>');
				}
				if($("#benefitChk1").prop('checked')){
					arrBnfInfo.push('<span class="ty">&nbsp;무이자&nbsp;</span>');
				}
				if($("#benefitChk2").prop('checked')){
					arrBnfInfo.push('<span class="ty">&nbsp;적립금&nbsp;</span>');
				}
				if(arrBnfInfo.length > 0){
					CurrentView.bnfInfoHtml = '<div class="bnf"><div class="tit"></div><div class="dt">';
					for (var i = 0; i < arrBnfInfo.length; i++) {
						if(i > 0 && i < 3){
							CurrentView.bnfInfoHtml += "/";
							CurrentView.bnfInfoHtml += arrBnfInfo[i];
						}else{
							CurrentView.bnfInfoHtml += arrBnfInfo[i];
						}
					}
					CurrentView.bnfInfoHtml += '</div></div>';
				}
				
				var conditionHtml = "";
				if(CurrentView.cateInfoHtml != "" || CurrentView.priceInfoHtml != "" || CurrentView.bnfInfoHtml != ""){
					conditionHtml = "<div class='rs'>&nbsp;조건에 해당하는 상품이 없습니다.<br>&nbsp;조건을 다시 설정해주세요.</div>";
				}
				
				//필터정보,상세정보,가격정보,혜택정보,선택조건 정보
				var tempHtml = Ns.Util.stringFormat('\
						{0}\
						{1}\
						{2}\
						{3}\
						{4}',
					filterHtml,CurrentView.cateInfoHtml, CurrentView.priceInfoHtml,CurrentView.bnfInfoHtml,conditionHtml);	
				$(".n_sch_bkn").html(tempHtml);
			},
			//상세 조건 초기화
			initDetailCondition : function(){
				$("#txtPriceStart").val('');
				$("#txtPriceEnd").val('');
				$("#benefitChk0").prop("checked",false);
				$("#benefitChk1").prop("checked",false);
				$("#benefitChk2").prop("checked",false);
				
			},
			
			//2018-07-20 ssong 찜 여부 표시
			setWishItem : function(wishProduct, catentryId, catName, itncatentrynm, imageUrl, oriPrice, busChnId){
				var chk = wishProduct ? "checked" : "";
				
				return Ns.Util.stringFormat('\
						<label class="jjim_check_search">\
                        <input type="checkbox" name="wish_check" \
                        	data-wish-flag="{0}" \
                        	data-catentry-id="{1}" \
							data-category-name="{2}" \
							data-product-name="{3}" \
	                    	data-image-url="{4}" \
							data-product-price="{5}" \
							data-buschnid="{6}" \
                        id="search_wish_{1}"{7}>\
                        <span>찜</span>\
						</label>'
				,wishProduct, catentryId, catName, itncatentrynm, imageUrl, oriPrice, busChnId, chk);
			}
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_btnReset: function(){
				$("#searchItems input#txtSearch_tmp").val("");
			},
			
			// 검색 레이어 영역 출력
			showSearchView: function() {
				$("#searchItems input#txtSearch_tmp").addClass("active");
				 
				if($("div#search_container").length <= 0){
					
					$('#wrap').addClass('category-active');
					$('#pageHeader').addClass(uiBase.uiActive);			
					$('#util').removeClass(uiBase.uiActive);
					
					$(document).scrollTop($(document).scrollTop())
					
					//검색 입력레이어가 정상적으로 오픈되지 않는 경우가 있어 setTimeout 처리함
					if ( mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
						setTimeout(function() {
							$('#dimmedAll').addClass(uiBase.uiActive);
							$('#dimmedAll').addClass('bg2');
							var params = { 
	//							searchTerm : CurrentView.searchTerm,
									searchTerm : $("#searchItems input#txtSearch_tmp").val(),
							};
							mainCtrl.showSearchView(params);
						}, 200);
						
					}else{
						$('#dimmedAll').addClass(uiBase.uiActive);
						$('#dimmedAll').addClass('bg2');
						var params = { 
//							searchTerm : CurrentView.searchTerm,
								searchTerm : $("#searchItems input#txtSearch_tmp").val(),
						};
						mainCtrl.showSearchView(params);
					}
					
				}
			},
			
			onclick_btnInit : function(){
				$("#cateFilter").trigger("click");
				$("#divBreadcrumb").removeClass("active");
				$("#divBreadcrumb").html('<a href="javascript:;">전체</a>');
				$("#filterWrap").css("top", "80px");
				$("#ulCateFilter li").removeClass("active");
				$("#ulCateFilter li a").removeClass("on");
				CurrentView.priceStart = CurrentView.DEFAULT_PRICESTART;
				CurrentView.priceEnd = CurrentView.DEFAULT_PRICEEND;
				$("#txtPriceStart").val(Ns.Util.insertCommas(CurrentView.DEFAULT_PRICESTART));
				$("#txtPriceEnd").val(Ns.Util.insertCommas(CurrentView.DEFAULT_PRICEEND));
				$('input:checkbox[name="benefitChk"]').each(function() {
					this.checked = false;
				});
				
				CurrentView.mallName = "";
				CurrentView.cateLName = "";
				CurrentView.priceStart = "";
				CurrentView.priceEnd = "";
				CurrentView.freeDeliverYn = "";
				CurrentView.interestFreeYn = "";
				CurrentView.saveYn = "";
				
				$("#productListArea").html("");
				CurrentView.pageIdx = 1;
				CurrentView.totalCount = 0;
				CurrentView.pushFullEvent = true;
				CurrentView.isSelectMallNm = false;
				CurrentView.currentMallCnt = 0;
				CurrentView.isThereNext = true;
				CurrentView.currentCnt = 0;
				CurrentView.researchYn = 'N';
				CurrentView.filterType = "0";

				//정렬순서 초기화
				CurrentView.isSelectOrd = false;
				CurrentView.sortCriteria = "weight";
				$("#itemClass li").removeClass("on");
				$("#itemClass li").first().addClass("on");
				$("#txtSortName").html("NS추천");
				$('input[id="filterType"]').prop('checked', false);
	            $('input[id="filterType"]').first().prop('checked', true);
				
	            //상세조건 정보 Html 초기화
	            CurrentView.cateInfoHtml = "";
	            CurrentView.priceInfoHtml = "";
	            CurrentView.bnfInfoHtml = "";	
	            
	            CurrentView.isShowCateList = true;
	            
	            //필터조건 초기화
	            $('input:checkbox[id="filterType"]').each(function() {
					$(this).attr('disabled',false);
				});
	            
				CurrentView.data.getTotalSearchInfo(); // 상품목록 조회
			},
			
			onclick_cateFilter : function(){
				$("#otherFilter").parent().removeClass("active");
				$("#cateFilter").parent().addClass("active");
				$("#other-filter").removeClass("active");
				$("#cate-filter").addClass("active");
			},
			
			onclick_otherFilter : function(){
				$("#cateFilter").parent().removeClass("active");
				$("#otherFilter").parent().addClass("active");
				$("#cate-filter").removeClass("active");
				$("#other-filter").addClass("active");
				
				if($("#divBreadcrumb").hasClass("active")){
					$("#divBreadcrumb").addClass("active");
				}
				else{
//					$("#divBreadcrumb").removeClass("active");
				}
			},
			
			onclick_MallList : function(idx, mallName){
				if (!CurrentView.checkClick) return;
	        	CurrentView.checkClick = false;
	        	
				//노출 영역 초기화
				$("#productListArea, #productListArea1, #productListArea2, #searchFailListArea, #happydealBestListArea, #planItems , #recomItems").html('');
				var liMall = null;
				var aMall = null;
				
				$("#ulCateFilter li a").each(function(){
					if($(this).parent().attr("idx") == idx){
						liMall = $(this).parent();
						aMall = $(this);
					}
					else{
						$(this).parent().removeClass("active");
						$(this).removeClass("on");
					}
				});
				
				if(liMall != null && aMall != null){
					if(liMall.hasClass("active")){
						aMall.removeClass("on");
						liMall.removeClass("active");
						$("#divBreadcrumb").removeClass("active");
						var breadHtml = '<a href="javascript:;">전체</a>';
						$("#filterWrap").css("top", "80px");
						CurrentView.mallName = "";
						CurrentView.isSelectMallNm = false;
						
					}
					else{
						aMall.addClass("on");
						liMall.addClass("active");
						CurrentView.mallName = mallName;
						$("#divBreadcrumb").addClass("active");
						var breadHtml = '<a href="javascript:;">전체</a><a href="javascript:;">' + CurrentView.mallName + '</a>';
						$("#filterWrap").css("top", "120px");
						CurrentView.isSelectMallNm = true;
					}
				}
				
				CurrentView.pageIdx = 1;
				CurrentView.totalCount = 0;
				CurrentView.pushFullEvent = true;
				CurrentView.currentMallCnt = 0;
				CurrentView.isThereNext = true;
				CurrentView.currentCnt = 0;
				CurrentView.cateText = "";
				CurrentView.cateLName = "";
				
				CurrentView.isShowCateList = false;
				
				$("#divBreadcrumb").html(breadHtml);
				
				CurrentView.data.getTotalSearchInfo();	 //상품목록 조회..	
				
			},
			
			onclick_tabCategory : function(obj, fullCateName, cateName){
				if($("#txtSearch_tmp").val() == ''){
					Ns.Popup.alert("검색어를 입력해 주세요.");
					return;
				}

	        	if (!CurrentView.checkClick) return;
	        	CurrentView.checkClick = false;
	        	
				//노출 영역 초기화
				$("#productListArea, #productListArea1, #productListArea2, #searchFailListArea, #happydealBestListArea, #planItems , #recomItems").empty();
				
				if(CurrentView.preCateObj != null)
					$(CurrentView.preCateObj).removeClass("on");
				$(obj).addClass("on");
				CurrentView.preCateObj = obj;
				
				CurrentView.cateLName = fullCateName;
				
				CurrentView.pageIdx = 1;
				CurrentView.totalCount = 0;
				CurrentView.pushFullEvent = true;
				CurrentView.isSelectMallNm = false;
				CurrentView.currentMallCnt = 0;
				CurrentView.isThereNext = true;
				CurrentView.currentCnt = 0;
				CurrentView.researchYn = 'Y';
				CurrentView.isShowCateList = false;
				CurrentView.cateText = cateName;
				
				var breadHtml = '<a href="javascript:;">전체</a><a href="javascript:;">' + CurrentView.mallName + '</a><span>' + cateName + '</span>';
				$("#divBreadcrumb").html(breadHtml);
				$("#filterWrap").css("top", "120px");
				
				CurrentView.data.getTotalSearchInfo();	 //상품목록 조회..
			},
			
			//재검색 영역
			onclick_btnPreSearch : function(){
	        	if($("#txtSearch_tmp").val() == ''){
					Ns.Popup.alert("검색어를 입력해 주세요.");
					return;
				}
	        	
	        	if (!CurrentView.checkClick) return;
	        	CurrentView.checkClick = false;
	        	
	        	//노출 영역 초기화
	        	$(".planing").hide();
				$(".rel_word").hide();
				$(".rel_prod").hide();
				$("#noSearchDescriptArea").hide();
				$("[id=sectionProductList]").hide();
				$("#productListArea, #productListArea1, #productListArea2, #searchFailListArea, #happydealBestListArea, #planItems , #recomItems").empty();
	        	
				
				$("#productListArea").html("");
				CurrentView.pageIdx = 1;
				CurrentView.totalCount = 0;
				CurrentView.pushFullEvent = true;
				CurrentView.currentMallCnt = 0;
				CurrentView.isThereNext = true;
				CurrentView.currentCnt = 0;
				CurrentView.researchYn = "Y";

				var priceStart = $("#txtPriceStart").val().replace(/,/g,"");
				var priceEnd   = $("#txtPriceEnd").val().replace(/,/g,"");
				
				//시작가격
				if( !Ns.Util.isNull(priceStart) ) CurrentView.priceStart = priceStart;
				else{
					CurrentView.priceStart = CurrentView.DEFAULT_PRICESTART;
					$("#txtPriceStart").val(Ns.Util.insertCommas(CurrentView.DEFAULT_PRICESTART));
				}
				
				//종료가격
				if( !Ns.Util.isNull(priceEnd) ) CurrentView.priceEnd  = priceEnd;
				else{
					CurrentView.priceEnd = CurrentView.DEFAULT_PRICEEND;
					$("#txtPriceEnd").val(Ns.Util.insertCommas(CurrentView.DEFAULT_PRICEEND));
				}
				
				var freeDeliverYn = $("#benefitChk0").is(":checked");
				var interestFreeYn = $("#benefitChk1").is(":checked");
				var saveYn = $("#benefitChk2").is(":checked");
				
				//무료배송
				if(freeDeliverYn) CurrentView.freeDeliverYn = 'Y';
				else CurrentView.freeDeliverYn = '';
				
				//무이자
				if(interestFreeYn) CurrentView.interestFreeYn = 'Y';
				else CurrentView.interestFreeYn = '';
				
				//적립여부
				if(saveYn) CurrentView.saveYn = 'Y';
				else CurrentView.saveYn = '';
				
				
				if(Number(CurrentView.priceEnd) <= Number(CurrentView.priceStart)){
					CurrentView.priceEnd = CurrentView.priceStart;
					$("#txtPriceEnd").val(Ns.Util.insertCommas(CurrentView.priceStart));
				}
				
				CurrentView.isShowCateList = true;
				
				CurrentView.data.getTotalSearchInfo();	 //상품목록 조회..
			},
			//상품 목록 디스플레이 형태 선택
			onclick_btnChangeView : function(){
				if($(".tmp-select").hasClass("active")){
					$(".tmp-select").removeClass("active");
				}
				//전시형
				if ( $("#btnChangeView").hasClass("double")) {
					$('.results-items').siblings('.rel_word').removeClass('pdt10');
					$("#btnChangeView").removeClass("double").addClass("single");
					$("#productListArea, #productListArea1, #productListArea2, #searchFailListArea, #happydealBestListArea").removeClass("list").addClass("double");
					//상품평
					$(".cost").show();
					//방송중 스케줄 정보 표시
					$(".bcast").show();
					//할인가/가격/엠블럼/삼품평
					$("div[name=divMoreInfo1]").show();
					//적립/무료배송
					$("div[name=divMoreInfo2]").show();
					//랭킹
					$(".rank").show();
				} 
				//상품형
				else if ( $("#btnChangeView").hasClass("single")) {
					$('.results-items').siblings('.rel_word').addClass('pdt10');
					$("#btnChangeView").removeClass("single").addClass("list");
					$("#productListArea, #productListArea1, #productListArea2, #searchFailListArea, #happydealBestListArea").removeClass("double").addClass("single");
					//상품평
					$(".cost").hide();
					//방송중 스케줄 정보 표시
					$(".bcast").hide();
					$(".num").hide();
					//엠블럼
					$("div[name=divMoreInfo1]").show();
					//적립/무료배송
					$("div[name=divMoreInfo2]").show();
					//랭킹
					$(".rank").show();
					
				} 
				//목록형
				else {
					$('.results-items').siblings('.rel_word').addClass('pdt10');
					$("#btnChangeView").removeClass("list").addClass("double");
					$("#productListArea, #productListArea1, #productListArea2, #searchFailListArea, #happydealBestListArea").removeClass("single").addClass("list");
					//상품평
					$(".cost").hide();
					//방송중 스케줄 정보 표시
					$(".bcast").hide();
					//할인가/가격/엠블럼/삼품평
					$("div[name=divMoreInfo1]").show();
					//적립/무료배송
					$("div[name=divMoreInfo2]").hide();
					//랭킹
					$(".rank").show();
				}
				
			},
			//조회 방법 선택. 
			onclick_itemClass : function() {
	        	if($("#txtSearch_tmp").val() == ''){
					Ns.Popup.alert("검색어를 입력해 주세요.");
					return;
				}

				var type = $(this).attr("sort-code");
				
				if( CurrentView.sortCriteria == type ) return;

				//노출 영역 초기화
				$("#noSearchDescriptArea").hide();
				$(".planing").hide();
				$(".rel_word").hide();
				$(".rel_prod").hide();
				$("[id=sectionProductList]").hide();
				$("#productListArea, #productListArea1, #productListArea2, #searchFailListArea, #happydealBestListArea, #planItems , #recomItems").empty();
				
				$("#itemClass li").removeClass("on");
				$(this).parent().addClass("on");
				
				$("#productListArea").html("");
				CurrentView.pageIdx = 1;
				CurrentView.pushFullEvent = true;
				CurrentView.currentMallCnt = 0;
				CurrentView.isThereNext = true;
				CurrentView.currentCnt = 0;
				if(type != 'weight'){
					CurrentView.isSelectOrd = true;
					$("#weightQuestion").hide(); //2018-08-10 서석준 추천영역 Question 마크 숨김 처리
				}
				else{
					CurrentView.isSelectOrd = false;
                    $("#weightQuestion").show();  //2018-08-10 서석준 추천영역 Question 마크 보임 처리
				}
				
				CurrentView.sortCriteria = type;
				$("#txtSortName").html($(this).text());
				CurrentView.isShowCateList = true;
				
				CurrentView.data.getTotalSearchInfo(); // 상품목록 조회
			},
			
			onclick_btnFilterMore : function(e){
				if($(".tmp-select").hasClass("active")){
					$(".tmp-select").removeClass("active");
				}
				if ($('#container').hasClass("etv-container") == true){
					// 별도 동작 하지 않음
				} else {
					$('#container').css('min-height', $(window).height());
				}
				
				$('#more-filter').prependTo('#wrap');
				e.preventDefault();
				$(window).scrollTop(0);
				
				$('#wrap').addClass('category-active');
				$('#pageHeader').addClass(uiBase.uiActive);
				
				$('#more-filter').addClass(uiBase.uiActive);
				$('#more-filter').css("right", "0");
				$('#more-filter').css("z-index", "100");
				
				$('#dimmedAll').addClass(uiBase.uiActive);
				$('#dimmedAll').addClass( 'bg' );
				
				if ( oScroll != null ) {
					oScroll.refresh();
					oScroll.scrollTo(0, 0, 200);
				}

				// 하단 Util 영역 숨김
				mainCtrl.hideTabBasicUtil();
				
				mainCtrl.isHistoryHashCheck = false;
			},
			
			onclick_btnClose : function(){
				$('#wrap').removeClass('category-active');
				$('#dimmedAll').removeClass(uiBase.uiActive);
				$('#dimmedAll').removeClass( 'bg' );
				$('#dimmedAll').removeClass( 'bg3' );
				$('#pageHeader').removeClass(uiBase.uiActive);
				
				$('#more-filter').removeClass(uiBase.uiActive);
				$('#more-filter').css("right", "-100%");
				$('#more-filter').css("z-index", "-1");
				
				setTimeout(function(){
					// 하단 Util 영역 표시
					//mainCtrl.showTabBasicUtil();
					$('#more-filter').prependTo('.content-primary');
				},500);
				
				if ( oScroll != null ) {
					oScroll.refresh();
					oScroll.scrollTo(0, 0, 200);
				}
			},
			
			onerror_noImage : function(obj, noImageUrl){
				$(obj).css("width", "100%");
				obj.src = noImageUrl;
			},
			
			onclick_gotoProductDisplay : function(partNumber, multiCd, busChnId){
				if($(".tmp-select").hasClass("active")){
					$(".tmp-select").removeClass("active");
				}
				//구매 가능 여부 체크
				var invoke = {
								partNumber : partNumber,
								multiCd : multiCd
							 };
				tran.callWCSJsonTran( 'NSMobSaleCheck', invoke,  function(data){
					if(data.resultCode == "SUCCESS"){
						
						//방송중인 상품이 아닌 경우
						if(data.liveLimit == "N"){
							Ns.Popup.alert("해당 상품은 방송 시간중에만 구매 할수 있습니다.");
							return false;
						}
						//구매 할수 없는 상품인 경우
						if(data.buyYn == "N"){
							Ns.Popup.alert("매진되었습니다.<br/>빠른시간내에 상품을 준비하겠습니다.");
							return false;
						}
						var searchTerm = CurrentView.searchTerm;
						mainCtrl.gotoProductDisplay(partNumber, multiCd, busChnId, null, null, null, null, searchTerm);	
					}
				}); 
			},
			
			onkeypress_txtPrice : function(){
				if (event.keyCode >= 48 && event.keyCode <= 57) {
					return true;
				}
				else {
					event.returnValue = false;
				}
			},
			onfocus_txtPrice : function(){
				var str = String($(this).val());
				str = str.replace(/,/g,"");
				$(this).val(str);
			},
			onblur_txtPrice : function(){
				$(this).val(Ns.Util.insertCommas($(this).val()));
			},
			//연관검색어 검색
			onclick_wordListArea : function(keyWord){
				mainCtrl.navigate("M_S1110000M",{searchTerm : keyWord});
			},
			
			/**
			 * beshow 상품검색연동 함수 
			 * */
			onclick_beshow : function() {
		        $(document).on('click','.thumbnail>a', function(e){
		        	Ns.Util.viewConsoleLog('beshow 상품검색연동');
		            e.stopImmediatePropagation();
		            e.preventDefault();					
					var price = $(this).parent().parent().find('.price-selling>ins>strong').text();
			        var image = $(this).find('img').attr('src');
			        var prdname =$(this).parent().parent().find('.title>a>strong').text();
			        var code = $(this).attr('href').replace( /[^0-9]/g, "");
			        var link = 'http://m.nsmall.com/ProductDisplay?partNumber=' + code;
			        window.opener.postMessage({link: link, price:price, image: image, prdname: prdname, code:code}, '*');					
		        });
			},
			
			// 음성검색 추가 2018-04-13 J.S.KIM 시작
			//음성 검색 시작
			onclick_btnVoice : function() {
				Ns.Util.viewConsoleLog("M_S1110000M.js = onclick_btnVoice");
				$('#btnVoice').focus();

				//음성검색시작: current / 인식중: recognizing / 재검색: again

				if (!($voiceSerachLayer.hasClass('visible'))) {
					$voiceSerachLayer.addClass('visible');
				} else {
					$voiceSerachLayer.removeClass('visible');
					$voiceSerachLayer.addClass('visible');
				}

				$voiceLayerWrapper.removeClass(classes).addClass('current');
				var messageState = $voiceLayerWrapper.hasClass('current') ? '음성을 인식하고 있습니다.' : '음성을 인식할 수 없습니다.';
				$infoText.text(messageState);

				var actionName = "START"
				Ns.Native.clova(actionName);
			},
			
			//음성 검색 레이어 닫기
			onclick_btnVoiceClose : function() { 
				var actionName = "KILL"
				Ns.Native.clova(actionName);
								
				$('input#txtSearch').focus();
			},
			
			voiceClose : function() {
				
				$voiceSerachLayer.removeClass('visible');
				
				$('input#txtSearch').focus();
			} ,
			
			//음성 재검색
			onclick_btnVoiceReSearch : function() {
				
				if (!($voiceSerachLayer.hasClass('visible'))) {
					$voiceSerachLayer.addClass('visible');
				}
				
				$voiceLayerWrapper.removeClass(classes).addClass('current');
				var messageState = $voiceLayerWrapper.hasClass('current') ? '음성을 인식하고 있습니다.' : '음성을 인식할 수 없습니다.';
				$infoText.text(messageState);
				
				var actionName = "START"
				Ns.Native.clova(actionName);
					
			},
			
			//음성결과 데이터를 받아서 검색창에 입력
			voiceSearch : function(data){
				$("#searchItems input#txtSearch_tmp").val( data );
				
				$voiceSerachLayer.removeClass('visible');
				
				var params = { 
						searchType	: "CLOVA" ,
						searchTerm : $("#searchItems input#txtSearch_tmp").val(),
					};
				
	 			mainCtrl.showSearchView(params);
	 			
//				CurrentView.event.showSearchView();
				
//				SEARCHVIEW.event.onclick_btnSearch();
				
			},
			
			//음성결과 데이터를 받아서 검색창에 입력
			clovaResult : function(stat, data){

				var $voice_keyword = $voiceLayerWrapper.find('.voice_keyword');
				var messageState ="";
				
				//인식되는 음성 바로 표시
				$voice_keyword.val(data);	
				
				if ( stat == 'KILL' ) {
					
					CurrentView.event.voiceClose();
					if (($voiceSerachLayer.hasClass('visible'))) {
						$voiceSerachLayer.removeClass('visible');
					}
				} else if  ( stat == 'STOP' ) {
					
					$voiceLayerWrapper.removeClass(classes).addClass('again');
					messageState = $voiceLayerWrapper.hasClass('current') ? '음성을 인식하고 있습니다.' : '음성을 인식할 수 없습니다.';
					$infoText.text(messageState);					
				} else if  ( stat == 'PARTIAL_RESULT' ) {
					$voiceLayerWrapper.removeClass(classes).addClass('recognizing');
					messageState = $voiceLayerWrapper.hasClass('current') ? '음성을 인식하고 있습니다.' : '음성을 인식할 수 없습니다.';
					$infoText.text(messageState);					
				} else if  ( stat == 'RESULT' ) {
					if( data == undefined || data == null ||  data.length < 1 ) {
						
						$voiceLayerWrapper.removeClass(classes).addClass('again');
						messageState = $voiceLayerWrapper.hasClass('current') ? '음성을 인식하고 있습니다.' : '음성을 인식할 수 없습니다.';
						$infoText.text('음성을 인식할 수 없습니다.');						
					} else {
						$voiceLayerWrapper.removeClass(classes).addClass('recognizing');
						messageState = $voiceLayerWrapper.hasClass('current') ? '음성을 인식하고 있습니다.' : '음성을 인식할 수 없습니다.';
						$infoText.text(data);
						
						CurrentView.event.voiceSearch(data);
					}								
				}
			},
			
			// 음성검색 추가 2018-04-13 J.S.KIM 종료
	
			// 2018-07-23 ssong 찜 등록/취소
			onclick_wish_check: function(e){
				var target = e.target;
				var deleteCheck = $(target).data("wishFlag");
				var catentryId = $(target).data("catentryId");
				var invokeParams2 = {};		
				var eventParameter = {};
				
				// 삭제가 아닐 때만 데이터 전송
				if(!deleteCheck){
					// AIQUA
					
					invokeParams2.rcmdGbn = "PRODUCT";
					invokeParams2.rcmdValue = catentryId;
				     tran.callWCSJsonTran('NSRcmdCmd', invokeParams2,function( data ){				
							
							eventParameter.md_name =data.msg.empNm; // 추가
							eventParameter.md_team_name = data.msg.orgNm; // 추가
							
						});
					
					
					
					eventParameter.category_name = Ns.Util.htmlDecode($(target).data("categoryName"));
					eventParameter.product_id = catentryId;
					eventParameter.product_name = $(target).data("productName");
					eventParameter.product_image_url = $(target).data("imageUrl");
					eventParameter.product_price = $(target).data("productPrice");
					eventParameter.product_channel =$(target).data("buschnid");
					//mainCtrl.userEventToAIQUA('product_added_to_wishlist', eventParameter);
					setTimeout(function(){
					mainCtrl.userEventToAIQUA('product_added_to_wishlist', eventParameter);
					}, 1000);
				}
				
				mainCtrl.wishList(target, catentryId);
			},
			//2018-08-09 서석준 NS추천 상세 설명 팝업
			onclick_WeightQuestion_Info_Popup : function(){

				var scroll = $(window).scrollTop();

				$(window).scrollTop(0);
                $('#wrap').addClass('category-active');
                $('#pageHeader').addClass(uiBase.uiActive);
                $('#util').removeClass(uiBase.uiActive);

                $('#dimmedAll').addClass("bg").addClass("active").addClass("bg3");
                Ns.Popup.alert("NS추천은 상품 판매실적, 상품명 정확도 등을 종합적으로 고려한 순서로 정렬됩니다.",function(){
                    $('#wrap').removeClass('category-active');
                    $('#pageHeader').removeClass(uiBase.uiActive);
                    $('#util').addClass(uiBase.uiActive);
                    $(window).scrollTop(scroll);
				} ,"NS추천순",true);

			}
		},
		
		util : {

			toHTML : function(str) {
				str = str.replace(/\&/g, "");
				str = str.replace(/</g, "");
				str = str.replace(/>/g, "");
				str = str.replace(/\"/g, "");
				str = str.replace(/\'/g, "");
							  
				return str;
			}
		}
};