
/* JavaScript content from js/theme/M_G4141000M.js in folder common */

/* JavaScript content from js/theme/M_G4141000M.js in folder common */

/* 
 *	프리미엄장보기  - 메인
 *  ID : M_G4141000M
 *  1. 프리미엄장보기
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		catalogId : Const.getSpecialMallId('premium'), 
		categoryId : '', 
		
		EspotName : {
			bannerList :[
			         "MOB_EVENT_BANNERLIST"
			         ],
			premiumFoodList :[
		                      "90801_CATEGORIES1_PRODUCTS", 
		                      "90801_CATEGORIES2_PRODUCTS", 
		                      "90801_CATEGORIES3_PRODUCTS", 
		                      "90801_CATEGORIES4_PRODUCTS"
		                      ],
			dailyList		:[
		             		  "91301_CATEGORIES2_PRODUCTS", 
		             		  "91301_CATEGORIES3_PRODUCTS", 
		             		  "91301_CATEGORIES4_PRODUCTS"
		             		  ],
			subDeliveryList :["91301_CATEGORIES1_PRODUCTS"]
		},
		
		init : function( params ) {	
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function( params ) {
			$("#topTabArea li a").on("click", function(){
				switch(this.id){
					case "tabPremiumFood" : { mainCtrl.navigate("M_G4141100M",{type:"PREMIUM_FOOD", categoryId : PREMIUM_CAT_IDs.PREMIUM_FOOD, catalogId : CurrentView.catalogId}); break;}
					case "tabDailyProduct" : { mainCtrl.navigate("M_G4141100M",{type:"DAILY_PRODUCT", categoryId : PREMIUM_CAT_IDs.DAILY_PRODUCT, catalogId : CurrentView.catalogId}); break;}
					case "tabSubDelivery" : { mainCtrl.navigate("M_G4141100M",{type:"PERIODICAL_DELIVERY", categoryId : PREMIUM_CAT_IDs.PERIODICAL_DELIVERY, catalogId : CurrentView.catalogId}); break;}					
				} 
			});
			
			$("#btnPremiumTotal").on("click", function(){
				mainCtrl.navigate("M_G4141100M",{type:"PREMIUM_FOOD", categoryId : PREMIUM_CAT_IDs.PREMIUM_FOOD, catalogId : CurrentView.catalogId});
				return false; 
			});
			
			$("#btnDailyTotal").on("click", function(){
				mainCtrl.navigate("M_G4141100M",{type:"DAILY_PRODUCT", categoryId : PREMIUM_CAT_IDs.DAILY_PRODUCT, catalogId : CurrentView.catalogId});
				return false;
			});
			
			$("#btnSubDeliveryTotal").on("click", function(){
				mainCtrl.navigate("M_G4141100M",{type:"PERIODICAL_DELIVERY", categoryId : PREMIUM_CAT_IDs.PERIODICAL_DELIVERY, catalogId : CurrentView.catalogId});
				return false;
			});
			
			$("#btnShowAllEvent").on("click", CurrentView.event.onclick_btnShowAllEvent);
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function( params ) {
			this.data.getPremiumMarketMainInfo();			
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getPremiumMarketMainInfo : function(){
				
				var reqBannerInfo = Ns.UI.createEspotReqInput(CurrentView.EspotName.bannerList, "|Content");
				var reqPremiumFoodInfo = Ns.UI.createEspotReqInput(CurrentView.EspotName.premiumFoodList, "|Product");
				var reqDailyProductInfo = Ns.UI.createEspotReqInput(CurrentView.EspotName.dailyList, "|Product");
				var reqSubDelivery = Ns.UI.createEspotReqInput(CurrentView.EspotName.subDeliveryList, "|Product");
				
				tran.callWCSJsonTran('NSPremiumMoblieCmdReal', { catalogId:CurrentView.catalogId, espotInfo : reqBannerInfo, command : "MOB_EVENT"}, CurrentView.data.resultPremiumMarketMainInfo );				
				tran.callWCSJsonTran('NSPremiumMoblieCmdReal', { catalogId:CurrentView.catalogId, espotInfo : reqPremiumFoodInfo, command : "PREMIUM_FOOD"}, CurrentView.data.resultPremiumMarketMainInfo );				
				tran.callWCSJsonTran('NSPremiumMoblieCmdReal', { catalogId:CurrentView.catalogId, espotInfo : reqDailyProductInfo, command : "DAILY_PRODUCT"}, CurrentView.data.resultPremiumMarketMainInfo );				
//				tran.callWCSJsonTran('NSPremiumMoblieCmdReal', { catalogId:CurrentView.catalogId, espotInfo : reqSubDelivery, command : "PERIODICAL_DELIVERY"}, CurrentView.data.resultPremiumMarketMainInfo );						
			},
			
			getEspotProductList : function(data, nameArray){		
				var retItems = new Array();		
				for(var i=0; i<nameArray.length; i++){			
					var productList = data.msg.root["_" + nameArray[i]] || null;
					
					if(productList == null) continue;
					
					var prodCount = 0;
					for(var k=0; k<productList.length; k++){
						var items = productList[k];
						
						if ( prodCount == 3 ) break; //espot 하나당 3개의 상품을 출력한다.  
						
						if(items.productDetail == null) continue;
					
						var productItem = items.productDetail; 					
						productItem.espotId = items.espotId; 
						retItems.push(productItem);
						
						prodCount++;
					}
				}
				
				return retItems;
			},
			
			//espot 하나당 3개의 상품만 출력한다.  
			resultPremiumMarketMainInfo : function( data ) {
				if ( !data.isSuccessful ) return false;
				
				switch(data.command[0]) {
					case "MOB_EVENT" : 
						CurrentView.ui.setMobileEvents( data );
						break;
					case "PREMIUM_FOOD" :
						var premiumFoodList = CurrentView.data.getEspotProductList(data, CurrentView.EspotName.premiumFoodList);
						CurrentView.ui.setProductListArea( "#premiumFoodListArea", premiumFoodList );
						break; 
					case "DAILY_PRODUCT" :
						var dailyProductList = CurrentView.data.getEspotProductList(data, CurrentView.EspotName.dailyList);
						CurrentView.ui.setProductListArea( "#dailyProductsListArea", dailyProductList );
						break; 
					case "PERIODICAL_DELIVERY" :
						var subDeliveryList = CurrentView.data.getEspotProductList(data, CurrentView.EspotName.subDeliveryList);
						CurrentView.ui.setProductListArea( "#subDeliveryListArea", subDeliveryList );
						break; 
				}
			}
			
		}, //end data functions
		
		//ui 관련 함수를 정의한다.
		ui : {
			
			setMobileEvents : function( data ) {
				var event = data.msg.root._MOB_EVENT_BANNERLIST;
			
				if ( event == undefined || event.length == 0 ) {
					$( "#bannerArea" ).hide();
				} else {
					var htmlTxt = "";
					for(var i=0; i<event.length; i++) {
					    var items = event[i];
					    
					    var dispCheck = items.marketingText.split(",");
					    if(dispCheck[dispCheck.length-1] != "NO-DISPLAY"){
					    	var protocol = "http:";
							var imgUrl = protocol + Ns.UI.getEspotBannerImgUrl(items.imgUrl);
							var replaceUrl = protocol + items.imgUrl;

							$.preLoadImages( imgUrl, replaceUrl );
							
							htmlTxt += 	Ns.Util.stringFormat('<div><div class="bnn-img"><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\');"><img src="{5}" onerror="this.onerror=null;this.src=\'{6}\'" alt="" /></a></div></div>',
						    		   		items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl,  imgUrl, replaceUrl );
						}
					}

					$("#ulEventList").html(htmlTxt);
					Ns.UI.swipeSetTypeAnimation("#bannerArea .swipe-mainimg",".bnn-img");
				}
			},

			setProductListArea : function( targetId, data ){
				if ( data.length == 0 ) return;
				
				var resHtml = Ns.UI.premiumProductList(data, CurrentView.catalogId, CurrentView.categoryId );
				$( targetId ).html( resHtml );
				
				Ns.UI.productListAreaEventInit( targetId );
			}
			
		}, //end ui functions
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//이벤트 전체보기 
			onclick_btnShowAllEvent : function() {    
				mainCtrl.navigate( 'M_G1100020M', null );
			},
		} //end event functions
}; 