
/* JavaScript content from js/ui/ui.js in folder common */
var oScroll = null; //Gnb영역의 Vertical 스크롤 객체

var Layout = {
	
	wrapper : $('#wrap'),
	container : $('#container'),
	pageHeader : $('#pageHeader'),
	dimmed : $('#dimmedAll'),
	searchItems : {
		inputField : $('#searchItems').find('input[type=search]'),
		//resetButton : $('#searchItems').find('button[type=reset]'),
		//submitButton : $('#searchItems').find('button[type=submit]')
		resetButton : $('#searchItems').find('button[type=reset]'),
		searchButton : $('#searchItems').find('button[type=search]')
	},
	autoComplete : {
		container1 : $('#autoComplete'),
		suggestions : $('#searchesSuggestions'),
		related : $('#searchesRelated')
	},

	/**
	 * 카테고리 바로가기
	 */
	_skipAside: function (){
		if ($('#container').hasClass("etv-container") == true){
			// 별도 동작 하지 않음
		} else {
			$('#container').css('min-height', $(window).height());
		}
		$('#aside').prependTo('#wrap');
		
		var pageHeader = $('#pageHeader');
		var wrap = $('#wrap');
		var container = $('#container');		
		var aside = $('#aside');
		var asideAlarmBtn = $('#asideAlarmBtn'); // 2017.06.26 세팅 버튼 숨기기
		var asideSettingBtn = $('#asideSettingBtn'); // 2017.06.26 세팅 버튼 숨기기
		var asideClosebtn = $('#asideClosebtn'); //aside창닫기버튼
		var dimmed = $('#dimmedAll');		

		$('#skipAside, #skipAsideBottom').click(function(e){
			e.preventDefault();

			$(window).scrollTop(0);
			
			wrap.addClass('category-active');
			pageHeader.addClass(uiBase.uiActive);
			aside.addClass(uiBase.uiActive);
			dimmed.addClass(uiBase.uiActive);
			dimmed.addClass( 'bg' );
			container.attr('aria-hidden','true');

			//2018-06-05 ssong 임직원몰 노출 판단
			//Ns.UI.makeBottomCategories();

			// 하단 Util 영역 숨김
			//mainCtrl.hideTabBasicUtil();
			
			//카테고리 영역 활성화됐을 경우 main tab 위치 조정.
/*			if (HUB_INIT.tabSwiper) {
				HUB_INIT.tabSwiper.wrapperLeft = aside.width();
				HUB_INIT.tabSwiper.reInit();
			}*/
			
			/*if ( oScroll != null ) {
				oScroll.refresh();
				oScroll.scrollTo(0, 0, 200);
			}*/
			//location.hash = ("#GNB");
			mainCtrl.isHistoryHashCheck = false;
			
			setTimeout(function(){
				//  hckim 쇼핑알림(모바일 앱에서만 노출), 환경설정(모바일 앱/웹 노출) 이벤트 등록
				console.log("mainCtrl.isOsApp", mainCtrl.isOsApp());
				if (mainCtrl.isOsApp()) {
					// 앱에서만 보여짐
					asideAlarmBtn.show();	// 2019.06.03 알람 버튼 숨기기
				}
				asideSettingBtn.show(); // 2019.06.03 설정 버튼 노출
				
				// aside창 닫기 버튼 생성
				asideClosebtn.show();
				
				// 첫번째 버튼으로 포커스 이동
				$("#aside a:visible").first().focus();
			
			},180);
			
		});
		
		//aside 창 close 버튼 클릭할 경우
		asideClosebtn.unbind().bind('click', function(){
			
			wrap.removeClass('category-active');
			//GNB가 활성화 되어 있는 상태일때 dimmed 클릭
			if( $("#aside").hasClass("active") ){
				//기존 dimmed가 되어 있을 때 GNB 호출시 처리
				if( !$('.item-option-select').is('.active') ){
					dimmed.removeClass(uiBase.uiActive);
				}
				asideClosebtn.hide(); //aside창 닫기 버튼숨김
				asideAlarmBtn.hide();	// 2017.06.26 dhlee 알람 버튼숨김
				asideSettingBtn.hide(); // 2017.06.26 dhlee 세팅 버튼숨김
				dimmed.removeClass( 'bg' );
				pageHeader.removeClass(uiBase.uiActive);
				container.attr('aria-hidden','false');
				aside.removeClass(uiBase.uiActive);
			}
			
//			setTimeout(function(){
//				// 하단 Util 영역 표시
//				mainCtrl.showTabBasicUtil();
//			},500);
			
			//카테고리 영역 비활성화됐을 경우 main tab 위치 초기화.
			/*if (HUB_INIT.tabSwiper) {
				HUB_INIT.tabSwiper.wrapperLeft = 0;
				HUB_INIT.tabSwiper.reInit();
			}*/
			
			if ( oScroll != null ) {
				oScroll.refresh();
				oScroll.scrollTo(0, 0, 200);
			}
			
			// 포커스이동
			$("#skipAside").focus();
		});
		
		//dimmed 영역 클릭시
		dimmed.unbind().bind('click', function(){
			
			wrap.removeClass('category-active');
			//GNB가 활성화 되어 있는 상태일때 dimmed 클릭
			if( $("#aside").hasClass("active") ){
				//기존 dimmed가 되어 있을 때 GNB 호출시 처리
				if( !$('.item-option-select').is('.active') ){
					dimmed.removeClass(uiBase.uiActive);
				}
				asideClosebtn.hide(); //aside창 닫기 버튼숨김
				asideAlarmBtn.hide();	// 2017.06.26 dhlee 알람 버튼숨김
				asideSettingBtn.hide(); // 2017.06.26 dhlee 세팅 버튼숨김
				dimmed.removeClass( 'bg' );
				pageHeader.removeClass(uiBase.uiActive);
				container.attr('aria-hidden','false');
				aside.removeClass(uiBase.uiActive);
				
				// 포커스이동
				$("#skipAside").focus();
			}
			
			// 검색UI변경
			if( $("#more-filter").hasClass("active") ){
				dimmed.removeClass(uiBase.uiActive);
				dimmed.removeClass( 'bg' );
				$('#dimmedAll').removeClass( 'bg3' );
				pageHeader.removeClass(uiBase.uiActive);
				
				$('#more-filter').removeClass(uiBase.uiActive);
				$('#more-filter').css("right", "-100%");
				$('#more-filter').css("z-index", "-1");
			}
			
			setTimeout(function(){
				// 하단 Util 영역 표시
				//mainCtrl.showTabBasicUtil();
				// 검색UI변경
				if( $("#more-filter").hasClass("active") )
					$('#more-filter').prependTo('.content-primary');
			},500);
			
			//카테고리 영역 비활성화됐을 경우 main tab 위치 초기화.
			/*if (HUB_INIT.tabSwiper) {
				HUB_INIT.tabSwiper.wrapperLeft = 0;
				HUB_INIT.tabSwiper.reInit();
			}*/
			
			if ( oScroll != null ) {
				oScroll.refresh();
				oScroll.scrollTo(0, 0, 200);
			}
		});
		
		
	},
	
	_btnSearch: function (){		
		var pageHeader = $('#pageHeader');
		var wrap = $('#wrap');
		var eventSwitch = $('.btn_topSearch');				
		var util = $('#util');
		var dimmed = $('#dimmedAll');

		eventSwitch.click(function(e){
//			e.preventDefault();
			$(document).on("touchmove",function(e){e.preventDefault();});
			wrap.addClass('category-active');
			pageHeader.addClass(uiBase.uiActive);			
			util.removeClass(uiBase.uiActive);
			dimmed.addClass(uiBase.uiActive);
			dimmed.addClass('bg2');
		});
		
		dimmed.click(function(e){
//			e.preventDefault();
//			wrap.removeClass('category-active');
//			pageHeader.removeClass(uiBase.uiActive);
//			util.addClass(uiBase.uiActive);
		});
	},
	/*------------------------------------------------------------------------------------------------
	 *  iScroll..
	 ------------------------------------------------------------------------------------------------*/
	//서브 페이지 전체 스크롤 생성(.. 
	_createiScroll : function(){
		if ( oScroll != null ) oScroll=null;
		
		setTimeout(function(){
			oScroll = new iScroll('categoryWrap', {
				checkDOMChanges: true,
				useTransform: false,
				hideScrollbar:true,
				hScroll : false
			});
		}, 99);
	},
	
	/**
	 * 카테고리 목록
	 */
	_category: function (){
		$('#aside>.tabs li').click(function(e){
			if ( oScroll !=null ) {
				oScroll.refresh();
			}
		});
		
		/*
		var elem = $('#categoryList .content>ul');
		elem.each(function(e){
			var this_category = $(this);
			
			$(this).find('ul').each(function(){
				var openButton = $('<button class="btn open" type="button">+</button>');
				$(this).parent('li').append(openButton);
				$(openButton).click(function(e){
					if($(this).parent('li').hasClass(uiBase.uiActive)){
						$(this).parent('li').removeClass(uiBase.uiActive).removeClass('disable');
						$(this).parent('li').parent('ul').parent('li').removeClass('disable');
						$(this).parent('li').siblings('li').removeClass('disable');
						$(this).parent('li').find('li').removeClass('disable').removeClass(uiBase.uiActive);
					} else {
						$(this).parent('li').addClass(uiBase.uiActive).removeClass('disable');
						$(this).parent('li').siblings('li').removeClass(uiBase.uiActive);
						$(this).parent('li').siblings('li').find('li').removeClass('disable').removeClass(uiBase.uiActive);
						$(this).parent('li').find('li').removeClass('disable');
						$(this_category).find('li').not($(this).parent('li').find('li')).not($(this).parent('li')).addClass('disable');
					}
					oScroll.refresh();
				});
			});
		});
		*/
	},
	
	/**
	 * 상품검색
	 */
	_searchItem: function (){
		
		/*
		 * 검색필드 포커스 이벤트
		 */
		Layout.searchItems.inputField.focus(function(){
			// 하단 Util 영역 숨김
			mainCtrl.hideTabBasicUtil();
			
			Layout.autoComplete.suggestions.addClass(uiBase.uiActive);
			setTimeout(function(){
				Layout.wrapper.addClass('search-item-active');
			}, 50);
		});
		
		/*
		 * 검색어 입력 이벤트
		 */
		Layout.searchItems.inputField.keyup(function(){
			if(this.value){
				Layout.autoComplete.suggestions.removeClass(uiBase.uiActive);
				Layout.autoComplete.related.addClass(uiBase.uiActive);
			} else {
				Layout.autoComplete.suggestions.addClass(uiBase.uiActive);
				Layout.autoComplete.related.removeClass(uiBase.uiActive);
			}
		});
		
		/*
		 * 리셋버튼 클릭 이벤트
		 */
		Layout.searchItems.resetButton.click(function(){
			Layout.searchItems.inputField.focus();
			Layout.autoComplete.suggestions.addClass(uiBase.uiActive);
			Layout.autoComplete.related.removeClass(uiBase.uiActive);
		});
		
		/*
		 * 취소버튼 클릭 이벤트
		 */
		Layout.autoComplete.container1.find('.cancel').click(function(){
			Layout.wrapper.removeClass('search-item-active');
			Layout.searchItems.inputField.val('');
			dimmed.removeClass(uiBase.uiActive);
			dimmed.removeClass('bg2');	
			
			setTimeout(function(){
				// 하단 Util 영역 표시
				//mainCtrl.showTabBasicUtil();
				
				Layout.autoComplete.related.removeClass(uiBase.uiActive);
			},200);
		});
		
		/*
		 * 확인버튼 클릭 이벤트
		 */
		Layout.autoComplete.container1.find('.confirm').click(function(){
			Layout.searchItems.inputField.focusout();
		});
	},

	
	/**
	 * 상품검색 - 추천상품 영역. 
	 */
	_itemDisplay: function (){
		$('.item-list').each(function(){
			var switchBtn = $(this).find('.btn.sort');
			var target = $(this).find('.item-display');
			switchBtn.click(function(){
				$(this).toggleClass('detail simple');
				target.toggleClass('detail simple');
			});
		});

	},
	
	
	/**
	 * 상품검색
	 */
	_WordBreakOpportunity: function (){
		$('wbr').each(function(){
			$(this).parent().css({'white-space': 'nowrap'});
			$(this).parent(':not(th), :not(td)').css({'display': 'block'});
		});
		
		$('.data-table').each(function(){
			var obj = $(this);
			if(parseInt(obj.css('margin-top')) > 0 || parseInt(obj.css('margin-right')) > 0 || parseInt(obj.css('margin-bottom')) > 0|| parseInt(obj.css('margin-left')) > 0){
				$(this).wrap('<div class="table-wrap" style="margin: ' + obj.css('margin-top') + ' ' + obj.css('margin-right') + ' ' + obj.css('margin-bottom') + ' ' + obj.css('margin-left') + ';"></div>');
				$(this).css({'margin': '0'});
			}
		});
	},
	
	
	_resize: function() {
		$(window).resize(function(){
			$('#container').css('min-height', $(window).height());
			if ( oScroll !=null ) {
				oScroll.refresh();
			}
		});
	},
	
	_init: function() {
		Layout._skipAside();
		Layout._category();
		Layout._btnSearch();
		//Layout._searchItem();
		//Layout._itemDisplay();
		Layout._resize();
		//Layout._WordBreakOpportunity();
	},
	
	_initAfterLoadPage : function() {
		Layout._itemDisplay();
		Layout._resize();
		Layout._WordBreakOpportunity();
	}
};
